<details><summary><h1></h2></summary>

<h3>Contents</h3>

- [mrender](mrender)
- [tests](tests)
- [README.md](README.md)
- [.venv](.venv)
- [.github](.github)
- [d.md](d.md)
- [docs.md](docs.md)
<details><summary><h2><strong> activate_this.py</strong></h2></summary>

Activate virtualenv for current interpreter:

import runpy
runpy.run_path(this_file)

This can be used when you must use an existing Python interpreter, not the virtualenv bin/python.

</details>


<details><summary><h2><strong> _virtualenv.py</strong></h2></summary>

Patches that are applied at runtime to the virtual environment.

<details open><summary><h3>Contents</h3></summary>

- [class _Finder](#class-_finder)
- [def patch_dist](#def-patch_dist)
</details>

<details><summary><h3><strong>class _Finder</strong></h3></summary>

A meta path finder that allows patching the imported distutils modules.

</details>

<details><summary><h3><strong>def patch_dist(dist)</strong></h3></summary>

Distutils allows user to configure some arguments via a configuration file:
    https://docs.python.org/3.11/install/index.html#distutils-configuration-files.

    Some of this arguments though don't make sense in context of the virtual environment files, let's fix them up.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Beautiful Soup Elixir and Tonic - "The Screen-Scraper's Friend".

http://www.crummy.com/software/BeautifulSoup/

Beautiful Soup uses a pluggable XML or HTML parser to parse a
(possibly invalid) document into a tree representation. Beautiful Soup
provides methods and Pythonic idioms that make it easy to navigate,
search, and modify the parse tree.

Beautiful Soup works with Python 3.6 and up. It works better if lxml
and/or html5lib is installed.

For more than you ever wanted to know about Beautiful Soup, see the
documentation: http://www.crummy.com/software/BeautifulSoup/bs4/doc/

<p><strong>Key features</strong></p>

<ul>
<li>"The Screen-Scraper's Friend".</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class GuessedAtParserWarning](#class-guessedatparserwarning)
- [class MarkupResemblesLocatorWarning](#class-markupresembleslocatorwarning)
- [class BeautifulSoup](#class-beautifulsoup)
- [class defines](#class-defines)
- [class to](#class-to)
- [class was](#class-was)
- [class is](#class-is)
- [class that](#class-that)
- [class or](#class-or)
- [class BeautifulStoneSoup](#class-beautifulstonesoup)
- [class FeatureNotFound](#class-featurenotfound)
- [def __init__](#def-__init__)
- [def deprecated_argument](#def-deprecated_argument)
- [def _clone](#def-_clone)
- [def __getstate__](#def-__getstate__)
- [def __setstate__](#def-__setstate__)
- [def _decode_markup](#def-_decode_markup)
- [def _markup_is_url](#def-_markup_is_url)
- [def _markup_resembles_filename](#def-_markup_resembles_filename)
- [def _feed](#def-_feed)
- [def reset](#def-reset)
- [def new_tag](#def-new_tag)
- [def string_container](#def-string_container)
- [def new_string](#def-new_string)
- [def insert_before](#def-insert_before)
- [def insert_after](#def-insert_after)
- [def popTag](#def-poptag)
- [def pushTag](#def-pushtag)
- [def endData](#def-enddata)
- [def object_was_parsed](#def-object_was_parsed)
- [def _linkage_fixer](#def-_linkage_fixer)
- [def _popToTag](#def-_poptotag)
- [def handle_starttag](#def-handle_starttag)
- [def handle_endtag](#def-handle_endtag)
- [def handle_data](#def-handle_data)
- [def decode](#def-decode)
</details>

<details><summary><h3><strong>class GuessedAtParserWarning</strong></h3></summary>

The warning issued when BeautifulSoup has to guess what parser to
    use -- probably because no parser was specified in the constructor.

<p><strong>Key features</strong></p>

<ul>
<li>probably because no parser was specified in the constructor.</li>
</ul>
</details>

<details><summary><h3><strong>class MarkupResemblesLocatorWarning</strong></h3></summary>

The warning issued when BeautifulSoup is given 'markup' that
    actually looks like a resource locator -- a URL or a path to a file
    on disk.

<p><strong>Key features</strong></p>

<ul>
<li>a URL or a path to a file</li>
</ul>
</details>

<details><summary><h3><strong>class BeautifulSoup</strong></h3></summary>

A data structure representing a parsed HTML or XML document.

    Most of the methods you'll call on a BeautifulSoup object are inherited from
    PageElement or Tag.

    Internally, this class defines the basic interface called by the
    tree builders when converting an HTML/XML document into a data
    structure. The interface abstracts away the differences between
    parsers. To write a new tree builder, you'll need to understand
    these methods as a whole.

    These methods will be called by the BeautifulSoup constructor:
      * reset()
      * feed(markup)

    The tree builder may call these methods from its feed() implementation:
      * handle_starttag(name, attrs) # See note about return value
      * handle_endtag(name)
      * handle_data(data) # Appends to the current data node
      * endData(containerClass) # Ends the current data node

    No matter how complicated the underlying parser is, you should be
    able to build a tree using 'start tag' events, 'end tag' events,
    'data' events, and "done with data" events.

    If you encounter an empty-element tag (aka a self-closing tag,
    like HTML's <br> tag), call handle_starttag and then
    handle_endtag.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param markup: A string or a file-like object representing
         markup to be parsed.

        :param features: Desirable features of the parser to be
         used. This may be the name of a specific parser ("lxml",
         "lxml-xml", "html.parser", or "html5lib") or it may be the
         type of markup to be used ("html", "html5", "xml"). It's
         recommended that you name a specific parser, so that
         Beautiful Soup gives you the same results across platforms
         and virtual environments.

        :param builder: A TreeBuilder subclass to instantiate (or
         instance to use) instead of looking one up based on
         `features`. You only need to use this if you've implemented a
         custom TreeBuilder.

        :param parse_only: A SoupStrainer. Only parts of the document
         matching the SoupStrainer will be considered. This is useful
         when parsing part of a document that would otherwise be too
         large to fit into memory.

        :param from_encoding: A string indicating the encoding of the
         document to be parsed. Pass this in if Beautiful Soup is
         guessing wrongly about the document's encoding.

        :param exclude_encodings: A list of strings indicating
         encodings known to be wrong. Pass this in if you don't know
         the document's encoding but you know Beautiful Soup's guess is
         wrong.

        :param element_classes: A dictionary mapping BeautifulSoup
         classes like Tag and NavigableString, to other classes you'd
         like to be instantiated instead as the parse tree is
         built. This is useful for subclassing Tag or NavigableString
         to modify default behavior.

        :param kwargs: For backwards compatibility purposes, the
         constructor accepts certain keyword arguments used in
         Beautiful Soup 3. None of these arguments do anything in
         Beautiful Soup 4; they will result in a warning and then be
         ignored.
         
         Apart from this, any keyword arguments passed into the
         BeautifulSoup constructor are propagated to the TreeBuilder
         constructor. This makes it possible to configure a
         TreeBuilder by passing in arguments, not just by saying which
         one to use.

</details>

<details><summary><h4><strong>def deprecated_argument</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _decode_markup</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _markup_is_url</strong></h4></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _markup_resembles_filename</strong></h4></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _feed</strong></h4></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h4><strong>def new_tag</strong></h4></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h4><strong>def string_container</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class defines</strong></h3></summary>

# Since BeautifulSoup subclasses Tag, it's possible to treat it as
    # a Tag with a .name. This name makes it clear the BeautifulSoup
    # object isn't a real markup tag.
    ROOT_TAG_NAME = '[document]'

    # If the end-user gives no indication which tree builder they
    # want, look for one with these features.
    DEFAULT_BUILDER_FEATURES = ['html', 'fast']

    # A string containing all ASCII whitespace characters, used in
    # endData() to detect data chunks that seem 'empty'.
    ASCII_SPACES = '\x20\x0a\x09\x0c\x0d'

    NO_PARSER_SPECIFIED_WARNING = "No parser was explicitly specified, so I'm using the best available %(markup_type)s parser for this system (\"%(parser)s\"). This usually isn't a problem, but if you run this code on another system, or in a different virtual environment, it may use a different parser and behave differently.\n\nThe code that caused this warning is on line %(line_number)s of the file %(filename)s. To get rid of this warning, pass the additional argument 'features=\"%(parser)s\"' to the BeautifulSoup constructor.\n"
   
    def __init__(self, markup="", features=None, builder=None,
                 parse_only=None, from_encoding=None, exclude_encodings=None,
                 element_classes=None, **kwargs):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param markup: A string or a file-like object representing
         markup to be parsed.

        :param features: Desirable features of the parser to be
         used. This may be the name of a specific parser ("lxml",
         "lxml-xml", "html.parser", or "html5lib") or it may be the
         type of markup to be used ("html", "html5", "xml"). It's
         recommended that you name a specific parser, so that
         Beautiful Soup gives you the same results across platforms
         and virtual environments.

        :param builder: A TreeBuilder subclass to instantiate (or
         instance to use) instead of looking one up based on
         `features`. You only need to use this if you've implemented a
         custom TreeBuilder.

        :param parse_only: A SoupStrainer. Only parts of the document
         matching the SoupStrainer will be considered. This is useful
         when parsing part of a document that would otherwise be too
         large to fit into memory.

        :param from_encoding: A string indicating the encoding of the
         document to be parsed. Pass this in if Beautiful Soup is
         guessing wrongly about the document's encoding.

        :param exclude_encodings: A list of strings indicating
         encodings known to be wrong. Pass this in if you don't know
         the document's encoding but you know Beautiful Soup's guess is
         wrong.

        :param element_classes: A dictionary mapping BeautifulSoup
         classes like Tag and NavigableString, to other classes you'd
         like to be instantiated instead as the parse tree is
         built. This is useful for subclassing Tag or NavigableString
         to modify default behavior.

        :param kwargs: For backwards compatibility purposes, the
         constructor accepts certain keyword arguments used in
         Beautiful Soup 3. None of these arguments do anything in
         Beautiful Soup 4; they will result in a warning and then be
         ignored.
         
         Apart from this, any keyword arguments passed into the
         BeautifulSoup constructor are propagated to the TreeBuilder
         constructor. This makes it possible to configure a
         TreeBuilder by passing in arguments, not just by saying which
         one to use.

</details>

<details><summary><h4><strong>def deprecated_argument</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _decode_markup</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _markup_is_url</strong></h4></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _markup_resembles_filename</strong></h4></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _feed</strong></h4></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h4><strong>def new_tag</strong></h4></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h4><strong>def string_container</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

if 'convertEntities' in kwargs:
            del kwargs['convertEntities']
            warnings.warn(
                "BS4 does not respect the convertEntities argument to the "
                "BeautifulSoup constructor. Entities are always converted "
                "to Unicode characters.")

        if 'markupMassage' in kwargs:
            del kwargs['markupMassage']
            warnings.warn(
                "BS4 does not respect the markupMassage argument to the "
                "BeautifulSoup constructor. The tree builder is responsible "
                "for any necessary markup massage.")

        if 'smartQuotesTo' in kwargs:
            del kwargs['smartQuotesTo']
            warnings.warn(
                "BS4 does not respect the smartQuotesTo argument to the "
                "BeautifulSoup constructor. Smart quotes are always converted "
                "to Unicode characters.")

        if 'selfClosingTags' in kwargs:
            del kwargs['selfClosingTags']
            warnings.warn(
                "BS4 does not respect the selfClosingTags argument to the "
                "BeautifulSoup constructor. The tree builder is responsible "
                "for understanding self-closing tags.")

        if 'isHTML' in kwargs:
            del kwargs['isHTML']
            warnings.warn(
                "BS4 does not respect the isHTML argument to the "
                "BeautifulSoup constructor. Suggest you use "
                "features='lxml' for HTML and features='lxml-xml' for "
                "XML.")

        def deprecated_argument(old_name, new_name):
            if old_name in kwargs:
                warnings.warn(
                    'The "%s" argument to the BeautifulSoup constructor '
                    'has been renamed to "%s."' % (old_name, new_name),
                    DeprecationWarning, stacklevel=3
                )
                return kwargs.pop(old_name)
            return None

        parse_only = parse_only or deprecated_argument(
            "parseOnlyThese", "parse_only")

        from_encoding = from_encoding or deprecated_argument(
            "fromEncoding", "from_encoding")

        if from_encoding and isinstance(markup, str):
            warnings.warn("You provided Unicode markup but also provided a value for from_encoding. Your from_encoding will be ignored.")
            from_encoding = None

        self.element_classes = element_classes or dict()

        # We need this information to track whether or not the builder
        # was specified well enough that we can omit the 'you need to
        # specify a parser' warning.
        original_builder = builder
        original_features = features
            
        if isinstance(builder, type):
            # A builder class was passed in; it needs to be instantiated.
            builder_class = builder
            builder = None
        elif builder is None:
            if isinstance(features, str):
                features = [features]
            if features is None or len(features) == 0:
                features = self.DEFAULT_BUILDER_FEATURES
            builder_class = builder_registry.lookup(*features)
            if builder_class is None:
                raise FeatureNotFound(
                    "Couldn't find a tree builder with the features you "
                    "requested: %s. Do you need to install a parser library?"
                    % ",".join(features))

        # At this point either we have a TreeBuilder instance in
        # builder, or we have a builder_class that we can instantiate
        # with the remaining **kwargs.
        if builder is None:
            builder = builder_class(**kwargs)
            if not original_builder and not (
                    original_features == builder.NAME or
                    original_features in builder.ALTERNATE_NAMES
            ) and markup:
                # The user did not tell us which TreeBuilder to use,
                # and we had to guess. Issue a warning.
                if builder.is_xml:
                    markup_type = "XML"
                else:
                    markup_type = "HTML"

                # This code adapted from warnings.py so that we get the same line
                # of code as our warnings.warn() call gets, even if the answer is wrong
                # (as it may be in a multithreading situation).
                caller = None
                try:
                    caller = sys._getframe(1)
                except ValueError:
                    pass
                if caller:
                    globals = caller.f_globals
                    line_number = caller.f_lineno
                else:
                    globals = sys.__dict__
                    line_number= 1                    
                filename = globals.get('__file__')
                if filename:
                    fnl = filename.lower()
                    if fnl.endswith((".pyc", ".pyo")):
                        filename = filename[:-1]
                if filename:
                    # If there is no filename at all, the user is most likely in a REPL,
                    # and the warning is not necessary.
                    values = dict(
                        filename=filename,
                        line_number=line_number,
                        parser=builder.NAME,
                        markup_type=markup_type
                    )
                    warnings.warn(
                        self.NO_PARSER_SPECIFIED_WARNING % values,
                        GuessedAtParserWarning, stacklevel=2
                    )
        else:
            if kwargs:
                warnings.warn("Keyword arguments to the BeautifulSoup constructor will be ignored. These would normally be passed into the TreeBuilder constructor, but a TreeBuilder instance was passed in as `builder`.")
                    
        self.builder = builder
        self.is_xml = builder.is_xml
        self.known_xml = self.is_xml
        self._namespaces = dict()
        self.parse_only = parse_only

        if hasattr(markup, 'read'):        # It's a file-type object.
            markup = markup.read()
        elif len(markup) <= 256 and (
                (isinstance(markup, bytes) and not b'<' in markup)
                or (isinstance(markup, str) and not '<' in markup)
        ):
            # Issue warnings for a couple beginner problems
            # involving passing non-markup to Beautiful Soup.
            # Beautiful Soup will still parse the input as markup,
            # since that is sometimes the intended behavior.
            if not self._markup_is_url(markup):
                self._markup_resembles_filename(markup)                

        rejections = []
        success = False
        for (self.markup, self.original_encoding, self.declared_html_encoding,
         self.contains_replacement_characters) in (
             self.builder.prepare_markup(
                 markup, from_encoding, exclude_encodings=exclude_encodings)):
            self.reset()
            self.builder.initialize_soup(self)
            try:
                self._feed()
                success = True
                break
            except ParserRejectedMarkup as e:
                rejections.append(e)
                pass

        if not success:
            other_exceptions = [str(e) for e in rejections]
            raise ParserRejectedMarkup(
                "The markup you provided was rejected by the parser. Trying a different parser or a different encoding may help.\n\nOriginal exception(s) from parser:\n " + "\n ".join(other_exceptions)
            )

        # Clear out the markup and remove the builder's circular
        # reference to this object.
        self.markup = None
        self.builder.soup = None

    def _clone(self):

<details><summary><h4><strong>def deprecated_argument</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _decode_markup</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _markup_is_url</strong></h4></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _markup_resembles_filename</strong></h4></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _feed</strong></h4></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h4><strong>def new_tag</strong></h4></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h4><strong>def string_container</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class was</strong></h3></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _decode_markup</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _markup_is_url</strong></h4></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _markup_resembles_filename</strong></h4></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _feed</strong></h4></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h4><strong>def new_tag</strong></h4></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h4><strong>def string_container</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _decode_markup</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _markup_is_url</strong></h4></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _markup_resembles_filename</strong></h4></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _feed</strong></h4></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h4><strong>def new_tag</strong></h4></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h4><strong>def string_container</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class that</strong></h3></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _decode_markup</strong></h4></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h4><strong>def _markup_is_url</strong></h4></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _markup_resembles_filename</strong></h4></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h4><strong>def _feed</strong></h4></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h4><strong>def new_tag</strong></h4></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h4><strong>def string_container</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class or</strong></h3></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

<details><summary><h4><strong>def new_string</strong></h4></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h4><strong>def popTag</strong></h4></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h4><strong>def pushTag</strong></h4></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h4><strong>def endData</strong></h4></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h4><strong>def object_was_parsed</strong></h4></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h4><strong>def _linkage_fixer</strong></h4></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h4><strong>def _popToTag</strong></h4></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>

<details><summary><h3><strong>class BeautifulStoneSoup</strong></h3></summary>

Deprecated interface to an XML parser.

</details>

<details><summary><h3><strong>class FeatureNotFound</strong></h3></summary>

Exception raised by the BeautifulSoup constructor if no parser with the
    requested features is found.

</details>

<details><summary><h3><strong>def deprecated_argument(old_name, new_name)</strong></h3></summary>

Constructor.

        :param markup: A string or a file-like object representing
         markup to be parsed.

        :param features: Desirable features of the parser to be
         used. This may be the name of a specific parser ("lxml",
         "lxml-xml", "html.parser", or "html5lib") or it may be the
         type of markup to be used ("html", "html5", "xml"). It's
         recommended that you name a specific parser, so that
         Beautiful Soup gives you the same results across platforms
         and virtual environments.

        :param builder: A TreeBuilder subclass to instantiate (or
         instance to use) instead of looking one up based on
         `features`. You only need to use this if you've implemented a
         custom TreeBuilder.

        :param parse_only: A SoupStrainer. Only parts of the document
         matching the SoupStrainer will be considered. This is useful
         when parsing part of a document that would otherwise be too
         large to fit into memory.

        :param from_encoding: A string indicating the encoding of the
         document to be parsed. Pass this in if Beautiful Soup is
         guessing wrongly about the document's encoding.

        :param exclude_encodings: A list of strings indicating
         encodings known to be wrong. Pass this in if you don't know
         the document's encoding but you know Beautiful Soup's guess is
         wrong.

        :param element_classes: A dictionary mapping BeautifulSoup
         classes like Tag and NavigableString, to other classes you'd
         like to be instantiated instead as the parse tree is
         built. This is useful for subclassing Tag or NavigableString
         to modify default behavior.

        :param kwargs: For backwards compatibility purposes, the
         constructor accepts certain keyword arguments used in
         Beautiful Soup 3. None of these arguments do anything in
         Beautiful Soup 4; they will result in a warning and then be
         ignored.
         
         Apart from this, any keyword arguments passed into the
         BeautifulSoup constructor are propagated to the TreeBuilder
         constructor. This makes it possible to configure a
         TreeBuilder by passing in arguments, not just by saying which
         one to use.

</details>

<details><summary><h3><strong>def deprecated_argument(old_name, new_name)</strong></h3></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h3><strong>def _clone(self)</strong></h3></summary>

Create a new BeautifulSoup object with the same TreeBuilder,
        but not associated with any markup.

        This is the first step of the deepcopy process.

</details>

<details><summary><h3><strong>def __getstate__(self)</strong></h3></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h3><strong>def __setstate__(self, state)</strong></h3></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h3><strong>def _decode_markup(cls, markup)</strong></h3></summary>

Ensure `markup` is bytes so it's safe to send into warnings.warn.

        TODO: warnings.warn had this problem back in 2010 but it might not
        anymore.

</details>

<details><summary><h3><strong>def _markup_is_url(cls, markup)</strong></h3></summary>

Error-handling method to raise a warning if incoming markup looks
        like a URL.

        :param markup: A string.
        :return: Whether or not the markup resembles a URL
            closely enough to justify a warning.

</details>

<details><summary><h3><strong>def _markup_resembles_filename(cls, markup)</strong></h3></summary>

Error-handling method to raise a warning if incoming markup
        resembles a filename.

        :param markup: A bytestring or string.
        :return: Whether or not the markup resembles a filename
            closely enough to justify a warning.

</details>

<details><summary><h3><strong>def _feed(self)</strong></h3></summary>

Internal method that parses previously set markup, creating a large
        number of Tag and NavigableString objects.

</details>

<details><summary><h3><strong>def reset(self)</strong></h3></summary>

Reset this object to a state as though it had never parsed any
        markup.

</details>

<details><summary><h3><strong>def string_container(self, base_class=None)</strong></h3></summary>

Create a new Tag associated with this BeautifulSoup object.

        :param name: The name of the new Tag.
        :param namespace: The URI of the new Tag's XML namespace, if any.
        :param prefix: The prefix for the new Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values; can
            be used instead of `kwattrs` for attributes like 'class'
            that are reserved words in Python.
        :param sourceline: The line number where this tag was
            (purportedly) found in its source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was (purportedly) found.
        :param kwattrs: Keyword arguments for the new Tag's attribute values.

</details>

<details><summary><h3><strong>def string_container(self, base_class=None)</strong></h3></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h3><strong>def new_string(self, s, subclass=None)</strong></h3></summary>

Create a new NavigableString associated with this BeautifulSoup
        object.

</details>

<details><summary><h3><strong>def insert_before(self, *args)</strong></h3></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h3><strong>def insert_after(self, *args)</strong></h3></summary>

This method is part of the PageElement API, but `BeautifulSoup` doesn't implement
        it because there is nothing before or after it in the parse tree.

</details>

<details><summary><h3><strong>def popTag(self)</strong></h3></summary>

Internal method called by _popToTag when a tag is closed.

</details>

<details><summary><h3><strong>def pushTag(self, tag)</strong></h3></summary>

Internal method called by handle_starttag when a tag is opened.

</details>

<details><summary><h3><strong>def endData(self, containerClass=None)</strong></h3></summary>

Method called by the TreeBuilder when the end of a data segment
        occurs.

</details>

<details><summary><h3><strong>def object_was_parsed(self, o, parent=None, most_recent_element=None)</strong></h3></summary>

Method called by the TreeBuilder to integrate an object into the parse tree.

</details>

<details><summary><h3><strong>def _linkage_fixer(self, el)</strong></h3></summary>

Make sure linkage of this fragment is sound.

</details>

<details><summary><h3><strong>def _popToTag(self, name, nsprefix=None, inclusivePop=True)</strong></h3></summary>

Pops the tag stack up to and including the most recent
        instance of the given tag.

        If there are no open tags with the given name, nothing will be
        popped.

        :param name: Pop up to the most recent tag with this name.
        :param nsprefix: The namespace prefix that goes with `name`.
        :param inclusivePop: It this is false, pops the tag stack up
          to but *not* including the most recent instqance of the
          given tag.

</details>

<details><summary><h3><strong>def handle_endtag(self, name, nsprefix=None)</strong></h3></summary>

Called by the tree builder when a new tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.
        :param attrs: A dictionary of attribute values.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param namespaces: A dictionary of all namespace prefix mappings 
            currently in scope in the document.

        If this method returns None, the tag was rejected by an active
        SoupStrainer. You should proceed as if the tag had not occurred
        in the document. For instance, if this was a self-closing tag,
        don't call handle_endtag.

</details>

<details><summary><h3><strong>def handle_endtag(self, name, nsprefix=None)</strong></h3></summary>

Called by the tree builder when an ending tag is encountered.

        :param name: Name of the tag.
        :param nsprefix: Namespace prefix for the tag.

</details>

<details><summary><h3><strong>def handle_data(self, data)</strong></h3></summary>

Called by the tree builder when a chunk of textual data is encountered.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Returns a string or Unicode representation of the parse tree
            as an HTML or XML document.

        :param pretty_print: If this is True, indentation will be used to
            make the document more readable.
        :param eventual_encoding: The encoding of the final document.
            If this is None, the document will be a Unicode string.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class XMLParsedAsHTMLWarning](#class-xmlparsedashtmlwarning)
- [class TreeBuilderRegistry](#class-treebuilderregistry)
- [class of](#class-of)
- [class other](#class-other)
- [class SAXTreeBuilder](#class-saxtreebuilder)
- [class HTMLTreeBuilder](#class-htmltreebuilder)
- [class other](#class-other)
- [class DetectsXMLParsedAsHTML](#class-detectsxmlparsedashtml)
- [class for](#class-for)
- [class ParserRejectedMarkup](#class-parserrejectedmarkup)
- [def __init__](#def-__init__)
- [def register](#def-register)
- [def lookup](#def-lookup)
- [def __init__](#def-__init__)
- [def initialize_soup](#def-initialize_soup)
- [def reset](#def-reset)
- [def can_be_empty_element](#def-can_be_empty_element)
- [def feed](#def-feed)
- [def prepare_markup](#def-prepare_markup)
- [def test_fragment_to_document](#def-test_fragment_to_document)
- [def set_up_substitutions](#def-set_up_substitutions)
- [def _replace_cdata_list_attribute_values](#def-_replace_cdata_list_attribute_values)
- [def set_up_substitutions](#def-set_up_substitutions)
- [def warn_if_markup_looks_like_xml](#def-warn_if_markup_looks_like_xml)
- [def _warn](#def-_warn)
- [def _initialize_xml_detector](#def-_initialize_xml_detector)
- [def _document_might_be_xml](#def-_document_might_be_xml)
- [def _root_tag_encountered](#def-_root_tag_encountered)
- [def register_treebuilders_from](#def-register_treebuilders_from)
- [def __init__](#def-__init__)
</details>

<details><summary><h3><strong>class XMLParsedAsHTMLWarning</strong></h3></summary>

The warning issued when an HTML parser is used to parse
    XML that is not XHTML.

</details>

<details><summary><h3><strong>class TreeBuilderRegistry</strong></h3></summary>

A way of looking up TreeBuilder subclasses by their name or by desired
    features.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Register a treebuilder based on its advertised features.

        :param treebuilder_class: A subclass of Treebuilder. its .features
           attribute should list its features.

</details>

<details><summary><h4><strong>def register</strong></h4></summary>

Register a treebuilder based on its advertised features.

        :param treebuilder_class: A subclass of Treebuilder. its .features
           attribute should list its features.

</details>

<details><summary><h4><strong>def lookup</strong></h4></summary>

Look up a TreeBuilder subclass with the desired features.

        :param features: A list of features to look for. If none are
            provided, the most recently registered TreeBuilder subclass
            will be used.
        :return: A TreeBuilder subclass, or None if there's no
            registered subclass with all the requested features.

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

for feature in treebuilder_class.features:
            self.builders_for_feature[feature].insert(0, treebuilder_class)
        self.builders.insert(0, treebuilder_class)

    def lookup(self, *features):

<details><summary><h4><strong>def lookup</strong></h4></summary>

Look up a TreeBuilder subclass with the desired features.

        :param features: A list of features to look for. If none are
            provided, the most recently registered TreeBuilder subclass
            will be used.
        :return: A TreeBuilder subclass, or None if there's no
            registered subclass with all the requested features.

</details>

</details>

<details><summary><h3><strong>class other</strong></h3></summary>

Constructor.

        :param multi_valued_attributes: If this is set to None, the
         TreeBuilder will not turn any values for attributes like
         'class' into lists. Setting this to a dictionary will
         customize this behavior; look at DEFAULT_CDATA_LIST_ATTRIBUTES
         for an example.

         Internally, these are called "CDATA list attributes", but that
         probably doesn't make sense to an end-user, so the argument name
         is `multi_valued_attributes`.

        :param preserve_whitespace_tags: A list of tags to treat
         the way <pre> tags are treated in HTML. Tags in this list
         are immune from pretty-printing; their contents will always be
         output as-is.

        :param string_containers: A dictionary mapping tag names to
        the classes that should be instantiated to contain the textual
        contents of those tags. The default is to use NavigableString
        for every tag, no matter what the name. You can override the
        default by changing DEFAULT_STRING_CONTAINERS.

        :param store_line_numbers: If the parser keeps track of the
         line numbers and positions of the original markup, that
         information will, by default, be stored in each corresponding
         `Tag` object. You can turn this off by passing
         store_line_numbers=False. If the parser you're using doesn't 
         keep track of this information, then setting store_line_numbers=True
         will do nothing.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param multi_valued_attributes: If this is set to None, the
         TreeBuilder will not turn any values for attributes like
         'class' into lists. Setting this to a dictionary will
         customize this behavior; look at DEFAULT_CDATA_LIST_ATTRIBUTES
         for an example.

         Internally, these are called "CDATA list attributes", but that
         probably doesn't make sense to an end-user, so the argument name
         is `multi_valued_attributes`.

        :param preserve_whitespace_tags: A list of tags to treat
         the way <pre> tags are treated in HTML. Tags in this list
         are immune from pretty-printing; their contents will always be
         output as-is.

        :param string_containers: A dictionary mapping tag names to
        the classes that should be instantiated to contain the textual
        contents of those tags. The default is to use NavigableString
        for every tag, no matter what the name. You can override the
        default by changing DEFAULT_STRING_CONTAINERS.

        :param store_line_numbers: If the parser keeps track of the
         line numbers and positions of the original markup, that
         information will, by default, be stored in each corresponding
         `Tag` object. You can turn this off by passing
         store_line_numbers=False. If the parser you're using doesn't 
         keep track of this information, then setting store_line_numbers=True
         will do nothing.

</details>

<details><summary><h4><strong>def initialize_soup</strong></h4></summary>

The BeautifulSoup object has been initialized and is now
        being associated with the TreeBuilder.

        :param soup: A BeautifulSoup object.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Do any work necessary to reset the underlying parser
        for a new document.

        By default, this does nothing.

</details>

<details><summary><h4><strong>def can_be_empty_element</strong></h4></summary>

Might a tag with this name be an empty-element tag?

        The final markup may or may not actually present this tag as
        self-closing.

        For instance: an HTMLBuilder does not consider a <p> tag to be
        an empty-element tag (it's not in
        HTMLBuilder.empty_element_tags). This means an empty <p> tag
        will be presented as "<p></p>", not "<p/>" or "<p>".

        The default implementation has no opinion about which tags are
        empty-element tags, so a tag will be presented as an
        empty-element tag if and only if it has no children.
        "<foo></foo>" will become "<foo/>", and "<foo>bar</foo>" will
        be left alone.

        :param tag_name: The name of a markup tag.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

        This method is not implemented in TreeBuilder; it must be
        implemented in subclasses.

        :return: None.

</details>

<details><summary><h4><strong>def prepare_markup</strong></h4></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        :param markup: Some markup -- probably a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding. NOTE: This argument is not used by the
            calling code and can probably be removed.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

         By default, the only strategy is to parse the markup
         as-is. See `LXMLTreeBuilderForXML` and
         `HTMLParserTreeBuilder` for implementations that take into
         account the quirks of particular parsers.

</details>

<details><summary><h4><strong>def test_fragment_to_document</strong></h4></summary>

Wrap an HTML fragment to make it look like a document.

        Different parsers do this differently. For instance, lxml
        introduces an empty <head> tag, and html5lib
        doesn't. Abstracting this away lets us write simple tests
        which run HTML fragments through the parser and compare the
        results against other HTML fragments.

        This method should not be used outside of tests.

        :param fragment: A string -- fragment of HTML.
        :return: A string -- a full HTML document.

</details>

<details><summary><h4><strong>def set_up_substitutions</strong></h4></summary>

Set up any substitutions that will need to be performed on 
        a `Tag` when it's output as a string.

        By default, this does nothing. See `HTMLTreeBuilder` for a
        case where this is used.

        :param tag: A `Tag`
        :return: Whether or not a substitution was performed.

</details>

<details><summary><h4><strong>def _replace_cdata_list_attribute_values</strong></h4></summary>

When an attribute value is associated with a tag that can
        have multiple values for that attribute, convert the string
        value to a list of strings.

        Basically, replaces class="foo bar" with class=["foo", "bar"]

        NOTE: This method modifies its input in place.

        :param tag_name: The name of a tag.
        :param attrs: A dictionary containing the tag's attributes.
           Any appropriate attribute values will be modified in place.

</details>

</details>

<details><summary><h3><strong>class SAXTreeBuilder</strong></h3></summary>

A Beautiful Soup treebuilder that listens for SAX events.

    This is not currently used for anything, but it demonstrates
    how a simple TreeBuilder would work.

</details>

<details><summary><h3><strong>class HTMLTreeBuilder</strong></h3></summary>

This TreeBuilder knows facts about HTML.

    Such as which tags are empty-element tags.

<details><summary><h4><strong>def set_up_substitutions</strong></h4></summary>

Replace the declared encoding in a <meta> tag with a placeholder,
        to be substituted when the tag is output to a string.

        An HTML document may come in to Beautiful Soup as one
        encoding, but exit in a different encoding, and the <meta> tag
        needs to be changed to reflect this.

        :param tag: A `Tag`
        :return: Whether or not a substitution was performed.

</details>

</details>

<details><summary><h3><strong>class other</strong></h3></summary>

Replace the declared encoding in a <meta> tag with a placeholder,
        to be substituted when the tag is output to a string.

        An HTML document may come in to Beautiful Soup as one
        encoding, but exit in a different encoding, and the <meta> tag
        needs to be changed to reflect this.

        :param tag: A `Tag`
        :return: Whether or not a substitution was performed.

<details><summary><h4><strong>def set_up_substitutions</strong></h4></summary>

Replace the declared encoding in a <meta> tag with a placeholder,
        to be substituted when the tag is output to a string.

        An HTML document may come in to Beautiful Soup as one
        encoding, but exit in a different encoding, and the <meta> tag
        needs to be changed to reflect this.

        :param tag: A `Tag`
        :return: Whether or not a substitution was performed.

</details>

</details>

<details><summary><h3><strong>class DetectsXMLParsedAsHTML</strong></h3></summary>

A mixin class for any class (a TreeBuilder, or some class used by a
    TreeBuilder) that's in a position to detect whether an XML
    document is being incorrectly parsed as HTML, and issue an
    appropriate warning.

    This requires being able to observe an incoming processing
    instruction that might be an XML declaration, and also able to
    observe tags as they're opened. If you can't do that for a given
    TreeBuilder, there's a less reliable implementation based on
    examining the raw markup.

<details><summary><h4><strong>def warn_if_markup_looks_like_xml</strong></h4></summary>

Perform a check on some markup to see if it looks like XML
        that's not XHTML. If so, issue a warning.

        This is much less reliable than doing the check while parsing,
        but some of the tree builders can't do that.

        :param stacklevel: The stacklevel of the code calling this
        function.

        :return: True if the markup looks like non-XHTML XML, False
        otherwise.

</details>

<details><summary><h4><strong>def _warn</strong></h4></summary>

Issue a warning about XML being parsed as HTML.

</details>

<details><summary><h4><strong>def _initialize_xml_detector</strong></h4></summary>

Call this method before parsing a document.

</details>

<details><summary><h4><strong>def _document_might_be_xml</strong></h4></summary>

Call this method when encountering an XML declaration, or a
        "processing instruction" that might be an XML declaration.

</details>

<details><summary><h4><strong>def _root_tag_encountered</strong></h4></summary>

Call this when you encounter the document's root tag.

        This is where we actually check whether an XML document is
        being incorrectly parsed as HTML, and issue the warning.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

# Regular expression for seeing if markup has an <html> tag.
    LOOKS_LIKE_HTML = re.compile("<[^ +]html", re.I)
    LOOKS_LIKE_HTML_B = re.compile(b"<[^ +]html", re.I)

    XML_PREFIX = '<?xml'
    XML_PREFIX_B = b'<?xml'
    
    @classmethod
    def warn_if_markup_looks_like_xml(cls, markup, stacklevel=3):

<details><summary><h4><strong>def warn_if_markup_looks_like_xml</strong></h4></summary>

Perform a check on some markup to see if it looks like XML
        that's not XHTML. If so, issue a warning.

        This is much less reliable than doing the check while parsing,
        but some of the tree builders can't do that.

        :param stacklevel: The stacklevel of the code calling this
        function.

        :return: True if the markup looks like non-XHTML XML, False
        otherwise.

</details>

<details><summary><h4><strong>def _warn</strong></h4></summary>

Issue a warning about XML being parsed as HTML.

</details>

<details><summary><h4><strong>def _initialize_xml_detector</strong></h4></summary>

Call this method before parsing a document.

</details>

<details><summary><h4><strong>def _document_might_be_xml</strong></h4></summary>

Call this method when encountering an XML declaration, or a
        "processing instruction" that might be an XML declaration.

</details>

<details><summary><h4><strong>def _root_tag_encountered</strong></h4></summary>

Call this when you encounter the document's root tag.

        This is where we actually check whether an XML document is
        being incorrectly parsed as HTML, and issue the warning.

</details>

</details>

<details><summary><h3><strong>class ParserRejectedMarkup</strong></h3></summary>

An Exception to be raised when the underlying parser simply
    refuses to parse the given markup.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Explain why the parser rejected the given markup, either
        with a textual explanation or another exception.

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Register a treebuilder based on its advertised features.

        :param treebuilder_class: A subclass of Treebuilder. its .features
           attribute should list its features.

</details>

<details><summary><h3><strong>def register(self, treebuilder_class)</strong></h3></summary>

Register a treebuilder based on its advertised features.

        :param treebuilder_class: A subclass of Treebuilder. its .features
           attribute should list its features.

</details>

<details><summary><h3><strong>def lookup(self, *features)</strong></h3></summary>

Look up a TreeBuilder subclass with the desired features.

        :param features: A list of features to look for. If none are
            provided, the most recently registered TreeBuilder subclass
            will be used.
        :return: A TreeBuilder subclass, or None if there's no
            registered subclass with all the requested features.

</details>

<details><summary><h3><strong>def initialize_soup(self, soup)</strong></h3></summary>

Constructor.

        :param multi_valued_attributes: If this is set to None, the
         TreeBuilder will not turn any values for attributes like
         'class' into lists. Setting this to a dictionary will
         customize this behavior; look at DEFAULT_CDATA_LIST_ATTRIBUTES
         for an example.

         Internally, these are called "CDATA list attributes", but that
         probably doesn't make sense to an end-user, so the argument name
         is `multi_valued_attributes`.

        :param preserve_whitespace_tags: A list of tags to treat
         the way <pre> tags are treated in HTML. Tags in this list
         are immune from pretty-printing; their contents will always be
         output as-is.

        :param string_containers: A dictionary mapping tag names to
        the classes that should be instantiated to contain the textual
        contents of those tags. The default is to use NavigableString
        for every tag, no matter what the name. You can override the
        default by changing DEFAULT_STRING_CONTAINERS.

        :param store_line_numbers: If the parser keeps track of the
         line numbers and positions of the original markup, that
         information will, by default, be stored in each corresponding
         `Tag` object. You can turn this off by passing
         store_line_numbers=False. If the parser you're using doesn't 
         keep track of this information, then setting store_line_numbers=True
         will do nothing.

</details>

<details><summary><h3><strong>def initialize_soup(self, soup)</strong></h3></summary>

The BeautifulSoup object has been initialized and is now
        being associated with the TreeBuilder.

        :param soup: A BeautifulSoup object.

</details>

<details><summary><h3><strong>def reset(self)</strong></h3></summary>

Do any work necessary to reset the underlying parser
        for a new document.

        By default, this does nothing.

</details>

<details><summary><h3><strong>def can_be_empty_element(self, tag_name)</strong></h3></summary>

Might a tag with this name be an empty-element tag?

        The final markup may or may not actually present this tag as
        self-closing.

        For instance: an HTMLBuilder does not consider a <p> tag to be
        an empty-element tag (it's not in
        HTMLBuilder.empty_element_tags). This means an empty <p> tag
        will be presented as "<p></p>", not "<p/>" or "<p>".

        The default implementation has no opinion about which tags are
        empty-element tags, so a tag will be presented as an
        empty-element tag if and only if it has no children.
        "<foo></foo>" will become "<foo/>", and "<foo>bar</foo>" will
        be left alone.

        :param tag_name: The name of a markup tag.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

        This method is not implemented in TreeBuilder; it must be
        implemented in subclasses.

        :return: None.

</details>

<details><summary><h3><strong>def test_fragment_to_document(self, fragment)</strong></h3></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        :param markup: Some markup -- probably a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding. NOTE: This argument is not used by the
            calling code and can probably be removed.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

         By default, the only strategy is to parse the markup
         as-is. See `LXMLTreeBuilderForXML` and
         `HTMLParserTreeBuilder` for implementations that take into
         account the quirks of particular parsers.

</details>

<details><summary><h3><strong>def test_fragment_to_document(self, fragment)</strong></h3></summary>

Wrap an HTML fragment to make it look like a document.

        Different parsers do this differently. For instance, lxml
        introduces an empty <head> tag, and html5lib
        doesn't. Abstracting this away lets us write simple tests
        which run HTML fragments through the parser and compare the
        results against other HTML fragments.

        This method should not be used outside of tests.

        :param fragment: A string -- fragment of HTML.
        :return: A string -- a full HTML document.

</details>

<details><summary><h3><strong>def set_up_substitutions(self, tag)</strong></h3></summary>

Set up any substitutions that will need to be performed on 
        a `Tag` when it's output as a string.

        By default, this does nothing. See `HTMLTreeBuilder` for a
        case where this is used.

        :param tag: A `Tag`
        :return: Whether or not a substitution was performed.

</details>

<details><summary><h3><strong>def _replace_cdata_list_attribute_values(self, tag_name, attrs)</strong></h3></summary>

When an attribute value is associated with a tag that can
        have multiple values for that attribute, convert the string
        value to a list of strings.

        Basically, replaces class="foo bar" with class=["foo", "bar"]

        NOTE: This method modifies its input in place.

        :param tag_name: The name of a tag.
        :param attrs: A dictionary containing the tag's attributes.
           Any appropriate attribute values will be modified in place.

</details>

<details><summary><h3><strong>def set_up_substitutions(self, tag)</strong></h3></summary>

Replace the declared encoding in a <meta> tag with a placeholder,
        to be substituted when the tag is output to a string.

        An HTML document may come in to Beautiful Soup as one
        encoding, but exit in a different encoding, and the <meta> tag
        needs to be changed to reflect this.

        :param tag: A `Tag`
        :return: Whether or not a substitution was performed.

</details>

<details><summary><h3><strong>def warn_if_markup_looks_like_xml(cls, markup, stacklevel=3)</strong></h3></summary>

Perform a check on some markup to see if it looks like XML
        that's not XHTML. If so, issue a warning.

        This is much less reliable than doing the check while parsing,
        but some of the tree builders can't do that.

        :param stacklevel: The stacklevel of the code calling this
        function.

        :return: True if the markup looks like non-XHTML XML, False
        otherwise.

</details>

<details><summary><h3><strong>def _warn(cls, stacklevel=5)</strong></h3></summary>

Issue a warning about XML being parsed as HTML.

</details>

<details><summary><h3><strong>def _initialize_xml_detector(self)</strong></h3></summary>

Call this method before parsing a document.

</details>

<details><summary><h3><strong>def _document_might_be_xml(self, processing_instruction)</strong></h3></summary>

Call this method when encountering an XML declaration, or a
        "processing instruction" that might be an XML declaration.

</details>

<details><summary><h3><strong>def _root_tag_encountered(self, name)</strong></h3></summary>

Call this when you encounter the document's root tag.

        This is where we actually check whether an XML document is
        being incorrectly parsed as HTML, and issue the warning.

</details>

<details><summary><h3><strong>def register_treebuilders_from(module)</strong></h3></summary>

Copy TreeBuilders from the given module into this module.

</details>

<details><summary><h3><strong>def __init__(self, message_or_exception)</strong></h3></summary>

Explain why the parser rejected the given markup, either
        with a textual explanation or another exception.

</details>

</details>


<details><summary><h2><strong> _html5lib.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class HTML5TreeBuilder](#class-html5treebuilder)
- [class TreeBuilderForHtml5lib](#class-treebuilderforhtml5lib)
- [class Element](#class-element)
- [def prepare_markup](#def-prepare_markup)
- [def feed](#def-feed)
- [def create_treebuilder](#def-create_treebuilder)
- [def test_fragment_to_document](#def-test_fragment_to_document)
- [def __init__](#def-__init__)
- [def documentClass](#def-documentclass)
- [def insertDoctype](#def-insertdoctype)
- [def elementClass](#def-elementclass)
- [def commentClass](#def-commentclass)
- [def fragmentClass](#def-fragmentclass)
- [def appendChild](#def-appendchild)
- [def getDocument](#def-getdocument)
- [def getFragment](#def-getfragment)
- [def testSerializer](#def-testserializer)
- [def serializeElement](#def-serializeelement)
- [def __init__](#def-__init__)
- [def appendChild](#def-appendchild)
- [def getAttributes](#def-getattributes)
- [def setAttributes](#def-setattributes)
- [def insertText](#def-inserttext)
- [def insertBefore](#def-insertbefore)
- [def removeChild](#def-removechild)
- [def reparentChildren](#def-reparentchildren)
</details>

<details><summary><h3><strong>class HTML5TreeBuilder</strong></h3></summary>

Use html5lib to build a tree.

    Note that this TreeBuilder does not support some features common
    to HTML TreeBuilders. Some of these features could theoretically
    be implemented, but at the very least it's quite difficult,
    because html5lib moves the parse tree around as it's being built.

    * This TreeBuilder doesn't use different subclasses of NavigableString
      based on the name of the tag in which the string was found.

    * You can't use a SoupStrainer to parse only part of a document.

<details><summary><h4><strong>def prepare_markup</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def create_treebuilder</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def test_fragment_to_document</strong></h4></summary>

See `TreeBuilder`.

</details>

</details>

<details><summary><h3><strong>class TreeBuilderForHtml5lib</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

<details><summary><h4><strong>def __init__</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def documentClass</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def insertDoctype</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def elementClass</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def commentClass</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def fragmentClass</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def appendChild</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def getDocument</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def getFragment</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def testSerializer</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h4><strong>def serializeElement</strong></h4></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

</details>

<details><summary><h3><strong>class Element</strong></h3></summary>

Move all of this tag's children into another tag.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def appendChild</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def getAttributes</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def setAttributes</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def insertText</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def insertBefore</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def removeChild</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h4><strong>def reparentChildren</strong></h4></summary>

Move all of this tag's children into another tag.

</details>

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def create_treebuilder(self, namespaceHTMLElements)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def test_fragment_to_document(self, fragment)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def documentClass(self)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def documentClass(self)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def insertDoctype(self, token)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def elementClass(self, name, namespace)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def commentClass(self, data)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def fragmentClass(self)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def appendChild(self, node)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def getDocument(self)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def getFragment(self)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def testSerializer(self, element)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def serializeElement(element, indent=0)</strong></h3></summary>

|%s<!DOCTYPE %s "%s" "%s">

</details>

<details><summary><h3><strong>def __init__(self, element, soup, namespace)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def appendChild(self, node)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def getAttributes(self)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def setAttributes(self, attributes)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def insertText(self, data, insertBefore=None)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def insertBefore(self, node, refNode)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def removeChild(self, node)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

<details><summary><h3><strong>def reparentChildren(self, new_parent)</strong></h3></summary>

Move all of this tag's children into another tag.

</details>

</details>


<details><summary><h2><strong> _htmlparser.py</strong></h2></summary>

Use the HTMLParser library to parse HTML files that aren't too bad.

<details open><summary><h3>Contents</h3></summary>

- [class BeautifulSoupHTMLParser](#class-beautifulsouphtmlparser)
- [class of](#class-of)
- [class HTMLParserTreeBuilder](#class-htmlparsertreebuilder)
- [class constructor](#class-constructor)
- [class for](#class-for)
- [def __init__](#def-__init__)
- [def error](#def-error)
- [def handle_startendtag](#def-handle_startendtag)
- [def handle_starttag](#def-handle_starttag)
- [def handle_endtag](#def-handle_endtag)
- [def handle_data](#def-handle_data)
- [def handle_charref](#def-handle_charref)
- [def handle_entityref](#def-handle_entityref)
- [def handle_comment](#def-handle_comment)
- [def handle_decl](#def-handle_decl)
- [def unknown_decl](#def-unknown_decl)
- [def handle_pi](#def-handle_pi)
- [def __init__](#def-__init__)
- [def prepare_markup](#def-prepare_markup)
- [def feed](#def-feed)
</details>

<details><summary><h3><strong>class BeautifulSoupHTMLParser</strong></h3></summary>

A subclass of the Python standard library's HTMLParser class, which
    listens for HTMLParser events and translates them into calls
    to Beautiful Soup's tree construction API.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param on_duplicate_attribute: A strategy for what to do if a
            tag includes the same attribute more than once. Accepted
            values are: REPLACE (replace earlier values with later
            ones, the default), IGNORE (keep the earliest value
            encountered), or a callable. A callable must take three
            arguments: the dictionary of attributes already processed,
            the name of the duplicate attribute, and the most recent value
            encountered.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Handle an incoming empty-element tag.

        This is only called when the markup looks like <tag/>.

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.

</details>

<details><summary><h4><strong>def handle_startendtag</strong></h4></summary>

Handle an incoming empty-element tag.

        This is only called when the markup looks like <tag/>.

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Handle an opening tag, e.g. '<tag>'

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.
        :param handle_empty_element: True if this tag is known to be
            an empty-element tag (i.e. there is not expected to be any
            closing tag).

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Handle a closing tag, e.g. '</tag>'
        
        :param name: A tag name.
        :param check_already_closed: True if this tag is expected to
           be the closing portion of an empty-element tag,
           e.g. '<tag></tag>'.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Handle some textual data that shows up between tags.

</details>

<details><summary><h4><strong>def handle_charref</strong></h4></summary>

Handle a numeric character reference by converting it to the
        corresponding Unicode character and treating it as textual
        data.

        :param name: Character number, possibly in hexadecimal.

</details>

<details><summary><h4><strong>def handle_entityref</strong></h4></summary>

Handle a named entity reference by converting it to the
        corresponding Unicode character(s) and treating it as textual
        data.

        :param name: Name of the entity reference.

</details>

<details><summary><h4><strong>def handle_comment</strong></h4></summary>

Handle an HTML comment.

        :param data: The text of the comment.

</details>

<details><summary><h4><strong>def handle_decl</strong></h4></summary>

Handle a DOCTYPE declaration.

        :param data: The text of the declaration.

</details>

<details><summary><h4><strong>def unknown_decl</strong></h4></summary>

Handle a declaration of unknown type -- probably a CDATA block.

        :param data: The text of the declaration.

</details>

<details><summary><h4><strong>def handle_pi</strong></h4></summary>

Handle a processing instruction.

        :param data: The text of the instruction.

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

# Strategies for handling duplicate attributes
    IGNORE = 'ignore'
    REPLACE = 'replace'
    
    def __init__(self, *args, **kwargs):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param on_duplicate_attribute: A strategy for what to do if a
            tag includes the same attribute more than once. Accepted
            values are: REPLACE (replace earlier values with later
            ones, the default), IGNORE (keep the earliest value
            encountered), or a callable. A callable must take three
            arguments: the dictionary of attributes already processed,
            the name of the duplicate attribute, and the most recent value
            encountered.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Handle an incoming empty-element tag.

        This is only called when the markup looks like <tag/>.

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.

</details>

<details><summary><h4><strong>def handle_startendtag</strong></h4></summary>

Handle an incoming empty-element tag.

        This is only called when the markup looks like <tag/>.

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

Handle an opening tag, e.g. '<tag>'

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.
        :param handle_empty_element: True if this tag is known to be
            an empty-element tag (i.e. there is not expected to be any
            closing tag).

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

Handle a closing tag, e.g. '</tag>'
        
        :param name: A tag name.
        :param check_already_closed: True if this tag is expected to
           be the closing portion of an empty-element tag,
           e.g. '<tag></tag>'.

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Handle some textual data that shows up between tags.

</details>

<details><summary><h4><strong>def handle_charref</strong></h4></summary>

Handle a numeric character reference by converting it to the
        corresponding Unicode character and treating it as textual
        data.

        :param name: Character number, possibly in hexadecimal.

</details>

<details><summary><h4><strong>def handle_entityref</strong></h4></summary>

Handle a named entity reference by converting it to the
        corresponding Unicode character(s) and treating it as textual
        data.

        :param name: Name of the entity reference.

</details>

<details><summary><h4><strong>def handle_comment</strong></h4></summary>

Handle an HTML comment.

        :param data: The text of the comment.

</details>

<details><summary><h4><strong>def handle_decl</strong></h4></summary>

Handle a DOCTYPE declaration.

        :param data: The text of the declaration.

</details>

<details><summary><h4><strong>def unknown_decl</strong></h4></summary>

Handle a declaration of unknown type -- probably a CDATA block.

        :param data: The text of the declaration.

</details>

<details><summary><h4><strong>def handle_pi</strong></h4></summary>

Handle a processing instruction.

        :param data: The text of the instruction.

</details>

</details>

<details><summary><h3><strong>class HTMLParserTreeBuilder</strong></h3></summary>

A Beautiful soup `TreeBuilder` that uses the `HTMLParser` parser,
    found in the Python standard library.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param parser_args: Positional arguments to pass into 
            the BeautifulSoupHTMLParser constructor, once it's
            invoked.
        :param parser_kwargs: Keyword arguments to pass into 
            the BeautifulSoupHTMLParser constructor, once it's
            invoked.
        :param kwargs: Keyword arguments for the superclass constructor.

</details>

<details><summary><h4><strong>def prepare_markup</strong></h4></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        :param markup: Some markup -- probably a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

</details>

</details>

<details><summary><h3><strong>class constructor</strong></h3></summary>

# Some keyword arguments will be pulled out of kwargs and placed
        # into parser_kwargs.
        extra_parser_kwargs = dict()
        for arg in ('on_duplicate_attribute',):
            if arg in kwargs:
                value = kwargs.pop(arg)
                extra_parser_kwargs[arg] = value
        super(HTMLParserTreeBuilder, self).__init__(**kwargs)
        parser_args = parser_args or []
        parser_kwargs = parser_kwargs or {}
        parser_kwargs.update(extra_parser_kwargs)
        parser_kwargs['convert_charrefs'] = False
        self.parser_args = (parser_args, parser_kwargs)
        
    def prepare_markup(self, markup, user_specified_encoding=None,
                       document_declared_encoding=None, exclude_encodings=None):

<details><summary><h4><strong>def prepare_markup</strong></h4></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        :param markup: Some markup -- probably a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

<details><summary><h4><strong>def feed</strong></h4></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

</details>

</details>

<details><summary><h3><strong>def __init__(self, *args, **kwargs)</strong></h3></summary>

Constructor.

        :param on_duplicate_attribute: A strategy for what to do if a
            tag includes the same attribute more than once. Accepted
            values are: REPLACE (replace earlier values with later
            ones, the default), IGNORE (keep the earliest value
            encountered), or a callable. A callable must take three
            arguments: the dictionary of attributes already processed,
            the name of the duplicate attribute, and the most recent value
            encountered.

</details>

<details><summary><h3><strong>def error(self, message)</strong></h3></summary>

Handle an incoming empty-element tag.

        This is only called when the markup looks like <tag/>.

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.

</details>

<details><summary><h3><strong>def handle_startendtag(self, name, attrs)</strong></h3></summary>

Handle an incoming empty-element tag.

        This is only called when the markup looks like <tag/>.

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.

</details>

<details><summary><h3><strong>def handle_starttag(self, name, attrs, handle_empty_element=True)</strong></h3></summary>

Handle an opening tag, e.g. '<tag>'

        :param name: Name of the tag.
        :param attrs: Dictionary of the tag's attributes.
        :param handle_empty_element: True if this tag is known to be
            an empty-element tag (i.e. there is not expected to be any
            closing tag).

</details>

<details><summary><h3><strong>def handle_endtag(self, name, check_already_closed=True)</strong></h3></summary>

Handle a closing tag, e.g. '</tag>'
        
        :param name: A tag name.
        :param check_already_closed: True if this tag is expected to
           be the closing portion of an empty-element tag,
           e.g. '<tag></tag>'.

</details>

<details><summary><h3><strong>def handle_data(self, data)</strong></h3></summary>

Handle some textual data that shows up between tags.

</details>

<details><summary><h3><strong>def handle_charref(self, name)</strong></h3></summary>

Handle a numeric character reference by converting it to the
        corresponding Unicode character and treating it as textual
        data.

        :param name: Character number, possibly in hexadecimal.

</details>

<details><summary><h3><strong>def handle_entityref(self, name)</strong></h3></summary>

Handle a named entity reference by converting it to the
        corresponding Unicode character(s) and treating it as textual
        data.

        :param name: Name of the entity reference.

</details>

<details><summary><h3><strong>def handle_comment(self, data)</strong></h3></summary>

Handle an HTML comment.

        :param data: The text of the comment.

</details>

<details><summary><h3><strong>def handle_decl(self, data)</strong></h3></summary>

Handle a DOCTYPE declaration.

        :param data: The text of the declaration.

</details>

<details><summary><h3><strong>def unknown_decl(self, data)</strong></h3></summary>

Handle a declaration of unknown type -- probably a CDATA block.

        :param data: The text of the declaration.

</details>

<details><summary><h3><strong>def handle_pi(self, data)</strong></h3></summary>

Handle a processing instruction.

        :param data: The text of the instruction.

</details>

<details><summary><h3><strong>def __init__(self, parser_args=None, parser_kwargs=None, **kwargs)</strong></h3></summary>

Constructor.

        :param parser_args: Positional arguments to pass into 
            the BeautifulSoupHTMLParser constructor, once it's
            invoked.
        :param parser_kwargs: Keyword arguments to pass into 
            the BeautifulSoupHTMLParser constructor, once it's
            invoked.
        :param kwargs: Keyword arguments for the superclass constructor.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        :param markup: Some markup -- probably a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

Run some incoming markup through some parsing process,
        populating the `BeautifulSoup` object in self.soup.

</details>

</details>


<details><summary><h2><strong> _lxml.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class LXMLTreeBuilderForXML](#class-lxmltreebuilderforxml)
- [class for](#class-for)
- [class LXMLTreeBuilder](#class-lxmltreebuilder)
- [def initialize_soup](#def-initialize_soup)
- [def _register_namespaces](#def-_register_namespaces)
- [def default_parser](#def-default_parser)
- [def parser_for](#def-parser_for)
- [def __init__](#def-__init__)
- [def _getNsTag](#def-_getnstag)
- [def prepare_markup](#def-prepare_markup)
- [def feed](#def-feed)
- [def close](#def-close)
- [def start](#def-start)
- [def _prefix_for_namespace](#def-_prefix_for_namespace)
- [def end](#def-end)
- [def pi](#def-pi)
- [def data](#def-data)
- [def doctype](#def-doctype)
- [def comment](#def-comment)
- [def test_fragment_to_document](#def-test_fragment_to_document)
- [def default_parser](#def-default_parser)
- [def feed](#def-feed)
- [def test_fragment_to_document](#def-test_fragment_to_document)
</details>

<details><summary><h3><strong>class LXMLTreeBuilderForXML</strong></h3></summary>

Let the BeautifulSoup object know about the standard namespace
        mapping.

        :param soup: A `BeautifulSoup`.

<details><summary><h4><strong>def initialize_soup</strong></h4></summary>

Let the BeautifulSoup object know about the standard namespace
        mapping.

        :param soup: A `BeautifulSoup`.

</details>

<details><summary><h4><strong>def _register_namespaces</strong></h4></summary>

Let the BeautifulSoup object know about namespaces encountered
        while parsing the document.

        This might be useful later on when creating CSS selectors.

        This will track (almost) all namespaces, even ones that were
        only in scope for part of the document. If two namespaces have
        the same prefix, only the first one encountered will be
        tracked. Un-prefixed namespaces are not tracked.

        :param mapping: A dictionary mapping namespace prefixes to URIs.

</details>

<details><summary><h4><strong>def default_parser</strong></h4></summary>

Find the default parser for the given encoding.

        :param encoding: A string.
        :return: Either a parser object or a class, which
          will be instantiated with default arguments.

</details>

<details><summary><h4><strong>def parser_for</strong></h4></summary>

Instantiate an appropriate parser for the given encoding.

        :param encoding: A string.
        :return: A parser object such as an `etree.XMLParser`.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        lxml really wants to get a bytestring and convert it to
        Unicode itself. So instead of using UnicodeDammit to convert
        the bytestring to Unicode using different encodings, this
        implementation uses EncodingDetector to iterate over the
        encodings, and tell lxml to try to parse the document as each
        one in turn.

        :param markup: Some markup -- hopefully a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h4><strong>def _getNsTag</strong></h4></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        lxml really wants to get a bytestring and convert it to
        Unicode itself. So instead of using UnicodeDammit to convert
        the bytestring to Unicode using different encodings, this
        implementation uses EncodingDetector to iterate over the
        encodings, and tell lxml to try to parse the document as each
        one in turn.

        :param markup: Some markup -- hopefully a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h4><strong>def prepare_markup</strong></h4></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        lxml really wants to get a bytestring and convert it to
        Unicode itself. So instead of using UnicodeDammit to convert
        the bytestring to Unicode using different encodings, this
        implementation uses EncodingDetector to iterate over the
        encodings, and tell lxml to try to parse the document as each
        one in turn.

        :param markup: Some markup -- hopefully a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def _prefix_for_namespace</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def end</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def pi</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def doctype</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def comment</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def test_fragment_to_document</strong></h4></summary>

See `TreeBuilder`.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

Find the currently active prefix for the given namespace.

<details><summary><h4><strong>def feed</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def _prefix_for_namespace</strong></h4></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h4><strong>def end</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def pi</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def doctype</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def comment</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def test_fragment_to_document</strong></h4></summary>

See `TreeBuilder`.

</details>

</details>

<details><summary><h3><strong>class LXMLTreeBuilder</strong></h3></summary>

See `TreeBuilder`.

<details><summary><h4><strong>def default_parser</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

See `TreeBuilder`.

</details>

<details><summary><h4><strong>def test_fragment_to_document</strong></h4></summary>

See `TreeBuilder`.

</details>

</details>

<details><summary><h3><strong>def initialize_soup(self, soup)</strong></h3></summary>

Let the BeautifulSoup object know about the standard namespace
        mapping.

        :param soup: A `BeautifulSoup`.

</details>

<details><summary><h3><strong>def _register_namespaces(self, mapping)</strong></h3></summary>

Let the BeautifulSoup object know about namespaces encountered
        while parsing the document.

        This might be useful later on when creating CSS selectors.

        This will track (almost) all namespaces, even ones that were
        only in scope for part of the document. If two namespaces have
        the same prefix, only the first one encountered will be
        tracked. Un-prefixed namespaces are not tracked.

        :param mapping: A dictionary mapping namespace prefixes to URIs.

</details>

<details><summary><h3><strong>def default_parser(self, encoding)</strong></h3></summary>

Find the default parser for the given encoding.

        :param encoding: A string.
        :return: Either a parser object or a class, which
          will be instantiated with default arguments.

</details>

<details><summary><h3><strong>def parser_for(self, encoding)</strong></h3></summary>

Instantiate an appropriate parser for the given encoding.

        :param encoding: A string.
        :return: A parser object such as an `etree.XMLParser`.

</details>

<details><summary><h3><strong>def __init__(self, parser=None, empty_element_tags=None, **kwargs)</strong></h3></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        lxml really wants to get a bytestring and convert it to
        Unicode itself. So instead of using UnicodeDammit to convert
        the bytestring to Unicode using different encodings, this
        implementation uses EncodingDetector to iterate over the
        encodings, and tell lxml to try to parse the document as each
        one in turn.

        :param markup: Some markup -- hopefully a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h3><strong>def _getNsTag(self, tag)</strong></h3></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        lxml really wants to get a bytestring and convert it to
        Unicode itself. So instead of using UnicodeDammit to convert
        the bytestring to Unicode using different encodings, this
        implementation uses EncodingDetector to iterate over the
        encodings, and tell lxml to try to parse the document as each
        one in turn.

        :param markup: Some markup -- hopefully a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

Run any preliminary steps necessary to make incoming markup
        acceptable to the parser.

        lxml really wants to get a bytestring and convert it to
        Unicode itself. So instead of using UnicodeDammit to convert
        the bytestring to Unicode using different encodings, this
        implementation uses EncodingDetector to iterate over the
        encodings, and tell lxml to try to parse the document as each
        one in turn.

        :param markup: Some markup -- hopefully a bytestring.
        :param user_specified_encoding: The user asked to try this encoding.
        :param document_declared_encoding: The markup itself claims to be
            in this encoding.
        :param exclude_encodings: The user asked _not_ to try any of
            these encodings.

        :yield: A series of 4-tuples:
         (markup, encoding, declared encoding,
          has undergone character replacement)

         Each 4-tuple represents a strategy for converting the
         document to Unicode and parsing it. Each strategy will be tried 
         in turn.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h3><strong>def start(self, name, attrs, nsmap={})</strong></h3></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h3><strong>def _prefix_for_namespace(self, namespace)</strong></h3></summary>

Find the currently active prefix for the given namespace.

</details>

<details><summary><h3><strong>def end(self, name)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def pi(self, target, data)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def data(self, content)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def doctype(self, name, pubid, system)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def comment(self, content)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def test_fragment_to_document(self, fragment)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def default_parser(self, encoding)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def feed(self, markup)</strong></h3></summary>

See `TreeBuilder`.

</details>

<details><summary><h3><strong>def test_fragment_to_document(self, fragment)</strong></h3></summary>

See `TreeBuilder`.

</details>

</details>


<details><summary><h2><strong> css.py</strong></h2></summary>

Integration code for CSS selectors using Soup Sieve (pypi: soupsieve).

<details open><summary><h3>Contents</h3></summary>

- [class CSS](#class-css)
- [class yourself](#class-yourself)
- [def __init__](#def-__init__)
- [def escape](#def-escape)
- [def _ns](#def-_ns)
- [def _rs](#def-_rs)
- [def compile](#def-compile)
- [def select_one](#def-select_one)
- [def select](#def-select)
- [def iselect](#def-iselect)
- [def closest](#def-closest)
- [def match](#def-match)
- [def filter](#def-filter)
</details>

<details><summary><h3><strong>class CSS</strong></h3></summary>

A proxy object against the soupsieve library, to simplify its
    CSS selector API.

    Acquire this object through the .css attribute on the
    BeautifulSoup object, or on the Tag you want to use as the
    starting point for a CSS selector.

    The main advantage of doing this is that the tag to be selected
    against doesn't need to be explicitly specified in the function
    calls, since it's already scoped to a tag.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        You don't need to instantiate this class yourself; instead,
        access the .css attribute on the BeautifulSoup object, or on
        the Tag you want to use as the starting point for your CSS
        selector.

        :param tag: All CSS selectors will use this as their starting
        point.

        :param api: A plug-in replacement for the soupsieve module,
        designed mainly for use in tests.

</details>

<details><summary><h4><strong>def escape</strong></h4></summary>

Escape a CSS identifier.

        This is a simple wrapper around soupselect.escape(). See the
        documentation for that function for more information.

</details>

<details><summary><h4><strong>def _ns</strong></h4></summary>

Normalize a dictionary of namespaces.

</details>

<details><summary><h4><strong>def _rs</strong></h4></summary>

Normalize a list of results to a Resultset.

        A ResultSet is more consistent with the rest of Beautiful
        Soup's API, and ResultSet.__getattr__ has a helpful error
        message if you try to treat a list of results as a single
        result (a common mistake).

</details>

<details><summary><h4><strong>def compile</strong></h4></summary>

Pre-compile a selector and return the compiled object.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.compile() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.compile() method.

        :return: A precompiled selector object.
        :rtype: soupsieve.SoupSieve

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Perform a CSS selection operation on the current Tag and return the
        first result.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.select_one()
        method.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.select_one() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select_one() method.

        :return: A Tag, or None if the selector has no match.
        :rtype: bs4.element.Tag

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Perform a CSS selection operation on the current Tag.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.select()
        method.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.select() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.select() method.

        :return: A ResultSet of Tag objects.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def iselect</strong></h4></summary>

Perform a CSS selection operation on the current Tag.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.iselect()
        method. It is the same as select(), but it returns a generator
        instead of a list.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.iselect() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.iselect() method.

        :return: A generator
        :rtype: types.GeneratorType

</details>

<details><summary><h4><strong>def closest</strong></h4></summary>

Find the Tag closest to this one that matches the given selector.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.closest()
        method.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.closest() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.closest() method.

        :return: A Tag, or None if there is no match.
        :rtype: bs4.Tag

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Check whether this Tag matches the given CSS selector.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.match()
        method.

        :param: a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.match() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.match() method.

        :return: True if this Tag matches the selector; False otherwise.
        :rtype: bool

</details>

<details><summary><h4><strong>def filter</strong></h4></summary>

Filter this Tag's direct children based on the given CSS selector.

        This uses the Soup Sieve library. It works the same way as
        passing this Tag into that library's soupsieve.filter()
        method. More information, for more information see the
        documentation for soupsieve.filter().

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.filter() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.filter() method.

        :return: A ResultSet of Tag objects.
        :rtype: bs4.element.ResultSet

</details>

</details>

<details><summary><h3><strong>class yourself</strong></h3></summary>

if api is None:
            raise NotImplementedError(
                "Cannot execute CSS selectors because the soupsieve package is not installed."
            )
        self.api = api
        self.tag = tag

    def escape(self, ident):

<details><summary><h4><strong>def escape</strong></h4></summary>

Escape a CSS identifier.

        This is a simple wrapper around soupselect.escape(). See the
        documentation for that function for more information.

</details>

<details><summary><h4><strong>def _ns</strong></h4></summary>

Normalize a dictionary of namespaces.

</details>

<details><summary><h4><strong>def _rs</strong></h4></summary>

Normalize a list of results to a Resultset.

        A ResultSet is more consistent with the rest of Beautiful
        Soup's API, and ResultSet.__getattr__ has a helpful error
        message if you try to treat a list of results as a single
        result (a common mistake).

</details>

<details><summary><h4><strong>def compile</strong></h4></summary>

Pre-compile a selector and return the compiled object.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.compile() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.compile() method.

        :return: A precompiled selector object.
        :rtype: soupsieve.SoupSieve

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Perform a CSS selection operation on the current Tag and return the
        first result.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.select_one()
        method.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.select_one() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select_one() method.

        :return: A Tag, or None if the selector has no match.
        :rtype: bs4.element.Tag

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Perform a CSS selection operation on the current Tag.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.select()
        method.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.select() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.select() method.

        :return: A ResultSet of Tag objects.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def iselect</strong></h4></summary>

Perform a CSS selection operation on the current Tag.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.iselect()
        method. It is the same as select(), but it returns a generator
        instead of a list.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.iselect() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.iselect() method.

        :return: A generator
        :rtype: types.GeneratorType

</details>

<details><summary><h4><strong>def closest</strong></h4></summary>

Find the Tag closest to this one that matches the given selector.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.closest()
        method.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.closest() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.closest() method.

        :return: A Tag, or None if there is no match.
        :rtype: bs4.Tag

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Check whether this Tag matches the given CSS selector.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.match()
        method.

        :param: a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.match() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.match() method.

        :return: True if this Tag matches the selector; False otherwise.
        :rtype: bool

</details>

<details><summary><h4><strong>def filter</strong></h4></summary>

Filter this Tag's direct children based on the given CSS selector.

        This uses the Soup Sieve library. It works the same way as
        passing this Tag into that library's soupsieve.filter()
        method. More information, for more information see the
        documentation for soupsieve.filter().

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.filter() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.filter() method.

        :return: A ResultSet of Tag objects.
        :rtype: bs4.element.ResultSet

</details>

</details>

<details><summary><h3><strong>def __init__(self, tag, api=soupsieve)</strong></h3></summary>

Constructor.

        You don't need to instantiate this class yourself; instead,
        access the .css attribute on the BeautifulSoup object, or on
        the Tag you want to use as the starting point for your CSS
        selector.

        :param tag: All CSS selectors will use this as their starting
        point.

        :param api: A plug-in replacement for the soupsieve module,
        designed mainly for use in tests.

</details>

<details><summary><h3><strong>def escape(self, ident)</strong></h3></summary>

Escape a CSS identifier.

        This is a simple wrapper around soupselect.escape(). See the
        documentation for that function for more information.

</details>

<details><summary><h3><strong>def _ns(self, ns, select)</strong></h3></summary>

Normalize a dictionary of namespaces.

</details>

<details><summary><h3><strong>def _rs(self, results)</strong></h3></summary>

Normalize a list of results to a Resultset.

        A ResultSet is more consistent with the rest of Beautiful
        Soup's API, and ResultSet.__getattr__ has a helpful error
        message if you try to treat a list of results as a single
        result (a common mistake).

</details>

<details><summary><h3><strong>def compile(self, select, namespaces=None, flags=0, **kwargs)</strong></h3></summary>

Pre-compile a selector and return the compiled object.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.compile() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.compile() method.

        :return: A precompiled selector object.
        :rtype: soupsieve.SoupSieve

</details>

<details><summary><h3><strong>def select_one(self, select, namespaces=None, flags=0, **kwargs)</strong></h3></summary>

Perform a CSS selection operation on the current Tag and return the
        first result.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.select_one()
        method.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.select_one() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select_one() method.

        :return: A Tag, or None if the selector has no match.
        :rtype: bs4.element.Tag

</details>

<details><summary><h3><strong>def select(self, select, namespaces=None, limit=0, flags=0, **kwargs)</strong></h3></summary>

Perform a CSS selection operation on the current Tag.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.select()
        method.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.select() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.select() method.

        :return: A ResultSet of Tag objects.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h3><strong>def iselect(self, select, namespaces=None, limit=0, flags=0, **kwargs)</strong></h3></summary>

Perform a CSS selection operation on the current Tag.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.iselect()
        method. It is the same as select(), but it returns a generator
        instead of a list.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.iselect() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.iselect() method.

        :return: A generator
        :rtype: types.GeneratorType

</details>

<details><summary><h3><strong>def closest(self, select, namespaces=None, flags=0, **kwargs)</strong></h3></summary>

Find the Tag closest to this one that matches the given selector.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.closest()
        method.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.closest() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.closest() method.

        :return: A Tag, or None if there is no match.
        :rtype: bs4.Tag

</details>

<details><summary><h3><strong>def match(self, select, namespaces=None, flags=0, **kwargs)</strong></h3></summary>

Check whether this Tag matches the given CSS selector.

        This uses the Soup Sieve library. For more information, see
        that library's documentation for the soupsieve.match()
        method.

        :param: a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.match() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.match() method.

        :return: True if this Tag matches the selector; False otherwise.
        :rtype: bool

</details>

<details><summary><h3><strong>def filter(self, select, namespaces=None, flags=0, **kwargs)</strong></h3></summary>

Filter this Tag's direct children based on the given CSS selector.

        This uses the Soup Sieve library. It works the same way as
        passing this Tag into that library's soupsieve.filter()
        method. More information, for more information see the
        documentation for soupsieve.filter().

        :param namespaces: A dictionary mapping namespace prefixes
            used in the CSS selector to namespace URIs. By default,
            Beautiful Soup will pass in the prefixes it encountered while
            parsing the document.

        :param flags: Flags to be passed into Soup Sieve's
            soupsieve.filter() method.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
            soupsieve.filter() method.

        :return: A ResultSet of Tag objects.
        :rtype: bs4.element.ResultSet

</details>

</details>


<details><summary><h2><strong> dammit.py</strong></h2></summary>

Beautiful Soup bonus library: Unicode, Dammit

This library converts a bytestream to Unicode through any means
necessary. It is heavily based on code from Mark Pilgrim's Universal
Feed Parser. It works best on XML and HTML, but it does not rewrite the
XML or HTML to reflect a new encoding; that's the tree builder's job.

<details open><summary><h3>Contents</h3></summary>

- [class EntitySubstitution](#class-entitysubstitution)
- [class to](#class-to)
- [class EncodingDetector](#class-encodingdetector)
- [class UnicodeDammit](#class-unicodedammit)
- [class for](#class-for)
- [def _populate_class_variables](#def-_populate_class_variables)
- [def _substitute_html_entity](#def-_substitute_html_entity)
- [def _substitute_xml_entity](#def-_substitute_xml_entity)
- [def quoted_attribute_value](#def-quoted_attribute_value)
- [def substitute_xml](#def-substitute_xml)
- [def substitute_xml_containing_entities](#def-substitute_xml_containing_entities)
- [def substitute_html](#def-substitute_html)
- [def __init__](#def-__init__)
- [def _usable](#def-_usable)
- [def encodings](#def-encodings)
- [def strip_byte_order_mark](#def-strip_byte_order_mark)
- [def find_declared_encoding](#def-find_declared_encoding)
- [def __init__](#def-__init__)
- [def _sub_ms_char](#def-_sub_ms_char)
- [def _convert_from](#def-_convert_from)
- [def _to_unicode](#def-_to_unicode)
- [def declared_html_encoding](#def-declared_html_encoding)
- [def find_codec](#def-find_codec)
- [def _codec](#def-_codec)
- [def detwingle](#def-detwingle)
</details>

<details><summary><h3><strong>class EntitySubstitution</strong></h3></summary>

The ability to substitute XML or HTML entities for certain characters.

<details><summary><h4><strong>def _populate_class_variables</strong></h4></summary>

Initialize variables used by this class to manage the plethora of
        HTML5 named entities.

        This function returns a 3-tuple containing two dictionaries
        and a regular expression:

        unicode_to_name - A mapping of Unicode strings like "⦨" to
        entity names like "angmsdaa". When a single Unicode string has
        multiple entity names, we try to choose the most commonly-used
        name.

        name_to_unicode: A mapping of entity names like "angmsdaa" to 
        Unicode strings like "⦨".

        named_entity_re: A regular expression matching (almost) any
        Unicode string that corresponds to an HTML5 named entity.

</details>

<details><summary><h4><strong>def _substitute_html_entity</strong></h4></summary>

Used with a regular expression to substitute the
        appropriate HTML entity for a special character string.

</details>

<details><summary><h4><strong>def _substitute_xml_entity</strong></h4></summary>

Used with a regular expression to substitute the
        appropriate XML entity for a special character string.

</details>

<details><summary><h4><strong>def quoted_attribute_value</strong></h4></summary>

Make a value into a quoted XML attribute, possibly escaping it.

         Most strings will be quoted using double quotes.

          Bob's Bar -> "Bob's Bar"

         If a string contains double quotes, it will be quoted using
         single quotes.

          Welcome to "my bar" -> 'Welcome to "my bar"'

         If a string contains both single and double quotes, the
         double quotes will be escaped, and the string will be quoted
         using double quotes.

          Welcome to "Bob's Bar" -> "Welcome to &quot;Bob's bar&quot;

</details>

<details><summary><h4><strong>def substitute_xml</strong></h4></summary>

Substitute XML entities for special XML characters.

        :param value: A string to be substituted. The less-than sign
          will become &lt;, the greater-than sign will become &gt;,
          and any ampersands will become &amp;. If you want ampersands
          that appear to be part of an entity definition to be left
          alone, use substitute_xml_containing_entities() instead.

        :param make_quoted_attribute: If True, then the string will be
         quoted, as befits an attribute value.

</details>

<details><summary><h4><strong>def substitute_xml_containing_entities</strong></h4></summary>

Substitute XML entities for special XML characters.

        :param value: A string to be substituted. The less-than sign will
          become &lt;, the greater-than sign will become &gt;, and any
          ampersands that are not part of an entity defition will
          become &amp;.

        :param make_quoted_attribute: If True, then the string will be
         quoted, as befits an attribute value.

</details>

<details><summary><h4><strong>def substitute_html</strong></h4></summary>

Replace certain Unicode characters with named HTML entities.

        This differs from data.encode(encoding, 'xmlcharrefreplace')
        in that the goal is to make the result more readable (to those
        with ASCII displays) rather than to recover from
        errors. There's absolutely nothing wrong with a UTF-8 string
        containg a LATIN SMALL LETTER E WITH ACUTE, but replacing that
        character with "&eacute;" will make it more readable to some
        people.

        :param s: A Unicode string.

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

unicode_to_name = {}
        name_to_unicode = {}

        short_entities = set()
        long_entities_by_first_character = defaultdict(set)
        
        for name_with_semicolon, character in sorted(html5.items()):
            # "It is intentional, for legacy compatibility, that many
            # code points have multiple character reference names. For
            # example, some appear both with and without the trailing
            # semicolon, or with different capitalizations."
            # - https://html.spec.whatwg.org/multipage/named-characters.html#named-character-references
            #
            # The parsers are in charge of handling (or not) character
            # references with no trailing semicolon, so we remove the
            # semicolon whenever it appears.
            if name_with_semicolon.endswith(';'):
                name = name_with_semicolon[:-1]
            else:
                name = name_with_semicolon

            # When parsing HTML, we want to recognize any known named
            # entity and convert it to a sequence of Unicode
            # characters.
            if name not in name_to_unicode:
                name_to_unicode[name] = character

            # When _generating_ HTML, we want to recognize special
            # character sequences that _could_ be converted to named
            # entities.
            unicode_to_name[character] = name

            # We also need to build a regular expression that lets us
            # _find_ those characters in output strings so we can
            # replace them.
            #
            # This is tricky, for two reasons.

            if (len(character) == 1 and ord(character) < 128
                and character not in '<>&'):
                # First, it would be annoying to turn single ASCII
                # characters like | into named entities like
                # &verbar;. The exceptions are <>&, which we _must_
                # turn into named entities to produce valid HTML.
                continue

            if len(character) > 1 and all(ord(x) < 128 for x in character):
                # We also do not want to turn _combinations_ of ASCII
                # characters like 'fj' into named entities like '&fjlig;',
                # though that's more debateable.
                continue

            # Second, some named entities have a Unicode value that's
            # a subset of the Unicode value for some _other_ named
            # entity.  As an example, \u2267' is &GreaterFullEqual;,
            # but '\u2267\u0338' is &NotGreaterFullEqual;. Our regular
            # expression needs to match the first two characters of
            # "\u2267\u0338foo", but only the first character of
            # "\u2267foo".
            #
            # In this step, we build two sets of characters that
            # _eventually_ need to go into the regular expression. But
            # we won't know exactly what the regular expression needs
            # to look like until we've gone through the entire list of
            # named entities.
            if len(character) == 1:
                short_entities.add(character)
            else:
                long_entities_by_first_character[character[0]].add(character)

        # Now that we've been through the entire list of entities, we
        # can create a regular expression that matches any of them.
        particles = set()
        for short in short_entities:
            long_versions = long_entities_by_first_character[short]
            if not long_versions:
                particles.add(short)
            else:
                ignore = "".join([x[1] for x in long_versions])
                # This finds, e.g. \u2267 but only if it is _not_
                # followed by \u0338.
                particles.add("%s(?![%s])" % (short, ignore))
        
        for long_entities in list(long_entities_by_first_character.values()):
            for long_entity in long_entities:
                particles.add(long_entity)

        re_definition = "(%s)" % "|".join(particles)
                
        # If an entity shows up in both html5 and codepoint2name, it's
        # likely that HTML5 gives it several different names, such as
        # 'rsquo' and 'rsquor'. When converting Unicode characters to
        # named entities, the codepoint2name name should take
        # precedence where possible, since that's the more easily
        # recognizable one.
        for codepoint, name in list(codepoint2name.items()):
            character = chr(codepoint)
            unicode_to_name[character] = name

        return unicode_to_name, name_to_unicode, re.compile(re_definition)
    (CHARACTER_TO_HTML_ENTITY, HTML_ENTITY_TO_CHARACTER,
     CHARACTER_TO_HTML_ENTITY_RE) = _populate_class_variables()

    CHARACTER_TO_XML_ENTITY = {
        "'": "apos",
        '"': "quot",
        "&": "amp",
        "<": "lt",
        ">": "gt",
        }

    BARE_AMPERSAND_OR_BRACKET = re.compile("([<>]|"
                                           "&(?!#\\d+;|#x[0-9a-fA-F]+;|\\w+;)"
                                           ")")

    AMPERSAND_OR_BRACKET = re.compile("([<>&])")

    @classmethod
    def _substitute_html_entity(cls, matchobj):

<p><strong>Key features</strong></p>

<ul>
<li>https://html.spec.whatwg.org/multipage/named-characters.html#named-character-references</li>
</ul>
<details><summary><h4><strong>def _substitute_html_entity</strong></h4></summary>

Used with a regular expression to substitute the
        appropriate HTML entity for a special character string.

</details>

<details><summary><h4><strong>def _substitute_xml_entity</strong></h4></summary>

Used with a regular expression to substitute the
        appropriate XML entity for a special character string.

</details>

<details><summary><h4><strong>def quoted_attribute_value</strong></h4></summary>

Make a value into a quoted XML attribute, possibly escaping it.

         Most strings will be quoted using double quotes.

          Bob's Bar -> "Bob's Bar"

         If a string contains double quotes, it will be quoted using
         single quotes.

          Welcome to "my bar" -> 'Welcome to "my bar"'

         If a string contains both single and double quotes, the
         double quotes will be escaped, and the string will be quoted
         using double quotes.

          Welcome to "Bob's Bar" -> "Welcome to &quot;Bob's bar&quot;

</details>

<details><summary><h4><strong>def substitute_xml</strong></h4></summary>

Substitute XML entities for special XML characters.

        :param value: A string to be substituted. The less-than sign
          will become &lt;, the greater-than sign will become &gt;,
          and any ampersands will become &amp;. If you want ampersands
          that appear to be part of an entity definition to be left
          alone, use substitute_xml_containing_entities() instead.

        :param make_quoted_attribute: If True, then the string will be
         quoted, as befits an attribute value.

</details>

<details><summary><h4><strong>def substitute_xml_containing_entities</strong></h4></summary>

Substitute XML entities for special XML characters.

        :param value: A string to be substituted. The less-than sign will
          become &lt;, the greater-than sign will become &gt;, and any
          ampersands that are not part of an entity defition will
          become &amp;.

        :param make_quoted_attribute: If True, then the string will be
         quoted, as befits an attribute value.

</details>

<details><summary><h4><strong>def substitute_html</strong></h4></summary>

Replace certain Unicode characters with named HTML entities.

        This differs from data.encode(encoding, 'xmlcharrefreplace')
        in that the goal is to make the result more readable (to those
        with ASCII displays) rather than to recover from
        errors. There's absolutely nothing wrong with a UTF-8 string
        containg a LATIN SMALL LETTER E WITH ACUTE, but replacing that
        character with "&eacute;" will make it more readable to some
        people.

        :param s: A Unicode string.

</details>

</details>

<details><summary><h3><strong>class EncodingDetector</strong></h3></summary>

Suggests a number of possible encodings for a bytestring.

    Order of precedence:

    1. Encodings you specifically tell EncodingDetector to try first
    (the known_definite_encodings argument to the constructor).

    2. An encoding determined by sniffing the document's byte-order mark.

    3. Encodings you specifically tell EncodingDetector to try if
    byte-order mark sniffing fails (the user_encodings argument to the
    constructor).

    4. An encoding declared within the bytestring itself, either in an
    XML declaration (if the bytestring is to be interpreted as an XML
    document), or in a <meta> tag (if the bytestring is to be
    interpreted as an HTML document.)

    5. An encoding detected through textual analysis by chardet,
    cchardet, or a similar external library.

    4. UTF-8.

    5. Windows-1252.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param markup: Some markup in an unknown encoding.

        :param known_definite_encodings: When determining the encoding
            of `markup`, these encodings will be tried first, in
            order. In HTML terms, this corresponds to the "known
            definite encoding" step defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#parsing-with-a-known-character-encoding

        :param user_encodings: These encodings will be tried after the
            `known_definite_encodings` have been tried and failed, and
            after an attempt to sniff the encoding by looking at a
            byte order mark has failed. In HTML terms, this
            corresponds to the step "user has explicitly instructed
            the user agent to override the document's character
            encoding", defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#determining-the-character-encoding

        :param override_encodings: A deprecated alias for
            known_definite_encodings. Any encodings here will be tried
            immediately after the encodings in
            known_definite_encodings.

        :param is_html: If True, this markup is considered to be
            HTML. Otherwise it's assumed to be XML.

        :param exclude_encodings: These encodings will not be tried,
            even if they otherwise would be.

</details>

<details><summary><h4><strong>def _usable</strong></h4></summary>

Should we even bother to try this encoding?

        :param encoding: Name of an encoding.
        :param tried: Encodings that have already been tried. This will be modified
            as a side effect.

</details>

<details><summary><h4><strong>def encodings</strong></h4></summary>

Yield a number of encodings that might work for this markup.

        :yield: A sequence of strings.

</details>

<details><summary><h4><strong>def strip_byte_order_mark</strong></h4></summary>

If a byte-order mark is present, strip it and return the encoding it implies.

        :param data: Some markup.
        :return: A 2-tuple (modified data, implied encoding)

</details>

<details><summary><h4><strong>def find_declared_encoding</strong></h4></summary>

Given a document, tries to find its declared encoding.

        An XML encoding is declared at the beginning of the document.

        An HTML encoding is declared in a <meta> tag, hopefully near the
        beginning of the document.

        :param markup: Some markup.
        :param is_html: If True, this markup is considered to be HTML. Otherwise
            it's assumed to be XML.
        :param search_entire_document: Since an encoding is supposed to declared near the beginning
            of the document, most of the time it's only necessary to search a few kilobytes of data.
            Set this to True to force this method to search the entire document.

</details>

</details>

<details><summary><h3><strong>class UnicodeDammit</strong></h3></summary>

A class for detecting the encoding of a *ML document and
    converting it to a Unicode string. If the source encoding is
    windows-1252, can replace MS smart quotes with their HTML or XML
    equivalents.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param markup: A bytestring representing markup in an unknown encoding.

        :param known_definite_encodings: When determining the encoding
            of `markup`, these encodings will be tried first, in
            order. In HTML terms, this corresponds to the "known
            definite encoding" step defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#parsing-with-a-known-character-encoding

        :param user_encodings: These encodings will be tried after the
            `known_definite_encodings` have been tried and failed, and
            after an attempt to sniff the encoding by looking at a
            byte order mark has failed. In HTML terms, this
            corresponds to the step "user has explicitly instructed
            the user agent to override the document's character
            encoding", defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#determining-the-character-encoding

        :param override_encodings: A deprecated alias for
            known_definite_encodings. Any encodings here will be tried
            immediately after the encodings in
            known_definite_encodings.

        :param smart_quotes_to: By default, Microsoft smart quotes will, like all other characters, be converted
           to Unicode characters. Setting this to 'ascii' will convert them to ASCII quotes instead.
           Setting it to 'xml' will convert them to XML entity references, and setting it to 'html'
           will convert them to HTML entity references.
        :param is_html: If True, this markup is considered to be HTML. Otherwise
            it's assumed to be XML.
        :param exclude_encodings: These encodings will not be considered, even
            if the sniffing code thinks they might make sense.

</details>

<details><summary><h4><strong>def _sub_ms_char</strong></h4></summary>

Changes a MS smart quote character to an XML or HTML
        entity, or an ASCII character.

</details>

<details><summary><h4><strong>def _convert_from</strong></h4></summary>

Attempt to convert the markup to the proposed encoding.

        :param proposed: The name of a character encoding.

</details>

<details><summary><h4><strong>def _to_unicode</strong></h4></summary>

Given a string and its encoding, decodes the string into Unicode.

        :param encoding: The name of an encoding.

</details>

<details><summary><h4><strong>def declared_html_encoding</strong></h4></summary>

If the markup is an HTML document, returns the encoding declared _within_
        the document.

</details>

<details><summary><h4><strong>def find_codec</strong></h4></summary>

Convert the name of a character set to a codec name.

        :param charset: The name of a character set.
        :return: The name of a codec.

</details>

<details><summary><h4><strong>def _codec</strong></h4></summary>

Fix characters from one encoding embedded in some other encoding.

        Currently the only situation supported is Windows-1252 (or its
        subset ISO-8859-1), embedded in UTF-8.

        :param in_bytes: A bytestring that you suspect contains
            characters from multiple encodings. Note that this _must_
            be a bytestring. If you've already converted the document
            to Unicode, you're too late.
        :param main_encoding: The primary encoding of `in_bytes`.
        :param embedded_encoding: The encoding that was used to embed characters
            in the main document.
        :return: A bytestring in which `embedded_encoding`
          characters have been converted to their `main_encoding`
          equivalents.

</details>

<details><summary><h4><strong>def detwingle</strong></h4></summary>

Fix characters from one encoding embedded in some other encoding.

        Currently the only situation supported is Windows-1252 (or its
        subset ISO-8859-1), embedded in UTF-8.

        :param in_bytes: A bytestring that you suspect contains
            characters from multiple encodings. Note that this _must_
            be a bytestring. If you've already converted the document
            to Unicode, you're too late.
        :param main_encoding: The primary encoding of `in_bytes`.
        :param embedded_encoding: The encoding that was used to embed characters
            in the main document.
        :return: A bytestring in which `embedded_encoding`
          characters have been converted to their `main_encoding`
          equivalents.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

# This dictionary maps commonly seen values for "charset" in HTML
    # meta tags to the corresponding Python codec names. It only covers
    # values that aren't in Python's aliases and can't be determined
    # by the heuristics in find_codec.
    CHARSET_ALIASES = {"macintosh": "mac-roman",
                       "x-sjis": "shift-jis"}

    ENCODINGS_WITH_SMART_QUOTES = [
        "windows-1252",
        "iso-8859-1",
        "iso-8859-2",
        ]

    def __init__(self, markup, known_definite_encodings=[],
                 smart_quotes_to=None, is_html=False, exclude_encodings=[],
                 user_encodings=None, override_encodings=None
    ):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param markup: A bytestring representing markup in an unknown encoding.

        :param known_definite_encodings: When determining the encoding
            of `markup`, these encodings will be tried first, in
            order. In HTML terms, this corresponds to the "known
            definite encoding" step defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#parsing-with-a-known-character-encoding

        :param user_encodings: These encodings will be tried after the
            `known_definite_encodings` have been tried and failed, and
            after an attempt to sniff the encoding by looking at a
            byte order mark has failed. In HTML terms, this
            corresponds to the step "user has explicitly instructed
            the user agent to override the document's character
            encoding", defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#determining-the-character-encoding

        :param override_encodings: A deprecated alias for
            known_definite_encodings. Any encodings here will be tried
            immediately after the encodings in
            known_definite_encodings.

        :param smart_quotes_to: By default, Microsoft smart quotes will, like all other characters, be converted
           to Unicode characters. Setting this to 'ascii' will convert them to ASCII quotes instead.
           Setting it to 'xml' will convert them to XML entity references, and setting it to 'html'
           will convert them to HTML entity references.
        :param is_html: If True, this markup is considered to be HTML. Otherwise
            it's assumed to be XML.
        :param exclude_encodings: These encodings will not be considered, even
            if the sniffing code thinks they might make sense.

</details>

<details><summary><h4><strong>def _sub_ms_char</strong></h4></summary>

Changes a MS smart quote character to an XML or HTML
        entity, or an ASCII character.

</details>

<details><summary><h4><strong>def _convert_from</strong></h4></summary>

Attempt to convert the markup to the proposed encoding.

        :param proposed: The name of a character encoding.

</details>

<details><summary><h4><strong>def _to_unicode</strong></h4></summary>

Given a string and its encoding, decodes the string into Unicode.

        :param encoding: The name of an encoding.

</details>

<details><summary><h4><strong>def declared_html_encoding</strong></h4></summary>

If the markup is an HTML document, returns the encoding declared _within_
        the document.

</details>

<details><summary><h4><strong>def find_codec</strong></h4></summary>

Convert the name of a character set to a codec name.

        :param charset: The name of a character set.
        :return: The name of a codec.

</details>

<details><summary><h4><strong>def _codec</strong></h4></summary>

Fix characters from one encoding embedded in some other encoding.

        Currently the only situation supported is Windows-1252 (or its
        subset ISO-8859-1), embedded in UTF-8.

        :param in_bytes: A bytestring that you suspect contains
            characters from multiple encodings. Note that this _must_
            be a bytestring. If you've already converted the document
            to Unicode, you're too late.
        :param main_encoding: The primary encoding of `in_bytes`.
        :param embedded_encoding: The encoding that was used to embed characters
            in the main document.
        :return: A bytestring in which `embedded_encoding`
          characters have been converted to their `main_encoding`
          equivalents.

</details>

<details><summary><h4><strong>def detwingle</strong></h4></summary>

Fix characters from one encoding embedded in some other encoding.

        Currently the only situation supported is Windows-1252 (or its
        subset ISO-8859-1), embedded in UTF-8.

        :param in_bytes: A bytestring that you suspect contains
            characters from multiple encodings. Note that this _must_
            be a bytestring. If you've already converted the document
            to Unicode, you're too late.
        :param main_encoding: The primary encoding of `in_bytes`.
        :param embedded_encoding: The encoding that was used to embed characters
            in the main document.
        :return: A bytestring in which `embedded_encoding`
          characters have been converted to their `main_encoding`
          equivalents.

</details>

</details>

<details><summary><h3><strong>def _populate_class_variables()</strong></h3></summary>

Initialize variables used by this class to manage the plethora of
        HTML5 named entities.

        This function returns a 3-tuple containing two dictionaries
        and a regular expression:

        unicode_to_name - A mapping of Unicode strings like "⦨" to
        entity names like "angmsdaa". When a single Unicode string has
        multiple entity names, we try to choose the most commonly-used
        name.

        name_to_unicode: A mapping of entity names like "angmsdaa" to 
        Unicode strings like "⦨".

        named_entity_re: A regular expression matching (almost) any
        Unicode string that corresponds to an HTML5 named entity.

</details>

<details><summary><h3><strong>def _substitute_html_entity(cls, matchobj)</strong></h3></summary>

Used with a regular expression to substitute the
        appropriate HTML entity for a special character string.

</details>

<details><summary><h3><strong>def _substitute_xml_entity(cls, matchobj)</strong></h3></summary>

Used with a regular expression to substitute the
        appropriate XML entity for a special character string.

</details>

<details><summary><h3><strong>def quoted_attribute_value(self, value)</strong></h3></summary>

Make a value into a quoted XML attribute, possibly escaping it.

         Most strings will be quoted using double quotes.

          Bob's Bar -> "Bob's Bar"

         If a string contains double quotes, it will be quoted using
         single quotes.

          Welcome to "my bar" -> 'Welcome to "my bar"'

         If a string contains both single and double quotes, the
         double quotes will be escaped, and the string will be quoted
         using double quotes.

          Welcome to "Bob's Bar" -> "Welcome to &quot;Bob's bar&quot;

</details>

<details><summary><h3><strong>def substitute_xml(cls, value, make_quoted_attribute=False)</strong></h3></summary>

Substitute XML entities for special XML characters.

        :param value: A string to be substituted. The less-than sign
          will become &lt;, the greater-than sign will become &gt;,
          and any ampersands will become &amp;. If you want ampersands
          that appear to be part of an entity definition to be left
          alone, use substitute_xml_containing_entities() instead.

        :param make_quoted_attribute: If True, then the string will be
         quoted, as befits an attribute value.

</details>

<details><summary><h3><strong>def substitute_html(cls, s)</strong></h3></summary>

Substitute XML entities for special XML characters.

        :param value: A string to be substituted. The less-than sign will
          become &lt;, the greater-than sign will become &gt;, and any
          ampersands that are not part of an entity defition will
          become &amp;.

        :param make_quoted_attribute: If True, then the string will be
         quoted, as befits an attribute value.

</details>

<details><summary><h3><strong>def substitute_html(cls, s)</strong></h3></summary>

Replace certain Unicode characters with named HTML entities.

        This differs from data.encode(encoding, 'xmlcharrefreplace')
        in that the goal is to make the result more readable (to those
        with ASCII displays) rather than to recover from
        errors. There's absolutely nothing wrong with a UTF-8 string
        containg a LATIN SMALL LETTER E WITH ACUTE, but replacing that
        character with "&eacute;" will make it more readable to some
        people.

        :param s: A Unicode string.

</details>

<details><summary><h3><strong>def _usable(self, encoding, tried)</strong></h3></summary>

Constructor.

        :param markup: Some markup in an unknown encoding.

        :param known_definite_encodings: When determining the encoding
            of `markup`, these encodings will be tried first, in
            order. In HTML terms, this corresponds to the "known
            definite encoding" step defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#parsing-with-a-known-character-encoding

        :param user_encodings: These encodings will be tried after the
            `known_definite_encodings` have been tried and failed, and
            after an attempt to sniff the encoding by looking at a
            byte order mark has failed. In HTML terms, this
            corresponds to the step "user has explicitly instructed
            the user agent to override the document's character
            encoding", defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#determining-the-character-encoding

        :param override_encodings: A deprecated alias for
            known_definite_encodings. Any encodings here will be tried
            immediately after the encodings in
            known_definite_encodings.

        :param is_html: If True, this markup is considered to be
            HTML. Otherwise it's assumed to be XML.

        :param exclude_encodings: These encodings will not be tried,
            even if they otherwise would be.

</details>

<details><summary><h3><strong>def _usable(self, encoding, tried)</strong></h3></summary>

Should we even bother to try this encoding?

        :param encoding: Name of an encoding.
        :param tried: Encodings that have already been tried. This will be modified
            as a side effect.

</details>

<details><summary><h3><strong>def encodings(self)</strong></h3></summary>

Yield a number of encodings that might work for this markup.

        :yield: A sequence of strings.

</details>

<details><summary><h3><strong>def strip_byte_order_mark(cls, data)</strong></h3></summary>

If a byte-order mark is present, strip it and return the encoding it implies.

        :param data: Some markup.
        :return: A 2-tuple (modified data, implied encoding)

</details>

<details><summary><h3><strong>def find_declared_encoding(cls, markup, is_html=False, search_entire_document=False)</strong></h3></summary>

Given a document, tries to find its declared encoding.

        An XML encoding is declared at the beginning of the document.

        An HTML encoding is declared in a <meta> tag, hopefully near the
        beginning of the document.

        :param markup: Some markup.
        :param is_html: If True, this markup is considered to be HTML. Otherwise
            it's assumed to be XML.
        :param search_entire_document: Since an encoding is supposed to declared near the beginning
            of the document, most of the time it's only necessary to search a few kilobytes of data.
            Set this to True to force this method to search the entire document.

</details>

<details><summary><h3><strong>def _sub_ms_char(self, match)</strong></h3></summary>

Constructor.

        :param markup: A bytestring representing markup in an unknown encoding.

        :param known_definite_encodings: When determining the encoding
            of `markup`, these encodings will be tried first, in
            order. In HTML terms, this corresponds to the "known
            definite encoding" step defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#parsing-with-a-known-character-encoding

        :param user_encodings: These encodings will be tried after the
            `known_definite_encodings` have been tried and failed, and
            after an attempt to sniff the encoding by looking at a
            byte order mark has failed. In HTML terms, this
            corresponds to the step "user has explicitly instructed
            the user agent to override the document's character
            encoding", defined here:
            https://html.spec.whatwg.org/multipage/parsing.html#determining-the-character-encoding

        :param override_encodings: A deprecated alias for
            known_definite_encodings. Any encodings here will be tried
            immediately after the encodings in
            known_definite_encodings.

        :param smart_quotes_to: By default, Microsoft smart quotes will, like all other characters, be converted
           to Unicode characters. Setting this to 'ascii' will convert them to ASCII quotes instead.
           Setting it to 'xml' will convert them to XML entity references, and setting it to 'html'
           will convert them to HTML entity references.
        :param is_html: If True, this markup is considered to be HTML. Otherwise
            it's assumed to be XML.
        :param exclude_encodings: These encodings will not be considered, even
            if the sniffing code thinks they might make sense.

</details>

<details><summary><h3><strong>def _sub_ms_char(self, match)</strong></h3></summary>

Changes a MS smart quote character to an XML or HTML
        entity, or an ASCII character.

</details>

<details><summary><h3><strong>def _convert_from(self, proposed, errors="strict")</strong></h3></summary>

Attempt to convert the markup to the proposed encoding.

        :param proposed: The name of a character encoding.

</details>

<details><summary><h3><strong>def _to_unicode(self, data, encoding, errors="strict")</strong></h3></summary>

Given a string and its encoding, decodes the string into Unicode.

        :param encoding: The name of an encoding.

</details>

<details><summary><h3><strong>def declared_html_encoding(self)</strong></h3></summary>

If the markup is an HTML document, returns the encoding declared _within_
        the document.

</details>

<details><summary><h3><strong>def find_codec(self, charset)</strong></h3></summary>

Convert the name of a character set to a codec name.

        :param charset: The name of a character set.
        :return: The name of a codec.

</details>

<details><summary><h3><strong>def _codec(self, charset)</strong></h3></summary>

Fix characters from one encoding embedded in some other encoding.

        Currently the only situation supported is Windows-1252 (or its
        subset ISO-8859-1), embedded in UTF-8.

        :param in_bytes: A bytestring that you suspect contains
            characters from multiple encodings. Note that this _must_
            be a bytestring. If you've already converted the document
            to Unicode, you're too late.
        :param main_encoding: The primary encoding of `in_bytes`.
        :param embedded_encoding: The encoding that was used to embed characters
            in the main document.
        :return: A bytestring in which `embedded_encoding`
          characters have been converted to their `main_encoding`
          equivalents.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Fix characters from one encoding embedded in some other encoding.

        Currently the only situation supported is Windows-1252 (or its
        subset ISO-8859-1), embedded in UTF-8.

        :param in_bytes: A bytestring that you suspect contains
            characters from multiple encodings. Note that this _must_
            be a bytestring. If you've already converted the document
            to Unicode, you're too late.
        :param main_encoding: The primary encoding of `in_bytes`.
        :param embedded_encoding: The encoding that was used to embed characters
            in the main document.
        :return: A bytestring in which `embedded_encoding`
          characters have been converted to their `main_encoding`
          equivalents.

</details>

</details>


<details><summary><h2><strong> diagnose.py</strong></h2></summary>

Diagnostic functions, mainly for use when doing tech support.

<details open><summary><h3>Contents</h3></summary>

- [class AnnouncingParser](#class-announcingparser)
- [def diagnose](#def-diagnose)
- [def lxml_trace](#def-lxml_trace)
- [def htmlparser_trace](#def-htmlparser_trace)
- [def rdoc](#def-rdoc)
- [def benchmark_parsers](#def-benchmark_parsers)
- [def profile](#def-profile)
</details>

<details><summary><h3><strong>class AnnouncingParser</strong></h3></summary>

Subclass of HTMLParser that announces parse events, without doing
    anything else.

    You can use this to get a picture of how html.parser sees a given
    document. The easiest way to do this is to call `htmlparser_trace`.

</details>

<details><summary><h3><strong>def diagnose(data)</strong></h3></summary>

Diagnostic suite for isolating common problems.

    :param data: A string containing markup that needs to be explained.
    :return: None; diagnostics are printed to standard output.

</details>

<details><summary><h3><strong>def lxml_trace(data, html=True, **kwargs)</strong></h3></summary>

Print out the lxml events that occur during parsing.

    This lets you see how lxml parses a document when no Beautiful
    Soup code is running. You can use this to determine whether
    an lxml-specific problem is in Beautiful Soup's lxml tree builders
    or in lxml itself.

    :param data: Some markup.
    :param html: If True, markup will be parsed with lxml's HTML parser.
       if False, lxml's XML parser will be used.

</details>

<details><summary><h3><strong>def htmlparser_trace(data)</strong></h3></summary>

Print out the HTMLParser events that occur during parsing.

    This lets you see how HTMLParser parses a document when no
    Beautiful Soup code is running.

    :param data: Some markup.

</details>

<details><summary><h3><strong>def rdoc(num_elements=1000)</strong></h3></summary>

Randomly generate an invalid HTML document.

</details>

<details><summary><h3><strong>def benchmark_parsers(num_elements=100000)</strong></h3></summary>

Very basic head-to-head performance benchmark.

</details>

<details><summary><h3><strong>def profile(num_elements=100000, parser="lxml")</strong></h3></summary>

Use Python's profiler on a randomly generated document.

</details>

</details>


<details><summary><h2><strong> element.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class NamespacedAttribute](#class-namespacedattribute)
- [class AttributeValueWithCharsetSubstitution](#class-attributevaluewithcharsetsubstitution)
- [class CharsetMetaAttributeValue](#class-charsetmetaattributevalue)
- [class ContentMetaAttributeValue](#class-contentmetaattributevalue)
- [class PageElement](#class-pageelement)
- [class not](#class-not)
- [class NavigableString](#class-navigablestring)
- [class won](#class-won)
- [class as](#class-as)
- [class PreformattedString](#class-preformattedstring)
- [class used](#class-used)
- [class CData](#class-cdata)
- [class ProcessingInstruction](#class-processinginstruction)
- [class XMLProcessingInstruction](#class-xmlprocessinginstruction)
- [class Comment](#class-comment)
- [class Declaration](#class-declaration)
- [class Doctype](#class-doctype)
- [class Stylesheet](#class-stylesheet)
- [class Script](#class-script)
- [class TemplateString](#class-templatestring)
- [class RubyTextString](#class-rubytextstring)
- [class RubyParenthesisString](#class-rubyparenthesisstring)
- [class Tag](#class-tag)
- [class or](#class-or)
- [class for](#class-for)
- [class not](#class-not)
- [class SoupStrainer](#class-soupstrainer)
- [class ResultSet](#class-resultset)
- [def _alias](#def-_alias)
- [def __new__](#def-__new__)
- [def encode](#def-encode)
- [def setup](#def-setup)
- [def format_string](#def-format_string)
- [def formatter_for_name](#def-formatter_for_name)
- [def _is_xml](#def-_is_xml)
- [def _all_strings](#def-_all_strings)
- [def stripped_strings](#def-stripped_strings)
- [def get_text](#def-get_text)
- [def replace_with](#def-replace_with)
- [def unwrap](#def-unwrap)
- [def wrap](#def-wrap)
- [def extract](#def-extract)
- [def _last_descendant](#def-_last_descendant)
- [def insert](#def-insert)
- [def append](#def-append)
- [def extend](#def-extend)
- [def insert_before](#def-insert_before)
- [def insert_after](#def-insert_after)
- [def find_next](#def-find_next)
- [def find_all_next](#def-find_all_next)
- [def find_next_sibling](#def-find_next_sibling)
- [def find_next_siblings](#def-find_next_siblings)
- [def find_previous](#def-find_previous)
- [def find_all_previous](#def-find_all_previous)
- [def find_previous_sibling](#def-find_previous_sibling)
- [def find_previous_siblings](#def-find_previous_siblings)
- [def find_parent](#def-find_parent)
- [def find_parents](#def-find_parents)
- [def next](#def-next)
- [def previous](#def-previous)
- [def _find_one](#def-_find_one)
- [def _find_all](#def-_find_all)
- [def next_elements](#def-next_elements)
- [def next_siblings](#def-next_siblings)
- [def previous_elements](#def-previous_elements)
- [def previous_siblings](#def-previous_siblings)
- [def parents](#def-parents)
- [def decomposed](#def-decomposed)
- [def __new__](#def-__new__)
- [def __deepcopy__](#def-__deepcopy__)
- [def __copy__](#def-__copy__)
- [def __getnewargs__](#def-__getnewargs__)
- [def __getattr__](#def-__getattr__)
- [def output_ready](#def-output_ready)
- [def name](#def-name)
- [def name](#def-name)
- [def _all_strings](#def-_all_strings)
- [def output_ready](#def-output_ready)
- [def for_name_and_ids](#def-for_name_and_ids)
- [def __init__](#def-__init__)
- [def __deepcopy__](#def-__deepcopy__)
- [def __copy__](#def-__copy__)
- [def _clone](#def-_clone)
- [def is_empty_element](#def-is_empty_element)
- [def string](#def-string)
- [def string](#def-string)
- [def _all_strings](#def-_all_strings)
- [def decompose](#def-decompose)
- [def clear](#def-clear)
- [def smooth](#def-smooth)
- [def index](#def-index)
- [def get](#def-get)
- [def get_attribute_list](#def-get_attribute_list)
- [def has_attr](#def-has_attr)
- [def __hash__](#def-__hash__)
- [def __getitem__](#def-__getitem__)
- [def __iter__](#def-__iter__)
- [def __len__](#def-__len__)
- [def __contains__](#def-__contains__)
- [def __bool__](#def-__bool__)
- [def __setitem__](#def-__setitem__)
- [def __delitem__](#def-__delitem__)
- [def __call__](#def-__call__)
- [def __getattr__](#def-__getattr__)
- [def __eq__](#def-__eq__)
- [def __ne__](#def-__ne__)
- [def __repr__](#def-__repr__)
- [def __unicode__](#def-__unicode__)
- [def encode](#def-encode)
- [def decode](#def-decode)
- [def _event_stream](#def-_event_stream)
- [def _indent_string](#def-_indent_string)
- [def _format_tag](#def-_format_tag)
- [def _should_pretty_print](#def-_should_pretty_print)
- [def prettify](#def-prettify)
- [def decode_contents](#def-decode_contents)
- [def encode_contents](#def-encode_contents)
- [def renderContents](#def-rendercontents)
- [def find](#def-find)
- [def find_all](#def-find_all)
- [def children](#def-children)
- [def self_and_descendants](#def-self_and_descendants)
- [def descendants](#def-descendants)
- [def select_one](#def-select_one)
- [def select](#def-select)
- [def css](#def-css)
- [def childGenerator](#def-childgenerator)
- [def recursiveChildGenerator](#def-recursivechildgenerator)
- [def has_key](#def-has_key)
- [def __init__](#def-__init__)
- [def _normalize_search_value](#def-_normalize_search_value)
- [def __str__](#def-__str__)
- [def search_tag](#def-search_tag)
- [def search](#def-search)
- [def __init__](#def-__init__)
- [def __getattr__](#def-__getattr__)
</details>

<details><summary><h3><strong>class NamespacedAttribute</strong></h3></summary>

A namespaced string (e.g. 'xml:lang') that remembers the namespace
    ('xml') and the name ('lang') that were used to create it.

</details>

<details><summary><h3><strong>class AttributeValueWithCharsetSubstitution</strong></h3></summary>

A stand-in object for a character encoding specified in HTML.

</details>

<details><summary><h3><strong>class CharsetMetaAttributeValue</strong></h3></summary>

A generic stand-in for the value of a meta tag's 'charset' attribute.

    When Beautiful Soup parses the markup '<meta charset="utf8">', the
    value of the 'charset' attribute will be one of these objects.

<details><summary><h4><strong>def __new__</strong></h4></summary>

When an HTML document is being encoded to a given encoding, the
        value of a meta tag's 'charset' is the name of the encoding.

</details>

<details><summary><h4><strong>def encode</strong></h4></summary>

When an HTML document is being encoded to a given encoding, the
        value of a meta tag's 'charset' is the name of the encoding.

</details>

</details>

<details><summary><h3><strong>class ContentMetaAttributeValue</strong></h3></summary>

A generic stand-in for the value of a meta tag's 'content' attribute.

    When Beautiful Soup parses the markup:
     <meta http-equiv="content-type" content="text/html; charset=utf8">

    The value of the 'content' attribute will be one of these objects.

</details>

<details><summary><h3><strong>class PageElement</strong></h3></summary>

Contains the navigational information for some part of the page:
    that is, its current location in the parse tree.

    NavigableString, Tag, etc. are all subclasses of PageElement.

<details><summary><h4><strong>def setup</strong></h4></summary>

Sets up the initial relations between this element and
        other elements.

        :param parent: The parent of this element.

        :param previous_element: The element parsed immediately before
            this one.

        :param next_element: The element parsed immediately before
            this one.

        :param previous_sibling: The most recently encountered element
            on the same level of the parse tree as this one.

        :param previous_sibling: The next element to be encountered
            on the same level of the parse tree as this one.

</details>

<details><summary><h4><strong>def format_string</strong></h4></summary>

Format the given string using the given formatter.

        :param s: A string.
        :param formatter: A Formatter object, or a string naming one of the standard formatters.

</details>

<details><summary><h4><strong>def formatter_for_name</strong></h4></summary>

Look up or create a Formatter for the given identifier,
        if necessary.

        :param formatter: Can be a Formatter object (used as-is), a
            function (used as the entity substitution hook for an
            XMLFormatter or HTMLFormatter), or a string (used to look
            up an XMLFormatter or HTMLFormatter in the appropriate
            registry.

</details>

<details><summary><h4><strong>def _is_xml</strong></h4></summary>

Is this element part of an XML tree or an HTML tree?

        This is used in formatter_for_name, when deciding whether an
        XMLFormatter or HTMLFormatter is more appropriate. It can be
        inefficient, but it should be called very rarely.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        This is implemented differently in Tag and NavigableString.

</details>

<details><summary><h4><strong>def stripped_strings</strong></h4></summary>

Yield all strings in this PageElement, stripping them first.

        :yield: A sequence of stripped strings.

</details>

<details><summary><h4><strong>def get_text</strong></h4></summary>

Get all child strings of this PageElement, concatenated using the
        given separator.

        :param separator: Strings will be concatenated using this separator.

        :param strip: If True, strings will be stripped before being
            concatenated.

        :param types: A tuple of NavigableString subclasses. Any
            strings of a subclass not found in this list will be
            ignored. Although there are exceptions, the default
            behavior in most cases is to consider only NavigableString
            and CData objects. That means no comments, processing
            instructions, etc.

        :return: A string.

</details>

<details><summary><h4><strong>def replace_with</strong></h4></summary>

Replace this PageElement with one or more PageElements, keeping the
        rest of the tree the same.

        :param args: One or more PageElements.
        :return: `self`, no longer part of the tree.

</details>

<details><summary><h4><strong>def unwrap</strong></h4></summary>

Replace this PageElement with its contents.

        :return: `self`, no longer part of the tree.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap this PageElement inside another one.

        :param wrap_inside: A PageElement.
        :return: `wrap_inside`, occupying the position in the tree that used
           to be occupied by `self`, and with `self` inside it.

</details>

<details><summary><h4><strong>def extract</strong></h4></summary>

Destructively rips this element out of the tree.

        :param _self_index: The location of this element in its parent's
           .contents, if known. Passing this in allows for a performance
           optimization.

        :return: `self`, no longer part of the tree.

</details>

<details><summary><h4><strong>def _last_descendant</strong></h4></summary>

Finds the last element beneath this object to be parsed.

        :param is_initialized: Has `setup` been called on this PageElement
            yet?
        :param accept_self: Is `self` an acceptable answer to the question?

</details>

<details><summary><h4><strong>def insert</strong></h4></summary>

Insert a new PageElement in the list of this PageElement's children.

        This works the same way as `list.insert`.

        :param position: The numeric position that should be occupied
           in `self.children` by the new PageElement.
        :param new_child: A PageElement.

</details>

<details><summary><h4><strong>def append</strong></h4></summary>

Appends the given PageElement to the contents of this one.

        :param tag: A PageElement.

</details>

<details><summary><h4><strong>def extend</strong></h4></summary>

Appends the given PageElements to this one's contents.

        :param tags: A list of PageElements. If a single Tag is
            provided instead, this PageElement's contents will be extended
            with that Tag's contents.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

Makes the given element(s) the immediate predecessor of this one.

        All the elements will have the same parent, and the given elements
        will be immediately before this one.

        :param args: One or more PageElements.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

Makes the given element(s) the immediate successor of this one.

        The elements will have the same parent, and the given elements
        will be immediately after this one.

        :param args: One or more PageElements.

</details>

<details><summary><h4><strong>def find_next</strong></h4></summary>

Find the first PageElement that matches the given criteria and
        appears later in the document than this PageElement.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all_next</strong></h4></summary>

Find all PageElements that match the given criteria and appear
        later in the document than this PageElement.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet containing PageElements.

</details>

<details><summary><h4><strong>def find_next_sibling</strong></h4></summary>

Find the closest sibling to this PageElement that matches the
        given criteria and appears later in the document.

        All find_* methods take a common set of arguments. See the
        online documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_next_siblings</strong></h4></summary>

Find all siblings of this PageElement that match the given criteria
        and appear later in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def find_previous</strong></h4></summary>

Look backwards in the document from this PageElement and find the
        first PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all_previous</strong></h4></summary>

Look backwards in the document from this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def find_previous_sibling</strong></h4></summary>

Returns the closest sibling to this PageElement that matches the
        given criteria and appears earlier in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_previous_siblings</strong></h4></summary>

Returns all siblings to this PageElement that match the
        given criteria and appear earlier in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def find_parent</strong></h4></summary>

Find the closest parent of this PageElement that matches the given
        criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :kwargs: A dictionary of filters on attribute values.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_parents</strong></h4></summary>

Find all parents of this PageElement that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def next</strong></h4></summary>

The PageElement, if any, that was parsed just after this one.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def previous</strong></h4></summary>

The PageElement, if any, that was parsed just before this one.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def _find_one</strong></h4></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def _find_all</strong></h4></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def next_elements</strong></h4></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def next_siblings</strong></h4></summary>

All PageElements that are siblings of this one but were parsed
        later.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def previous_elements</strong></h4></summary>

All PageElements that were parsed before this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def previous_siblings</strong></h4></summary>

All PageElements that are siblings of this one but were parsed
        earlier.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def parents</strong></h4></summary>

All PageElements that are parents of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def decomposed</strong></h4></summary>

Check whether a PageElement has been decomposed.

        :rtype: bool

</details>

</details>

<details><summary><h3><strong>class not</strong></h3></summary>

return separator.join([s for s in self._all_strings(
                    strip, types=types)])
    getText = get_text
    text = property(get_text)

    def replace_with(self, *args):

<details><summary><h4><strong>def replace_with</strong></h4></summary>

Replace this PageElement with one or more PageElements, keeping the
        rest of the tree the same.

        :param args: One or more PageElements.
        :return: `self`, no longer part of the tree.

</details>

<details><summary><h4><strong>def unwrap</strong></h4></summary>

Replace this PageElement with its contents.

        :return: `self`, no longer part of the tree.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap this PageElement inside another one.

        :param wrap_inside: A PageElement.
        :return: `wrap_inside`, occupying the position in the tree that used
           to be occupied by `self`, and with `self` inside it.

</details>

<details><summary><h4><strong>def extract</strong></h4></summary>

Destructively rips this element out of the tree.

        :param _self_index: The location of this element in its parent's
           .contents, if known. Passing this in allows for a performance
           optimization.

        :return: `self`, no longer part of the tree.

</details>

<details><summary><h4><strong>def _last_descendant</strong></h4></summary>

Finds the last element beneath this object to be parsed.

        :param is_initialized: Has `setup` been called on this PageElement
            yet?
        :param accept_self: Is `self` an acceptable answer to the question?

</details>

<details><summary><h4><strong>def insert</strong></h4></summary>

Insert a new PageElement in the list of this PageElement's children.

        This works the same way as `list.insert`.

        :param position: The numeric position that should be occupied
           in `self.children` by the new PageElement.
        :param new_child: A PageElement.

</details>

<details><summary><h4><strong>def append</strong></h4></summary>

Appends the given PageElement to the contents of this one.

        :param tag: A PageElement.

</details>

<details><summary><h4><strong>def extend</strong></h4></summary>

Appends the given PageElements to this one's contents.

        :param tags: A list of PageElements. If a single Tag is
            provided instead, this PageElement's contents will be extended
            with that Tag's contents.

</details>

<details><summary><h4><strong>def insert_before</strong></h4></summary>

Makes the given element(s) the immediate predecessor of this one.

        All the elements will have the same parent, and the given elements
        will be immediately before this one.

        :param args: One or more PageElements.

</details>

<details><summary><h4><strong>def insert_after</strong></h4></summary>

Makes the given element(s) the immediate successor of this one.

        The elements will have the same parent, and the given elements
        will be immediately after this one.

        :param args: One or more PageElements.

</details>

<details><summary><h4><strong>def find_next</strong></h4></summary>

Find the first PageElement that matches the given criteria and
        appears later in the document than this PageElement.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all_next</strong></h4></summary>

Find all PageElements that match the given criteria and appear
        later in the document than this PageElement.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet containing PageElements.

</details>

<details><summary><h4><strong>def find_next_sibling</strong></h4></summary>

Find the closest sibling to this PageElement that matches the
        given criteria and appears later in the document.

        All find_* methods take a common set of arguments. See the
        online documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_next_siblings</strong></h4></summary>

Find all siblings of this PageElement that match the given criteria
        and appear later in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def find_previous</strong></h4></summary>

Look backwards in the document from this PageElement and find the
        first PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all_previous</strong></h4></summary>

Look backwards in the document from this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def find_previous_sibling</strong></h4></summary>

Returns the closest sibling to this PageElement that matches the
        given criteria and appears earlier in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_previous_siblings</strong></h4></summary>

Returns all siblings to this PageElement that match the
        given criteria and appear earlier in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def find_parent</strong></h4></summary>

Find the closest parent of this PageElement that matches the given
        criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :kwargs: A dictionary of filters on attribute values.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_parents</strong></h4></summary>

Find all parents of this PageElement that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def next</strong></h4></summary>

The PageElement, if any, that was parsed just after this one.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def previous</strong></h4></summary>

The PageElement, if any, that was parsed just before this one.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def _find_one</strong></h4></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def _find_all</strong></h4></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def next_elements</strong></h4></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def next_siblings</strong></h4></summary>

All PageElements that are siblings of this one but were parsed
        later.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def previous_elements</strong></h4></summary>

All PageElements that were parsed before this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def previous_siblings</strong></h4></summary>

All PageElements that are siblings of this one but were parsed
        earlier.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def parents</strong></h4></summary>

All PageElements that are parents of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def decomposed</strong></h4></summary>

Check whether a PageElement has been decomposed.

        :rtype: bool

</details>

</details>

<details><summary><h3><strong>class NavigableString</strong></h3></summary>

A Python Unicode string that is part of a parse tree.

    When Beautiful Soup parses the markup <b>penguin</b>, it will
    create a NavigableString for the string "penguin".

<details><summary><h4><strong>def __new__</strong></h4></summary>

Create a new NavigableString.

        When unpickling a NavigableString, this method is called with
        the string in DEFAULT_OUTPUT_ENCODING. That encoding needs to be
        passed in to the superclass's __new__ or the superclass won't know
        how to handle non-ASCII characters.

</details>

<details><summary><h4><strong>def __deepcopy__</strong></h4></summary>

A copy of a NavigableString has the same contents and class
        as the original, but it is not connected to the parse tree.

        :param recursive: This parameter is ignored; it's only defined
           so that NavigableString.__deepcopy__ implements the same
           signature as Tag.__deepcopy__.

</details>

<details><summary><h4><strong>def __copy__</strong></h4></summary>

A copy of a NavigableString can only be a deep copy, because
        only one PageElement can occupy a given place in a parse tree.

</details>

<details><summary><h4><strong>def __getnewargs__</strong></h4></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h4><strong>def output_ready</strong></h4></summary>

Run the string through the provided formatter.

        :param formatter: A Formatter object, or a string naming one of the standard formatters.

</details>

<details><summary><h4><strong>def name</strong></h4></summary>

Since a NavigableString is not a Tag, it has no .name.

        This property is implemented so that code like this doesn't crash
        when run on a mixture of Tag and NavigableString objects:
            [x.name for x in tag.children]

</details>

<details><summary><h4><strong>def name</strong></h4></summary>

Prevent NavigableString.name from ever being set.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        This makes it easy for NavigableString to implement methods
        like get_text() as conveniences, creating a consistent
        text-extraction API across all PageElements.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. If this
            NavigableString isn't one of those subclasses, the
            sequence will be empty. By default, the subclasses
            considered are NavigableString and CData objects. That
            means no comments, processing instructions, etc.

        :yield: A sequence that either contains this string, or is empty.

</details>

</details>

<details><summary><h3><strong>class won</strong></h3></summary>

if isinstance(value, str):
            u = str.__new__(cls, value)
        else:
            u = str.__new__(cls, value, DEFAULT_OUTPUT_ENCODING)
        u.setup()
        return u

    def __deepcopy__(self, memo, recursive=False):

<details><summary><h4><strong>def __deepcopy__</strong></h4></summary>

A copy of a NavigableString has the same contents and class
        as the original, but it is not connected to the parse tree.

        :param recursive: This parameter is ignored; it's only defined
           so that NavigableString.__deepcopy__ implements the same
           signature as Tag.__deepcopy__.

</details>

<details><summary><h4><strong>def __copy__</strong></h4></summary>

A copy of a NavigableString can only be a deep copy, because
        only one PageElement can occupy a given place in a parse tree.

</details>

<details><summary><h4><strong>def __getnewargs__</strong></h4></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h4><strong>def output_ready</strong></h4></summary>

Run the string through the provided formatter.

        :param formatter: A Formatter object, or a string naming one of the standard formatters.

</details>

<details><summary><h4><strong>def name</strong></h4></summary>

Since a NavigableString is not a Tag, it has no .name.

        This property is implemented so that code like this doesn't crash
        when run on a mixture of Tag and NavigableString objects:
            [x.name for x in tag.children]

</details>

<details><summary><h4><strong>def name</strong></h4></summary>

Prevent NavigableString.name from ever being set.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        This makes it easy for NavigableString to implement methods
        like get_text() as conveniences, creating a consistent
        text-extraction API across all PageElements.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. If this
            NavigableString isn't one of those subclasses, the
            sequence will be empty. By default, the subclasses
            considered are NavigableString and CData objects. That
            means no comments, processing instructions, etc.

        :yield: A sequence that either contains this string, or is empty.

</details>

</details>

<details><summary><h3><strong>class as</strong></h3></summary>

return type(self)(self)

    def __copy__(self):

<details><summary><h4><strong>def __copy__</strong></h4></summary>

A copy of a NavigableString can only be a deep copy, because
        only one PageElement can occupy a given place in a parse tree.

</details>

<details><summary><h4><strong>def __getnewargs__</strong></h4></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h4><strong>def output_ready</strong></h4></summary>

Run the string through the provided formatter.

        :param formatter: A Formatter object, or a string naming one of the standard formatters.

</details>

<details><summary><h4><strong>def name</strong></h4></summary>

Since a NavigableString is not a Tag, it has no .name.

        This property is implemented so that code like this doesn't crash
        when run on a mixture of Tag and NavigableString objects:
            [x.name for x in tag.children]

</details>

<details><summary><h4><strong>def name</strong></h4></summary>

Prevent NavigableString.name from ever being set.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        This makes it easy for NavigableString to implement methods
        like get_text() as conveniences, creating a consistent
        text-extraction API across all PageElements.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. If this
            NavigableString isn't one of those subclasses, the
            sequence will be empty. By default, the subclasses
            considered are NavigableString and CData objects. That
            means no comments, processing instructions, etc.

        :yield: A sequence that either contains this string, or is empty.

</details>

</details>

<details><summary><h3><strong>class PreformattedString</strong></h3></summary>

A NavigableString not subject to the normal formatting rules.

    This is an abstract class used for special kinds of strings such
    as comments (the Comment class) and CDATA blocks (the CData
    class).

<details><summary><h4><strong>def output_ready</strong></h4></summary>

Make this string ready for output by adding any subclass-specific
            prefix or suffix.

        :param formatter: A Formatter object, or a string naming one
            of the standard formatters. The string will be passed into the
            Formatter, but only to trigger any side effects: the return
            value is ignored.

        :return: The string, with any subclass-specific prefix and
           suffix added on.

</details>

</details>

<details><summary><h3><strong>class used</strong></h3></summary>

PREFIX = ''
    SUFFIX = ''

    def output_ready(self, formatter=None):

<details><summary><h4><strong>def output_ready</strong></h4></summary>

Make this string ready for output by adding any subclass-specific
            prefix or suffix.

        :param formatter: A Formatter object, or a string naming one
            of the standard formatters. The string will be passed into the
            Formatter, but only to trigger any side effects: the return
            value is ignored.

        :return: The string, with any subclass-specific prefix and
           suffix added on.

</details>

</details>

<details><summary><h3><strong>class CData</strong></h3></summary>

A CDATA block.

</details>

<details><summary><h3><strong>class ProcessingInstruction</strong></h3></summary>

A SGML processing instruction.

</details>

<details><summary><h3><strong>class XMLProcessingInstruction</strong></h3></summary>

An XML processing instruction.

</details>

<details><summary><h3><strong>class Comment</strong></h3></summary>

An HTML or XML comment.

</details>

<details><summary><h3><strong>class Declaration</strong></h3></summary>

An XML declaration.

</details>

<details><summary><h3><strong>class Doctype</strong></h3></summary>

A document type declaration.

<details><summary><h4><strong>def for_name_and_ids</strong></h4></summary>

Generate an appropriate document type declaration for a given
        public ID and system ID.

        :param name: The name of the document's root element, e.g. 'html'.
        :param pub_id: The Formal Public Identifier for this document type,
            e.g. '-//W3C//DTD XHTML 1.1//EN'
        :param system_id: The system identifier for this document type,
            e.g. 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'

        :return: A Doctype.

</details>

</details>

<details><summary><h3><strong>class Stylesheet</strong></h3></summary>

A NavigableString representing an stylesheet (probably
    CSS).

    Used to distinguish embedded stylesheets from textual content.

</details>

<details><summary><h3><strong>class Script</strong></h3></summary>

A NavigableString representing an executable script (probably
    Javascript).

    Used to distinguish executable code from textual content.

</details>

<details><summary><h3><strong>class TemplateString</strong></h3></summary>

A NavigableString representing a string found inside an HTML
    template embedded in a larger document.

    Used to distinguish such strings from the main body of the document.

</details>

<details><summary><h3><strong>class RubyTextString</strong></h3></summary>

A NavigableString representing the contents of the <rt> HTML
    element.

    https://dev.w3.org/html5/spec-LC/text-level-semantics.html#the-rt-element

    Can be used to distinguish such strings from the strings they're
    annotating.

</details>

<details><summary><h3><strong>class RubyParenthesisString</strong></h3></summary>

A NavigableString representing the contents of the <rp> HTML
    element.

    https://dev.w3.org/html5/spec-LC/text-level-semantics.html#the-rp-element

</details>

<details><summary><h3><strong>class Tag</strong></h3></summary>

Represents an HTML or XML tag that is part of a parse tree, along
    with its attributes and contents.

    When Beautiful Soup parses the markup <b>penguin</b>, it will
    create a Tag object representing the <b> tag.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Basic constructor.

        :param parser: A BeautifulSoup object.
        :param builder: A TreeBuilder.
        :param name: The name of the tag.
        :param namespace: The URI of this Tag's XML namespace, if any.
        :param prefix: The prefix for this Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values.
        :param parent: The PageElement to use as this Tag's parent.
        :param previous: The PageElement that was parsed immediately before
            this tag.
        :param is_xml: If True, this is an XML tag. Otherwise, this is an
            HTML tag.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param can_be_empty_element: If True, this tag should be
            represented as <tag/>. If False, this tag should be represented
            as <tag></tag>.
        :param cdata_list_attributes: A list of attributes whose values should
            be treated as CDATA if they ever show up on this tag.
        :param preserve_whitespace_tags: A list of tag names whose contents
            should have their whitespace preserved.
        :param interesting_string_types: This is a NavigableString
            subclass or a tuple of them. When iterating over this
            Tag's strings in methods like Tag.strings or Tag.get_text,
            these are the types of strings that are interesting enough
            to be considered. The default is to consider
            NavigableString and CData the only interesting string
            subtypes.
        :param namespaces: A dictionary mapping currently active
            namespace prefixes to URIs. This can be used later to
            construct CSS selectors.

</details>

<details><summary><h4><strong>def __deepcopy__</strong></h4></summary>

A deepcopy of a Tag is a new Tag, unconnected to the parse tree.
        Its contents are a copy of the old Tag's contents.

</details>

<details><summary><h4><strong>def __copy__</strong></h4></summary>

A copy of a Tag must always be a deep copy, because a Tag's
        children can only have one parent at a time.

</details>

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new Tag just like this one, but with no
        contents and unattached to any parse tree.

        This is the first step in the deepcopy process.

</details>

<details><summary><h4><strong>def is_empty_element</strong></h4></summary>

Is this tag an empty-element tag? (aka a self-closing tag)

        A tag that has contents is never an empty-element tag.

        A tag that has no contents may or may not be an empty-element
        tag. It depends on the builder used to create the tag. If the
        builder has a designated list of empty-element tags, then only
        a tag whose name shows up in that list is considered an
        empty-element tag.

        If the builder has no designated list of empty-element tags,
        then any tag with no contents is an empty-element tag.

</details>

<details><summary><h4><strong>def string</strong></h4></summary>

Convenience property to get the single string within this
        PageElement.

        TODO It might make sense to have NavigableString.string return
        itself.

        :return: If this element has a single string child, return
         value is that string. If this element has one child tag,
         return value is the 'string' attribute of the child tag,
         recursively. If this element is itself a string, has no
         children, or has more than one child, return value is None.

</details>

<details><summary><h4><strong>def string</strong></h4></summary>

Replace this PageElement's contents with `string`.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. Any strings of
            a subclass not found in this list will be ignored. By
            default, the subclasses considered are the ones found in
            self.interesting_string_types. If that's not specified,
            only NavigableString and CData objects will be
            considered. That means no comments, processing
            instructions, etc.

        :yield: A sequence of strings.

</details>

<details><summary><h4><strong>def decompose</strong></h4></summary>

Recursively destroys this PageElement and its children.

        This element will be removed from the tree and wiped out; so
        will everything beneath it.

        The behavior of a decomposed PageElement is undefined and you
        should never use one for anything, but if you need to _check_
        whether an element has been decomposed, you can use the
        `decomposed` property.

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Wipe out all children of this PageElement by calling extract()
           on them.

        :param decompose: If this is True, decompose() (a more
            destructive method) will be called instead of extract().

</details>

<details><summary><h4><strong>def smooth</strong></h4></summary>

Smooth out this element's children by consolidating consecutive
        strings.

        This makes pretty-printed output look more natural following a
        lot of operations that modified the tree.

</details>

<details><summary><h4><strong>def index</strong></h4></summary>

Find the index of a child by identity, not value.

        Avoids issues with tag.contents.index(element) getting the
        index of equal elements.

        :param element: Look for this PageElement in `self.contents`.

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Returns the value of the 'key' attribute for the tag, or
        the value given for 'default' if it doesn't have that
        attribute.

</details>

<details><summary><h4><strong>def get_attribute_list</strong></h4></summary>

The same as get(), but always returns a list.

        :param key: The attribute to look for.
        :param default: Use this value if the attribute is not present
            on this PageElement.
        :return: A list of values, probably containing only a single
            value.

</details>

<details><summary><h4><strong>def has_attr</strong></h4></summary>

Does this PageElement have an attribute with the given name?

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

Calling tag.subtag is the same as calling tag.find(name="subtag")

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Returns true iff this Tag has the same name, the same attributes,
        and the same contents (recursively) as `other`.

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

Returns true iff this Tag is not identical to `other`,
        as defined in __eq__.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Renders this PageElement as a string.

        :param encoding: The encoding to use (Python 2 only).
            TODO: This is now ignored and a warning should be issued
            if a value is provided.
        :return: A (Unicode) string.

</details>

<details><summary><h4><strong>def __unicode__</strong></h4></summary>

Renders this PageElement as a Unicode string.

</details>

<details><summary><h4><strong>def encode</strong></h4></summary>

Render a bytestring representation of this PageElement and its
        contents.

        :param encoding: The destination encoding.
        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :param errors: An error handling strategy such as
            'xmlcharrefreplace'. This value is passed along into
            encode() and its value should be one of the constants
            defined by Python.
        :return: A bytestring.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _event_stream</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _indent_string</strong></h4></summary>

Add indentation whitespace before and/or after a string.

        :param s: The string to amend with whitespace.
        :param indent_level: The indentation level; affects how much
           whitespace goes before the string.
        :param indent_before: Whether or not to add whitespace
           before the string.
        :param indent_after: Whether or not to add whitespace
           (a newline) after the string.

</details>

<details><summary><h4><strong>def _format_tag</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def _should_pretty_print</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def prettify</strong></h4></summary>

Pretty-print this PageElement as a string.

        :param encoding: The eventual encoding of the string. If this is None,
            a Unicode string will be returned.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :return: A Unicode string (if encoding==None) or a bytestring
            (otherwise).

</details>

<details><summary><h4><strong>def decode_contents</strong></h4></summary>

Renders the contents of this tag as a Unicode string.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The tag is destined to be
           encoded into this encoding. decode_contents() is _not_
           responsible for performing that encoding. This information
           is passed in so that it can be substituted in if the
           document contains a <META> tag that mentions the document's
           encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

</details>

<details><summary><h4><strong>def encode_contents</strong></h4></summary>

Renders the contents of this PageElement as a bytestring.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The bytestring will be in this encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

        :return: A bytestring.

</details>

<details><summary><h4><strong>def renderContents</strong></h4></summary>

Deprecated method for BS3 compatibility.

</details>

<details><summary><h4><strong>def find</strong></h4></summary>

Look in the children of this PageElement and find the first
        PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all</strong></h4></summary>

Look in the children of this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find_all() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Iterate over all direct children of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def self_and_descendants</strong></h4></summary>

Iterate over this PageElement and its children in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def descendants</strong></h4></summary>

Iterate over all children of this PageElement in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Perform a CSS selection operation on the current element.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param kwargs: Keyword arguments to be passed into Soup Sieve's
           soupsieve.select() method.

        :return: A Tag.
        :rtype: bs4.element.Tag

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Perform a CSS selection operation on the current element.

        This uses the SoupSieve library.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select() method.

        :return: A ResultSet of Tags.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def css</strong></h4></summary>

Return an interface to the CSS selector API.

</details>

<details><summary><h4><strong>def childGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def recursiveChildGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def has_key</strong></h4></summary>

Deprecated method. This was kind of misleading because has_key()
        (attributes) was different from __in__ (contents).

        has_key() is gone in Python 3, anyway.

</details>

</details>

<details><summary><h3><strong>class or</strong></h3></summary>

if parser is None:
            self.parser_class = None
        else:
            # We don't actually store the parser object: that lets extracted
            # chunks be garbage-collected.
            self.parser_class = parser.__class__
        if name is None:
            raise ValueError("No value provided for new tag's name.")
        self.name = name
        self.namespace = namespace
        self._namespaces = namespaces or {}
        self.prefix = prefix
        if ((not builder or builder.store_line_numbers)
            and (sourceline is not None or sourcepos is not None)):
            self.sourceline = sourceline
            self.sourcepos = sourcepos
        if attrs is None:
            attrs = {}
        elif attrs:
            if builder is not None and builder.cdata_list_attributes:
                attrs = builder._replace_cdata_list_attribute_values(
                    self.name, attrs)
            else:
                attrs = dict(attrs)
        else:
            attrs = dict(attrs)

        # If possible, determine ahead of time whether this tag is an
        # XML tag.
        if builder:
            self.known_xml = builder.is_xml
        else:
            self.known_xml = is_xml
        self.attrs = attrs
        self.contents = []
        self.setup(parent, previous)
        self.hidden = False

        if builder is None:
            # In the absence of a TreeBuilder, use whatever values were
            # passed in here. They're probably None, unless this is a copy of some
            # other tag.
            self.can_be_empty_element = can_be_empty_element
            self.cdata_list_attributes = cdata_list_attributes
            self.preserve_whitespace_tags = preserve_whitespace_tags
            self.interesting_string_types = interesting_string_types
        else:
            # Set up any substitutions for this tag, such as the charset in a META tag.
            builder.set_up_substitutions(self)

            # Ask the TreeBuilder whether this tag might be an empty-element tag.
            self.can_be_empty_element = builder.can_be_empty_element(name)

            # Keep track of the list of attributes of this tag that
            # might need to be treated as a list.
            #
            # For performance reasons, we store the whole data structure
            # rather than asking the question of every tag. Asking would
            # require building a new data structure every time, and
            # (unlike can_be_empty_element), we almost never need
            # to check this.
            self.cdata_list_attributes = builder.cdata_list_attributes

            # Keep track of the names that might cause this tag to be treated as a
            # whitespace-preserved tag.
            self.preserve_whitespace_tags = builder.preserve_whitespace_tags

            if self.name in builder.string_containers:
                # This sort of tag uses a special string container
                # subclass for most of its strings. When we ask the
                self.interesting_string_types = builder.string_containers[self.name]
            else:
                self.interesting_string_types = self.DEFAULT_INTERESTING_STRING_TYPES

    parserClass = _alias("parser_class")  # BS3

    def __deepcopy__(self, memo, recursive=True):

<details><summary><h4><strong>def __deepcopy__</strong></h4></summary>

A deepcopy of a Tag is a new Tag, unconnected to the parse tree.
        Its contents are a copy of the old Tag's contents.

</details>

<details><summary><h4><strong>def __copy__</strong></h4></summary>

A copy of a Tag must always be a deep copy, because a Tag's
        children can only have one parent at a time.

</details>

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new Tag just like this one, but with no
        contents and unattached to any parse tree.

        This is the first step in the deepcopy process.

</details>

<details><summary><h4><strong>def is_empty_element</strong></h4></summary>

Is this tag an empty-element tag? (aka a self-closing tag)

        A tag that has contents is never an empty-element tag.

        A tag that has no contents may or may not be an empty-element
        tag. It depends on the builder used to create the tag. If the
        builder has a designated list of empty-element tags, then only
        a tag whose name shows up in that list is considered an
        empty-element tag.

        If the builder has no designated list of empty-element tags,
        then any tag with no contents is an empty-element tag.

</details>

<details><summary><h4><strong>def string</strong></h4></summary>

Convenience property to get the single string within this
        PageElement.

        TODO It might make sense to have NavigableString.string return
        itself.

        :return: If this element has a single string child, return
         value is that string. If this element has one child tag,
         return value is the 'string' attribute of the child tag,
         recursively. If this element is itself a string, has no
         children, or has more than one child, return value is None.

</details>

<details><summary><h4><strong>def string</strong></h4></summary>

Replace this PageElement's contents with `string`.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. Any strings of
            a subclass not found in this list will be ignored. By
            default, the subclasses considered are the ones found in
            self.interesting_string_types. If that's not specified,
            only NavigableString and CData objects will be
            considered. That means no comments, processing
            instructions, etc.

        :yield: A sequence of strings.

</details>

<details><summary><h4><strong>def decompose</strong></h4></summary>

Recursively destroys this PageElement and its children.

        This element will be removed from the tree and wiped out; so
        will everything beneath it.

        The behavior of a decomposed PageElement is undefined and you
        should never use one for anything, but if you need to _check_
        whether an element has been decomposed, you can use the
        `decomposed` property.

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Wipe out all children of this PageElement by calling extract()
           on them.

        :param decompose: If this is True, decompose() (a more
            destructive method) will be called instead of extract().

</details>

<details><summary><h4><strong>def smooth</strong></h4></summary>

Smooth out this element's children by consolidating consecutive
        strings.

        This makes pretty-printed output look more natural following a
        lot of operations that modified the tree.

</details>

<details><summary><h4><strong>def index</strong></h4></summary>

Find the index of a child by identity, not value.

        Avoids issues with tag.contents.index(element) getting the
        index of equal elements.

        :param element: Look for this PageElement in `self.contents`.

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Returns the value of the 'key' attribute for the tag, or
        the value given for 'default' if it doesn't have that
        attribute.

</details>

<details><summary><h4><strong>def get_attribute_list</strong></h4></summary>

The same as get(), but always returns a list.

        :param key: The attribute to look for.
        :param default: Use this value if the attribute is not present
            on this PageElement.
        :return: A list of values, probably containing only a single
            value.

</details>

<details><summary><h4><strong>def has_attr</strong></h4></summary>

Does this PageElement have an attribute with the given name?

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

Calling tag.subtag is the same as calling tag.find(name="subtag")

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Returns true iff this Tag has the same name, the same attributes,
        and the same contents (recursively) as `other`.

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

Returns true iff this Tag is not identical to `other`,
        as defined in __eq__.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Renders this PageElement as a string.

        :param encoding: The encoding to use (Python 2 only).
            TODO: This is now ignored and a warning should be issued
            if a value is provided.
        :return: A (Unicode) string.

</details>

<details><summary><h4><strong>def __unicode__</strong></h4></summary>

Renders this PageElement as a Unicode string.

</details>

<details><summary><h4><strong>def encode</strong></h4></summary>

Render a bytestring representation of this PageElement and its
        contents.

        :param encoding: The destination encoding.
        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :param errors: An error handling strategy such as
            'xmlcharrefreplace'. This value is passed along into
            encode() and its value should be one of the constants
            defined by Python.
        :return: A bytestring.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _event_stream</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _indent_string</strong></h4></summary>

Add indentation whitespace before and/or after a string.

        :param s: The string to amend with whitespace.
        :param indent_level: The indentation level; affects how much
           whitespace goes before the string.
        :param indent_before: Whether or not to add whitespace
           before the string.
        :param indent_after: Whether or not to add whitespace
           (a newline) after the string.

</details>

<details><summary><h4><strong>def _format_tag</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def _should_pretty_print</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def prettify</strong></h4></summary>

Pretty-print this PageElement as a string.

        :param encoding: The eventual encoding of the string. If this is None,
            a Unicode string will be returned.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :return: A Unicode string (if encoding==None) or a bytestring
            (otherwise).

</details>

<details><summary><h4><strong>def decode_contents</strong></h4></summary>

Renders the contents of this tag as a Unicode string.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The tag is destined to be
           encoded into this encoding. decode_contents() is _not_
           responsible for performing that encoding. This information
           is passed in so that it can be substituted in if the
           document contains a <META> tag that mentions the document's
           encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

</details>

<details><summary><h4><strong>def encode_contents</strong></h4></summary>

Renders the contents of this PageElement as a bytestring.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The bytestring will be in this encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

        :return: A bytestring.

</details>

<details><summary><h4><strong>def renderContents</strong></h4></summary>

Deprecated method for BS3 compatibility.

</details>

<details><summary><h4><strong>def find</strong></h4></summary>

Look in the children of this PageElement and find the first
        PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all</strong></h4></summary>

Look in the children of this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find_all() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Iterate over all direct children of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def self_and_descendants</strong></h4></summary>

Iterate over this PageElement and its children in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def descendants</strong></h4></summary>

Iterate over all children of this PageElement in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Perform a CSS selection operation on the current element.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param kwargs: Keyword arguments to be passed into Soup Sieve's
           soupsieve.select() method.

        :return: A Tag.
        :rtype: bs4.element.Tag

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Perform a CSS selection operation on the current element.

        This uses the SoupSieve library.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select() method.

        :return: A ResultSet of Tags.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def css</strong></h4></summary>

Return an interface to the CSS selector API.

</details>

<details><summary><h4><strong>def childGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def recursiveChildGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def has_key</strong></h4></summary>

Deprecated method. This was kind of misleading because has_key()
        (attributes) was different from __in__ (contents).

        has_key() is gone in Python 3, anyway.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

A deepcopy of a Tag is a new Tag, unconnected to the parse tree.
        Its contents are a copy of the old Tag's contents.

<details><summary><h4><strong>def __deepcopy__</strong></h4></summary>

A deepcopy of a Tag is a new Tag, unconnected to the parse tree.
        Its contents are a copy of the old Tag's contents.

</details>

<details><summary><h4><strong>def __copy__</strong></h4></summary>

A copy of a Tag must always be a deep copy, because a Tag's
        children can only have one parent at a time.

</details>

<details><summary><h4><strong>def _clone</strong></h4></summary>

Create a new Tag just like this one, but with no
        contents and unattached to any parse tree.

        This is the first step in the deepcopy process.

</details>

<details><summary><h4><strong>def is_empty_element</strong></h4></summary>

Is this tag an empty-element tag? (aka a self-closing tag)

        A tag that has contents is never an empty-element tag.

        A tag that has no contents may or may not be an empty-element
        tag. It depends on the builder used to create the tag. If the
        builder has a designated list of empty-element tags, then only
        a tag whose name shows up in that list is considered an
        empty-element tag.

        If the builder has no designated list of empty-element tags,
        then any tag with no contents is an empty-element tag.

</details>

<details><summary><h4><strong>def string</strong></h4></summary>

Convenience property to get the single string within this
        PageElement.

        TODO It might make sense to have NavigableString.string return
        itself.

        :return: If this element has a single string child, return
         value is that string. If this element has one child tag,
         return value is the 'string' attribute of the child tag,
         recursively. If this element is itself a string, has no
         children, or has more than one child, return value is None.

</details>

<details><summary><h4><strong>def string</strong></h4></summary>

Replace this PageElement's contents with `string`.

</details>

<details><summary><h4><strong>def _all_strings</strong></h4></summary>

Yield all strings of certain classes, possibly stripping them.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. Any strings of
            a subclass not found in this list will be ignored. By
            default, the subclasses considered are the ones found in
            self.interesting_string_types. If that's not specified,
            only NavigableString and CData objects will be
            considered. That means no comments, processing
            instructions, etc.

        :yield: A sequence of strings.

</details>

<details><summary><h4><strong>def decompose</strong></h4></summary>

Recursively destroys this PageElement and its children.

        This element will be removed from the tree and wiped out; so
        will everything beneath it.

        The behavior of a decomposed PageElement is undefined and you
        should never use one for anything, but if you need to _check_
        whether an element has been decomposed, you can use the
        `decomposed` property.

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Wipe out all children of this PageElement by calling extract()
           on them.

        :param decompose: If this is True, decompose() (a more
            destructive method) will be called instead of extract().

</details>

<details><summary><h4><strong>def smooth</strong></h4></summary>

Smooth out this element's children by consolidating consecutive
        strings.

        This makes pretty-printed output look more natural following a
        lot of operations that modified the tree.

</details>

<details><summary><h4><strong>def index</strong></h4></summary>

Find the index of a child by identity, not value.

        Avoids issues with tag.contents.index(element) getting the
        index of equal elements.

        :param element: Look for this PageElement in `self.contents`.

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Returns the value of the 'key' attribute for the tag, or
        the value given for 'default' if it doesn't have that
        attribute.

</details>

<details><summary><h4><strong>def get_attribute_list</strong></h4></summary>

The same as get(), but always returns a list.

        :param key: The attribute to look for.
        :param default: Use this value if the attribute is not present
            on this PageElement.
        :return: A list of values, probably containing only a single
            value.

</details>

<details><summary><h4><strong>def has_attr</strong></h4></summary>

Does this PageElement have an attribute with the given name?

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

Calling tag.subtag is the same as calling tag.find(name="subtag")

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Returns true iff this Tag has the same name, the same attributes,
        and the same contents (recursively) as `other`.

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

Returns true iff this Tag is not identical to `other`,
        as defined in __eq__.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Renders this PageElement as a string.

        :param encoding: The encoding to use (Python 2 only).
            TODO: This is now ignored and a warning should be issued
            if a value is provided.
        :return: A (Unicode) string.

</details>

<details><summary><h4><strong>def __unicode__</strong></h4></summary>

Renders this PageElement as a Unicode string.

</details>

<details><summary><h4><strong>def encode</strong></h4></summary>

Render a bytestring representation of this PageElement and its
        contents.

        :param encoding: The destination encoding.
        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :param errors: An error handling strategy such as
            'xmlcharrefreplace'. This value is passed along into
            encode() and its value should be one of the constants
            defined by Python.
        :return: A bytestring.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _event_stream</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _indent_string</strong></h4></summary>

Add indentation whitespace before and/or after a string.

        :param s: The string to amend with whitespace.
        :param indent_level: The indentation level; affects how much
           whitespace goes before the string.
        :param indent_before: Whether or not to add whitespace
           before the string.
        :param indent_after: Whether or not to add whitespace
           (a newline) after the string.

</details>

<details><summary><h4><strong>def _format_tag</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def _should_pretty_print</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def prettify</strong></h4></summary>

Pretty-print this PageElement as a string.

        :param encoding: The eventual encoding of the string. If this is None,
            a Unicode string will be returned.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :return: A Unicode string (if encoding==None) or a bytestring
            (otherwise).

</details>

<details><summary><h4><strong>def decode_contents</strong></h4></summary>

Renders the contents of this tag as a Unicode string.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The tag is destined to be
           encoded into this encoding. decode_contents() is _not_
           responsible for performing that encoding. This information
           is passed in so that it can be substituted in if the
           document contains a <META> tag that mentions the document's
           encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

</details>

<details><summary><h4><strong>def encode_contents</strong></h4></summary>

Renders the contents of this PageElement as a bytestring.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The bytestring will be in this encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

        :return: A bytestring.

</details>

<details><summary><h4><strong>def renderContents</strong></h4></summary>

Deprecated method for BS3 compatibility.

</details>

<details><summary><h4><strong>def find</strong></h4></summary>

Look in the children of this PageElement and find the first
        PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all</strong></h4></summary>

Look in the children of this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find_all() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Iterate over all direct children of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def self_and_descendants</strong></h4></summary>

Iterate over this PageElement and its children in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def descendants</strong></h4></summary>

Iterate over all children of this PageElement in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Perform a CSS selection operation on the current element.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param kwargs: Keyword arguments to be passed into Soup Sieve's
           soupsieve.select() method.

        :return: A Tag.
        :rtype: bs4.element.Tag

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Perform a CSS selection operation on the current element.

        This uses the SoupSieve library.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select() method.

        :return: A ResultSet of Tags.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def css</strong></h4></summary>

Return an interface to the CSS selector API.

</details>

<details><summary><h4><strong>def childGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def recursiveChildGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def has_key</strong></h4></summary>

Deprecated method. This was kind of misleading because has_key()
        (attributes) was different from __in__ (contents).

        has_key() is gone in Python 3, anyway.

</details>

</details>

<details><summary><h3><strong>class not</strong></h3></summary>

if types is self.default:
            types = self.interesting_string_types

        for descendant in self.descendants:
            if (types is None and not isinstance(descendant, NavigableString)):
                continue
            descendant_type = type(descendant)
            if isinstance(types, type):
                if descendant_type is not types:
                    # We're not interested in strings of this type.
                    continue
            elif types is not None and descendant_type not in types:
                # We're not interested in strings of this type.
                continue
            if strip:
                descendant = descendant.strip()
                if len(descendant) == 0:
                    continue
            yield descendant
    strings = property(_all_strings)

    def decompose(self):

<details><summary><h4><strong>def decompose</strong></h4></summary>

Recursively destroys this PageElement and its children.

        This element will be removed from the tree and wiped out; so
        will everything beneath it.

        The behavior of a decomposed PageElement is undefined and you
        should never use one for anything, but if you need to _check_
        whether an element has been decomposed, you can use the
        `decomposed` property.

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Wipe out all children of this PageElement by calling extract()
           on them.

        :param decompose: If this is True, decompose() (a more
            destructive method) will be called instead of extract().

</details>

<details><summary><h4><strong>def smooth</strong></h4></summary>

Smooth out this element's children by consolidating consecutive
        strings.

        This makes pretty-printed output look more natural following a
        lot of operations that modified the tree.

</details>

<details><summary><h4><strong>def index</strong></h4></summary>

Find the index of a child by identity, not value.

        Avoids issues with tag.contents.index(element) getting the
        index of equal elements.

        :param element: Look for this PageElement in `self.contents`.

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Returns the value of the 'key' attribute for the tag, or
        the value given for 'default' if it doesn't have that
        attribute.

</details>

<details><summary><h4><strong>def get_attribute_list</strong></h4></summary>

The same as get(), but always returns a list.

        :param key: The attribute to look for.
        :param default: Use this value if the attribute is not present
            on this PageElement.
        :return: A list of values, probably containing only a single
            value.

</details>

<details><summary><h4><strong>def has_attr</strong></h4></summary>

Does this PageElement have an attribute with the given name?

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

Calling tag.subtag is the same as calling tag.find(name="subtag")

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Returns true iff this Tag has the same name, the same attributes,
        and the same contents (recursively) as `other`.

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

Returns true iff this Tag is not identical to `other`,
        as defined in __eq__.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Renders this PageElement as a string.

        :param encoding: The encoding to use (Python 2 only).
            TODO: This is now ignored and a warning should be issued
            if a value is provided.
        :return: A (Unicode) string.

</details>

<details><summary><h4><strong>def __unicode__</strong></h4></summary>

Renders this PageElement as a Unicode string.

</details>

<details><summary><h4><strong>def encode</strong></h4></summary>

Render a bytestring representation of this PageElement and its
        contents.

        :param encoding: The destination encoding.
        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :param errors: An error handling strategy such as
            'xmlcharrefreplace'. This value is passed along into
            encode() and its value should be one of the constants
            defined by Python.
        :return: A bytestring.

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _event_stream</strong></h4></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h4><strong>def _indent_string</strong></h4></summary>

Add indentation whitespace before and/or after a string.

        :param s: The string to amend with whitespace.
        :param indent_level: The indentation level; affects how much
           whitespace goes before the string.
        :param indent_before: Whether or not to add whitespace
           before the string.
        :param indent_after: Whether or not to add whitespace
           (a newline) after the string.

</details>

<details><summary><h4><strong>def _format_tag</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def _should_pretty_print</strong></h4></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h4><strong>def prettify</strong></h4></summary>

Pretty-print this PageElement as a string.

        :param encoding: The eventual encoding of the string. If this is None,
            a Unicode string will be returned.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :return: A Unicode string (if encoding==None) or a bytestring
            (otherwise).

</details>

<details><summary><h4><strong>def decode_contents</strong></h4></summary>

Renders the contents of this tag as a Unicode string.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The tag is destined to be
           encoded into this encoding. decode_contents() is _not_
           responsible for performing that encoding. This information
           is passed in so that it can be substituted in if the
           document contains a <META> tag that mentions the document's
           encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

</details>

<details><summary><h4><strong>def encode_contents</strong></h4></summary>

Renders the contents of this PageElement as a bytestring.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The bytestring will be in this encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

        :return: A bytestring.

</details>

<details><summary><h4><strong>def renderContents</strong></h4></summary>

Deprecated method for BS3 compatibility.

</details>

<details><summary><h4><strong>def find</strong></h4></summary>

Look in the children of this PageElement and find the first
        PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h4><strong>def find_all</strong></h4></summary>

Look in the children of this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find_all() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Iterate over all direct children of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def self_and_descendants</strong></h4></summary>

Iterate over this PageElement and its children in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def descendants</strong></h4></summary>

Iterate over all children of this PageElement in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Perform a CSS selection operation on the current element.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param kwargs: Keyword arguments to be passed into Soup Sieve's
           soupsieve.select() method.

        :return: A Tag.
        :rtype: bs4.element.Tag

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Perform a CSS selection operation on the current element.

        This uses the SoupSieve library.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select() method.

        :return: A ResultSet of Tags.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h4><strong>def css</strong></h4></summary>

Return an interface to the CSS selector API.

</details>

<details><summary><h4><strong>def childGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def recursiveChildGenerator</strong></h4></summary>

Deprecated generator.

</details>

<details><summary><h4><strong>def has_key</strong></h4></summary>

Deprecated method. This was kind of misleading because has_key()
        (attributes) was different from __in__ (contents).

        has_key() is gone in Python 3, anyway.

</details>

</details>

<details><summary><h3><strong>class SoupStrainer</strong></h3></summary>

Encapsulates a number of ways of matching a markup element (tag or
    string).

    This is primarily used to underpin the find_* methods, but you can
    create one yourself and pass it in as `parse_only` to the
    `BeautifulSoup` constructor, to parse a subset of a large
    document.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        The SoupStrainer constructor takes the same arguments passed
        into the find_* methods. See the online documentation for
        detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.

</details>

<details><summary><h4><strong>def _normalize_search_value</strong></h4></summary>

A human-readable representation of this SoupStrainer.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

A human-readable representation of this SoupStrainer.

</details>

<details><summary><h4><strong>def search_tag</strong></h4></summary>

Check whether a Tag with the given name and attributes would
        match this SoupStrainer.

        Used prospectively to decide whether to even bother creating a Tag
        object.

        :param markup_name: A tag name as found in some markup.
        :param markup_attrs: A dictionary of attributes as found in some markup.

        :return: True if the prospective tag would match this SoupStrainer;
            False otherwise.

</details>

<details><summary><h4><strong>def search</strong></h4></summary>

Find all items in `markup` that match this SoupStrainer.

        Used by the core _find_all() method, which is ultimately
        called by all find_* methods.

        :param markup: A PageElement or a list of them.

</details>

</details>

<details><summary><h3><strong>class ResultSet</strong></h3></summary>

A ResultSet is just a list that keeps track of the SoupStrainer
    that created it.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param source: A SoupStrainer.
        :param result: A list of PageElements.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

Raise a helpful exception to explain a common code fix.

</details>

</details>

<details><summary><h3><strong>def _alias(attr)</strong></h3></summary>

Alias one attribute name to another for backward compatibility

</details>

<details><summary><h3><strong>def __new__(cls, original_value)</strong></h3></summary>

When an HTML document is being encoded to a given encoding, the
        value of a meta tag's 'charset' is the name of the encoding.

</details>

<details><summary><h3><strong>def encode(self, encoding)</strong></h3></summary>

When an HTML document is being encoded to a given encoding, the
        value of a meta tag's 'charset' is the name of the encoding.

</details>

<details><summary><h3><strong>def format_string(self, s, formatter)</strong></h3></summary>

Sets up the initial relations between this element and
        other elements.

        :param parent: The parent of this element.

        :param previous_element: The element parsed immediately before
            this one.

        :param next_element: The element parsed immediately before
            this one.

        :param previous_sibling: The most recently encountered element
            on the same level of the parse tree as this one.

        :param previous_sibling: The next element to be encountered
            on the same level of the parse tree as this one.

</details>

<details><summary><h3><strong>def format_string(self, s, formatter)</strong></h3></summary>

Format the given string using the given formatter.

        :param s: A string.
        :param formatter: A Formatter object, or a string naming one of the standard formatters.

</details>

<details><summary><h3><strong>def formatter_for_name(self, formatter)</strong></h3></summary>

Look up or create a Formatter for the given identifier,
        if necessary.

        :param formatter: Can be a Formatter object (used as-is), a
            function (used as the entity substitution hook for an
            XMLFormatter or HTMLFormatter), or a string (used to look
            up an XMLFormatter or HTMLFormatter in the appropriate
            registry.

</details>

<details><summary><h3><strong>def _is_xml(self)</strong></h3></summary>

Is this element part of an XML tree or an HTML tree?

        This is used in formatter_for_name, when deciding whether an
        XMLFormatter or HTMLFormatter is more appropriate. It can be
        inefficient, but it should be called very rarely.

</details>

<details><summary><h3><strong>def _all_strings(self, strip=False, types=default)</strong></h3></summary>

Yield all strings of certain classes, possibly stripping them.

        This is implemented differently in Tag and NavigableString.

</details>

<details><summary><h3><strong>def stripped_strings(self)</strong></h3></summary>

Yield all strings in this PageElement, stripping them first.

        :yield: A sequence of stripped strings.

</details>

<details><summary><h3><strong>def replace_with(self, *args)</strong></h3></summary>

Get all child strings of this PageElement, concatenated using the
        given separator.

        :param separator: Strings will be concatenated using this separator.

        :param strip: If True, strings will be stripped before being
            concatenated.

        :param types: A tuple of NavigableString subclasses. Any
            strings of a subclass not found in this list will be
            ignored. Although there are exceptions, the default
            behavior in most cases is to consider only NavigableString
            and CData objects. That means no comments, processing
            instructions, etc.

        :return: A string.

</details>

<details><summary><h3><strong>def replace_with(self, *args)</strong></h3></summary>

Replace this PageElement with one or more PageElements, keeping the
        rest of the tree the same.

        :param args: One or more PageElements.
        :return: `self`, no longer part of the tree.

</details>

<details><summary><h3><strong>def unwrap(self)</strong></h3></summary>

Replace this PageElement with its contents.

        :return: `self`, no longer part of the tree.

</details>

<details><summary><h3><strong>def wrap(self, wrap_inside)</strong></h3></summary>

Wrap this PageElement inside another one.

        :param wrap_inside: A PageElement.
        :return: `wrap_inside`, occupying the position in the tree that used
           to be occupied by `self`, and with `self` inside it.

</details>

<details><summary><h3><strong>def extract(self, _self_index=None)</strong></h3></summary>

Destructively rips this element out of the tree.

        :param _self_index: The location of this element in its parent's
           .contents, if known. Passing this in allows for a performance
           optimization.

        :return: `self`, no longer part of the tree.

</details>

<details><summary><h3><strong>def _last_descendant(self, is_initialized=True, accept_self=True)</strong></h3></summary>

Finds the last element beneath this object to be parsed.

        :param is_initialized: Has `setup` been called on this PageElement
            yet?
        :param accept_self: Is `self` an acceptable answer to the question?

</details>

<details><summary><h3><strong>def insert(self, position, new_child)</strong></h3></summary>

Insert a new PageElement in the list of this PageElement's children.

        This works the same way as `list.insert`.

        :param position: The numeric position that should be occupied
           in `self.children` by the new PageElement.
        :param new_child: A PageElement.

</details>

<details><summary><h3><strong>def append(self, tag)</strong></h3></summary>

Appends the given PageElement to the contents of this one.

        :param tag: A PageElement.

</details>

<details><summary><h3><strong>def extend(self, tags)</strong></h3></summary>

Appends the given PageElements to this one's contents.

        :param tags: A list of PageElements. If a single Tag is
            provided instead, this PageElement's contents will be extended
            with that Tag's contents.

</details>

<details><summary><h3><strong>def insert_before(self, *args)</strong></h3></summary>

Makes the given element(s) the immediate predecessor of this one.

        All the elements will have the same parent, and the given elements
        will be immediately before this one.

        :param args: One or more PageElements.

</details>

<details><summary><h3><strong>def insert_after(self, *args)</strong></h3></summary>

Makes the given element(s) the immediate successor of this one.

        The elements will have the same parent, and the given elements
        will be immediately after this one.

        :param args: One or more PageElements.

</details>

<details><summary><h3><strong>def find_next(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Find the first PageElement that matches the given criteria and
        appears later in the document than this PageElement.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def find_next_sibling(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Find all PageElements that match the given criteria and appear
        later in the document than this PageElement.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet containing PageElements.

</details>

<details><summary><h3><strong>def find_next_sibling(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Find the closest sibling to this PageElement that matches the
        given criteria and appears later in the document.

        All find_* methods take a common set of arguments. See the
        online documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def find_previous(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Find all siblings of this PageElement that match the given criteria
        and appear later in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h3><strong>def find_previous(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Look backwards in the document from this PageElement and find the
        first PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def find_previous_sibling(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Look backwards in the document from this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h3><strong>def find_previous_sibling(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Returns the closest sibling to this PageElement that matches the
        given criteria and appears earlier in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def find_parent(self, name=None, attrs={}, **kwargs)</strong></h3></summary>

Returns all siblings to this PageElement that match the
        given criteria and appear earlier in the document.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h3><strong>def find_parent(self, name=None, attrs={}, **kwargs)</strong></h3></summary>

Find the closest parent of this PageElement that matches the given
        criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :kwargs: A dictionary of filters on attribute values.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def find_parents(self, name=None, attrs={}, limit=None, **kwargs)</strong></h3></summary>

Find all parents of this PageElement that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def next(self)</strong></h3></summary>

The PageElement, if any, that was parsed just after this one.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def previous(self)</strong></h3></summary>

The PageElement, if any, that was parsed just before this one.

        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def _find_one(self, method, name, attrs, string, **kwargs)</strong></h3></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def _find_all(self, name, attrs, string, limit, generator, **kwargs)</strong></h3></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def next_elements(self)</strong></h3></summary>

All PageElements that were parsed after this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def next_siblings(self)</strong></h3></summary>

All PageElements that are siblings of this one but were parsed
        later.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def previous_elements(self)</strong></h3></summary>

All PageElements that were parsed before this one.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def previous_siblings(self)</strong></h3></summary>

All PageElements that are siblings of this one but were parsed
        earlier.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def parents(self)</strong></h3></summary>

All PageElements that are parents of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def decomposed(self)</strong></h3></summary>

Check whether a PageElement has been decomposed.

        :rtype: bool

</details>

<details><summary><h3><strong>def __new__(cls, value)</strong></h3></summary>

Create a new NavigableString.

        When unpickling a NavigableString, this method is called with
        the string in DEFAULT_OUTPUT_ENCODING. That encoding needs to be
        passed in to the superclass's __new__ or the superclass won't know
        how to handle non-ASCII characters.

</details>

<details><summary><h3><strong>def __deepcopy__(self, memo, recursive=False)</strong></h3></summary>

A copy of a NavigableString has the same contents and class
        as the original, but it is not connected to the parse tree.

        :param recursive: This parameter is ignored; it's only defined
           so that NavigableString.__deepcopy__ implements the same
           signature as Tag.__deepcopy__.

</details>

<details><summary><h3><strong>def __copy__(self)</strong></h3></summary>

A copy of a NavigableString can only be a deep copy, because
        only one PageElement can occupy a given place in a parse tree.

</details>

<details><summary><h3><strong>def __getnewargs__(self)</strong></h3></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h3><strong>def __getattr__(self, attr)</strong></h3></summary>

text.string gives you text. This is for backwards
        compatibility for Navigable*String, but for CData* it lets you
        get the string without the CData wrapper.

</details>

<details><summary><h3><strong>def output_ready(self, formatter="minimal")</strong></h3></summary>

Run the string through the provided formatter.

        :param formatter: A Formatter object, or a string naming one of the standard formatters.

</details>

<details><summary><h3><strong>def name(self)</strong></h3></summary>

Since a NavigableString is not a Tag, it has no .name.

        This property is implemented so that code like this doesn't crash
        when run on a mixture of Tag and NavigableString objects:
            [x.name for x in tag.children]

</details>

<details><summary><h3><strong>def name(self, name)</strong></h3></summary>

Prevent NavigableString.name from ever being set.

</details>

<details><summary><h3><strong>def _all_strings(self, strip=False, types=PageElement.default)</strong></h3></summary>

Yield all strings of certain classes, possibly stripping them.

        This makes it easy for NavigableString to implement methods
        like get_text() as conveniences, creating a consistent
        text-extraction API across all PageElements.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. If this
            NavigableString isn't one of those subclasses, the
            sequence will be empty. By default, the subclasses
            considered are NavigableString and CData objects. That
            means no comments, processing instructions, etc.

        :yield: A sequence that either contains this string, or is empty.

</details>

<details><summary><h3><strong>def output_ready(self, formatter=None)</strong></h3></summary>

Make this string ready for output by adding any subclass-specific
            prefix or suffix.

        :param formatter: A Formatter object, or a string naming one
            of the standard formatters. The string will be passed into the
            Formatter, but only to trigger any side effects: the return
            value is ignored.

        :return: The string, with any subclass-specific prefix and
           suffix added on.

</details>

<details><summary><h3><strong>def for_name_and_ids(cls, name, pub_id, system_id)</strong></h3></summary>

Generate an appropriate document type declaration for a given
        public ID and system ID.

        :param name: The name of the document's root element, e.g. 'html'.
        :param pub_id: The Formal Public Identifier for this document type,
            e.g. '-//W3C//DTD XHTML 1.1//EN'
        :param system_id: The system identifier for this document type,
            e.g. 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'

        :return: A Doctype.

</details>

<details><summary><h3><strong>def __deepcopy__(self, memo, recursive=True)</strong></h3></summary>

Basic constructor.

        :param parser: A BeautifulSoup object.
        :param builder: A TreeBuilder.
        :param name: The name of the tag.
        :param namespace: The URI of this Tag's XML namespace, if any.
        :param prefix: The prefix for this Tag's XML namespace, if any.
        :param attrs: A dictionary of this Tag's attribute values.
        :param parent: The PageElement to use as this Tag's parent.
        :param previous: The PageElement that was parsed immediately before
            this tag.
        :param is_xml: If True, this is an XML tag. Otherwise, this is an
            HTML tag.
        :param sourceline: The line number where this tag was found in its
            source document.
        :param sourcepos: The character position within `sourceline` where this
            tag was found.
        :param can_be_empty_element: If True, this tag should be
            represented as <tag/>. If False, this tag should be represented
            as <tag></tag>.
        :param cdata_list_attributes: A list of attributes whose values should
            be treated as CDATA if they ever show up on this tag.
        :param preserve_whitespace_tags: A list of tag names whose contents
            should have their whitespace preserved.
        :param interesting_string_types: This is a NavigableString
            subclass or a tuple of them. When iterating over this
            Tag's strings in methods like Tag.strings or Tag.get_text,
            these are the types of strings that are interesting enough
            to be considered. The default is to consider
            NavigableString and CData the only interesting string
            subtypes.
        :param namespaces: A dictionary mapping currently active
            namespace prefixes to URIs. This can be used later to
            construct CSS selectors.

</details>

<details><summary><h3><strong>def __deepcopy__(self, memo, recursive=True)</strong></h3></summary>

A deepcopy of a Tag is a new Tag, unconnected to the parse tree.
        Its contents are a copy of the old Tag's contents.

</details>

<details><summary><h3><strong>def __copy__(self)</strong></h3></summary>

A copy of a Tag must always be a deep copy, because a Tag's
        children can only have one parent at a time.

</details>

<details><summary><h3><strong>def _clone(self)</strong></h3></summary>

Create a new Tag just like this one, but with no
        contents and unattached to any parse tree.

        This is the first step in the deepcopy process.

</details>

<details><summary><h3><strong>def is_empty_element(self)</strong></h3></summary>

Is this tag an empty-element tag? (aka a self-closing tag)

        A tag that has contents is never an empty-element tag.

        A tag that has no contents may or may not be an empty-element
        tag. It depends on the builder used to create the tag. If the
        builder has a designated list of empty-element tags, then only
        a tag whose name shows up in that list is considered an
        empty-element tag.

        If the builder has no designated list of empty-element tags,
        then any tag with no contents is an empty-element tag.

</details>

<details><summary><h3><strong>def string(self)</strong></h3></summary>

Convenience property to get the single string within this
        PageElement.

        TODO It might make sense to have NavigableString.string return
        itself.

        :return: If this element has a single string child, return
         value is that string. If this element has one child tag,
         return value is the 'string' attribute of the child tag,
         recursively. If this element is itself a string, has no
         children, or has more than one child, return value is None.

</details>

<details><summary><h3><strong>def string(self, string)</strong></h3></summary>

Replace this PageElement's contents with `string`.

</details>

<details><summary><h3><strong>def _all_strings(self, strip=False, types=PageElement.default)</strong></h3></summary>

Yield all strings of certain classes, possibly stripping them.

        :param strip: If True, all strings will be stripped before being
            yielded.

        :param types: A tuple of NavigableString subclasses. Any strings of
            a subclass not found in this list will be ignored. By
            default, the subclasses considered are the ones found in
            self.interesting_string_types. If that's not specified,
            only NavigableString and CData objects will be
            considered. That means no comments, processing
            instructions, etc.

        :yield: A sequence of strings.

</details>

<details><summary><h3><strong>def decompose(self)</strong></h3></summary>

Recursively destroys this PageElement and its children.

        This element will be removed from the tree and wiped out; so
        will everything beneath it.

        The behavior of a decomposed PageElement is undefined and you
        should never use one for anything, but if you need to _check_
        whether an element has been decomposed, you can use the
        `decomposed` property.

</details>

<details><summary><h3><strong>def clear(self, decompose=False)</strong></h3></summary>

Wipe out all children of this PageElement by calling extract()
           on them.

        :param decompose: If this is True, decompose() (a more
            destructive method) will be called instead of extract().

</details>

<details><summary><h3><strong>def smooth(self)</strong></h3></summary>

Smooth out this element's children by consolidating consecutive
        strings.

        This makes pretty-printed output look more natural following a
        lot of operations that modified the tree.

</details>

<details><summary><h3><strong>def index(self, element)</strong></h3></summary>

Find the index of a child by identity, not value.

        Avoids issues with tag.contents.index(element) getting the
        index of equal elements.

        :param element: Look for this PageElement in `self.contents`.

</details>

<details><summary><h3><strong>def get(self, key, default=None)</strong></h3></summary>

Returns the value of the 'key' attribute for the tag, or
        the value given for 'default' if it doesn't have that
        attribute.

</details>

<details><summary><h3><strong>def get_attribute_list(self, key, default=None)</strong></h3></summary>

The same as get(), but always returns a list.

        :param key: The attribute to look for.
        :param default: Use this value if the attribute is not present
            on this PageElement.
        :return: A list of values, probably containing only a single
            value.

</details>

<details><summary><h3><strong>def has_attr(self, key)</strong></h3></summary>

Does this PageElement have an attribute with the given name?

</details>

<details><summary><h3><strong>def __hash__(self)</strong></h3></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h3><strong>def __getitem__(self, key)</strong></h3></summary>

tag[key] returns the value of the 'key' attribute for the Tag,
        and throws an exception if it's not there.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h3><strong>def __contains__(self, x)</strong></h3></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h3><strong>def __setitem__(self, key, value)</strong></h3></summary>

Setting tag[key] sets the value of the 'key' attribute for the
        tag.

</details>

<details><summary><h3><strong>def __delitem__(self, key)</strong></h3></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h3><strong>def __call__(self, *args, **kwargs)</strong></h3></summary>

Calling a Tag like a function is the same as calling its
        find_all() method. Eg. tag('a') returns a list of all the A tags
        found within this tag.

</details>

<details><summary><h3><strong>def __getattr__(self, tag)</strong></h3></summary>

Calling tag.subtag is the same as calling tag.find(name="subtag")

</details>

<details><summary><h3><strong>def __eq__(self, other)</strong></h3></summary>

Returns true iff this Tag has the same name, the same attributes,
        and the same contents (recursively) as `other`.

</details>

<details><summary><h3><strong>def __ne__(self, other)</strong></h3></summary>

Returns true iff this Tag is not identical to `other`,
        as defined in __eq__.

</details>

<details><summary><h3><strong>def __repr__(self, encoding="unicode-escape")</strong></h3></summary>

Renders this PageElement as a string.

        :param encoding: The encoding to use (Python 2 only).
            TODO: This is now ignored and a warning should be issued
            if a value is provided.
        :return: A (Unicode) string.

</details>

<details><summary><h3><strong>def __unicode__(self)</strong></h3></summary>

Renders this PageElement as a Unicode string.

</details>

<details><summary><h3><strong>def _event_stream(self, iterator=None)</strong></h3></summary>

Render a bytestring representation of this PageElement and its
        contents.

        :param encoding: The destination encoding.
        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :param errors: An error handling strategy such as
            'xmlcharrefreplace'. This value is passed along into
            encode() and its value should be one of the constants
            defined by Python.
        :return: A bytestring.

</details>

<details><summary><h3><strong>def _event_stream(self, iterator=None)</strong></h3></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h3><strong>def _event_stream(self, iterator=None)</strong></h3></summary>

Yield a sequence of events that can be used to reconstruct the DOM
        for this element.

        This lets us recreate the nested structure of this element
        (e.g. when formatting it as a string) without using recursive
        method calls.

        This is similar in concept to the SAX API, but it's a simpler
        interface designed for internal use. The events are different
        from SAX and the arguments associated with the events are Tags
        and other Beautiful Soup objects.

        :param iterator: An alternate iterator to use when traversing
         the tree.

</details>

<details><summary><h3><strong>def _format_tag(self, eventual_encoding, formatter, opening)</strong></h3></summary>

Add indentation whitespace before and/or after a string.

        :param s: The string to amend with whitespace.
        :param indent_level: The indentation level; affects how much
           whitespace goes before the string.
        :param indent_before: Whether or not to add whitespace
           before the string.
        :param indent_after: Whether or not to add whitespace
           (a newline) after the string.

</details>

<details><summary><h3><strong>def _format_tag(self, eventual_encoding, formatter, opening)</strong></h3></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h3><strong>def _should_pretty_print(self, indent_level=1)</strong></h3></summary>

Should this tag be pretty-printed?

        Most of them should, but some (such as <pre> in HTML
        documents) should not.

</details>

<details><summary><h3><strong>def prettify(self, encoding=None, formatter="minimal")</strong></h3></summary>

Pretty-print this PageElement as a string.

        :param encoding: The eventual encoding of the string. If this is None,
            a Unicode string will be returned.
        :param formatter: A Formatter object, or a string naming one of
            the standard formatters.
        :return: A Unicode string (if encoding==None) or a bytestring
            (otherwise).

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Renders the contents of this tag as a Unicode string.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The tag is destined to be
           encoded into this encoding. decode_contents() is _not_
           responsible for performing that encoding. This information
           is passed in so that it can be substituted in if the
           document contains a <META> tag that mentions the document's
           encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Renders the contents of this PageElement as a bytestring.

        :param indent_level: Each line of the rendering will be
           indented this many levels. (The formatter decides what a
           'level' means in terms of spaces or other characters
           output.) Used internally in recursive calls while
           pretty-printing.

        :param eventual_encoding: The bytestring will be in this encoding.

        :param formatter: A Formatter object, or a string naming one of
            the standard Formatters.

        :return: A bytestring.

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Deprecated method for BS3 compatibility.

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Look in the children of this PageElement and find the first
        PageElement that matches the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A PageElement.
        :rtype: bs4.element.Tag | bs4.element.NavigableString

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Look in the children of this PageElement and find all
        PageElements that match the given criteria.

        All find_* methods take a common set of arguments. See the online
        documentation for detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param recursive: If this is True, find_all() will perform a
            recursive search of this PageElement's children. Otherwise,
            only the direct children will be considered.
        :param limit: Stop looking after finding this many results.
        :kwargs: A dictionary of filters on attribute values.
        :return: A ResultSet of PageElements.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Iterate over all direct children of this PageElement.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def self_and_descendants(self)</strong></h3></summary>

Iterate over this PageElement and its children in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def descendants(self)</strong></h3></summary>

Iterate over all children of this PageElement in a
        breadth-first sequence.

        :yield: A sequence of PageElements.

</details>

<details><summary><h3><strong>def select_one(self, selector, namespaces=None, **kwargs)</strong></h3></summary>

Perform a CSS selection operation on the current element.

        :param selector: A CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param kwargs: Keyword arguments to be passed into Soup Sieve's
           soupsieve.select() method.

        :return: A Tag.
        :rtype: bs4.element.Tag

</details>

<details><summary><h3><strong>def select(self, selector, namespaces=None, limit=None, **kwargs)</strong></h3></summary>

Perform a CSS selection operation on the current element.

        This uses the SoupSieve library.

        :param selector: A string containing a CSS selector.

        :param namespaces: A dictionary mapping namespace prefixes
           used in the CSS selector to namespace URIs. By default,
           Beautiful Soup will use the prefixes it encountered while
           parsing the document.

        :param limit: After finding this number of results, stop looking.

        :param kwargs: Keyword arguments to be passed into SoupSieve's
           soupsieve.select() method.

        :return: A ResultSet of Tags.
        :rtype: bs4.element.ResultSet

</details>

<details><summary><h3><strong>def css(self)</strong></h3></summary>

Return an interface to the CSS selector API.

</details>

<details><summary><h3><strong>def childGenerator(self)</strong></h3></summary>

Deprecated generator.

</details>

<details><summary><h3><strong>def recursiveChildGenerator(self)</strong></h3></summary>

Deprecated generator.

</details>

<details><summary><h3><strong>def has_key(self, key)</strong></h3></summary>

Deprecated method. This was kind of misleading because has_key()
        (attributes) was different from __in__ (contents).

        has_key() is gone in Python 3, anyway.

</details>

<details><summary><h3><strong>def __init__(self, name=None, attrs={}, string=None, **kwargs)</strong></h3></summary>

Constructor.

        The SoupStrainer constructor takes the same arguments passed
        into the find_* methods. See the online documentation for
        detailed explanations.

        :param name: A filter on tag name.
        :param attrs: A dictionary of filters on attribute values.
        :param string: A filter for a NavigableString with specific text.
        :kwargs: A dictionary of filters on attribute values.

</details>

<details><summary><h3><strong>def _normalize_search_value(self, value)</strong></h3></summary>

A human-readable representation of this SoupStrainer.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

A human-readable representation of this SoupStrainer.

</details>

<details><summary><h3><strong>def search_tag(self, markup_name=None, markup_attrs={})</strong></h3></summary>

Check whether a Tag with the given name and attributes would
        match this SoupStrainer.

        Used prospectively to decide whether to even bother creating a Tag
        object.

        :param markup_name: A tag name as found in some markup.
        :param markup_attrs: A dictionary of attributes as found in some markup.

        :return: True if the prospective tag would match this SoupStrainer;
            False otherwise.

</details>

<details><summary><h3><strong>def search(self, markup)</strong></h3></summary>

Find all items in `markup` that match this SoupStrainer.

        Used by the core _find_all() method, which is ultimately
        called by all find_* methods.

        :param markup: A PageElement or a list of them.

</details>

<details><summary><h3><strong>def __init__(self, source, result=()</strong></h3></summary>

Constructor.

        :param source: A SoupStrainer.
        :param result: A list of PageElements.

</details>

<details><summary><h3><strong>def __getattr__(self, key)</strong></h3></summary>

Raise a helpful exception to explain a common code fix.

</details>

</details>


<details><summary><h2><strong> formatter.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Formatter](#class-formatter)
- [class HTMLFormatter](#class-htmlformatter)
- [class XMLFormatter](#class-xmlformatter)
- [def _default](#def-_default)
- [def __init__](#def-__init__)
- [def substitute](#def-substitute)
- [def attribute_value](#def-attribute_value)
- [def attributes](#def-attributes)
</details>

<details><summary><h3><strong>class Formatter</strong></h3></summary>

Describes a strategy to use when outputting a parse tree to a string.

    Some parts of this strategy come from the distinction between
    HTML4, HTML5, and XML. Others are configurable by the user.

    Formatters are passed in as the `formatter` argument to methods
    like `PageElement.encode`. Most people won't need to think about
    formatters, and most people who need to think about them can pass
    in one of these predefined strings as `formatter` rather than
    making a new Formatter object:

    For HTML documents:
     * 'html' - HTML entity substitution for generic HTML documents. (default)
     * 'html5' - HTML entity substitution for HTML5 documents, as
                 well as some optimizations in the way tags are rendered.
     * 'minimal' - Only make the substitutions necessary to guarantee
                   valid HTML.
     * None - Do not perform any substitution. This will be faster
              but may result in invalid markup.

    For XML documents:
     * 'html' - Entity substitution for XHTML documents.
     * 'minimal' - Only make the substitutions necessary to guarantee
                   valid XML. (default)
     * None - Do not perform any substitution. This will be faster
              but may result in invalid markup.

<p><strong>Key features</strong></p>

<ul>
<li>HTML entity substitution for generic HTML documents. (default)</li>
<li>HTML entity substitution for HTML5 documents, as</li>
<li>Only make the substitutions necessary to guarantee</li>
<li>Do not perform any substitution. This will be faster</li>
<li>Entity substitution for XHTML documents.</li>
<li>Only make the substitutions necessary to guarantee</li>
<li>Do not perform any substitution. This will be faster</li>
</ul>
<details><summary><h4><strong>def _default</strong></h4></summary>

Constructor.

        :param language: This should be Formatter.XML if you are formatting
           XML markup and Formatter.HTML if you are formatting HTML markup.

        :param entity_substitution: A function to call to replace special
           characters with XML/HTML entities. For examples, see 
           bs4.dammit.EntitySubstitution.substitute_html and substitute_xml.
        :param void_element_close_prefix: By default, void elements
           are represented as <tag/> (XML rules) rather than <tag>
           (HTML rules). To get <tag>, pass in the empty string.
        :param cdata_containing_tags: The list of tags that are defined
           as containing CDATA in this dialect. For example, in HTML,
           <script> and <style> tags are defined as containing CDATA,
           and their contents should not be formatted.
        :param blank_attributes_are_booleans: Render attributes whose value
            is the empty string as HTML-style boolean attributes.
            (Attributes whose value is None are always rendered this way.)

        :param indent: If indent is a non-negative integer or string,
            then the contents of elements will be indented
            appropriately when pretty-printing. An indent level of 0,
            negative, or "" will only insert newlines. Using a
            positive integer indent indents that many spaces per
            level. If indent is a string (such as "\t"), that string
            is used to indent each level. The default behavior is to
            indent one space per level.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructor.

        :param language: This should be Formatter.XML if you are formatting
           XML markup and Formatter.HTML if you are formatting HTML markup.

        :param entity_substitution: A function to call to replace special
           characters with XML/HTML entities. For examples, see 
           bs4.dammit.EntitySubstitution.substitute_html and substitute_xml.
        :param void_element_close_prefix: By default, void elements
           are represented as <tag/> (XML rules) rather than <tag>
           (HTML rules). To get <tag>, pass in the empty string.
        :param cdata_containing_tags: The list of tags that are defined
           as containing CDATA in this dialect. For example, in HTML,
           <script> and <style> tags are defined as containing CDATA,
           and their contents should not be formatted.
        :param blank_attributes_are_booleans: Render attributes whose value
            is the empty string as HTML-style boolean attributes.
            (Attributes whose value is None are always rendered this way.)

        :param indent: If indent is a non-negative integer or string,
            then the contents of elements will be indented
            appropriately when pretty-printing. An indent level of 0,
            negative, or "" will only insert newlines. Using a
            positive integer indent indents that many spaces per
            level. If indent is a string (such as "\t"), that string
            is used to indent each level. The default behavior is to
            indent one space per level.

</details>

<details><summary><h4><strong>def substitute</strong></h4></summary>

Process a string that needs to undergo entity substitution.
        This may be a string encountered in an attribute value or as
        text.

        :param ns: A string.
        :return: A string with certain characters replaced by named
           or numeric entities.

</details>

<details><summary><h4><strong>def attribute_value</strong></h4></summary>

Process the value of an attribute.

        :param ns: A string.
        :return: A string with certain characters replaced by named
           or numeric entities.

</details>

<details><summary><h4><strong>def attributes</strong></h4></summary>

Reorder a tag's attributes however you want.
        
        By default, attributes are sorted alphabetically. This makes
        behavior consistent between Python 2 and Python 3, and preserves
        backwards compatibility with older versions of Beautiful Soup.

        If `empty_boolean_attributes` is True, then attributes whose
        values are set to the empty string will be treated as boolean
        attributes.

</details>

</details>

<details><summary><h3><strong>class HTMLFormatter</strong></h3></summary>

A generic Formatter for HTML.

</details>

<details><summary><h3><strong>class XMLFormatter</strong></h3></summary>

A generic Formatter for XML.

</details>

<details><summary><h3><strong>def _default(self, language, value, kwarg)</strong></h3></summary>

Constructor.

        :param language: This should be Formatter.XML if you are formatting
           XML markup and Formatter.HTML if you are formatting HTML markup.

        :param entity_substitution: A function to call to replace special
           characters with XML/HTML entities. For examples, see 
           bs4.dammit.EntitySubstitution.substitute_html and substitute_xml.
        :param void_element_close_prefix: By default, void elements
           are represented as <tag/> (XML rules) rather than <tag>
           (HTML rules). To get <tag>, pass in the empty string.
        :param cdata_containing_tags: The list of tags that are defined
           as containing CDATA in this dialect. For example, in HTML,
           <script> and <style> tags are defined as containing CDATA,
           and their contents should not be formatted.
        :param blank_attributes_are_booleans: Render attributes whose value
            is the empty string as HTML-style boolean attributes.
            (Attributes whose value is None are always rendered this way.)

        :param indent: If indent is a non-negative integer or string,
            then the contents of elements will be indented
            appropriately when pretty-printing. An indent level of 0,
            negative, or "" will only insert newlines. Using a
            positive integer indent indents that many spaces per
            level. If indent is a string (such as "\t"), that string
            is used to indent each level. The default behavior is to
            indent one space per level.

</details>

<details><summary><h3><strong>def substitute(self, ns)</strong></h3></summary>

Constructor.

        :param language: This should be Formatter.XML if you are formatting
           XML markup and Formatter.HTML if you are formatting HTML markup.

        :param entity_substitution: A function to call to replace special
           characters with XML/HTML entities. For examples, see 
           bs4.dammit.EntitySubstitution.substitute_html and substitute_xml.
        :param void_element_close_prefix: By default, void elements
           are represented as <tag/> (XML rules) rather than <tag>
           (HTML rules). To get <tag>, pass in the empty string.
        :param cdata_containing_tags: The list of tags that are defined
           as containing CDATA in this dialect. For example, in HTML,
           <script> and <style> tags are defined as containing CDATA,
           and their contents should not be formatted.
        :param blank_attributes_are_booleans: Render attributes whose value
            is the empty string as HTML-style boolean attributes.
            (Attributes whose value is None are always rendered this way.)

        :param indent: If indent is a non-negative integer or string,
            then the contents of elements will be indented
            appropriately when pretty-printing. An indent level of 0,
            negative, or "" will only insert newlines. Using a
            positive integer indent indents that many spaces per
            level. If indent is a string (such as "\t"), that string
            is used to indent each level. The default behavior is to
            indent one space per level.

</details>

<details><summary><h3><strong>def substitute(self, ns)</strong></h3></summary>

Process a string that needs to undergo entity substitution.
        This may be a string encountered in an attribute value or as
        text.

        :param ns: A string.
        :return: A string with certain characters replaced by named
           or numeric entities.

</details>

<details><summary><h3><strong>def attribute_value(self, value)</strong></h3></summary>

Process the value of an attribute.

        :param ns: A string.
        :return: A string with certain characters replaced by named
           or numeric entities.

</details>

<details><summary><h3><strong>def attributes(self, tag)</strong></h3></summary>

Reorder a tag's attributes however you want.
        
        By default, attributes are sorted alphabetically. This makes
        behavior consistent between Python 2 and Python 3, and preserves
        backwards compatibility with older versions of Beautiful Soup.

        If `empty_boolean_attributes` is True, then attributes whose
        values are set to the empty string will be treated as boolean
        attributes.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Helper classes for tests.

<details open><summary><h3>Contents</h3></summary>

- [class SoupTest](#class-souptest)
- [class HTMLTreeBuilderSmokeTest](#class-htmltreebuildersmoketest)
- [class it](#class-it)
- [class XMLTreeBuilderSmokeTest](#class-xmltreebuildersmoketest)
- [class HTML5TreeBuilderSmokeTest](#class-html5treebuildersmoketest)
- [def default_builder](#def-default_builder)
- [def soup](#def-soup)
- [def document_for](#def-document_for)
- [def assert_soup](#def-assert_soup)
- [def assertConnectedness](#def-assertconnectedness)
- [def linkage_validator](#def-linkage_validator)
- [def assert_selects](#def-assert_selects)
- [def assert_selects_ids](#def-assert_selects_ids)
- [def test_empty_element_tags](#def-test_empty_element_tags)
- [def test_special_string_containers](#def-test_special_string_containers)
- [def test_pickle_and_unpickle_identity](#def-test_pickle_and_unpickle_identity)
- [def assertDoctypeHandled](#def-assertdoctypehandled)
- [def _document_with_doctype](#def-_document_with_doctype)
- [def test_normal_doctypes](#def-test_normal_doctypes)
- [def test_empty_doctype](#def-test_empty_doctype)
- [def test_mixed_case_doctype](#def-test_mixed_case_doctype)
- [def test_public_doctype_with_url](#def-test_public_doctype_with_url)
- [def test_system_doctype](#def-test_system_doctype)
- [def test_namespaced_system_doctype](#def-test_namespaced_system_doctype)
- [def test_namespaced_public_doctype](#def-test_namespaced_public_doctype)
- [def test_real_xhtml_document](#def-test_real_xhtml_document)
- [def test_namespaced_html](#def-test_namespaced_html)
- [def test_detect_xml_parsed_as_html](#def-test_detect_xml_parsed_as_html)
- [def test_processing_instruction](#def-test_processing_instruction)
- [def test_deepcopy](#def-test_deepcopy)
- [def test_p_tag_is_never_empty_element](#def-test_p_tag_is_never_empty_element)
- [def test_unclosed_tags_get_closed](#def-test_unclosed_tags_get_closed)
- [def test_br_is_always_empty_element_tag](#def-test_br_is_always_empty_element_tag)
- [def test_comment](#def-test_comment)
- [def test_preserved_whitespace_in_pre_and_textarea](#def-test_preserved_whitespace_in_pre_and_textarea)
- [def test_nested_inline_elements](#def-test_nested_inline_elements)
- [def test_nested_block_level_elements](#def-test_nested_block_level_elements)
- [def test_correctly_nested_tables](#def-test_correctly_nested_tables)
- [def test_multivalued_attribute_with_whitespace](#def-test_multivalued_attribute_with_whitespace)
- [def test_deeply_nested_multivalued_attribute](#def-test_deeply_nested_multivalued_attribute)
- [def test_multivalued_attribute_on_html](#def-test_multivalued_attribute_on_html)
- [def test_angle_brackets_in_attribute_values_are_escaped](#def-test_angle_brackets_in_attribute_values_are_escaped)
- [def test_strings_resembling_character_entity_references](#def-test_strings_resembling_character_entity_references)
- [def test_apos_entity](#def-test_apos_entity)
- [def test_entities_in_foreign_document_encoding](#def-test_entities_in_foreign_document_encoding)
- [def test_entities_in_attributes_converted_to_unicode](#def-test_entities_in_attributes_converted_to_unicode)
- [def test_entities_in_text_converted_to_unicode](#def-test_entities_in_text_converted_to_unicode)
- [def test_quot_entity_converted_to_quotation_mark](#def-test_quot_entity_converted_to_quotation_mark)
- [def test_out_of_range_entity](#def-test_out_of_range_entity)
- [def test_multipart_strings](#def-test_multipart_strings)
- [def test_empty_element_tags](#def-test_empty_element_tags)
- [def test_basic_namespaces](#def-test_basic_namespaces)
- [def test_multivalued_attribute_value_becomes_list](#def-test_multivalued_attribute_value_becomes_list)
- [def test_can_parse_unicode_document](#def-test_can_parse_unicode_document)
- [def test_soupstrainer](#def-test_soupstrainer)
- [def test_single_quote_attribute_values_become_double_quotes](#def-test_single_quote_attribute_values_become_double_quotes)
- [def test_attribute_values_with_nested_quotes_are_left_alone](#def-test_attribute_values_with_nested_quotes_are_left_alone)
- [def test_attribute_values_with_double_nested_quotes_get_quoted](#def-test_attribute_values_with_double_nested_quotes_get_quoted)
- [def test_ampersand_in_attribute_value_gets_escaped](#def-test_ampersand_in_attribute_value_gets_escaped)
- [def test_escaped_ampersand_in_attribute_value_is_left_alone](#def-test_escaped_ampersand_in_attribute_value_is_left_alone)
- [def test_entities_in_strings_converted_during_parsing](#def-test_entities_in_strings_converted_during_parsing)
- [def test_smart_quotes_converted_on_the_way_in](#def-test_smart_quotes_converted_on_the_way_in)
- [def test_non_breaking_spaces_converted_on_the_way_in](#def-test_non_breaking_spaces_converted_on_the_way_in)
- [def test_entities_converted_on_the_way_out](#def-test_entities_converted_on_the_way_out)
- [def test_real_iso_8859_document](#def-test_real_iso_8859_document)
- [def test_real_shift_jis_document](#def-test_real_shift_jis_document)
- [def test_real_hebrew_document](#def-test_real_hebrew_document)
- [def test_meta_tag_reflects_current_encoding](#def-test_meta_tag_reflects_current_encoding)
- [def test_html5_style_meta_tag_reflects_current_encoding](#def-test_html5_style_meta_tag_reflects_current_encoding)
- [def test_python_specific_encodings_not_used_in_charset](#def-test_python_specific_encodings_not_used_in_charset)
- [def test_tag_with_no_attributes_can_have_attributes_added](#def-test_tag_with_no_attributes_can_have_attributes_added)
- [def test_closing_tag_with_no_opening_tag](#def-test_closing_tag_with_no_opening_tag)
- [def test_worst_case](#def-test_worst_case)
- [def test_pickle_and_unpickle_identity](#def-test_pickle_and_unpickle_identity)
- [def test_docstring_generated](#def-test_docstring_generated)
- [def test_xml_declaration](#def-test_xml_declaration)
- [def test_python_specific_encodings_not_used_in_xml_declaration](#def-test_python_specific_encodings_not_used_in_xml_declaration)
- [def test_processing_instruction](#def-test_processing_instruction)
- [def test_real_xhtml_document](#def-test_real_xhtml_document)
- [def test_can_parse_unicode_document](#def-test_can_parse_unicode_document)
- [def test_can_parse_unicode_document_begining_with_bom](#def-test_can_parse_unicode_document_begining_with_bom)
- [def test_popping_namespaced_tag](#def-test_popping_namespaced_tag)
- [def test_docstring_includes_correct_encoding](#def-test_docstring_includes_correct_encoding)
- [def test_large_xml_document](#def-test_large_xml_document)
- [def test_worst_case](#def-test_worst_case)
</details>

<details><summary><h3><strong>class SoupTest</strong></h3></summary>

Build a Beautiful Soup object from markup.

<details><summary><h4><strong>def default_builder</strong></h4></summary>

Build a Beautiful Soup object from markup.

</details>

<details><summary><h4><strong>def soup</strong></h4></summary>

Build a Beautiful Soup object from markup.

</details>

<details><summary><h4><strong>def document_for</strong></h4></summary>

Turn an HTML fragment into a document.

        The details depend on the builder.

</details>

<details><summary><h4><strong>def assert_soup</strong></h4></summary>

Parse some markup using Beautiful Soup and verify that
        the output markup is as expected.

</details>

<details><summary><h4><strong>def assertConnectedness</strong></h4></summary>

Ensure that next_element and previous_element are properly
        set for all descendants of the given element.

</details>

<details><summary><h4><strong>def linkage_validator</strong></h4></summary>

Ensure proper linkage throughout the document.

</details>

<details><summary><h4><strong>def assert_selects</strong></h4></summary>

Make sure that the given tags have the correct text.

        This is used in tests that define a bunch of tags, each
        containing a single string, and then select certain strings by
        some mechanism.

</details>

<details><summary><h4><strong>def assert_selects_ids</strong></h4></summary>

Make sure that the given tags have the correct IDs.

        This is used in tests that define a bunch of tags, each
        containing a single string, and then select certain strings by
        some mechanism.

</details>

</details>

<details><summary><h3><strong>class HTMLTreeBuilderSmokeTest</strong></h3></summary>

A basic test of a treebuilder's competence.

    Any HTML treebuilder, present or future, should be able to pass
    these tests. With invalid markup, there's room for interpretation,
    and different parsers can handle it differently. But with the
    markup in these tests, there's not much room for interpretation.

<details><summary><h4><strong>def test_empty_element_tags</strong></h4></summary>

Verify that all HTML4 and HTML5 empty element (aka void element) tags
        are handled correctly.

</details>

<details><summary><h4><strong>def test_special_string_containers</strong></h4></summary>

Assert that a given doctype string is handled correctly.

</details>

<details><summary><h4><strong>def test_pickle_and_unpickle_identity</strong></h4></summary>

Assert that a given doctype string is handled correctly.

</details>

<details><summary><h4><strong>def assertDoctypeHandled</strong></h4></summary>

Assert that a given doctype string is handled correctly.

</details>

<details><summary><h4><strong>def _document_with_doctype</strong></h4></summary>

Generate and parse a document with the given doctype.

</details>

<details><summary><h4><strong>def test_normal_doctypes</strong></h4></summary>

Make sure normal, everyday HTML doctypes are handled correctly.

</details>

<details><summary><h4><strong>def test_empty_doctype</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h4><strong>def test_mixed_case_doctype</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h4><strong>def test_public_doctype_with_url</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h4><strong>def test_system_doctype</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h4><strong>def test_namespaced_system_doctype</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h4><strong>def test_namespaced_public_doctype</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h4><strong>def test_real_xhtml_document</strong></h4></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

</details>

<details><summary><h3><strong>class it</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

<details><summary><h4><strong>def test_deeply_nested_multivalued_attribute</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_multivalued_attribute_on_html</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_angle_brackets_in_attribute_values_are_escaped</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_strings_resembling_character_entity_references</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_apos_entity</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_entities_in_foreign_document_encoding</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_entities_in_attributes_converted_to_unicode</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_entities_in_text_converted_to_unicode</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_quot_entity_converted_to_quotation_mark</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_out_of_range_entity</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_multipart_strings</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h4><strong>def test_empty_element_tags</strong></h4></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

</details>

<details><summary><h3><strong>class XMLTreeBuilderSmokeTest</strong></h3></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

<details><summary><h4><strong>def test_pickle_and_unpickle_identity</strong></h4></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

</details>

<details><summary><h4><strong>def test_docstring_generated</strong></h4></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

</details>

<details><summary><h4><strong>def test_xml_declaration</strong></h4></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

</details>

<details><summary><h4><strong>def test_python_specific_encodings_not_used_in_xml_declaration</strong></h4></summary>

<?xml version="1.0"?>\n<foo/>

</details>

<details><summary><h4><strong>def test_processing_instruction</strong></h4></summary>

<?xml version="1.0" encoding="utf8"?>\n<?PITarget PIContent?>

</details>

<details><summary><h4><strong>def test_real_xhtml_document</strong></h4></summary>

A real XHTML document should come out *exactly* the same as it went in.

</details>

</details>

<details><summary><h3><strong>class HTML5TreeBuilderSmokeTest</strong></h3></summary>

Smoke test for a tree builder that supports HTML5.

</details>

<details><summary><h3><strong>def default_builder(self)</strong></h3></summary>

Build a Beautiful Soup object from markup.

</details>

<details><summary><h3><strong>def soup(self, markup, **kwargs)</strong></h3></summary>

Build a Beautiful Soup object from markup.

</details>

<details><summary><h3><strong>def document_for(self, markup, **kwargs)</strong></h3></summary>

Turn an HTML fragment into a document.

        The details depend on the builder.

</details>

<details><summary><h3><strong>def assert_soup(self, to_parse, compare_parsed_to=None)</strong></h3></summary>

Parse some markup using Beautiful Soup and verify that
        the output markup is as expected.

</details>

<details><summary><h3><strong>def assertConnectedness(self, element)</strong></h3></summary>

Ensure that next_element and previous_element are properly
        set for all descendants of the given element.

</details>

<details><summary><h3><strong>def linkage_validator(self, el, _recursive_call=False)</strong></h3></summary>

Ensure proper linkage throughout the document.

</details>

<details><summary><h3><strong>def assert_selects(self, tags, should_match)</strong></h3></summary>

Make sure that the given tags have the correct text.

        This is used in tests that define a bunch of tags, each
        containing a single string, and then select certain strings by
        some mechanism.

</details>

<details><summary><h3><strong>def assert_selects_ids(self, tags, should_match)</strong></h3></summary>

Make sure that the given tags have the correct IDs.

        This is used in tests that define a bunch of tags, each
        containing a single string, and then select certain strings by
        some mechanism.

</details>

<details><summary><h3><strong>def test_empty_element_tags(self)</strong></h3></summary>

Verify that all HTML4 and HTML5 empty element (aka void element) tags
        are handled correctly.

</details>

<details><summary><h3><strong>def test_special_string_containers(self)</strong></h3></summary>

Assert that a given doctype string is handled correctly.

</details>

<details><summary><h3><strong>def test_pickle_and_unpickle_identity(self)</strong></h3></summary>

Assert that a given doctype string is handled correctly.

</details>

<details><summary><h3><strong>def assertDoctypeHandled(self, doctype_fragment)</strong></h3></summary>

Assert that a given doctype string is handled correctly.

</details>

<details><summary><h3><strong>def _document_with_doctype(self, doctype_fragment, doctype_string="DOCTYPE")</strong></h3></summary>

Generate and parse a document with the given doctype.

</details>

<details><summary><h3><strong>def test_normal_doctypes(self)</strong></h3></summary>

Make sure normal, everyday HTML doctypes are handled correctly.

</details>

<details><summary><h3><strong>def test_empty_doctype(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_mixed_case_doctype(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_public_doctype_with_url(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_system_doctype(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_namespaced_system_doctype(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_namespaced_public_doctype(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_real_xhtml_document(self)</strong></h3></summary>

A real XHTML document should come out more or less the same as it went in.

</details>

<details><summary><h3><strong>def test_namespaced_html(self)</strong></h3></summary>

<ns1:foo>content</ns1:foo><ns1:foo/><ns2:foo/>

</details>

<details><summary><h3><strong>def test_detect_xml_parsed_as_html(self)</strong></h3></summary>

<?xml version="1.0" encoding="utf-8"?><tag>string</tag>

</details>

<details><summary><h3><strong>def test_processing_instruction(self)</strong></h3></summary>

<?PITarget PIContent?>

</details>

<details><summary><h3><strong>def test_deepcopy(self)</strong></h3></summary>

Make sure you can copy the tree builder.

        This is important because the builder is part of a
        BeautifulSoup object, and we want to be able to copy that.

</details>

<details><summary><h3><strong>def test_p_tag_is_never_empty_element(self)</strong></h3></summary>

A <p> tag is never designated as an empty-element tag.

        Even if the markup shows it as an empty-element tag, it
        shouldn't be presented that way.

</details>

<details><summary><h3><strong>def test_unclosed_tags_get_closed(self)</strong></h3></summary>

A tag that's not closed by the end of the document should be closed.

        This applies to all tags except empty-element tags.

</details>

<details><summary><h3><strong>def test_br_is_always_empty_element_tag(self)</strong></h3></summary>

A <br> tag is designated as an empty-element tag.

        Some parsers treat <br></br> as one <br/> tag, some parsers as
        two tags, but it should always be an empty-element tag.

</details>

<details><summary><h3><strong>def test_comment(self)</strong></h3></summary>

Whitespace must be preserved in <pre> and <textarea> tags,
        even if that would mean not prettifying the markup.

</details>

<details><summary><h3><strong>def test_preserved_whitespace_in_pre_and_textarea(self)</strong></h3></summary>

Whitespace must be preserved in <pre> and <textarea> tags,
        even if that would mean not prettifying the markup.

</details>

<details><summary><h3><strong>def test_nested_inline_elements(self)</strong></h3></summary>

Inline elements can be nested indefinitely.

</details>

<details><summary><h3><strong>def test_nested_block_level_elements(self)</strong></h3></summary>

Block elements can be nested.

</details>

<details><summary><h3><strong>def test_correctly_nested_tables(self)</strong></h3></summary>

One table can go inside another one.

</details>

<details><summary><h3><strong>def test_multivalued_attribute_with_whitespace(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_deeply_nested_multivalued_attribute(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_multivalued_attribute_on_html(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_angle_brackets_in_attribute_values_are_escaped(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_strings_resembling_character_entity_references(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_apos_entity(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_entities_in_foreign_document_encoding(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_entities_in_attributes_converted_to_unicode(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_entities_in_text_converted_to_unicode(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_quot_entity_converted_to_quotation_mark(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_out_of_range_entity(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_multipart_strings(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_empty_element_tags(self)</strong></h3></summary>

Verify consistent handling of empty-element tags,
        no matter how they come in through the markup.

</details>

<details><summary><h3><strong>def test_basic_namespaces(self)</strong></h3></summary>

Parsers don't need to *understand* namespaces, but at the
        very least they should not choke on namespaces or lose
        data.

</details>

<details><summary><h3><strong>def test_multivalued_attribute_value_becomes_list(self)</strong></h3></summary>

Parsers should be able to work with SoupStrainers.

</details>

<details><summary><h3><strong>def test_can_parse_unicode_document(self)</strong></h3></summary>

Parsers should be able to work with SoupStrainers.

</details>

<details><summary><h3><strong>def test_soupstrainer(self)</strong></h3></summary>

Parsers should be able to work with SoupStrainers.

</details>

<details><summary><h3><strong>def test_single_quote_attribute_values_become_double_quotes(self)</strong></h3></summary>

<foo attr='bar "brawls" happen'>a</foo>

</details>

<details><summary><h3><strong>def test_attribute_values_with_nested_quotes_are_left_alone(self)</strong></h3></summary>

<foo attr='bar "brawls" happen'>a</foo>

</details>

<details><summary><h3><strong>def test_attribute_values_with_double_nested_quotes_get_quoted(self)</strong></h3></summary>

<foo attr='bar "brawls" happen'>a</foo>

</details>

<details><summary><h3><strong>def test_ampersand_in_attribute_value_gets_escaped(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_escaped_ampersand_in_attribute_value_is_left_alone(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_entities_in_strings_converted_during_parsing(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_smart_quotes_converted_on_the_way_in(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_non_breaking_spaces_converted_on_the_way_in(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_entities_converted_on_the_way_out(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_real_iso_8859_document(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_real_shift_jis_document(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_real_hebrew_document(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_meta_tag_reflects_current_encoding(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_html5_style_meta_tag_reflects_current_encoding(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_python_specific_encodings_not_used_in_charset(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_tag_with_no_attributes_can_have_attributes_added(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_closing_tag_with_no_opening_tag(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_worst_case(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

<details><summary><h3><strong>def test_pickle_and_unpickle_identity(self)</strong></h3></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

</details>

<details><summary><h3><strong>def test_docstring_generated(self)</strong></h3></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

</details>

<details><summary><h3><strong>def test_xml_declaration(self)</strong></h3></summary>

<?xml version="1.0" encoding="utf8"?>\n<foo/>

</details>

<details><summary><h3><strong>def test_python_specific_encodings_not_used_in_xml_declaration(self)</strong></h3></summary>

<?xml version="1.0"?>\n<foo/>

</details>

<details><summary><h3><strong>def test_processing_instruction(self)</strong></h3></summary>

<?xml version="1.0" encoding="utf8"?>\n<?PITarget PIContent?>

</details>

<details><summary><h3><strong>def test_real_xhtml_document(self)</strong></h3></summary>

A real XHTML document should come out *exactly* the same as it went in.

</details>

<details><summary><h3><strong>def test_can_parse_unicode_document(self)</strong></h3></summary>

A large XML document should come out the same as it went in.

</details>

<details><summary><h3><strong>def test_can_parse_unicode_document_begining_with_bom(self)</strong></h3></summary>

A large XML document should come out the same as it went in.

</details>

<details><summary><h3><strong>def test_popping_namespaced_tag(self)</strong></h3></summary>

A large XML document should come out the same as it went in.

</details>

<details><summary><h3><strong>def test_docstring_includes_correct_encoding(self)</strong></h3></summary>

A large XML document should come out the same as it went in.

</details>

<details><summary><h3><strong>def test_large_xml_document(self)</strong></h3></summary>

A large XML document should come out the same as it went in.

</details>

<details><summary><h3><strong>def test_worst_case(self)</strong></h3></summary>

Test the worst case (currently) for linking issues.

</details>

</details>


<details><summary><h2><strong> test_builder.py</strong></h2></summary>

</details>


<details><summary><h2><strong> test_builder_registry.py</strong></h2></summary>

Tests of the builder registry.

<details open><summary><h3>Contents</h3></summary>

- [class TestBuiltInRegistry](#class-testbuiltinregistry)
- [class TestRegistry](#class-testregistry)
</details>

<details><summary><h3><strong>class TestBuiltInRegistry</strong></h3></summary>

Test the built-in registry with the default builders registered.

</details>

<details><summary><h3><strong>class TestRegistry</strong></h3></summary>

Test the TreeBuilderRegistry class in general.

</details>

</details>


<details><summary><h2><strong> test_css.py</strong></h2></summary>

def setup_method(self):
        self.soup = BeautifulSoup(self.HTML, 'html.parser')

    def assert_selects(self, selector, expected_ids, **kwargs):
        results = self.soup.select(selector, **kwargs)
        assert isinstance(results, ResultSet)
        el_ids = [el['id'] for el in results]
        el_ids.sort()
        expected_ids.sort()
        assert expected_ids == el_ids, "Selector %s, expected [%s], got [%s]" % (
                selector, ', '.join(expected_ids), ', '.join(el_ids)
        )

    assertSelect = assert_selects

    def assert_select_multiple(self, *tests):
        for selector, expected_ids in tests:
            self.assert_selects(selector, expected_ids)

    def test_precompiled(self):
        sel = self.soup.css.compile('div')

        els = self.soup.select(sel)
        assert len(els) == 4
        for div in els:
            assert div.name == 'div'

        el = self.soup.select_one(sel)
        assert 'main' == el['id']

    def test_one_tag_one(self):
        els = self.soup.select('title')
        assert len(els) == 1
        assert els[0].name == 'title'
        assert els[0].contents == ['The title']

    def test_one_tag_many(self):
        els = self.soup.select('div')
        assert len(els) == 4
        for div in els:
            assert div.name == 'div'

        el = self.soup.select_one('div')
        assert 'main' == el['id']

    def test_select_one_returns_none_if_no_match(self):
        match = self.soup.select_one('nonexistenttag')
        assert None == match


    def test_tag_in_tag_one(self):
        els = self.soup.select('div div')
        self.assert_selects('div div', ['inner', 'data1'])

    def test_tag_in_tag_many(self):
        for selector in ('html div', 'html body div', 'body div'):
            self.assert_selects(selector, ['data1', 'main', 'inner', 'footer'])


    def test_limit(self):
        self.assert_selects('html div', ['main'], limit=1)
        self.assert_selects('html body div', ['inner', 'main'], limit=2)
        self.assert_selects('body div', ['data1', 'main', 'inner', 'footer'],
                           limit=10)

    def test_tag_no_match(self):
        assert len(self.soup.select('del')) == 0

    def test_invalid_tag(self):
        with pytest.raises(SelectorSyntaxError):
            self.soup.select('tag%t')

    def test_select_dashed_tag_ids(self):
        self.assert_selects('custom-dashed-tag', ['dash1', 'dash2'])

    def test_select_dashed_by_id(self):
        dashed = self.soup.select('custom-dashed-tag[id=\"dash2\"]')
        assert dashed[0].name == 'custom-dashed-tag'
        assert dashed[0]['id'] == 'dash2'

    def test_dashed_tag_text(self):
        assert self.soup.select('body > custom-dashed-tag')[0].text == 'Hello there.'

    def test_select_dashed_matches_find_all(self):
        assert self.soup.select('custom-dashed-tag') == self.soup.find_all('custom-dashed-tag')

    def test_header_tags(self):
        self.assert_select_multiple(
            ('h1', ['header1']),
            ('h2', ['header2', 'header3']),
        )

    def test_class_one(self):
        for selector in ('.onep', 'p.onep', 'html p.onep'):
            els = self.soup.select(selector)
            assert len(els) == 1
            assert els[0].name == 'p'
            assert els[0]['class'] == ['onep']

    def test_class_mismatched_tag(self):
        els = self.soup.select('div.onep')
        assert len(els) == 0

    def test_one_id(self):
        for selector in ('div#inner', '#inner', 'div div#inner'):
            self.assert_selects(selector, ['inner'])

    def test_bad_id(self):
        els = self.soup.select('#doesnotexist')
        assert len(els) == 0

    def test_items_in_id(self):
        els = self.soup.select('div#inner p')
        assert len(els) == 3
        for el in els:
            assert el.name == 'p'
        assert els[1]['class'] == ['onep']
        assert not els[0].has_attr('class')

    def test_a_bunch_of_emptys(self):
        for selector in ('div#main del', 'div#main div.oops', 'div div#main'):
            assert len(self.soup.select(selector)) == 0

    def test_multi_class_support(self):
        for selector in ('.class1', 'p.class1', '.class2', 'p.class2',
            '.class3', 'p.class3', 'html p.class2', 'div#inner .class2'):
            self.assert_selects(selector, ['pmulti'])

    def test_multi_class_selection(self):
        for selector in ('.class1.class3', '.class3.class2',
                         '.class1.class2.class3'):
            self.assert_selects(selector, ['pmulti'])

    def test_child_selector(self):
        self.assert_selects('.s1 > a', ['s1a1', 's1a2'])
        self.assert_selects('.s1 > a span', ['s1a2s1'])

    def test_child_selector_id(self):
        self.assert_selects('.s1 > a#s1a2 span', ['s1a2s1'])

    def test_attribute_equals(self):
        self.assert_select_multiple(
            ('p[class="onep"]', ['p1']),
            ('p[id="p1"]', ['p1']),
            ('[class="onep"]', ['p1']),
            ('[id="p1"]', ['p1']),
            ('link[rel="stylesheet"]', ['l1']),
            ('link[type="text/css"]', ['l1']),
            ('link[href="blah.css"]', ['l1']),
            ('link[href="no-blah.css"]', []),
            ('[rel="stylesheet"]', ['l1']),
            ('[type="text/css"]', ['l1']),
            ('[href="blah.css"]', ['l1']),
            ('[href="no-blah.css"]', []),
            ('p[href="no-blah.css"]', []),
            ('[href="no-blah.css"]', []),
        )

    def test_attribute_tilde(self):
        self.assert_select_multiple(
            ('p[class~="class1"]', ['pmulti']),
            ('p[class~="class2"]', ['pmulti']),
            ('p[class~="class3"]', ['pmulti']),
            ('[class~="class1"]', ['pmulti']),
            ('[class~="class2"]', ['pmulti']),
            ('[class~="class3"]', ['pmulti']),
            ('a[rel~="friend"]', ['bob']),
            ('a[rel~="met"]', ['bob']),
            ('[rel~="friend"]', ['bob']),
            ('[rel~="met"]', ['bob']),
        )

    def test_attribute_startswith(self):
        self.assert_select_multiple(
            ('[rel^="style"]', ['l1']),
            ('link[rel^="style"]', ['l1']),
            ('notlink[rel^="notstyle"]', []),
            ('[rel^="notstyle"]', []),
            ('link[rel^="notstyle"]', []),
            ('link[href^="bla"]', ['l1']),
            ('a[href^="http://"]', ['bob', 'me']),
            ('[href^="http://"]', ['bob', 'me']),
            ('[id^="p"]', ['pmulti', 'p1']),
            ('[id^="m"]', ['me', 'main']),
            ('div[id^="m"]', ['main']),
            ('a[id^="m"]', ['me']),
            ('div[data-tag^="dashed"]', ['data1'])
        )

    def test_attribute_endswith(self):
        self.assert_select_multiple(
            ('[href$=".css"]', ['l1']),
            ('link[href$=".css"]', ['l1']),
            ('link[id$="1"]', ['l1']),
            ('[id$="1"]', ['data1', 'l1', 'p1', 'header1', 's1a1', 's2a1', 's1a2s1', 'dash1']),
            ('div[id$="1"]', ['data1']),
            ('[id$="noending"]', []),
        )

    def test_attribute_contains(self):
        self.assert_select_multiple(
            # From test_attribute_startswith
            ('[rel*="style"]', ['l1']),
            ('link[rel*="style"]', ['l1']),
            ('notlink[rel*="notstyle"]', []),
            ('[rel*="notstyle"]', []),
            ('link[rel*="notstyle"]', []),
            ('link[href*="bla"]', ['l1']),
            ('[href*="http://"]', ['bob', 'me']),
            ('[id*="p"]', ['pmulti', 'p1']),
            ('div[id*="m"]', ['main']),
            ('a[id*="m"]', ['me']),
            # From test_attribute_endswith
            ('[href*=".css"]', ['l1']),
            ('link[href*=".css"]', ['l1']),
            ('link[id*="1"]', ['l1']),
            ('[id*="1"]', ['data1', 'l1', 'p1', 'header1', 's1a1', 's1a2', 's2a1', 's1a2s1', 'dash1']),
            ('div[id*="1"]', ['data1']),
            ('[id*="noending"]', []),
            # New for this test
            ('[href*="."]', ['bob', 'me', 'l1']),
            ('a[href*="."]', ['bob', 'me']),
            ('link[href*="."]', ['l1']),
            ('div[id*="n"]', ['main', 'inner']),
            ('div[id*="nn"]', ['inner']),
            ('div[data-tag*="edval"]', ['data1'])
        )

    def test_attribute_exact_or_hypen(self):
        self.assert_select_multiple(
            ('p[lang|="en"]', ['lang-en', 'lang-en-gb', 'lang-en-us']),
            ('[lang|="en"]', ['lang-en', 'lang-en-gb', 'lang-en-us']),
            ('p[lang|="fr"]', ['lang-fr']),
            ('p[lang|="gb"]', []),
        )

    def test_attribute_exists(self):
        self.assert_select_multiple(
            ('[rel]', ['l1', 'bob', 'me']),
            ('link[rel]', ['l1']),
            ('a[rel]', ['bob', 'me']),
            ('[lang]', ['lang-en', 'lang-en-gb', 'lang-en-us', 'lang-fr']),
            ('p[class]', ['p1', 'pmulti']),
            ('[blah]', []),
            ('p[blah]', []),
            ('div[data-tag]', ['data1'])
        )

    def test_quoted_space_in_selector_name(self):
        html =

<details open><summary><h3>Contents</h3></summary>

- [class TestCSSSelectors](#class-testcssselectors)
- [def setup_method](#def-setup_method)
- [def assert_selects](#def-assert_selects)
- [def assert_select_multiple](#def-assert_select_multiple)
- [def test_precompiled](#def-test_precompiled)
- [def test_one_tag_one](#def-test_one_tag_one)
- [def test_one_tag_many](#def-test_one_tag_many)
- [def test_select_one_returns_none_if_no_match](#def-test_select_one_returns_none_if_no_match)
- [def test_tag_in_tag_one](#def-test_tag_in_tag_one)
- [def test_tag_in_tag_many](#def-test_tag_in_tag_many)
- [def test_limit](#def-test_limit)
- [def test_tag_no_match](#def-test_tag_no_match)
- [def test_invalid_tag](#def-test_invalid_tag)
- [def test_select_dashed_tag_ids](#def-test_select_dashed_tag_ids)
- [def test_select_dashed_by_id](#def-test_select_dashed_by_id)
- [def test_dashed_tag_text](#def-test_dashed_tag_text)
- [def test_select_dashed_matches_find_all](#def-test_select_dashed_matches_find_all)
- [def test_header_tags](#def-test_header_tags)
- [def test_class_one](#def-test_class_one)
- [def test_class_mismatched_tag](#def-test_class_mismatched_tag)
- [def test_one_id](#def-test_one_id)
- [def test_bad_id](#def-test_bad_id)
- [def test_items_in_id](#def-test_items_in_id)
- [def test_a_bunch_of_emptys](#def-test_a_bunch_of_emptys)
- [def test_multi_class_support](#def-test_multi_class_support)
- [def test_multi_class_selection](#def-test_multi_class_selection)
- [def test_child_selector](#def-test_child_selector)
- [def test_child_selector_id](#def-test_child_selector_id)
- [def test_attribute_equals](#def-test_attribute_equals)
- [def test_attribute_tilde](#def-test_attribute_tilde)
- [def test_attribute_startswith](#def-test_attribute_startswith)
- [def test_attribute_endswith](#def-test_attribute_endswith)
- [def test_attribute_contains](#def-test_attribute_contains)
- [def test_attribute_exact_or_hypen](#def-test_attribute_exact_or_hypen)
- [def test_attribute_exists](#def-test_attribute_exists)
- [def test_quoted_space_in_selector_name](#def-test_quoted_space_in_selector_name)
</details>

<details><summary><h3><strong>class TestCSSSelectors</strong></h3></summary>

Test basic CSS selector functionality.

    This functionality is implemented in soupsieve, which has a much
    more comprehensive test suite, so this is basically an extra check
    that soupsieve works as expected.

</details>

<details><summary><h3><strong>def setup_method(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def assert_selects(self, selector, expected_ids, **kwargs)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def assert_select_multiple(self, *tests)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_precompiled(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_one_tag_one(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_one_tag_many(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_select_one_returns_none_if_no_match(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_tag_in_tag_one(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_tag_in_tag_many(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_limit(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_tag_no_match(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_invalid_tag(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_select_dashed_tag_ids(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_select_dashed_by_id(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_dashed_tag_text(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_select_dashed_matches_find_all(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_header_tags(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_class_one(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_class_mismatched_tag(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_one_id(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_bad_id(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_items_in_id(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_a_bunch_of_emptys(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_multi_class_support(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_multi_class_selection(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_child_selector(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_child_selector_id(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_equals(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_tilde(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_startswith(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_endswith(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_contains(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_exact_or_hypen(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_attribute_exists(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

<details><summary><h3><strong>def test_quoted_space_in_selector_name(self)</strong></h3></summary>

<div style="display: wrong">nope</div>
        <div style="display: right">yes</div>

</details>

</details>


<details><summary><h2><strong> test_dammit.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class TestUnicodeDammit](#class-testunicodedammit)
- [class TestEntitySubstitution](#class-testentitysubstitution)
- [def test_unicode_input](#def-test_unicode_input)
- [def test_smart_quotes_to](#def-test_smart_quotes_to)
- [def setup_method](#def-setup_method)
- [def test_substitute_html](#def-test_substitute_html)
- [def test_html5_entity](#def-test_html5_entity)
- [def test_html5_entity_with_variation_selector](#def-test_html5_entity_with_variation_selector)
- [def test_xml_converstion_includes_no_quotes_if_make_quoted_attribute_is_false](#def-test_xml_converstion_includes_no_quotes_if_make_quoted_attribute_is_false)
- [def test_xml_attribute_quoting_normally_uses_double_quotes](#def-test_xml_attribute_quoting_normally_uses_double_quotes)
- [def test_xml_attribute_quoting_uses_single_quotes_when_value_contains_double_quotes](#def-test_xml_attribute_quoting_uses_single_quotes_when_value_contains_double_quotes)
- [def test_xml_attribute_quoting_escapes_single_quotes_when_value_contains_both_single_and_double_quotes](#def-test_xml_attribute_quoting_escapes_single_quotes_when_value_contains_both_single_and_double_quotes)
- [def test_xml_quotes_arent_escaped_when_value_is_not_being_quoted](#def-test_xml_quotes_arent_escaped_when_value_is_not_being_quoted)
- [def test_xml_quoting_handles_angle_brackets](#def-test_xml_quoting_handles_angle_brackets)
- [def test_xml_quoting_handles_ampersands](#def-test_xml_quoting_handles_ampersands)
- [def test_xml_quoting_including_ampersands_when_they_are_part_of_an_entity](#def-test_xml_quoting_including_ampersands_when_they_are_part_of_an_entity)
- [def test_xml_quoting_ignoring_ampersands_when_they_are_part_of_an_entity](#def-test_xml_quoting_ignoring_ampersands_when_they_are_part_of_an_entity)
- [def test_quotes_not_html_substituted](#def-test_quotes_not_html_substituted)
</details>

<details><summary><h3><strong>class TestUnicodeDammit</strong></h3></summary>

Standalone tests of UnicodeDammit.

<details><summary><h4><strong>def test_unicode_input</strong></h4></summary>

Verify the functionality of the smart_quotes_to argument
        to the UnicodeDammit constructor.

</details>

<details><summary><h4><strong>def test_smart_quotes_to</strong></h4></summary>

Verify the functionality of the smart_quotes_to argument
        to the UnicodeDammit constructor.

</details>

</details>

<details><summary><h3><strong>class TestEntitySubstitution</strong></h3></summary>

Standalone tests of the EntitySubstitution class.

<details><summary><h4><strong>def setup_method</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_substitute_html</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_html5_entity</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_html5_entity_with_variation_selector</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_converstion_includes_no_quotes_if_make_quoted_attribute_is_false</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_attribute_quoting_normally_uses_double_quotes</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_attribute_quoting_uses_single_quotes_when_value_contains_double_quotes</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_attribute_quoting_escapes_single_quotes_when_value_contains_both_single_and_double_quotes</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_quotes_arent_escaped_when_value_is_not_being_quoted</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_quoting_handles_angle_brackets</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_quoting_handles_ampersands</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_quoting_including_ampersands_when_they_are_part_of_an_entity</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_xml_quoting_ignoring_ampersands_when_they_are_part_of_an_entity</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h4><strong>def test_quotes_not_html_substituted</strong></h4></summary>

There's no need to do this except inside attribute values.

</details>

</details>

<details><summary><h3><strong>def test_unicode_input(self)</strong></h3></summary>

Verify the functionality of the smart_quotes_to argument
        to the UnicodeDammit constructor.

</details>

<details><summary><h3><strong>def test_smart_quotes_to(self, smart_quotes_to, expect_converted)</strong></h3></summary>

Verify the functionality of the smart_quotes_to argument
        to the UnicodeDammit constructor.

</details>

<details><summary><h3><strong>def setup_method(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_substitute_html(self, original, substituted)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_html5_entity(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_html5_entity_with_variation_selector(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_converstion_includes_no_quotes_if_make_quoted_attribute_is_false(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_attribute_quoting_normally_uses_double_quotes(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_attribute_quoting_uses_single_quotes_when_value_contains_double_quotes(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_attribute_quoting_escapes_single_quotes_when_value_contains_both_single_and_double_quotes(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_quotes_arent_escaped_when_value_is_not_being_quoted(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_quoting_handles_angle_brackets(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_quoting_handles_ampersands(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_quoting_including_ampersands_when_they_are_part_of_an_entity(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_xml_quoting_ignoring_ampersands_when_they_are_part_of_an_entity(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

<details><summary><h3><strong>def test_quotes_not_html_substituted(self)</strong></h3></summary>

There's no need to do this except inside attribute values.

</details>

</details>


<details><summary><h2><strong> test_docs.py</strong></h2></summary>

</details>


<details><summary><h2><strong> test_element.py</strong></h2></summary>

Tests of classes in element.py.

The really big classes -- Tag, PageElement, and NavigableString --
are tested in separate files.

<p><strong>Key features</strong></p>

<ul>
<li>Tag, PageElement, and NavigableString --</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class TestAttributeValueWithCharsetSubstitution](#class-testattributevaluewithcharsetsubstitution)
</details>

<details><summary><h3><strong>class TestAttributeValueWithCharsetSubstitution</strong></h3></summary>

Certain attributes are designed to have the charset of the
    final document substituted into their value.

</details>

</details>


<details><summary><h2><strong> test_formatter.py</strong></h2></summary>

</details>


<details><summary><h2><strong> test_fuzz.py</strong></h2></summary>

This file contains test cases reported by third parties using
fuzzing tools, primarily from Google's oss-fuzz project. Some of these
represent real problems with Beautiful Soup, but many are problems in
libraries that Beautiful Soup depends on, and many of the test cases
represent different ways of triggering the same problem.

Grouping these test cases together makes it easy to see which test
cases represent the same problem, and puts the test cases in close
proximity to code that can trigger the problems.

<details open><summary><h3>Contents</h3></summary>

- [class TestFuzz](#class-testfuzz)
- [class of](#class-of)
- [class of](#class-of)
- [class of](#class-of)
- [class of](#class-of)
- [def fuzz_test_with_css](#def-fuzz_test_with_css)
- [def test_rejected_markup](#def-test_rejected_markup)
- [def test_deeply_nested_document_without_css](#def-test_deeply_nested_document_without_css)
- [def test_deeply_nested_document](#def-test_deeply_nested_document)
- [def test_soupsieve_errors](#def-test_soupsieve_errors)
</details>

<details><summary><h3><strong>class TestFuzz</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

<details><summary><h4><strong>def fuzz_test_with_css</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_rejected_markup</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_deeply_nested_document_without_css</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_deeply_nested_document</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_soupsieve_errors</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

<details><summary><h4><strong>def test_rejected_markup</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_deeply_nested_document_without_css</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_deeply_nested_document</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_soupsieve_errors</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

<details><summary><h4><strong>def test_deeply_nested_document_without_css</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_deeply_nested_document</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_soupsieve_errors</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

<details><summary><h4><strong>def test_deeply_nested_document</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h4><strong>def test_soupsieve_errors</strong></h4></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h3><strong>def fuzz_test_with_css(self, filename)</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h3><strong>def test_rejected_markup(self, filename)</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h3><strong>def test_deeply_nested_document_without_css(self, filename)</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h3><strong>def test_deeply_nested_document(self, filename)</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

<details><summary><h3><strong>def test_soupsieve_errors(self, filename)</strong></h3></summary>

ÿ<!DOCTyPEV PUBLIC

</details>

</details>


<details><summary><h2><strong> test_html5lib.py</strong></h2></summary>

Tests to ensure that the html5lib tree builder generates good trees.

<details open><summary><h3>Contents</h3></summary>

- [class TestHTML5LibBuilder](#class-testhtml5libbuilder)
- [def default_builder](#def-default_builder)
- [def test_soupstrainer](#def-test_soupstrainer)
- [def test_correctly_nested_tables](#def-test_correctly_nested_tables)
- [def test_reparented_markup](#def-test_reparented_markup)
- [def test_reparented_markup_ends_with_whitespace](#def-test_reparented_markup_ends_with_whitespace)
- [def test_reparented_markup_containing_identical_whitespace_nodes](#def-test_reparented_markup_containing_identical_whitespace_nodes)
- [def test_reparented_markup_containing_children](#def-test_reparented_markup_containing_children)
- [def test_processing_instruction](#def-test_processing_instruction)
- [def test_cloned_multivalue_node](#def-test_cloned_multivalue_node)
- [def test_foster_parenting](#def-test_foster_parenting)
- [def test_extraction](#def-test_extraction)
- [def test_empty_comment](#def-test_empty_comment)
</details>

<details><summary><h3><strong>class TestHTML5LibBuilder</strong></h3></summary>

See ``HTML5TreeBuilderSmokeTest``.

<details><summary><h4><strong>def default_builder</strong></h4></summary>

html5lib inserts <tbody> tags where other parsers don't.

</details>

<details><summary><h4><strong>def test_soupstrainer</strong></h4></summary>

html5lib inserts <tbody> tags where other parsers don't.

</details>

<details><summary><h4><strong>def test_correctly_nested_tables</strong></h4></summary>

html5lib inserts <tbody> tags where other parsers don't.

</details>

</details>

<details><summary><h3><strong>def default_builder(self)</strong></h3></summary>

html5lib inserts <tbody> tags where other parsers don't.

</details>

<details><summary><h3><strong>def test_soupstrainer(self)</strong></h3></summary>

html5lib inserts <tbody> tags where other parsers don't.

</details>

<details><summary><h3><strong>def test_correctly_nested_tables(self)</strong></h3></summary>

html5lib inserts <tbody> tags where other parsers don't.

</details>

<details><summary><h3><strong>def test_reparented_markup(self)</strong></h3></summary>

Verify that we keep the two whitespace nodes in this
        document distinct when reparenting the adjacent <tbody> tags.

</details>

<details><summary><h3><strong>def test_reparented_markup_ends_with_whitespace(self)</strong></h3></summary>

Verify that we keep the two whitespace nodes in this
        document distinct when reparenting the adjacent <tbody> tags.

</details>

<details><summary><h3><strong>def test_reparented_markup_containing_identical_whitespace_nodes(self)</strong></h3></summary>

Verify that we keep the two whitespace nodes in this
        document distinct when reparenting the adjacent <tbody> tags.

</details>

<details><summary><h3><strong>def test_reparented_markup_containing_children(self)</strong></h3></summary>

Processing instructions become comments.

</details>

<details><summary><h3><strong>def test_processing_instruction(self)</strong></h3></summary>

Processing instructions become comments.

</details>

<details><summary><h3><strong>def test_cloned_multivalue_node(self)</strong></h3></summary>

<a class="my_class"><p></a>

</details>

<details><summary><h3><strong>def test_foster_parenting(self)</strong></h3></summary>

<table><td></tbody>A

</details>

<details><summary><h3><strong>def test_extraction(self)</strong></h3></summary>

Test that extraction does not destroy the tree.

        https://bugs.launchpad.net/beautifulsoup/+bug/1782928

</details>

<details><summary><h3><strong>def test_empty_comment(self)</strong></h3></summary>

Test that empty comment does not break structure.

        https://bugs.launchpad.net/beautifulsoup/+bug/1806598

</details>

</details>


<details><summary><h2><strong> test_htmlparser.py</strong></h2></summary>

Tests to ensure that the html.parser tree builder generates good
trees.

<details open><summary><h3>Contents</h3></summary>

- [class TestHTMLParserTreeBuilder](#class-testhtmlparsertreebuilder)
- [def test_rejected_input](#def-test_rejected_input)
- [def test_namespaced_system_doctype](#def-test_namespaced_system_doctype)
- [def test_namespaced_public_doctype](#def-test_namespaced_public_doctype)
- [def test_builder_is_pickled](#def-test_builder_is_pickled)
</details>

<details><summary><h3><strong>class TestHTMLParserTreeBuilder</strong></h3></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

<details><summary><h4><strong>def test_rejected_input</strong></h4></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

<details><summary><h4><strong>def test_namespaced_system_doctype</strong></h4></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

<details><summary><h4><strong>def test_namespaced_public_doctype</strong></h4></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

<details><summary><h4><strong>def test_builder_is_pickled</strong></h4></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

</details>

<details><summary><h3><strong>def test_rejected_input(self)</strong></h3></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

<details><summary><h3><strong>def test_namespaced_system_doctype(self)</strong></h3></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

<details><summary><h3><strong>def test_namespaced_public_doctype(self)</strong></h3></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

<details><summary><h3><strong>def test_builder_is_pickled(self)</strong></h3></summary>

Unlike most tree builders, HTMLParserTreeBuilder and will
        be restored after pickling.

</details>

</details>


<details><summary><h2><strong> test_lxml.py</strong></h2></summary>

Tests to ensure that the lxml tree builder generates good trees.

<details open><summary><h3>Contents</h3></summary>

- [class TestLXMLTreeBuilder](#class-testlxmltreebuilder)
- [class TestLXMLXMLTreeBuilder](#class-testlxmlxmltreebuilder)
</details>

<details><summary><h3><strong>class TestLXMLTreeBuilder</strong></h3></summary>

See ``HTMLTreeBuilderSmokeTest``.

</details>

<details><summary><h3><strong>class TestLXMLXMLTreeBuilder</strong></h3></summary>

See ``HTMLTreeBuilderSmokeTest``.

</details>

</details>


<details><summary><h2><strong> test_navigablestring.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class TestNavigableStringSubclasses](#class-testnavigablestringsubclasses)
- [def test_cdata](#def-test_cdata)
- [def test_cdata_is_never_formatted](#def-test_cdata_is_never_formatted)
</details>

<details><summary><h3><strong>class TestNavigableStringSubclasses</strong></h3></summary>

Text inside a CData object is passed into the formatter.

        But the return value is ignored.

<details><summary><h4><strong>def test_cdata</strong></h4></summary>

Text inside a CData object is passed into the formatter.

        But the return value is ignored.

</details>

<details><summary><h4><strong>def test_cdata_is_never_formatted</strong></h4></summary>

Text inside a CData object is passed into the formatter.

        But the return value is ignored.

</details>

</details>

<details><summary><h3><strong>def test_cdata(self)</strong></h3></summary>

Text inside a CData object is passed into the formatter.

        But the return value is ignored.

</details>

<details><summary><h3><strong>def test_cdata_is_never_formatted(self)</strong></h3></summary>

Text inside a CData object is passed into the formatter.

        But the return value is ignored.

</details>

</details>


<details><summary><h2><strong> test_pageelement.py</strong></h2></summary>

Tests of the bs4.element.PageElement class

<details open><summary><h3>Contents</h3></summary>

- [class TestEncoding](#class-testencoding)
- [class TestFormatters](#class-testformatters)
</details>

<details><summary><h3><strong>class TestEncoding</strong></h3></summary>

Test the ability to encode objects into strings.

</details>

<details><summary><h3><strong>class TestFormatters</strong></h3></summary>

Test the formatting feature, used by methods like decode() and
    prettify(), and the formatters themselves.

</details>

</details>


<details><summary><h2><strong> test_soup.py</strong></h2></summary>

Tests of Beautiful Soup as a whole.

<details open><summary><h3>Contents</h3></summary>

- [class TestNewTag](#class-testnewtag)
- [class TestNewString](#class-testnewstring)
</details>

<details><summary><h3><strong>class TestNewTag</strong></h3></summary>

Test the BeautifulSoup.new_tag() method.

</details>

<details><summary><h3><strong>class TestNewString</strong></h3></summary>

Test the BeautifulSoup.new_string() method.

</details>

</details>


<details><summary><h2><strong> test_tag.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class TestTag](#class-testtag)
- [class TestMultiValuedAttributes](#class-testmultivaluedattributes)
- [def test__should_pretty_print](#def-test__should_pretty_print)
- [def test_len](#def-test_len)
- [def test_member_access_invokes_find](#def-test_member_access_invokes_find)
- [def test_deprecated_member_access](#def-test_deprecated_member_access)
- [def test_has_attr](#def-test_has_attr)
- [def test_attributes_come_out_in_alphabetical_order](#def-test_attributes_come_out_in_alphabetical_order)
- [def test_string](#def-test_string)
- [def test_empty_tag_has_no_string](#def-test_empty_tag_has_no_string)
- [def test_tag_with_multiple_children_has_no_string](#def-test_tag_with_multiple_children_has_no_string)
- [def test_tag_with_recursive_string_has_string](#def-test_tag_with_recursive_string_has_string)
- [def test_lack_of_string](#def-test_lack_of_string)
- [def test_all_text](#def-test_all_text)
</details>

<details><summary><h3><strong>class TestTag</strong></h3></summary>

Test various methods of Tag which aren't so complicated they
    need their own classes.

<details><summary><h4><strong>def test__should_pretty_print</strong></h4></summary>

The length of a Tag is its number of children.

</details>

<details><summary><h4><strong>def test_len</strong></h4></summary>

The length of a Tag is its number of children.

</details>

<details><summary><h4><strong>def test_member_access_invokes_find</strong></h4></summary>

Accessing a Python member .foo invokes find('foo')

</details>

<details><summary><h4><strong>def test_deprecated_member_access</strong></h4></summary>

has_attr() checks for the presence of an attribute.

        Please note note: has_attr() is different from
        __in__. has_attr() checks the tag's attributes and __in__
        checks the tag's chidlren.

</details>

<details><summary><h4><strong>def test_has_attr</strong></h4></summary>

has_attr() checks for the presence of an attribute.

        Please note note: has_attr() is different from
        __in__. has_attr() checks the tag's attributes and __in__
        checks the tag's chidlren.

</details>

<details><summary><h4><strong>def test_attributes_come_out_in_alphabetical_order</strong></h4></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h4><strong>def test_string</strong></h4></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h4><strong>def test_empty_tag_has_no_string</strong></h4></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h4><strong>def test_tag_with_multiple_children_has_no_string</strong></h4></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h4><strong>def test_tag_with_recursive_string_has_string</strong></h4></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h4><strong>def test_lack_of_string</strong></h4></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h4><strong>def test_all_text</strong></h4></summary>

Tag.text and Tag.get_text(sep=u"") -> all child text, concatenated

</details>

</details>

<details><summary><h3><strong>class TestMultiValuedAttributes</strong></h3></summary>

Test the behavior of multi-valued attributes like 'class'.

    The values of such attributes are always presented as lists.

</details>

<details><summary><h3><strong>def test__should_pretty_print(self)</strong></h3></summary>

The length of a Tag is its number of children.

</details>

<details><summary><h3><strong>def test_len(self)</strong></h3></summary>

The length of a Tag is its number of children.

</details>

<details><summary><h3><strong>def test_member_access_invokes_find(self)</strong></h3></summary>

Accessing a Python member .foo invokes find('foo')

</details>

<details><summary><h3><strong>def test_deprecated_member_access(self)</strong></h3></summary>

has_attr() checks for the presence of an attribute.

        Please note note: has_attr() is different from
        __in__. has_attr() checks the tag's attributes and __in__
        checks the tag's chidlren.

</details>

<details><summary><h3><strong>def test_has_attr(self)</strong></h3></summary>

has_attr() checks for the presence of an attribute.

        Please note note: has_attr() is different from
        __in__. has_attr() checks the tag's attributes and __in__
        checks the tag's chidlren.

</details>

<details><summary><h3><strong>def test_attributes_come_out_in_alphabetical_order(self)</strong></h3></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h3><strong>def test_string(self)</strong></h3></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h3><strong>def test_empty_tag_has_no_string(self)</strong></h3></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h3><strong>def test_tag_with_multiple_children_has_no_string(self)</strong></h3></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h3><strong>def test_tag_with_recursive_string_has_string(self)</strong></h3></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h3><strong>def test_lack_of_string(self)</strong></h3></summary>

Only a Tag containing a single text node has a .string.

</details>

<details><summary><h3><strong>def test_all_text(self)</strong></h3></summary>

Tag.text and Tag.get_text(sep=u"") -> all child text, concatenated

</details>

</details>


<details><summary><h2><strong> test_tree.py</strong></h2></summary>

Tests for Beautiful Soup's tree traversal methods.

The tree traversal methods are the main advantage of using Beautiful
Soup over just using a parser.

Different parsers will build different Beautiful Soup trees given the
same markup, but all Beautiful Soup trees can be traversed with the
methods tested here.

<details open><summary><h3>Contents</h3></summary>

- [class TestFind](#class-testfind)
- [class TestFindAll](#class-testfindall)
- [class TestFindAllByName](#class-testfindallbyname)
- [class TestFindAllByAttribute](#class-testfindallbyattribute)
- [class as](#class-as)
- [class TestSmooth](#class-testsmooth)
- [class TestIndex](#class-testindex)
- [class TestParentOperations](#class-testparentoperations)
- [class SiblingTest](#class-siblingtest)
- [class TestTreeModification](#class-testtreemodification)
- [def test_find_tag](#def-test_find_tag)
- [def test_unicode_text_find](#def-test_unicode_text_find)
- [def test_unicode_attribute_find](#def-test_unicode_attribute_find)
- [def test_find_everything](#def-test_find_everything)
- [def test_find_everything_with_name](#def-test_find_everything_with_name)
- [def test_find_all_text_nodes](#def-test_find_all_text_nodes)
- [def test_find_all_limit](#def-test_find_all_limit)
- [def test_calling_a_tag_is_calling_findall](#def-test_calling_a_tag_is_calling_findall)
- [def test_find_all_with_self_referential_data_structure_does_not_cause_infinite_recursion](#def-test_find_all_with_self_referential_data_structure_does_not_cause_infinite_recursion)
- [def test_find_all_resultset](#def-test_find_all_resultset)
- [def setup_method](#def-setup_method)
- [def test_find_all_by_tag_name](#def-test_find_all_by_tag_name)
- [def test_find_all_by_name_and_text](#def-test_find_all_by_name_and_text)
- [def test_find_all_on_non_root_element](#def-test_find_all_on_non_root_element)
- [def test_calling_element_invokes_find_all](#def-test_calling_element_invokes_find_all)
- [def test_find_all_by_tag_strainer](#def-test_find_all_by_tag_strainer)
- [def test_find_all_by_tag_names](#def-test_find_all_by_tag_names)
- [def test_find_all_by_tag_dict](#def-test_find_all_by_tag_dict)
- [def test_find_all_by_tag_re](#def-test_find_all_by_tag_re)
- [def test_find_all_with_tags_matching_method](#def-test_find_all_with_tags_matching_method)
- [def id_matches_name](#def-id_matches_name)
- [def test_find_all_by_attribute_name](#def-test_find_all_by_attribute_name)
- [def test_find_all_by_utf8_attribute_value](#def-test_find_all_by_utf8_attribute_value)
- [def test_find_all_by_attribute_dict](#def-test_find_all_by_attribute_dict)
- [def test_find_all_by_class](#def-test_find_all_by_class)
- [def test_find_by_class_when_multiple_classes_present](#def-test_find_by_class_when_multiple_classes_present)
- [def test_find_all_with_non_dictionary_for_attrs_finds_by_class](#def-test_find_all_with_non_dictionary_for_attrs_finds_by_class)
- [def big_attribute_value](#def-big_attribute_value)
- [def small_attribute_value](#def-small_attribute_value)
- [def test_find_all_with_string_for_attrs_finds_multiple_classes](#def-test_find_all_with_string_for_attrs_finds_multiple_classes)
- [def test_find_all_by_attribute_soupstrainer](#def-test_find_all_by_attribute_soupstrainer)
- [def test_find_all_with_missing_attribute](#def-test_find_all_with_missing_attribute)
- [def test_find_all_with_defined_attribute](#def-test_find_all_with_defined_attribute)
- [def test_find_all_with_numeric_attribute](#def-test_find_all_with_numeric_attribute)
- [def test_find_all_with_list_attribute_values](#def-test_find_all_with_list_attribute_values)
- [def test_find_all_with_regular_expression_attribute_value](#def-test_find_all_with_regular_expression_attribute_value)
- [def test_index](#def-test_index)
- [def setup_method](#def-setup_method)
- [def setup_method](#def-setup_method)
- [def test_attribute_modification](#def-test_attribute_modification)
- [def test_new_tag_creation](#def-test_new_tag_creation)
- [def test_append_to_contents_moves_tag](#def-test_append_to_contents_moves_tag)
- [def test_replace_with_returns_thing_that_was_replaced](#def-test_replace_with_returns_thing_that_was_replaced)
- [def test_unwrap_returns_thing_that_was_replaced](#def-test_unwrap_returns_thing_that_was_replaced)
- [def test_replace_with_and_unwrap_give_useful_exception_when_tag_has_no_parent](#def-test_replace_with_and_unwrap_give_useful_exception_when_tag_has_no_parent)
- [def test_replace_tag_with_itself](#def-test_replace_tag_with_itself)
- [def test_replace_tag_with_its_parent_raises_exception](#def-test_replace_tag_with_its_parent_raises_exception)
- [def test_insert_tag_into_itself_raises_exception](#def-test_insert_tag_into_itself_raises_exception)
- [def test_insert_beautifulsoup_object_inserts_children](#def-test_insert_beautifulsoup_object_inserts_children)
- [def test_replace_with_maintains_next_element_throughout](#def-test_replace_with_maintains_next_element_throughout)
- [def test_replace_final_node](#def-test_replace_final_node)
- [def test_consecutive_text_nodes](#def-test_consecutive_text_nodes)
- [def test_insert_string](#def-test_insert_string)
- [def test_insert_tag](#def-test_insert_tag)
- [def test_append_child_thats_already_at_the_end](#def-test_append_child_thats_already_at_the_end)
- [def test_extend](#def-test_extend)
- [def test_extend_with_another_tags_contents](#def-test_extend_with_another_tags_contents)
- [def test_move_tag_to_beginning_of_parent](#def-test_move_tag_to_beginning_of_parent)
- [def test_insert_works_on_empty_element_tag](#def-test_insert_works_on_empty_element_tag)
- [def test_insert_before](#def-test_insert_before)
- [def test_insert_multiple_before](#def-test_insert_multiple_before)
- [def test_insert_after](#def-test_insert_after)
- [def test_insert_multiple_after](#def-test_insert_multiple_after)
- [def test_insert_after_raises_exception_if_after_has_no_meaning](#def-test_insert_after_raises_exception_if_after_has_no_meaning)
- [def test_insert_before_raises_notimplementederror_if_before_has_no_meaning](#def-test_insert_before_raises_notimplementederror_if_before_has_no_meaning)
- [def test_replace_with](#def-test_replace_with)
- [def test_replace_with_errors](#def-test_replace_with_errors)
- [def test_replace_with_multiple](#def-test_replace_with_multiple)
- [def test_replace_first_child](#def-test_replace_first_child)
- [def test_replace_last_child](#def-test_replace_last_child)
- [def test_nested_tag_replace_with](#def-test_nested_tag_replace_with)
- [def test_unwrap](#def-test_unwrap)
- [def test_extract_works_when_element_is_surrounded_by_identical_strings](#def-test_extract_works_when_element_is_surrounded_by_identical_strings)
- [def test_clear](#def-test_clear)
- [def test_decompose](#def-test_decompose)
- [def test_string_set](#def-test_string_set)
</details>

<details><summary><h3><strong>class TestFind</strong></h3></summary>

Basic tests of the find() method.

    find() just calls find_all() with limit=1, so it's not tested all
    that thouroughly here.

<details><summary><h4><strong>def test_find_tag</strong></h4></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h4><strong>def test_unicode_text_find</strong></h4></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h4><strong>def test_unicode_attribute_find</strong></h4></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h4><strong>def test_find_everything</strong></h4></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h4><strong>def test_find_everything_with_name</strong></h4></summary>

Test an optimization that finds all tags with a given name.

</details>

</details>

<details><summary><h3><strong>class TestFindAll</strong></h3></summary>

Basic tests of the find_all() method.

<details><summary><h4><strong>def test_find_all_text_nodes</strong></h4></summary>

You can search the tree for text nodes.

</details>

<details><summary><h4><strong>def test_find_all_limit</strong></h4></summary>

You can limit the number of items returned by find_all.

</details>

<details><summary><h4><strong>def test_calling_a_tag_is_calling_findall</strong></h4></summary>

All find_all calls return a ResultSet

</details>

<details><summary><h4><strong>def test_find_all_with_self_referential_data_structure_does_not_cause_infinite_recursion</strong></h4></summary>

All find_all calls return a ResultSet

</details>

<details><summary><h4><strong>def test_find_all_resultset</strong></h4></summary>

All find_all calls return a ResultSet

</details>

</details>

<details><summary><h3><strong>class TestFindAllByName</strong></h3></summary>

Test ways of finding tags by tag name.

<details><summary><h4><strong>def setup_method</strong></h4></summary>

<a>First tag.</a>
                                  <b>Second tag.</b>
                                  <c>Third <a>Nested tag.</a> tag.</c>

</details>

<details><summary><h4><strong>def test_find_all_by_tag_name</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_by_name_and_text</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_on_non_root_element</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_calling_element_invokes_find_all</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_by_tag_strainer</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_by_tag_names</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_by_tag_dict</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_by_tag_re</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_tags_matching_method</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h4><strong>def id_matches_name</strong></h4></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

</details>

<details><summary><h3><strong>class TestFindAllByAttribute</strong></h3></summary>

<a id="first">Matching a.</a>
                         <a id="second">
                          Non-matching <b id="first">Matching b.</b>a.
                         </a>

<details><summary><h4><strong>def test_find_all_by_attribute_name</strong></h4></summary>

<a id="first">Matching a.</a>
                         <a id="second">
                          Non-matching <b id="first">Matching b.</b>a.
                         </a>

</details>

<details><summary><h4><strong>def test_find_all_by_utf8_attribute_value</strong></h4></summary>

<a name="name1" class="class1">Name match.</a>
                         <a name="name2" class="class2">Class match.</a>
                         <a name="name3" class="class3">Non-match.</a>
                         <name1>A tag called 'name1'.</name1>

</details>

<details><summary><h4><strong>def test_find_all_by_attribute_dict</strong></h4></summary>

<a name="name1" class="class1">Name match.</a>
                         <a name="name2" class="class2">Class match.</a>
                         <a name="name3" class="class3">Non-match.</a>
                         <name1>A tag called 'name1'.</name1>

</details>

<details><summary><h4><strong>def test_find_all_by_class</strong></h4></summary>

<a class="1">Class 1.</a>
                         <a class="2">Class 2.</a>
                         <b class="1">Class 1.</b>
                         <c class="3 4">Class 3 and 4.</c>

</details>

<details><summary><h4><strong>def test_find_by_class_when_multiple_classes_present</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_non_dictionary_for_attrs_finds_by_class</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def big_attribute_value</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def small_attribute_value</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_string_for_attrs_finds_multiple_classes</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def test_find_all_by_attribute_soupstrainer</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_missing_attribute</strong></h4></summary>

<a id="1">ID present.</a>
                            <a>No ID present.</a>
                            <a id="">ID is empty.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_defined_attribute</strong></h4></summary>

<a id="1">ID present.</a>
                            <a>No ID present.</a>
                            <a id="">ID is empty.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_numeric_attribute</strong></h4></summary>

<a id=1>Unquoted attribute.</a>
                            <a id="1">Quoted attribute.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_list_attribute_values</strong></h4></summary>

<a id="1">1</a>
                            <a id="2">2</a>
                            <a id="3">3</a>
                            <a>No ID.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_regular_expression_attribute_value</strong></h4></summary>

<a id="a">One a.</a>
                            <a id="aa">Two as.</a>
                            <a id="ab">Mixed as and bs.</a>
                            <a id="b">One b.</a>
                            <a>No ID.</a>

</details>

</details>

<details><summary><h3><strong>class as</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

<details><summary><h4><strong>def test_find_all_by_attribute_soupstrainer</strong></h4></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_missing_attribute</strong></h4></summary>

<a id="1">ID present.</a>
                            <a>No ID present.</a>
                            <a id="">ID is empty.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_defined_attribute</strong></h4></summary>

<a id="1">ID present.</a>
                            <a>No ID present.</a>
                            <a id="">ID is empty.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_numeric_attribute</strong></h4></summary>

<a id=1>Unquoted attribute.</a>
                            <a id="1">Quoted attribute.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_list_attribute_values</strong></h4></summary>

<a id="1">1</a>
                            <a id="2">2</a>
                            <a id="3">3</a>
                            <a>No ID.</a>

</details>

<details><summary><h4><strong>def test_find_all_with_regular_expression_attribute_value</strong></h4></summary>

<a id="a">One a.</a>
                            <a id="aa">Two as.</a>
                            <a id="ab">Mixed as and bs.</a>
                            <a id="b">One b.</a>
                            <a>No ID.</a>

</details>

</details>

<details><summary><h3><strong>class TestSmooth</strong></h3></summary>

Test Tag.smooth.

</details>

<details><summary><h3><strong>class TestIndex</strong></h3></summary>

Test Tag.index

<details><summary><h4><strong>def test_index</strong></h4></summary>

<div>
                            <a>Identical</a>
                            <b>Not identical</b>
                            <a>Identical</a>

                            <c><d>Identical with child</d></c>
                            <b>Also not identical</b>
                            <c><d>Identical with child</d></c>
                            </div>

</details>

</details>

<details><summary><h3><strong>class TestParentOperations</strong></h3></summary>

Test navigation and searching through an element's parents.

<details><summary><h4><strong>def setup_method</strong></h4></summary>

<ul id="empty"></ul>
                                 <ul id="top">
                                  <ul id="middle">
                                   <ul id="bottom">
                                    <b>Start here</b>
                                   </ul>
                                  </ul>

</details>

</details>

<details><summary><h3><strong>class SiblingTest</strong></h3></summary>

<html>
                    <span id="1">
                     <span id="1.1"></span>
                    </span>
                    <span id="2">
                     <span id="2.1"></span>
                    </span>
                    <span id="3">
                     <span id="3.1"></span>
                    </span>
                    <span id="4"></span>
                    </html>

<details><summary><h4><strong>def setup_method</strong></h4></summary>

<html>
                    <span id="1">
                     <span id="1.1"></span>
                    </span>
                    <span id="2">
                     <span id="2.1"></span>
                    </span>
                    <span id="3">
                     <span id="3.1"></span>
                    </span>
                    <span id="4"></span>
                    </html>

</details>

</details>

<details><summary><h3><strong>class TestTreeModification</strong></h3></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

<details><summary><h4><strong>def test_attribute_modification</strong></h4></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

</details>

<details><summary><h4><strong>def test_new_tag_creation</strong></h4></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

</details>

<details><summary><h4><strong>def test_append_to_contents_moves_tag</strong></h4></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

</details>

<details><summary><h4><strong>def test_replace_with_returns_thing_that_was_replaced</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_unwrap_returns_thing_that_was_replaced</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_replace_with_and_unwrap_give_useful_exception_when_tag_has_no_parent</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_replace_tag_with_itself</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_replace_tag_with_its_parent_raises_exception</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_insert_tag_into_itself_raises_exception</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_insert_beautifulsoup_object_inserts_children</strong></h4></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h4><strong>def test_replace_with_maintains_next_element_throughout</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_replace_final_node</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_consecutive_text_nodes</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_string</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_tag</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_append_child_thats_already_at_the_end</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_extend</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_extend_with_another_tags_contents</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_move_tag_to_beginning_of_parent</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_works_on_empty_element_tag</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_before</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_multiple_before</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_after</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_multiple_after</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_after_raises_exception_if_after_has_no_meaning</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_insert_before_raises_notimplementederror_if_before_has_no_meaning</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_replace_with</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_replace_with_errors</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_replace_with_multiple</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_replace_first_child</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_replace_last_child</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_nested_tag_replace_with</strong></h4></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h4><strong>def test_unwrap</strong></h4></summary>

<p>Unneeded <em>formatting</em> is unneeded</p>

</details>

</details>

<details><summary><h3><strong>def test_find_tag(self)</strong></h3></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h3><strong>def test_unicode_text_find(self)</strong></h3></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h3><strong>def test_unicode_attribute_find(self)</strong></h3></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h3><strong>def test_find_everything(self)</strong></h3></summary>

Test an optimization that finds all tags.

</details>

<details><summary><h3><strong>def test_find_everything_with_name(self)</strong></h3></summary>

Test an optimization that finds all tags with a given name.

</details>

<details><summary><h3><strong>def test_find_all_text_nodes(self)</strong></h3></summary>

You can search the tree for text nodes.

</details>

<details><summary><h3><strong>def test_find_all_limit(self)</strong></h3></summary>

You can limit the number of items returned by find_all.

</details>

<details><summary><h3><strong>def test_calling_a_tag_is_calling_findall(self)</strong></h3></summary>

All find_all calls return a ResultSet

</details>

<details><summary><h3><strong>def test_find_all_with_self_referential_data_structure_does_not_cause_infinite_recursion(self)</strong></h3></summary>

All find_all calls return a ResultSet

</details>

<details><summary><h3><strong>def test_find_all_resultset(self)</strong></h3></summary>

All find_all calls return a ResultSet

</details>

<details><summary><h3><strong>def setup_method(self)</strong></h3></summary>

<a>First tag.</a>
                                  <b>Second tag.</b>
                                  <c>Third <a>Nested tag.</a> tag.</c>

</details>

<details><summary><h3><strong>def test_find_all_by_tag_name(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_name_and_text(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_on_non_root_element(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_calling_element_invokes_find_all(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_tag_strainer(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_tag_names(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_tag_dict(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_tag_re(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_tags_matching_method(self)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def id_matches_name(tag)</strong></h3></summary>

<a id="a">Match 1.</a>
                            <a id="1">Does not match.</a>
                            <b id="b">Match 2.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_attribute_name(self)</strong></h3></summary>

<a id="first">Matching a.</a>
                         <a id="second">
                          Non-matching <b id="first">Matching b.</b>a.
                         </a>

</details>

<details><summary><h3><strong>def test_find_all_by_utf8_attribute_value(self)</strong></h3></summary>

<a name="name1" class="class1">Name match.</a>
                         <a name="name2" class="class2">Class match.</a>
                         <a name="name3" class="class3">Non-match.</a>
                         <name1>A tag called 'name1'.</name1>

</details>

<details><summary><h3><strong>def test_find_all_by_attribute_dict(self)</strong></h3></summary>

<a name="name1" class="class1">Name match.</a>
                         <a name="name2" class="class2">Class match.</a>
                         <a name="name3" class="class3">Non-match.</a>
                         <name1>A tag called 'name1'.</name1>

</details>

<details><summary><h3><strong>def test_find_all_by_class(self)</strong></h3></summary>

<a class="1">Class 1.</a>
                         <a class="2">Class 2.</a>
                         <b class="1">Class 1.</b>
                         <c class="3 4">Class 3 and 4.</c>

</details>

<details><summary><h3><strong>def test_find_by_class_when_multiple_classes_present(self)</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_non_dictionary_for_attrs_finds_by_class(self)</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h3><strong>def big_attribute_value(value)</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h3><strong>def small_attribute_value(value)</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_string_for_attrs_finds_multiple_classes(self)</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h3><strong>def test_find_all_by_attribute_soupstrainer(self)</strong></h3></summary>

<a id="first">Match.</a>
                         <a id="second">Non-match.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_missing_attribute(self)</strong></h3></summary>

<a id="1">ID present.</a>
                            <a>No ID present.</a>
                            <a id="">ID is empty.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_defined_attribute(self)</strong></h3></summary>

<a id="1">ID present.</a>
                            <a>No ID present.</a>
                            <a id="">ID is empty.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_numeric_attribute(self)</strong></h3></summary>

<a id=1>Unquoted attribute.</a>
                            <a id="1">Quoted attribute.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_list_attribute_values(self)</strong></h3></summary>

<a id="1">1</a>
                            <a id="2">2</a>
                            <a id="3">3</a>
                            <a>No ID.</a>

</details>

<details><summary><h3><strong>def test_find_all_with_regular_expression_attribute_value(self)</strong></h3></summary>

<a id="a">One a.</a>
                            <a id="aa">Two as.</a>
                            <a id="ab">Mixed as and bs.</a>
                            <a id="b">One b.</a>
                            <a>No ID.</a>

</details>

<details><summary><h3><strong>def test_index(self)</strong></h3></summary>

<div>
                            <a>Identical</a>
                            <b>Not identical</b>
                            <a>Identical</a>

                            <c><d>Identical with child</d></c>
                            <b>Also not identical</b>
                            <c><d>Identical with child</d></c>
                            </div>

</details>

<details><summary><h3><strong>def setup_method(self)</strong></h3></summary>

<ul id="empty"></ul>
                                 <ul id="top">
                                  <ul id="middle">
                                   <ul id="bottom">
                                    <b>Start here</b>
                                   </ul>
                                  </ul>

</details>

<details><summary><h3><strong>def setup_method(self)</strong></h3></summary>

<html>
                    <span id="1">
                     <span id="1.1"></span>
                    </span>
                    <span id="2">
                     <span id="2.1"></span>
                    </span>
                    <span id="3">
                     <span id="3.1"></span>
                    </span>
                    <span id="4"></span>
                    </html>

</details>

<details><summary><h3><strong>def test_attribute_modification(self)</strong></h3></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

</details>

<details><summary><h3><strong>def test_new_tag_creation(self)</strong></h3></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

</details>

<details><summary><h3><strong>def test_append_to_contents_moves_tag(self)</strong></h3></summary>

<p id="1">Don't leave me <b>here</b>.</p>
                <p id="2">Don\'t leave!</p>

</details>

<details><summary><h3><strong>def test_replace_with_returns_thing_that_was_replaced(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_unwrap_returns_thing_that_was_replaced(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_replace_with_and_unwrap_give_useful_exception_when_tag_has_no_parent(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_replace_tag_with_itself(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_replace_tag_with_its_parent_raises_exception(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_insert_tag_into_itself_raises_exception(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_insert_beautifulsoup_object_inserts_children(self)</strong></h3></summary>

Inserting one BeautifulSoup object into another actually inserts all
        of its children -- you'll never combine BeautifulSoup objects.

</details>

<details><summary><h3><strong>def test_replace_with_maintains_next_element_throughout(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_replace_final_node(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_consecutive_text_nodes(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_string(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_tag(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_append_child_thats_already_at_the_end(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_extend(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_extend_with_another_tags_contents(self, get_tags)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_move_tag_to_beginning_of_parent(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_works_on_empty_element_tag(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_before(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_multiple_before(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_after(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_multiple_after(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_after_raises_exception_if_after_has_no_meaning(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_insert_before_raises_notimplementederror_if_before_has_no_meaning(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_replace_with(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_replace_with_errors(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_replace_with_multiple(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_replace_first_child(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_replace_last_child(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_nested_tag_replace_with(self)</strong></h3></summary>

<a>We<b>reserve<c>the</c><d>right</d></b></a><e>to<f>refuse</f><g>service</g></e>

</details>

<details><summary><h3><strong>def test_unwrap(self)</strong></h3></summary>

<p>Unneeded <em>formatting</em> is unneeded</p>

</details>

<details><summary><h3><strong>def test_extract_works_when_element_is_surrounded_by_identical_strings(self)</strong></h3></summary>

Tag.clear()

</details>

<details><summary><h3><strong>def test_clear(self)</strong></h3></summary>

Tag.clear()

</details>

<details><summary><h3><strong>def test_decompose(self)</strong></h3></summary>

Tag.string = 'string'

</details>

<details><summary><h3><strong>def test_string_set(self)</strong></h3></summary>

Tag.string = 'string'

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> core.py</strong></h2></summary>

certifi.py
~~~~~~~~~~

This module returns the installation location of cacert.pem or its contents.

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Charset-Normalizer
~~~~~~~~~~~~~~
The Real First Universal Charset Detector.
A library that helps you read text from an unknown charset encoding.
Motivated by chardet, This package is trying to resolve the issue by taking a new approach.
All IANA character set names for which the Python core library provides codecs are supported.

Basic usage:
   >>> from charset_normalizer import from_bytes
   >>> results = from_bytes('Bсеки човек има право на образование. Oбразованието!'.encode('utf_8'))
   >>> best_guess = results.best()
   >>> str(best_guess)
   'Bсеки човек има право на образование. Oбразованието!'

Others methods and usages are available - see the full documentation
at <https://github.com/Ousret/charset_normalizer>.
:copyright: (c) 2021 by Ahmed TAHRI
:license: MIT, see LICENSE for more details.

<p><strong>Key features</strong></p>

<ul>
<li>see the full documentation</li>
</ul>
</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> api.py</strong></h2></summary>

</details>


<details><summary><h2><strong> cd.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def encoding_unicode_range](#def-encoding_unicode_range)
- [def unicode_range_languages](#def-unicode_range_languages)
- [def encoding_languages](#def-encoding_languages)
- [def mb_encoding_languages](#def-mb_encoding_languages)
- [def get_target_features](#def-get_target_features)
- [def alpha_unicode_split](#def-alpha_unicode_split)
- [def merge_coherence_ratios](#def-merge_coherence_ratios)
- [def filter_alt_coherence_matches](#def-filter_alt_coherence_matches)
</details>

<details><summary><h3><strong>def encoding_unicode_range(iana_name: str)</strong></h3></summary>

Return associated unicode ranges in a single byte code page.

</details>

<details><summary><h3><strong>def unicode_range_languages(primary_range: str)</strong></h3></summary>

Return inferred languages used with a unicode range.

</details>

<details><summary><h3><strong>def encoding_languages(iana_name: str)</strong></h3></summary>

Single-byte encoding language association. Some code page are heavily linked to particular language(s).
    This function does the correspondence.

</details>

<details><summary><h3><strong>def mb_encoding_languages(iana_name: str)</strong></h3></summary>

Multi-byte encoding language association. Some code page are heavily linked to particular language(s).
    This function does the correspondence.

</details>

<details><summary><h3><strong>def get_target_features(language: str)</strong></h3></summary>

Determine main aspects from a supported language if it contains accents and if is pure Latin.

</details>

<details><summary><h3><strong>def alpha_unicode_split(decoded_sequence: str)</strong></h3></summary>

Given a decoded text sequence, return a list of str. Unicode range / alphabet separation.
    Ex. a text containing English/Latin with a bit a Hebrew will return two items in the resulting list;
    One containing the latin letters and the other hebrew.

</details>

<details><summary><h3><strong>def merge_coherence_ratios(results: List[CoherenceMatches])</strong></h3></summary>

This function merge results previously given by the function coherence_ratio.
    The return type is the same as coherence_ratio.

</details>

<details><summary><h3><strong>def filter_alt_coherence_matches(results: CoherenceMatches)</strong></h3></summary>

We shall NOT return "English—" in CoherenceMatches because it is an alternative
    of "English". This function only keeps the best match and remove the em-dash in it.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def query_yes_no](#def-query_yes_no)
- [def cli_detect](#def-cli_detect)
</details>

<details><summary><h3><strong>def query_yes_no(question: str, default: str = "yes")</strong></h3></summary>

Ask a yes/no question via input() and return their answer.

    "question" is a string that is presented to the user.
    "default" is the presumed answer if the user just hits <Enter>.
        It must be "yes" (the default), "no" or None (meaning
        an answer is required of the user).

    The "answer" return value is True for "yes" or False for "no".

    Credit goes to (c) https://stackoverflow.com/questions/3041986/apt-command-line-interface-like-yes-no-input

</details>

<details><summary><h3><strong>def cli_detect(argv: Optional[List[str]] = None)</strong></h3></summary>

CLI assistant using ARGV and ArgumentParser
    :param argv:
    :return: 0 if everything is fine, anything else equal trouble

</details>

</details>


<details><summary><h2><strong> constant.py</strong></h2></summary>

</details>


<details><summary><h2><strong> legacy.py</strong></h2></summary>

</details>


<details><summary><h2><strong> md.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class MessDetectorPlugin](#class-messdetectorplugin)
- [class used](#class-used)
- [class CjkInvalidStopPlugin](#class-cjkinvalidstopplugin)
- [def eligible](#def-eligible)
- [def feed](#def-feed)
- [def reset](#def-reset)
- [def ratio](#def-ratio)
</details>

<details><summary><h3><strong>class MessDetectorPlugin</strong></h3></summary>

Base abstract class used for mess detection plugins.
    All detectors MUST extend and implement given methods.

<details><summary><h4><strong>def eligible</strong></h4></summary>

Determine if given character should be fed in.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

The main routine to be executed upon character.
        Insert the logic in witch the text would be considered chaotic.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Permit to reset the plugin to the initial state.

</details>

<details><summary><h4><strong>def ratio</strong></h4></summary>

Compute the chaos ratio based on what your feed() has seen.
        Must NOT be lower than 0.; No restriction gt 0.

</details>

</details>

<details><summary><h3><strong>class used</strong></h3></summary>

def eligible(self, character: str) -> bool:

<details><summary><h4><strong>def eligible</strong></h4></summary>

Determine if given character should be fed in.

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

The main routine to be executed upon character.
        Insert the logic in witch the text would be considered chaotic.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Permit to reset the plugin to the initial state.

</details>

<details><summary><h4><strong>def ratio</strong></h4></summary>

Compute the chaos ratio based on what your feed() has seen.
        Must NOT be lower than 0.; No restriction gt 0.

</details>

</details>

<details><summary><h3><strong>class CjkInvalidStopPlugin</strong></h3></summary>

GB(Chinese) based encoding often render the stop incorrectly when the content does not fit and
    can be easily detected. Searching for the overuse of '丅' and '丄'.

</details>

<details><summary><h3><strong>def eligible(self, character: str)</strong></h3></summary>

Determine if given character should be fed in.

</details>

<details><summary><h3><strong>def feed(self, character: str)</strong></h3></summary>

The main routine to be executed upon character.
        Insert the logic in witch the text would be considered chaotic.

</details>

<details><summary><h3><strong>def reset(self)</strong></h3></summary>

Permit to reset the plugin to the initial state.

</details>

<details><summary><h3><strong>def ratio(self)</strong></h3></summary>

Compute the chaos ratio based on what your feed() has seen.
        Must NOT be lower than 0.; No restriction gt 0.

</details>

</details>


<details><summary><h2><strong> models.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class CharsetMatch](#class-charsetmatch)
- [class CharsetMatches](#class-charsetmatches)
- [def __init__](#def-__init__)
- [def __eq__](#def-__eq__)
- [def __lt__](#def-__lt__)
- [def multi_byte_usage](#def-multi_byte_usage)
- [def __str__](#def-__str__)
- [def __repr__](#def-__repr__)
- [def add_submatch](#def-add_submatch)
- [def encoding](#def-encoding)
- [def encoding_aliases](#def-encoding_aliases)
- [def bom](#def-bom)
- [def byte_order_mark](#def-byte_order_mark)
- [def languages](#def-languages)
- [def language](#def-language)
- [def chaos](#def-chaos)
- [def coherence](#def-coherence)
- [def percent_chaos](#def-percent_chaos)
- [def percent_coherence](#def-percent_coherence)
- [def raw](#def-raw)
- [def submatch](#def-submatch)
- [def has_submatch](#def-has_submatch)
- [def alphabets](#def-alphabets)
- [def could_be_from_charset](#def-could_be_from_charset)
- [def output](#def-output)
- [def fingerprint](#def-fingerprint)
- [def __init__](#def-__init__)
- [def __iter__](#def-__iter__)
- [def __getitem__](#def-__getitem__)
- [def __len__](#def-__len__)
- [def __bool__](#def-__bool__)
- [def append](#def-append)
- [def best](#def-best)
- [def first](#def-first)
</details>

<details><summary><h3><strong>class CharsetMatch</strong></h3></summary>

Implemented to make sorted available upon CharsetMatches items.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Implemented to make sorted available upon CharsetMatches items.

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Implemented to make sorted available upon CharsetMatches items.

</details>

<details><summary><h4><strong>def __lt__</strong></h4></summary>

Implemented to make sorted available upon CharsetMatches items.

</details>

<details><summary><h4><strong>def multi_byte_usage</strong></h4></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h4><strong>def add_submatch</strong></h4></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h4><strong>def encoding</strong></h4></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h4><strong>def encoding_aliases</strong></h4></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h4><strong>def bom</strong></h4></summary>

Return the complete list of possible languages found in decoded sequence.
        Usually not really useful. Returned list may be empty even if 'language' property return something != 'Unknown'.

</details>

<details><summary><h4><strong>def byte_order_mark</strong></h4></summary>

Return the complete list of possible languages found in decoded sequence.
        Usually not really useful. Returned list may be empty even if 'language' property return something != 'Unknown'.

</details>

<details><summary><h4><strong>def languages</strong></h4></summary>

Return the complete list of possible languages found in decoded sequence.
        Usually not really useful. Returned list may be empty even if 'language' property return something != 'Unknown'.

</details>

<details><summary><h4><strong>def language</strong></h4></summary>

Most probable language found in decoded sequence. If none were detected or inferred, the property will return
        "Unknown".

</details>

<details><summary><h4><strong>def chaos</strong></h4></summary>

Original untouched bytes.

</details>

<details><summary><h4><strong>def coherence</strong></h4></summary>

Original untouched bytes.

</details>

<details><summary><h4><strong>def percent_chaos</strong></h4></summary>

Original untouched bytes.

</details>

<details><summary><h4><strong>def percent_coherence</strong></h4></summary>

Original untouched bytes.

</details>

<details><summary><h4><strong>def raw</strong></h4></summary>

Original untouched bytes.

</details>

<details><summary><h4><strong>def submatch</strong></h4></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h4><strong>def has_submatch</strong></h4></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h4><strong>def alphabets</strong></h4></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h4><strong>def could_be_from_charset</strong></h4></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h4><strong>def output</strong></h4></summary>

Method to get re-encoded bytes payload using given target encoding. Default to UTF-8.
        Any errors will be simply ignored by the encoder NOT replaced.

</details>

<details><summary><h4><strong>def fingerprint</strong></h4></summary>

Retrieve the unique SHA256 computed using the transformed (re-encoded) payload. Not the original one.

</details>

</details>

<details><summary><h3><strong>class CharsetMatches</strong></h3></summary>

Container with every CharsetMatch items ordered by default from most probable to the less one.
    Act like a list(iterable) but does not implements all related methods.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Retrieve a single item either by its position or encoding name (alias may be used here).
        Raise KeyError upon invalid index or encoding not present in results.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Retrieve a single item either by its position or encoding name (alias may be used here).
        Raise KeyError upon invalid index or encoding not present in results.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Retrieve a single item either by its position or encoding name (alias may be used here).
        Raise KeyError upon invalid index or encoding not present in results.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Insert a single match. Will be inserted accordingly to preserve sort.
        Can be inserted as a submatch.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Insert a single match. Will be inserted accordingly to preserve sort.
        Can be inserted as a submatch.

</details>

<details><summary><h4><strong>def append</strong></h4></summary>

Insert a single match. Will be inserted accordingly to preserve sort.
        Can be inserted as a submatch.

</details>

<details><summary><h4><strong>def best</strong></h4></summary>

Simply return the first match. Strict equivalent to matches[0].

</details>

<details><summary><h4><strong>def first</strong></h4></summary>

Redundant method, call the method best(). Kept for BC reasons.

</details>

</details>

<details><summary><h3><strong>def __eq__(self, other: object)</strong></h3></summary>

Implemented to make sorted available upon CharsetMatches items.

</details>

<details><summary><h3><strong>def __eq__(self, other: object)</strong></h3></summary>

Implemented to make sorted available upon CharsetMatches items.

</details>

<details><summary><h3><strong>def __lt__(self, other: object)</strong></h3></summary>

Implemented to make sorted available upon CharsetMatches items.

</details>

<details><summary><h3><strong>def multi_byte_usage(self)</strong></h3></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h3><strong>def add_submatch(self, other: "CharsetMatch")</strong></h3></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h3><strong>def encoding(self)</strong></h3></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h3><strong>def encoding_aliases(self)</strong></h3></summary>

Encoding name are known by many name, using this could help when searching for IBM855 when it's listed as CP855.

</details>

<details><summary><h3><strong>def bom(self)</strong></h3></summary>

Return the complete list of possible languages found in decoded sequence.
        Usually not really useful. Returned list may be empty even if 'language' property return something != 'Unknown'.

</details>

<details><summary><h3><strong>def byte_order_mark(self)</strong></h3></summary>

Return the complete list of possible languages found in decoded sequence.
        Usually not really useful. Returned list may be empty even if 'language' property return something != 'Unknown'.

</details>

<details><summary><h3><strong>def languages(self)</strong></h3></summary>

Return the complete list of possible languages found in decoded sequence.
        Usually not really useful. Returned list may be empty even if 'language' property return something != 'Unknown'.

</details>

<details><summary><h3><strong>def language(self)</strong></h3></summary>

Most probable language found in decoded sequence. If none were detected or inferred, the property will return
        "Unknown".

</details>

<details><summary><h3><strong>def chaos(self)</strong></h3></summary>

Original untouched bytes.

</details>

<details><summary><h3><strong>def coherence(self)</strong></h3></summary>

Original untouched bytes.

</details>

<details><summary><h3><strong>def percent_chaos(self)</strong></h3></summary>

Original untouched bytes.

</details>

<details><summary><h3><strong>def percent_coherence(self)</strong></h3></summary>

Original untouched bytes.

</details>

<details><summary><h3><strong>def raw(self)</strong></h3></summary>

Original untouched bytes.

</details>

<details><summary><h3><strong>def submatch(self)</strong></h3></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h3><strong>def has_submatch(self)</strong></h3></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h3><strong>def alphabets(self)</strong></h3></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h3><strong>def could_be_from_charset(self)</strong></h3></summary>

The complete list of encoding that output the exact SAME str result and therefore could be the originating
        encoding.
        This list does include the encoding available in property 'encoding'.

</details>

<details><summary><h3><strong>def output(self, encoding: str = "utf_8")</strong></h3></summary>

Method to get re-encoded bytes payload using given target encoding. Default to UTF-8.
        Any errors will be simply ignored by the encoder NOT replaced.

</details>

<details><summary><h3><strong>def fingerprint(self)</strong></h3></summary>

Retrieve the unique SHA256 computed using the transformed (re-encoded) payload. Not the original one.

</details>

<details><summary><h3><strong>def __init__(self, results: Optional[List[CharsetMatch]] = None)</strong></h3></summary>

Retrieve a single item either by its position or encoding name (alias may be used here).
        Raise KeyError upon invalid index or encoding not present in results.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Retrieve a single item either by its position or encoding name (alias may be used here).
        Raise KeyError upon invalid index or encoding not present in results.

</details>

<details><summary><h3><strong>def __getitem__(self, item: Union[int, str])</strong></h3></summary>

Retrieve a single item either by its position or encoding name (alias may be used here).
        Raise KeyError upon invalid index or encoding not present in results.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Insert a single match. Will be inserted accordingly to preserve sort.
        Can be inserted as a submatch.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

Insert a single match. Will be inserted accordingly to preserve sort.
        Can be inserted as a submatch.

</details>

<details><summary><h3><strong>def append(self, item: CharsetMatch)</strong></h3></summary>

Insert a single match. Will be inserted accordingly to preserve sort.
        Can be inserted as a submatch.

</details>

<details><summary><h3><strong>def best(self)</strong></h3></summary>

Simply return the first match. Strict equivalent to matches[0].

</details>

<details><summary><h3><strong>def first(self)</strong></h3></summary>

Redundant method, call the method best(). Kept for BC reasons.

</details>

</details>


<details><summary><h2><strong> utils.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def unicode_range](#def-unicode_range)
- [def any_specified_encoding](#def-any_specified_encoding)
- [def is_multi_byte_encoding](#def-is_multi_byte_encoding)
- [def identify_sig_or_bom](#def-identify_sig_or_bom)
- [def is_cp_similar](#def-is_cp_similar)
</details>

<details><summary><h3><strong>def unicode_range(character: str)</strong></h3></summary>

Retrieve the Unicode range official name from a single character.

</details>

<details><summary><h3><strong>def any_specified_encoding(sequence: bytes, search_zone: int = 8192)</strong></h3></summary>

Extract using ASCII-only decoder any specified encoding in the first n-bytes.

</details>

<details><summary><h3><strong>def is_multi_byte_encoding(name: str)</strong></h3></summary>

Verify is a specific encoding is a multi byte one based on it IANA name

</details>

<details><summary><h3><strong>def identify_sig_or_bom(sequence: bytes)</strong></h3></summary>

Identify and extract SIG/BOM in given sequence.

</details>

<details><summary><h3><strong>def is_cp_similar(iana_name_a: str, iana_name_b: str)</strong></h3></summary>

Determine if two code page are at least 80% similar. IANA_SUPPORTED_SIMILAR dict was generated using
    the function cp_similarity.

</details>

</details>


<details><summary><h2><strong> version.py</strong></h2></summary>

Expose version

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Click is a simple Python module inspired by the stdlib optparse to make
writing command line scripts fun. Unlike other modules, it's based
around a simple API that does not come with too much magic and is
composable.

</details>


<details><summary><h2><strong> _compat.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _FixupStream](#class-_fixupstream)
- [def is_ascii_encoding](#def-is_ascii_encoding)
- [def get_best_encoding](#def-get_best_encoding)
- [def _stream_is_misconfigured](#def-_stream_is_misconfigured)
- [def _is_compat_stream_attr](#def-_is_compat_stream_attr)
- [def _get_argv_encoding](#def-_get_argv_encoding)
- [def auto_wrap_for_ansi](#def-auto_wrap_for_ansi)
</details>

<details><summary><h3><strong>class _FixupStream</strong></h3></summary>

The new io interface needs more from streams than streams
    traditionally implement.  As such, this fix-up code is necessary in
    some circumstances.

    The forcing of readable and writable flags are there because some tools
    put badly patched objects on sys (one such offender are certain version
    of jupyter notebook).

</details>

<details><summary><h3><strong>def is_ascii_encoding(encoding: str)</strong></h3></summary>

Checks if a given encoding is ascii.

</details>

<details><summary><h3><strong>def get_best_encoding(stream: t.IO[t.Any])</strong></h3></summary>

Returns the default stream encoding if not found.

</details>

<details><summary><h3><strong>def _stream_is_misconfigured(stream: t.TextIO)</strong></h3></summary>

A stream is misconfigured if its encoding is ASCII.

</details>

<details><summary><h3><strong>def _is_compat_stream_attr(stream: t.TextIO, attr: str, value: t.Optional[str])</strong></h3></summary>

A stream attribute is compatible if it is equal to the
    desired value or the desired value is unset and the attribute
    has a value.

</details>

<details><summary><h3><strong>def _get_argv_encoding()</strong></h3></summary>

Support ANSI color and style codes on Windows by wrapping a
        stream with colorama.

</details>

<details><summary><h3><strong>def _safe_write(s)</strong></h3></summary>

Support ANSI color and style codes on Windows by wrapping a
        stream with colorama.

</details>

</details>


<details><summary><h2><strong> _termui_impl.py</strong></h2></summary>

This module contains implementations for the termui module. To keep the
import time of Click down, some infrequently used functionality is
placed in this module and only imported as needed.

<details open><summary><h3>Contents</h3></summary>

- [class ProgressBar](#class-progressbar)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def __iter__](#def-__iter__)
- [def __next__](#def-__next__)
- [def render_finish](#def-render_finish)
- [def pct](#def-pct)
- [def time_per_iteration](#def-time_per_iteration)
- [def eta](#def-eta)
- [def format_eta](#def-format_eta)
- [def format_pos](#def-format_pos)
- [def format_pct](#def-format_pct)
- [def format_bar](#def-format_bar)
- [def format_progress_line](#def-format_progress_line)
- [def render_progress](#def-render_progress)
- [def make_step](#def-make_step)
- [def update](#def-update)
- [def finish](#def-finish)
- [def generator](#def-generator)
- [def pager](#def-pager)
- [def _pipepager](#def-_pipepager)
</details>

<details><summary><h3><strong>class ProgressBar</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def __next__</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def render_finish</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def pct</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def time_per_iteration</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def eta</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def format_eta</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def format_pos</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def format_pct</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def format_bar</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def format_progress_line</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def render_progress</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def make_step</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h4><strong>def finish</strong></h4></summary>

Return a generator which yields the items added to the bar
        during construction, and updates the progress bar *after* the
        yielded block returns.

</details>

<details><summary><h4><strong>def generator</strong></h4></summary>

Return a generator which yields the items added to the bar
        during construction, and updates the progress bar *after* the
        yielded block returns.

</details>

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def __next__(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def render_finish(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def pct(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def time_per_iteration(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def eta(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def format_eta(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def format_pos(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def format_pct(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def format_bar(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def format_progress_line(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def render_progress(self)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def make_step(self, n_steps: int)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def update(self, n_steps: int, current_item: t.Optional[V] = None)</strong></h3></summary>

Update the progress bar by advancing a specified number of
        steps, and optionally set the ``current_item`` for this new
        position.

        :param n_steps: Number of steps to advance.
        :param current_item: Optional item to set as ``current_item``
            for the updated position.

        .. versionchanged:: 8.0
            Added the ``current_item`` optional parameter.

        .. versionchanged:: 8.0
            Only render when the number of steps meets the
            ``update_min_steps`` threshold.

</details>

<details><summary><h3><strong>def finish(self)</strong></h3></summary>

Return a generator which yields the items added to the bar
        during construction, and updates the progress bar *after* the
        yielded block returns.

</details>

<details><summary><h3><strong>def generator(self)</strong></h3></summary>

Return a generator which yields the items added to the bar
        during construction, and updates the progress bar *after* the
        yielded block returns.

</details>

<details><summary><h3><strong>def pager(generator: t.Iterable[str], color: t.Optional[bool] = None)</strong></h3></summary>

Decide what method to use for paging through text.

</details>

<details><summary><h3><strong>def _pipepager(generator: t.Iterable[str], cmd: str, color: t.Optional[bool])</strong></h3></summary>

Page through text by feeding it to another program.  Invoking a
    pager through this might support colors.

</details>

</details>


<details><summary><h2><strong> _textwrap.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _winconsole.py</strong></h2></summary>

</details>


<details><summary><h2><strong> core.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ParameterSource](#class-parametersource)
- [class Context](#class-context)
- [class for](#class-for)
- [class to](#class-to)
- [class used](#class-used)
- [class BaseCommand](#class-basecommand)
- [class of](#class-of)
- [class to](#class-to)
- [class used](#class-used)
- [class Command](#class-command)
- [class MultiCommand](#class-multicommand)
- [class Group](#class-group)
- [class will](#class-will)
- [class continue](#class-continue)
- [class used](#class-used)
- [class and](#class-and)
- [class def](#class-def)
- [class CommandCollection](#class-commandcollection)
- [class Parameter](#class-parameter)
- [class Option](#class-option)
- [class Argument](#class-argument)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def scope](#def-scope)
- [def meta](#def-meta)
- [def set_language](#def-set_language)
- [def get_language](#def-get_language)
- [def make_formatter](#def-make_formatter)
- [def with_resource](#def-with_resource)
- [def cli](#def-cli)
- [def call_on_close](#def-call_on_close)
- [def close](#def-close)
- [def command_path](#def-command_path)
- [def find_root](#def-find_root)
- [def find_object](#def-find_object)
- [def ensure_object](#def-ensure_object)
- [def lookup_default](#def-lookup_default)
- [def lookup_default](#def-lookup_default)
- [def lookup_default](#def-lookup_default)
- [def fail](#def-fail)
- [def abort](#def-abort)
- [def exit](#def-exit)
- [def get_usage](#def-get_usage)
- [def get_help](#def-get_help)
- [def _make_sub_context](#def-_make_sub_context)
- [def invoke](#def-invoke)
- [def invoke](#def-invoke)
- [def invoke](#def-invoke)
- [def forward](#def-forward)
- [def set_parameter_source](#def-set_parameter_source)
- [def get_parameter_source](#def-get_parameter_source)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def __repr__](#def-__repr__)
- [def get_usage](#def-get_usage)
- [def get_help](#def-get_help)
- [def make_context](#def-make_context)
- [def parse_args](#def-parse_args)
- [def invoke](#def-invoke)
- [def shell_complete](#def-shell_complete)
- [def main](#def-main)
- [def main](#def-main)
- [def main](#def-main)
- [def _main_shell_completion](#def-_main_shell_completion)
- [def __call__](#def-__call__)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def get_usage](#def-get_usage)
- [def get_params](#def-get_params)
- [def format_usage](#def-format_usage)
- [def collect_usage_pieces](#def-collect_usage_pieces)
- [def get_help_option_names](#def-get_help_option_names)
- [def get_help_option](#def-get_help_option)
- [def show_help](#def-show_help)
- [def make_parser](#def-make_parser)
- [def get_help](#def-get_help)
- [def get_short_help_str](#def-get_short_help_str)
- [def format_help](#def-format_help)
- [def format_help_text](#def-format_help_text)
- [def format_options](#def-format_options)
- [def format_epilog](#def-format_epilog)
- [def parse_args](#def-parse_args)
- [def invoke](#def-invoke)
- [def shell_complete](#def-shell_complete)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def collect_usage_pieces](#def-collect_usage_pieces)
- [def format_options](#def-format_options)
- [def result_callback](#def-result_callback)
- [def cli](#def-cli)
- [def process_result](#def-process_result)
- [def decorator](#def-decorator)
- [def function](#def-function)
- [def format_commands](#def-format_commands)
- [def parse_args](#def-parse_args)
- [def invoke](#def-invoke)
- [def _process_result](#def-_process_result)
- [def resolve_command](#def-resolve_command)
- [def get_command](#def-get_command)
- [def list_commands](#def-list_commands)
- [def shell_complete](#def-shell_complete)
- [def __init__](#def-__init__)
- [def add_command](#def-add_command)
- [def command](#def-command)
- [def command](#def-command)
- [def command](#def-command)
- [def decorator](#def-decorator)
- [def group](#def-group)
- [def group](#def-group)
- [def group](#def-group)
- [def __init__](#def-__init__)
- [def add_source](#def-add_source)
- [def _check_iter](#def-_check_iter)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def __repr__](#def-__repr__)
- [def _parse_decls](#def-_parse_decls)
- [def human_readable_name](#def-human_readable_name)
- [def make_metavar](#def-make_metavar)
- [def get_default](#def-get_default)
- [def get_default](#def-get_default)
- [def get_default](#def-get_default)
- [def add_to_parser](#def-add_to_parser)
- [def consume_value](#def-consume_value)
- [def type_cast_value](#def-type_cast_value)
- [def check_iter](#def-check_iter)
- [def convert](#def-convert)
- [def convert](#def-convert)
- [def convert](#def-convert)
- [def value_is_missing](#def-value_is_missing)
- [def process_value](#def-process_value)
- [def resolve_envvar_value](#def-resolve_envvar_value)
- [def value_from_envvar](#def-value_from_envvar)
- [def handle_parse_result](#def-handle_parse_result)
- [def get_help_record](#def-get_help_record)
- [def get_usage_pieces](#def-get_usage_pieces)
- [def get_error_hint](#def-get_error_hint)
- [def shell_complete](#def-shell_complete)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def _parse_decls](#def-_parse_decls)
- [def add_to_parser](#def-add_to_parser)
- [def get_help_record](#def-get_help_record)
- [def _write_opts](#def-_write_opts)
- [def get_default](#def-get_default)
- [def get_default](#def-get_default)
- [def get_default](#def-get_default)
- [def prompt_for_value](#def-prompt_for_value)
</details>

<details><summary><h3><strong>class ParameterSource</strong></h3></summary>

This is an :class:`~enum.Enum` that indicates the source of a
    parameter's value.

    Use :meth:`click.Context.get_parameter_source` to get the
    source for a parameter by name.

    .. versionchanged:: 8.0
        Use :class:`~enum.Enum` and drop the ``validate`` method.

    .. versionchanged:: 8.0
        Added the ``PROMPT`` value.

</details>

<details><summary><h3><strong>class Context</strong></h3></summary>

The context is a special internal object that holds state relevant
    for the script execution at every single level.  It's normally invisible
    to commands unless they opt-in to getting access to it.

    The context is useful as it can pass internal objects around and can
    control special execution features such as reading data from
    environment variables.

    A context can be used as context manager in which case it will call
    :meth:`close` on teardown.

    :param command: the command class for this context.
    :param parent: the parent context.
    :param info_name: the info name for this invocation.  Generally this
                      is the most descriptive name for the script or
                      command.  For the toplevel script it is usually
                      the name of the script, for commands below it it's
                      the name of the script.
    :param obj: an arbitrary object of user data.
    :param auto_envvar_prefix: the prefix to use for automatic environment
                               variables.  If this is `None` then reading
                               from environment variables is disabled.  This
                               does not affect manually set environment
                               variables which are always read.
    :param default_map: a dictionary (like object) with default values
                        for parameters.
    :param terminal_width: the width of the terminal.  The default is
                           inherit from parent context.  If no context
                           defines the terminal width then auto
                           detection will be applied.
    :param max_content_width: the maximum width for content rendered by
                              Click (this currently only affects help
                              pages).  This defaults to 80 characters if
                              not overridden.  In other words: even if the
                              terminal is larger than that, Click will not
                              format things wider than 80 characters by
                              default.  In addition to that, formatters might
                              add some safety mapping on the right.
    :param resilient_parsing: if this flag is enabled then Click will
                              parse without any interactivity or callback
                              invocation.  Default values will also be
                              ignored.  This is useful for implementing
                              things such as completion support.
    :param allow_extra_args: if this is set to `True` then extra arguments
                             at the end will not raise an error and will be
                             kept on the context.  The default is to inherit
                             from the command.
    :param allow_interspersed_args: if this is set to `False` then options
                                    and arguments cannot be mixed.  The
                                    default is to inherit from the command.
    :param ignore_unknown_options: instructs click to ignore options it does
                                   not know and keeps them for later
                                   processing.
    :param help_option_names: optionally a list of strings that define how
                              the default help parameter is named.  The
                              default is ``['--help']``.
    :param token_normalize_func: an optional function that is used to
                                 normalize tokens (options, choices,
                                 etc.).  This for instance can be used to
                                 implement case insensitive behavior.
    :param color: controls if the terminal supports ANSI colors or not.  The
                  default is autodetection.  This is only needed if ANSI
                  codes are used in texts that Click prints which is by
                  default not the case.  This for instance would affect
                  help output.
    :param show_default: Show the default value for commands. If this
        value is not set, it defaults to the value from the parent
        context. ``Command.show_default`` overrides this default for the
        specific command.

    .. versionchanged:: 8.1
        The ``show_default`` parameter is overridden by
        ``Command.show_default``, instead of the other way around.

    .. versionchanged:: 8.0
        The ``show_default`` parameter defaults to the value from the
        parent context.

    .. versionchanged:: 7.1
       Added the ``show_default`` parameter.

    .. versionchanged:: 4.0
        Added the ``color``, ``ignore_unknown_options``, and
        ``max_content_width`` parameters.

    .. versionchanged:: 3.0
        Added the ``allow_extra_args`` and ``allow_interspersed_args``
        parameters.

    .. versionchanged:: 2.0
        Added the ``resilient_parsing``, ``help_option_names``, and
        ``token_normalize_func`` parameters.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def scope</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def meta</strong></h4></summary>

This is a dictionary which is shared with all the contexts
        that are nested.  It exists so that click utilities can store some
        state here if they need to.  It is however the responsibility of
        that code to manage this dictionary well.

        The keys are supposed to be unique dotted strings.  For instance
        module paths are a good choice for it.  What is stored in there is
        irrelevant for the operation of click.  However what is important is
        that code that places data here adheres to the general semantics of
        the system.

        Example usage::

            LANG_KEY = f'{__name__}.lang'

            def set_language(value):
                ctx = get_current_context()
                ctx.meta[LANG_KEY] = value

            def get_language():
                return get_current_context().meta.get(LANG_KEY, 'en_US')

        .. versionadded:: 5.0

</details>

<details><summary><h4><strong>def set_language</strong></h4></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h4><strong>def get_language</strong></h4></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h4><strong>def make_formatter</strong></h4></summary>

Creates the :class:`~click.HelpFormatter` for the help and
        usage output.

        To quickly customize the formatter class used without overriding
        this method, set the :attr:`formatter_class` attribute.

        .. versionchanged:: 8.0
            Added the :attr:`formatter_class` attribute.

</details>

<details><summary><h4><strong>def with_resource</strong></h4></summary>

Register a resource as if it were used in a ``with``
        statement. The resource will be cleaned up when the context is
        popped.

        Uses :meth:`contextlib.ExitStack.enter_context`. It calls the
        resource's ``__enter__()`` method and returns the result. When
        the context is popped, it closes the stack, which calls the
        resource's ``__exit__()`` method.

        To register a cleanup function for something that isn't a
        context manager, use :meth:`call_on_close`. Or use something
        from :mod:`contextlib` to turn it into a context manager first.

        .. code-block:: python

            @click.group()
            @click.option("--name")
            @click.pass_context
            def cli(ctx):
                ctx.obj = ctx.with_resource(connect_db(name))

        :param context_manager: The context manager to enter.
        :return: Whatever ``context_manager.__enter__()`` returns.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def cli</strong></h4></summary>

return self._exit_stack.enter_context(context_manager)

    def call_on_close(self, f: t.Callable[..., t.Any]) -> t.Callable[..., t.Any]:

</details>

<details><summary><h4><strong>def call_on_close</strong></h4></summary>

Register a function to be called when the context tears down.

        This can be used to close resources opened during the script
        execution. Resources that support Python's context manager
        protocol which would be used in a ``with`` statement should be
        registered with :meth:`with_resource` instead.

        :param f: The function to execute on teardown.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Invoke all close callbacks registered with
        :meth:`call_on_close`, and exit all context managers entered
        with :meth:`with_resource`.

</details>

<details><summary><h4><strong>def command_path</strong></h4></summary>

The computed command path.  This is used for the ``usage``
        information on the help page.  It's automatically created by
        combining the info names of the chain of contexts to the root.

</details>

<details><summary><h4><strong>def find_root</strong></h4></summary>

Finds the outermost context.

</details>

<details><summary><h4><strong>def find_object</strong></h4></summary>

Finds the closest object of a given type.

</details>

<details><summary><h4><strong>def ensure_object</strong></h4></summary>

Like :meth:`find_object` but sets the innermost object to a
        new instance of `object_type` if it does not exist.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Aborts the execution of the program with a specific error
        message.

        :param message: the error message to fail with.

</details>

<details><summary><h4><strong>def abort</strong></h4></summary>

Aborts the script.

</details>

<details><summary><h4><strong>def exit</strong></h4></summary>

Exits the application with a given exit code.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

Helper method to get formatted usage string for the current
        context and command.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

Helper method to get formatted help page for the current
        context and command.

</details>

<details><summary><h4><strong>def _make_sub_context</strong></h4></summary>

Create a new context of the same type as this context, but
        for a new command.

        :meta private:

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def forward</strong></h4></summary>

Similar to :meth:`invoke` but fills in default keyword
        arguments from the current context if the other command expects
        it.  This cannot invoke callbacks directly, only other commands.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if ``forward`` is called at multiple levels.

</details>

<details><summary><h4><strong>def set_parameter_source</strong></h4></summary>

Set the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        :param name: The name of the parameter.
        :param source: A member of :class:`~click.core.ParameterSource`.

</details>

<details><summary><h4><strong>def get_parameter_source</strong></h4></summary>

Get the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        This can be useful for determining when a user specified a value
        on the command line that is the same as the default value. It
        will be :attr:`~click.core.ParameterSource.DEFAULT` only if the
        value was actually taken from the default.

        :param name: The name of the parameter.
        :rtype: ParameterSource

        .. versionchanged:: 8.0
            Returns ``None`` if the parameter was not provided from any
            source.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

#: The formatter class to create with :meth:`make_formatter`.
    #:
    #: .. versionadded:: 8.0
    formatter_class: t.Type["HelpFormatter"] = HelpFormatter

    def __init__(
        self,
        command: "Command",
        parent: t.Optional["Context"] = None,
        info_name: t.Optional[str] = None,
        obj: t.Optional[t.Any] = None,
        auto_envvar_prefix: t.Optional[str] = None,
        default_map: t.Optional[t.MutableMapping[str, t.Any]] = None,
        terminal_width: t.Optional[int] = None,
        max_content_width: t.Optional[int] = None,
        resilient_parsing: bool = False,
        allow_extra_args: t.Optional[bool] = None,
        allow_interspersed_args: t.Optional[bool] = None,
        ignore_unknown_options: t.Optional[bool] = None,
        help_option_names: t.Optional[t.List[str]] = None,
        token_normalize_func: t.Optional[t.Callable[[str], str]] = None,
        color: t.Optional[bool] = None,
        show_default: t.Optional[bool] = None,
    ) -> None:
        #: the parent context or `None` if none exists.
        self.parent = parent
        #: the :class:`Command` for this context.
        self.command = command
        #: the descriptive information name
        self.info_name = info_name
        #: Map of parameter names to their parsed values. Parameters
        #: with ``expose_value=False`` are not stored.
        self.params: t.Dict[str, t.Any] = {}
        #: the leftover arguments.
        self.args: t.List[str] = []
        #: protected arguments.  These are arguments that are prepended
        #: to `args` when certain parsing scenarios are encountered but
        #: must be never propagated to another arguments.  This is used
        #: to implement nested parsing.
        self.protected_args: t.List[str] = []
        #: the collected prefixes of the command's options.
        self._opt_prefixes: t.Set[str] = set(parent._opt_prefixes) if parent else set()

        if obj is None and parent is not None:
            obj = parent.obj

        #: the user object stored.
        self.obj: t.Any = obj
        self._meta: t.Dict[str, t.Any] = getattr(parent, "meta", {})

        #: A dictionary (-like object) with defaults for parameters.
        if (
            default_map is None
            and info_name is not None
            and parent is not None
            and parent.default_map is not None
        ):
            default_map = parent.default_map.get(info_name)

        self.default_map: t.Optional[t.MutableMapping[str, t.Any]] = default_map

        #: This flag indicates if a subcommand is going to be executed. A
        #: group callback can use this information to figure out if it's
        #: being executed directly or because the execution flow passes
        #: onwards to a subcommand. By default it's None, but it can be
        #: the name of the subcommand to execute.
        #:
        #: If chaining is enabled this will be set to ``'*'`` in case
        #: any commands are executed.  It is however not possible to
        #: figure out which ones.  If you require this knowledge you
        #: should use a :func:`result_callback`.
        self.invoked_subcommand: t.Optional[str] = None

        if terminal_width is None and parent is not None:
            terminal_width = parent.terminal_width

        #: The width of the terminal (None is autodetection).
        self.terminal_width: t.Optional[int] = terminal_width

        if max_content_width is None and parent is not None:
            max_content_width = parent.max_content_width

        #: The maximum width of formatted content (None implies a sensible
        #: default which is 80 for most things).
        self.max_content_width: t.Optional[int] = max_content_width

        if allow_extra_args is None:
            allow_extra_args = command.allow_extra_args

        #: Indicates if the context allows extra args or if it should
        #: fail on parsing.
        #:
        #: .. versionadded:: 3.0
        self.allow_extra_args = allow_extra_args

        if allow_interspersed_args is None:
            allow_interspersed_args = command.allow_interspersed_args

        #: Indicates if the context allows mixing of arguments and
        #: options or not.
        #:
        #: .. versionadded:: 3.0
        self.allow_interspersed_args: bool = allow_interspersed_args

        if ignore_unknown_options is None:
            ignore_unknown_options = command.ignore_unknown_options

        #: Instructs click to ignore options that a command does not
        #: understand and will store it on the context for later
        #: processing.  This is primarily useful for situations where you
        #: want to call into external programs.  Generally this pattern is
        #: strongly discouraged because it's not possibly to losslessly
        #: forward all arguments.
        #:
        #: .. versionadded:: 4.0
        self.ignore_unknown_options: bool = ignore_unknown_options

        if help_option_names is None:
            if parent is not None:
                help_option_names = parent.help_option_names
            else:
                help_option_names = ["--help"]

        #: The names for the help options.
        self.help_option_names: t.List[str] = help_option_names

        if token_normalize_func is None and parent is not None:
            token_normalize_func = parent.token_normalize_func

        #: An optional normalization function for tokens.  This is
        #: options, choices, commands etc.
        self.token_normalize_func: t.Optional[
            t.Callable[[str], str]
        ] = token_normalize_func

        #: Indicates if resilient parsing is enabled.  In that case Click
        #: will do its best to not cause any failures and default values
        #: will be ignored. Useful for completion.
        self.resilient_parsing: bool = resilient_parsing

        # If there is no envvar prefix yet, but the parent has one and
        # the command on this level has a name, we can expand the envvar
        # prefix automatically.
        if auto_envvar_prefix is None:
            if (
                parent is not None
                and parent.auto_envvar_prefix is not None
                and self.info_name is not None
            ):
                auto_envvar_prefix = (
                    f"{parent.auto_envvar_prefix}_{self.info_name.upper()}"
                )
        else:
            auto_envvar_prefix = auto_envvar_prefix.upper()

        if auto_envvar_prefix is not None:
            auto_envvar_prefix = auto_envvar_prefix.replace("-", "_")

        self.auto_envvar_prefix: t.Optional[str] = auto_envvar_prefix

        if color is None and parent is not None:
            color = parent.color

        #: Controls if styling output is wanted or not.
        self.color: t.Optional[bool] = color

        if show_default is None and parent is not None:
            show_default = parent.show_default

        #: Show option default values when formatting help text.
        self.show_default: t.Optional[bool] = show_default

        self._close_callbacks: t.List[t.Callable[[], t.Any]] = []
        self._depth = 0
        self._parameter_source: t.Dict[str, ParameterSource] = {}
        self._exit_stack = ExitStack()

    def to_info_dict(self) -> t.Dict[str, t.Any]:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def scope</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def meta</strong></h4></summary>

This is a dictionary which is shared with all the contexts
        that are nested.  It exists so that click utilities can store some
        state here if they need to.  It is however the responsibility of
        that code to manage this dictionary well.

        The keys are supposed to be unique dotted strings.  For instance
        module paths are a good choice for it.  What is stored in there is
        irrelevant for the operation of click.  However what is important is
        that code that places data here adheres to the general semantics of
        the system.

        Example usage::

            LANG_KEY = f'{__name__}.lang'

            def set_language(value):
                ctx = get_current_context()
                ctx.meta[LANG_KEY] = value

            def get_language():
                return get_current_context().meta.get(LANG_KEY, 'en_US')

        .. versionadded:: 5.0

</details>

<details><summary><h4><strong>def set_language</strong></h4></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h4><strong>def get_language</strong></h4></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h4><strong>def make_formatter</strong></h4></summary>

Creates the :class:`~click.HelpFormatter` for the help and
        usage output.

        To quickly customize the formatter class used without overriding
        this method, set the :attr:`formatter_class` attribute.

        .. versionchanged:: 8.0
            Added the :attr:`formatter_class` attribute.

</details>

<details><summary><h4><strong>def with_resource</strong></h4></summary>

Register a resource as if it were used in a ``with``
        statement. The resource will be cleaned up when the context is
        popped.

        Uses :meth:`contextlib.ExitStack.enter_context`. It calls the
        resource's ``__enter__()`` method and returns the result. When
        the context is popped, it closes the stack, which calls the
        resource's ``__exit__()`` method.

        To register a cleanup function for something that isn't a
        context manager, use :meth:`call_on_close`. Or use something
        from :mod:`contextlib` to turn it into a context manager first.

        .. code-block:: python

            @click.group()
            @click.option("--name")
            @click.pass_context
            def cli(ctx):
                ctx.obj = ctx.with_resource(connect_db(name))

        :param context_manager: The context manager to enter.
        :return: Whatever ``context_manager.__enter__()`` returns.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def cli</strong></h4></summary>

return self._exit_stack.enter_context(context_manager)

    def call_on_close(self, f: t.Callable[..., t.Any]) -> t.Callable[..., t.Any]:

</details>

<details><summary><h4><strong>def call_on_close</strong></h4></summary>

Register a function to be called when the context tears down.

        This can be used to close resources opened during the script
        execution. Resources that support Python's context manager
        protocol which would be used in a ``with`` statement should be
        registered with :meth:`with_resource` instead.

        :param f: The function to execute on teardown.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Invoke all close callbacks registered with
        :meth:`call_on_close`, and exit all context managers entered
        with :meth:`with_resource`.

</details>

<details><summary><h4><strong>def command_path</strong></h4></summary>

The computed command path.  This is used for the ``usage``
        information on the help page.  It's automatically created by
        combining the info names of the chain of contexts to the root.

</details>

<details><summary><h4><strong>def find_root</strong></h4></summary>

Finds the outermost context.

</details>

<details><summary><h4><strong>def find_object</strong></h4></summary>

Finds the closest object of a given type.

</details>

<details><summary><h4><strong>def ensure_object</strong></h4></summary>

Like :meth:`find_object` but sets the innermost object to a
        new instance of `object_type` if it does not exist.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Aborts the execution of the program with a specific error
        message.

        :param message: the error message to fail with.

</details>

<details><summary><h4><strong>def abort</strong></h4></summary>

Aborts the script.

</details>

<details><summary><h4><strong>def exit</strong></h4></summary>

Exits the application with a given exit code.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

Helper method to get formatted usage string for the current
        context and command.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

Helper method to get formatted help page for the current
        context and command.

</details>

<details><summary><h4><strong>def _make_sub_context</strong></h4></summary>

Create a new context of the same type as this context, but
        for a new command.

        :meta private:

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def forward</strong></h4></summary>

Similar to :meth:`invoke` but fills in default keyword
        arguments from the current context if the other command expects
        it.  This cannot invoke callbacks directly, only other commands.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if ``forward`` is called at multiple levels.

</details>

<details><summary><h4><strong>def set_parameter_source</strong></h4></summary>

Set the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        :param name: The name of the parameter.
        :param source: A member of :class:`~click.core.ParameterSource`.

</details>

<details><summary><h4><strong>def get_parameter_source</strong></h4></summary>

Get the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        This can be useful for determining when a user specified a value
        on the command line that is the same as the default value. It
        will be :attr:`~click.core.ParameterSource.DEFAULT` only if the
        value was actually taken from the default.

        :param name: The name of the parameter.
        :rtype: ParameterSource

        .. versionchanged:: 8.0
            Returns ``None`` if the parameter was not provided from any
            source.

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def scope</strong></h4></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h4><strong>def meta</strong></h4></summary>

This is a dictionary which is shared with all the contexts
        that are nested.  It exists so that click utilities can store some
        state here if they need to.  It is however the responsibility of
        that code to manage this dictionary well.

        The keys are supposed to be unique dotted strings.  For instance
        module paths are a good choice for it.  What is stored in there is
        irrelevant for the operation of click.  However what is important is
        that code that places data here adheres to the general semantics of
        the system.

        Example usage::

            LANG_KEY = f'{__name__}.lang'

            def set_language(value):
                ctx = get_current_context()
                ctx.meta[LANG_KEY] = value

            def get_language():
                return get_current_context().meta.get(LANG_KEY, 'en_US')

        .. versionadded:: 5.0

</details>

<details><summary><h4><strong>def set_language</strong></h4></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h4><strong>def get_language</strong></h4></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h4><strong>def make_formatter</strong></h4></summary>

Creates the :class:`~click.HelpFormatter` for the help and
        usage output.

        To quickly customize the formatter class used without overriding
        this method, set the :attr:`formatter_class` attribute.

        .. versionchanged:: 8.0
            Added the :attr:`formatter_class` attribute.

</details>

<details><summary><h4><strong>def with_resource</strong></h4></summary>

Register a resource as if it were used in a ``with``
        statement. The resource will be cleaned up when the context is
        popped.

        Uses :meth:`contextlib.ExitStack.enter_context`. It calls the
        resource's ``__enter__()`` method and returns the result. When
        the context is popped, it closes the stack, which calls the
        resource's ``__exit__()`` method.

        To register a cleanup function for something that isn't a
        context manager, use :meth:`call_on_close`. Or use something
        from :mod:`contextlib` to turn it into a context manager first.

        .. code-block:: python

            @click.group()
            @click.option("--name")
            @click.pass_context
            def cli(ctx):
                ctx.obj = ctx.with_resource(connect_db(name))

        :param context_manager: The context manager to enter.
        :return: Whatever ``context_manager.__enter__()`` returns.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def cli</strong></h4></summary>

return self._exit_stack.enter_context(context_manager)

    def call_on_close(self, f: t.Callable[..., t.Any]) -> t.Callable[..., t.Any]:

</details>

<details><summary><h4><strong>def call_on_close</strong></h4></summary>

Register a function to be called when the context tears down.

        This can be used to close resources opened during the script
        execution. Resources that support Python's context manager
        protocol which would be used in a ``with`` statement should be
        registered with :meth:`with_resource` instead.

        :param f: The function to execute on teardown.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Invoke all close callbacks registered with
        :meth:`call_on_close`, and exit all context managers entered
        with :meth:`with_resource`.

</details>

<details><summary><h4><strong>def command_path</strong></h4></summary>

The computed command path.  This is used for the ``usage``
        information on the help page.  It's automatically created by
        combining the info names of the chain of contexts to the root.

</details>

<details><summary><h4><strong>def find_root</strong></h4></summary>

Finds the outermost context.

</details>

<details><summary><h4><strong>def find_object</strong></h4></summary>

Finds the closest object of a given type.

</details>

<details><summary><h4><strong>def ensure_object</strong></h4></summary>

Like :meth:`find_object` but sets the innermost object to a
        new instance of `object_type` if it does not exist.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Aborts the execution of the program with a specific error
        message.

        :param message: the error message to fail with.

</details>

<details><summary><h4><strong>def abort</strong></h4></summary>

Aborts the script.

</details>

<details><summary><h4><strong>def exit</strong></h4></summary>

Exits the application with a given exit code.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

Helper method to get formatted usage string for the current
        context and command.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

Helper method to get formatted help page for the current
        context and command.

</details>

<details><summary><h4><strong>def _make_sub_context</strong></h4></summary>

Create a new context of the same type as this context, but
        for a new command.

        :meta private:

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def forward</strong></h4></summary>

Similar to :meth:`invoke` but fills in default keyword
        arguments from the current context if the other command expects
        it.  This cannot invoke callbacks directly, only other commands.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if ``forward`` is called at multiple levels.

</details>

<details><summary><h4><strong>def set_parameter_source</strong></h4></summary>

Set the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        :param name: The name of the parameter.
        :param source: A member of :class:`~click.core.ParameterSource`.

</details>

<details><summary><h4><strong>def get_parameter_source</strong></h4></summary>

Get the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        This can be useful for determining when a user specified a value
        on the command line that is the same as the default value. It
        will be :attr:`~click.core.ParameterSource.DEFAULT` only if the
        value was actually taken from the default.

        :param name: The name of the parameter.
        :rtype: ParameterSource

        .. versionchanged:: 8.0
            Returns ``None`` if the parameter was not provided from any
            source.

</details>

</details>

<details><summary><h3><strong>class used</strong></h3></summary>

return self.formatter_class(
            width=self.terminal_width, max_width=self.max_content_width
        )

    def with_resource(self, context_manager: t.ContextManager[V]) -> V:

<details><summary><h4><strong>def with_resource</strong></h4></summary>

Register a resource as if it were used in a ``with``
        statement. The resource will be cleaned up when the context is
        popped.

        Uses :meth:`contextlib.ExitStack.enter_context`. It calls the
        resource's ``__enter__()`` method and returns the result. When
        the context is popped, it closes the stack, which calls the
        resource's ``__exit__()`` method.

        To register a cleanup function for something that isn't a
        context manager, use :meth:`call_on_close`. Or use something
        from :mod:`contextlib` to turn it into a context manager first.

        .. code-block:: python

            @click.group()
            @click.option("--name")
            @click.pass_context
            def cli(ctx):
                ctx.obj = ctx.with_resource(connect_db(name))

        :param context_manager: The context manager to enter.
        :return: Whatever ``context_manager.__enter__()`` returns.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def cli</strong></h4></summary>

return self._exit_stack.enter_context(context_manager)

    def call_on_close(self, f: t.Callable[..., t.Any]) -> t.Callable[..., t.Any]:

</details>

<details><summary><h4><strong>def call_on_close</strong></h4></summary>

Register a function to be called when the context tears down.

        This can be used to close resources opened during the script
        execution. Resources that support Python's context manager
        protocol which would be used in a ``with`` statement should be
        registered with :meth:`with_resource` instead.

        :param f: The function to execute on teardown.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Invoke all close callbacks registered with
        :meth:`call_on_close`, and exit all context managers entered
        with :meth:`with_resource`.

</details>

<details><summary><h4><strong>def command_path</strong></h4></summary>

The computed command path.  This is used for the ``usage``
        information on the help page.  It's automatically created by
        combining the info names of the chain of contexts to the root.

</details>

<details><summary><h4><strong>def find_root</strong></h4></summary>

Finds the outermost context.

</details>

<details><summary><h4><strong>def find_object</strong></h4></summary>

Finds the closest object of a given type.

</details>

<details><summary><h4><strong>def ensure_object</strong></h4></summary>

Like :meth:`find_object` but sets the innermost object to a
        new instance of `object_type` if it does not exist.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def lookup_default</strong></h4></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Aborts the execution of the program with a specific error
        message.

        :param message: the error message to fail with.

</details>

<details><summary><h4><strong>def abort</strong></h4></summary>

Aborts the script.

</details>

<details><summary><h4><strong>def exit</strong></h4></summary>

Exits the application with a given exit code.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

Helper method to get formatted usage string for the current
        context and command.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

Helper method to get formatted help page for the current
        context and command.

</details>

<details><summary><h4><strong>def _make_sub_context</strong></h4></summary>

Create a new context of the same type as this context, but
        for a new command.

        :meta private:

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h4><strong>def forward</strong></h4></summary>

Similar to :meth:`invoke` but fills in default keyword
        arguments from the current context if the other command expects
        it.  This cannot invoke callbacks directly, only other commands.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if ``forward`` is called at multiple levels.

</details>

<details><summary><h4><strong>def set_parameter_source</strong></h4></summary>

Set the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        :param name: The name of the parameter.
        :param source: A member of :class:`~click.core.ParameterSource`.

</details>

<details><summary><h4><strong>def get_parameter_source</strong></h4></summary>

Get the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        This can be useful for determining when a user specified a value
        on the command line that is the same as the default value. It
        will be :attr:`~click.core.ParameterSource.DEFAULT` only if the
        value was actually taken from the default.

        :param name: The name of the parameter.
        :rtype: ParameterSource

        .. versionchanged:: 8.0
            Returns ``None`` if the parameter was not provided from any
            source.

</details>

</details>

<details><summary><h3><strong>class BaseCommand</strong></h3></summary>

The base command implements the minimal API contract of commands.
    Most code will never use this as it does not implement a lot of useful
    functionality but it can act as the direct subclass of alternative
    parsing methods that do not depend on the Click parser.

    For instance, this can be used to bridge Click and other systems like
    argparse or docopt.

    Because base commands do not implement a lot of the API that other
    parts of Click take for granted, they are not supported for all
    operations.  For instance, they cannot be used with the decorators
    usually and they have no built-in callback system.

    .. versionchanged:: 2.0
       Added the `context_settings` parameter.

    :param name: the name of the command to use unless a group overrides it.
    :param context_settings: an optional dictionary with defaults that are
                             passed to the context object.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def make_context</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Given a context and a list of arguments this creates the parser
        and parses the arguments, then modifies the context as necessary.
        This is automatically invoked by :meth:`make_context`.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Given a context, this invokes the command.  The default
        implementation is raising a not implemented error.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. Looks
        at the names of chained multi-commands.

        Any command could be part of a chained multi-command, so sibling
        commands are valid at any point during command completion. Other
        command classes will return more completions.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def _main_shell_completion</strong></h4></summary>

Check if the shell is asking for tab completion, process
        that, then exit early. Called from :meth:`main` before the
        program is invoked.

        :param prog_name: Name of the executable in the shell.
        :param complete_var: Name of the environment variable that holds
            the completion instruction. Defaults to
            ``_{PROG_NAME}_COMPLETE``.

        .. versionchanged:: 8.2.0
            Dots (``.``) in ``prog_name`` are replaced with underscores (``_``).

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Alias for :meth:`main`.

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

#: The context class to create with :meth:`make_context`.
    #:
    #: .. versionadded:: 8.0
    context_class: t.Type[Context] = Context
    #: the default for the :attr:`Context.allow_extra_args` flag.
    allow_extra_args = False
    #: the default for the :attr:`Context.allow_interspersed_args` flag.
    allow_interspersed_args = True
    #: the default for the :attr:`Context.ignore_unknown_options` flag.
    ignore_unknown_options = False

    def __init__(
        self,
        name: t.Optional[str],
        context_settings: t.Optional[t.MutableMapping[str, t.Any]] = None,
    ) -> None:
        #: the name the command thinks it has.  Upon registering a command
        #: on a :class:`Group` the group will default the command name
        #: with this information.  You should instead use the
        #: :class:`Context`\'s :attr:`~Context.info_name` attribute.
        self.name = name

        if context_settings is None:
            context_settings = {}

        #: an optional dictionary with defaults passed to the context.
        self.context_settings: t.MutableMapping[str, t.Any] = context_settings

    def to_info_dict(self, ctx: Context) -> t.Dict[str, t.Any]:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def make_context</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Given a context and a list of arguments this creates the parser
        and parses the arguments, then modifies the context as necessary.
        This is automatically invoked by :meth:`make_context`.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Given a context, this invokes the command.  The default
        implementation is raising a not implemented error.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. Looks
        at the names of chained multi-commands.

        Any command could be part of a chained multi-command, so sibling
        commands are valid at any point during command completion. Other
        command classes will return more completions.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def _main_shell_completion</strong></h4></summary>

Check if the shell is asking for tab completion, process
        that, then exit early. Called from :meth:`main` before the
        program is invoked.

        :param prog_name: Name of the executable in the shell.
        :param complete_var: Name of the environment variable that holds
            the completion instruction. Defaults to
            ``_{PROG_NAME}_COMPLETE``.

        .. versionchanged:: 8.2.0
            Dots (``.``) in ``prog_name`` are replaced with underscores (``_``).

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Alias for :meth:`main`.

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def make_context</strong></h4></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Given a context and a list of arguments this creates the parser
        and parses the arguments, then modifies the context as necessary.
        This is automatically invoked by :meth:`make_context`.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Given a context, this invokes the command.  The default
        implementation is raising a not implemented error.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. Looks
        at the names of chained multi-commands.

        Any command could be part of a chained multi-command, so sibling
        commands are valid at any point during command completion. Other
        command classes will return more completions.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def _main_shell_completion</strong></h4></summary>

Check if the shell is asking for tab completion, process
        that, then exit early. Called from :meth:`main` before the
        program is invoked.

        :param prog_name: Name of the executable in the shell.
        :param complete_var: Name of the environment variable that holds
            the completion instruction. Defaults to
            ``_{PROG_NAME}_COMPLETE``.

        .. versionchanged:: 8.2.0
            Dots (``.``) in ``prog_name`` are replaced with underscores (``_``).

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Alias for :meth:`main`.

</details>

</details>

<details><summary><h3><strong>class used</strong></h3></summary>

for key, value in self.context_settings.items():
            if key not in extra:
                extra[key] = value

        ctx = self.context_class(
            self, info_name=info_name, parent=parent, **extra  # type: ignore
        )

        with ctx.scope(cleanup=False):
            self.parse_args(ctx, args)
        return ctx

    def parse_args(self, ctx: Context, args: t.List[str]) -> t.List[str]:

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Given a context and a list of arguments this creates the parser
        and parses the arguments, then modifies the context as necessary.
        This is automatically invoked by :meth:`make_context`.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Given a context, this invokes the command.  The default
        implementation is raising a not implemented error.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. Looks
        at the names of chained multi-commands.

        Any command could be part of a chained multi-command, so sibling
        commands are valid at any point during command completion. Other
        command classes will return more completions.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h4><strong>def _main_shell_completion</strong></h4></summary>

Check if the shell is asking for tab completion, process
        that, then exit early. Called from :meth:`main` before the
        program is invoked.

        :param prog_name: Name of the executable in the shell.
        :param complete_var: Name of the environment variable that holds
            the completion instruction. Defaults to
            ``_{PROG_NAME}_COMPLETE``.

        .. versionchanged:: 8.2.0
            Dots (``.``) in ``prog_name`` are replaced with underscores (``_``).

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Alias for :meth:`main`.

</details>

</details>

<details><summary><h3><strong>class Command</strong></h3></summary>

Commands are the basic building block of command line interfaces in
    Click.  A basic command handles command line parsing and might dispatch
    more parsing to commands nested below it.

    :param name: the name of the command to use unless a group overrides it.
    :param context_settings: an optional dictionary with defaults that are
                             passed to the context object.
    :param callback: the callback to invoke.  This is optional.
    :param params: the parameters to register with this command.  This can
                   be either :class:`Option` or :class:`Argument` objects.
    :param help: the help string to use for this command.
    :param epilog: like the help string but it's printed at the end of the
                   help page after everything else.
    :param short_help: the short help to use for this command.  This is
                       shown on the command listing of the parent command.
    :param add_help_option: by default each command registers a ``--help``
                            option.  This can be disabled by this parameter.
    :param no_args_is_help: this controls what happens if no arguments are
                            provided.  This option is disabled by default.
                            If enabled this will add ``--help`` as argument
                            if no arguments are passed
    :param hidden: hide this command from help outputs.

    :param deprecated: issues a message indicating that
                             the command is deprecated.

    .. versionchanged:: 8.1
        ``help``, ``epilog``, and ``short_help`` are stored unprocessed,
        all formatting is done when outputting help text, not at init,
        and is done even if not using the ``@command`` decorator.

    .. versionchanged:: 8.0
        Added a ``repr`` showing the command name.

    .. versionchanged:: 7.1
        Added the ``no_args_is_help`` parameter.

    .. versionchanged:: 2.0
        Added the ``context_settings`` parameter.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Formats the usage line into a string and returns it.

        Calls :meth:`format_usage` internally.

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Formats the usage line into a string and returns it.

        Calls :meth:`format_usage` internally.

</details>

<details><summary><h4><strong>def get_usage</strong></h4></summary>

Formats the usage line into a string and returns it.

        Calls :meth:`format_usage` internally.

</details>

<details><summary><h4><strong>def get_params</strong></h4></summary>

Writes the usage line into the formatter.

        This is a low-level method called by :meth:`get_usage`.

</details>

<details><summary><h4><strong>def format_usage</strong></h4></summary>

Writes the usage line into the formatter.

        This is a low-level method called by :meth:`get_usage`.

</details>

<details><summary><h4><strong>def collect_usage_pieces</strong></h4></summary>

Returns all the pieces that go into the usage line and returns
        it as a list of strings.

</details>

<details><summary><h4><strong>def get_help_option_names</strong></h4></summary>

Returns the names for the help option.

</details>

<details><summary><h4><strong>def get_help_option</strong></h4></summary>

Returns the help option object.

</details>

<details><summary><h4><strong>def show_help</strong></h4></summary>

Creates the underlying option parser for this command.

</details>

<details><summary><h4><strong>def make_parser</strong></h4></summary>

Creates the underlying option parser for this command.

</details>

<details><summary><h4><strong>def get_help</strong></h4></summary>

Formats the help into a string and returns it.

        Calls :meth:`format_help` internally.

</details>

<details><summary><h4><strong>def get_short_help_str</strong></h4></summary>

Gets short help for the command or makes it by shortening the
        long help string.

</details>

<details><summary><h4><strong>def format_help</strong></h4></summary>

Writes the help into the formatter if it exists.

        This is a low-level method called by :meth:`get_help`.

        This calls the following methods:

        -   :meth:`format_usage`
        -   :meth:`format_help_text`
        -   :meth:`format_options`
        -   :meth:`format_epilog`

</details>

<details><summary><h4><strong>def format_help_text</strong></h4></summary>

Writes the help text to the formatter if it exists.

</details>

<details><summary><h4><strong>def format_options</strong></h4></summary>

Writes all the options into the formatter if they exist.

</details>

<details><summary><h4><strong>def format_epilog</strong></h4></summary>

Writes the epilog into the formatter if it exists.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Given a context, this invokes the attached callback (if it exists)
        in the right way.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Given a context, this invokes the attached callback (if it exists)
        in the right way.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. Looks
        at the names of options and chained multi-commands.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class MultiCommand</strong></h3></summary>

A multi command is the basic implementation of a command that
    dispatches to subcommands.  The most common version is the
    :class:`Group`.

    :param invoke_without_command: this controls how the multi command itself
                                   is invoked.  By default it's only invoked
                                   if a subcommand is provided.
    :param no_args_is_help: this controls what happens if no arguments are
                            provided.  This option is enabled by default if
                            `invoke_without_command` is disabled or disabled
                            if it's enabled.  If enabled this will add
                            ``--help`` as argument if no arguments are
                            passed.
    :param subcommand_metavar: the string that is used in the documentation
                               to indicate the subcommand place.
    :param chain: if this is set to `True` chaining of multiple subcommands
                  is enabled.  This restricts the form of commands in that
                  they cannot have optional arguments but it allows
                  multiple commands to be chained together.
    :param result_callback: The result callback to attach to this multi
        command. This can be set or changed later with the
        :meth:`result_callback` decorator.
    :param attrs: Other command arguments described in :class:`Command`.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h4><strong>def collect_usage_pieces</strong></h4></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h4><strong>def format_options</strong></h4></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h4><strong>def result_callback</strong></h4></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h4><strong>def cli</strong></h4></summary>

def decorator(f: F) -> F:
            old_callback = self._result_callback

            if old_callback is None or replace:
                self._result_callback = f
                return f

            def function(__value, *args, **kwargs):  # type: ignore
                inner = old_callback(__value, *args, **kwargs)
                return f(inner, *args, **kwargs)

            self._result_callback = rv = update_wrapper(t.cast(F, function), f)
            return rv

        return decorator

    def format_commands(self, ctx: Context, formatter: HelpFormatter) -> None:

</details>

<details><summary><h4><strong>def process_result</strong></h4></summary>

def decorator(f: F) -> F:
            old_callback = self._result_callback

            if old_callback is None or replace:
                self._result_callback = f
                return f

            def function(__value, *args, **kwargs):  # type: ignore
                inner = old_callback(__value, *args, **kwargs)
                return f(inner, *args, **kwargs)

            self._result_callback = rv = update_wrapper(t.cast(F, function), f)
            return rv

        return decorator

    def format_commands(self, ctx: Context, formatter: HelpFormatter) -> None:

</details>

<details><summary><h4><strong>def decorator</strong></h4></summary>

Extra format methods for multi methods that adds all the commands
        after the options.

</details>

<details><summary><h4><strong>def function</strong></h4></summary>

Extra format methods for multi methods that adds all the commands
        after the options.

</details>

<details><summary><h4><strong>def format_commands</strong></h4></summary>

Extra format methods for multi methods that adds all the commands
        after the options.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h4><strong>def _process_result</strong></h4></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h4><strong>def resolve_command</strong></h4></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h4><strong>def get_command</strong></h4></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h4><strong>def list_commands</strong></h4></summary>

Returns a list of subcommand names in the order they should
        appear.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. Looks
        at the names of options, subcommands, and chained
        multi-commands.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class Group</strong></h3></summary>

A group allows a command to have subcommands attached. This is
    the most common way to implement nesting in Click.

    :param name: The name of the group command.
    :param commands: A dict mapping names to :class:`Command` objects.
        Can also be a list of :class:`Command`, which will use
        :attr:`Command.name` to create the dict.
    :param attrs: Other command arguments described in
        :class:`MultiCommand`, :class:`Command`, and
        :class:`BaseCommand`.

    .. versionchanged:: 8.0
        The ``commands`` argument can be a list of command objects.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h4><strong>def add_command</strong></h4></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def decorator</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

</details>

<details><summary><h3><strong>class will</strong></h3></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h4><strong>def add_command</strong></h4></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def decorator</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

</details>

<details><summary><h3><strong>class continue</strong></h3></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h4><strong>def add_command</strong></h4></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def command</strong></h4></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h4><strong>def decorator</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

</details>

<details><summary><h3><strong>class used</strong></h3></summary>

from .decorators import command

        func: t.Optional[t.Callable[..., t.Any]] = None

        if args and callable(args[0]):
            assert (
                len(args) == 1 and not kwargs
            ), "Use 'command(**kwargs)(callable)' to provide arguments."
            (func,) = args
            args = ()

        if self.command_class and kwargs.get("cls") is None:
            kwargs["cls"] = self.command_class

        def decorator(f: t.Callable[..., t.Any]) -> Command:
            cmd: Command = command(*args, **kwargs)(f)
            self.add_command(cmd)
            return cmd

        if func is not None:
            return decorator(func)

        return decorator

    @t.overload
    def group(self, __func: t.Callable[..., t.Any]) -> "Group":
        ...

    @t.overload
    def group(
        self, *args: t.Any, **kwargs: t.Any
    ) -> t.Callable[[t.Callable[..., t.Any]], "Group"]:
        ...

    def group(
        self, *args: t.Any, **kwargs: t.Any
    ) -> t.Union[t.Callable[[t.Callable[..., t.Any]], "Group"], "Group"]:

<details><summary><h4><strong>def decorator</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

</details>

<details><summary><h3><strong>class and</strong></h3></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

<details><summary><h4><strong>def decorator</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

</details>

<details><summary><h3><strong>class def</strong></h3></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

<details><summary><h4><strong>def decorator</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h4><strong>def group</strong></h4></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

</details>

<details><summary><h3><strong>class CommandCollection</strong></h3></summary>

A command collection is a multi command that merges multiple multi
    commands together into one.  This is a straightforward implementation
    that accepts a list of different multi commands as sources and
    provides all the commands for each of them.

    See :class:`MultiCommand` and :class:`Command` for the description of
    ``name`` and ``attrs``.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Adds a new multi command to the chain dispatcher.

</details>

<details><summary><h4><strong>def add_source</strong></h4></summary>

Adds a new multi command to the chain dispatcher.

</details>

</details>

<details><summary><h3><strong>class Parameter</strong></h3></summary>

A parameter to a command comes in two versions: they are either
    :class:`Option`\s or :class:`Argument`\s.  Other subclasses are currently
    not supported by design as some of the internals for parsing are
    intentionally not finalized.

    Some settings are supported by both options and arguments.

    :param param_decls: the parameter declarations for this option or
                        argument.  This is a list of flags or argument
                        names.
    :param type: the type that should be used.  Either a :class:`ParamType`
                 or a Python type.  The latter is converted into the former
                 automatically if supported.
    :param required: controls if this is optional or not.
    :param default: the default value if omitted.  This can also be a callable,
                    in which case it's invoked when the default is needed
                    without any arguments.
    :param callback: A function to further process or validate the value
        after type conversion. It is called as ``f(ctx, param, value)``
        and must return the value. It is called for all sources,
        including prompts.
    :param nargs: the number of arguments to match.  If not ``1`` the return
                  value is a tuple instead of single value.  The default for
                  nargs is ``1`` (except if the type is a tuple, then it's
                  the arity of the tuple). If ``nargs=-1``, all remaining
                  parameters are collected.
    :param metavar: how the value is represented in the help page.
    :param expose_value: if this is `True` then the value is passed onwards
                         to the command callback and stored on the context,
                         otherwise it's skipped.
    :param is_eager: eager values are processed before non eager ones.  This
                     should not be set for arguments or it will inverse the
                     order of processing.
    :param envvar: a string or list of strings that are environment variables
                   that should be checked.
    :param shell_complete: A function that returns custom shell
        completions. Used instead of the param's type completion if
        given. Takes ``ctx, param, incomplete`` and must return a list
        of :class:`~click.shell_completion.CompletionItem` or a list of
        strings.

    .. versionchanged:: 8.0
        ``process_value`` validates required parameters and bounded
        ``nargs``, and invokes the parameter callback before returning
        the value. This allows the callback to validate prompts.
        ``full_process_value`` is removed.

    .. versionchanged:: 8.0
        ``autocompletion`` is renamed to ``shell_complete`` and has new
        semantics described above. The old name is deprecated and will
        be removed in 8.1, until then it will be wrapped to match the
        new requirements.

    .. versionchanged:: 8.0
        For ``multiple=True, nargs>1``, the default must be a list of
        tuples.

    .. versionchanged:: 8.0
        Setting a default is no longer required for ``nargs>1``, it will
        default to ``None``. ``multiple=True`` or ``nargs=-1`` will
        default to ``()``.

    .. versionchanged:: 7.1
        Empty environment variables are ignored rather than taking the
        empty string value. This makes it possible for scripts to clear
        variables if they can't unset them.

    .. versionchanged:: 2.0
        Changed signature for parameter callback to also be passed the
        parameter. The old callback format will still work, but it will
        raise a warning to give you a chance to migrate the code easier.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Returns the human readable name of this parameter.  This is the
        same as the name for options, but the metavar for arguments.

</details>

<details><summary><h4><strong>def _parse_decls</strong></h4></summary>

Returns the human readable name of this parameter.  This is the
        same as the name for options, but the metavar for arguments.

</details>

<details><summary><h4><strong>def human_readable_name</strong></h4></summary>

Returns the human readable name of this parameter.  This is the
        same as the name for options, but the metavar for arguments.

</details>

<details><summary><h4><strong>def make_metavar</strong></h4></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def get_default</strong></h4></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def get_default</strong></h4></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def get_default</strong></h4></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h4><strong>def add_to_parser</strong></h4></summary>

Convert and validate a value against the option's
        :attr:`type`, :attr:`multiple`, and :attr:`nargs`.

</details>

<details><summary><h4><strong>def consume_value</strong></h4></summary>

Convert and validate a value against the option's
        :attr:`type`, :attr:`multiple`, and :attr:`nargs`.

</details>

<details><summary><h4><strong>def type_cast_value</strong></h4></summary>

Convert and validate a value against the option's
        :attr:`type`, :attr:`multiple`, and :attr:`nargs`.

</details>

<details><summary><h4><strong>def check_iter</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def value_is_missing</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def process_value</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def resolve_envvar_value</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def value_from_envvar</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def handle_parse_result</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def get_help_record</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def get_usage_pieces</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def get_error_hint</strong></h4></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of completions for the incomplete value. If a
        ``shell_complete`` function was given during init, it is used.
        Otherwise, the :attr:`type`
        :meth:`~click.types.ParamType.shell_complete` function is used.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class Option</strong></h3></summary>

Options are usually optional values on the command line and
    have some extra features that arguments don't have.

    All other parameters are passed onwards to the parameter constructor.

    :param show_default: Show the default value for this option in its
        help text. Values are not shown by default, unless
        :attr:`Context.show_default` is ``True``. If this value is a
        string, it shows that string in parentheses instead of the
        actual value. This is particularly useful for dynamic options.
        For single option boolean flags, the default remains hidden if
        its value is ``False``.
    :param show_envvar: Controls if an environment variable should be
        shown on the help page. Normally, environment variables are not
        shown.
    :param prompt: If set to ``True`` or a non empty string then the
        user will be prompted for input. If set to ``True`` the prompt
        will be the option name capitalized.
    :param confirmation_prompt: Prompt a second time to confirm the
        value if it was prompted for. Can be set to a string instead of
        ``True`` to customize the message.
    :param prompt_required: If set to ``False``, the user will be
        prompted for input only when the option was specified as a flag
        without a value.
    :param hide_input: If this is ``True`` then the input on the prompt
        will be hidden from the user. This is useful for password input.
    :param is_flag: forces this option to act as a flag.  The default is
                    auto detection.
    :param flag_value: which value should be used for this flag if it's
                       enabled.  This is set to a boolean automatically if
                       the option string contains a slash to mark two options.
    :param multiple: if this is set to `True` then the argument is accepted
                     multiple times and recorded.  This is similar to ``nargs``
                     in how it works but supports arbitrary number of
                     arguments.
    :param count: this flag makes an option increment an integer.
    :param allow_from_autoenv: if this is enabled then the value of this
                               parameter will be pulled from an environment
                               variable in case a prefix is defined on the
                               context.
    :param help: the help string.
    :param hidden: hide this option from help outputs.
    :param attrs: Other command arguments described in :class:`Parameter`.

    .. versionchanged:: 8.1.0
        Help text indentation is cleaned here instead of only in the
        ``@option`` decorator.

    .. versionchanged:: 8.1.0
        The ``show_default`` parameter overrides
        ``Context.show_default``.

    .. versionchanged:: 8.1.0
        The default of a single option boolean flag is not shown if the
        default value is ``False``.

    .. versionchanged:: 8.0.1
        ``type`` is detected from ``flag_value`` if given.

<details><summary><h4><strong>def __init__</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def _parse_decls</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def add_to_parser</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def get_help_record</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def _write_opts</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def get_default</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def get_default</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def get_default</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h4><strong>def prompt_for_value</strong></h4></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

</details>

<details><summary><h3><strong>class Argument</strong></h3></summary>

Arguments are positional parameters to a command.  They generally
    provide fewer features than options but can have infinite ``nargs``
    and are required by default.

    All parameters are passed onwards to the constructor of :class:`Parameter`.

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire CLI
        structure.

        .. code-block:: python

            with Context(cli) as ctx:
                info = ctx.to_info_dict()

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h3><strong>def scope(self, cleanup: bool = True)</strong></h3></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h3><strong>def scope(self, cleanup: bool = True)</strong></h3></summary>

This helper method can be used with the context object to promote
        it to the current thread local (see :func:`get_current_context`).
        The default behavior of this is to invoke the cleanup functions which
        can be disabled by setting `cleanup` to `False`.  The cleanup
        functions are typically used for things such as closing file handles.

        If the cleanup is intended the context object can also be directly
        used as a context manager.

        Example usage::

            with ctx.scope():
                assert get_current_context() is ctx

        This is equivalent::

            with ctx:
                assert get_current_context() is ctx

        .. versionadded:: 5.0

        :param cleanup: controls if the cleanup functions should be run or
                        not.  The default is to run these functions.  In
                        some situations the context only wants to be
                        temporarily pushed in which case this can be disabled.
                        Nested pushes automatically defer the cleanup.

</details>

<details><summary><h3><strong>def meta(self)</strong></h3></summary>

This is a dictionary which is shared with all the contexts
        that are nested.  It exists so that click utilities can store some
        state here if they need to.  It is however the responsibility of
        that code to manage this dictionary well.

        The keys are supposed to be unique dotted strings.  For instance
        module paths are a good choice for it.  What is stored in there is
        irrelevant for the operation of click.  However what is important is
        that code that places data here adheres to the general semantics of
        the system.

        Example usage::

            LANG_KEY = f'{__name__}.lang'

            def set_language(value):
                ctx = get_current_context()
                ctx.meta[LANG_KEY] = value

            def get_language():
                return get_current_context().meta.get(LANG_KEY, 'en_US')

        .. versionadded:: 5.0

</details>

<details><summary><h3><strong>def set_language(value)</strong></h3></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h3><strong>def get_language()</strong></h3></summary>

return self._meta

    def make_formatter(self) -> HelpFormatter:

</details>

<details><summary><h3><strong>def make_formatter(self)</strong></h3></summary>

Creates the :class:`~click.HelpFormatter` for the help and
        usage output.

        To quickly customize the formatter class used without overriding
        this method, set the :attr:`formatter_class` attribute.

        .. versionchanged:: 8.0
            Added the :attr:`formatter_class` attribute.

</details>

<details><summary><h3><strong>def with_resource(self, context_manager: t.ContextManager[V])</strong></h3></summary>

Register a resource as if it were used in a ``with``
        statement. The resource will be cleaned up when the context is
        popped.

        Uses :meth:`contextlib.ExitStack.enter_context`. It calls the
        resource's ``__enter__()`` method and returns the result. When
        the context is popped, it closes the stack, which calls the
        resource's ``__exit__()`` method.

        To register a cleanup function for something that isn't a
        context manager, use :meth:`call_on_close`. Or use something
        from :mod:`contextlib` to turn it into a context manager first.

        .. code-block:: python

            @click.group()
            @click.option("--name")
            @click.pass_context
            def cli(ctx):
                ctx.obj = ctx.with_resource(connect_db(name))

        :param context_manager: The context manager to enter.
        :return: Whatever ``context_manager.__enter__()`` returns.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def cli(ctx)</strong></h3></summary>

return self._exit_stack.enter_context(context_manager)

    def call_on_close(self, f: t.Callable[..., t.Any]) -> t.Callable[..., t.Any]:

</details>

<details><summary><h3><strong>def call_on_close(self, f: t.Callable[..., t.Any])</strong></h3></summary>

Register a function to be called when the context tears down.

        This can be used to close resources opened during the script
        execution. Resources that support Python's context manager
        protocol which would be used in a ``with`` statement should be
        registered with :meth:`with_resource` instead.

        :param f: The function to execute on teardown.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Invoke all close callbacks registered with
        :meth:`call_on_close`, and exit all context managers entered
        with :meth:`with_resource`.

</details>

<details><summary><h3><strong>def command_path(self)</strong></h3></summary>

The computed command path.  This is used for the ``usage``
        information on the help page.  It's automatically created by
        combining the info names of the chain of contexts to the root.

</details>

<details><summary><h3><strong>def find_root(self)</strong></h3></summary>

Finds the outermost context.

</details>

<details><summary><h3><strong>def find_object(self, object_type: t.Type[V])</strong></h3></summary>

Finds the closest object of a given type.

</details>

<details><summary><h3><strong>def ensure_object(self, object_type: t.Type[V])</strong></h3></summary>

Like :meth:`find_object` but sets the innermost object to a
        new instance of `object_type` if it does not exist.

</details>

<details><summary><h3><strong>def lookup_default(self, name: str, call: bool = True)</strong></h3></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def lookup_default(self, name: str, call: bool = True)</strong></h3></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def lookup_default(self, name: str, call: bool = True)</strong></h3></summary>

Get the default for a parameter from :attr:`default_map`.

        :param name: Name of the parameter.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def fail(self, message: str)</strong></h3></summary>

Aborts the execution of the program with a specific error
        message.

        :param message: the error message to fail with.

</details>

<details><summary><h3><strong>def abort(self)</strong></h3></summary>

Aborts the script.

</details>

<details><summary><h3><strong>def exit(self, code: int = 0)</strong></h3></summary>

Exits the application with a given exit code.

</details>

<details><summary><h3><strong>def get_usage(self)</strong></h3></summary>

Helper method to get formatted usage string for the current
        context and command.

</details>

<details><summary><h3><strong>def get_help(self)</strong></h3></summary>

Helper method to get formatted help page for the current
        context and command.

</details>

<details><summary><h3><strong>def _make_sub_context(self, command: "Command")</strong></h3></summary>

Create a new context of the same type as this context, but
        for a new command.

        :meta private:

</details>

<details><summary><h3><strong>def set_parameter_source(self, name: str, source: ParameterSource)</strong></h3></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h3><strong>def set_parameter_source(self, name: str, source: ParameterSource)</strong></h3></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h3><strong>def set_parameter_source(self, name: str, source: ParameterSource)</strong></h3></summary>

Invokes a command callback in exactly the way it expects.  There
        are two ways to invoke this method:

        1.  the first argument can be a callback and all other arguments and
            keyword arguments are forwarded directly to the function.
        2.  the first argument is a click command object.  In that case all
            arguments are forwarded as well but proper click parameters
            (options and click arguments) must be keyword arguments and Click
            will fill in defaults.

        Note that before Click 3.2 keyword arguments were not properly filled
        in against the intention of this code and no context was created.  For
        more information about this change and why it was done in a bugfix
        release see :ref:`upgrade-to-3.2`.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if :meth:`forward` is called at multiple levels.

</details>

<details><summary><h3><strong>def set_parameter_source(self, name: str, source: ParameterSource)</strong></h3></summary>

Similar to :meth:`invoke` but fills in default keyword
        arguments from the current context if the other command expects
        it.  This cannot invoke callbacks directly, only other commands.

        .. versionchanged:: 8.0
            All ``kwargs`` are tracked in :attr:`params` so they will be
            passed if ``forward`` is called at multiple levels.

</details>

<details><summary><h3><strong>def set_parameter_source(self, name: str, source: ParameterSource)</strong></h3></summary>

Set the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        :param name: The name of the parameter.
        :param source: A member of :class:`~click.core.ParameterSource`.

</details>

<details><summary><h3><strong>def get_parameter_source(self, name: str)</strong></h3></summary>

Get the source of a parameter. This indicates the location
        from which the value of the parameter was obtained.

        This can be useful for determining when a user specified a value
        on the command line that is the same as the default value. It
        will be :attr:`~click.core.ParameterSource.DEFAULT` only if the
        value was actually taken from the default.

        :param name: The name of the parameter.
        :rtype: ParameterSource

        .. versionchanged:: 8.0
            Returns ``None`` if the parameter was not provided from any
            source.

</details>

<details><summary><h3><strong>def to_info_dict(self, ctx: Context)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self, ctx: Context)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation. This traverses the entire structure
        below this command.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        :param ctx: A :class:`Context` representing this command.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h3><strong>def get_usage(self, ctx: Context)</strong></h3></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h3><strong>def get_help(self, ctx: Context)</strong></h3></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h3><strong>def parse_args(self, ctx: Context, args: t.List[str])</strong></h3></summary>

This function when given an info name and arguments will kick
        off the parsing and create a new :class:`Context`.  It does not
        invoke the actual command callback though.

        To quickly customize the context class used without overriding
        this method, set the :attr:`context_class` attribute.

        :param info_name: the info name for this invocation.  Generally this
                          is the most descriptive name for the script or
                          command.  For the toplevel script it's usually
                          the name of the script, for commands below it's
                          the name of the command.
        :param args: the arguments to parse as list of strings.
        :param parent: the parent context if available.
        :param extra: extra keyword arguments forwarded to the context
                      constructor.

        .. versionchanged:: 8.0
            Added the :attr:`context_class` attribute.

</details>

<details><summary><h3><strong>def parse_args(self, ctx: Context, args: t.List[str])</strong></h3></summary>

Given a context and a list of arguments this creates the parser
        and parses the arguments, then modifies the context as necessary.
        This is automatically invoked by :meth:`make_context`.

</details>

<details><summary><h3><strong>def invoke(self, ctx: Context)</strong></h3></summary>

Given a context, this invokes the command.  The default
        implementation is raising a not implemented error.

</details>

<details><summary><h3><strong>def shell_complete(self, ctx: Context, incomplete: str)</strong></h3></summary>

Return a list of completions for the incomplete value. Looks
        at the names of chained multi-commands.

        Any command could be part of a chained multi-command, so sibling
        commands are valid at any point during command completion. Other
        command classes will return more completions.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __call__(self, *args: t.Any, **kwargs: t.Any)</strong></h3></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h3><strong>def __call__(self, *args: t.Any, **kwargs: t.Any)</strong></h3></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h3><strong>def __call__(self, *args: t.Any, **kwargs: t.Any)</strong></h3></summary>

This is the way to invoke a script with all the bells and
        whistles as a command line application.  This will always terminate
        the application after a call.  If this is not wanted, ``SystemExit``
        needs to be caught.

        This method is also available by directly calling the instance of
        a :class:`Command`.

        :param args: the arguments that should be used for parsing.  If not
                     provided, ``sys.argv[1:]`` is used.
        :param prog_name: the program name that should be used.  By default
                          the program name is constructed by taking the file
                          name from ``sys.argv[0]``.
        :param complete_var: the environment variable that controls the
                             bash completion support.  The default is
                             ``"_<prog_name>_COMPLETE"`` with prog_name in
                             uppercase.
        :param standalone_mode: the default behavior is to invoke the script
                                in standalone mode.  Click will then
                                handle exceptions and convert them into
                                error messages and the function will never
                                return but shut down the interpreter.  If
                                this is set to `False` they will be
                                propagated to the caller and the return
                                value of this function is the return value
                                of :meth:`invoke`.
        :param windows_expand_args: Expand glob patterns, user dir, and
            env vars in command line args on Windows.
        :param extra: extra keyword arguments are forwarded to the context
                      constructor.  See :class:`Context` for more information.

        .. versionchanged:: 8.0.1
            Added the ``windows_expand_args`` parameter to allow
            disabling command line arg expansion on Windows.

        .. versionchanged:: 8.0
            When taking arguments from ``sys.argv`` on Windows, glob
            patterns, user dir, and env vars are expanded.

        .. versionchanged:: 3.0
           Added the ``standalone_mode`` parameter.

</details>

<details><summary><h3><strong>def __call__(self, *args: t.Any, **kwargs: t.Any)</strong></h3></summary>

Check if the shell is asking for tab completion, process
        that, then exit early. Called from :meth:`main` before the
        program is invoked.

        :param prog_name: Name of the executable in the shell.
        :param complete_var: Name of the environment variable that holds
            the completion instruction. Defaults to
            ``_{PROG_NAME}_COMPLETE``.

        .. versionchanged:: 8.2.0
            Dots (``.``) in ``prog_name`` are replaced with underscores (``_``).

</details>

<details><summary><h3><strong>def __call__(self, *args: t.Any, **kwargs: t.Any)</strong></h3></summary>

Alias for :meth:`main`.

</details>

<details><summary><h3><strong>def to_info_dict(self, ctx: Context)</strong></h3></summary>

Formats the usage line into a string and returns it.

        Calls :meth:`format_usage` internally.

</details>

<details><summary><h3><strong>def to_info_dict(self, ctx: Context)</strong></h3></summary>

Formats the usage line into a string and returns it.

        Calls :meth:`format_usage` internally.

</details>

<details><summary><h3><strong>def get_usage(self, ctx: Context)</strong></h3></summary>

Formats the usage line into a string and returns it.

        Calls :meth:`format_usage` internally.

</details>

<details><summary><h3><strong>def get_params(self, ctx: Context)</strong></h3></summary>

Writes the usage line into the formatter.

        This is a low-level method called by :meth:`get_usage`.

</details>

<details><summary><h3><strong>def format_usage(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Writes the usage line into the formatter.

        This is a low-level method called by :meth:`get_usage`.

</details>

<details><summary><h3><strong>def collect_usage_pieces(self, ctx: Context)</strong></h3></summary>

Returns all the pieces that go into the usage line and returns
        it as a list of strings.

</details>

<details><summary><h3><strong>def get_help_option_names(self, ctx: Context)</strong></h3></summary>

Returns the names for the help option.

</details>

<details><summary><h3><strong>def get_help_option(self, ctx: Context)</strong></h3></summary>

Returns the help option object.

</details>

<details><summary><h3><strong>def show_help(ctx: Context, param: "Parameter", value: str)</strong></h3></summary>

Creates the underlying option parser for this command.

</details>

<details><summary><h3><strong>def make_parser(self, ctx: Context)</strong></h3></summary>

Creates the underlying option parser for this command.

</details>

<details><summary><h3><strong>def get_help(self, ctx: Context)</strong></h3></summary>

Formats the help into a string and returns it.

        Calls :meth:`format_help` internally.

</details>

<details><summary><h3><strong>def get_short_help_str(self, limit: int = 45)</strong></h3></summary>

Gets short help for the command or makes it by shortening the
        long help string.

</details>

<details><summary><h3><strong>def format_help(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Writes the help into the formatter if it exists.

        This is a low-level method called by :meth:`get_help`.

        This calls the following methods:

        -   :meth:`format_usage`
        -   :meth:`format_help_text`
        -   :meth:`format_options`
        -   :meth:`format_epilog`

</details>

<details><summary><h3><strong>def format_help_text(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Writes the help text to the formatter if it exists.

</details>

<details><summary><h3><strong>def format_options(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Writes all the options into the formatter if they exist.

</details>

<details><summary><h3><strong>def format_epilog(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Writes the epilog into the formatter if it exists.

</details>

<details><summary><h3><strong>def parse_args(self, ctx: Context, args: t.List[str])</strong></h3></summary>

Given a context, this invokes the attached callback (if it exists)
        in the right way.

</details>

<details><summary><h3><strong>def invoke(self, ctx: Context)</strong></h3></summary>

Given a context, this invokes the attached callback (if it exists)
        in the right way.

</details>

<details><summary><h3><strong>def shell_complete(self, ctx: Context, incomplete: str)</strong></h3></summary>

Return a list of completions for the incomplete value. Looks
        at the names of options and chained multi-commands.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self, ctx: Context)</strong></h3></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h3><strong>def to_info_dict(self, ctx: Context)</strong></h3></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h3><strong>def collect_usage_pieces(self, ctx: Context)</strong></h3></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h3><strong>def format_options(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h3><strong>def result_callback(self, replace: bool = False)</strong></h3></summary>

Adds a result callback to the command.  By default if a
        result callback is already registered this will chain them but
        this can be disabled with the `replace` parameter.  The result
        callback is invoked with the return value of the subcommand
        (or the list of return values from all subcommands if chaining
        is enabled) as well as the parameters as they would be passed
        to the main callback.

        Example::

            @click.group()
            @click.option('-i', '--input', default=23)
            def cli(input):
                return 42

            @cli.result_callback()
            def process_result(result, input):
                return result + input

        :param replace: if set to `True` an already existing result
                        callback will be removed.

        .. versionchanged:: 8.0
            Renamed from ``resultcallback``.

        .. versionadded:: 3.0

</details>

<details><summary><h3><strong>def cli(input)</strong></h3></summary>

def decorator(f: F) -> F:
            old_callback = self._result_callback

            if old_callback is None or replace:
                self._result_callback = f
                return f

            def function(__value, *args, **kwargs):  # type: ignore
                inner = old_callback(__value, *args, **kwargs)
                return f(inner, *args, **kwargs)

            self._result_callback = rv = update_wrapper(t.cast(F, function), f)
            return rv

        return decorator

    def format_commands(self, ctx: Context, formatter: HelpFormatter) -> None:

</details>

<details><summary><h3><strong>def process_result(result, input)</strong></h3></summary>

def decorator(f: F) -> F:
            old_callback = self._result_callback

            if old_callback is None or replace:
                self._result_callback = f
                return f

            def function(__value, *args, **kwargs):  # type: ignore
                inner = old_callback(__value, *args, **kwargs)
                return f(inner, *args, **kwargs)

            self._result_callback = rv = update_wrapper(t.cast(F, function), f)
            return rv

        return decorator

    def format_commands(self, ctx: Context, formatter: HelpFormatter) -> None:

</details>

<details><summary><h3><strong>def decorator(f: F)</strong></h3></summary>

Extra format methods for multi methods that adds all the commands
        after the options.

</details>

<details><summary><h3><strong>def function(__value, *args, **kwargs)</strong></h3></summary>

Extra format methods for multi methods that adds all the commands
        after the options.

</details>

<details><summary><h3><strong>def format_commands(self, ctx: Context, formatter: HelpFormatter)</strong></h3></summary>

Extra format methods for multi methods that adds all the commands
        after the options.

</details>

<details><summary><h3><strong>def parse_args(self, ctx: Context, args: t.List[str])</strong></h3></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h3><strong>def invoke(self, ctx: Context)</strong></h3></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h3><strong>def _process_result(value: t.Any)</strong></h3></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h3><strong>def get_command(self, ctx: Context, cmd_name: str)</strong></h3></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h3><strong>def get_command(self, ctx: Context, cmd_name: str)</strong></h3></summary>

Given a context and a command name, this returns a
        :class:`Command` object if it exists or returns `None`.

</details>

<details><summary><h3><strong>def list_commands(self, ctx: Context)</strong></h3></summary>

Returns a list of subcommand names in the order they should
        appear.

</details>

<details><summary><h3><strong>def shell_complete(self, ctx: Context, incomplete: str)</strong></h3></summary>

Return a list of completions for the incomplete value. Looks
        at the names of options, subcommands, and chained
        multi-commands.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def add_command(self, cmd: Command, name: t.Optional[str] = None)</strong></h3></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h3><strong>def add_command(self, cmd: Command, name: t.Optional[str] = None)</strong></h3></summary>

Registers another :class:`Command` with this group.  If the name
        is not provided, the name of the command is used.

</details>

<details><summary><h3><strong>def command(self, __func: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h3><strong>def decorator(f: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h3><strong>def decorator(f: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a command to
        the group. This takes the same arguments as :func:`command` and
        immediately registers the created command with this group by
        calling :meth:`add_command`.

        To customize the command class used, set the
        :attr:`command_class` attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`command_class` attribute.

</details>

<details><summary><h3><strong>def decorator(f: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h3><strong>def group(self, __func: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h3><strong>def decorator(f: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h3><strong>def decorator(f: t.Callable[..., t.Any])</strong></h3></summary>

A shortcut decorator for declaring and attaching a group to
        the group. This takes the same arguments as :func:`group` and
        immediately registers the created group with this group by
        calling :meth:`add_command`.

        To customize the group class used, set the :attr:`group_class`
        attribute.

        .. versionchanged:: 8.1
            This decorator can be applied without parentheses.

        .. versionchanged:: 8.0
            Added the :attr:`group_class` attribute.

</details>

<details><summary><h3><strong>def add_source(self, multi_cmd: MultiCommand)</strong></h3></summary>

Adds a new multi command to the chain dispatcher.

</details>

<details><summary><h3><strong>def add_source(self, multi_cmd: MultiCommand)</strong></h3></summary>

Adds a new multi command to the chain dispatcher.

</details>

<details><summary><h3><strong>def _check_iter(value: t.Any)</strong></h3></summary>

Check if the value is iterable but not a string. Raises a type
    error, or return an iterator over the value.

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Returns the human readable name of this parameter.  This is the
        same as the name for options, but the metavar for arguments.

</details>

<details><summary><h3><strong>def human_readable_name(self)</strong></h3></summary>

Returns the human readable name of this parameter.  This is the
        same as the name for options, but the metavar for arguments.

</details>

<details><summary><h3><strong>def human_readable_name(self)</strong></h3></summary>

Returns the human readable name of this parameter.  This is the
        same as the name for options, but the metavar for arguments.

</details>

<details><summary><h3><strong>def make_metavar(self)</strong></h3></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def add_to_parser(self, parser: OptionParser, ctx: Context)</strong></h3></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def add_to_parser(self, parser: OptionParser, ctx: Context)</strong></h3></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def add_to_parser(self, parser: OptionParser, ctx: Context)</strong></h3></summary>

Get the default for the parameter. Tries
        :meth:`Context.lookup_default` first, then the local default.

        :param ctx: Current context.
        :param call: If the default is a callable, call it. Disable to
            return the callable instead.

        .. versionchanged:: 8.0.2
            Type casting is no longer performed when getting a default.

        .. versionchanged:: 8.0.1
            Type casting can fail in resilient parsing mode. Invalid
            defaults will not prevent showing help text.

        .. versionchanged:: 8.0
            Looks at ``ctx.default_map`` first.

        .. versionchanged:: 8.0
            Added the ``call`` parameter.

</details>

<details><summary><h3><strong>def add_to_parser(self, parser: OptionParser, ctx: Context)</strong></h3></summary>

Convert and validate a value against the option's
        :attr:`type`, :attr:`multiple`, and :attr:`nargs`.

</details>

<details><summary><h3><strong>def type_cast_value(self, ctx: Context, value: t.Any)</strong></h3></summary>

Convert and validate a value against the option's
        :attr:`type`, :attr:`multiple`, and :attr:`nargs`.

</details>

<details><summary><h3><strong>def type_cast_value(self, ctx: Context, value: t.Any)</strong></h3></summary>

Convert and validate a value against the option's
        :attr:`type`, :attr:`multiple`, and :attr:`nargs`.

</details>

<details><summary><h3><strong>def check_iter(value: t.Any)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def convert(value: t.Any)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def convert(value: t.Any)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def convert(value: t.Any)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def value_is_missing(self, value: t.Any)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def process_value(self, ctx: Context, value: t.Any)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def resolve_envvar_value(self, ctx: Context)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def value_from_envvar(self, ctx: Context)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def get_help_record(self, ctx: Context)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def get_help_record(self, ctx: Context)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def get_usage_pieces(self, ctx: Context)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def get_error_hint(self, ctx: Context)</strong></h3></summary>

Get a stringified version of the param for use in error messages to
        indicate which param caused the error.

</details>

<details><summary><h3><strong>def shell_complete(self, ctx: Context, incomplete: str)</strong></h3></summary>

Return a list of completions for the incomplete value. If a
        ``shell_complete`` function was given during init, it is used.
        Otherwise, the :attr:`type`
        :meth:`~click.types.ParamType.shell_complete` function is used.

        :param ctx: Invocation context for this command.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def add_to_parser(self, parser: OptionParser, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def add_to_parser(self, parser: OptionParser, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def get_help_record(self, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def _write_opts(opts: t.Sequence[str])</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def prompt_for_value(self, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def prompt_for_value(self, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def prompt_for_value(self, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

<details><summary><h3><strong>def prompt_for_value(self, ctx: Context)</strong></h3></summary>

This is an alternative flow that can be activated in the full
        value processing if a value does not exist.  It will prompt the
        user until a valid value exists and then returns the processed
        value as result.

</details>

</details>


<details><summary><h2><strong> decorators.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def pass_context](#def-pass_context)
- [def pass_obj](#def-pass_obj)
- [def confirmation_option](#def-confirmation_option)
- [def password_option](#def-password_option)
- [def help_option](#def-help_option)
</details>

<details><summary><h3><strong>def pass_context(f: "t.Callable[te.Concatenate[Context, P], R]")</strong></h3></summary>

Marks a callback as wanting to receive the current context
    object as first argument.

</details>

<details><summary><h3><strong>def pass_obj(f: "t.Callable[te.Concatenate[t.Any, P], R]")</strong></h3></summary>

Similar to :func:`pass_context`, but only pass the object on the
    context onwards (:attr:`Context.obj`).  This is useful if that object
    represents the state of a nested system.

</details>

<details><summary><h3><strong>def confirmation_option(*param_decls: str, **kwargs: t.Any)</strong></h3></summary>

Add a ``--yes`` option which shows a prompt before continuing if
    not passed. If the prompt is declined, the program will exit.

    :param param_decls: One or more option names. Defaults to the single
        value ``"--yes"``.
    :param kwargs: Extra arguments are passed to :func:`option`.

</details>

<details><summary><h3><strong>def password_option(*param_decls: str, **kwargs: t.Any)</strong></h3></summary>

Add a ``--password`` option which prompts for a password, hiding
    input and asking to enter the value again for confirmation.

    :param param_decls: One or more option names. Defaults to the single
        value ``"--password"``.
    :param kwargs: Extra arguments are passed to :func:`option`.

</details>

<details><summary><h3><strong>def help_option(*param_decls: str, **kwargs: t.Any)</strong></h3></summary>

Add a ``--help`` option which immediately prints the help page
    and exits the program.

    This is usually unnecessary, as the ``--help`` option is added to
    each command automatically unless ``add_help_option=False`` is
    passed.

    :param param_decls: One or more option names. Defaults to the single
        value ``"--help"``.
    :param kwargs: Extra arguments are passed to :func:`option`.

</details>

</details>


<details><summary><h2><strong> exceptions.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ClickException](#class-clickexception)
- [class UsageError](#class-usageerror)
- [class BadParameter](#class-badparameter)
- [class MissingParameter](#class-missingparameter)
- [class NoSuchOption](#class-nosuchoption)
- [class BadOptionUsage](#class-badoptionusage)
- [class BadArgumentUsage](#class-badargumentusage)
- [class FileError](#class-fileerror)
- [class Abort](#class-abort)
- [class Exit](#class-exit)
</details>

<details><summary><h3><strong>class ClickException</strong></h3></summary>

An exception that Click can handle and show to the user.

</details>

<details><summary><h3><strong>class UsageError</strong></h3></summary>

An internal exception that signals a usage error.  This typically
    aborts any further handling.

    :param message: the error message to display.
    :param ctx: optionally the context that caused this error.  Click will
                fill in the context automatically in some situations.

</details>

<details><summary><h3><strong>class BadParameter</strong></h3></summary>

An exception that formats out a standardized error message for a
    bad parameter.  This is useful when thrown from a callback or type as
    Click will attach contextual information to it (for instance, which
    parameter it is).

    .. versionadded:: 2.0

    :param param: the parameter object that caused this error.  This can
                  be left out, and Click will attach this info itself
                  if possible.
    :param param_hint: a string that shows up as parameter name.  This
                       can be used as alternative to `param` in cases
                       where custom validation should happen.  If it is
                       a string it's used as such, if it's a list then
                       each item is quoted and separated.

</details>

<details><summary><h3><strong>class MissingParameter</strong></h3></summary>

Raised if click required an option or argument but it was not
    provided when invoking the script.

    .. versionadded:: 4.0

    :param param_type: a string that indicates the type of the parameter.
                       The default is to inherit the parameter type from
                       the given `param`.  Valid values are ``'parameter'``,
                       ``'option'`` or ``'argument'``.

</details>

<details><summary><h3><strong>class NoSuchOption</strong></h3></summary>

Raised if click attempted to handle an option that does not
    exist.

    .. versionadded:: 4.0

</details>

<details><summary><h3><strong>class BadOptionUsage</strong></h3></summary>

Raised if an option is generally supplied but the use of the option
    was incorrect.  This is for instance raised if the number of arguments
    for an option is not correct.

    .. versionadded:: 4.0

    :param option_name: the name of the option being used incorrectly.

</details>

<details><summary><h3><strong>class BadArgumentUsage</strong></h3></summary>

Raised if an argument is generally supplied but the use of the argument
    was incorrect.  This is for instance raised if the number of values
    for an argument is not correct.

    .. versionadded:: 6.0

</details>

<details><summary><h3><strong>class FileError</strong></h3></summary>

Raised if a file cannot be opened.

</details>

<details><summary><h3><strong>class Abort</strong></h3></summary>

An internal signalling exception that signals Click to abort.

</details>

<details><summary><h3><strong>class Exit</strong></h3></summary>

An exception that indicates that the application should exit with some
    status code.

    :param code: the status code to exit with.

</details>

</details>


<details><summary><h2><strong> formatting.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class HelpFormatter](#class-helpformatter)
- [class helps](#class-helps)
- [def __init__](#def-__init__)
- [def write](#def-write)
- [def indent](#def-indent)
- [def dedent](#def-dedent)
- [def write_usage](#def-write_usage)
- [def write_heading](#def-write_heading)
- [def write_paragraph](#def-write_paragraph)
- [def write_text](#def-write_text)
- [def write_dl](#def-write_dl)
- [def section](#def-section)
- [def indentation](#def-indentation)
- [def getvalue](#def-getvalue)
- [def join_options](#def-join_options)
</details>

<details><summary><h3><strong>class HelpFormatter</strong></h3></summary>

This class helps with formatting text-based help pages.  It's
    usually just needed for very special internal cases, but it's also
    exposed so that developers can write their own fancy outputs.

    At present, it always writes into memory.

    :param indent_increment: the additional increment for each level.
    :param width: the width for the text.  This defaults to the terminal
                  width clamped to a maximum of 78.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Writes a unicode string into the internal buffer.

</details>

<details><summary><h4><strong>def write</strong></h4></summary>

Writes a unicode string into the internal buffer.

</details>

<details><summary><h4><strong>def indent</strong></h4></summary>

Increases the indentation.

</details>

<details><summary><h4><strong>def dedent</strong></h4></summary>

Decreases the indentation.

</details>

<details><summary><h4><strong>def write_usage</strong></h4></summary>

Writes a usage line into the buffer.

        :param prog: the program name.
        :param args: whitespace separated list of arguments.
        :param prefix: The prefix for the first line. Defaults to
            ``"Usage: "``.

</details>

<details><summary><h4><strong>def write_heading</strong></h4></summary>

Writes a heading into the buffer.

</details>

<details><summary><h4><strong>def write_paragraph</strong></h4></summary>

Writes a paragraph into the buffer.

</details>

<details><summary><h4><strong>def write_text</strong></h4></summary>

Writes re-indented text into the buffer.  This rewraps and
        preserves paragraphs.

</details>

<details><summary><h4><strong>def write_dl</strong></h4></summary>

Writes a definition list into the buffer.  This is how options
        and commands are usually formatted.

        :param rows: a list of two item tuples for the terms and values.
        :param col_max: the maximum width of the first column.
        :param col_spacing: the number of spaces between the first and
                            second column.

</details>

<details><summary><h4><strong>def section</strong></h4></summary>

Helpful context manager that writes a paragraph, a heading,
        and the indents.

        :param name: the section name that is written as heading.

</details>

<details><summary><h4><strong>def indentation</strong></h4></summary>

A context manager that increases the indentation.

</details>

<details><summary><h4><strong>def getvalue</strong></h4></summary>

Returns the buffer contents.

</details>

</details>

<details><summary><h3><strong>class helps</strong></h3></summary>

def __init__(
        self,
        indent_increment: int = 2,
        width: t.Optional[int] = None,
        max_width: t.Optional[int] = None,
    ) -> None:
        import shutil

        self.indent_increment = indent_increment
        if max_width is None:
            max_width = 80
        if width is None:
            width = FORCED_WIDTH
            if width is None:
                width = max(min(shutil.get_terminal_size().columns, max_width) - 2, 50)
        self.width = width
        self.current_indent = 0
        self.buffer: t.List[str] = []

    def write(self, string: str) -> None:

<p><strong>Key features</strong></p>

<ul>
<li>2, 50)</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Writes a unicode string into the internal buffer.

</details>

<details><summary><h4><strong>def write</strong></h4></summary>

Writes a unicode string into the internal buffer.

</details>

<details><summary><h4><strong>def indent</strong></h4></summary>

Increases the indentation.

</details>

<details><summary><h4><strong>def dedent</strong></h4></summary>

Decreases the indentation.

</details>

<details><summary><h4><strong>def write_usage</strong></h4></summary>

Writes a usage line into the buffer.

        :param prog: the program name.
        :param args: whitespace separated list of arguments.
        :param prefix: The prefix for the first line. Defaults to
            ``"Usage: "``.

</details>

<details><summary><h4><strong>def write_heading</strong></h4></summary>

Writes a heading into the buffer.

</details>

<details><summary><h4><strong>def write_paragraph</strong></h4></summary>

Writes a paragraph into the buffer.

</details>

<details><summary><h4><strong>def write_text</strong></h4></summary>

Writes re-indented text into the buffer.  This rewraps and
        preserves paragraphs.

</details>

<details><summary><h4><strong>def write_dl</strong></h4></summary>

Writes a definition list into the buffer.  This is how options
        and commands are usually formatted.

        :param rows: a list of two item tuples for the terms and values.
        :param col_max: the maximum width of the first column.
        :param col_spacing: the number of spaces between the first and
                            second column.

</details>

<details><summary><h4><strong>def section</strong></h4></summary>

Helpful context manager that writes a paragraph, a heading,
        and the indents.

        :param name: the section name that is written as heading.

</details>

<details><summary><h4><strong>def indentation</strong></h4></summary>

A context manager that increases the indentation.

</details>

<details><summary><h4><strong>def getvalue</strong></h4></summary>

Returns the buffer contents.

</details>

</details>

<details><summary><h3><strong>def write(self, string: str)</strong></h3></summary>

Writes a unicode string into the internal buffer.

</details>

<details><summary><h3><strong>def write(self, string: str)</strong></h3></summary>

Writes a unicode string into the internal buffer.

</details>

<details><summary><h3><strong>def indent(self)</strong></h3></summary>

Increases the indentation.

</details>

<details><summary><h3><strong>def dedent(self)</strong></h3></summary>

Decreases the indentation.

</details>

<details><summary><h3><strong>def write_heading(self, heading: str)</strong></h3></summary>

Writes a usage line into the buffer.

        :param prog: the program name.
        :param args: whitespace separated list of arguments.
        :param prefix: The prefix for the first line. Defaults to
            ``"Usage: "``.

</details>

<details><summary><h3><strong>def write_heading(self, heading: str)</strong></h3></summary>

Writes a heading into the buffer.

</details>

<details><summary><h3><strong>def write_paragraph(self)</strong></h3></summary>

Writes a paragraph into the buffer.

</details>

<details><summary><h3><strong>def write_text(self, text: str)</strong></h3></summary>

Writes re-indented text into the buffer.  This rewraps and
        preserves paragraphs.

</details>

<details><summary><h3><strong>def section(self, name: str)</strong></h3></summary>

Writes a definition list into the buffer.  This is how options
        and commands are usually formatted.

        :param rows: a list of two item tuples for the terms and values.
        :param col_max: the maximum width of the first column.
        :param col_spacing: the number of spaces between the first and
                            second column.

</details>

<details><summary><h3><strong>def section(self, name: str)</strong></h3></summary>

Helpful context manager that writes a paragraph, a heading,
        and the indents.

        :param name: the section name that is written as heading.

</details>

<details><summary><h3><strong>def indentation(self)</strong></h3></summary>

A context manager that increases the indentation.

</details>

<details><summary><h3><strong>def getvalue(self)</strong></h3></summary>

Returns the buffer contents.

</details>

<details><summary><h3><strong>def join_options(options: t.Sequence[str])</strong></h3></summary>

Given a list of option strings this joins them in the most appropriate
    way and returns them in the form ``(formatted_string,
    any_prefix_is_slash)`` where the second item in the tuple is a flag that
    indicates if any of the option prefixes was a slash.

</details>

</details>


<details><summary><h2><strong> globals.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def get_current_context](#def-get_current_context)
- [def push_context](#def-push_context)
- [def pop_context](#def-pop_context)
- [def resolve_color_default](#def-resolve_color_default)
</details>

<details><summary><h3><strong>def get_current_context(silent: bool = False)</strong></h3></summary>

Returns the current click context.  This can be used as a way to
    access the current context object from anywhere.  This is a more implicit
    alternative to the :func:`pass_context` decorator.  This function is
    primarily useful for helpers such as :func:`echo` which might be
    interested in changing its behavior based on the current context.

    To push the current context, :meth:`Context.scope` can be used.

    .. versionadded:: 5.0

    :param silent: if set to `True` the return value is `None` if no context
                   is available.  The default behavior is to raise a
                   :exc:`RuntimeError`.

</details>

<details><summary><h3><strong>def push_context(ctx: "Context")</strong></h3></summary>

Pushes a new context to the current stack.

</details>

<details><summary><h3><strong>def pop_context()</strong></h3></summary>

Removes the top level from the stack.

</details>

<details><summary><h3><strong>def resolve_color_default(color: t.Optional[bool] = None)</strong></h3></summary>

Internal helper to get the default value of the color flag.  If a
    value is passed it's returned unchanged, otherwise it's looked up from
    the current context.

</details>

</details>


<details><summary><h2><strong> parser.py</strong></h2></summary>

This module started out as largely a copy paste from the stdlib's
optparse module with the features removed that we do not need from
optparse because we implement them in Click on a higher level (for
instance type handling, help formatting and a lot more).

The plan is to remove more and more from here over time.

The reason this is a different module and not optparse from the stdlib
is that there are differences in 2.x and 3.x about the error messages
generated and optparse in the stdlib uses gettext for no good reason
and might cause us issues.

Click uses parts of optparse written by Gregory P. Ward and maintained
by the Python Software Foundation. This is limited to code in parser.py.

Copyright 2001-2006 Gregory P. Ward. All rights reserved.
Copyright 2002-2006 Python Software Foundation. All rights reserved.

<details open><summary><h3>Contents</h3></summary>

- [class OptionParser](#class-optionparser)
- [class that](#class-that)
- [def split_arg_string](#def-split_arg_string)
- [def __init__](#def-__init__)
- [def add_option](#def-add_option)
- [def add_argument](#def-add_argument)
- [def parse_args](#def-parse_args)
</details>

<details><summary><h3><strong>class OptionParser</strong></h3></summary>

The option parser is an internal class that is ultimately used to
    parse options and arguments.  It's modelled after optparse and brings
    a similar but vastly simplified API.  It should generally not be used
    directly as the high level Click classes wrap it for you.

    It's not nearly as extensible as optparse or argparse as it does not
    implement features that are implemented on a higher level (such as
    types or defaults).

    :param ctx: optionally the :class:`~click.Context` where this parser
                should go with.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Adds a new option named `dest` to the parser.  The destination
        is not inferred (unlike with optparse) and needs to be explicitly
        provided.  Action can be any of ``store``, ``store_const``,
        ``append``, ``append_const`` or ``count``.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h4><strong>def add_option</strong></h4></summary>

Adds a new option named `dest` to the parser.  The destination
        is not inferred (unlike with optparse) and needs to be explicitly
        provided.  Action can be any of ``store``, ``store_const``,
        ``append``, ``append_const`` or ``count``.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h4><strong>def add_argument</strong></h4></summary>

Adds a positional argument named `dest` to the parser.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Parses positional arguments and returns ``(values, args, order)``
        for the parsed options and arguments as well as the leftover
        arguments if there are any.  The order is a list of objects as they
        appear on the command line.  If arguments appear multiple times they
        will be memorized multiple times as well.

</details>

</details>

<details><summary><h3><strong>class that</strong></h3></summary>

def __init__(self, ctx: t.Optional["Context"] = None) -> None:
        #: The :class:`~click.Context` for this parser.  This might be
        #: `None` for some advanced use cases.
        self.ctx = ctx
        #: This controls how the parser deals with interspersed arguments.
        #: If this is set to `False`, the parser will stop on the first
        #: non-option.  Click uses this to implement nested subcommands
        #: safely.
        self.allow_interspersed_args: bool = True
        #: This tells the parser how to deal with unknown options.  By
        #: default it will error out (which is sensible), but there is a
        #: second mode where it will ignore it and continue processing
        #: after shifting all the unknown options into the resulting args.
        self.ignore_unknown_options: bool = False

        if ctx is not None:
            self.allow_interspersed_args = ctx.allow_interspersed_args
            self.ignore_unknown_options = ctx.ignore_unknown_options

        self._short_opt: t.Dict[str, Option] = {}
        self._long_opt: t.Dict[str, Option] = {}
        self._opt_prefixes = {"-", "--"}
        self._args: t.List[Argument] = []

    def add_option(
        self,
        obj: "CoreOption",
        opts: t.Sequence[str],
        dest: t.Optional[str],
        action: t.Optional[str] = None,
        nargs: int = 1,
        const: t.Optional[t.Any] = None,
    ) -> None:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Adds a new option named `dest` to the parser.  The destination
        is not inferred (unlike with optparse) and needs to be explicitly
        provided.  Action can be any of ``store``, ``store_const``,
        ``append``, ``append_const`` or ``count``.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h4><strong>def add_option</strong></h4></summary>

Adds a new option named `dest` to the parser.  The destination
        is not inferred (unlike with optparse) and needs to be explicitly
        provided.  Action can be any of ``store``, ``store_const``,
        ``append``, ``append_const`` or ``count``.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h4><strong>def add_argument</strong></h4></summary>

Adds a positional argument named `dest` to the parser.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h4><strong>def parse_args</strong></h4></summary>

Parses positional arguments and returns ``(values, args, order)``
        for the parsed options and arguments as well as the leftover
        arguments if there are any.  The order is a list of objects as they
        appear on the command line.  If arguments appear multiple times they
        will be memorized multiple times as well.

</details>

</details>

<details><summary><h3><strong>def split_arg_string(string: str)</strong></h3></summary>

Split an argument string as with :func:`shlex.split`, but don't
    fail if the string is incomplete. Ignores a missing closing quote or
    incomplete escape sequence and uses the partial token as-is.

    .. code-block:: python

        split_arg_string("example 'my file")
        ["example", "my file"]

        split_arg_string("example my\\")
        ["example", "my"]

    :param string: String to split.

</details>

<details><summary><h3><strong>def __init__(self, ctx: t.Optional["Context"] = None)</strong></h3></summary>

Adds a new option named `dest` to the parser.  The destination
        is not inferred (unlike with optparse) and needs to be explicitly
        provided.  Action can be any of ``store``, ``store_const``,
        ``append``, ``append_const`` or ``count``.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h3><strong>def _process_args_for_args(self, state: ParsingState)</strong></h3></summary>

Adds a new option named `dest` to the parser.  The destination
        is not inferred (unlike with optparse) and needs to be explicitly
        provided.  Action can be any of ``store``, ``store_const``,
        ``append``, ``append_const`` or ``count``.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h3><strong>def _process_args_for_args(self, state: ParsingState)</strong></h3></summary>

Adds a positional argument named `dest` to the parser.

        The `obj` can be used to identify the option in the order list
        that is returned from the parser.

</details>

<details><summary><h3><strong>def _process_args_for_args(self, state: ParsingState)</strong></h3></summary>

Parses positional arguments and returns ``(values, args, order)``
        for the parsed options and arguments as well as the leftover
        arguments if there are any.  The order is a list of objects as they
        appear on the command line.  If arguments appear multiple times they
        will be memorized multiple times as well.

</details>

</details>


<details><summary><h2><strong> shell_completion.py</strong></h2></summary>

_SOURCE_ZSH =

<details open><summary><h3>Contents</h3></summary>

- [class CompletionItem](#class-completionitem)
- [class ShellComplete](#class-shellcomplete)
- [class for](#class-for)
- [class BashComplete](#class-bashcomplete)
- [class ZshComplete](#class-zshcomplete)
- [class FishComplete](#class-fishcomplete)
- [def __init__](#def-__init__)
- [def func_name](#def-func_name)
- [def source_vars](#def-source_vars)
- [def source](#def-source)
- [def get_completion_args](#def-get_completion_args)
- [def get_completions](#def-get_completions)
- [def format_completion](#def-format_completion)
- [def complete](#def-complete)
- [def get_completion_class](#def-get_completion_class)
- [def _is_incomplete_argument](#def-_is_incomplete_argument)
- [def _start_of_option](#def-_start_of_option)
- [def _is_incomplete_option](#def-_is_incomplete_option)
</details>

<details><summary><h3><strong>class CompletionItem</strong></h3></summary>

Represents a completion value and metadata about the value. The
    default metadata is ``type`` to indicate special shell handling,
    and ``help`` if a shell supports showing a help string next to the
    value.

    Arbitrary parameters can be passed when creating the object, and
    accessed using ``item.attr``. If an attribute wasn't passed,
    accessing it returns ``None``.

    :param value: The completion suggestion.
    :param type: Tells the shell script to provide special completion
        support for the type. Click uses ``"dir"`` and ``"file"``.
    :param help: String shown next to the value if supported.
    :param kwargs: Arbitrary metadata. The built-in implementations
        don't use this, but custom type completions paired with custom
        shell support could use it.

</details>

<details><summary><h3><strong>class ShellComplete</strong></h3></summary>

Base class for providing shell completion support. A subclass for
    a given shell will override attributes and methods to implement the
    completion instructions (``source`` and ``complete``).

    :param cli: Command being called.
    :param prog_name: Name of the executable in the shell.
    :param complete_var: Name of the environment variable that holds
        the completion instruction.

    .. versionadded:: 8.0

<details><summary><h4><strong>def __init__</strong></h4></summary>

The name of the shell function defined by the completion
        script.

</details>

<details><summary><h4><strong>def func_name</strong></h4></summary>

The name of the shell function defined by the completion
        script.

</details>

<details><summary><h4><strong>def source_vars</strong></h4></summary>

Vars for formatting :attr:`source_template`.

        By default this provides ``complete_func``, ``complete_var``,
        and ``prog_name``.

</details>

<details><summary><h4><strong>def source</strong></h4></summary>

Produce the shell script that defines the completion
        function. By default this ``%``-style formats
        :attr:`source_template` with the dict returned by
        :meth:`source_vars`.

</details>

<details><summary><h4><strong>def get_completion_args</strong></h4></summary>

Use the env vars defined by the shell script to return a
        tuple of ``args, incomplete``. This must be implemented by
        subclasses.

</details>

<details><summary><h4><strong>def get_completions</strong></h4></summary>

Determine the context and last complete command or parameter
        from the complete args. Call that object's ``shell_complete``
        method to get the completions for the incomplete value.

        :param args: List of complete args before the incomplete value.
        :param incomplete: Value being completed. May be empty.

</details>

<details><summary><h4><strong>def format_completion</strong></h4></summary>

Format a completion item into the form recognized by the
        shell script. This must be implemented by subclasses.

        :param item: Completion item to format.

</details>

<details><summary><h4><strong>def complete</strong></h4></summary>

Produce the completion data to send back to the shell.

        By default this calls :meth:`get_completion_args`, gets the
        completions, then calls :meth:`format_completion` for each
        completion.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

name: t.ClassVar[str]

<details><summary><h4><strong>def __init__</strong></h4></summary>

The name of the shell function defined by the completion
        script.

</details>

<details><summary><h4><strong>def func_name</strong></h4></summary>

The name of the shell function defined by the completion
        script.

</details>

<details><summary><h4><strong>def source_vars</strong></h4></summary>

Vars for formatting :attr:`source_template`.

        By default this provides ``complete_func``, ``complete_var``,
        and ``prog_name``.

</details>

<details><summary><h4><strong>def source</strong></h4></summary>

Produce the shell script that defines the completion
        function. By default this ``%``-style formats
        :attr:`source_template` with the dict returned by
        :meth:`source_vars`.

</details>

<details><summary><h4><strong>def get_completion_args</strong></h4></summary>

Use the env vars defined by the shell script to return a
        tuple of ``args, incomplete``. This must be implemented by
        subclasses.

</details>

<details><summary><h4><strong>def get_completions</strong></h4></summary>

Determine the context and last complete command or parameter
        from the complete args. Call that object's ``shell_complete``
        method to get the completions for the incomplete value.

        :param args: List of complete args before the incomplete value.
        :param incomplete: Value being completed. May be empty.

</details>

<details><summary><h4><strong>def format_completion</strong></h4></summary>

Format a completion item into the form recognized by the
        shell script. This must be implemented by subclasses.

        :param item: Completion item to format.

</details>

<details><summary><h4><strong>def complete</strong></h4></summary>

Produce the completion data to send back to the shell.

        By default this calls :meth:`get_completion_args`, gets the
        completions, then calls :meth:`format_completion` for each
        completion.

</details>

</details>

<details><summary><h3><strong>class BashComplete</strong></h3></summary>

Shell completion for Bash.

</details>

<details><summary><h3><strong>class ZshComplete</strong></h3></summary>

Shell completion for Zsh.

</details>

<details><summary><h3><strong>class FishComplete</strong></h3></summary>

Shell completion for Fish.

</details>

<details><summary><h3><strong>def func_name(self)</strong></h3></summary>

The name of the shell function defined by the completion
        script.

</details>

<details><summary><h3><strong>def func_name(self)</strong></h3></summary>

The name of the shell function defined by the completion
        script.

</details>

<details><summary><h3><strong>def source_vars(self)</strong></h3></summary>

Vars for formatting :attr:`source_template`.

        By default this provides ``complete_func``, ``complete_var``,
        and ``prog_name``.

</details>

<details><summary><h3><strong>def source(self)</strong></h3></summary>

Produce the shell script that defines the completion
        function. By default this ``%``-style formats
        :attr:`source_template` with the dict returned by
        :meth:`source_vars`.

</details>

<details><summary><h3><strong>def get_completion_args(self)</strong></h3></summary>

Use the env vars defined by the shell script to return a
        tuple of ``args, incomplete``. This must be implemented by
        subclasses.

</details>

<details><summary><h3><strong>def format_completion(self, item: CompletionItem)</strong></h3></summary>

Determine the context and last complete command or parameter
        from the complete args. Call that object's ``shell_complete``
        method to get the completions for the incomplete value.

        :param args: List of complete args before the incomplete value.
        :param incomplete: Value being completed. May be empty.

</details>

<details><summary><h3><strong>def format_completion(self, item: CompletionItem)</strong></h3></summary>

Format a completion item into the form recognized by the
        shell script. This must be implemented by subclasses.

        :param item: Completion item to format.

</details>

<details><summary><h3><strong>def complete(self)</strong></h3></summary>

Produce the completion data to send back to the shell.

        By default this calls :meth:`get_completion_args`, gets the
        completions, then calls :meth:`format_completion` for each
        completion.

</details>

<details><summary><h3><strong>def get_completion_class(shell: str)</strong></h3></summary>

Look up a registered :class:`ShellComplete` subclass by the name
    provided by the completion instruction environment variable. If the
    name isn't registered, returns ``None``.

    :param shell: Name the class is registered under.

</details>

<details><summary><h3><strong>def _is_incomplete_argument(ctx: Context, param: Parameter)</strong></h3></summary>

Determine if the given parameter is an argument that can still
    accept values.

    :param ctx: Invocation context for the command represented by the
        parsed complete args.
    :param param: Argument object being checked.

</details>

<details><summary><h3><strong>def _start_of_option(ctx: Context, value: str)</strong></h3></summary>

Check if the value looks like the start of an option.

</details>

<details><summary><h3><strong>def _is_incomplete_option(ctx: Context, args: t.List[str], param: Parameter)</strong></h3></summary>

Determine if the given parameter is an option that needs a value.

    :param args: List of complete args before the incomplete value.
    :param param: Option object being checked.

</details>

</details>


<details><summary><h2><strong> termui.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def clear](#def-clear)
- [def unstyle](#def-unstyle)
- [def launch](#def-launch)
- [def getchar](#def-getchar)
- [def pause](#def-pause)
</details>

<details><summary><h3><strong>def clear()</strong></h3></summary>

Clears the terminal screen.  This will have the effect of clearing
    the whole visible space of the terminal and moving the cursor to the
    top left.  This does not do anything if not connected to a terminal.

    .. versionadded:: 2.0

</details>

<details><summary><h3><strong>def unstyle(text: str)</strong></h3></summary>

Removes ANSI styling information from a string.  Usually it's not
    necessary to use this function as Click's echo function will
    automatically remove styling if necessary.

    .. versionadded:: 2.0

    :param text: the text to remove style information from.

</details>

<details><summary><h3><strong>def launch(url: str, wait: bool = False, locate: bool = False)</strong></h3></summary>

This function launches the given URL (or filename) in the default
    viewer application for this file type.  If this is an executable, it
    might launch the executable in a new session.  The return value is
    the exit code of the launched application.  Usually, ``0`` indicates
    success.

<p><strong>Usage example</strong></p>

<pre><code>
:
click.launch('https://click.palletsprojects.com/')
click.launch('/my/downloaded/file', locate=True)
.. versionadded:: 2.0
:param url: URL or filename of the thing to launch.
:param wait: Wait for the program to exit before returning. This
only works if the launched program blocks. In particular,
``xdg-open`` on Linux does not block.
:param locate: if this is set to `True` then instead of launching the
application associated with the URL it will attempt to
launch a file manager with the file located.  This
might have weird effects if the URL does not point to
the filesystem.
</code></pre>
</details>

<details><summary><h3><strong>def getchar(echo: bool = False)</strong></h3></summary>

Fetches a single character from the terminal and returns it.  This
    will always return a unicode character and under certain rare
    circumstances this might return more than one character.  The
    situations which more than one character is returned is when for
    whatever reason multiple characters end up in the terminal buffer or
    standard input was not actually a terminal.

    Note that this will always read from the terminal, even if something
    is piped into the standard input.

    Note for Windows: in rare cases when typing non-ASCII characters, this
    function might wait for a second character and then return both at once.
    This is because certain Unicode characters look like special-key markers.

    .. versionadded:: 2.0

    :param echo: if set to `True`, the character read will also show up on
                 the terminal.  The default is to not show it.

</details>

<details><summary><h3><strong>def pause(info: t.Optional[str] = None, err: bool = False)</strong></h3></summary>

This command stops execution and waits for the user to press any
    key to continue.  This is similar to the Windows batch "pause"
    command.  If the program is not run through a terminal, this command
    will instead do nothing.

    .. versionadded:: 2.0

    .. versionadded:: 4.0
       Added the `err` parameter.

    :param info: The message to print before pausing. Defaults to
        ``"Press any key to continue..."``.
    :param err: if set to message goes to ``stderr`` instead of
                ``stdout``, the same as with echo.

</details>

</details>


<details><summary><h2><strong> testing.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Result](#class-result)
- [class CliRunner](#class-clirunner)
- [def __init__](#def-__init__)
- [def output](#def-output)
- [def stdout](#def-stdout)
- [def stderr](#def-stderr)
- [def __init__](#def-__init__)
- [def get_default_prog_name](#def-get_default_prog_name)
- [def make_env](#def-make_env)
- [def isolation](#def-isolation)
- [def visible_input](#def-visible_input)
- [def hidden_input](#def-hidden_input)
- [def _getchar](#def-_getchar)
- [def should_strip_ansi](#def-should_strip_ansi)
- [def invoke](#def-invoke)
- [def isolated_filesystem](#def-isolated_filesystem)
</details>

<details><summary><h3><strong>class Result</strong></h3></summary>

Holds the captured result of an invoked CLI script.

<details><summary><h4><strong>def __init__</strong></h4></summary>

The (standard) output as unicode string.

</details>

<details><summary><h4><strong>def output</strong></h4></summary>

The (standard) output as unicode string.

</details>

<details><summary><h4><strong>def stdout</strong></h4></summary>

The standard output as unicode string.

</details>

<details><summary><h4><strong>def stderr</strong></h4></summary>

The standard error as unicode string.

</details>

</details>

<details><summary><h3><strong>class CliRunner</strong></h3></summary>

The CLI runner provides functionality to invoke a Click command line
    script for unittesting purposes in a isolated environment.  This only
    works in single-threaded systems without any concurrency as it changes the
    global interpreter state.

    :param charset: the character set for the input and output data.
    :param env: a dictionary with environment variables for overriding.
    :param echo_stdin: if this is set to `True`, then reading from stdin writes
                       to stdout.  This is useful for showing examples in
                       some circumstances.  Note that regular prompts
                       will automatically echo the input.
    :param mix_stderr: if this is set to `False`, then stdout and stderr are
                       preserved as independent streams.  This is useful for
                       Unix-philosophy apps that have predictable stdout and
                       noisy stderr, such that each may be measured
                       independently

<details><summary><h4><strong>def __init__</strong></h4></summary>

Given a command object it will return the default program name
        for it.  The default is the `name` attribute or ``"root"`` if not
        set.

</details>

<details><summary><h4><strong>def get_default_prog_name</strong></h4></summary>

Given a command object it will return the default program name
        for it.  The default is the `name` attribute or ``"root"`` if not
        set.

</details>

<details><summary><h4><strong>def make_env</strong></h4></summary>

Returns the environment overrides for invoking a script.

</details>

<details><summary><h4><strong>def isolation</strong></h4></summary>

A context manager that sets up the isolation for invoking of a
        command line tool.  This sets up stdin with the given input data
        and `os.environ` with the overrides from the given dictionary.
        This also rebinds some internals in Click to be mocked (like the
        prompt functionality).

        This is automatically done in the :meth:`invoke` method.

        :param input: the input stream to put into sys.stdin.
        :param env: the environment overrides as dictionary.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            ``stderr`` is opened with ``errors="backslashreplace"``
            instead of the default ``"strict"``.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

</details>

<details><summary><h4><strong>def visible_input</strong></h4></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h4><strong>def hidden_input</strong></h4></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h4><strong>def _getchar</strong></h4></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h4><strong>def should_strip_ansi</strong></h4></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h4><strong>def invoke</strong></h4></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h4><strong>def isolated_filesystem</strong></h4></summary>

A context manager that creates a temporary directory and
        changes the current working directory to it. This isolates tests
        that affect the contents of the CWD to prevent them from
        interfering with each other.

        :param temp_dir: Create the temporary directory under this
            directory. If given, the created directory is not removed
            when exiting.

        .. versionchanged:: 8.0
            Added the ``temp_dir`` parameter.

</details>

</details>

<details><summary><h3><strong>def output(self)</strong></h3></summary>

The (standard) output as unicode string.

</details>

<details><summary><h3><strong>def output(self)</strong></h3></summary>

The (standard) output as unicode string.

</details>

<details><summary><h3><strong>def stdout(self)</strong></h3></summary>

The standard output as unicode string.

</details>

<details><summary><h3><strong>def stderr(self)</strong></h3></summary>

The standard error as unicode string.

</details>

<details><summary><h3><strong>def get_default_prog_name(self, cli: "BaseCommand")</strong></h3></summary>

Given a command object it will return the default program name
        for it.  The default is the `name` attribute or ``"root"`` if not
        set.

</details>

<details><summary><h3><strong>def get_default_prog_name(self, cli: "BaseCommand")</strong></h3></summary>

Given a command object it will return the default program name
        for it.  The default is the `name` attribute or ``"root"`` if not
        set.

</details>

<details><summary><h3><strong>def visible_input(prompt: t.Optional[str] = None)</strong></h3></summary>

Returns the environment overrides for invoking a script.

</details>

<details><summary><h3><strong>def visible_input(prompt: t.Optional[str] = None)</strong></h3></summary>

A context manager that sets up the isolation for invoking of a
        command line tool.  This sets up stdin with the given input data
        and `os.environ` with the overrides from the given dictionary.
        This also rebinds some internals in Click to be mocked (like the
        prompt functionality).

        This is automatically done in the :meth:`invoke` method.

        :param input: the input stream to put into sys.stdin.
        :param env: the environment overrides as dictionary.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            ``stderr`` is opened with ``errors="backslashreplace"``
            instead of the default ``"strict"``.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

</details>

<details><summary><h3><strong>def visible_input(prompt: t.Optional[str] = None)</strong></h3></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h3><strong>def hidden_input(prompt: t.Optional[str] = None)</strong></h3></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h3><strong>def _getchar(echo: bool)</strong></h3></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Invokes a command in an isolated environment.  The arguments are
        forwarded directly to the command line script, the `extra` keyword
        arguments are passed to the :meth:`~clickpkg.Command.main` function of
        the command.

        This returns a :class:`Result` object.

        :param cli: the command to invoke
        :param args: the arguments to invoke. It may be given as an iterable
                     or a string. When given as string it will be interpreted
                     as a Unix shell command. More details at
                     :func:`shlex.split`.
        :param input: the input data for `sys.stdin`.
        :param env: the environment overrides.
        :param catch_exceptions: Whether to catch any other exceptions than
                                 ``SystemExit``.
        :param extra: the keyword arguments to pass to :meth:`main`.
        :param color: whether the output should contain color codes. The
                      application can still override this explicitly.

        .. versionchanged:: 8.0
            The result object has the ``return_value`` attribute with
            the value returned from the invoked command.

        .. versionchanged:: 4.0
            Added the ``color`` parameter.

        .. versionchanged:: 3.0
            Added the ``catch_exceptions`` parameter.

        .. versionchanged:: 3.0
            The result object has the ``exc_info`` attribute with the
            traceback if available.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

A context manager that creates a temporary directory and
        changes the current working directory to it. This isolates tests
        that affect the contents of the CWD to prevent them from
        interfering with each other.

        :param temp_dir: Create the temporary directory under this
            directory. If given, the created directory is not removed
            when exiting.

        .. versionchanged:: 8.0
            Added the ``temp_dir`` parameter.

</details>

</details>


<details><summary><h2><strong> types.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ParamType](#class-paramtype)
- [class and](#class-and)
- [class attribute](#class-attribute)
- [class name](#class-name)
- [class Choice](#class-choice)
- [class DateTime](#class-datetime)
- [class _NumberRangeBase](#class-_numberrangebase)
- [class IntRange](#class-intrange)
- [class FloatRange](#class-floatrange)
- [class File](#class-file)
- [class Path](#class-path)
- [class Tuple](#class-tuple)
- [def to_info_dict](#def-to_info_dict)
- [def __call__](#def-__call__)
- [def get_metavar](#def-get_metavar)
- [def get_missing_message](#def-get_missing_message)
- [def convert](#def-convert)
- [def split_envvar_value](#def-split_envvar_value)
- [def fail](#def-fail)
- [def shell_complete](#def-shell_complete)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def get_metavar](#def-get_metavar)
- [def get_missing_message](#def-get_missing_message)
- [def convert](#def-convert)
- [def __repr__](#def-__repr__)
- [def shell_complete](#def-shell_complete)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def convert](#def-convert)
- [def _clamp](#def-_clamp)
- [def _describe_range](#def-_describe_range)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def resolve_lazy_flag](#def-resolve_lazy_flag)
- [def convert](#def-convert)
- [def shell_complete](#def-shell_complete)
- [def __init__](#def-__init__)
- [def to_info_dict](#def-to_info_dict)
- [def coerce_path_result](#def-coerce_path_result)
- [def convert](#def-convert)
- [def shell_complete](#def-shell_complete)
- [def convert_type](#def-convert_type)
</details>

<details><summary><h3><strong>class ParamType</strong></h3></summary>

Represents the type of a parameter. Validates and converts values
    from the command line or Python into the correct type.

    To implement a custom type, subclass and implement at least the
    following:

    -   The :attr:`name` class attribute must be set.
    -   Calling an instance of the type with ``None`` must return
        ``None``. This is already implemented by default.
    -   :meth:`convert` must convert string values to the correct type.
    -   :meth:`convert` must accept values that are already the correct
        type.
    -   It must be able to convert a value if the ``ctx`` and ``param``
        arguments are ``None``. This can occur when converting prompt
        input.

<p><strong>Key features</strong></p>

<ul>
<li>  The :attr:`name` class attribute must be set.</li>
<li>  Calling an instance of the type with ``None`` must return</li>
<li>  :meth:`convert` must convert string values to the correct type.</li>
<li>  :meth:`convert` must accept values that are already the correct</li>
<li>  It must be able to convert a value if the ``ctx`` and ``param``</li>
</ul>
<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_metavar</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_missing_message</strong></h4></summary>

Optionally might return extra information about a missing
        parameter.

        .. versionadded:: 2.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Convert the value to the correct type. This is not called if
        the value is ``None`` (the missing value).

        This must accept string values from the command line, as well as
        values that are already the correct type. It may also convert
        other compatible types.

        The ``param`` and ``ctx`` arguments may be ``None`` in certain
        situations, such as when converting prompt input.

        If the value cannot be converted, call :meth:`fail` with a
        descriptive message.

        :param value: The value to convert.
        :param param: The parameter that is using this type to convert
            its value. May be ``None``.
        :param ctx: The current context that arrived at this value. May
            be ``None``.

</details>

<details><summary><h4><strong>def split_envvar_value</strong></h4></summary>

Given a value from an environment variable this splits it up
        into small chunks depending on the defined envvar list splitter.

        If the splitter is set to `None`, which means that whitespace splits,
        then leading and trailing whitespace is ignored.  Otherwise, leading
        and trailing splitters usually lead to empty items being included.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Helper method to fail with an invalid value message.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of
        :class:`~click.shell_completion.CompletionItem` objects for the
        incomplete value. Most types do not provide completions, but
        some do, and this allows custom types to provide custom
        completions as well.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class and</strong></h3></summary>

is_composite: t.ClassVar[bool] = False
    arity: t.ClassVar[int] = 1

    #: the descriptive name of this type
    name: str

    #: if a list of this type is expected and the value is pulled from a
    #: string environment variable, this is what splits it up.  `None`
    #: means any whitespace.  For all parameters the general rule is that
    #: whitespace splits them up.  The exception are paths and files which
    #: are split by ``os.path.pathsep`` by default (":" on Unix and ";" on
    #: Windows).
    envvar_list_splitter: t.ClassVar[t.Optional[str]] = None

    def to_info_dict(self) -> t.Dict[str, t.Any]:

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_metavar</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_missing_message</strong></h4></summary>

Optionally might return extra information about a missing
        parameter.

        .. versionadded:: 2.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Convert the value to the correct type. This is not called if
        the value is ``None`` (the missing value).

        This must accept string values from the command line, as well as
        values that are already the correct type. It may also convert
        other compatible types.

        The ``param`` and ``ctx`` arguments may be ``None`` in certain
        situations, such as when converting prompt input.

        If the value cannot be converted, call :meth:`fail` with a
        descriptive message.

        :param value: The value to convert.
        :param param: The parameter that is using this type to convert
            its value. May be ``None``.
        :param ctx: The current context that arrived at this value. May
            be ``None``.

</details>

<details><summary><h4><strong>def split_envvar_value</strong></h4></summary>

Given a value from an environment variable this splits it up
        into small chunks depending on the defined envvar list splitter.

        If the splitter is set to `None`, which means that whitespace splits,
        then leading and trailing whitespace is ignored.  Otherwise, leading
        and trailing splitters usually lead to empty items being included.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Helper method to fail with an invalid value message.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of
        :class:`~click.shell_completion.CompletionItem` objects for the
        incomplete value. Most types do not provide completions, but
        some do, and this allows custom types to provide custom
        completions as well.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class attribute</strong></h3></summary>

is_composite: t.ClassVar[bool] = False
    arity: t.ClassVar[int] = 1

    #: the descriptive name of this type
    name: str

    #: if a list of this type is expected and the value is pulled from a
    #: string environment variable, this is what splits it up.  `None`
    #: means any whitespace.  For all parameters the general rule is that
    #: whitespace splits them up.  The exception are paths and files which
    #: are split by ``os.path.pathsep`` by default (":" on Unix and ";" on
    #: Windows).
    envvar_list_splitter: t.ClassVar[t.Optional[str]] = None

    def to_info_dict(self) -> t.Dict[str, t.Any]:

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_metavar</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_missing_message</strong></h4></summary>

Optionally might return extra information about a missing
        parameter.

        .. versionadded:: 2.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Convert the value to the correct type. This is not called if
        the value is ``None`` (the missing value).

        This must accept string values from the command line, as well as
        values that are already the correct type. It may also convert
        other compatible types.

        The ``param`` and ``ctx`` arguments may be ``None`` in certain
        situations, such as when converting prompt input.

        If the value cannot be converted, call :meth:`fail` with a
        descriptive message.

        :param value: The value to convert.
        :param param: The parameter that is using this type to convert
            its value. May be ``None``.
        :param ctx: The current context that arrived at this value. May
            be ``None``.

</details>

<details><summary><h4><strong>def split_envvar_value</strong></h4></summary>

Given a value from an environment variable this splits it up
        into small chunks depending on the defined envvar list splitter.

        If the splitter is set to `None`, which means that whitespace splits,
        then leading and trailing whitespace is ignored.  Otherwise, leading
        and trailing splitters usually lead to empty items being included.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Helper method to fail with an invalid value message.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of
        :class:`~click.shell_completion.CompletionItem` objects for the
        incomplete value. Most types do not provide completions, but
        some do, and this allows custom types to provide custom
        completions as well.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class name</strong></h3></summary>

Returns the metavar default for this param if it provides one.

<details><summary><h4><strong>def __call__</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_metavar</strong></h4></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h4><strong>def get_missing_message</strong></h4></summary>

Optionally might return extra information about a missing
        parameter.

        .. versionadded:: 2.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Convert the value to the correct type. This is not called if
        the value is ``None`` (the missing value).

        This must accept string values from the command line, as well as
        values that are already the correct type. It may also convert
        other compatible types.

        The ``param`` and ``ctx`` arguments may be ``None`` in certain
        situations, such as when converting prompt input.

        If the value cannot be converted, call :meth:`fail` with a
        descriptive message.

        :param value: The value to convert.
        :param param: The parameter that is using this type to convert
            its value. May be ``None``.
        :param ctx: The current context that arrived at this value. May
            be ``None``.

</details>

<details><summary><h4><strong>def split_envvar_value</strong></h4></summary>

Given a value from an environment variable this splits it up
        into small chunks depending on the defined envvar list splitter.

        If the splitter is set to `None`, which means that whitespace splits,
        then leading and trailing whitespace is ignored.  Otherwise, leading
        and trailing splitters usually lead to empty items being included.

</details>

<details><summary><h4><strong>def fail</strong></h4></summary>

Helper method to fail with an invalid value message.

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a list of
        :class:`~click.shell_completion.CompletionItem` objects for the
        incomplete value. Most types do not provide completions, but
        some do, and this allows custom types to provide custom
        completions as well.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class Choice</strong></h3></summary>

The choice type allows a value to be checked against a fixed set
    of supported values. All of these values have to be strings.

    You should only pass a list or tuple of choices. Other iterables
    (like generators) may lead to surprising results.

    The resulting value will always be one of the originally passed choices
    regardless of ``case_sensitive`` or any ``ctx.token_normalize_func``
    being specified.

    See :ref:`choice-opts` for an example.

    :param case_sensitive: Set to false to make choices case
        insensitive. Defaults to true.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def get_metavar</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def get_missing_message</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class DateTime</strong></h3></summary>

The DateTime type converts date strings into `datetime` objects.

    The format strings which are checked are configurable, but default to some
    common (non-timezone aware) ISO 8601 formats.

    When specifying *DateTime* formats, you should only pass a list or a tuple.
    Other iterables, like generators, may lead to surprising results.

    The format strings are processed using ``datetime.strptime``, and this
    consequently defines the format strings which are allowed.

    Parsing is tried using each format, in order, and the first format which
    parses successfully is used.

    :param formats: A list or tuple of date format strings, in the order in
                    which they should be tried. Defaults to
                    ``'%Y-%m-%d'``, ``'%Y-%m-%dT%H:%M:%S'``,
                    ``'%Y-%m-%d %H:%M:%S'``.

</details>

<details><summary><h3><strong>class _NumberRangeBase</strong></h3></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h4><strong>def _clamp</strong></h4></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h4><strong>def _describe_range</strong></h4></summary>

Describe the range for use in help text.

</details>

</details>

<details><summary><h3><strong>class IntRange</strong></h3></summary>

Restrict an :data:`click.INT` value to a range of accepted
    values. See :ref:`ranges`.

    If ``min`` or ``max`` are not passed, any value is accepted in that
    direction. If ``min_open`` or ``max_open`` are enabled, the
    corresponding boundary is not included in the range.

    If ``clamp`` is enabled, a value outside the range is clamped to the
    boundary instead of failing.

    .. versionchanged:: 8.0
        Added the ``min_open`` and ``max_open`` parameters.

</details>

<details><summary><h3><strong>class FloatRange</strong></h3></summary>

Restrict a :data:`click.FLOAT` value to a range of accepted
    values. See :ref:`ranges`.

    If ``min`` or ``max`` are not passed, any value is accepted in that
    direction. If ``min_open`` or ``max_open`` are enabled, the
    corresponding boundary is not included in the range.

    If ``clamp`` is enabled, a value outside the range is clamped to the
    boundary instead of failing. This is not supported if either
    boundary is marked ``open``.

    .. versionchanged:: 8.0
        Added the ``min_open`` and ``max_open`` parameters.

</details>

<details><summary><h3><strong>class File</strong></h3></summary>

Declares a parameter to be a file for reading or writing.  The file
    is automatically closed once the context tears down (after the command
    finished working).

    Files can be opened for reading or writing.  The special value ``-``
    indicates stdin or stdout depending on the mode.

    By default, the file is opened for reading text data, but it can also be
    opened in binary mode or for writing.  The encoding parameter can be used
    to force a specific encoding.

    The `lazy` flag controls if the file should be opened immediately or upon
    first IO. The default is to be non-lazy for standard input and output
    streams as well as files opened for reading, `lazy` otherwise. When opening a
    file lazily for reading, it is still opened temporarily for validation, but
    will not be held open until first IO. lazy is mainly useful when opening
    for writing to avoid creating the file until it is needed.

    Starting with Click 2.0, files can also be opened atomically in which
    case all writes go into a separate file in the same folder and upon
    completion the file will be moved over to the original location.  This
    is useful if a file regularly read by other users is modified.

    See :ref:`file-args` for more information.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def resolve_lazy_flag</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class Path</strong></h3></summary>

The ``Path`` type is similar to the :class:`File` type, but
    returns the filename instead of an open file. Various checks can be
    enabled to validate the type of file and permissions.

    :param exists: The file or directory needs to exist for the value to
        be valid. If this is not set to ``True``, and the file does not
        exist, then all further checks are silently skipped.
    :param file_okay: Allow a file as a value.
    :param dir_okay: Allow a directory as a value.
    :param readable: if true, a readable check is performed.
    :param writable: if true, a writable check is performed.
    :param executable: if true, an executable check is performed.
    :param resolve_path: Make the value absolute and resolve any
        symlinks. A ``~`` is not expanded, as this is supposed to be
        done by the shell only.
    :param allow_dash: Allow a single dash as a value, which indicates
        a standard stream (but does not open it). Use
        :func:`~click.open_file` to handle opening this value.
    :param path_type: Convert the incoming path value to this type. If
        ``None``, keep Python's default, which is ``str``. Useful to
        convert to :class:`pathlib.Path`.

    .. versionchanged:: 8.1
        Added the ``executable`` parameter.

    .. versionchanged:: 8.0
        Allow passing ``path_type=pathlib.Path``.

    .. versionchanged:: 6.0
        Added the ``allow_dash`` parameter.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def to_info_dict</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def coerce_path_result</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def convert</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h4><strong>def shell_complete</strong></h4></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

</details>

<details><summary><h3><strong>class Tuple</strong></h3></summary>

The default behavior of Click is to apply a type on a value directly.
    This works well in most cases, except for when `nargs` is set to a fixed
    count and different types should be used for different items.  In this
    case the :class:`Tuple` type can be used.  This type can only be used
    if `nargs` is set to a fixed number.

    For more information see :ref:`tuple-type`.

    This can be selected by using a Python tuple literal as a type.

    :param types: a list of types that should be used for the tuple items.

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Gather information that could be useful for a tool generating
        user-facing documentation.

        Use :meth:`click.Context.to_info_dict` to traverse the entire
        CLI structure.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def get_metavar(self, param: "Parameter")</strong></h3></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h3><strong>def get_metavar(self, param: "Parameter")</strong></h3></summary>

Returns the metavar default for this param if it provides one.

</details>

<details><summary><h3><strong>def get_missing_message(self, param: "Parameter")</strong></h3></summary>

Optionally might return extra information about a missing
        parameter.

        .. versionadded:: 2.0

</details>

<details><summary><h3><strong>def split_envvar_value(self, rv: str)</strong></h3></summary>

Convert the value to the correct type. This is not called if
        the value is ``None`` (the missing value).

        This must accept string values from the command line, as well as
        values that are already the correct type. It may also convert
        other compatible types.

        The ``param`` and ``ctx`` arguments may be ``None`` in certain
        situations, such as when converting prompt input.

        If the value cannot be converted, call :meth:`fail` with a
        descriptive message.

        :param value: The value to convert.
        :param param: The parameter that is using this type to convert
            its value. May be ``None``.
        :param ctx: The current context that arrived at this value. May
            be ``None``.

</details>

<details><summary><h3><strong>def split_envvar_value(self, rv: str)</strong></h3></summary>

Given a value from an environment variable this splits it up
        into small chunks depending on the defined envvar list splitter.

        If the splitter is set to `None`, which means that whitespace splits,
        then leading and trailing whitespace is ignored.  Otherwise, leading
        and trailing splitters usually lead to empty items being included.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Helper method to fail with an invalid value message.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Return a list of
        :class:`~click.shell_completion.CompletionItem` objects for the
        incomplete value. Most types do not provide completions, but
        some do, and this allows custom types to provide custom
        completions as well.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __init__(self, choices: t.Sequence[str], case_sensitive: bool = True)</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def get_metavar(self, param: "Parameter")</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def get_missing_message(self, param: "Parameter")</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Complete choices that start with the incomplete value.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h3><strong>def _clamp(self, bound: float, dir: "te.Literal[1, -1]", open: bool)</strong></h3></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h3><strong>def _clamp(self, bound: float, dir: "te.Literal[1, -1]", open: bool)</strong></h3></summary>

Find the valid value to clamp to bound in the given
        direction.

        :param bound: The boundary value.
        :param dir: 1 or -1 indicating the direction to move.
        :param open: If true, the range does not include the bound.

</details>

<details><summary><h3><strong>def _describe_range(self)</strong></h3></summary>

Describe the range for use in help text.

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def resolve_lazy_flag(self, value: "t.Union[str, os.PathLike[str]]")</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide file path completions.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def to_info_dict(self)</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Return a special completion marker that tells the completion
        system to use the shell to provide path completions for only
        directories or any paths.

        :param ctx: Invocation context for this command.
        :param param: The parameter that is requesting completion.
        :param incomplete: Value being completed. May be empty.

        .. versionadded:: 8.0

</details>

<details><summary><h3><strong>def convert_type(ty: t.Optional[t.Any], default: t.Optional[t.Any] = None)</strong></h3></summary>

Find the most appropriate :class:`ParamType` for the given Python
    type. If the type isn't provided, it can be inferred from a default
    value.

</details>

</details>


<details><summary><h2><strong> utils.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class LazyFile](#class-lazyfile)
- [class PacifyFlushWrapper](#class-pacifyflushwrapper)
- [def safecall](#def-safecall)
- [def make_str](#def-make_str)
- [def make_default_short_help](#def-make_default_short_help)
- [def __init__](#def-__init__)
- [def __getattr__](#def-__getattr__)
- [def __repr__](#def-__repr__)
- [def open](#def-open)
- [def close](#def-close)
- [def close_intelligently](#def-close_intelligently)
- [def get_binary_stream](#def-get_binary_stream)
- [def get_app_dir](#def-get_app_dir)
</details>

<details><summary><h3><strong>class LazyFile</strong></h3></summary>

A lazy file works like a regular file but it does not fully open
    the file but it does perform some basic checks early to see if the
    filename parameter does make sense.  This is useful for safely opening
    files for writing.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h4><strong>def __getattr__</strong></h4></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h4><strong>def open</strong></h4></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Closes the underlying file, no matter what.

</details>

<details><summary><h4><strong>def close_intelligently</strong></h4></summary>

This function only closes the file if it was opened by the lazy
        file wrapper.  For instance this will never close stdin.

</details>

</details>

<details><summary><h3><strong>class PacifyFlushWrapper</strong></h3></summary>

This wrapper is used to catch and suppress BrokenPipeErrors resulting
    from ``.flush()`` being called on broken pipe during the shutdown/final-GC
    of the Python interpreter. Notably ``.flush()`` is always called on
    ``sys.stdout`` and ``sys.stderr``. So as to have minimal impact on any
    other cleanup code, and the case where the underlying file is not a broken
    pipe, all calls and attributes are proxied.

</details>

<details><summary><h3><strong>def safecall(func: "t.Callable[P, R]")</strong></h3></summary>

Wraps a function so that it swallows exceptions.

</details>

<details><summary><h3><strong>def make_str(value: t.Any)</strong></h3></summary>

Converts a value into a valid string.

</details>

<details><summary><h3><strong>def make_default_short_help(help: str, max_length: int = 45)</strong></h3></summary>

Returns a condensed version of help string.

</details>

<details><summary><h3><strong>def __getattr__(self, name: str)</strong></h3></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h3><strong>def __getattr__(self, name: str)</strong></h3></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h3><strong>def open(self)</strong></h3></summary>

Opens the file if it's not yet open.  This call might fail with
        a :exc:`FileError`.  Not handling this error will produce an error
        that Click shows.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Closes the underlying file, no matter what.

</details>

<details><summary><h3><strong>def close_intelligently(self)</strong></h3></summary>

This function only closes the file if it was opened by the lazy
        file wrapper.  For instance this will never close stdin.

</details>

<details><summary><h3><strong>def get_binary_stream(name: "te.Literal['stdin', 'stdout', 'stderr']")</strong></h3></summary>

Returns a system stream for byte processing.

    :param name: the name of the stream to open.  Valid names are ``'stdin'``,
                 ``'stdout'`` and ``'stderr'``

</details>

<details><summary><h3><strong>def get_app_dir(app_name: str, roaming: bool = True, force_posix: bool = False)</strong></h3></summary>

Returns the config folder for the application.  The default behavior
    is to return whatever is most appropriate for the operating system.

    To give you an idea, for an app called ``"Foo Bar"``, something like
    the following folders could be returned:

    Mac OS X:
      ``~/Library/Application Support/Foo Bar``
    Mac OS X (POSIX):
      ``~/.foo-bar``
    Unix:
      ``~/.config/foo-bar``
    Unix (POSIX):
      ``~/.foo-bar``
    Windows (roaming):
      ``C:\Users\<user>\AppData\Roaming\Foo Bar``
    Windows (not roaming):
      ``C:\Users\<user>\AppData\Local\Foo Bar``

    .. versionadded:: 2.0

    :param app_name: the application name.  This should be properly capitalized
                     and can contain whitespace.
    :param roaming: controls if the folder should be roaming or not on Windows.
                    Has no effect otherwise.
    :param force_posix: if this is set to `True` then on any POSIX system the
                        folder will be stored in the home folder with a leading
                        dot instead of the XDG config home or darwin's
                        application support folder.

</details>

</details>


<details><summary><h2><strong> __about__.py</strong></h2></summary>

Package metadata/info

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

`funkify` ~ make modules callable

<details open><summary><h3>Contents</h3></summary>

- [def funkify](#def-funkify)
</details>

<details><summary><h3><strong>def funkify(funk: Callable[..., T], *, key: Optional[str] = None)</strong></h3></summary>

Assign a function to a module's __call__ attr

<details><summary><h4>Arguments</h4></summary>

- `funk`: function to be made callable
        key (str): module name as it would appear in sys.modules
</details>

<details><summary><h4>Returns</h4></summary>

Callable[..., T]: the function passed in
</details>

</details>

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

pkg entry ~ `python -m funkify`

<details open><summary><h3>Contents</h3></summary>

- [def main](#def-main)
</details>

<details><summary><h3><strong>def main()</strong></h3></summary>

Print package metadata

</details>

</details>


<details><summary><h2><strong> _meta.py</strong></h2></summary>

Package metadata/info

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

html2text: Turn HTML into equivalent Markdown-structured text.

<details open><summary><h3>Contents</h3></summary>

- [class HTML2Text](#class-html2text)
- [def __init__](#def-__init__)
- [def feed](#def-feed)
- [def handle](#def-handle)
- [def outtextf](#def-outtextf)
- [def finish](#def-finish)
- [def handle_charref](#def-handle_charref)
- [def handle_entityref](#def-handle_entityref)
- [def handle_starttag](#def-handle_starttag)
- [def handle_endtag](#def-handle_endtag)
- [def previousIndex](#def-previousindex)
- [def handle_emphasis](#def-handle_emphasis)
- [def handle_tag](#def-handle_tag)
- [def link_url](#def-link_url)
- [def pbr](#def-pbr)
- [def p](#def-p)
- [def soft_br](#def-soft_br)
- [def o](#def-o)
- [def handle_data](#def-handle_data)
- [def charref](#def-charref)
- [def entityref](#def-entityref)
- [def google_nest_count](#def-google_nest_count)
- [def optwrap](#def-optwrap)
</details>

<details><summary><h3><strong>class HTML2Text</strong></h3></summary>

Input parameters:
            out: possible custom replacement for self.outtextf (which
                 appends lines of text).
            baseurl: base URL of the document we process

<details><summary><h4><strong>def __init__</strong></h4></summary>

Input parameters:
            out: possible custom replacement for self.outtextf (which
                 appends lines of text).
            baseurl: base URL of the document we process

</details>

<details><summary><h4><strong>def feed</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def handle</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def outtextf</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def finish</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def handle_charref</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def handle_entityref</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def handle_starttag</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def handle_endtag</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def previousIndex</strong></h4></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h4><strong>def handle_emphasis</strong></h4></summary>

Handles various text emphases

</details>

<details><summary><h4><strong>def handle_tag</strong></h4></summary>

Deal with indentation and whitespace

</details>

<details><summary><h4><strong>def link_url</strong></h4></summary>

Deal with indentation and whitespace

</details>

<details><summary><h4><strong>def pbr</strong></h4></summary>

Deal with indentation and whitespace

</details>

<details><summary><h4><strong>def p</strong></h4></summary>

Deal with indentation and whitespace

</details>

<details><summary><h4><strong>def soft_br</strong></h4></summary>

Deal with indentation and whitespace

</details>

<details><summary><h4><strong>def o</strong></h4></summary>

Deal with indentation and whitespace

</details>

<details><summary><h4><strong>def handle_data</strong></h4></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h4><strong>def charref</strong></h4></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h4><strong>def entityref</strong></h4></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h4><strong>def google_nest_count</strong></h4></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h4><strong>def optwrap</strong></h4></summary>

Wrap all paragraphs in the provided text.

        :type text: str

        :rtype: str

</details>

</details>

<details><summary><h3><strong>def feed(self, data: str)</strong></h3></summary>

Input parameters:
            out: possible custom replacement for self.outtextf (which
                 appends lines of text).
            baseurl: base URL of the document we process

</details>

<details><summary><h3><strong>def feed(self, data: str)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def handle(self, data: str)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def outtextf(self, s: str)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def finish(self)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def handle_charref(self, c: str)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def handle_entityref(self, c: str)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def handle_starttag(self, tag: str, attrs: List[Tuple[str, Optional[str]]])</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def handle_endtag(self, tag: str)</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def previousIndex(self, attrs: Dict[str, Optional[str]])</strong></h3></summary>

:type attrs: dict

        :returns: The index of certain set of attributes (of a link) in the
        self.a list. If the set of attributes is not found, returns None
        :rtype: int

</details>

<details><summary><h3><strong>def link_url(self: HTML2Text, link: str, title: str = "")</strong></h3></summary>

Handles various text emphases

</details>

<details><summary><h3><strong>def link_url(self: HTML2Text, link: str, title: str = "")</strong></h3></summary>

Deal with indentation and whitespace

</details>

<details><summary><h3><strong>def link_url(self: HTML2Text, link: str, title: str = "")</strong></h3></summary>

Deal with indentation and whitespace

</details>

<details><summary><h3><strong>def pbr(self)</strong></h3></summary>

Deal with indentation and whitespace

</details>

<details><summary><h3><strong>def p(self)</strong></h3></summary>

Deal with indentation and whitespace

</details>

<details><summary><h3><strong>def soft_br(self)</strong></h3></summary>

Deal with indentation and whitespace

</details>

<details><summary><h3><strong>def handle_data(self, data: str, entity_char: bool = False)</strong></h3></summary>

Deal with indentation and whitespace

</details>

<details><summary><h3><strong>def handle_data(self, data: str, entity_char: bool = False)</strong></h3></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h3><strong>def charref(self, name: str)</strong></h3></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h3><strong>def entityref(self, c: str)</strong></h3></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h3><strong>def google_nest_count(self, style: Dict[str, str])</strong></h3></summary>

Calculate the nesting count of google doc lists

        :type style: dict

        :rtype: int

</details>

<details><summary><h3><strong>def optwrap(self, text: str)</strong></h3></summary>

Wrap all paragraphs in the provided text.

        :type text: str

        :rtype: str

</details>

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _typing.py</strong></h2></summary>

</details>


<details><summary><h2><strong> cli.py</strong></h2></summary>

</details>


<details><summary><h2><strong> config.py</strong></h2></summary>

</details>


<details><summary><h2><strong> elements.py</strong></h2></summary>

</details>


<details><summary><h2><strong> utils.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def dumb_property_dict](#def-dumb_property_dict)
- [def dumb_css_parser](#def-dumb_css_parser)
- [def google_list_style](#def-google_list_style)
- [def google_has_height](#def-google_has_height)
- [def google_text_emphasis](#def-google_text_emphasis)
- [def google_fixed_width_font](#def-google_fixed_width_font)
- [def list_numbering_start](#def-list_numbering_start)
- [def escape_md](#def-escape_md)
- [def escape_md_section](#def-escape_md_section)
- [def reformat_table](#def-reformat_table)
- [def pad_tables_in_text](#def-pad_tables_in_text)
</details>

<details><summary><h3><strong>def dumb_property_dict(style: str)</strong></h3></summary>

:returns: A hash of css attributes

</details>

<details><summary><h3><strong>def dumb_css_parser(data: str)</strong></h3></summary>

:type data: str

    :returns: A hash of css selectors, each of which contains a hash of
    css attributes.
    :rtype: dict

</details>

<details><summary><h3><strong>def google_list_style(style: Dict[str, str])</strong></h3></summary>

Finds out whether this is an ordered or unordered list

    :type style: dict

    :rtype: str

</details>

<details><summary><h3><strong>def google_has_height(style: Dict[str, str])</strong></h3></summary>

Check if the style of the element has the 'height' attribute
    explicitly defined

    :type style: dict

    :rtype: bool

</details>

<details><summary><h3><strong>def google_text_emphasis(style: Dict[str, str])</strong></h3></summary>

:type style: dict

    :returns: A list of all emphasis modifiers of the element
    :rtype: list

</details>

<details><summary><h3><strong>def google_fixed_width_font(style: Dict[str, str])</strong></h3></summary>

Check if the css of the current element defines a fixed width font

    :type style: dict

    :rtype: bool

</details>

<details><summary><h3><strong>def list_numbering_start(attrs: Dict[str, Optional[str]])</strong></h3></summary>

Extract numbering from list element attributes

    :type attrs: dict

    :rtype: int or None

</details>

<details><summary><h3><strong>def escape_md(text: str)</strong></h3></summary>

Escapes markdown-sensitive characters within other markdown
    constructs.

</details>

<details><summary><h3><strong>def escape_md_section(text: str, snob: bool = False)</strong></h3></summary>

Escapes markdown-sensitive characters across whole document sections.

</details>

<details><summary><h3><strong>def reformat_table(lines: List[str], right_margin: int)</strong></h3></summary>

Given the lines of a table
    padds the cells and returns the new lines

</details>

<details><summary><h3><strong>def pad_tables_in_text(text: str, right_margin: int = 1)</strong></h3></summary>

Provide padding for tables in the text

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> codec.py</strong></h2></summary>

</details>


<details><summary><h2><strong> compat.py</strong></h2></summary>

</details>


<details><summary><h2><strong> core.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class IDNAError](#class-idnaerror)
- [class IDNABidiError](#class-idnabidierror)
- [class InvalidCodepoint](#class-invalidcodepoint)
- [class InvalidCodepointContext](#class-invalidcodepointcontext)
- [def uts46_remap](#def-uts46_remap)
</details>

<details><summary><h3><strong>class IDNAError</strong></h3></summary>

Base exception for all IDNA-encoding related problems

</details>

<details><summary><h3><strong>class IDNABidiError</strong></h3></summary>

Exception when bidirectional requirements are not satisfied

</details>

<details><summary><h3><strong>class InvalidCodepoint</strong></h3></summary>

Exception when a disallowed or unallocated codepoint is used

</details>

<details><summary><h3><strong>class InvalidCodepointContext</strong></h3></summary>

Exception when the codepoint is not valid in the context it is used

</details>

<details><summary><h3><strong>def uts46_remap(domain: str, std3_rules: bool = True, transitional: bool = False)</strong></h3></summary>

Re-map the characters in the string according to UTS46 processing.

</details>

</details>


<details><summary><h2><strong> idnadata.py</strong></h2></summary>

</details>


<details><summary><h2><strong> intranges.py</strong></h2></summary>

Given a list of integers, made up of (hopefully) a small number of long runs
of consecutive integers, compute a representation of the form
((start1, end1), (start2, end2) ...). Then answer the question "was x present
in the original list?" in time O(log(# runs)).

<details open><summary><h3>Contents</h3></summary>

- [def intranges_from_list](#def-intranges_from_list)
- [def intranges_contain](#def-intranges_contain)
</details>

<details><summary><h3><strong>def intranges_from_list(list_: List[int])</strong></h3></summary>

Represent a list of integers as a sequence of ranges:
    ((start_0, end_0), (start_1, end_1), ...), such that the original
    integers are exactly those x such that start_i <= x < end_i for some i.

    Ranges are encoded as single integers (start << 32 | end), not as tuples.

</details>

<details><summary><h3><strong>def intranges_contain(int_: int, ranges: Tuple[int, ...])</strong></h3></summary>

Determine if `int_` falls into one of the ranges in `ranges`.

</details>

</details>


<details><summary><h2><strong> package_data.py</strong></h2></summary>

</details>


<details><summary><h2><strong> uts46data.py</strong></h2></summary>

IDNA Mapping Table from UTS46.

</details>


<details><summary><h2><strong> __about__.py</strong></h2></summary>

Package metadata/info

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Python lager brewed by a loguru

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

pkg entry ~ `python -m lager`

<details open><summary><h3>Contents</h3></summary>

- [def main](#def-main)
</details>

<details><summary><h3><strong>def main()</strong></h3></summary>

Print package metadata

</details>

</details>


<details><summary><h2><strong> _meta.py</strong></h2></summary>

Package metadata/info

</details>


<details><summary><h2><strong> const.py</strong></h2></summary>

Constants go here!

</details>


<details><summary><h2><strong> core.py</strong></h2></summary>

Python lager brewed by a loguru

<details open><summary><h3>Contents</h3></summary>

- [def loglevel](#def-loglevel)
- [def handlers](#def-handlers)
</details>

<details><summary><h3><strong>def loglevel(level: Union[str, int])</strong></h3></summary>

Convert log-level abrev to a valid loguru log level

</details>

<details><summary><h3><strong>def handlers()</strong></h3></summary>

Return all handlers

</details>

</details>


<details><summary><h2><strong> dev.py</strong></h2></summary>

</details>


<details><summary><h2><strong> fastapi.py</strong></h2></summary>

FastAPI logging

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Lager/Loguru + std logging

<details open><summary><h3>Contents</h3></summary>

- [class Logger](#class-logger)
- [class Handler](#class-handler)
- [class StdLoggingHandler](#class-stdlogginghandler)
- [def __init__](#def-__init__)
- [def set_level](#def-set_level)
- [def is_enabled_for](#def-is_enabled_for)
- [def get_effective_level](#def-get_effective_level)
- [def get_child](#def-get_child)
- [def find_caller](#def-find_caller)
- [def add_handler](#def-add_handler)
- [def remove_handler](#def-remove_handler)
- [def make_record](#def-make_record)
- [def has_handlers](#def-has_handlers)
- [def call_handlers](#def-call_handlers)
- [def __init__](#def-__init__)
- [def create_lock](#def-create_lock)
- [def set_level](#def-set_level)
- [def set_formatter](#def-set_formatter)
- [def handle_error](#def-handle_error)
</details>

<details><summary><h3><strong>class Logger</strong></h3></summary>

snake_case alias for setLevel

<details><summary><h4><strong>def __init__</strong></h4></summary>

snake_case alias for setLevel

</details>

<details><summary><h4><strong>def set_level</strong></h4></summary>

snake_case alias for setLevel

</details>

<details><summary><h4><strong>def is_enabled_for</strong></h4></summary>

snake_case alias for isEnabledFor

</details>

<details><summary><h4><strong>def get_effective_level</strong></h4></summary>

snake_case alias for getEffectiveLevel

</details>

<details><summary><h4><strong>def get_child</strong></h4></summary>

snake_case alias for getChild

</details>

<details><summary><h4><strong>def find_caller</strong></h4></summary>

snake_case alias for findCaller

</details>

<details><summary><h4><strong>def add_handler</strong></h4></summary>

snake_case alias for addHandler

</details>

<details><summary><h4><strong>def remove_handler</strong></h4></summary>

snake_case alias for removeHandler

</details>

<details><summary><h4><strong>def make_record</strong></h4></summary>

snake_case alias for hasHandlers

</details>

<details><summary><h4><strong>def has_handlers</strong></h4></summary>

snake_case alias for hasHandlers

</details>

<details><summary><h4><strong>def call_handlers</strong></h4></summary>

snake_case alias for callHandlers

</details>

</details>

<details><summary><h3><strong>class Handler</strong></h3></summary>

snake_case alias for createLock

<details><summary><h4><strong>def __init__</strong></h4></summary>

snake_case alias for createLock

</details>

<details><summary><h4><strong>def create_lock</strong></h4></summary>

snake_case alias for createLock

</details>

<details><summary><h4><strong>def set_level</strong></h4></summary>

snake_case alias for setLevel

</details>

<details><summary><h4><strong>def set_formatter</strong></h4></summary>

snake_case alias for setFormatter

</details>

<details><summary><h4><strong>def handle_error</strong></h4></summary>

snake_case alias for handleError

</details>

</details>

<details><summary><h3><strong>class StdLoggingHandler</strong></h3></summary>

Logging intercept handler

</details>

<details><summary><h3><strong>def __init__(self, name: str, level: _Level = 0)</strong></h3></summary>

snake_case alias for setLevel

</details>

<details><summary><h3><strong>def set_level(self, level: _Level)</strong></h3></summary>

snake_case alias for setLevel

</details>

<details><summary><h3><strong>def is_enabled_for(self, level: int)</strong></h3></summary>

snake_case alias for isEnabledFor

</details>

<details><summary><h3><strong>def get_effective_level(self)</strong></h3></summary>

snake_case alias for getEffectiveLevel

</details>

<details><summary><h3><strong>def get_child(self, suffix: str)</strong></h3></summary>

snake_case alias for getChild

</details>

<details><summary><h3><strong>def add_handler(self, hdlr: Handler)</strong></h3></summary>

snake_case alias for findCaller

</details>

<details><summary><h3><strong>def add_handler(self, hdlr: Handler)</strong></h3></summary>

snake_case alias for addHandler

</details>

<details><summary><h3><strong>def remove_handler(self, hdlr: Handler)</strong></h3></summary>

snake_case alias for removeHandler

</details>

<details><summary><h3><strong>def has_handlers(self)</strong></h3></summary>

snake_case alias for hasHandlers

</details>

<details><summary><h3><strong>def has_handlers(self)</strong></h3></summary>

snake_case alias for hasHandlers

</details>

<details><summary><h3><strong>def call_handlers(self, record: LogRecord)</strong></h3></summary>

snake_case alias for callHandlers

</details>

<details><summary><h3><strong>def __init__(self, level: _Level = 0)</strong></h3></summary>

snake_case alias for createLock

</details>

<details><summary><h3><strong>def create_lock(self)</strong></h3></summary>

snake_case alias for createLock

</details>

<details><summary><h3><strong>def set_level(self, level: _Level)</strong></h3></summary>

snake_case alias for setLevel

</details>

<details><summary><h3><strong>def set_formatter(self, fmt: Union[Formatter, None])</strong></h3></summary>

snake_case alias for setFormatter

</details>

<details><summary><h3><strong>def handle_error(self, record: LogRecord)</strong></h3></summary>

snake_case alias for handleError

</details>

</details>


<details><summary><h2><strong> pydantic.py</strong></h2></summary>

Lager & pydantic

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

The Loguru library provides a pre-instanced logger to facilitate dealing with logging in Python.

Just ``from loguru import logger``.

</details>


<details><summary><h2><strong> _asyncio_loop.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _better_exceptions.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _colorama.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _colorizer.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _contextvars.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _ctime_functions.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _datetime.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _defaults.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _error_interceptor.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _file_sink.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _filters.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _get_frame.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _handler.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Handler](#class-handler)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def _protected_lock](#def-_protected_lock)
</details>

<details><summary><h3><strong>class Handler</strong></h3></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

</details>

<details><summary><h4><strong>def _protected_lock</strong></h4></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

</details>

<details><summary><h3><strong>def _protected_lock(self)</strong></h3></summary>

Acquire the lock, but fail fast if its already acquired by the current thread.

</details>

</details>


<details><summary><h2><strong> _locks_machinery.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _logger.py</strong></h2></summary>

.. References and links rendered by Sphinx are kept here as "module documentation" so that they can
   be used in the ``Logger`` docstrings but do not pollute ``help(logger)`` output.

.. |Logger| replace:: :class:`~Logger`
.. |add| replace:: :meth:`~Logger.add()`
.. |remove| replace:: :meth:`~Logger.remove()`
.. |complete| replace:: :meth:`~Logger.complete()`
.. |catch| replace:: :meth:`~Logger.catch()`
.. |bind| replace:: :meth:`~Logger.bind()`
.. |contextualize| replace:: :meth:`~Logger.contextualize()`
.. |patch| replace:: :meth:`~Logger.patch()`
.. |opt| replace:: :meth:`~Logger.opt()`
.. |log| replace:: :meth:`~Logger.log()`
.. |level| replace:: :meth:`~Logger.level()`
.. |enable| replace:: :meth:`~Logger.enable()`
.. |disable| replace:: :meth:`~Logger.disable()`

.. |Any| replace:: :obj:`~typing.Any`
.. |str| replace:: :class:`str`
.. |int| replace:: :class:`int`
.. |bool| replace:: :class:`bool`
.. |tuple| replace:: :class:`tuple`
.. |namedtuple| replace:: :func:`namedtuple<collections.namedtuple>`
.. |list| replace:: :class:`list`
.. |dict| replace:: :class:`dict`
.. |str.format| replace:: :meth:`str.format()`
.. |Path| replace:: :class:`pathlib.Path`
.. |match.groupdict| replace:: :meth:`re.Match.groupdict()`
.. |Handler| replace:: :class:`logging.Handler`
.. |sys.stderr| replace:: :data:`sys.stderr`
.. |sys.exc_info| replace:: :func:`sys.exc_info()`
.. |time| replace:: :class:`datetime.time`
.. |datetime| replace:: :class:`datetime.datetime`
.. |timedelta| replace:: :class:`datetime.timedelta`
.. |open| replace:: :func:`open()`
.. |logging| replace:: :mod:`logging`
.. |signal| replace:: :mod:`signal`
.. |contextvars| replace:: :mod:`contextvars`
.. |multiprocessing| replace:: :mod:`multiprocessing`
.. |Thread.run| replace:: :meth:`Thread.run()<threading.Thread.run()>`
.. |Exception| replace:: :class:`Exception`
.. |AbstractEventLoop| replace:: :class:`AbstractEventLoop<asyncio.AbstractEventLoop>`
.. |asyncio.get_running_loop| replace:: :func:`asyncio.get_running_loop()`
.. |asyncio.run| replace:: :func:`asyncio.run()`
.. |loop.run_until_complete| replace::
    :meth:`loop.run_until_complete()<asyncio.loop.run_until_complete()>`
.. |loop.create_task| replace:: :meth:`loop.create_task()<asyncio.loop.create_task()>`

.. |logger.trace| replace:: :meth:`logger.trace()<Logger.trace()>`
.. |logger.debug| replace:: :meth:`logger.debug()<Logger.debug()>`
.. |logger.info| replace:: :meth:`logger.info()<Logger.info()>`
.. |logger.success| replace:: :meth:`logger.success()<Logger.success()>`
.. |logger.warning| replace:: :meth:`logger.warning()<Logger.warning()>`
.. |logger.error| replace:: :meth:`logger.error()<Logger.error()>`
.. |logger.critical| replace:: :meth:`logger.critical()<Logger.critical()>`

.. |file-like object| replace:: ``file-like object``
.. _file-like object: https://docs.python.org/3/glossary.html#term-file-object
.. |callable| replace:: ``callable``
.. _callable: https://docs.python.org/3/library/functions.html#callable
.. |coroutine function| replace:: ``coroutine function``
.. _coroutine function: https://docs.python.org/3/glossary.html#term-coroutine-function
.. |re.Pattern| replace:: ``re.Pattern``
.. _re.Pattern: https://docs.python.org/3/library/re.html#re-objects
.. |multiprocessing.Context| replace:: ``multiprocessing.Context``
.. _multiprocessing.Context:
   https://docs.python.org/3/library/multiprocessing.html#contexts-and-start-methods

.. |better_exceptions| replace:: ``better_exceptions``
.. _better_exceptions: https://github.com/Qix-/better-exceptions

.. |loguru-config| replace:: ``loguru-config``
.. _loguru-config: https://github.com/erezinman/loguru-config

.. _Pendulum: https://pendulum.eustace.io/docs/#tokens

.. _@Qix-: https://github.com/Qix-
.. _@erezinman: https://github.com/erezinman
.. _@sdispater: https://github.com/sdispater

.. _formatting directives: https://docs.python.org/3/library/string.html#format-string-syntax
.. _reentrant: https://en.wikipedia.org/wiki/Reentrancy_(computing)

<details open><summary><h3>Contents</h3></summary>

- [class Logger](#class-logger)
- [class RandomStream](#class-randomstream)
- [class AwaitableCompleter](#class-awaitablecompleter)
- [class Catcher](#class-catcher)
- [class Server](#class-server)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def add](#def-add)
- [def debug_only](#def-debug_only)
- [def my_sink](#def-my_sink)
- [def publish](#def-publish)
- [def __init__](#def-__init__)
- [def write](#def-write)
- [def remove](#def-remove)
- [def complete](#def-complete)
- [def sink](#def-sink)
- [def work](#def-work)
- [def process](#def-process)
- [def __await__](#def-__await__)
- [def catch](#def-catch)
- [def f](#def-f)
- [def g](#def-g)
- [def main](#def-main)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def __call__](#def-__call__)
- [def catch_wrapper](#def-catch_wrapper)
- [def catch_wrapper](#def-catch_wrapper)
- [def catch_wrapper](#def-catch_wrapper)
- [def opt](#def-opt)
- [def wrapped](#def-wrapped)
- [def func](#def-func)
- [def bind](#def-bind)
- [def __init__](#def-__init__)
- [def call](#def-call)
- [def contextualize](#def-contextualize)
- [def task](#def-task)
- [def patch](#def-patch)
- [def wrapper](#def-wrapper)
- [def wrapped](#def-wrapped)
- [def recv_record_from_network](#def-recv_record_from_network)
- [def level](#def-level)
- [def disable](#def-disable)
- [def enable](#def-enable)
- [def configure](#def-configure)
- [def _change_activation](#def-_change_activation)
- [def modules_depth](#def-modules_depth)
- [def parse](#def-parse)
- [def cast](#def-cast)
- [def cast_function](#def-cast_function)
- [def _find_iter](#def-_find_iter)
- [def _log](#def-_log)
- [def trace](#def-trace)
- [def debug](#def-debug)
- [def info](#def-info)
- [def success](#def-success)
- [def warning](#def-warning)
- [def error](#def-error)
- [def critical](#def-critical)
- [def exception](#def-exception)
- [def log](#def-log)
- [def start](#def-start)
- [def stop](#def-stop)
</details>

<details><summary><h3><strong>class Logger</strong></h3></summary>

An object to dispatch logging messages to configured handlers.

    The |Logger| is the core object of ``loguru``, every logging configuration and usage pass
    through a call to one of its methods. There is only one logger, so there is no need to retrieve
    one before usage.

    Once the ``logger`` is imported, it can be used to write messages about events happening in your
    code. By reading the output logs of your application, you gain a better understanding of the
    flow of your program and you more easily track and debug unexpected behaviors.

    Handlers to which the logger sends log messages are added using the |add| method. Note that you
    can use the |Logger| right after import as it comes pre-configured (logs are emitted to
    |sys.stderr| by default). Messages can be logged with different severity levels and they can be
    formatted using curly braces (it uses |str.format| under the hood).

    When a message is logged, a "record" is associated with it. This record is a dict which contains
    information about the logging context: time, function, file, line, thread, level... It also
    contains the ``__name__`` of the module, this is why you don't need named loggers.

    You should not instantiate a |Logger| by yourself, use ``from loguru import logger`` instead.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Add a handler sending log messages to a sink adequately configured.

        Parameters
        ----------
        sink : |file-like object|_, |str|, |Path|, |callable|_, |coroutine function|_ or |Handler|
            An object in charge of receiving formatted logging messages and propagating them to an
            appropriate endpoint.
        level : |int| or |str|, optional
            The minimum severity level from which logged messages should be sent to the sink.
        format : |str| or |callable|_, optional
            The template used to format logged messages before being sent to the sink.
        filter : |callable|_, |str| or |dict|, optional
            A directive optionally used to decide for each logged message whether it should be sent
            to the sink or not.
        colorize : |bool|, optional
            Whether the color markups contained in the formatted message should be converted to ansi
            codes for terminal coloration, or stripped otherwise. If ``None``, the choice is
            automatically made based on the sink being a tty or not.
        serialize : |bool|, optional
            Whether the logged message and its records should be first converted to a JSON string
            before being sent to the sink.
        backtrace : |bool|, optional
            Whether the exception trace formatted should be extended upward, beyond the catching
            point, to show the full stacktrace which generated the error.
        diagnose : |bool|, optional
            Whether the exception trace should display the variables values to eases the debugging.
            This should be set to ``False`` in production to avoid leaking sensitive data.
        enqueue : |bool|, optional
            Whether the messages to be logged should first pass through a multiprocessing-safe queue
            before reaching the sink. This is useful while logging to a file through multiple
            processes. This also has the advantage of making logging calls non-blocking.
        context : |multiprocessing.Context| or |str|, optional
            A context object or name that will be used for all tasks involving internally the
            |multiprocessing| module, in particular when ``enqueue=True``. If ``None``, the default
            context is used.
        catch : |bool|, optional
            Whether errors occurring while sink handles logs messages should be automatically
            caught. If ``True``, an exception message is displayed on |sys.stderr| but the exception
            is not propagated to the caller, preventing your app to crash.
        **kwargs
            Additional parameters that are only valid to configure a coroutine or file sink (see
            below).


        If and only if the sink is a coroutine function, the following parameter applies:

        Parameters
        ----------
        loop : |AbstractEventLoop|, optional
            The event loop in which the asynchronous logging task will be scheduled and executed. If
            ``None``, the loop used is the one returned by |asyncio.get_running_loop| at the time of
            the logging call (task is discarded if there is no loop currently running).


        If and only if the sink is a file path, the following parameters apply:

        Parameters
        ----------
        rotation : |str|, |int|, |time|, |timedelta| or |callable|_, optional
            A condition indicating whenever the current logged file should be closed and a new one
            started.
        retention : |str|, |int|, |timedelta| or |callable|_, optional
            A directive filtering old files that should be removed during rotation or end of
            program.
        compression : |str| or |callable|_, optional
            A compression or archive format to which log files should be converted at closure.
        delay : |bool|, optional
            Whether the file should be created as soon as the sink is configured, or delayed until
            first logged message. It defaults to ``False``.
        watch : |bool|, optional
            Whether or not the file should be watched and re-opened when deleted or changed (based
            on its device and inode properties) by an external program. It defaults to ``False``.
        mode : |str|, optional
            The opening mode as for built-in |open| function. It defaults to ``"a"`` (open the
            file in appending mode).
        buffering : |int|, optional
            The buffering policy as for built-in |open| function. It defaults to ``1`` (line
            buffered file).
        encoding : |str|, optional
            The file encoding as for built-in |open| function. It defaults to ``"utf8"``.
        **kwargs
            Others parameters are passed to the built-in |open| function.

        Returns
        -------
        :class:`int`
            An identifier associated with the added sink and which should be used to
            |remove| it.

        Raises
        ------
        ValueError
            If any of the arguments passed to configure the sink is invalid.

        Notes
        -----
        Extended summary follows.

        .. _sink:

        .. rubric:: The sink parameter

        The ``sink`` handles incoming log messages and proceed to their writing somewhere and
        somehow. A sink can take many forms:

        - A |file-like object|_ like ``sys.stderr`` or ``open("file.log", "w")``. Anything with
          a ``.write()`` method is considered as a file-like object. Custom handlers may also
          implement ``flush()`` (called after each logged message), ``stop()`` (called at sink
          termination) and ``complete()`` (awaited by the eponymous method).
        - A file path as |str| or |Path|. It can be parametrized with some additional parameters,
          see below.
        - A |callable|_ (such as a simple function) like ``lambda msg: print(msg)``. This
          allows for logging procedure entirely defined by user preferences and needs.
        - A asynchronous |coroutine function|_ defined with the ``async def`` statement. The
          coroutine object returned by such function will be added to the event loop using
          |loop.create_task|. The tasks should be awaited before ending the loop by using
          |complete|.
        - A built-in |Handler| like ``logging.StreamHandler``. In such a case, the `Loguru` records
          are automatically converted to the structure expected by the |logging| module.

        Note that the logging functions are not `reentrant`_. This means you should avoid using
        the ``logger`` inside any of your sinks or from within |signal| handlers. Otherwise, you
        may face deadlock if the module's sink was not explicitly disabled.

        .. _message:

        .. rubric:: The logged message

        The logged message passed to all added sinks is nothing more than a string of the
        formatted log, to which a special attribute is associated: the ``.record`` which is a dict
        containing all contextual information possibly needed (see below).

        Logged messages are formatted according to the ``format`` of the added sink. This format
        is usually a string containing braces fields to display attributes from the record dict.

        If fine-grained control is needed, the ``format`` can also be a function which takes the
        record as parameter and return the format template string. However, note that in such a
        case, you should take care of appending the line ending and exception field to the returned
        format, while ``"\n{exception}"`` is automatically appended for convenience if ``format`` is
        a string.

        The ``filter`` attribute can be used to control which messages are effectively passed to the
        sink and which one are ignored. A function can be used, accepting the record as an
        argument, and returning ``True`` if the message should be logged, ``False`` otherwise. If
        a string is used, only the records with the same ``name`` and its children will be allowed.
        One can also pass a ``dict`` mapping module names to minimum required level. In such case,
        each log record will search for it's closest parent in the ``dict`` and use the associated
        level as the filter. The ``dict`` values can be ``int`` severity, ``str`` level name or
        ``True`` and ``False`` to respectively authorize and discard all module logs
        unconditionally. In order to set a default level, the ``""`` module name should be used as
        it is the parent of all modules (it does not suppress global ``level`` threshold, though).

        Note that while calling a logging method, the keyword arguments (if any) are automatically
        added to the ``extra`` dict for convenient contextualization (in addition to being used for
        formatting).

        .. _levels:

        .. rubric:: The severity levels

        Each logged message is associated with a severity level. These levels make it possible to
        prioritize messages and to choose the verbosity of the logs according to usages. For
        example, it allows to display some debugging information to a developer, while hiding it to
        the end user running the application.

        The ``level`` attribute of every added sink controls the minimum threshold from which log
        messages are allowed to be emitted. While using the ``logger``, you are in charge of
        configuring the appropriate granularity of your logs. It is possible to add even more custom
        levels by using the |level| method.

        Here are the standard levels with their default severity value, each one is associated with
        a logging method of the same name:

        +----------------------+------------------------+------------------------+
        | Level name           | Severity value         | Logger method          |
        +======================+========================+========================+
        | ``TRACE``            | 5                      | |logger.trace|         |
        +----------------------+------------------------+------------------------+
        | ``DEBUG``            | 10                     | |logger.debug|         |
        +----------------------+------------------------+------------------------+
        | ``INFO``             | 20                     | |logger.info|          |
        +----------------------+------------------------+------------------------+
        | ``SUCCESS``          | 25                     | |logger.success|       |
        +----------------------+------------------------+------------------------+
        | ``WARNING``          | 30                     | |logger.warning|       |
        +----------------------+------------------------+------------------------+
        | ``ERROR``            | 40                     | |logger.error|         |
        +----------------------+------------------------+------------------------+
        | ``CRITICAL``         | 50                     | |logger.critical|      |
        +----------------------+------------------------+------------------------+

        .. _record:

        .. rubric:: The record dict

        The record is just a Python dict, accessible from sinks by ``message.record``. It contains
        all contextual information of the logging call (time, function, file, line, level, etc.).

        Each of the record keys can be used in the handler's ``format`` so the corresponding value
        is properly displayed in the logged message (e.g. ``"{level}"`` will return ``"INFO"``).
        Some records' values are objects with two or more attributes. These can be formatted with
        ``"{key.attr}"`` (``"{key}"`` would display one by default).

        Note that you can use any `formatting directives`_ available in Python's ``str.format()``
        method (e.g. ``"{key: >3}"`` will right-align and pad to a width of 3 characters). This is
        particularly useful for time formatting (see below).

        +------------+---------------------------------+----------------------------+
        | Key        | Description                     | Attributes                 |
        +============+=================================+============================+
        | elapsed    | The time elapsed since the      | See |timedelta|            |
        |            | start of the program            |                            |
        +------------+---------------------------------+----------------------------+
        | exception  | The formatted exception if any, | ``type``, ``value``,       |
        |            | ``None`` otherwise              | ``traceback``              |
        +------------+---------------------------------+----------------------------+
        | extra      | The dict of attributes          | None                       |
        |            | bound by the user (see |bind|)  |                            |
        +------------+---------------------------------+----------------------------+
        | file       | The file where the logging call | ``name`` (default),        |
        |            | was made                        | ``path``                   |
        +------------+---------------------------------+----------------------------+
        | function   | The function from which the     | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | level      | The severity used to log the    | ``name`` (default),        |
        |            | message                         | ``no``, ``icon``           |
        +------------+---------------------------------+----------------------------+
        | line       | The line number in the source   | None                       |
        |            | code                            |                            |
        +------------+---------------------------------+----------------------------+
        | message    | The logged message (not yet     | None                       |
        |            | formatted)                      |                            |
        +------------+---------------------------------+----------------------------+
        | module     | The module where the logging    | None                       |
        |            | call was made                   |                            |
        +------------+---------------------------------+----------------------------+
        | name       | The ``__name__`` where the      | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | process    | The process in which the        | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | thread     | The thread in which the         | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | time       | The aware local time when the   | See |datetime|             |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+

        .. _time:

        .. rubric:: The time formatting

        To use your favorite time representation, you can set it directly in the time formatter
        specifier of your handler format, like for example ``format="{time:HH:mm:ss} {message}"``.
        Note that this datetime represents your local time, and it is also made timezone-aware,
        so you can display the UTC offset to avoid ambiguities.

        The time field can be formatted using more human-friendly tokens. These constitute a subset
        of the one used by the `Pendulum`_ library of `@sdispater`_. To escape a token, just add
        square brackets around it, for example ``"[YY]"`` would display literally ``"YY"``.

        If you prefer to display UTC rather than local time, you can add ``"!UTC"`` at the very end
        of the time format, like ``{time:HH:mm:ss!UTC}``. Doing so will convert the ``datetime``
        to UTC before formatting.

        If no time formatter specifier is used, like for example if ``format="{time} {message}"``,
        the default one will use ISO 8601.

        +------------------------+---------+----------------------------------------+
        |                        | Token   | Output                                 |
        +========================+=========+========================================+
        | Year                   | YYYY    | 2000, 2001, 2002 ... 2012, 2013        |
        |                        +---------+----------------------------------------+
        |                        | YY      | 00, 01, 02 ... 12, 13                  |
        +------------------------+---------+----------------------------------------+
        | Quarter                | Q       | 1 2 3 4                                |
        +------------------------+---------+----------------------------------------+
        | Month                  | MMMM    | January, February, March ...           |
        |                        +---------+----------------------------------------+
        |                        | MMM     | Jan, Feb, Mar ...                      |
        |                        +---------+----------------------------------------+
        |                        | MM      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | M       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Day of Year            | DDDD    | 001, 002, 003 ... 364, 365             |
        |                        +---------+----------------------------------------+
        |                        | DDD     | 1, 2, 3 ... 364, 365                   |
        +------------------------+---------+----------------------------------------+
        | Day of Month           | DD      | 01, 02, 03 ... 30, 31                  |
        |                        +---------+----------------------------------------+
        |                        | D       | 1, 2, 3 ... 30, 31                     |
        +------------------------+---------+----------------------------------------+
        | Day of Week            | dddd    | Monday, Tuesday, Wednesday ...         |
        |                        +---------+----------------------------------------+
        |                        | ddd     | Mon, Tue, Wed ...                      |
        |                        +---------+----------------------------------------+
        |                        | d       | 0, 1, 2 ... 6                          |
        +------------------------+---------+----------------------------------------+
        | Days of ISO Week       | E       | 1, 2, 3 ... 7                          |
        +------------------------+---------+----------------------------------------+
        | Hour                   | HH      | 00, 01, 02 ... 23, 24                  |
        |                        +---------+----------------------------------------+
        |                        | H       | 0, 1, 2 ... 23, 24                     |
        |                        +---------+----------------------------------------+
        |                        | hh      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | h       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Minute                 | mm      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | m       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Second                 | ss      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | s       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Fractional Second      | S       | 0 1 ... 8 9                            |
        |                        +---------+----------------------------------------+
        |                        | SS      | 00, 01, 02 ... 98, 99                  |
        |                        +---------+----------------------------------------+
        |                        | SSS     | 000 001 ... 998 999                    |
        |                        +---------+----------------------------------------+
        |                        | SSSS... | 000[0..] 001[0..] ... 998[0..] 999[0..]|
        |                        +---------+----------------------------------------+
        |                        | SSSSSS  | 000000 000001 ... 999998 999999        |
        +------------------------+---------+----------------------------------------+
        | AM / PM                | A       | AM, PM                                 |
        +------------------------+---------+----------------------------------------+
        | Timezone               | Z       | -07:00, -06:00 ... +06:00, +07:00      |
        |                        +---------+----------------------------------------+
        |                        | ZZ      | -0700, -0600 ... +0600, +0700          |
        |                        +---------+----------------------------------------+
        |                        | zz      | EST CST ... MST PST                    |
        +------------------------+---------+----------------------------------------+
        | Seconds timestamp      | X       | 1381685817, 1234567890.123             |
        +------------------------+---------+----------------------------------------+
        | Microseconds timestamp | x       | 1234567890123                          |
        +------------------------+---------+----------------------------------------+

        .. _file:

        .. rubric:: The file sinks

        If the sink is a |str| or a |Path|, the corresponding file will be opened for writing logs.
        The path can also contain a special ``"{time}"`` field that will be formatted with the
        current date at file creation. The file is closed at sink stop, i.e. when the application
        ends or the handler is removed.

        The ``rotation`` check is made before logging each message. If there is already an existing
        file with the same name that the file to be created, then the existing file is renamed by
        appending the date to its basename to prevent file overwriting. This parameter accepts:

        - an |int| which corresponds to the maximum file size in bytes before that the current
          logged file is closed and a new one started over.
        - a |timedelta| which indicates the frequency of each new rotation.
        - a |time| which specifies the hour when the daily rotation should occur.
        - a |str| for human-friendly parametrization of one of the previously enumerated types.

<p><strong>Usage example</strong></p>

<pre><code>
``"100 MB"``, ``"0.5 GB"``, ``"1 month 2 weeks"``, ``"4 days"``, ``"10h"``,
``"monthly"``, ``"18:00"``, ``"sunday"``, ``"w0"``, ``"monday at 12:00"``, ...
- a |callable|_ which will be invoked before logging. It should accept two arguments: the
logged message and the file object, and it should return ``True`` if the rotation should
happen now, ``False`` otherwise.
The ``retention`` occurs at rotation or at sink stop if rotation is ``None``. Files
resulting from previous sessions or rotations are automatically collected from disk. A file
is selected if it matches the pattern ``"basename(.*).ext(.*)"`` (possible time fields are
beforehand replaced with ``.*``) based on the configured sink. Afterwards, the list is
processed to determine files to be retained. This parameter accepts:
- an |int| which indicates the number of log files to keep, while older files are deleted.
- a |timedelta| which specifies the maximum age of files to keep.
- a |str| for human-friendly parametrization of the maximum age of files to keep.
Examples: ``"1 week, 3 days"``, ``"2 months"``, ...
- a |callable|_ which will be invoked before the retention process. It should accept the
list of log files as argument and process to whatever it wants (moving files, removing
them, etc.).
The ``compression`` happens at rotation or at sink stop if rotation is ``None``. This
parameter accepts:
- a |str| which corresponds to the compressed or archived file extension. This can be one
of: ``"gz"``, ``"bz2"``, ``"xz"``, ``"lzma"``, ``"tar"``, ``"tar.gz"``, ``"tar.bz2"``,
``"tar.xz"``, ``"zip"``.
- a |callable|_ which will be invoked before file termination. It should accept the path of
the log file as argument and process to whatever it wants (custom compression, network
sending, removing it, etc.).
Either way, if you use a custom function designed according to your preferences, you must be
very careful not to use the ``logger`` within your function. Otherwise, there is a risk that
your program hang because of a deadlock.
.. _color:
.. rubric:: The color markups
To add colors to your logs, you just have to enclose your format string with the appropriate
tags (e.g. ``<red>some message</red>``). These tags are automatically removed if the sink
doesn't support ansi codes. For convenience, you can use ``</>`` to close the last opening
tag without repeating its name (e.g. ``<red>another message</>``).
The special tag ``<level>`` (abbreviated with ``<lvl>``) is transformed according to
the configured color of the logged message level.
Tags which are not recognized will raise an exception during parsing, to inform you about
possible misuse. If you wish to display a markup tag literally, you can escape it by
prepending a ``\`` like for example ``\<blue>``. If, for some reason, you need to escape a
string programmatically, note that the regex used internally to parse markup tags is
``r"\\?</?((?:[fb]g\s)?[^<>\s]*)>"``.
Note that when logging a message with ``opt(colors=True)``, color tags present in the
formatting arguments (``args`` and ``kwargs``) are completely ignored. This is important if
you need to log strings containing markups that might interfere with the color tags (in this
case, do not use f-string).
Here are the available tags (note that compatibility may vary depending on terminal):
+------------------------------------+--------------------------------------+
| Color (abbr)                       | Styles (abbr)                        |
+====================================+======================================+
| Black (k)                          | Bold (b)                             |
+------------------------------------+--------------------------------------+
| Blue (e)                           | Dim (d)                              |
+------------------------------------+--------------------------------------+
| Cyan (c)                           | Normal (n)                           |
+------------------------------------+--------------------------------------+
| Green (g)                          | Italic (i)                           |
+------------------------------------+--------------------------------------+
| Magenta (m)                        | Underline (u)                        |
+------------------------------------+--------------------------------------+
| Red (r)                            | Strike (s)                           |
+------------------------------------+--------------------------------------+
| White (w)                          | Reverse (v)                          |
+------------------------------------+--------------------------------------+
| Yellow (y)                         | Blink (l)                            |
+------------------------------------+--------------------------------------+
|                                    | Hide (h)                             |
+------------------------------------+--------------------------------------+
Usage:
+-----------------+-------------------------------------------------------------------+
| Description     | Examples                                                          |
|                 +---------------------------------+---------------------------------+
|                 | Foreground                      | Background                      |
+=================+=================================+=================================+
| Basic colors    | ``<red>``, ``<r>``              | ``<GREEN>``, ``<G>``            |
+-----------------+---------------------------------+---------------------------------+
| Light colors    | ``<light-blue>``, ``<le>``      | ``<LIGHT-CYAN>``, ``<LC>``      |
+-----------------+---------------------------------+---------------------------------+
| 8-bit colors    | ``<fg 86>``, ``<fg 255>``       | ``<bg 42>``, ``<bg 9>``         |
+-----------------+---------------------------------+---------------------------------+
| Hex colors      | ``<fg #00005f>``, ``<fg #EE1>`` | ``<bg #AF5FD7>``, ``<bg #fff>`` |
+-----------------+---------------------------------+---------------------------------+
| RGB colors      | ``<fg 0,95,0>``                 | ``<bg 72,119,65>``              |
+-----------------+---------------------------------+---------------------------------+
| Stylizing       | ``<bold>``, ``<b>``,  ``<underline>``, ``<u>``                    |
+-----------------+-------------------------------------------------------------------+
.. _env:
.. rubric:: The environment variables
The default values of sink parameters can be entirely customized. This is particularly
useful if you don't like the log format of the pre-configured sink.
Each of the |add| default parameter can be modified by setting the ``LOGURU_[PARAM]``
environment variable. For example on Linux: ``export LOGURU_FORMAT="{time} - {message}"``
or ``export LOGURU_DIAGNOSE=NO``.
The default levels' attributes can also be modified by setting the ``LOGURU_[LEVEL]_[ATTR]``
environment variable. For example, on Windows: ``setx LOGURU_DEBUG_COLOR "<blue>"``
or ``setx LOGURU_TRACE_ICON "🚀"``. If you use the ``set`` command, do not include quotes
but escape special symbol as needed, e.g. ``set LOGURU_DEBUG_COLOR=^<blue^>``.
If you want to disable the pre-configured sink, you can set the ``LOGURU_AUTOINIT``
variable to ``False``.
On Linux, you will probably need to edit the ``~/.profile`` file to make this persistent. On
Windows, don't forget to restart your terminal for the change to be taken into account.
Examples
--------
>>> logger.add(sys.stdout, format="{time} - {level} - {message}", filter="sub.module")
>>> logger.add("file_{time}.log", level="TRACE", rotation="100 MB")
>>> def debug_only(record):
...     return record["level"].name == "DEBUG"
...
>>> logger.add("debug.log", filter=debug_only)  # Other levels are filtered out
>>> def my_sink(message):
...     record = message.record
...     update_db(message, time=record["time"], level=record["level"])
...
>>> logger.add(my_sink)
>>> level_per_module = {
...     "": "DEBUG",
...     "third.lib": "WARNING",
...     "anotherlib": False
... }
>>> logger.add(lambda m: print(m, end=""), filter=level_per_module, level=0)
>>> async def publish(message):
...     await api.post(message)
...
>>> logger.add(publish, serialize=True)
>>> from logging import StreamHandler
>>> logger.add(StreamHandler(sys.stderr), format="{message}")
>>> class RandomStream:
...     def __init__(self, seed, threshold):
...         self.threshold = threshold
...         random.seed(seed)
...     def write(self, message):
...         if random.random() > self.threshold:
...             print(message)
...
>>> stream_object = RandomStream(seed=12345, threshold=0.25)
>>> logger.add(stream_object, level="INFO")
</code></pre>
</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Add a handler sending log messages to a sink adequately configured.

        Parameters
        ----------
        sink : |file-like object|_, |str|, |Path|, |callable|_, |coroutine function|_ or |Handler|
            An object in charge of receiving formatted logging messages and propagating them to an
            appropriate endpoint.
        level : |int| or |str|, optional
            The minimum severity level from which logged messages should be sent to the sink.
        format : |str| or |callable|_, optional
            The template used to format logged messages before being sent to the sink.
        filter : |callable|_, |str| or |dict|, optional
            A directive optionally used to decide for each logged message whether it should be sent
            to the sink or not.
        colorize : |bool|, optional
            Whether the color markups contained in the formatted message should be converted to ansi
            codes for terminal coloration, or stripped otherwise. If ``None``, the choice is
            automatically made based on the sink being a tty or not.
        serialize : |bool|, optional
            Whether the logged message and its records should be first converted to a JSON string
            before being sent to the sink.
        backtrace : |bool|, optional
            Whether the exception trace formatted should be extended upward, beyond the catching
            point, to show the full stacktrace which generated the error.
        diagnose : |bool|, optional
            Whether the exception trace should display the variables values to eases the debugging.
            This should be set to ``False`` in production to avoid leaking sensitive data.
        enqueue : |bool|, optional
            Whether the messages to be logged should first pass through a multiprocessing-safe queue
            before reaching the sink. This is useful while logging to a file through multiple
            processes. This also has the advantage of making logging calls non-blocking.
        context : |multiprocessing.Context| or |str|, optional
            A context object or name that will be used for all tasks involving internally the
            |multiprocessing| module, in particular when ``enqueue=True``. If ``None``, the default
            context is used.
        catch : |bool|, optional
            Whether errors occurring while sink handles logs messages should be automatically
            caught. If ``True``, an exception message is displayed on |sys.stderr| but the exception
            is not propagated to the caller, preventing your app to crash.
        **kwargs
            Additional parameters that are only valid to configure a coroutine or file sink (see
            below).


        If and only if the sink is a coroutine function, the following parameter applies:

        Parameters
        ----------
        loop : |AbstractEventLoop|, optional
            The event loop in which the asynchronous logging task will be scheduled and executed. If
            ``None``, the loop used is the one returned by |asyncio.get_running_loop| at the time of
            the logging call (task is discarded if there is no loop currently running).


        If and only if the sink is a file path, the following parameters apply:

        Parameters
        ----------
        rotation : |str|, |int|, |time|, |timedelta| or |callable|_, optional
            A condition indicating whenever the current logged file should be closed and a new one
            started.
        retention : |str|, |int|, |timedelta| or |callable|_, optional
            A directive filtering old files that should be removed during rotation or end of
            program.
        compression : |str| or |callable|_, optional
            A compression or archive format to which log files should be converted at closure.
        delay : |bool|, optional
            Whether the file should be created as soon as the sink is configured, or delayed until
            first logged message. It defaults to ``False``.
        watch : |bool|, optional
            Whether or not the file should be watched and re-opened when deleted or changed (based
            on its device and inode properties) by an external program. It defaults to ``False``.
        mode : |str|, optional
            The opening mode as for built-in |open| function. It defaults to ``"a"`` (open the
            file in appending mode).
        buffering : |int|, optional
            The buffering policy as for built-in |open| function. It defaults to ``1`` (line
            buffered file).
        encoding : |str|, optional
            The file encoding as for built-in |open| function. It defaults to ``"utf8"``.
        **kwargs
            Others parameters are passed to the built-in |open| function.

        Returns
        -------
        :class:`int`
            An identifier associated with the added sink and which should be used to
            |remove| it.

        Raises
        ------
        ValueError
            If any of the arguments passed to configure the sink is invalid.

        Notes
        -----
        Extended summary follows.

        .. _sink:

        .. rubric:: The sink parameter

        The ``sink`` handles incoming log messages and proceed to their writing somewhere and
        somehow. A sink can take many forms:

        - A |file-like object|_ like ``sys.stderr`` or ``open("file.log", "w")``. Anything with
          a ``.write()`` method is considered as a file-like object. Custom handlers may also
          implement ``flush()`` (called after each logged message), ``stop()`` (called at sink
          termination) and ``complete()`` (awaited by the eponymous method).
        - A file path as |str| or |Path|. It can be parametrized with some additional parameters,
          see below.
        - A |callable|_ (such as a simple function) like ``lambda msg: print(msg)``. This
          allows for logging procedure entirely defined by user preferences and needs.
        - A asynchronous |coroutine function|_ defined with the ``async def`` statement. The
          coroutine object returned by such function will be added to the event loop using
          |loop.create_task|. The tasks should be awaited before ending the loop by using
          |complete|.
        - A built-in |Handler| like ``logging.StreamHandler``. In such a case, the `Loguru` records
          are automatically converted to the structure expected by the |logging| module.

        Note that the logging functions are not `reentrant`_. This means you should avoid using
        the ``logger`` inside any of your sinks or from within |signal| handlers. Otherwise, you
        may face deadlock if the module's sink was not explicitly disabled.

        .. _message:

        .. rubric:: The logged message

        The logged message passed to all added sinks is nothing more than a string of the
        formatted log, to which a special attribute is associated: the ``.record`` which is a dict
        containing all contextual information possibly needed (see below).

        Logged messages are formatted according to the ``format`` of the added sink. This format
        is usually a string containing braces fields to display attributes from the record dict.

        If fine-grained control is needed, the ``format`` can also be a function which takes the
        record as parameter and return the format template string. However, note that in such a
        case, you should take care of appending the line ending and exception field to the returned
        format, while ``"\n{exception}"`` is automatically appended for convenience if ``format`` is
        a string.

        The ``filter`` attribute can be used to control which messages are effectively passed to the
        sink and which one are ignored. A function can be used, accepting the record as an
        argument, and returning ``True`` if the message should be logged, ``False`` otherwise. If
        a string is used, only the records with the same ``name`` and its children will be allowed.
        One can also pass a ``dict`` mapping module names to minimum required level. In such case,
        each log record will search for it's closest parent in the ``dict`` and use the associated
        level as the filter. The ``dict`` values can be ``int`` severity, ``str`` level name or
        ``True`` and ``False`` to respectively authorize and discard all module logs
        unconditionally. In order to set a default level, the ``""`` module name should be used as
        it is the parent of all modules (it does not suppress global ``level`` threshold, though).

        Note that while calling a logging method, the keyword arguments (if any) are automatically
        added to the ``extra`` dict for convenient contextualization (in addition to being used for
        formatting).

        .. _levels:

        .. rubric:: The severity levels

        Each logged message is associated with a severity level. These levels make it possible to
        prioritize messages and to choose the verbosity of the logs according to usages. For
        example, it allows to display some debugging information to a developer, while hiding it to
        the end user running the application.

        The ``level`` attribute of every added sink controls the minimum threshold from which log
        messages are allowed to be emitted. While using the ``logger``, you are in charge of
        configuring the appropriate granularity of your logs. It is possible to add even more custom
        levels by using the |level| method.

        Here are the standard levels with their default severity value, each one is associated with
        a logging method of the same name:

        +----------------------+------------------------+------------------------+
        | Level name           | Severity value         | Logger method          |
        +======================+========================+========================+
        | ``TRACE``            | 5                      | |logger.trace|         |
        +----------------------+------------------------+------------------------+
        | ``DEBUG``            | 10                     | |logger.debug|         |
        +----------------------+------------------------+------------------------+
        | ``INFO``             | 20                     | |logger.info|          |
        +----------------------+------------------------+------------------------+
        | ``SUCCESS``          | 25                     | |logger.success|       |
        +----------------------+------------------------+------------------------+
        | ``WARNING``          | 30                     | |logger.warning|       |
        +----------------------+------------------------+------------------------+
        | ``ERROR``            | 40                     | |logger.error|         |
        +----------------------+------------------------+------------------------+
        | ``CRITICAL``         | 50                     | |logger.critical|      |
        +----------------------+------------------------+------------------------+

        .. _record:

        .. rubric:: The record dict

        The record is just a Python dict, accessible from sinks by ``message.record``. It contains
        all contextual information of the logging call (time, function, file, line, level, etc.).

        Each of the record keys can be used in the handler's ``format`` so the corresponding value
        is properly displayed in the logged message (e.g. ``"{level}"`` will return ``"INFO"``).
        Some records' values are objects with two or more attributes. These can be formatted with
        ``"{key.attr}"`` (``"{key}"`` would display one by default).

        Note that you can use any `formatting directives`_ available in Python's ``str.format()``
        method (e.g. ``"{key: >3}"`` will right-align and pad to a width of 3 characters). This is
        particularly useful for time formatting (see below).

        +------------+---------------------------------+----------------------------+
        | Key        | Description                     | Attributes                 |
        +============+=================================+============================+
        | elapsed    | The time elapsed since the      | See |timedelta|            |
        |            | start of the program            |                            |
        +------------+---------------------------------+----------------------------+
        | exception  | The formatted exception if any, | ``type``, ``value``,       |
        |            | ``None`` otherwise              | ``traceback``              |
        +------------+---------------------------------+----------------------------+
        | extra      | The dict of attributes          | None                       |
        |            | bound by the user (see |bind|)  |                            |
        +------------+---------------------------------+----------------------------+
        | file       | The file where the logging call | ``name`` (default),        |
        |            | was made                        | ``path``                   |
        +------------+---------------------------------+----------------------------+
        | function   | The function from which the     | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | level      | The severity used to log the    | ``name`` (default),        |
        |            | message                         | ``no``, ``icon``           |
        +------------+---------------------------------+----------------------------+
        | line       | The line number in the source   | None                       |
        |            | code                            |                            |
        +------------+---------------------------------+----------------------------+
        | message    | The logged message (not yet     | None                       |
        |            | formatted)                      |                            |
        +------------+---------------------------------+----------------------------+
        | module     | The module where the logging    | None                       |
        |            | call was made                   |                            |
        +------------+---------------------------------+----------------------------+
        | name       | The ``__name__`` where the      | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | process    | The process in which the        | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | thread     | The thread in which the         | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | time       | The aware local time when the   | See |datetime|             |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+

        .. _time:

        .. rubric:: The time formatting

        To use your favorite time representation, you can set it directly in the time formatter
        specifier of your handler format, like for example ``format="{time:HH:mm:ss} {message}"``.
        Note that this datetime represents your local time, and it is also made timezone-aware,
        so you can display the UTC offset to avoid ambiguities.

        The time field can be formatted using more human-friendly tokens. These constitute a subset
        of the one used by the `Pendulum`_ library of `@sdispater`_. To escape a token, just add
        square brackets around it, for example ``"[YY]"`` would display literally ``"YY"``.

        If you prefer to display UTC rather than local time, you can add ``"!UTC"`` at the very end
        of the time format, like ``{time:HH:mm:ss!UTC}``. Doing so will convert the ``datetime``
        to UTC before formatting.

        If no time formatter specifier is used, like for example if ``format="{time} {message}"``,
        the default one will use ISO 8601.

        +------------------------+---------+----------------------------------------+
        |                        | Token   | Output                                 |
        +========================+=========+========================================+
        | Year                   | YYYY    | 2000, 2001, 2002 ... 2012, 2013        |
        |                        +---------+----------------------------------------+
        |                        | YY      | 00, 01, 02 ... 12, 13                  |
        +------------------------+---------+----------------------------------------+
        | Quarter                | Q       | 1 2 3 4                                |
        +------------------------+---------+----------------------------------------+
        | Month                  | MMMM    | January, February, March ...           |
        |                        +---------+----------------------------------------+
        |                        | MMM     | Jan, Feb, Mar ...                      |
        |                        +---------+----------------------------------------+
        |                        | MM      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | M       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Day of Year            | DDDD    | 001, 002, 003 ... 364, 365             |
        |                        +---------+----------------------------------------+
        |                        | DDD     | 1, 2, 3 ... 364, 365                   |
        +------------------------+---------+----------------------------------------+
        | Day of Month           | DD      | 01, 02, 03 ... 30, 31                  |
        |                        +---------+----------------------------------------+
        |                        | D       | 1, 2, 3 ... 30, 31                     |
        +------------------------+---------+----------------------------------------+
        | Day of Week            | dddd    | Monday, Tuesday, Wednesday ...         |
        |                        +---------+----------------------------------------+
        |                        | ddd     | Mon, Tue, Wed ...                      |
        |                        +---------+----------------------------------------+
        |                        | d       | 0, 1, 2 ... 6                          |
        +------------------------+---------+----------------------------------------+
        | Days of ISO Week       | E       | 1, 2, 3 ... 7                          |
        +------------------------+---------+----------------------------------------+
        | Hour                   | HH      | 00, 01, 02 ... 23, 24                  |
        |                        +---------+----------------------------------------+
        |                        | H       | 0, 1, 2 ... 23, 24                     |
        |                        +---------+----------------------------------------+
        |                        | hh      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | h       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Minute                 | mm      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | m       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Second                 | ss      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | s       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Fractional Second      | S       | 0 1 ... 8 9                            |
        |                        +---------+----------------------------------------+
        |                        | SS      | 00, 01, 02 ... 98, 99                  |
        |                        +---------+----------------------------------------+
        |                        | SSS     | 000 001 ... 998 999                    |
        |                        +---------+----------------------------------------+
        |                        | SSSS... | 000[0..] 001[0..] ... 998[0..] 999[0..]|
        |                        +---------+----------------------------------------+
        |                        | SSSSSS  | 000000 000001 ... 999998 999999        |
        +------------------------+---------+----------------------------------------+
        | AM / PM                | A       | AM, PM                                 |
        +------------------------+---------+----------------------------------------+
        | Timezone               | Z       | -07:00, -06:00 ... +06:00, +07:00      |
        |                        +---------+----------------------------------------+
        |                        | ZZ      | -0700, -0600 ... +0600, +0700          |
        |                        +---------+----------------------------------------+
        |                        | zz      | EST CST ... MST PST                    |
        +------------------------+---------+----------------------------------------+
        | Seconds timestamp      | X       | 1381685817, 1234567890.123             |
        +------------------------+---------+----------------------------------------+
        | Microseconds timestamp | x       | 1234567890123                          |
        +------------------------+---------+----------------------------------------+

        .. _file:

        .. rubric:: The file sinks

        If the sink is a |str| or a |Path|, the corresponding file will be opened for writing logs.
        The path can also contain a special ``"{time}"`` field that will be formatted with the
        current date at file creation. The file is closed at sink stop, i.e. when the application
        ends or the handler is removed.

        The ``rotation`` check is made before logging each message. If there is already an existing
        file with the same name that the file to be created, then the existing file is renamed by
        appending the date to its basename to prevent file overwriting. This parameter accepts:

        - an |int| which corresponds to the maximum file size in bytes before that the current
          logged file is closed and a new one started over.
        - a |timedelta| which indicates the frequency of each new rotation.
        - a |time| which specifies the hour when the daily rotation should occur.
        - a |str| for human-friendly parametrization of one of the previously enumerated types.

<p><strong>Usage example</strong></p>

<pre><code>
``"100 MB"``, ``"0.5 GB"``, ``"1 month 2 weeks"``, ``"4 days"``, ``"10h"``,
``"monthly"``, ``"18:00"``, ``"sunday"``, ``"w0"``, ``"monday at 12:00"``, ...
- a |callable|_ which will be invoked before logging. It should accept two arguments: the
logged message and the file object, and it should return ``True`` if the rotation should
happen now, ``False`` otherwise.
The ``retention`` occurs at rotation or at sink stop if rotation is ``None``. Files
resulting from previous sessions or rotations are automatically collected from disk. A file
is selected if it matches the pattern ``"basename(.*).ext(.*)"`` (possible time fields are
beforehand replaced with ``.*``) based on the configured sink. Afterwards, the list is
processed to determine files to be retained. This parameter accepts:
- an |int| which indicates the number of log files to keep, while older files are deleted.
- a |timedelta| which specifies the maximum age of files to keep.
- a |str| for human-friendly parametrization of the maximum age of files to keep.
Examples: ``"1 week, 3 days"``, ``"2 months"``, ...
- a |callable|_ which will be invoked before the retention process. It should accept the
list of log files as argument and process to whatever it wants (moving files, removing
them, etc.).
The ``compression`` happens at rotation or at sink stop if rotation is ``None``. This
parameter accepts:
- a |str| which corresponds to the compressed or archived file extension. This can be one
of: ``"gz"``, ``"bz2"``, ``"xz"``, ``"lzma"``, ``"tar"``, ``"tar.gz"``, ``"tar.bz2"``,
``"tar.xz"``, ``"zip"``.
- a |callable|_ which will be invoked before file termination. It should accept the path of
the log file as argument and process to whatever it wants (custom compression, network
sending, removing it, etc.).
Either way, if you use a custom function designed according to your preferences, you must be
very careful not to use the ``logger`` within your function. Otherwise, there is a risk that
your program hang because of a deadlock.
.. _color:
.. rubric:: The color markups
To add colors to your logs, you just have to enclose your format string with the appropriate
tags (e.g. ``<red>some message</red>``). These tags are automatically removed if the sink
doesn't support ansi codes. For convenience, you can use ``</>`` to close the last opening
tag without repeating its name (e.g. ``<red>another message</>``).
The special tag ``<level>`` (abbreviated with ``<lvl>``) is transformed according to
the configured color of the logged message level.
Tags which are not recognized will raise an exception during parsing, to inform you about
possible misuse. If you wish to display a markup tag literally, you can escape it by
prepending a ``\`` like for example ``\<blue>``. If, for some reason, you need to escape a
string programmatically, note that the regex used internally to parse markup tags is
``r"\\?</?((?:[fb]g\s)?[^<>\s]*)>"``.
Note that when logging a message with ``opt(colors=True)``, color tags present in the
formatting arguments (``args`` and ``kwargs``) are completely ignored. This is important if
you need to log strings containing markups that might interfere with the color tags (in this
case, do not use f-string).
Here are the available tags (note that compatibility may vary depending on terminal):
+------------------------------------+--------------------------------------+
| Color (abbr)                       | Styles (abbr)                        |
+====================================+======================================+
| Black (k)                          | Bold (b)                             |
+------------------------------------+--------------------------------------+
| Blue (e)                           | Dim (d)                              |
+------------------------------------+--------------------------------------+
| Cyan (c)                           | Normal (n)                           |
+------------------------------------+--------------------------------------+
| Green (g)                          | Italic (i)                           |
+------------------------------------+--------------------------------------+
| Magenta (m)                        | Underline (u)                        |
+------------------------------------+--------------------------------------+
| Red (r)                            | Strike (s)                           |
+------------------------------------+--------------------------------------+
| White (w)                          | Reverse (v)                          |
+------------------------------------+--------------------------------------+
| Yellow (y)                         | Blink (l)                            |
+------------------------------------+--------------------------------------+
|                                    | Hide (h)                             |
+------------------------------------+--------------------------------------+
Usage:
+-----------------+-------------------------------------------------------------------+
| Description     | Examples                                                          |
|                 +---------------------------------+---------------------------------+
|                 | Foreground                      | Background                      |
+=================+=================================+=================================+
| Basic colors    | ``<red>``, ``<r>``              | ``<GREEN>``, ``<G>``            |
+-----------------+---------------------------------+---------------------------------+
| Light colors    | ``<light-blue>``, ``<le>``      | ``<LIGHT-CYAN>``, ``<LC>``      |
+-----------------+---------------------------------+---------------------------------+
| 8-bit colors    | ``<fg 86>``, ``<fg 255>``       | ``<bg 42>``, ``<bg 9>``         |
+-----------------+---------------------------------+---------------------------------+
| Hex colors      | ``<fg #00005f>``, ``<fg #EE1>`` | ``<bg #AF5FD7>``, ``<bg #fff>`` |
+-----------------+---------------------------------+---------------------------------+
| RGB colors      | ``<fg 0,95,0>``                 | ``<bg 72,119,65>``              |
+-----------------+---------------------------------+---------------------------------+
| Stylizing       | ``<bold>``, ``<b>``,  ``<underline>``, ``<u>``                    |
+-----------------+-------------------------------------------------------------------+
.. _env:
.. rubric:: The environment variables
The default values of sink parameters can be entirely customized. This is particularly
useful if you don't like the log format of the pre-configured sink.
Each of the |add| default parameter can be modified by setting the ``LOGURU_[PARAM]``
environment variable. For example on Linux: ``export LOGURU_FORMAT="{time} - {message}"``
or ``export LOGURU_DIAGNOSE=NO``.
The default levels' attributes can also be modified by setting the ``LOGURU_[LEVEL]_[ATTR]``
environment variable. For example, on Windows: ``setx LOGURU_DEBUG_COLOR "<blue>"``
or ``setx LOGURU_TRACE_ICON "🚀"``. If you use the ``set`` command, do not include quotes
but escape special symbol as needed, e.g. ``set LOGURU_DEBUG_COLOR=^<blue^>``.
If you want to disable the pre-configured sink, you can set the ``LOGURU_AUTOINIT``
variable to ``False``.
On Linux, you will probably need to edit the ``~/.profile`` file to make this persistent. On
Windows, don't forget to restart your terminal for the change to be taken into account.
Examples
--------
>>> logger.add(sys.stdout, format="{time} - {level} - {message}", filter="sub.module")
>>> logger.add("file_{time}.log", level="TRACE", rotation="100 MB")
>>> def debug_only(record):
...     return record["level"].name == "DEBUG"
...
>>> logger.add("debug.log", filter=debug_only)  # Other levels are filtered out
>>> def my_sink(message):
...     record = message.record
...     update_db(message, time=record["time"], level=record["level"])
...
>>> logger.add(my_sink)
>>> level_per_module = {
...     "": "DEBUG",
...     "third.lib": "WARNING",
...     "anotherlib": False
... }
>>> logger.add(lambda m: print(m, end=""), filter=level_per_module, level=0)
>>> async def publish(message):
...     await api.post(message)
...
>>> logger.add(publish, serialize=True)
>>> from logging import StreamHandler
>>> logger.add(StreamHandler(sys.stderr), format="{message}")
>>> class RandomStream:
...     def __init__(self, seed, threshold):
...         self.threshold = threshold
...         random.seed(seed)
...     def write(self, message):
...         if random.random() > self.threshold:
...             print(message)
...
>>> stream_object = RandomStream(seed=12345, threshold=0.25)
>>> logger.add(stream_object, level="INFO")
</code></pre>
</details>

<details><summary><h4><strong>def add</strong></h4></summary>

Add a handler sending log messages to a sink adequately configured.

        Parameters
        ----------
        sink : |file-like object|_, |str|, |Path|, |callable|_, |coroutine function|_ or |Handler|
            An object in charge of receiving formatted logging messages and propagating them to an
            appropriate endpoint.
        level : |int| or |str|, optional
            The minimum severity level from which logged messages should be sent to the sink.
        format : |str| or |callable|_, optional
            The template used to format logged messages before being sent to the sink.
        filter : |callable|_, |str| or |dict|, optional
            A directive optionally used to decide for each logged message whether it should be sent
            to the sink or not.
        colorize : |bool|, optional
            Whether the color markups contained in the formatted message should be converted to ansi
            codes for terminal coloration, or stripped otherwise. If ``None``, the choice is
            automatically made based on the sink being a tty or not.
        serialize : |bool|, optional
            Whether the logged message and its records should be first converted to a JSON string
            before being sent to the sink.
        backtrace : |bool|, optional
            Whether the exception trace formatted should be extended upward, beyond the catching
            point, to show the full stacktrace which generated the error.
        diagnose : |bool|, optional
            Whether the exception trace should display the variables values to eases the debugging.
            This should be set to ``False`` in production to avoid leaking sensitive data.
        enqueue : |bool|, optional
            Whether the messages to be logged should first pass through a multiprocessing-safe queue
            before reaching the sink. This is useful while logging to a file through multiple
            processes. This also has the advantage of making logging calls non-blocking.
        context : |multiprocessing.Context| or |str|, optional
            A context object or name that will be used for all tasks involving internally the
            |multiprocessing| module, in particular when ``enqueue=True``. If ``None``, the default
            context is used.
        catch : |bool|, optional
            Whether errors occurring while sink handles logs messages should be automatically
            caught. If ``True``, an exception message is displayed on |sys.stderr| but the exception
            is not propagated to the caller, preventing your app to crash.
        **kwargs
            Additional parameters that are only valid to configure a coroutine or file sink (see
            below).


        If and only if the sink is a coroutine function, the following parameter applies:

        Parameters
        ----------
        loop : |AbstractEventLoop|, optional
            The event loop in which the asynchronous logging task will be scheduled and executed. If
            ``None``, the loop used is the one returned by |asyncio.get_running_loop| at the time of
            the logging call (task is discarded if there is no loop currently running).


        If and only if the sink is a file path, the following parameters apply:

        Parameters
        ----------
        rotation : |str|, |int|, |time|, |timedelta| or |callable|_, optional
            A condition indicating whenever the current logged file should be closed and a new one
            started.
        retention : |str|, |int|, |timedelta| or |callable|_, optional
            A directive filtering old files that should be removed during rotation or end of
            program.
        compression : |str| or |callable|_, optional
            A compression or archive format to which log files should be converted at closure.
        delay : |bool|, optional
            Whether the file should be created as soon as the sink is configured, or delayed until
            first logged message. It defaults to ``False``.
        watch : |bool|, optional
            Whether or not the file should be watched and re-opened when deleted or changed (based
            on its device and inode properties) by an external program. It defaults to ``False``.
        mode : |str|, optional
            The opening mode as for built-in |open| function. It defaults to ``"a"`` (open the
            file in appending mode).
        buffering : |int|, optional
            The buffering policy as for built-in |open| function. It defaults to ``1`` (line
            buffered file).
        encoding : |str|, optional
            The file encoding as for built-in |open| function. It defaults to ``"utf8"``.
        **kwargs
            Others parameters are passed to the built-in |open| function.

        Returns
        -------
        :class:`int`
            An identifier associated with the added sink and which should be used to
            |remove| it.

        Raises
        ------
        ValueError
            If any of the arguments passed to configure the sink is invalid.

        Notes
        -----
        Extended summary follows.

        .. _sink:

        .. rubric:: The sink parameter

        The ``sink`` handles incoming log messages and proceed to their writing somewhere and
        somehow. A sink can take many forms:

        - A |file-like object|_ like ``sys.stderr`` or ``open("file.log", "w")``. Anything with
          a ``.write()`` method is considered as a file-like object. Custom handlers may also
          implement ``flush()`` (called after each logged message), ``stop()`` (called at sink
          termination) and ``complete()`` (awaited by the eponymous method).
        - A file path as |str| or |Path|. It can be parametrized with some additional parameters,
          see below.
        - A |callable|_ (such as a simple function) like ``lambda msg: print(msg)``. This
          allows for logging procedure entirely defined by user preferences and needs.
        - A asynchronous |coroutine function|_ defined with the ``async def`` statement. The
          coroutine object returned by such function will be added to the event loop using
          |loop.create_task|. The tasks should be awaited before ending the loop by using
          |complete|.
        - A built-in |Handler| like ``logging.StreamHandler``. In such a case, the `Loguru` records
          are automatically converted to the structure expected by the |logging| module.

        Note that the logging functions are not `reentrant`_. This means you should avoid using
        the ``logger`` inside any of your sinks or from within |signal| handlers. Otherwise, you
        may face deadlock if the module's sink was not explicitly disabled.

        .. _message:

        .. rubric:: The logged message

        The logged message passed to all added sinks is nothing more than a string of the
        formatted log, to which a special attribute is associated: the ``.record`` which is a dict
        containing all contextual information possibly needed (see below).

        Logged messages are formatted according to the ``format`` of the added sink. This format
        is usually a string containing braces fields to display attributes from the record dict.

        If fine-grained control is needed, the ``format`` can also be a function which takes the
        record as parameter and return the format template string. However, note that in such a
        case, you should take care of appending the line ending and exception field to the returned
        format, while ``"\n{exception}"`` is automatically appended for convenience if ``format`` is
        a string.

        The ``filter`` attribute can be used to control which messages are effectively passed to the
        sink and which one are ignored. A function can be used, accepting the record as an
        argument, and returning ``True`` if the message should be logged, ``False`` otherwise. If
        a string is used, only the records with the same ``name`` and its children will be allowed.
        One can also pass a ``dict`` mapping module names to minimum required level. In such case,
        each log record will search for it's closest parent in the ``dict`` and use the associated
        level as the filter. The ``dict`` values can be ``int`` severity, ``str`` level name or
        ``True`` and ``False`` to respectively authorize and discard all module logs
        unconditionally. In order to set a default level, the ``""`` module name should be used as
        it is the parent of all modules (it does not suppress global ``level`` threshold, though).

        Note that while calling a logging method, the keyword arguments (if any) are automatically
        added to the ``extra`` dict for convenient contextualization (in addition to being used for
        formatting).

        .. _levels:

        .. rubric:: The severity levels

        Each logged message is associated with a severity level. These levels make it possible to
        prioritize messages and to choose the verbosity of the logs according to usages. For
        example, it allows to display some debugging information to a developer, while hiding it to
        the end user running the application.

        The ``level`` attribute of every added sink controls the minimum threshold from which log
        messages are allowed to be emitted. While using the ``logger``, you are in charge of
        configuring the appropriate granularity of your logs. It is possible to add even more custom
        levels by using the |level| method.

        Here are the standard levels with their default severity value, each one is associated with
        a logging method of the same name:

        +----------------------+------------------------+------------------------+
        | Level name           | Severity value         | Logger method          |
        +======================+========================+========================+
        | ``TRACE``            | 5                      | |logger.trace|         |
        +----------------------+------------------------+------------------------+
        | ``DEBUG``            | 10                     | |logger.debug|         |
        +----------------------+------------------------+------------------------+
        | ``INFO``             | 20                     | |logger.info|          |
        +----------------------+------------------------+------------------------+
        | ``SUCCESS``          | 25                     | |logger.success|       |
        +----------------------+------------------------+------------------------+
        | ``WARNING``          | 30                     | |logger.warning|       |
        +----------------------+------------------------+------------------------+
        | ``ERROR``            | 40                     | |logger.error|         |
        +----------------------+------------------------+------------------------+
        | ``CRITICAL``         | 50                     | |logger.critical|      |
        +----------------------+------------------------+------------------------+

        .. _record:

        .. rubric:: The record dict

        The record is just a Python dict, accessible from sinks by ``message.record``. It contains
        all contextual information of the logging call (time, function, file, line, level, etc.).

        Each of the record keys can be used in the handler's ``format`` so the corresponding value
        is properly displayed in the logged message (e.g. ``"{level}"`` will return ``"INFO"``).
        Some records' values are objects with two or more attributes. These can be formatted with
        ``"{key.attr}"`` (``"{key}"`` would display one by default).

        Note that you can use any `formatting directives`_ available in Python's ``str.format()``
        method (e.g. ``"{key: >3}"`` will right-align and pad to a width of 3 characters). This is
        particularly useful for time formatting (see below).

        +------------+---------------------------------+----------------------------+
        | Key        | Description                     | Attributes                 |
        +============+=================================+============================+
        | elapsed    | The time elapsed since the      | See |timedelta|            |
        |            | start of the program            |                            |
        +------------+---------------------------------+----------------------------+
        | exception  | The formatted exception if any, | ``type``, ``value``,       |
        |            | ``None`` otherwise              | ``traceback``              |
        +------------+---------------------------------+----------------------------+
        | extra      | The dict of attributes          | None                       |
        |            | bound by the user (see |bind|)  |                            |
        +------------+---------------------------------+----------------------------+
        | file       | The file where the logging call | ``name`` (default),        |
        |            | was made                        | ``path``                   |
        +------------+---------------------------------+----------------------------+
        | function   | The function from which the     | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | level      | The severity used to log the    | ``name`` (default),        |
        |            | message                         | ``no``, ``icon``           |
        +------------+---------------------------------+----------------------------+
        | line       | The line number in the source   | None                       |
        |            | code                            |                            |
        +------------+---------------------------------+----------------------------+
        | message    | The logged message (not yet     | None                       |
        |            | formatted)                      |                            |
        +------------+---------------------------------+----------------------------+
        | module     | The module where the logging    | None                       |
        |            | call was made                   |                            |
        +------------+---------------------------------+----------------------------+
        | name       | The ``__name__`` where the      | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | process    | The process in which the        | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | thread     | The thread in which the         | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | time       | The aware local time when the   | See |datetime|             |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+

        .. _time:

        .. rubric:: The time formatting

        To use your favorite time representation, you can set it directly in the time formatter
        specifier of your handler format, like for example ``format="{time:HH:mm:ss} {message}"``.
        Note that this datetime represents your local time, and it is also made timezone-aware,
        so you can display the UTC offset to avoid ambiguities.

        The time field can be formatted using more human-friendly tokens. These constitute a subset
        of the one used by the `Pendulum`_ library of `@sdispater`_. To escape a token, just add
        square brackets around it, for example ``"[YY]"`` would display literally ``"YY"``.

        If you prefer to display UTC rather than local time, you can add ``"!UTC"`` at the very end
        of the time format, like ``{time:HH:mm:ss!UTC}``. Doing so will convert the ``datetime``
        to UTC before formatting.

        If no time formatter specifier is used, like for example if ``format="{time} {message}"``,
        the default one will use ISO 8601.

        +------------------------+---------+----------------------------------------+
        |                        | Token   | Output                                 |
        +========================+=========+========================================+
        | Year                   | YYYY    | 2000, 2001, 2002 ... 2012, 2013        |
        |                        +---------+----------------------------------------+
        |                        | YY      | 00, 01, 02 ... 12, 13                  |
        +------------------------+---------+----------------------------------------+
        | Quarter                | Q       | 1 2 3 4                                |
        +------------------------+---------+----------------------------------------+
        | Month                  | MMMM    | January, February, March ...           |
        |                        +---------+----------------------------------------+
        |                        | MMM     | Jan, Feb, Mar ...                      |
        |                        +---------+----------------------------------------+
        |                        | MM      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | M       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Day of Year            | DDDD    | 001, 002, 003 ... 364, 365             |
        |                        +---------+----------------------------------------+
        |                        | DDD     | 1, 2, 3 ... 364, 365                   |
        +------------------------+---------+----------------------------------------+
        | Day of Month           | DD      | 01, 02, 03 ... 30, 31                  |
        |                        +---------+----------------------------------------+
        |                        | D       | 1, 2, 3 ... 30, 31                     |
        +------------------------+---------+----------------------------------------+
        | Day of Week            | dddd    | Monday, Tuesday, Wednesday ...         |
        |                        +---------+----------------------------------------+
        |                        | ddd     | Mon, Tue, Wed ...                      |
        |                        +---------+----------------------------------------+
        |                        | d       | 0, 1, 2 ... 6                          |
        +------------------------+---------+----------------------------------------+
        | Days of ISO Week       | E       | 1, 2, 3 ... 7                          |
        +------------------------+---------+----------------------------------------+
        | Hour                   | HH      | 00, 01, 02 ... 23, 24                  |
        |                        +---------+----------------------------------------+
        |                        | H       | 0, 1, 2 ... 23, 24                     |
        |                        +---------+----------------------------------------+
        |                        | hh      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | h       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Minute                 | mm      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | m       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Second                 | ss      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | s       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Fractional Second      | S       | 0 1 ... 8 9                            |
        |                        +---------+----------------------------------------+
        |                        | SS      | 00, 01, 02 ... 98, 99                  |
        |                        +---------+----------------------------------------+
        |                        | SSS     | 000 001 ... 998 999                    |
        |                        +---------+----------------------------------------+
        |                        | SSSS... | 000[0..] 001[0..] ... 998[0..] 999[0..]|
        |                        +---------+----------------------------------------+
        |                        | SSSSSS  | 000000 000001 ... 999998 999999        |
        +------------------------+---------+----------------------------------------+
        | AM / PM                | A       | AM, PM                                 |
        +------------------------+---------+----------------------------------------+
        | Timezone               | Z       | -07:00, -06:00 ... +06:00, +07:00      |
        |                        +---------+----------------------------------------+
        |                        | ZZ      | -0700, -0600 ... +0600, +0700          |
        |                        +---------+----------------------------------------+
        |                        | zz      | EST CST ... MST PST                    |
        +------------------------+---------+----------------------------------------+
        | Seconds timestamp      | X       | 1381685817, 1234567890.123             |
        +------------------------+---------+----------------------------------------+
        | Microseconds timestamp | x       | 1234567890123                          |
        +------------------------+---------+----------------------------------------+

        .. _file:

        .. rubric:: The file sinks

        If the sink is a |str| or a |Path|, the corresponding file will be opened for writing logs.
        The path can also contain a special ``"{time}"`` field that will be formatted with the
        current date at file creation. The file is closed at sink stop, i.e. when the application
        ends or the handler is removed.

        The ``rotation`` check is made before logging each message. If there is already an existing
        file with the same name that the file to be created, then the existing file is renamed by
        appending the date to its basename to prevent file overwriting. This parameter accepts:

        - an |int| which corresponds to the maximum file size in bytes before that the current
          logged file is closed and a new one started over.
        - a |timedelta| which indicates the frequency of each new rotation.
        - a |time| which specifies the hour when the daily rotation should occur.
        - a |str| for human-friendly parametrization of one of the previously enumerated types.

<p><strong>Usage example</strong></p>

<pre><code>
``"100 MB"``, ``"0.5 GB"``, ``"1 month 2 weeks"``, ``"4 days"``, ``"10h"``,
``"monthly"``, ``"18:00"``, ``"sunday"``, ``"w0"``, ``"monday at 12:00"``, ...
- a |callable|_ which will be invoked before logging. It should accept two arguments: the
logged message and the file object, and it should return ``True`` if the rotation should
happen now, ``False`` otherwise.
The ``retention`` occurs at rotation or at sink stop if rotation is ``None``. Files
resulting from previous sessions or rotations are automatically collected from disk. A file
is selected if it matches the pattern ``"basename(.*).ext(.*)"`` (possible time fields are
beforehand replaced with ``.*``) based on the configured sink. Afterwards, the list is
processed to determine files to be retained. This parameter accepts:
- an |int| which indicates the number of log files to keep, while older files are deleted.
- a |timedelta| which specifies the maximum age of files to keep.
- a |str| for human-friendly parametrization of the maximum age of files to keep.
Examples: ``"1 week, 3 days"``, ``"2 months"``, ...
- a |callable|_ which will be invoked before the retention process. It should accept the
list of log files as argument and process to whatever it wants (moving files, removing
them, etc.).
The ``compression`` happens at rotation or at sink stop if rotation is ``None``. This
parameter accepts:
- a |str| which corresponds to the compressed or archived file extension. This can be one
of: ``"gz"``, ``"bz2"``, ``"xz"``, ``"lzma"``, ``"tar"``, ``"tar.gz"``, ``"tar.bz2"``,
``"tar.xz"``, ``"zip"``.
- a |callable|_ which will be invoked before file termination. It should accept the path of
the log file as argument and process to whatever it wants (custom compression, network
sending, removing it, etc.).
Either way, if you use a custom function designed according to your preferences, you must be
very careful not to use the ``logger`` within your function. Otherwise, there is a risk that
your program hang because of a deadlock.
.. _color:
.. rubric:: The color markups
To add colors to your logs, you just have to enclose your format string with the appropriate
tags (e.g. ``<red>some message</red>``). These tags are automatically removed if the sink
doesn't support ansi codes. For convenience, you can use ``</>`` to close the last opening
tag without repeating its name (e.g. ``<red>another message</>``).
The special tag ``<level>`` (abbreviated with ``<lvl>``) is transformed according to
the configured color of the logged message level.
Tags which are not recognized will raise an exception during parsing, to inform you about
possible misuse. If you wish to display a markup tag literally, you can escape it by
prepending a ``\`` like for example ``\<blue>``. If, for some reason, you need to escape a
string programmatically, note that the regex used internally to parse markup tags is
``r"\\?</?((?:[fb]g\s)?[^<>\s]*)>"``.
Note that when logging a message with ``opt(colors=True)``, color tags present in the
formatting arguments (``args`` and ``kwargs``) are completely ignored. This is important if
you need to log strings containing markups that might interfere with the color tags (in this
case, do not use f-string).
Here are the available tags (note that compatibility may vary depending on terminal):
+------------------------------------+--------------------------------------+
| Color (abbr)                       | Styles (abbr)                        |
+====================================+======================================+
| Black (k)                          | Bold (b)                             |
+------------------------------------+--------------------------------------+
| Blue (e)                           | Dim (d)                              |
+------------------------------------+--------------------------------------+
| Cyan (c)                           | Normal (n)                           |
+------------------------------------+--------------------------------------+
| Green (g)                          | Italic (i)                           |
+------------------------------------+--------------------------------------+
| Magenta (m)                        | Underline (u)                        |
+------------------------------------+--------------------------------------+
| Red (r)                            | Strike (s)                           |
+------------------------------------+--------------------------------------+
| White (w)                          | Reverse (v)                          |
+------------------------------------+--------------------------------------+
| Yellow (y)                         | Blink (l)                            |
+------------------------------------+--------------------------------------+
|                                    | Hide (h)                             |
+------------------------------------+--------------------------------------+
Usage:
+-----------------+-------------------------------------------------------------------+
| Description     | Examples                                                          |
|                 +---------------------------------+---------------------------------+
|                 | Foreground                      | Background                      |
+=================+=================================+=================================+
| Basic colors    | ``<red>``, ``<r>``              | ``<GREEN>``, ``<G>``            |
+-----------------+---------------------------------+---------------------------------+
| Light colors    | ``<light-blue>``, ``<le>``      | ``<LIGHT-CYAN>``, ``<LC>``      |
+-----------------+---------------------------------+---------------------------------+
| 8-bit colors    | ``<fg 86>``, ``<fg 255>``       | ``<bg 42>``, ``<bg 9>``         |
+-----------------+---------------------------------+---------------------------------+
| Hex colors      | ``<fg #00005f>``, ``<fg #EE1>`` | ``<bg #AF5FD7>``, ``<bg #fff>`` |
+-----------------+---------------------------------+---------------------------------+
| RGB colors      | ``<fg 0,95,0>``                 | ``<bg 72,119,65>``              |
+-----------------+---------------------------------+---------------------------------+
| Stylizing       | ``<bold>``, ``<b>``,  ``<underline>``, ``<u>``                    |
+-----------------+-------------------------------------------------------------------+
.. _env:
.. rubric:: The environment variables
The default values of sink parameters can be entirely customized. This is particularly
useful if you don't like the log format of the pre-configured sink.
Each of the |add| default parameter can be modified by setting the ``LOGURU_[PARAM]``
environment variable. For example on Linux: ``export LOGURU_FORMAT="{time} - {message}"``
or ``export LOGURU_DIAGNOSE=NO``.
The default levels' attributes can also be modified by setting the ``LOGURU_[LEVEL]_[ATTR]``
environment variable. For example, on Windows: ``setx LOGURU_DEBUG_COLOR "<blue>"``
or ``setx LOGURU_TRACE_ICON "🚀"``. If you use the ``set`` command, do not include quotes
but escape special symbol as needed, e.g. ``set LOGURU_DEBUG_COLOR=^<blue^>``.
If you want to disable the pre-configured sink, you can set the ``LOGURU_AUTOINIT``
variable to ``False``.
On Linux, you will probably need to edit the ``~/.profile`` file to make this persistent. On
Windows, don't forget to restart your terminal for the change to be taken into account.
Examples
--------
>>> logger.add(sys.stdout, format="{time} - {level} - {message}", filter="sub.module")
>>> logger.add("file_{time}.log", level="TRACE", rotation="100 MB")
>>> def debug_only(record):
...     return record["level"].name == "DEBUG"
...
>>> logger.add("debug.log", filter=debug_only)  # Other levels are filtered out
>>> def my_sink(message):
...     record = message.record
...     update_db(message, time=record["time"], level=record["level"])
...
>>> logger.add(my_sink)
>>> level_per_module = {
...     "": "DEBUG",
...     "third.lib": "WARNING",
...     "anotherlib": False
... }
>>> logger.add(lambda m: print(m, end=""), filter=level_per_module, level=0)
>>> async def publish(message):
...     await api.post(message)
...
>>> logger.add(publish, serialize=True)
>>> from logging import StreamHandler
>>> logger.add(StreamHandler(sys.stderr), format="{message}")
>>> class RandomStream:
...     def __init__(self, seed, threshold):
...         self.threshold = threshold
...         random.seed(seed)
...     def write(self, message):
...         if random.random() > self.threshold:
...             print(message)
...
>>> stream_object = RandomStream(seed=12345, threshold=0.25)
>>> logger.add(stream_object, level="INFO")
</code></pre>
</details>

<details><summary><h4><strong>def debug_only</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def my_sink</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def publish</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def write</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def remove</strong></h4></summary>

Remove a previously added handler and stop sending logs to its sink.

        Parameters
        ----------
        handler_id : |int| or ``None``
            The id of the sink to remove, as it was returned by the |add| method. If ``None``, all
            handlers are removed. The pre-configured handler is guaranteed to have the index ``0``.

        Raises
        ------
        ValueError
            If ``handler_id`` is not ``None`` but there is no active handler with such id.

        Examples
        --------
        >>> i = logger.add(sys.stderr, format="{message}")
        >>> logger.info("Logging")
        Logging
        >>> logger.remove(i)
        >>> logger.info("No longer logging")

</details>

<details><summary><h4><strong>def complete</strong></h4></summary>

Wait for the end of enqueued messages and asynchronous tasks scheduled by handlers.

        This method proceeds in two steps: first it waits for all logging messages added to handlers
        with ``enqueue=True`` to be processed, then it returns an object that can be awaited to
        finalize all logging tasks added to the event loop by coroutine sinks.

        It can be called from non-asynchronous code. This is especially recommended when the
        ``logger`` is utilized with ``multiprocessing`` to ensure messages put to the internal
        queue have been properly transmitted before leaving a child process.

        The returned object should be awaited before the end of a coroutine executed by
        |asyncio.run| or |loop.run_until_complete| to ensure all asynchronous logging messages are
        processed. The function |asyncio.get_running_loop| is called beforehand, only tasks
        scheduled in the same loop that the current one will be awaited by the method.

        Returns
        -------
        :term:`awaitable`
            An awaitable object which ensures all asynchronous logging calls are completed when
            awaited.

        Examples
        --------
        >>> async def sink(message):
        ...     await asyncio.sleep(0.1)  # IO processing...
        ...     print(message, end="")
        ...
        >>> async def work():
        ...     logger.info("Start")
        ...     logger.info("End")
        ...     await logger.complete()
        ...
        >>> logger.add(sink)
        1
        >>> asyncio.run(work())
        Start
        End

        >>> def process():
        ...     logger.info("Message sent from the child")
        ...     logger.complete()
        ...
        >>> logger.add(sys.stderr, enqueue=True)
        1
        >>> process = multiprocessing.Process(target=process)
        >>> process.start()
        >>> process.join()
        Message sent from the child

</details>

<details><summary><h4><strong>def sink</strong></h4></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h4><strong>def work</strong></h4></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h4><strong>def process</strong></h4></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h4><strong>def __await__</strong></h4></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h4><strong>def catch</strong></h4></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h4><strong>def f</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def g</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def opt</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def func</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def bind</strong></h4></summary>

Bind attributes to the ``extra`` dict of each logged message record.

        This is used to add custom context to each logging call.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the ``extra`` dict.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which sends record with the customized ``extra``
            dict.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[ip]} - {message}")
        >>> class Server:
        ...     def __init__(self, ip):
        ...         self.ip = ip
        ...         self.logger = logger.bind(ip=ip)
        ...     def call(self, message):
        ...         self.logger.info(message)
        ...
        >>> instance_1 = Server("192.168.0.200")
        >>> instance_2 = Server("127.0.0.1")
        >>> instance_1.call("First instance")
        192.168.0.200 - First instance
        >>> instance_2.call("Second instance")
        127.0.0.1 - Second instance

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def call</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def contextualize</strong></h4></summary>

Bind attributes to the context-local ``extra`` dict while inside the ``with`` block.

        Contrary to |bind| there is no ``logger`` returned, the ``extra`` dict is modified in-place
        and updated globally. Most importantly, it uses |contextvars| which means that
        contextualized values are unique to each threads and asynchronous tasks.

        The ``extra`` dict will retrieve its initial state once the context manager is exited.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the context-local ``extra`` dict.

        Returns
        -------
        :term:`context manager` / :term:`decorator`
            A context manager (usable as a decorator too) that will bind the attributes once entered
            and restore the initial state of the ``extra`` dict while exited.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{message} | {extra}")
        1
        >>> def task():
        ...     logger.info("Processing!")
        ...
        >>> with logger.contextualize(task_id=123):
        ...     task()
        ...
        Processing! | {'task_id': 123}
        >>> logger.info("Done.")
        Done. | {}

</details>

<details><summary><h4><strong>def task</strong></h4></summary>

with __self._core.lock:
            new_context = {**context.get(), **kwargs}
            token = context.set(new_context)

        try:
            yield
        finally:
            with __self._core.lock:
                context.reset(token)

    def patch(self, patcher):

</details>

<details><summary><h4><strong>def patch</strong></h4></summary>

Attach a function to modify the record dict created by each logging call.

        The ``patcher`` may be used to update the record on-the-fly before it's propagated to the
        handlers. This allows the "extra" dict to be populated with dynamic values and also permits
        advanced modifications of the record emitted while logging a message. The function is called
        once before sending the log message to the different handlers.

        It is recommended to apply modification on the ``record["extra"]`` dict rather than on the
        ``record`` dict itself, as some values are used internally by `Loguru`, and modify them may
        produce unexpected results.

        The logger can be patched multiple times. In this case, the functions are called in the
        same order as they are added.

        Parameters
        ----------
        patcher: |callable|_
            The function to which the record dict will be passed as the sole argument. This function
            is in charge of updating the record in-place, the function does not need to return any
            value, the modified record object will be re-used.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which records are passed through the ``patcher``
            function before being sent to the added handlers.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[utc]} {message}")
        >>> logger = logger.patch(lambda record: record["extra"].update(utc=datetime.utcnow())
        >>> logger.info("That's way, you can log messages with time displayed in UTC")

        >>> def wrapper(func):
        ...     @functools.wraps(func)
        ...     def wrapped(*args, **kwargs):
        ...         logger.patch(lambda r: r.update(function=func.__name__)).info("Wrapped!")
        ...         return func(*args, **kwargs)
        ...     return wrapped

        >>> def recv_record_from_network(pipe):
        ...     record = pickle.loads(pipe.read())
        ...     level, message = record["level"], record["message"]
        ...     logger.patch(lambda r: r.update(record)).log(level, message)

</details>

<details><summary><h4><strong>def wrapper</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def recv_record_from_network</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

Add, update or retrieve a logging level.

        Logging levels are defined by their ``name`` to which a severity ``no``, an ansi ``color``
        tag and an ``icon`` are associated and possibly modified at run-time. To |log| to a custom
        level, you should necessarily use its name, the severity number is not linked back to levels
        name (this implies that several levels can share the same severity).

        To add a new level, its ``name`` and its ``no`` are required. A ``color`` and an ``icon``
        can also be specified or will be empty by default.

        To update an existing level, pass its ``name`` with the parameters to be changed. It is not
        possible to modify the ``no`` of a level once it has been added.

        To retrieve level information, the ``name`` solely suffices.

        Parameters
        ----------
        name : |str|
            The name of the logging level.
        no : |int|
            The severity of the level to be added or updated.
        color : |str|
            The color markup of the level to be added or updated.
        icon : |str|
            The icon of the level to be added or updated.

        Returns
        -------
        ``Level``
            A |namedtuple| containing information about the level.

        Raises
        ------
        ValueError
            If there is no level registered with such ``name``.

        Examples
        --------
        >>> level = logger.level("ERROR")
        >>> print(level)
        Level(name='ERROR', no=40, color='<red><bold>', icon='❌')
        >>> logger.add(sys.stderr, format="{level.no} {level.icon} {message}")
        1
        >>> logger.level("CUSTOM", no=15, color="<blue>", icon="@")
        Level(name='CUSTOM', no=15, color='<blue>', icon='@')
        >>> logger.log("CUSTOM", "Logging...")
        15 @ Logging...
        >>> logger.level("WARNING", icon=r"/!\\")
        Level(name='WARNING', no=30, color='<yellow><bold>', icon='/!\\\\')
        >>> logger.warning("Updated!")
        30 /!\\ Updated!

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

Disable logging of messages coming from ``name`` module and its children.

        Developers of library using `Loguru` should absolutely disable it to avoid disrupting
        users with unrelated logs messages.

        Note that in some rare circumstances, it is not possible for `Loguru` to
        determine the module's ``__name__`` value. In such situation, ``record["name"]`` will be
        equal to ``None``, this is why ``None`` is also a valid argument.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to disable.

        Examples
        --------
        >>> logger.info("Allowed message by default")
        [22:21:55] Allowed message by default
        >>> logger.disable("my_library")
        >>> logger.info("While publishing a library, don't forget to disable logging")

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable logging of messages coming from ``name`` module and its children.

        Logging is generally disabled by imported library using `Loguru`, hence this function
        allows users to receive these messages anyway.

        To enable all logs regardless of the module they are coming from, an empty string ``""`` can
        be passed.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to re-allow.

        Examples
        --------
        >>> logger.disable("__main__")
        >>> logger.info("Disabled, so nothing is logged.")
        >>> logger.enable("__main__")
        >>> logger.info("Re-enabled, messages are logged.")
        [22:46:12] Re-enabled, messages are logged.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Configure the core logger.

        It should be noted that ``extra`` values set using this function are available across all
        modules, so this is the best way to set overall default values.

        To load the configuration directly from a file, such as JSON or YAML, it is also possible to
        use the |loguru-config|_ library developed by `@erezinman`_.

        Parameters
        ----------
        handlers : |list| of |dict|, optional
            A list of each handler to be added. The list should contain dicts of params passed to
            the |add| function as keyword arguments. If not ``None``, all previously added
            handlers are first removed.
        levels : |list| of |dict|, optional
            A list of each level to be added or updated. The list should contain dicts of params
            passed to the |level| function as keyword arguments. This will never remove previously
            created levels.
        extra : |dict|, optional
            A dict containing additional parameters bound to the core logger, useful to share
            common properties if you call |bind| in several of your files modules. If not ``None``,
            this will remove previously configured ``extra`` dict.
        patcher : |callable|_, optional
            A function that will be applied to the record dict of each logged messages across all
            modules using the logger. It should modify the dict in-place without returning anything.
            The function is executed prior to the one possibly added by the |patch| method. If not
            ``None``, this will replace previously configured ``patcher`` function.
        activation : |list| of |tuple|, optional
            A list of ``(name, state)`` tuples which denotes which loggers should be enabled (if
            ``state`` is ``True``) or disabled (if ``state`` is ``False``). The calls to |enable|
            and |disable| are made accordingly to the list order. This will not modify previously
            activated loggers, so if you need a fresh start prepend your list with ``("", False)``
            or ``("", True)``.

        Returns
        -------
        :class:`list` of :class:`int`
            A list containing the identifiers of added sinks (if any).

        Examples
        --------
        >>> logger.configure(
        ...     handlers=[
        ...         dict(sink=sys.stderr, format="[{time}] {message}"),
        ...         dict(sink="file.log", enqueue=True, serialize=True),
        ...     ],
        ...     levels=[dict(name="NEW", no=13, icon="¤", color="")],
        ...     extra={"common_to_all": "default"},
        ...     patcher=lambda record: record["extra"].update(some_value=42),
        ...     activation=[("my_module.secret", False), ("another_library.module", True)],
        ... )
        [1, 2]

        >>> # Set a default "extra" dict to logger across all modules, without "bind()"
        >>> extra = {"context": "foo"}
        >>> logger.configure(extra=extra)
        >>> logger.add(sys.stderr, format="{extra[context]} - {message}")
        >>> logger.info("Context without bind")
        >>> # => "foo - Context without bind"
        >>> logger.bind(context="bar").info("Suppress global context")
        >>> # => "bar - Suppress global context"

</details>

<details><summary><h4><strong>def _change_activation</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def modules_depth</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def cast</strong></h4></summary>

if isinstance(file, (str, PathLike)):
            should_close = True
            fileobj = open(str(file))
        elif hasattr(file, "read") and callable(file.read):
            should_close = False
            fileobj = file
        else:
            raise TypeError(
                "Invalid file, it should be a string path or a file object, not: '%s'"
                % type(file).__name__
            )

        if isinstance(cast, dict):

            def cast_function(groups):
                for key, converter in cast.items():
                    if key in groups:
                        groups[key] = converter(groups[key])

        elif callable(cast):
            cast_function = cast
        else:
            raise TypeError(
                "Invalid cast, it should be a function or a dict, not: '%s'" % type(cast).__name__
            )

        try:
            regex = re.compile(pattern)
        except TypeError:
            raise TypeError(
                "Invalid pattern, it should be a string or a compiled regex, not: '%s'"
                % type(pattern).__name__
            ) from None

        matches = Logger._find_iter(fileobj, regex, chunk)

        for match in matches:
            groups = match.groupdict()
            cast_function(groups)
            yield groups

        if should_close:
            fileobj.close()

    @staticmethod
    def _find_iter(fileobj, regex, chunk):
        buffer = fileobj.read(0)

        while 1:
            text = fileobj.read(chunk)
            buffer += text
            matches = list(regex.finditer(buffer))

            if not text:
                yield from matches
                break

            if len(matches) > 1:
                end = matches[-2].end()
                buffer = buffer[end:]
                yield from matches[:-1]

    def _log(self, level, from_decorator, options, message, args, kwargs):
        core = self._core

        if not core.handlers:
            return

        try:
            level_id, level_name, level_no, level_icon = core.levels_lookup[level]
        except (KeyError, TypeError):
            if isinstance(level, str):
                raise ValueError("Level '%s' does not exist" % level) from None
            if not isinstance(level, int):
                raise TypeError(
                    "Invalid level, it should be an integer or a string, not: '%s'"
                    % type(level).__name__
                ) from None
            if level < 0:
                raise ValueError(
                    "Invalid level value, it should be a positive integer, not: %d" % level
                ) from None
            cache = (None, "Level %d" % level, level, " ")
            level_id, level_name, level_no, level_icon = cache
            core.levels_lookup[level] = cache

        if level_no < core.min_level:
            return

        (exception, depth, record, lazy, colors, raw, capture, patchers, extra) = options

        frame = get_frame(depth + 2)

        try:
            name = frame.f_globals["__name__"]
        except KeyError:
            name = None

        try:
            if not core.enabled[name]:
                return
        except KeyError:
            enabled = core.enabled
            if name is None:
                status = core.activation_none
                enabled[name] = status
                if not status:
                    return
            else:
                dotted_name = name + "."
                for dotted_module_name, status in core.activation_list:
                    if dotted_name[: len(dotted_module_name)] == dotted_module_name:
                        if status:
                            break
                        enabled[name] = False
                        return
                enabled[name] = True

        current_datetime = aware_now()

        code = frame.f_code
        file_path = code.co_filename
        file_name = basename(file_path)
        thread = current_thread()
        process = current_process()
        elapsed = current_datetime - start_time

        if exception:
            if isinstance(exception, BaseException):
                type_, value, traceback = (type(exception), exception, exception.__traceback__)
            elif isinstance(exception, tuple):
                type_, value, traceback = exception
            else:
                type_, value, traceback = sys.exc_info()
            exception = RecordException(type_, value, traceback)
        else:
            exception = None

        log_record = {
            "elapsed": elapsed,
            "exception": exception,
            "extra": {**core.extra, **context.get(), **extra},
            "file": RecordFile(file_name, file_path),
            "function": code.co_name,
            "level": RecordLevel(level_name, level_no, level_icon),
            "line": frame.f_lineno,
            "message": str(message),
            "module": splitext(file_name)[0],
            "name": name,
            "process": RecordProcess(process.ident, process.name),
            "thread": RecordThread(thread.ident, thread.name),
            "time": current_datetime,
        }

        if lazy:
            args = [arg() for arg in args]
            kwargs = {key: value() for key, value in kwargs.items()}

        if capture and kwargs:
            log_record["extra"].update(kwargs)

        if record:
            if "record" in kwargs:
                raise TypeError(
                    "The message can't be formatted: 'record' shall not be used as a keyword "
                    "argument while logger has been configured with '.opt(record=True)'"
                )
            kwargs.update(record=log_record)

        if colors:
            if args or kwargs:
                colored_message = Colorizer.prepare_message(message, args, kwargs)
            else:
                colored_message = Colorizer.prepare_simple_message(str(message))
            log_record["message"] = colored_message.stripped
        elif args or kwargs:
            colored_message = None
            log_record["message"] = message.format(*args, **kwargs)
        else:
            colored_message = None

        if core.patcher:
            core.patcher(log_record)

        for patcher in patchers:
            patcher(log_record)

        for handler in core.handlers.values():
            handler.emit(log_record, level_id, from_decorator, raw, colored_message)

    def trace(__self, __message, *args, **kwargs):  # noqa: N805
        r

</details>

<details><summary><h4><strong>def cast_function</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _find_iter</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def trace</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def debug</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'DEBUG'``.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'INFO'``.

</details>

<details><summary><h4><strong>def success</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'SUCCESS'``.

</details>

<details><summary><h4><strong>def warning</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'WARNING'``.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'ERROR'``.

</details>

<details><summary><h4><strong>def critical</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'CRITICAL'``.

</details>

<details><summary><h4><strong>def exception</strong></h4></summary>

Convenience method for logging an ``'ERROR'`` with exception information.

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``level``.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Deprecated function to |add| a new handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``start()`` will be removed in Loguru 1.0.0, it is replaced by ``add()`` which is a less
          confusing name.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Deprecated function to |remove| an existing handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``stop()`` will be removed in Loguru 1.0.0, it is replaced by ``remove()`` which is a less
          confusing name.

</details>

</details>

<details><summary><h3><strong>class RandomStream</strong></h3></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

<details><summary><h4><strong>def __init__</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def write</strong></h4></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h4><strong>def remove</strong></h4></summary>

Remove a previously added handler and stop sending logs to its sink.

        Parameters
        ----------
        handler_id : |int| or ``None``
            The id of the sink to remove, as it was returned by the |add| method. If ``None``, all
            handlers are removed. The pre-configured handler is guaranteed to have the index ``0``.

        Raises
        ------
        ValueError
            If ``handler_id`` is not ``None`` but there is no active handler with such id.

        Examples
        --------
        >>> i = logger.add(sys.stderr, format="{message}")
        >>> logger.info("Logging")
        Logging
        >>> logger.remove(i)
        >>> logger.info("No longer logging")

</details>

<details><summary><h4><strong>def complete</strong></h4></summary>

Wait for the end of enqueued messages and asynchronous tasks scheduled by handlers.

        This method proceeds in two steps: first it waits for all logging messages added to handlers
        with ``enqueue=True`` to be processed, then it returns an object that can be awaited to
        finalize all logging tasks added to the event loop by coroutine sinks.

        It can be called from non-asynchronous code. This is especially recommended when the
        ``logger`` is utilized with ``multiprocessing`` to ensure messages put to the internal
        queue have been properly transmitted before leaving a child process.

        The returned object should be awaited before the end of a coroutine executed by
        |asyncio.run| or |loop.run_until_complete| to ensure all asynchronous logging messages are
        processed. The function |asyncio.get_running_loop| is called beforehand, only tasks
        scheduled in the same loop that the current one will be awaited by the method.

        Returns
        -------
        :term:`awaitable`
            An awaitable object which ensures all asynchronous logging calls are completed when
            awaited.

        Examples
        --------
        >>> async def sink(message):
        ...     await asyncio.sleep(0.1)  # IO processing...
        ...     print(message, end="")
        ...
        >>> async def work():
        ...     logger.info("Start")
        ...     logger.info("End")
        ...     await logger.complete()
        ...
        >>> logger.add(sink)
        1
        >>> asyncio.run(work())
        Start
        End

        >>> def process():
        ...     logger.info("Message sent from the child")
        ...     logger.complete()
        ...
        >>> logger.add(sys.stderr, enqueue=True)
        1
        >>> process = multiprocessing.Process(target=process)
        >>> process.start()
        >>> process.join()
        Message sent from the child

</details>

<details><summary><h4><strong>def sink</strong></h4></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h4><strong>def work</strong></h4></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h4><strong>def process</strong></h4></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h4><strong>def __await__</strong></h4></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h4><strong>def catch</strong></h4></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h4><strong>def f</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def g</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def opt</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def func</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def bind</strong></h4></summary>

Bind attributes to the ``extra`` dict of each logged message record.

        This is used to add custom context to each logging call.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the ``extra`` dict.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which sends record with the customized ``extra``
            dict.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[ip]} - {message}")
        >>> class Server:
        ...     def __init__(self, ip):
        ...         self.ip = ip
        ...         self.logger = logger.bind(ip=ip)
        ...     def call(self, message):
        ...         self.logger.info(message)
        ...
        >>> instance_1 = Server("192.168.0.200")
        >>> instance_2 = Server("127.0.0.1")
        >>> instance_1.call("First instance")
        192.168.0.200 - First instance
        >>> instance_2.call("Second instance")
        127.0.0.1 - Second instance

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def call</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def contextualize</strong></h4></summary>

Bind attributes to the context-local ``extra`` dict while inside the ``with`` block.

        Contrary to |bind| there is no ``logger`` returned, the ``extra`` dict is modified in-place
        and updated globally. Most importantly, it uses |contextvars| which means that
        contextualized values are unique to each threads and asynchronous tasks.

        The ``extra`` dict will retrieve its initial state once the context manager is exited.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the context-local ``extra`` dict.

        Returns
        -------
        :term:`context manager` / :term:`decorator`
            A context manager (usable as a decorator too) that will bind the attributes once entered
            and restore the initial state of the ``extra`` dict while exited.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{message} | {extra}")
        1
        >>> def task():
        ...     logger.info("Processing!")
        ...
        >>> with logger.contextualize(task_id=123):
        ...     task()
        ...
        Processing! | {'task_id': 123}
        >>> logger.info("Done.")
        Done. | {}

</details>

<details><summary><h4><strong>def task</strong></h4></summary>

with __self._core.lock:
            new_context = {**context.get(), **kwargs}
            token = context.set(new_context)

        try:
            yield
        finally:
            with __self._core.lock:
                context.reset(token)

    def patch(self, patcher):

</details>

<details><summary><h4><strong>def patch</strong></h4></summary>

Attach a function to modify the record dict created by each logging call.

        The ``patcher`` may be used to update the record on-the-fly before it's propagated to the
        handlers. This allows the "extra" dict to be populated with dynamic values and also permits
        advanced modifications of the record emitted while logging a message. The function is called
        once before sending the log message to the different handlers.

        It is recommended to apply modification on the ``record["extra"]`` dict rather than on the
        ``record`` dict itself, as some values are used internally by `Loguru`, and modify them may
        produce unexpected results.

        The logger can be patched multiple times. In this case, the functions are called in the
        same order as they are added.

        Parameters
        ----------
        patcher: |callable|_
            The function to which the record dict will be passed as the sole argument. This function
            is in charge of updating the record in-place, the function does not need to return any
            value, the modified record object will be re-used.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which records are passed through the ``patcher``
            function before being sent to the added handlers.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[utc]} {message}")
        >>> logger = logger.patch(lambda record: record["extra"].update(utc=datetime.utcnow())
        >>> logger.info("That's way, you can log messages with time displayed in UTC")

        >>> def wrapper(func):
        ...     @functools.wraps(func)
        ...     def wrapped(*args, **kwargs):
        ...         logger.patch(lambda r: r.update(function=func.__name__)).info("Wrapped!")
        ...         return func(*args, **kwargs)
        ...     return wrapped

        >>> def recv_record_from_network(pipe):
        ...     record = pickle.loads(pipe.read())
        ...     level, message = record["level"], record["message"]
        ...     logger.patch(lambda r: r.update(record)).log(level, message)

</details>

<details><summary><h4><strong>def wrapper</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def recv_record_from_network</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

Add, update or retrieve a logging level.

        Logging levels are defined by their ``name`` to which a severity ``no``, an ansi ``color``
        tag and an ``icon`` are associated and possibly modified at run-time. To |log| to a custom
        level, you should necessarily use its name, the severity number is not linked back to levels
        name (this implies that several levels can share the same severity).

        To add a new level, its ``name`` and its ``no`` are required. A ``color`` and an ``icon``
        can also be specified or will be empty by default.

        To update an existing level, pass its ``name`` with the parameters to be changed. It is not
        possible to modify the ``no`` of a level once it has been added.

        To retrieve level information, the ``name`` solely suffices.

        Parameters
        ----------
        name : |str|
            The name of the logging level.
        no : |int|
            The severity of the level to be added or updated.
        color : |str|
            The color markup of the level to be added or updated.
        icon : |str|
            The icon of the level to be added or updated.

        Returns
        -------
        ``Level``
            A |namedtuple| containing information about the level.

        Raises
        ------
        ValueError
            If there is no level registered with such ``name``.

        Examples
        --------
        >>> level = logger.level("ERROR")
        >>> print(level)
        Level(name='ERROR', no=40, color='<red><bold>', icon='❌')
        >>> logger.add(sys.stderr, format="{level.no} {level.icon} {message}")
        1
        >>> logger.level("CUSTOM", no=15, color="<blue>", icon="@")
        Level(name='CUSTOM', no=15, color='<blue>', icon='@')
        >>> logger.log("CUSTOM", "Logging...")
        15 @ Logging...
        >>> logger.level("WARNING", icon=r"/!\\")
        Level(name='WARNING', no=30, color='<yellow><bold>', icon='/!\\\\')
        >>> logger.warning("Updated!")
        30 /!\\ Updated!

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

Disable logging of messages coming from ``name`` module and its children.

        Developers of library using `Loguru` should absolutely disable it to avoid disrupting
        users with unrelated logs messages.

        Note that in some rare circumstances, it is not possible for `Loguru` to
        determine the module's ``__name__`` value. In such situation, ``record["name"]`` will be
        equal to ``None``, this is why ``None`` is also a valid argument.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to disable.

        Examples
        --------
        >>> logger.info("Allowed message by default")
        [22:21:55] Allowed message by default
        >>> logger.disable("my_library")
        >>> logger.info("While publishing a library, don't forget to disable logging")

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable logging of messages coming from ``name`` module and its children.

        Logging is generally disabled by imported library using `Loguru`, hence this function
        allows users to receive these messages anyway.

        To enable all logs regardless of the module they are coming from, an empty string ``""`` can
        be passed.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to re-allow.

        Examples
        --------
        >>> logger.disable("__main__")
        >>> logger.info("Disabled, so nothing is logged.")
        >>> logger.enable("__main__")
        >>> logger.info("Re-enabled, messages are logged.")
        [22:46:12] Re-enabled, messages are logged.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Configure the core logger.

        It should be noted that ``extra`` values set using this function are available across all
        modules, so this is the best way to set overall default values.

        To load the configuration directly from a file, such as JSON or YAML, it is also possible to
        use the |loguru-config|_ library developed by `@erezinman`_.

        Parameters
        ----------
        handlers : |list| of |dict|, optional
            A list of each handler to be added. The list should contain dicts of params passed to
            the |add| function as keyword arguments. If not ``None``, all previously added
            handlers are first removed.
        levels : |list| of |dict|, optional
            A list of each level to be added or updated. The list should contain dicts of params
            passed to the |level| function as keyword arguments. This will never remove previously
            created levels.
        extra : |dict|, optional
            A dict containing additional parameters bound to the core logger, useful to share
            common properties if you call |bind| in several of your files modules. If not ``None``,
            this will remove previously configured ``extra`` dict.
        patcher : |callable|_, optional
            A function that will be applied to the record dict of each logged messages across all
            modules using the logger. It should modify the dict in-place without returning anything.
            The function is executed prior to the one possibly added by the |patch| method. If not
            ``None``, this will replace previously configured ``patcher`` function.
        activation : |list| of |tuple|, optional
            A list of ``(name, state)`` tuples which denotes which loggers should be enabled (if
            ``state`` is ``True``) or disabled (if ``state`` is ``False``). The calls to |enable|
            and |disable| are made accordingly to the list order. This will not modify previously
            activated loggers, so if you need a fresh start prepend your list with ``("", False)``
            or ``("", True)``.

        Returns
        -------
        :class:`list` of :class:`int`
            A list containing the identifiers of added sinks (if any).

        Examples
        --------
        >>> logger.configure(
        ...     handlers=[
        ...         dict(sink=sys.stderr, format="[{time}] {message}"),
        ...         dict(sink="file.log", enqueue=True, serialize=True),
        ...     ],
        ...     levels=[dict(name="NEW", no=13, icon="¤", color="")],
        ...     extra={"common_to_all": "default"},
        ...     patcher=lambda record: record["extra"].update(some_value=42),
        ...     activation=[("my_module.secret", False), ("another_library.module", True)],
        ... )
        [1, 2]

        >>> # Set a default "extra" dict to logger across all modules, without "bind()"
        >>> extra = {"context": "foo"}
        >>> logger.configure(extra=extra)
        >>> logger.add(sys.stderr, format="{extra[context]} - {message}")
        >>> logger.info("Context without bind")
        >>> # => "foo - Context without bind"
        >>> logger.bind(context="bar").info("Suppress global context")
        >>> # => "bar - Suppress global context"

</details>

<details><summary><h4><strong>def _change_activation</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def modules_depth</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def cast</strong></h4></summary>

if isinstance(file, (str, PathLike)):
            should_close = True
            fileobj = open(str(file))
        elif hasattr(file, "read") and callable(file.read):
            should_close = False
            fileobj = file
        else:
            raise TypeError(
                "Invalid file, it should be a string path or a file object, not: '%s'"
                % type(file).__name__
            )

        if isinstance(cast, dict):

            def cast_function(groups):
                for key, converter in cast.items():
                    if key in groups:
                        groups[key] = converter(groups[key])

        elif callable(cast):
            cast_function = cast
        else:
            raise TypeError(
                "Invalid cast, it should be a function or a dict, not: '%s'" % type(cast).__name__
            )

        try:
            regex = re.compile(pattern)
        except TypeError:
            raise TypeError(
                "Invalid pattern, it should be a string or a compiled regex, not: '%s'"
                % type(pattern).__name__
            ) from None

        matches = Logger._find_iter(fileobj, regex, chunk)

        for match in matches:
            groups = match.groupdict()
            cast_function(groups)
            yield groups

        if should_close:
            fileobj.close()

    @staticmethod
    def _find_iter(fileobj, regex, chunk):
        buffer = fileobj.read(0)

        while 1:
            text = fileobj.read(chunk)
            buffer += text
            matches = list(regex.finditer(buffer))

            if not text:
                yield from matches
                break

            if len(matches) > 1:
                end = matches[-2].end()
                buffer = buffer[end:]
                yield from matches[:-1]

    def _log(self, level, from_decorator, options, message, args, kwargs):
        core = self._core

        if not core.handlers:
            return

        try:
            level_id, level_name, level_no, level_icon = core.levels_lookup[level]
        except (KeyError, TypeError):
            if isinstance(level, str):
                raise ValueError("Level '%s' does not exist" % level) from None
            if not isinstance(level, int):
                raise TypeError(
                    "Invalid level, it should be an integer or a string, not: '%s'"
                    % type(level).__name__
                ) from None
            if level < 0:
                raise ValueError(
                    "Invalid level value, it should be a positive integer, not: %d" % level
                ) from None
            cache = (None, "Level %d" % level, level, " ")
            level_id, level_name, level_no, level_icon = cache
            core.levels_lookup[level] = cache

        if level_no < core.min_level:
            return

        (exception, depth, record, lazy, colors, raw, capture, patchers, extra) = options

        frame = get_frame(depth + 2)

        try:
            name = frame.f_globals["__name__"]
        except KeyError:
            name = None

        try:
            if not core.enabled[name]:
                return
        except KeyError:
            enabled = core.enabled
            if name is None:
                status = core.activation_none
                enabled[name] = status
                if not status:
                    return
            else:
                dotted_name = name + "."
                for dotted_module_name, status in core.activation_list:
                    if dotted_name[: len(dotted_module_name)] == dotted_module_name:
                        if status:
                            break
                        enabled[name] = False
                        return
                enabled[name] = True

        current_datetime = aware_now()

        code = frame.f_code
        file_path = code.co_filename
        file_name = basename(file_path)
        thread = current_thread()
        process = current_process()
        elapsed = current_datetime - start_time

        if exception:
            if isinstance(exception, BaseException):
                type_, value, traceback = (type(exception), exception, exception.__traceback__)
            elif isinstance(exception, tuple):
                type_, value, traceback = exception
            else:
                type_, value, traceback = sys.exc_info()
            exception = RecordException(type_, value, traceback)
        else:
            exception = None

        log_record = {
            "elapsed": elapsed,
            "exception": exception,
            "extra": {**core.extra, **context.get(), **extra},
            "file": RecordFile(file_name, file_path),
            "function": code.co_name,
            "level": RecordLevel(level_name, level_no, level_icon),
            "line": frame.f_lineno,
            "message": str(message),
            "module": splitext(file_name)[0],
            "name": name,
            "process": RecordProcess(process.ident, process.name),
            "thread": RecordThread(thread.ident, thread.name),
            "time": current_datetime,
        }

        if lazy:
            args = [arg() for arg in args]
            kwargs = {key: value() for key, value in kwargs.items()}

        if capture and kwargs:
            log_record["extra"].update(kwargs)

        if record:
            if "record" in kwargs:
                raise TypeError(
                    "The message can't be formatted: 'record' shall not be used as a keyword "
                    "argument while logger has been configured with '.opt(record=True)'"
                )
            kwargs.update(record=log_record)

        if colors:
            if args or kwargs:
                colored_message = Colorizer.prepare_message(message, args, kwargs)
            else:
                colored_message = Colorizer.prepare_simple_message(str(message))
            log_record["message"] = colored_message.stripped
        elif args or kwargs:
            colored_message = None
            log_record["message"] = message.format(*args, **kwargs)
        else:
            colored_message = None

        if core.patcher:
            core.patcher(log_record)

        for patcher in patchers:
            patcher(log_record)

        for handler in core.handlers.values():
            handler.emit(log_record, level_id, from_decorator, raw, colored_message)

    def trace(__self, __message, *args, **kwargs):  # noqa: N805
        r

</details>

<details><summary><h4><strong>def cast_function</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _find_iter</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def trace</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def debug</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'DEBUG'``.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'INFO'``.

</details>

<details><summary><h4><strong>def success</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'SUCCESS'``.

</details>

<details><summary><h4><strong>def warning</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'WARNING'``.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'ERROR'``.

</details>

<details><summary><h4><strong>def critical</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'CRITICAL'``.

</details>

<details><summary><h4><strong>def exception</strong></h4></summary>

Convenience method for logging an ``'ERROR'`` with exception information.

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``level``.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Deprecated function to |add| a new handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``start()`` will be removed in Loguru 1.0.0, it is replaced by ``add()`` which is a less
          confusing name.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Deprecated function to |remove| an existing handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``stop()`` will be removed in Loguru 1.0.0, it is replaced by ``remove()`` which is a less
          confusing name.

</details>

</details>

<details><summary><h3><strong>class AwaitableCompleter</strong></h3></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

<p><strong>Key features</strong></p>

<ul>
<li>An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):</li>
</ul>
<details><summary><h4><strong>def __await__</strong></h4></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h4><strong>def catch</strong></h4></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h4><strong>def f</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def g</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def main</strong></h4></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def opt</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def func</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def bind</strong></h4></summary>

Bind attributes to the ``extra`` dict of each logged message record.

        This is used to add custom context to each logging call.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the ``extra`` dict.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which sends record with the customized ``extra``
            dict.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[ip]} - {message}")
        >>> class Server:
        ...     def __init__(self, ip):
        ...         self.ip = ip
        ...         self.logger = logger.bind(ip=ip)
        ...     def call(self, message):
        ...         self.logger.info(message)
        ...
        >>> instance_1 = Server("192.168.0.200")
        >>> instance_2 = Server("127.0.0.1")
        >>> instance_1.call("First instance")
        192.168.0.200 - First instance
        >>> instance_2.call("Second instance")
        127.0.0.1 - Second instance

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def call</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def contextualize</strong></h4></summary>

Bind attributes to the context-local ``extra`` dict while inside the ``with`` block.

        Contrary to |bind| there is no ``logger`` returned, the ``extra`` dict is modified in-place
        and updated globally. Most importantly, it uses |contextvars| which means that
        contextualized values are unique to each threads and asynchronous tasks.

        The ``extra`` dict will retrieve its initial state once the context manager is exited.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the context-local ``extra`` dict.

        Returns
        -------
        :term:`context manager` / :term:`decorator`
            A context manager (usable as a decorator too) that will bind the attributes once entered
            and restore the initial state of the ``extra`` dict while exited.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{message} | {extra}")
        1
        >>> def task():
        ...     logger.info("Processing!")
        ...
        >>> with logger.contextualize(task_id=123):
        ...     task()
        ...
        Processing! | {'task_id': 123}
        >>> logger.info("Done.")
        Done. | {}

</details>

<details><summary><h4><strong>def task</strong></h4></summary>

with __self._core.lock:
            new_context = {**context.get(), **kwargs}
            token = context.set(new_context)

        try:
            yield
        finally:
            with __self._core.lock:
                context.reset(token)

    def patch(self, patcher):

</details>

<details><summary><h4><strong>def patch</strong></h4></summary>

Attach a function to modify the record dict created by each logging call.

        The ``patcher`` may be used to update the record on-the-fly before it's propagated to the
        handlers. This allows the "extra" dict to be populated with dynamic values and also permits
        advanced modifications of the record emitted while logging a message. The function is called
        once before sending the log message to the different handlers.

        It is recommended to apply modification on the ``record["extra"]`` dict rather than on the
        ``record`` dict itself, as some values are used internally by `Loguru`, and modify them may
        produce unexpected results.

        The logger can be patched multiple times. In this case, the functions are called in the
        same order as they are added.

        Parameters
        ----------
        patcher: |callable|_
            The function to which the record dict will be passed as the sole argument. This function
            is in charge of updating the record in-place, the function does not need to return any
            value, the modified record object will be re-used.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which records are passed through the ``patcher``
            function before being sent to the added handlers.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[utc]} {message}")
        >>> logger = logger.patch(lambda record: record["extra"].update(utc=datetime.utcnow())
        >>> logger.info("That's way, you can log messages with time displayed in UTC")

        >>> def wrapper(func):
        ...     @functools.wraps(func)
        ...     def wrapped(*args, **kwargs):
        ...         logger.patch(lambda r: r.update(function=func.__name__)).info("Wrapped!")
        ...         return func(*args, **kwargs)
        ...     return wrapped

        >>> def recv_record_from_network(pipe):
        ...     record = pickle.loads(pipe.read())
        ...     level, message = record["level"], record["message"]
        ...     logger.patch(lambda r: r.update(record)).log(level, message)

</details>

<details><summary><h4><strong>def wrapper</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def recv_record_from_network</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

Add, update or retrieve a logging level.

        Logging levels are defined by their ``name`` to which a severity ``no``, an ansi ``color``
        tag and an ``icon`` are associated and possibly modified at run-time. To |log| to a custom
        level, you should necessarily use its name, the severity number is not linked back to levels
        name (this implies that several levels can share the same severity).

        To add a new level, its ``name`` and its ``no`` are required. A ``color`` and an ``icon``
        can also be specified or will be empty by default.

        To update an existing level, pass its ``name`` with the parameters to be changed. It is not
        possible to modify the ``no`` of a level once it has been added.

        To retrieve level information, the ``name`` solely suffices.

        Parameters
        ----------
        name : |str|
            The name of the logging level.
        no : |int|
            The severity of the level to be added or updated.
        color : |str|
            The color markup of the level to be added or updated.
        icon : |str|
            The icon of the level to be added or updated.

        Returns
        -------
        ``Level``
            A |namedtuple| containing information about the level.

        Raises
        ------
        ValueError
            If there is no level registered with such ``name``.

        Examples
        --------
        >>> level = logger.level("ERROR")
        >>> print(level)
        Level(name='ERROR', no=40, color='<red><bold>', icon='❌')
        >>> logger.add(sys.stderr, format="{level.no} {level.icon} {message}")
        1
        >>> logger.level("CUSTOM", no=15, color="<blue>", icon="@")
        Level(name='CUSTOM', no=15, color='<blue>', icon='@')
        >>> logger.log("CUSTOM", "Logging...")
        15 @ Logging...
        >>> logger.level("WARNING", icon=r"/!\\")
        Level(name='WARNING', no=30, color='<yellow><bold>', icon='/!\\\\')
        >>> logger.warning("Updated!")
        30 /!\\ Updated!

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

Disable logging of messages coming from ``name`` module and its children.

        Developers of library using `Loguru` should absolutely disable it to avoid disrupting
        users with unrelated logs messages.

        Note that in some rare circumstances, it is not possible for `Loguru` to
        determine the module's ``__name__`` value. In such situation, ``record["name"]`` will be
        equal to ``None``, this is why ``None`` is also a valid argument.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to disable.

        Examples
        --------
        >>> logger.info("Allowed message by default")
        [22:21:55] Allowed message by default
        >>> logger.disable("my_library")
        >>> logger.info("While publishing a library, don't forget to disable logging")

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable logging of messages coming from ``name`` module and its children.

        Logging is generally disabled by imported library using `Loguru`, hence this function
        allows users to receive these messages anyway.

        To enable all logs regardless of the module they are coming from, an empty string ``""`` can
        be passed.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to re-allow.

        Examples
        --------
        >>> logger.disable("__main__")
        >>> logger.info("Disabled, so nothing is logged.")
        >>> logger.enable("__main__")
        >>> logger.info("Re-enabled, messages are logged.")
        [22:46:12] Re-enabled, messages are logged.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Configure the core logger.

        It should be noted that ``extra`` values set using this function are available across all
        modules, so this is the best way to set overall default values.

        To load the configuration directly from a file, such as JSON or YAML, it is also possible to
        use the |loguru-config|_ library developed by `@erezinman`_.

        Parameters
        ----------
        handlers : |list| of |dict|, optional
            A list of each handler to be added. The list should contain dicts of params passed to
            the |add| function as keyword arguments. If not ``None``, all previously added
            handlers are first removed.
        levels : |list| of |dict|, optional
            A list of each level to be added or updated. The list should contain dicts of params
            passed to the |level| function as keyword arguments. This will never remove previously
            created levels.
        extra : |dict|, optional
            A dict containing additional parameters bound to the core logger, useful to share
            common properties if you call |bind| in several of your files modules. If not ``None``,
            this will remove previously configured ``extra`` dict.
        patcher : |callable|_, optional
            A function that will be applied to the record dict of each logged messages across all
            modules using the logger. It should modify the dict in-place without returning anything.
            The function is executed prior to the one possibly added by the |patch| method. If not
            ``None``, this will replace previously configured ``patcher`` function.
        activation : |list| of |tuple|, optional
            A list of ``(name, state)`` tuples which denotes which loggers should be enabled (if
            ``state`` is ``True``) or disabled (if ``state`` is ``False``). The calls to |enable|
            and |disable| are made accordingly to the list order. This will not modify previously
            activated loggers, so if you need a fresh start prepend your list with ``("", False)``
            or ``("", True)``.

        Returns
        -------
        :class:`list` of :class:`int`
            A list containing the identifiers of added sinks (if any).

        Examples
        --------
        >>> logger.configure(
        ...     handlers=[
        ...         dict(sink=sys.stderr, format="[{time}] {message}"),
        ...         dict(sink="file.log", enqueue=True, serialize=True),
        ...     ],
        ...     levels=[dict(name="NEW", no=13, icon="¤", color="")],
        ...     extra={"common_to_all": "default"},
        ...     patcher=lambda record: record["extra"].update(some_value=42),
        ...     activation=[("my_module.secret", False), ("another_library.module", True)],
        ... )
        [1, 2]

        >>> # Set a default "extra" dict to logger across all modules, without "bind()"
        >>> extra = {"context": "foo"}
        >>> logger.configure(extra=extra)
        >>> logger.add(sys.stderr, format="{extra[context]} - {message}")
        >>> logger.info("Context without bind")
        >>> # => "foo - Context without bind"
        >>> logger.bind(context="bar").info("Suppress global context")
        >>> # => "bar - Suppress global context"

</details>

<details><summary><h4><strong>def _change_activation</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def modules_depth</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def cast</strong></h4></summary>

if isinstance(file, (str, PathLike)):
            should_close = True
            fileobj = open(str(file))
        elif hasattr(file, "read") and callable(file.read):
            should_close = False
            fileobj = file
        else:
            raise TypeError(
                "Invalid file, it should be a string path or a file object, not: '%s'"
                % type(file).__name__
            )

        if isinstance(cast, dict):

            def cast_function(groups):
                for key, converter in cast.items():
                    if key in groups:
                        groups[key] = converter(groups[key])

        elif callable(cast):
            cast_function = cast
        else:
            raise TypeError(
                "Invalid cast, it should be a function or a dict, not: '%s'" % type(cast).__name__
            )

        try:
            regex = re.compile(pattern)
        except TypeError:
            raise TypeError(
                "Invalid pattern, it should be a string or a compiled regex, not: '%s'"
                % type(pattern).__name__
            ) from None

        matches = Logger._find_iter(fileobj, regex, chunk)

        for match in matches:
            groups = match.groupdict()
            cast_function(groups)
            yield groups

        if should_close:
            fileobj.close()

    @staticmethod
    def _find_iter(fileobj, regex, chunk):
        buffer = fileobj.read(0)

        while 1:
            text = fileobj.read(chunk)
            buffer += text
            matches = list(regex.finditer(buffer))

            if not text:
                yield from matches
                break

            if len(matches) > 1:
                end = matches[-2].end()
                buffer = buffer[end:]
                yield from matches[:-1]

    def _log(self, level, from_decorator, options, message, args, kwargs):
        core = self._core

        if not core.handlers:
            return

        try:
            level_id, level_name, level_no, level_icon = core.levels_lookup[level]
        except (KeyError, TypeError):
            if isinstance(level, str):
                raise ValueError("Level '%s' does not exist" % level) from None
            if not isinstance(level, int):
                raise TypeError(
                    "Invalid level, it should be an integer or a string, not: '%s'"
                    % type(level).__name__
                ) from None
            if level < 0:
                raise ValueError(
                    "Invalid level value, it should be a positive integer, not: %d" % level
                ) from None
            cache = (None, "Level %d" % level, level, " ")
            level_id, level_name, level_no, level_icon = cache
            core.levels_lookup[level] = cache

        if level_no < core.min_level:
            return

        (exception, depth, record, lazy, colors, raw, capture, patchers, extra) = options

        frame = get_frame(depth + 2)

        try:
            name = frame.f_globals["__name__"]
        except KeyError:
            name = None

        try:
            if not core.enabled[name]:
                return
        except KeyError:
            enabled = core.enabled
            if name is None:
                status = core.activation_none
                enabled[name] = status
                if not status:
                    return
            else:
                dotted_name = name + "."
                for dotted_module_name, status in core.activation_list:
                    if dotted_name[: len(dotted_module_name)] == dotted_module_name:
                        if status:
                            break
                        enabled[name] = False
                        return
                enabled[name] = True

        current_datetime = aware_now()

        code = frame.f_code
        file_path = code.co_filename
        file_name = basename(file_path)
        thread = current_thread()
        process = current_process()
        elapsed = current_datetime - start_time

        if exception:
            if isinstance(exception, BaseException):
                type_, value, traceback = (type(exception), exception, exception.__traceback__)
            elif isinstance(exception, tuple):
                type_, value, traceback = exception
            else:
                type_, value, traceback = sys.exc_info()
            exception = RecordException(type_, value, traceback)
        else:
            exception = None

        log_record = {
            "elapsed": elapsed,
            "exception": exception,
            "extra": {**core.extra, **context.get(), **extra},
            "file": RecordFile(file_name, file_path),
            "function": code.co_name,
            "level": RecordLevel(level_name, level_no, level_icon),
            "line": frame.f_lineno,
            "message": str(message),
            "module": splitext(file_name)[0],
            "name": name,
            "process": RecordProcess(process.ident, process.name),
            "thread": RecordThread(thread.ident, thread.name),
            "time": current_datetime,
        }

        if lazy:
            args = [arg() for arg in args]
            kwargs = {key: value() for key, value in kwargs.items()}

        if capture and kwargs:
            log_record["extra"].update(kwargs)

        if record:
            if "record" in kwargs:
                raise TypeError(
                    "The message can't be formatted: 'record' shall not be used as a keyword "
                    "argument while logger has been configured with '.opt(record=True)'"
                )
            kwargs.update(record=log_record)

        if colors:
            if args or kwargs:
                colored_message = Colorizer.prepare_message(message, args, kwargs)
            else:
                colored_message = Colorizer.prepare_simple_message(str(message))
            log_record["message"] = colored_message.stripped
        elif args or kwargs:
            colored_message = None
            log_record["message"] = message.format(*args, **kwargs)
        else:
            colored_message = None

        if core.patcher:
            core.patcher(log_record)

        for patcher in patchers:
            patcher(log_record)

        for handler in core.handlers.values():
            handler.emit(log_record, level_id, from_decorator, raw, colored_message)

    def trace(__self, __message, *args, **kwargs):  # noqa: N805
        r

</details>

<details><summary><h4><strong>def cast_function</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _find_iter</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def trace</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def debug</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'DEBUG'``.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'INFO'``.

</details>

<details><summary><h4><strong>def success</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'SUCCESS'``.

</details>

<details><summary><h4><strong>def warning</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'WARNING'``.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'ERROR'``.

</details>

<details><summary><h4><strong>def critical</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'CRITICAL'``.

</details>

<details><summary><h4><strong>def exception</strong></h4></summary>

Convenience method for logging an ``'ERROR'`` with exception information.

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``level``.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Deprecated function to |add| a new handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``start()`` will be removed in Loguru 1.0.0, it is replaced by ``add()`` which is a less
          confusing name.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Deprecated function to |remove| an existing handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``stop()`` will be removed in Loguru 1.0.0, it is replaced by ``remove()`` which is a less
          confusing name.

</details>

</details>

<details><summary><h3><strong>class Catcher</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

<p><strong>Key features</strong></p>

<ul>
<li>Exception logged with debug level:</li>
<li>Current line is: 1</li>
<li>If sink <= DEBUG: 263130836933693530167218012160000000</li>
<li>We got a BIG problem</li>
<li>Get parent context</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def catch_wrapper</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def opt</strong></h4></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def func</strong></h4></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def bind</strong></h4></summary>

Bind attributes to the ``extra`` dict of each logged message record.

        This is used to add custom context to each logging call.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the ``extra`` dict.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which sends record with the customized ``extra``
            dict.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[ip]} - {message}")
        >>> class Server:
        ...     def __init__(self, ip):
        ...         self.ip = ip
        ...         self.logger = logger.bind(ip=ip)
        ...     def call(self, message):
        ...         self.logger.info(message)
        ...
        >>> instance_1 = Server("192.168.0.200")
        >>> instance_2 = Server("127.0.0.1")
        >>> instance_1.call("First instance")
        192.168.0.200 - First instance
        >>> instance_2.call("Second instance")
        127.0.0.1 - Second instance

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def call</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def contextualize</strong></h4></summary>

Bind attributes to the context-local ``extra`` dict while inside the ``with`` block.

        Contrary to |bind| there is no ``logger`` returned, the ``extra`` dict is modified in-place
        and updated globally. Most importantly, it uses |contextvars| which means that
        contextualized values are unique to each threads and asynchronous tasks.

        The ``extra`` dict will retrieve its initial state once the context manager is exited.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the context-local ``extra`` dict.

        Returns
        -------
        :term:`context manager` / :term:`decorator`
            A context manager (usable as a decorator too) that will bind the attributes once entered
            and restore the initial state of the ``extra`` dict while exited.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{message} | {extra}")
        1
        >>> def task():
        ...     logger.info("Processing!")
        ...
        >>> with logger.contextualize(task_id=123):
        ...     task()
        ...
        Processing! | {'task_id': 123}
        >>> logger.info("Done.")
        Done. | {}

</details>

<details><summary><h4><strong>def task</strong></h4></summary>

with __self._core.lock:
            new_context = {**context.get(), **kwargs}
            token = context.set(new_context)

        try:
            yield
        finally:
            with __self._core.lock:
                context.reset(token)

    def patch(self, patcher):

</details>

<details><summary><h4><strong>def patch</strong></h4></summary>

Attach a function to modify the record dict created by each logging call.

        The ``patcher`` may be used to update the record on-the-fly before it's propagated to the
        handlers. This allows the "extra" dict to be populated with dynamic values and also permits
        advanced modifications of the record emitted while logging a message. The function is called
        once before sending the log message to the different handlers.

        It is recommended to apply modification on the ``record["extra"]`` dict rather than on the
        ``record`` dict itself, as some values are used internally by `Loguru`, and modify them may
        produce unexpected results.

        The logger can be patched multiple times. In this case, the functions are called in the
        same order as they are added.

        Parameters
        ----------
        patcher: |callable|_
            The function to which the record dict will be passed as the sole argument. This function
            is in charge of updating the record in-place, the function does not need to return any
            value, the modified record object will be re-used.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which records are passed through the ``patcher``
            function before being sent to the added handlers.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[utc]} {message}")
        >>> logger = logger.patch(lambda record: record["extra"].update(utc=datetime.utcnow())
        >>> logger.info("That's way, you can log messages with time displayed in UTC")

        >>> def wrapper(func):
        ...     @functools.wraps(func)
        ...     def wrapped(*args, **kwargs):
        ...         logger.patch(lambda r: r.update(function=func.__name__)).info("Wrapped!")
        ...         return func(*args, **kwargs)
        ...     return wrapped

        >>> def recv_record_from_network(pipe):
        ...     record = pickle.loads(pipe.read())
        ...     level, message = record["level"], record["message"]
        ...     logger.patch(lambda r: r.update(record)).log(level, message)

</details>

<details><summary><h4><strong>def wrapper</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def recv_record_from_network</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

Add, update or retrieve a logging level.

        Logging levels are defined by their ``name`` to which a severity ``no``, an ansi ``color``
        tag and an ``icon`` are associated and possibly modified at run-time. To |log| to a custom
        level, you should necessarily use its name, the severity number is not linked back to levels
        name (this implies that several levels can share the same severity).

        To add a new level, its ``name`` and its ``no`` are required. A ``color`` and an ``icon``
        can also be specified or will be empty by default.

        To update an existing level, pass its ``name`` with the parameters to be changed. It is not
        possible to modify the ``no`` of a level once it has been added.

        To retrieve level information, the ``name`` solely suffices.

        Parameters
        ----------
        name : |str|
            The name of the logging level.
        no : |int|
            The severity of the level to be added or updated.
        color : |str|
            The color markup of the level to be added or updated.
        icon : |str|
            The icon of the level to be added or updated.

        Returns
        -------
        ``Level``
            A |namedtuple| containing information about the level.

        Raises
        ------
        ValueError
            If there is no level registered with such ``name``.

        Examples
        --------
        >>> level = logger.level("ERROR")
        >>> print(level)
        Level(name='ERROR', no=40, color='<red><bold>', icon='❌')
        >>> logger.add(sys.stderr, format="{level.no} {level.icon} {message}")
        1
        >>> logger.level("CUSTOM", no=15, color="<blue>", icon="@")
        Level(name='CUSTOM', no=15, color='<blue>', icon='@')
        >>> logger.log("CUSTOM", "Logging...")
        15 @ Logging...
        >>> logger.level("WARNING", icon=r"/!\\")
        Level(name='WARNING', no=30, color='<yellow><bold>', icon='/!\\\\')
        >>> logger.warning("Updated!")
        30 /!\\ Updated!

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

Disable logging of messages coming from ``name`` module and its children.

        Developers of library using `Loguru` should absolutely disable it to avoid disrupting
        users with unrelated logs messages.

        Note that in some rare circumstances, it is not possible for `Loguru` to
        determine the module's ``__name__`` value. In such situation, ``record["name"]`` will be
        equal to ``None``, this is why ``None`` is also a valid argument.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to disable.

        Examples
        --------
        >>> logger.info("Allowed message by default")
        [22:21:55] Allowed message by default
        >>> logger.disable("my_library")
        >>> logger.info("While publishing a library, don't forget to disable logging")

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable logging of messages coming from ``name`` module and its children.

        Logging is generally disabled by imported library using `Loguru`, hence this function
        allows users to receive these messages anyway.

        To enable all logs regardless of the module they are coming from, an empty string ``""`` can
        be passed.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to re-allow.

        Examples
        --------
        >>> logger.disable("__main__")
        >>> logger.info("Disabled, so nothing is logged.")
        >>> logger.enable("__main__")
        >>> logger.info("Re-enabled, messages are logged.")
        [22:46:12] Re-enabled, messages are logged.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Configure the core logger.

        It should be noted that ``extra`` values set using this function are available across all
        modules, so this is the best way to set overall default values.

        To load the configuration directly from a file, such as JSON or YAML, it is also possible to
        use the |loguru-config|_ library developed by `@erezinman`_.

        Parameters
        ----------
        handlers : |list| of |dict|, optional
            A list of each handler to be added. The list should contain dicts of params passed to
            the |add| function as keyword arguments. If not ``None``, all previously added
            handlers are first removed.
        levels : |list| of |dict|, optional
            A list of each level to be added or updated. The list should contain dicts of params
            passed to the |level| function as keyword arguments. This will never remove previously
            created levels.
        extra : |dict|, optional
            A dict containing additional parameters bound to the core logger, useful to share
            common properties if you call |bind| in several of your files modules. If not ``None``,
            this will remove previously configured ``extra`` dict.
        patcher : |callable|_, optional
            A function that will be applied to the record dict of each logged messages across all
            modules using the logger. It should modify the dict in-place without returning anything.
            The function is executed prior to the one possibly added by the |patch| method. If not
            ``None``, this will replace previously configured ``patcher`` function.
        activation : |list| of |tuple|, optional
            A list of ``(name, state)`` tuples which denotes which loggers should be enabled (if
            ``state`` is ``True``) or disabled (if ``state`` is ``False``). The calls to |enable|
            and |disable| are made accordingly to the list order. This will not modify previously
            activated loggers, so if you need a fresh start prepend your list with ``("", False)``
            or ``("", True)``.

        Returns
        -------
        :class:`list` of :class:`int`
            A list containing the identifiers of added sinks (if any).

        Examples
        --------
        >>> logger.configure(
        ...     handlers=[
        ...         dict(sink=sys.stderr, format="[{time}] {message}"),
        ...         dict(sink="file.log", enqueue=True, serialize=True),
        ...     ],
        ...     levels=[dict(name="NEW", no=13, icon="¤", color="")],
        ...     extra={"common_to_all": "default"},
        ...     patcher=lambda record: record["extra"].update(some_value=42),
        ...     activation=[("my_module.secret", False), ("another_library.module", True)],
        ... )
        [1, 2]

        >>> # Set a default "extra" dict to logger across all modules, without "bind()"
        >>> extra = {"context": "foo"}
        >>> logger.configure(extra=extra)
        >>> logger.add(sys.stderr, format="{extra[context]} - {message}")
        >>> logger.info("Context without bind")
        >>> # => "foo - Context without bind"
        >>> logger.bind(context="bar").info("Suppress global context")
        >>> # => "bar - Suppress global context"

</details>

<details><summary><h4><strong>def _change_activation</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def modules_depth</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def cast</strong></h4></summary>

if isinstance(file, (str, PathLike)):
            should_close = True
            fileobj = open(str(file))
        elif hasattr(file, "read") and callable(file.read):
            should_close = False
            fileobj = file
        else:
            raise TypeError(
                "Invalid file, it should be a string path or a file object, not: '%s'"
                % type(file).__name__
            )

        if isinstance(cast, dict):

            def cast_function(groups):
                for key, converter in cast.items():
                    if key in groups:
                        groups[key] = converter(groups[key])

        elif callable(cast):
            cast_function = cast
        else:
            raise TypeError(
                "Invalid cast, it should be a function or a dict, not: '%s'" % type(cast).__name__
            )

        try:
            regex = re.compile(pattern)
        except TypeError:
            raise TypeError(
                "Invalid pattern, it should be a string or a compiled regex, not: '%s'"
                % type(pattern).__name__
            ) from None

        matches = Logger._find_iter(fileobj, regex, chunk)

        for match in matches:
            groups = match.groupdict()
            cast_function(groups)
            yield groups

        if should_close:
            fileobj.close()

    @staticmethod
    def _find_iter(fileobj, regex, chunk):
        buffer = fileobj.read(0)

        while 1:
            text = fileobj.read(chunk)
            buffer += text
            matches = list(regex.finditer(buffer))

            if not text:
                yield from matches
                break

            if len(matches) > 1:
                end = matches[-2].end()
                buffer = buffer[end:]
                yield from matches[:-1]

    def _log(self, level, from_decorator, options, message, args, kwargs):
        core = self._core

        if not core.handlers:
            return

        try:
            level_id, level_name, level_no, level_icon = core.levels_lookup[level]
        except (KeyError, TypeError):
            if isinstance(level, str):
                raise ValueError("Level '%s' does not exist" % level) from None
            if not isinstance(level, int):
                raise TypeError(
                    "Invalid level, it should be an integer or a string, not: '%s'"
                    % type(level).__name__
                ) from None
            if level < 0:
                raise ValueError(
                    "Invalid level value, it should be a positive integer, not: %d" % level
                ) from None
            cache = (None, "Level %d" % level, level, " ")
            level_id, level_name, level_no, level_icon = cache
            core.levels_lookup[level] = cache

        if level_no < core.min_level:
            return

        (exception, depth, record, lazy, colors, raw, capture, patchers, extra) = options

        frame = get_frame(depth + 2)

        try:
            name = frame.f_globals["__name__"]
        except KeyError:
            name = None

        try:
            if not core.enabled[name]:
                return
        except KeyError:
            enabled = core.enabled
            if name is None:
                status = core.activation_none
                enabled[name] = status
                if not status:
                    return
            else:
                dotted_name = name + "."
                for dotted_module_name, status in core.activation_list:
                    if dotted_name[: len(dotted_module_name)] == dotted_module_name:
                        if status:
                            break
                        enabled[name] = False
                        return
                enabled[name] = True

        current_datetime = aware_now()

        code = frame.f_code
        file_path = code.co_filename
        file_name = basename(file_path)
        thread = current_thread()
        process = current_process()
        elapsed = current_datetime - start_time

        if exception:
            if isinstance(exception, BaseException):
                type_, value, traceback = (type(exception), exception, exception.__traceback__)
            elif isinstance(exception, tuple):
                type_, value, traceback = exception
            else:
                type_, value, traceback = sys.exc_info()
            exception = RecordException(type_, value, traceback)
        else:
            exception = None

        log_record = {
            "elapsed": elapsed,
            "exception": exception,
            "extra": {**core.extra, **context.get(), **extra},
            "file": RecordFile(file_name, file_path),
            "function": code.co_name,
            "level": RecordLevel(level_name, level_no, level_icon),
            "line": frame.f_lineno,
            "message": str(message),
            "module": splitext(file_name)[0],
            "name": name,
            "process": RecordProcess(process.ident, process.name),
            "thread": RecordThread(thread.ident, thread.name),
            "time": current_datetime,
        }

        if lazy:
            args = [arg() for arg in args]
            kwargs = {key: value() for key, value in kwargs.items()}

        if capture and kwargs:
            log_record["extra"].update(kwargs)

        if record:
            if "record" in kwargs:
                raise TypeError(
                    "The message can't be formatted: 'record' shall not be used as a keyword "
                    "argument while logger has been configured with '.opt(record=True)'"
                )
            kwargs.update(record=log_record)

        if colors:
            if args or kwargs:
                colored_message = Colorizer.prepare_message(message, args, kwargs)
            else:
                colored_message = Colorizer.prepare_simple_message(str(message))
            log_record["message"] = colored_message.stripped
        elif args or kwargs:
            colored_message = None
            log_record["message"] = message.format(*args, **kwargs)
        else:
            colored_message = None

        if core.patcher:
            core.patcher(log_record)

        for patcher in patchers:
            patcher(log_record)

        for handler in core.handlers.values():
            handler.emit(log_record, level_id, from_decorator, raw, colored_message)

    def trace(__self, __message, *args, **kwargs):  # noqa: N805
        r

</details>

<details><summary><h4><strong>def cast_function</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _find_iter</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def trace</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def debug</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'DEBUG'``.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'INFO'``.

</details>

<details><summary><h4><strong>def success</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'SUCCESS'``.

</details>

<details><summary><h4><strong>def warning</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'WARNING'``.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'ERROR'``.

</details>

<details><summary><h4><strong>def critical</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'CRITICAL'``.

</details>

<details><summary><h4><strong>def exception</strong></h4></summary>

Convenience method for logging an ``'ERROR'`` with exception information.

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``level``.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Deprecated function to |add| a new handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``start()`` will be removed in Loguru 1.0.0, it is replaced by ``add()`` which is a less
          confusing name.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Deprecated function to |remove| an existing handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``stop()`` will be removed in Loguru 1.0.0, it is replaced by ``remove()`` which is a less
          confusing name.

</details>

</details>

<details><summary><h3><strong>class Server</strong></h3></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

<details><summary><h4><strong>def __init__</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def call</strong></h4></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h4><strong>def contextualize</strong></h4></summary>

Bind attributes to the context-local ``extra`` dict while inside the ``with`` block.

        Contrary to |bind| there is no ``logger`` returned, the ``extra`` dict is modified in-place
        and updated globally. Most importantly, it uses |contextvars| which means that
        contextualized values are unique to each threads and asynchronous tasks.

        The ``extra`` dict will retrieve its initial state once the context manager is exited.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the context-local ``extra`` dict.

        Returns
        -------
        :term:`context manager` / :term:`decorator`
            A context manager (usable as a decorator too) that will bind the attributes once entered
            and restore the initial state of the ``extra`` dict while exited.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{message} | {extra}")
        1
        >>> def task():
        ...     logger.info("Processing!")
        ...
        >>> with logger.contextualize(task_id=123):
        ...     task()
        ...
        Processing! | {'task_id': 123}
        >>> logger.info("Done.")
        Done. | {}

</details>

<details><summary><h4><strong>def task</strong></h4></summary>

with __self._core.lock:
            new_context = {**context.get(), **kwargs}
            token = context.set(new_context)

        try:
            yield
        finally:
            with __self._core.lock:
                context.reset(token)

    def patch(self, patcher):

</details>

<details><summary><h4><strong>def patch</strong></h4></summary>

Attach a function to modify the record dict created by each logging call.

        The ``patcher`` may be used to update the record on-the-fly before it's propagated to the
        handlers. This allows the "extra" dict to be populated with dynamic values and also permits
        advanced modifications of the record emitted while logging a message. The function is called
        once before sending the log message to the different handlers.

        It is recommended to apply modification on the ``record["extra"]`` dict rather than on the
        ``record`` dict itself, as some values are used internally by `Loguru`, and modify them may
        produce unexpected results.

        The logger can be patched multiple times. In this case, the functions are called in the
        same order as they are added.

        Parameters
        ----------
        patcher: |callable|_
            The function to which the record dict will be passed as the sole argument. This function
            is in charge of updating the record in-place, the function does not need to return any
            value, the modified record object will be re-used.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which records are passed through the ``patcher``
            function before being sent to the added handlers.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[utc]} {message}")
        >>> logger = logger.patch(lambda record: record["extra"].update(utc=datetime.utcnow())
        >>> logger.info("That's way, you can log messages with time displayed in UTC")

        >>> def wrapper(func):
        ...     @functools.wraps(func)
        ...     def wrapped(*args, **kwargs):
        ...         logger.patch(lambda r: r.update(function=func.__name__)).info("Wrapped!")
        ...         return func(*args, **kwargs)
        ...     return wrapped

        >>> def recv_record_from_network(pipe):
        ...     record = pickle.loads(pipe.read())
        ...     level, message = record["level"], record["message"]
        ...     logger.patch(lambda r: r.update(record)).log(level, message)

</details>

<details><summary><h4><strong>def wrapper</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def wrapped</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def recv_record_from_network</strong></h4></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

Add, update or retrieve a logging level.

        Logging levels are defined by their ``name`` to which a severity ``no``, an ansi ``color``
        tag and an ``icon`` are associated and possibly modified at run-time. To |log| to a custom
        level, you should necessarily use its name, the severity number is not linked back to levels
        name (this implies that several levels can share the same severity).

        To add a new level, its ``name`` and its ``no`` are required. A ``color`` and an ``icon``
        can also be specified or will be empty by default.

        To update an existing level, pass its ``name`` with the parameters to be changed. It is not
        possible to modify the ``no`` of a level once it has been added.

        To retrieve level information, the ``name`` solely suffices.

        Parameters
        ----------
        name : |str|
            The name of the logging level.
        no : |int|
            The severity of the level to be added or updated.
        color : |str|
            The color markup of the level to be added or updated.
        icon : |str|
            The icon of the level to be added or updated.

        Returns
        -------
        ``Level``
            A |namedtuple| containing information about the level.

        Raises
        ------
        ValueError
            If there is no level registered with such ``name``.

        Examples
        --------
        >>> level = logger.level("ERROR")
        >>> print(level)
        Level(name='ERROR', no=40, color='<red><bold>', icon='❌')
        >>> logger.add(sys.stderr, format="{level.no} {level.icon} {message}")
        1
        >>> logger.level("CUSTOM", no=15, color="<blue>", icon="@")
        Level(name='CUSTOM', no=15, color='<blue>', icon='@')
        >>> logger.log("CUSTOM", "Logging...")
        15 @ Logging...
        >>> logger.level("WARNING", icon=r"/!\\")
        Level(name='WARNING', no=30, color='<yellow><bold>', icon='/!\\\\')
        >>> logger.warning("Updated!")
        30 /!\\ Updated!

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

Disable logging of messages coming from ``name`` module and its children.

        Developers of library using `Loguru` should absolutely disable it to avoid disrupting
        users with unrelated logs messages.

        Note that in some rare circumstances, it is not possible for `Loguru` to
        determine the module's ``__name__`` value. In such situation, ``record["name"]`` will be
        equal to ``None``, this is why ``None`` is also a valid argument.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to disable.

        Examples
        --------
        >>> logger.info("Allowed message by default")
        [22:21:55] Allowed message by default
        >>> logger.disable("my_library")
        >>> logger.info("While publishing a library, don't forget to disable logging")

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable logging of messages coming from ``name`` module and its children.

        Logging is generally disabled by imported library using `Loguru`, hence this function
        allows users to receive these messages anyway.

        To enable all logs regardless of the module they are coming from, an empty string ``""`` can
        be passed.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to re-allow.

        Examples
        --------
        >>> logger.disable("__main__")
        >>> logger.info("Disabled, so nothing is logged.")
        >>> logger.enable("__main__")
        >>> logger.info("Re-enabled, messages are logged.")
        [22:46:12] Re-enabled, messages are logged.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Configure the core logger.

        It should be noted that ``extra`` values set using this function are available across all
        modules, so this is the best way to set overall default values.

        To load the configuration directly from a file, such as JSON or YAML, it is also possible to
        use the |loguru-config|_ library developed by `@erezinman`_.

        Parameters
        ----------
        handlers : |list| of |dict|, optional
            A list of each handler to be added. The list should contain dicts of params passed to
            the |add| function as keyword arguments. If not ``None``, all previously added
            handlers are first removed.
        levels : |list| of |dict|, optional
            A list of each level to be added or updated. The list should contain dicts of params
            passed to the |level| function as keyword arguments. This will never remove previously
            created levels.
        extra : |dict|, optional
            A dict containing additional parameters bound to the core logger, useful to share
            common properties if you call |bind| in several of your files modules. If not ``None``,
            this will remove previously configured ``extra`` dict.
        patcher : |callable|_, optional
            A function that will be applied to the record dict of each logged messages across all
            modules using the logger. It should modify the dict in-place without returning anything.
            The function is executed prior to the one possibly added by the |patch| method. If not
            ``None``, this will replace previously configured ``patcher`` function.
        activation : |list| of |tuple|, optional
            A list of ``(name, state)`` tuples which denotes which loggers should be enabled (if
            ``state`` is ``True``) or disabled (if ``state`` is ``False``). The calls to |enable|
            and |disable| are made accordingly to the list order. This will not modify previously
            activated loggers, so if you need a fresh start prepend your list with ``("", False)``
            or ``("", True)``.

        Returns
        -------
        :class:`list` of :class:`int`
            A list containing the identifiers of added sinks (if any).

        Examples
        --------
        >>> logger.configure(
        ...     handlers=[
        ...         dict(sink=sys.stderr, format="[{time}] {message}"),
        ...         dict(sink="file.log", enqueue=True, serialize=True),
        ...     ],
        ...     levels=[dict(name="NEW", no=13, icon="¤", color="")],
        ...     extra={"common_to_all": "default"},
        ...     patcher=lambda record: record["extra"].update(some_value=42),
        ...     activation=[("my_module.secret", False), ("another_library.module", True)],
        ... )
        [1, 2]

        >>> # Set a default "extra" dict to logger across all modules, without "bind()"
        >>> extra = {"context": "foo"}
        >>> logger.configure(extra=extra)
        >>> logger.add(sys.stderr, format="{extra[context]} - {message}")
        >>> logger.info("Context without bind")
        >>> # => "foo - Context without bind"
        >>> logger.bind(context="bar").info("Suppress global context")
        >>> # => "bar - Suppress global context"

</details>

<details><summary><h4><strong>def _change_activation</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def modules_depth</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h4><strong>def cast</strong></h4></summary>

if isinstance(file, (str, PathLike)):
            should_close = True
            fileobj = open(str(file))
        elif hasattr(file, "read") and callable(file.read):
            should_close = False
            fileobj = file
        else:
            raise TypeError(
                "Invalid file, it should be a string path or a file object, not: '%s'"
                % type(file).__name__
            )

        if isinstance(cast, dict):

            def cast_function(groups):
                for key, converter in cast.items():
                    if key in groups:
                        groups[key] = converter(groups[key])

        elif callable(cast):
            cast_function = cast
        else:
            raise TypeError(
                "Invalid cast, it should be a function or a dict, not: '%s'" % type(cast).__name__
            )

        try:
            regex = re.compile(pattern)
        except TypeError:
            raise TypeError(
                "Invalid pattern, it should be a string or a compiled regex, not: '%s'"
                % type(pattern).__name__
            ) from None

        matches = Logger._find_iter(fileobj, regex, chunk)

        for match in matches:
            groups = match.groupdict()
            cast_function(groups)
            yield groups

        if should_close:
            fileobj.close()

    @staticmethod
    def _find_iter(fileobj, regex, chunk):
        buffer = fileobj.read(0)

        while 1:
            text = fileobj.read(chunk)
            buffer += text
            matches = list(regex.finditer(buffer))

            if not text:
                yield from matches
                break

            if len(matches) > 1:
                end = matches[-2].end()
                buffer = buffer[end:]
                yield from matches[:-1]

    def _log(self, level, from_decorator, options, message, args, kwargs):
        core = self._core

        if not core.handlers:
            return

        try:
            level_id, level_name, level_no, level_icon = core.levels_lookup[level]
        except (KeyError, TypeError):
            if isinstance(level, str):
                raise ValueError("Level '%s' does not exist" % level) from None
            if not isinstance(level, int):
                raise TypeError(
                    "Invalid level, it should be an integer or a string, not: '%s'"
                    % type(level).__name__
                ) from None
            if level < 0:
                raise ValueError(
                    "Invalid level value, it should be a positive integer, not: %d" % level
                ) from None
            cache = (None, "Level %d" % level, level, " ")
            level_id, level_name, level_no, level_icon = cache
            core.levels_lookup[level] = cache

        if level_no < core.min_level:
            return

        (exception, depth, record, lazy, colors, raw, capture, patchers, extra) = options

        frame = get_frame(depth + 2)

        try:
            name = frame.f_globals["__name__"]
        except KeyError:
            name = None

        try:
            if not core.enabled[name]:
                return
        except KeyError:
            enabled = core.enabled
            if name is None:
                status = core.activation_none
                enabled[name] = status
                if not status:
                    return
            else:
                dotted_name = name + "."
                for dotted_module_name, status in core.activation_list:
                    if dotted_name[: len(dotted_module_name)] == dotted_module_name:
                        if status:
                            break
                        enabled[name] = False
                        return
                enabled[name] = True

        current_datetime = aware_now()

        code = frame.f_code
        file_path = code.co_filename
        file_name = basename(file_path)
        thread = current_thread()
        process = current_process()
        elapsed = current_datetime - start_time

        if exception:
            if isinstance(exception, BaseException):
                type_, value, traceback = (type(exception), exception, exception.__traceback__)
            elif isinstance(exception, tuple):
                type_, value, traceback = exception
            else:
                type_, value, traceback = sys.exc_info()
            exception = RecordException(type_, value, traceback)
        else:
            exception = None

        log_record = {
            "elapsed": elapsed,
            "exception": exception,
            "extra": {**core.extra, **context.get(), **extra},
            "file": RecordFile(file_name, file_path),
            "function": code.co_name,
            "level": RecordLevel(level_name, level_no, level_icon),
            "line": frame.f_lineno,
            "message": str(message),
            "module": splitext(file_name)[0],
            "name": name,
            "process": RecordProcess(process.ident, process.name),
            "thread": RecordThread(thread.ident, thread.name),
            "time": current_datetime,
        }

        if lazy:
            args = [arg() for arg in args]
            kwargs = {key: value() for key, value in kwargs.items()}

        if capture and kwargs:
            log_record["extra"].update(kwargs)

        if record:
            if "record" in kwargs:
                raise TypeError(
                    "The message can't be formatted: 'record' shall not be used as a keyword "
                    "argument while logger has been configured with '.opt(record=True)'"
                )
            kwargs.update(record=log_record)

        if colors:
            if args or kwargs:
                colored_message = Colorizer.prepare_message(message, args, kwargs)
            else:
                colored_message = Colorizer.prepare_simple_message(str(message))
            log_record["message"] = colored_message.stripped
        elif args or kwargs:
            colored_message = None
            log_record["message"] = message.format(*args, **kwargs)
        else:
            colored_message = None

        if core.patcher:
            core.patcher(log_record)

        for patcher in patchers:
            patcher(log_record)

        for handler in core.handlers.values():
            handler.emit(log_record, level_id, from_decorator, raw, colored_message)

    def trace(__self, __message, *args, **kwargs):  # noqa: N805
        r

</details>

<details><summary><h4><strong>def cast_function</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _find_iter</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def _log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def trace</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h4><strong>def debug</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'DEBUG'``.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'INFO'``.

</details>

<details><summary><h4><strong>def success</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'SUCCESS'``.

</details>

<details><summary><h4><strong>def warning</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'WARNING'``.

</details>

<details><summary><h4><strong>def error</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'ERROR'``.

</details>

<details><summary><h4><strong>def critical</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'CRITICAL'``.

</details>

<details><summary><h4><strong>def exception</strong></h4></summary>

Convenience method for logging an ``'ERROR'`` with exception information.

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log ``message.format(*args, **kwargs)`` with severity ``level``.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Deprecated function to |add| a new handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``start()`` will be removed in Loguru 1.0.0, it is replaced by ``add()`` which is a less
          confusing name.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Deprecated function to |remove| an existing handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``stop()`` will be removed in Loguru 1.0.0, it is replaced by ``remove()`` which is a less
          confusing name.

</details>

</details>

<details><summary><h3><strong>def __init__(self, core, exception, depth, record, lazy, colors, raw, capture, patchers, extra)</strong></h3></summary>

Add a handler sending log messages to a sink adequately configured.

        Parameters
        ----------
        sink : |file-like object|_, |str|, |Path|, |callable|_, |coroutine function|_ or |Handler|
            An object in charge of receiving formatted logging messages and propagating them to an
            appropriate endpoint.
        level : |int| or |str|, optional
            The minimum severity level from which logged messages should be sent to the sink.
        format : |str| or |callable|_, optional
            The template used to format logged messages before being sent to the sink.
        filter : |callable|_, |str| or |dict|, optional
            A directive optionally used to decide for each logged message whether it should be sent
            to the sink or not.
        colorize : |bool|, optional
            Whether the color markups contained in the formatted message should be converted to ansi
            codes for terminal coloration, or stripped otherwise. If ``None``, the choice is
            automatically made based on the sink being a tty or not.
        serialize : |bool|, optional
            Whether the logged message and its records should be first converted to a JSON string
            before being sent to the sink.
        backtrace : |bool|, optional
            Whether the exception trace formatted should be extended upward, beyond the catching
            point, to show the full stacktrace which generated the error.
        diagnose : |bool|, optional
            Whether the exception trace should display the variables values to eases the debugging.
            This should be set to ``False`` in production to avoid leaking sensitive data.
        enqueue : |bool|, optional
            Whether the messages to be logged should first pass through a multiprocessing-safe queue
            before reaching the sink. This is useful while logging to a file through multiple
            processes. This also has the advantage of making logging calls non-blocking.
        context : |multiprocessing.Context| or |str|, optional
            A context object or name that will be used for all tasks involving internally the
            |multiprocessing| module, in particular when ``enqueue=True``. If ``None``, the default
            context is used.
        catch : |bool|, optional
            Whether errors occurring while sink handles logs messages should be automatically
            caught. If ``True``, an exception message is displayed on |sys.stderr| but the exception
            is not propagated to the caller, preventing your app to crash.
        **kwargs
            Additional parameters that are only valid to configure a coroutine or file sink (see
            below).


        If and only if the sink is a coroutine function, the following parameter applies:

        Parameters
        ----------
        loop : |AbstractEventLoop|, optional
            The event loop in which the asynchronous logging task will be scheduled and executed. If
            ``None``, the loop used is the one returned by |asyncio.get_running_loop| at the time of
            the logging call (task is discarded if there is no loop currently running).


        If and only if the sink is a file path, the following parameters apply:

        Parameters
        ----------
        rotation : |str|, |int|, |time|, |timedelta| or |callable|_, optional
            A condition indicating whenever the current logged file should be closed and a new one
            started.
        retention : |str|, |int|, |timedelta| or |callable|_, optional
            A directive filtering old files that should be removed during rotation or end of
            program.
        compression : |str| or |callable|_, optional
            A compression or archive format to which log files should be converted at closure.
        delay : |bool|, optional
            Whether the file should be created as soon as the sink is configured, or delayed until
            first logged message. It defaults to ``False``.
        watch : |bool|, optional
            Whether or not the file should be watched and re-opened when deleted or changed (based
            on its device and inode properties) by an external program. It defaults to ``False``.
        mode : |str|, optional
            The opening mode as for built-in |open| function. It defaults to ``"a"`` (open the
            file in appending mode).
        buffering : |int|, optional
            The buffering policy as for built-in |open| function. It defaults to ``1`` (line
            buffered file).
        encoding : |str|, optional
            The file encoding as for built-in |open| function. It defaults to ``"utf8"``.
        **kwargs
            Others parameters are passed to the built-in |open| function.

        Returns
        -------
        :class:`int`
            An identifier associated with the added sink and which should be used to
            |remove| it.

        Raises
        ------
        ValueError
            If any of the arguments passed to configure the sink is invalid.

        Notes
        -----
        Extended summary follows.

        .. _sink:

        .. rubric:: The sink parameter

        The ``sink`` handles incoming log messages and proceed to their writing somewhere and
        somehow. A sink can take many forms:

        - A |file-like object|_ like ``sys.stderr`` or ``open("file.log", "w")``. Anything with
          a ``.write()`` method is considered as a file-like object. Custom handlers may also
          implement ``flush()`` (called after each logged message), ``stop()`` (called at sink
          termination) and ``complete()`` (awaited by the eponymous method).
        - A file path as |str| or |Path|. It can be parametrized with some additional parameters,
          see below.
        - A |callable|_ (such as a simple function) like ``lambda msg: print(msg)``. This
          allows for logging procedure entirely defined by user preferences and needs.
        - A asynchronous |coroutine function|_ defined with the ``async def`` statement. The
          coroutine object returned by such function will be added to the event loop using
          |loop.create_task|. The tasks should be awaited before ending the loop by using
          |complete|.
        - A built-in |Handler| like ``logging.StreamHandler``. In such a case, the `Loguru` records
          are automatically converted to the structure expected by the |logging| module.

        Note that the logging functions are not `reentrant`_. This means you should avoid using
        the ``logger`` inside any of your sinks or from within |signal| handlers. Otherwise, you
        may face deadlock if the module's sink was not explicitly disabled.

        .. _message:

        .. rubric:: The logged message

        The logged message passed to all added sinks is nothing more than a string of the
        formatted log, to which a special attribute is associated: the ``.record`` which is a dict
        containing all contextual information possibly needed (see below).

        Logged messages are formatted according to the ``format`` of the added sink. This format
        is usually a string containing braces fields to display attributes from the record dict.

        If fine-grained control is needed, the ``format`` can also be a function which takes the
        record as parameter and return the format template string. However, note that in such a
        case, you should take care of appending the line ending and exception field to the returned
        format, while ``"\n{exception}"`` is automatically appended for convenience if ``format`` is
        a string.

        The ``filter`` attribute can be used to control which messages are effectively passed to the
        sink and which one are ignored. A function can be used, accepting the record as an
        argument, and returning ``True`` if the message should be logged, ``False`` otherwise. If
        a string is used, only the records with the same ``name`` and its children will be allowed.
        One can also pass a ``dict`` mapping module names to minimum required level. In such case,
        each log record will search for it's closest parent in the ``dict`` and use the associated
        level as the filter. The ``dict`` values can be ``int`` severity, ``str`` level name or
        ``True`` and ``False`` to respectively authorize and discard all module logs
        unconditionally. In order to set a default level, the ``""`` module name should be used as
        it is the parent of all modules (it does not suppress global ``level`` threshold, though).

        Note that while calling a logging method, the keyword arguments (if any) are automatically
        added to the ``extra`` dict for convenient contextualization (in addition to being used for
        formatting).

        .. _levels:

        .. rubric:: The severity levels

        Each logged message is associated with a severity level. These levels make it possible to
        prioritize messages and to choose the verbosity of the logs according to usages. For
        example, it allows to display some debugging information to a developer, while hiding it to
        the end user running the application.

        The ``level`` attribute of every added sink controls the minimum threshold from which log
        messages are allowed to be emitted. While using the ``logger``, you are in charge of
        configuring the appropriate granularity of your logs. It is possible to add even more custom
        levels by using the |level| method.

        Here are the standard levels with their default severity value, each one is associated with
        a logging method of the same name:

        +----------------------+------------------------+------------------------+
        | Level name           | Severity value         | Logger method          |
        +======================+========================+========================+
        | ``TRACE``            | 5                      | |logger.trace|         |
        +----------------------+------------------------+------------------------+
        | ``DEBUG``            | 10                     | |logger.debug|         |
        +----------------------+------------------------+------------------------+
        | ``INFO``             | 20                     | |logger.info|          |
        +----------------------+------------------------+------------------------+
        | ``SUCCESS``          | 25                     | |logger.success|       |
        +----------------------+------------------------+------------------------+
        | ``WARNING``          | 30                     | |logger.warning|       |
        +----------------------+------------------------+------------------------+
        | ``ERROR``            | 40                     | |logger.error|         |
        +----------------------+------------------------+------------------------+
        | ``CRITICAL``         | 50                     | |logger.critical|      |
        +----------------------+------------------------+------------------------+

        .. _record:

        .. rubric:: The record dict

        The record is just a Python dict, accessible from sinks by ``message.record``. It contains
        all contextual information of the logging call (time, function, file, line, level, etc.).

        Each of the record keys can be used in the handler's ``format`` so the corresponding value
        is properly displayed in the logged message (e.g. ``"{level}"`` will return ``"INFO"``).
        Some records' values are objects with two or more attributes. These can be formatted with
        ``"{key.attr}"`` (``"{key}"`` would display one by default).

        Note that you can use any `formatting directives`_ available in Python's ``str.format()``
        method (e.g. ``"{key: >3}"`` will right-align and pad to a width of 3 characters). This is
        particularly useful for time formatting (see below).

        +------------+---------------------------------+----------------------------+
        | Key        | Description                     | Attributes                 |
        +============+=================================+============================+
        | elapsed    | The time elapsed since the      | See |timedelta|            |
        |            | start of the program            |                            |
        +------------+---------------------------------+----------------------------+
        | exception  | The formatted exception if any, | ``type``, ``value``,       |
        |            | ``None`` otherwise              | ``traceback``              |
        +------------+---------------------------------+----------------------------+
        | extra      | The dict of attributes          | None                       |
        |            | bound by the user (see |bind|)  |                            |
        +------------+---------------------------------+----------------------------+
        | file       | The file where the logging call | ``name`` (default),        |
        |            | was made                        | ``path``                   |
        +------------+---------------------------------+----------------------------+
        | function   | The function from which the     | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | level      | The severity used to log the    | ``name`` (default),        |
        |            | message                         | ``no``, ``icon``           |
        +------------+---------------------------------+----------------------------+
        | line       | The line number in the source   | None                       |
        |            | code                            |                            |
        +------------+---------------------------------+----------------------------+
        | message    | The logged message (not yet     | None                       |
        |            | formatted)                      |                            |
        +------------+---------------------------------+----------------------------+
        | module     | The module where the logging    | None                       |
        |            | call was made                   |                            |
        +------------+---------------------------------+----------------------------+
        | name       | The ``__name__`` where the      | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | process    | The process in which the        | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | thread     | The thread in which the         | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | time       | The aware local time when the   | See |datetime|             |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+

        .. _time:

        .. rubric:: The time formatting

        To use your favorite time representation, you can set it directly in the time formatter
        specifier of your handler format, like for example ``format="{time:HH:mm:ss} {message}"``.
        Note that this datetime represents your local time, and it is also made timezone-aware,
        so you can display the UTC offset to avoid ambiguities.

        The time field can be formatted using more human-friendly tokens. These constitute a subset
        of the one used by the `Pendulum`_ library of `@sdispater`_. To escape a token, just add
        square brackets around it, for example ``"[YY]"`` would display literally ``"YY"``.

        If you prefer to display UTC rather than local time, you can add ``"!UTC"`` at the very end
        of the time format, like ``{time:HH:mm:ss!UTC}``. Doing so will convert the ``datetime``
        to UTC before formatting.

        If no time formatter specifier is used, like for example if ``format="{time} {message}"``,
        the default one will use ISO 8601.

        +------------------------+---------+----------------------------------------+
        |                        | Token   | Output                                 |
        +========================+=========+========================================+
        | Year                   | YYYY    | 2000, 2001, 2002 ... 2012, 2013        |
        |                        +---------+----------------------------------------+
        |                        | YY      | 00, 01, 02 ... 12, 13                  |
        +------------------------+---------+----------------------------------------+
        | Quarter                | Q       | 1 2 3 4                                |
        +------------------------+---------+----------------------------------------+
        | Month                  | MMMM    | January, February, March ...           |
        |                        +---------+----------------------------------------+
        |                        | MMM     | Jan, Feb, Mar ...                      |
        |                        +---------+----------------------------------------+
        |                        | MM      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | M       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Day of Year            | DDDD    | 001, 002, 003 ... 364, 365             |
        |                        +---------+----------------------------------------+
        |                        | DDD     | 1, 2, 3 ... 364, 365                   |
        +------------------------+---------+----------------------------------------+
        | Day of Month           | DD      | 01, 02, 03 ... 30, 31                  |
        |                        +---------+----------------------------------------+
        |                        | D       | 1, 2, 3 ... 30, 31                     |
        +------------------------+---------+----------------------------------------+
        | Day of Week            | dddd    | Monday, Tuesday, Wednesday ...         |
        |                        +---------+----------------------------------------+
        |                        | ddd     | Mon, Tue, Wed ...                      |
        |                        +---------+----------------------------------------+
        |                        | d       | 0, 1, 2 ... 6                          |
        +------------------------+---------+----------------------------------------+
        | Days of ISO Week       | E       | 1, 2, 3 ... 7                          |
        +------------------------+---------+----------------------------------------+
        | Hour                   | HH      | 00, 01, 02 ... 23, 24                  |
        |                        +---------+----------------------------------------+
        |                        | H       | 0, 1, 2 ... 23, 24                     |
        |                        +---------+----------------------------------------+
        |                        | hh      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | h       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Minute                 | mm      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | m       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Second                 | ss      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | s       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Fractional Second      | S       | 0 1 ... 8 9                            |
        |                        +---------+----------------------------------------+
        |                        | SS      | 00, 01, 02 ... 98, 99                  |
        |                        +---------+----------------------------------------+
        |                        | SSS     | 000 001 ... 998 999                    |
        |                        +---------+----------------------------------------+
        |                        | SSSS... | 000[0..] 001[0..] ... 998[0..] 999[0..]|
        |                        +---------+----------------------------------------+
        |                        | SSSSSS  | 000000 000001 ... 999998 999999        |
        +------------------------+---------+----------------------------------------+
        | AM / PM                | A       | AM, PM                                 |
        +------------------------+---------+----------------------------------------+
        | Timezone               | Z       | -07:00, -06:00 ... +06:00, +07:00      |
        |                        +---------+----------------------------------------+
        |                        | ZZ      | -0700, -0600 ... +0600, +0700          |
        |                        +---------+----------------------------------------+
        |                        | zz      | EST CST ... MST PST                    |
        +------------------------+---------+----------------------------------------+
        | Seconds timestamp      | X       | 1381685817, 1234567890.123             |
        +------------------------+---------+----------------------------------------+
        | Microseconds timestamp | x       | 1234567890123                          |
        +------------------------+---------+----------------------------------------+

        .. _file:

        .. rubric:: The file sinks

        If the sink is a |str| or a |Path|, the corresponding file will be opened for writing logs.
        The path can also contain a special ``"{time}"`` field that will be formatted with the
        current date at file creation. The file is closed at sink stop, i.e. when the application
        ends or the handler is removed.

        The ``rotation`` check is made before logging each message. If there is already an existing
        file with the same name that the file to be created, then the existing file is renamed by
        appending the date to its basename to prevent file overwriting. This parameter accepts:

        - an |int| which corresponds to the maximum file size in bytes before that the current
          logged file is closed and a new one started over.
        - a |timedelta| which indicates the frequency of each new rotation.
        - a |time| which specifies the hour when the daily rotation should occur.
        - a |str| for human-friendly parametrization of one of the previously enumerated types.

<p><strong>Usage example</strong></p>

<pre><code>
``"100 MB"``, ``"0.5 GB"``, ``"1 month 2 weeks"``, ``"4 days"``, ``"10h"``,
``"monthly"``, ``"18:00"``, ``"sunday"``, ``"w0"``, ``"monday at 12:00"``, ...
- a |callable|_ which will be invoked before logging. It should accept two arguments: the
logged message and the file object, and it should return ``True`` if the rotation should
happen now, ``False`` otherwise.
The ``retention`` occurs at rotation or at sink stop if rotation is ``None``. Files
resulting from previous sessions or rotations are automatically collected from disk. A file
is selected if it matches the pattern ``"basename(.*).ext(.*)"`` (possible time fields are
beforehand replaced with ``.*``) based on the configured sink. Afterwards, the list is
processed to determine files to be retained. This parameter accepts:
- an |int| which indicates the number of log files to keep, while older files are deleted.
- a |timedelta| which specifies the maximum age of files to keep.
- a |str| for human-friendly parametrization of the maximum age of files to keep.
Examples: ``"1 week, 3 days"``, ``"2 months"``, ...
- a |callable|_ which will be invoked before the retention process. It should accept the
list of log files as argument and process to whatever it wants (moving files, removing
them, etc.).
The ``compression`` happens at rotation or at sink stop if rotation is ``None``. This
parameter accepts:
- a |str| which corresponds to the compressed or archived file extension. This can be one
of: ``"gz"``, ``"bz2"``, ``"xz"``, ``"lzma"``, ``"tar"``, ``"tar.gz"``, ``"tar.bz2"``,
``"tar.xz"``, ``"zip"``.
- a |callable|_ which will be invoked before file termination. It should accept the path of
the log file as argument and process to whatever it wants (custom compression, network
sending, removing it, etc.).
Either way, if you use a custom function designed according to your preferences, you must be
very careful not to use the ``logger`` within your function. Otherwise, there is a risk that
your program hang because of a deadlock.
.. _color:
.. rubric:: The color markups
To add colors to your logs, you just have to enclose your format string with the appropriate
tags (e.g. ``<red>some message</red>``). These tags are automatically removed if the sink
doesn't support ansi codes. For convenience, you can use ``</>`` to close the last opening
tag without repeating its name (e.g. ``<red>another message</>``).
The special tag ``<level>`` (abbreviated with ``<lvl>``) is transformed according to
the configured color of the logged message level.
Tags which are not recognized will raise an exception during parsing, to inform you about
possible misuse. If you wish to display a markup tag literally, you can escape it by
prepending a ``\`` like for example ``\<blue>``. If, for some reason, you need to escape a
string programmatically, note that the regex used internally to parse markup tags is
``r"\\?</?((?:[fb]g\s)?[^<>\s]*)>"``.
Note that when logging a message with ``opt(colors=True)``, color tags present in the
formatting arguments (``args`` and ``kwargs``) are completely ignored. This is important if
you need to log strings containing markups that might interfere with the color tags (in this
case, do not use f-string).
Here are the available tags (note that compatibility may vary depending on terminal):
+------------------------------------+--------------------------------------+
| Color (abbr)                       | Styles (abbr)                        |
+====================================+======================================+
| Black (k)                          | Bold (b)                             |
+------------------------------------+--------------------------------------+
| Blue (e)                           | Dim (d)                              |
+------------------------------------+--------------------------------------+
| Cyan (c)                           | Normal (n)                           |
+------------------------------------+--------------------------------------+
| Green (g)                          | Italic (i)                           |
+------------------------------------+--------------------------------------+
| Magenta (m)                        | Underline (u)                        |
+------------------------------------+--------------------------------------+
| Red (r)                            | Strike (s)                           |
+------------------------------------+--------------------------------------+
| White (w)                          | Reverse (v)                          |
+------------------------------------+--------------------------------------+
| Yellow (y)                         | Blink (l)                            |
+------------------------------------+--------------------------------------+
|                                    | Hide (h)                             |
+------------------------------------+--------------------------------------+
Usage:
+-----------------+-------------------------------------------------------------------+
| Description     | Examples                                                          |
|                 +---------------------------------+---------------------------------+
|                 | Foreground                      | Background                      |
+=================+=================================+=================================+
| Basic colors    | ``<red>``, ``<r>``              | ``<GREEN>``, ``<G>``            |
+-----------------+---------------------------------+---------------------------------+
| Light colors    | ``<light-blue>``, ``<le>``      | ``<LIGHT-CYAN>``, ``<LC>``      |
+-----------------+---------------------------------+---------------------------------+
| 8-bit colors    | ``<fg 86>``, ``<fg 255>``       | ``<bg 42>``, ``<bg 9>``         |
+-----------------+---------------------------------+---------------------------------+
| Hex colors      | ``<fg #00005f>``, ``<fg #EE1>`` | ``<bg #AF5FD7>``, ``<bg #fff>`` |
+-----------------+---------------------------------+---------------------------------+
| RGB colors      | ``<fg 0,95,0>``                 | ``<bg 72,119,65>``              |
+-----------------+---------------------------------+---------------------------------+
| Stylizing       | ``<bold>``, ``<b>``,  ``<underline>``, ``<u>``                    |
+-----------------+-------------------------------------------------------------------+
.. _env:
.. rubric:: The environment variables
The default values of sink parameters can be entirely customized. This is particularly
useful if you don't like the log format of the pre-configured sink.
Each of the |add| default parameter can be modified by setting the ``LOGURU_[PARAM]``
environment variable. For example on Linux: ``export LOGURU_FORMAT="{time} - {message}"``
or ``export LOGURU_DIAGNOSE=NO``.
The default levels' attributes can also be modified by setting the ``LOGURU_[LEVEL]_[ATTR]``
environment variable. For example, on Windows: ``setx LOGURU_DEBUG_COLOR "<blue>"``
or ``setx LOGURU_TRACE_ICON "🚀"``. If you use the ``set`` command, do not include quotes
but escape special symbol as needed, e.g. ``set LOGURU_DEBUG_COLOR=^<blue^>``.
If you want to disable the pre-configured sink, you can set the ``LOGURU_AUTOINIT``
variable to ``False``.
On Linux, you will probably need to edit the ``~/.profile`` file to make this persistent. On
Windows, don't forget to restart your terminal for the change to be taken into account.
Examples
--------
>>> logger.add(sys.stdout, format="{time} - {level} - {message}", filter="sub.module")
>>> logger.add("file_{time}.log", level="TRACE", rotation="100 MB")
>>> def debug_only(record):
...     return record["level"].name == "DEBUG"
...
>>> logger.add("debug.log", filter=debug_only)  # Other levels are filtered out
>>> def my_sink(message):
...     record = message.record
...     update_db(message, time=record["time"], level=record["level"])
...
>>> logger.add(my_sink)
>>> level_per_module = {
...     "": "DEBUG",
...     "third.lib": "WARNING",
...     "anotherlib": False
... }
>>> logger.add(lambda m: print(m, end=""), filter=level_per_module, level=0)
>>> async def publish(message):
...     await api.post(message)
...
>>> logger.add(publish, serialize=True)
>>> from logging import StreamHandler
>>> logger.add(StreamHandler(sys.stderr), format="{message}")
>>> class RandomStream:
...     def __init__(self, seed, threshold):
...         self.threshold = threshold
...         random.seed(seed)
...     def write(self, message):
...         if random.random() > self.threshold:
...             print(message)
...
>>> stream_object = RandomStream(seed=12345, threshold=0.25)
>>> logger.add(stream_object, level="INFO")
</code></pre>
</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Add a handler sending log messages to a sink adequately configured.

        Parameters
        ----------
        sink : |file-like object|_, |str|, |Path|, |callable|_, |coroutine function|_ or |Handler|
            An object in charge of receiving formatted logging messages and propagating them to an
            appropriate endpoint.
        level : |int| or |str|, optional
            The minimum severity level from which logged messages should be sent to the sink.
        format : |str| or |callable|_, optional
            The template used to format logged messages before being sent to the sink.
        filter : |callable|_, |str| or |dict|, optional
            A directive optionally used to decide for each logged message whether it should be sent
            to the sink or not.
        colorize : |bool|, optional
            Whether the color markups contained in the formatted message should be converted to ansi
            codes for terminal coloration, or stripped otherwise. If ``None``, the choice is
            automatically made based on the sink being a tty or not.
        serialize : |bool|, optional
            Whether the logged message and its records should be first converted to a JSON string
            before being sent to the sink.
        backtrace : |bool|, optional
            Whether the exception trace formatted should be extended upward, beyond the catching
            point, to show the full stacktrace which generated the error.
        diagnose : |bool|, optional
            Whether the exception trace should display the variables values to eases the debugging.
            This should be set to ``False`` in production to avoid leaking sensitive data.
        enqueue : |bool|, optional
            Whether the messages to be logged should first pass through a multiprocessing-safe queue
            before reaching the sink. This is useful while logging to a file through multiple
            processes. This also has the advantage of making logging calls non-blocking.
        context : |multiprocessing.Context| or |str|, optional
            A context object or name that will be used for all tasks involving internally the
            |multiprocessing| module, in particular when ``enqueue=True``. If ``None``, the default
            context is used.
        catch : |bool|, optional
            Whether errors occurring while sink handles logs messages should be automatically
            caught. If ``True``, an exception message is displayed on |sys.stderr| but the exception
            is not propagated to the caller, preventing your app to crash.
        **kwargs
            Additional parameters that are only valid to configure a coroutine or file sink (see
            below).


        If and only if the sink is a coroutine function, the following parameter applies:

        Parameters
        ----------
        loop : |AbstractEventLoop|, optional
            The event loop in which the asynchronous logging task will be scheduled and executed. If
            ``None``, the loop used is the one returned by |asyncio.get_running_loop| at the time of
            the logging call (task is discarded if there is no loop currently running).


        If and only if the sink is a file path, the following parameters apply:

        Parameters
        ----------
        rotation : |str|, |int|, |time|, |timedelta| or |callable|_, optional
            A condition indicating whenever the current logged file should be closed and a new one
            started.
        retention : |str|, |int|, |timedelta| or |callable|_, optional
            A directive filtering old files that should be removed during rotation or end of
            program.
        compression : |str| or |callable|_, optional
            A compression or archive format to which log files should be converted at closure.
        delay : |bool|, optional
            Whether the file should be created as soon as the sink is configured, or delayed until
            first logged message. It defaults to ``False``.
        watch : |bool|, optional
            Whether or not the file should be watched and re-opened when deleted or changed (based
            on its device and inode properties) by an external program. It defaults to ``False``.
        mode : |str|, optional
            The opening mode as for built-in |open| function. It defaults to ``"a"`` (open the
            file in appending mode).
        buffering : |int|, optional
            The buffering policy as for built-in |open| function. It defaults to ``1`` (line
            buffered file).
        encoding : |str|, optional
            The file encoding as for built-in |open| function. It defaults to ``"utf8"``.
        **kwargs
            Others parameters are passed to the built-in |open| function.

        Returns
        -------
        :class:`int`
            An identifier associated with the added sink and which should be used to
            |remove| it.

        Raises
        ------
        ValueError
            If any of the arguments passed to configure the sink is invalid.

        Notes
        -----
        Extended summary follows.

        .. _sink:

        .. rubric:: The sink parameter

        The ``sink`` handles incoming log messages and proceed to their writing somewhere and
        somehow. A sink can take many forms:

        - A |file-like object|_ like ``sys.stderr`` or ``open("file.log", "w")``. Anything with
          a ``.write()`` method is considered as a file-like object. Custom handlers may also
          implement ``flush()`` (called after each logged message), ``stop()`` (called at sink
          termination) and ``complete()`` (awaited by the eponymous method).
        - A file path as |str| or |Path|. It can be parametrized with some additional parameters,
          see below.
        - A |callable|_ (such as a simple function) like ``lambda msg: print(msg)``. This
          allows for logging procedure entirely defined by user preferences and needs.
        - A asynchronous |coroutine function|_ defined with the ``async def`` statement. The
          coroutine object returned by such function will be added to the event loop using
          |loop.create_task|. The tasks should be awaited before ending the loop by using
          |complete|.
        - A built-in |Handler| like ``logging.StreamHandler``. In such a case, the `Loguru` records
          are automatically converted to the structure expected by the |logging| module.

        Note that the logging functions are not `reentrant`_. This means you should avoid using
        the ``logger`` inside any of your sinks or from within |signal| handlers. Otherwise, you
        may face deadlock if the module's sink was not explicitly disabled.

        .. _message:

        .. rubric:: The logged message

        The logged message passed to all added sinks is nothing more than a string of the
        formatted log, to which a special attribute is associated: the ``.record`` which is a dict
        containing all contextual information possibly needed (see below).

        Logged messages are formatted according to the ``format`` of the added sink. This format
        is usually a string containing braces fields to display attributes from the record dict.

        If fine-grained control is needed, the ``format`` can also be a function which takes the
        record as parameter and return the format template string. However, note that in such a
        case, you should take care of appending the line ending and exception field to the returned
        format, while ``"\n{exception}"`` is automatically appended for convenience if ``format`` is
        a string.

        The ``filter`` attribute can be used to control which messages are effectively passed to the
        sink and which one are ignored. A function can be used, accepting the record as an
        argument, and returning ``True`` if the message should be logged, ``False`` otherwise. If
        a string is used, only the records with the same ``name`` and its children will be allowed.
        One can also pass a ``dict`` mapping module names to minimum required level. In such case,
        each log record will search for it's closest parent in the ``dict`` and use the associated
        level as the filter. The ``dict`` values can be ``int`` severity, ``str`` level name or
        ``True`` and ``False`` to respectively authorize and discard all module logs
        unconditionally. In order to set a default level, the ``""`` module name should be used as
        it is the parent of all modules (it does not suppress global ``level`` threshold, though).

        Note that while calling a logging method, the keyword arguments (if any) are automatically
        added to the ``extra`` dict for convenient contextualization (in addition to being used for
        formatting).

        .. _levels:

        .. rubric:: The severity levels

        Each logged message is associated with a severity level. These levels make it possible to
        prioritize messages and to choose the verbosity of the logs according to usages. For
        example, it allows to display some debugging information to a developer, while hiding it to
        the end user running the application.

        The ``level`` attribute of every added sink controls the minimum threshold from which log
        messages are allowed to be emitted. While using the ``logger``, you are in charge of
        configuring the appropriate granularity of your logs. It is possible to add even more custom
        levels by using the |level| method.

        Here are the standard levels with their default severity value, each one is associated with
        a logging method of the same name:

        +----------------------+------------------------+------------------------+
        | Level name           | Severity value         | Logger method          |
        +======================+========================+========================+
        | ``TRACE``            | 5                      | |logger.trace|         |
        +----------------------+------------------------+------------------------+
        | ``DEBUG``            | 10                     | |logger.debug|         |
        +----------------------+------------------------+------------------------+
        | ``INFO``             | 20                     | |logger.info|          |
        +----------------------+------------------------+------------------------+
        | ``SUCCESS``          | 25                     | |logger.success|       |
        +----------------------+------------------------+------------------------+
        | ``WARNING``          | 30                     | |logger.warning|       |
        +----------------------+------------------------+------------------------+
        | ``ERROR``            | 40                     | |logger.error|         |
        +----------------------+------------------------+------------------------+
        | ``CRITICAL``         | 50                     | |logger.critical|      |
        +----------------------+------------------------+------------------------+

        .. _record:

        .. rubric:: The record dict

        The record is just a Python dict, accessible from sinks by ``message.record``. It contains
        all contextual information of the logging call (time, function, file, line, level, etc.).

        Each of the record keys can be used in the handler's ``format`` so the corresponding value
        is properly displayed in the logged message (e.g. ``"{level}"`` will return ``"INFO"``).
        Some records' values are objects with two or more attributes. These can be formatted with
        ``"{key.attr}"`` (``"{key}"`` would display one by default).

        Note that you can use any `formatting directives`_ available in Python's ``str.format()``
        method (e.g. ``"{key: >3}"`` will right-align and pad to a width of 3 characters). This is
        particularly useful for time formatting (see below).

        +------------+---------------------------------+----------------------------+
        | Key        | Description                     | Attributes                 |
        +============+=================================+============================+
        | elapsed    | The time elapsed since the      | See |timedelta|            |
        |            | start of the program            |                            |
        +------------+---------------------------------+----------------------------+
        | exception  | The formatted exception if any, | ``type``, ``value``,       |
        |            | ``None`` otherwise              | ``traceback``              |
        +------------+---------------------------------+----------------------------+
        | extra      | The dict of attributes          | None                       |
        |            | bound by the user (see |bind|)  |                            |
        +------------+---------------------------------+----------------------------+
        | file       | The file where the logging call | ``name`` (default),        |
        |            | was made                        | ``path``                   |
        +------------+---------------------------------+----------------------------+
        | function   | The function from which the     | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | level      | The severity used to log the    | ``name`` (default),        |
        |            | message                         | ``no``, ``icon``           |
        +------------+---------------------------------+----------------------------+
        | line       | The line number in the source   | None                       |
        |            | code                            |                            |
        +------------+---------------------------------+----------------------------+
        | message    | The logged message (not yet     | None                       |
        |            | formatted)                      |                            |
        +------------+---------------------------------+----------------------------+
        | module     | The module where the logging    | None                       |
        |            | call was made                   |                            |
        +------------+---------------------------------+----------------------------+
        | name       | The ``__name__`` where the      | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | process    | The process in which the        | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | thread     | The thread in which the         | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | time       | The aware local time when the   | See |datetime|             |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+

        .. _time:

        .. rubric:: The time formatting

        To use your favorite time representation, you can set it directly in the time formatter
        specifier of your handler format, like for example ``format="{time:HH:mm:ss} {message}"``.
        Note that this datetime represents your local time, and it is also made timezone-aware,
        so you can display the UTC offset to avoid ambiguities.

        The time field can be formatted using more human-friendly tokens. These constitute a subset
        of the one used by the `Pendulum`_ library of `@sdispater`_. To escape a token, just add
        square brackets around it, for example ``"[YY]"`` would display literally ``"YY"``.

        If you prefer to display UTC rather than local time, you can add ``"!UTC"`` at the very end
        of the time format, like ``{time:HH:mm:ss!UTC}``. Doing so will convert the ``datetime``
        to UTC before formatting.

        If no time formatter specifier is used, like for example if ``format="{time} {message}"``,
        the default one will use ISO 8601.

        +------------------------+---------+----------------------------------------+
        |                        | Token   | Output                                 |
        +========================+=========+========================================+
        | Year                   | YYYY    | 2000, 2001, 2002 ... 2012, 2013        |
        |                        +---------+----------------------------------------+
        |                        | YY      | 00, 01, 02 ... 12, 13                  |
        +------------------------+---------+----------------------------------------+
        | Quarter                | Q       | 1 2 3 4                                |
        +------------------------+---------+----------------------------------------+
        | Month                  | MMMM    | January, February, March ...           |
        |                        +---------+----------------------------------------+
        |                        | MMM     | Jan, Feb, Mar ...                      |
        |                        +---------+----------------------------------------+
        |                        | MM      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | M       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Day of Year            | DDDD    | 001, 002, 003 ... 364, 365             |
        |                        +---------+----------------------------------------+
        |                        | DDD     | 1, 2, 3 ... 364, 365                   |
        +------------------------+---------+----------------------------------------+
        | Day of Month           | DD      | 01, 02, 03 ... 30, 31                  |
        |                        +---------+----------------------------------------+
        |                        | D       | 1, 2, 3 ... 30, 31                     |
        +------------------------+---------+----------------------------------------+
        | Day of Week            | dddd    | Monday, Tuesday, Wednesday ...         |
        |                        +---------+----------------------------------------+
        |                        | ddd     | Mon, Tue, Wed ...                      |
        |                        +---------+----------------------------------------+
        |                        | d       | 0, 1, 2 ... 6                          |
        +------------------------+---------+----------------------------------------+
        | Days of ISO Week       | E       | 1, 2, 3 ... 7                          |
        +------------------------+---------+----------------------------------------+
        | Hour                   | HH      | 00, 01, 02 ... 23, 24                  |
        |                        +---------+----------------------------------------+
        |                        | H       | 0, 1, 2 ... 23, 24                     |
        |                        +---------+----------------------------------------+
        |                        | hh      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | h       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Minute                 | mm      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | m       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Second                 | ss      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | s       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Fractional Second      | S       | 0 1 ... 8 9                            |
        |                        +---------+----------------------------------------+
        |                        | SS      | 00, 01, 02 ... 98, 99                  |
        |                        +---------+----------------------------------------+
        |                        | SSS     | 000 001 ... 998 999                    |
        |                        +---------+----------------------------------------+
        |                        | SSSS... | 000[0..] 001[0..] ... 998[0..] 999[0..]|
        |                        +---------+----------------------------------------+
        |                        | SSSSSS  | 000000 000001 ... 999998 999999        |
        +------------------------+---------+----------------------------------------+
        | AM / PM                | A       | AM, PM                                 |
        +------------------------+---------+----------------------------------------+
        | Timezone               | Z       | -07:00, -06:00 ... +06:00, +07:00      |
        |                        +---------+----------------------------------------+
        |                        | ZZ      | -0700, -0600 ... +0600, +0700          |
        |                        +---------+----------------------------------------+
        |                        | zz      | EST CST ... MST PST                    |
        +------------------------+---------+----------------------------------------+
        | Seconds timestamp      | X       | 1381685817, 1234567890.123             |
        +------------------------+---------+----------------------------------------+
        | Microseconds timestamp | x       | 1234567890123                          |
        +------------------------+---------+----------------------------------------+

        .. _file:

        .. rubric:: The file sinks

        If the sink is a |str| or a |Path|, the corresponding file will be opened for writing logs.
        The path can also contain a special ``"{time}"`` field that will be formatted with the
        current date at file creation. The file is closed at sink stop, i.e. when the application
        ends or the handler is removed.

        The ``rotation`` check is made before logging each message. If there is already an existing
        file with the same name that the file to be created, then the existing file is renamed by
        appending the date to its basename to prevent file overwriting. This parameter accepts:

        - an |int| which corresponds to the maximum file size in bytes before that the current
          logged file is closed and a new one started over.
        - a |timedelta| which indicates the frequency of each new rotation.
        - a |time| which specifies the hour when the daily rotation should occur.
        - a |str| for human-friendly parametrization of one of the previously enumerated types.

<p><strong>Usage example</strong></p>

<pre><code>
``"100 MB"``, ``"0.5 GB"``, ``"1 month 2 weeks"``, ``"4 days"``, ``"10h"``,
``"monthly"``, ``"18:00"``, ``"sunday"``, ``"w0"``, ``"monday at 12:00"``, ...
- a |callable|_ which will be invoked before logging. It should accept two arguments: the
logged message and the file object, and it should return ``True`` if the rotation should
happen now, ``False`` otherwise.
The ``retention`` occurs at rotation or at sink stop if rotation is ``None``. Files
resulting from previous sessions or rotations are automatically collected from disk. A file
is selected if it matches the pattern ``"basename(.*).ext(.*)"`` (possible time fields are
beforehand replaced with ``.*``) based on the configured sink. Afterwards, the list is
processed to determine files to be retained. This parameter accepts:
- an |int| which indicates the number of log files to keep, while older files are deleted.
- a |timedelta| which specifies the maximum age of files to keep.
- a |str| for human-friendly parametrization of the maximum age of files to keep.
Examples: ``"1 week, 3 days"``, ``"2 months"``, ...
- a |callable|_ which will be invoked before the retention process. It should accept the
list of log files as argument and process to whatever it wants (moving files, removing
them, etc.).
The ``compression`` happens at rotation or at sink stop if rotation is ``None``. This
parameter accepts:
- a |str| which corresponds to the compressed or archived file extension. This can be one
of: ``"gz"``, ``"bz2"``, ``"xz"``, ``"lzma"``, ``"tar"``, ``"tar.gz"``, ``"tar.bz2"``,
``"tar.xz"``, ``"zip"``.
- a |callable|_ which will be invoked before file termination. It should accept the path of
the log file as argument and process to whatever it wants (custom compression, network
sending, removing it, etc.).
Either way, if you use a custom function designed according to your preferences, you must be
very careful not to use the ``logger`` within your function. Otherwise, there is a risk that
your program hang because of a deadlock.
.. _color:
.. rubric:: The color markups
To add colors to your logs, you just have to enclose your format string with the appropriate
tags (e.g. ``<red>some message</red>``). These tags are automatically removed if the sink
doesn't support ansi codes. For convenience, you can use ``</>`` to close the last opening
tag without repeating its name (e.g. ``<red>another message</>``).
The special tag ``<level>`` (abbreviated with ``<lvl>``) is transformed according to
the configured color of the logged message level.
Tags which are not recognized will raise an exception during parsing, to inform you about
possible misuse. If you wish to display a markup tag literally, you can escape it by
prepending a ``\`` like for example ``\<blue>``. If, for some reason, you need to escape a
string programmatically, note that the regex used internally to parse markup tags is
``r"\\?</?((?:[fb]g\s)?[^<>\s]*)>"``.
Note that when logging a message with ``opt(colors=True)``, color tags present in the
formatting arguments (``args`` and ``kwargs``) are completely ignored. This is important if
you need to log strings containing markups that might interfere with the color tags (in this
case, do not use f-string).
Here are the available tags (note that compatibility may vary depending on terminal):
+------------------------------------+--------------------------------------+
| Color (abbr)                       | Styles (abbr)                        |
+====================================+======================================+
| Black (k)                          | Bold (b)                             |
+------------------------------------+--------------------------------------+
| Blue (e)                           | Dim (d)                              |
+------------------------------------+--------------------------------------+
| Cyan (c)                           | Normal (n)                           |
+------------------------------------+--------------------------------------+
| Green (g)                          | Italic (i)                           |
+------------------------------------+--------------------------------------+
| Magenta (m)                        | Underline (u)                        |
+------------------------------------+--------------------------------------+
| Red (r)                            | Strike (s)                           |
+------------------------------------+--------------------------------------+
| White (w)                          | Reverse (v)                          |
+------------------------------------+--------------------------------------+
| Yellow (y)                         | Blink (l)                            |
+------------------------------------+--------------------------------------+
|                                    | Hide (h)                             |
+------------------------------------+--------------------------------------+
Usage:
+-----------------+-------------------------------------------------------------------+
| Description     | Examples                                                          |
|                 +---------------------------------+---------------------------------+
|                 | Foreground                      | Background                      |
+=================+=================================+=================================+
| Basic colors    | ``<red>``, ``<r>``              | ``<GREEN>``, ``<G>``            |
+-----------------+---------------------------------+---------------------------------+
| Light colors    | ``<light-blue>``, ``<le>``      | ``<LIGHT-CYAN>``, ``<LC>``      |
+-----------------+---------------------------------+---------------------------------+
| 8-bit colors    | ``<fg 86>``, ``<fg 255>``       | ``<bg 42>``, ``<bg 9>``         |
+-----------------+---------------------------------+---------------------------------+
| Hex colors      | ``<fg #00005f>``, ``<fg #EE1>`` | ``<bg #AF5FD7>``, ``<bg #fff>`` |
+-----------------+---------------------------------+---------------------------------+
| RGB colors      | ``<fg 0,95,0>``                 | ``<bg 72,119,65>``              |
+-----------------+---------------------------------+---------------------------------+
| Stylizing       | ``<bold>``, ``<b>``,  ``<underline>``, ``<u>``                    |
+-----------------+-------------------------------------------------------------------+
.. _env:
.. rubric:: The environment variables
The default values of sink parameters can be entirely customized. This is particularly
useful if you don't like the log format of the pre-configured sink.
Each of the |add| default parameter can be modified by setting the ``LOGURU_[PARAM]``
environment variable. For example on Linux: ``export LOGURU_FORMAT="{time} - {message}"``
or ``export LOGURU_DIAGNOSE=NO``.
The default levels' attributes can also be modified by setting the ``LOGURU_[LEVEL]_[ATTR]``
environment variable. For example, on Windows: ``setx LOGURU_DEBUG_COLOR "<blue>"``
or ``setx LOGURU_TRACE_ICON "🚀"``. If you use the ``set`` command, do not include quotes
but escape special symbol as needed, e.g. ``set LOGURU_DEBUG_COLOR=^<blue^>``.
If you want to disable the pre-configured sink, you can set the ``LOGURU_AUTOINIT``
variable to ``False``.
On Linux, you will probably need to edit the ``~/.profile`` file to make this persistent. On
Windows, don't forget to restart your terminal for the change to be taken into account.
Examples
--------
>>> logger.add(sys.stdout, format="{time} - {level} - {message}", filter="sub.module")
>>> logger.add("file_{time}.log", level="TRACE", rotation="100 MB")
>>> def debug_only(record):
...     return record["level"].name == "DEBUG"
...
>>> logger.add("debug.log", filter=debug_only)  # Other levels are filtered out
>>> def my_sink(message):
...     record = message.record
...     update_db(message, time=record["time"], level=record["level"])
...
>>> logger.add(my_sink)
>>> level_per_module = {
...     "": "DEBUG",
...     "third.lib": "WARNING",
...     "anotherlib": False
... }
>>> logger.add(lambda m: print(m, end=""), filter=level_per_module, level=0)
>>> async def publish(message):
...     await api.post(message)
...
>>> logger.add(publish, serialize=True)
>>> from logging import StreamHandler
>>> logger.add(StreamHandler(sys.stderr), format="{message}")
>>> class RandomStream:
...     def __init__(self, seed, threshold):
...         self.threshold = threshold
...         random.seed(seed)
...     def write(self, message):
...         if random.random() > self.threshold:
...             print(message)
...
>>> stream_object = RandomStream(seed=12345, threshold=0.25)
>>> logger.add(stream_object, level="INFO")
</code></pre>
</details>

<details><summary><h3><strong>def debug_only(record)</strong></h3></summary>

Add a handler sending log messages to a sink adequately configured.

        Parameters
        ----------
        sink : |file-like object|_, |str|, |Path|, |callable|_, |coroutine function|_ or |Handler|
            An object in charge of receiving formatted logging messages and propagating them to an
            appropriate endpoint.
        level : |int| or |str|, optional
            The minimum severity level from which logged messages should be sent to the sink.
        format : |str| or |callable|_, optional
            The template used to format logged messages before being sent to the sink.
        filter : |callable|_, |str| or |dict|, optional
            A directive optionally used to decide for each logged message whether it should be sent
            to the sink or not.
        colorize : |bool|, optional
            Whether the color markups contained in the formatted message should be converted to ansi
            codes for terminal coloration, or stripped otherwise. If ``None``, the choice is
            automatically made based on the sink being a tty or not.
        serialize : |bool|, optional
            Whether the logged message and its records should be first converted to a JSON string
            before being sent to the sink.
        backtrace : |bool|, optional
            Whether the exception trace formatted should be extended upward, beyond the catching
            point, to show the full stacktrace which generated the error.
        diagnose : |bool|, optional
            Whether the exception trace should display the variables values to eases the debugging.
            This should be set to ``False`` in production to avoid leaking sensitive data.
        enqueue : |bool|, optional
            Whether the messages to be logged should first pass through a multiprocessing-safe queue
            before reaching the sink. This is useful while logging to a file through multiple
            processes. This also has the advantage of making logging calls non-blocking.
        context : |multiprocessing.Context| or |str|, optional
            A context object or name that will be used for all tasks involving internally the
            |multiprocessing| module, in particular when ``enqueue=True``. If ``None``, the default
            context is used.
        catch : |bool|, optional
            Whether errors occurring while sink handles logs messages should be automatically
            caught. If ``True``, an exception message is displayed on |sys.stderr| but the exception
            is not propagated to the caller, preventing your app to crash.
        **kwargs
            Additional parameters that are only valid to configure a coroutine or file sink (see
            below).


        If and only if the sink is a coroutine function, the following parameter applies:

        Parameters
        ----------
        loop : |AbstractEventLoop|, optional
            The event loop in which the asynchronous logging task will be scheduled and executed. If
            ``None``, the loop used is the one returned by |asyncio.get_running_loop| at the time of
            the logging call (task is discarded if there is no loop currently running).


        If and only if the sink is a file path, the following parameters apply:

        Parameters
        ----------
        rotation : |str|, |int|, |time|, |timedelta| or |callable|_, optional
            A condition indicating whenever the current logged file should be closed and a new one
            started.
        retention : |str|, |int|, |timedelta| or |callable|_, optional
            A directive filtering old files that should be removed during rotation or end of
            program.
        compression : |str| or |callable|_, optional
            A compression or archive format to which log files should be converted at closure.
        delay : |bool|, optional
            Whether the file should be created as soon as the sink is configured, or delayed until
            first logged message. It defaults to ``False``.
        watch : |bool|, optional
            Whether or not the file should be watched and re-opened when deleted or changed (based
            on its device and inode properties) by an external program. It defaults to ``False``.
        mode : |str|, optional
            The opening mode as for built-in |open| function. It defaults to ``"a"`` (open the
            file in appending mode).
        buffering : |int|, optional
            The buffering policy as for built-in |open| function. It defaults to ``1`` (line
            buffered file).
        encoding : |str|, optional
            The file encoding as for built-in |open| function. It defaults to ``"utf8"``.
        **kwargs
            Others parameters are passed to the built-in |open| function.

        Returns
        -------
        :class:`int`
            An identifier associated with the added sink and which should be used to
            |remove| it.

        Raises
        ------
        ValueError
            If any of the arguments passed to configure the sink is invalid.

        Notes
        -----
        Extended summary follows.

        .. _sink:

        .. rubric:: The sink parameter

        The ``sink`` handles incoming log messages and proceed to their writing somewhere and
        somehow. A sink can take many forms:

        - A |file-like object|_ like ``sys.stderr`` or ``open("file.log", "w")``. Anything with
          a ``.write()`` method is considered as a file-like object. Custom handlers may also
          implement ``flush()`` (called after each logged message), ``stop()`` (called at sink
          termination) and ``complete()`` (awaited by the eponymous method).
        - A file path as |str| or |Path|. It can be parametrized with some additional parameters,
          see below.
        - A |callable|_ (such as a simple function) like ``lambda msg: print(msg)``. This
          allows for logging procedure entirely defined by user preferences and needs.
        - A asynchronous |coroutine function|_ defined with the ``async def`` statement. The
          coroutine object returned by such function will be added to the event loop using
          |loop.create_task|. The tasks should be awaited before ending the loop by using
          |complete|.
        - A built-in |Handler| like ``logging.StreamHandler``. In such a case, the `Loguru` records
          are automatically converted to the structure expected by the |logging| module.

        Note that the logging functions are not `reentrant`_. This means you should avoid using
        the ``logger`` inside any of your sinks or from within |signal| handlers. Otherwise, you
        may face deadlock if the module's sink was not explicitly disabled.

        .. _message:

        .. rubric:: The logged message

        The logged message passed to all added sinks is nothing more than a string of the
        formatted log, to which a special attribute is associated: the ``.record`` which is a dict
        containing all contextual information possibly needed (see below).

        Logged messages are formatted according to the ``format`` of the added sink. This format
        is usually a string containing braces fields to display attributes from the record dict.

        If fine-grained control is needed, the ``format`` can also be a function which takes the
        record as parameter and return the format template string. However, note that in such a
        case, you should take care of appending the line ending and exception field to the returned
        format, while ``"\n{exception}"`` is automatically appended for convenience if ``format`` is
        a string.

        The ``filter`` attribute can be used to control which messages are effectively passed to the
        sink and which one are ignored. A function can be used, accepting the record as an
        argument, and returning ``True`` if the message should be logged, ``False`` otherwise. If
        a string is used, only the records with the same ``name`` and its children will be allowed.
        One can also pass a ``dict`` mapping module names to minimum required level. In such case,
        each log record will search for it's closest parent in the ``dict`` and use the associated
        level as the filter. The ``dict`` values can be ``int`` severity, ``str`` level name or
        ``True`` and ``False`` to respectively authorize and discard all module logs
        unconditionally. In order to set a default level, the ``""`` module name should be used as
        it is the parent of all modules (it does not suppress global ``level`` threshold, though).

        Note that while calling a logging method, the keyword arguments (if any) are automatically
        added to the ``extra`` dict for convenient contextualization (in addition to being used for
        formatting).

        .. _levels:

        .. rubric:: The severity levels

        Each logged message is associated with a severity level. These levels make it possible to
        prioritize messages and to choose the verbosity of the logs according to usages. For
        example, it allows to display some debugging information to a developer, while hiding it to
        the end user running the application.

        The ``level`` attribute of every added sink controls the minimum threshold from which log
        messages are allowed to be emitted. While using the ``logger``, you are in charge of
        configuring the appropriate granularity of your logs. It is possible to add even more custom
        levels by using the |level| method.

        Here are the standard levels with their default severity value, each one is associated with
        a logging method of the same name:

        +----------------------+------------------------+------------------------+
        | Level name           | Severity value         | Logger method          |
        +======================+========================+========================+
        | ``TRACE``            | 5                      | |logger.trace|         |
        +----------------------+------------------------+------------------------+
        | ``DEBUG``            | 10                     | |logger.debug|         |
        +----------------------+------------------------+------------------------+
        | ``INFO``             | 20                     | |logger.info|          |
        +----------------------+------------------------+------------------------+
        | ``SUCCESS``          | 25                     | |logger.success|       |
        +----------------------+------------------------+------------------------+
        | ``WARNING``          | 30                     | |logger.warning|       |
        +----------------------+------------------------+------------------------+
        | ``ERROR``            | 40                     | |logger.error|         |
        +----------------------+------------------------+------------------------+
        | ``CRITICAL``         | 50                     | |logger.critical|      |
        +----------------------+------------------------+------------------------+

        .. _record:

        .. rubric:: The record dict

        The record is just a Python dict, accessible from sinks by ``message.record``. It contains
        all contextual information of the logging call (time, function, file, line, level, etc.).

        Each of the record keys can be used in the handler's ``format`` so the corresponding value
        is properly displayed in the logged message (e.g. ``"{level}"`` will return ``"INFO"``).
        Some records' values are objects with two or more attributes. These can be formatted with
        ``"{key.attr}"`` (``"{key}"`` would display one by default).

        Note that you can use any `formatting directives`_ available in Python's ``str.format()``
        method (e.g. ``"{key: >3}"`` will right-align and pad to a width of 3 characters). This is
        particularly useful for time formatting (see below).

        +------------+---------------------------------+----------------------------+
        | Key        | Description                     | Attributes                 |
        +============+=================================+============================+
        | elapsed    | The time elapsed since the      | See |timedelta|            |
        |            | start of the program            |                            |
        +------------+---------------------------------+----------------------------+
        | exception  | The formatted exception if any, | ``type``, ``value``,       |
        |            | ``None`` otherwise              | ``traceback``              |
        +------------+---------------------------------+----------------------------+
        | extra      | The dict of attributes          | None                       |
        |            | bound by the user (see |bind|)  |                            |
        +------------+---------------------------------+----------------------------+
        | file       | The file where the logging call | ``name`` (default),        |
        |            | was made                        | ``path``                   |
        +------------+---------------------------------+----------------------------+
        | function   | The function from which the     | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | level      | The severity used to log the    | ``name`` (default),        |
        |            | message                         | ``no``, ``icon``           |
        +------------+---------------------------------+----------------------------+
        | line       | The line number in the source   | None                       |
        |            | code                            |                            |
        +------------+---------------------------------+----------------------------+
        | message    | The logged message (not yet     | None                       |
        |            | formatted)                      |                            |
        +------------+---------------------------------+----------------------------+
        | module     | The module where the logging    | None                       |
        |            | call was made                   |                            |
        +------------+---------------------------------+----------------------------+
        | name       | The ``__name__`` where the      | None                       |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | process    | The process in which the        | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | thread     | The thread in which the         | ``name``, ``id`` (default) |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+
        | time       | The aware local time when the   | See |datetime|             |
        |            | logging call was made           |                            |
        +------------+---------------------------------+----------------------------+

        .. _time:

        .. rubric:: The time formatting

        To use your favorite time representation, you can set it directly in the time formatter
        specifier of your handler format, like for example ``format="{time:HH:mm:ss} {message}"``.
        Note that this datetime represents your local time, and it is also made timezone-aware,
        so you can display the UTC offset to avoid ambiguities.

        The time field can be formatted using more human-friendly tokens. These constitute a subset
        of the one used by the `Pendulum`_ library of `@sdispater`_. To escape a token, just add
        square brackets around it, for example ``"[YY]"`` would display literally ``"YY"``.

        If you prefer to display UTC rather than local time, you can add ``"!UTC"`` at the very end
        of the time format, like ``{time:HH:mm:ss!UTC}``. Doing so will convert the ``datetime``
        to UTC before formatting.

        If no time formatter specifier is used, like for example if ``format="{time} {message}"``,
        the default one will use ISO 8601.

        +------------------------+---------+----------------------------------------+
        |                        | Token   | Output                                 |
        +========================+=========+========================================+
        | Year                   | YYYY    | 2000, 2001, 2002 ... 2012, 2013        |
        |                        +---------+----------------------------------------+
        |                        | YY      | 00, 01, 02 ... 12, 13                  |
        +------------------------+---------+----------------------------------------+
        | Quarter                | Q       | 1 2 3 4                                |
        +------------------------+---------+----------------------------------------+
        | Month                  | MMMM    | January, February, March ...           |
        |                        +---------+----------------------------------------+
        |                        | MMM     | Jan, Feb, Mar ...                      |
        |                        +---------+----------------------------------------+
        |                        | MM      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | M       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Day of Year            | DDDD    | 001, 002, 003 ... 364, 365             |
        |                        +---------+----------------------------------------+
        |                        | DDD     | 1, 2, 3 ... 364, 365                   |
        +------------------------+---------+----------------------------------------+
        | Day of Month           | DD      | 01, 02, 03 ... 30, 31                  |
        |                        +---------+----------------------------------------+
        |                        | D       | 1, 2, 3 ... 30, 31                     |
        +------------------------+---------+----------------------------------------+
        | Day of Week            | dddd    | Monday, Tuesday, Wednesday ...         |
        |                        +---------+----------------------------------------+
        |                        | ddd     | Mon, Tue, Wed ...                      |
        |                        +---------+----------------------------------------+
        |                        | d       | 0, 1, 2 ... 6                          |
        +------------------------+---------+----------------------------------------+
        | Days of ISO Week       | E       | 1, 2, 3 ... 7                          |
        +------------------------+---------+----------------------------------------+
        | Hour                   | HH      | 00, 01, 02 ... 23, 24                  |
        |                        +---------+----------------------------------------+
        |                        | H       | 0, 1, 2 ... 23, 24                     |
        |                        +---------+----------------------------------------+
        |                        | hh      | 01, 02, 03 ... 11, 12                  |
        |                        +---------+----------------------------------------+
        |                        | h       | 1, 2, 3 ... 11, 12                     |
        +------------------------+---------+----------------------------------------+
        | Minute                 | mm      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | m       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Second                 | ss      | 00, 01, 02 ... 58, 59                  |
        |                        +---------+----------------------------------------+
        |                        | s       | 0, 1, 2 ... 58, 59                     |
        +------------------------+---------+----------------------------------------+
        | Fractional Second      | S       | 0 1 ... 8 9                            |
        |                        +---------+----------------------------------------+
        |                        | SS      | 00, 01, 02 ... 98, 99                  |
        |                        +---------+----------------------------------------+
        |                        | SSS     | 000 001 ... 998 999                    |
        |                        +---------+----------------------------------------+
        |                        | SSSS... | 000[0..] 001[0..] ... 998[0..] 999[0..]|
        |                        +---------+----------------------------------------+
        |                        | SSSSSS  | 000000 000001 ... 999998 999999        |
        +------------------------+---------+----------------------------------------+
        | AM / PM                | A       | AM, PM                                 |
        +------------------------+---------+----------------------------------------+
        | Timezone               | Z       | -07:00, -06:00 ... +06:00, +07:00      |
        |                        +---------+----------------------------------------+
        |                        | ZZ      | -0700, -0600 ... +0600, +0700          |
        |                        +---------+----------------------------------------+
        |                        | zz      | EST CST ... MST PST                    |
        +------------------------+---------+----------------------------------------+
        | Seconds timestamp      | X       | 1381685817, 1234567890.123             |
        +------------------------+---------+----------------------------------------+
        | Microseconds timestamp | x       | 1234567890123                          |
        +------------------------+---------+----------------------------------------+

        .. _file:

        .. rubric:: The file sinks

        If the sink is a |str| or a |Path|, the corresponding file will be opened for writing logs.
        The path can also contain a special ``"{time}"`` field that will be formatted with the
        current date at file creation. The file is closed at sink stop, i.e. when the application
        ends or the handler is removed.

        The ``rotation`` check is made before logging each message. If there is already an existing
        file with the same name that the file to be created, then the existing file is renamed by
        appending the date to its basename to prevent file overwriting. This parameter accepts:

        - an |int| which corresponds to the maximum file size in bytes before that the current
          logged file is closed and a new one started over.
        - a |timedelta| which indicates the frequency of each new rotation.
        - a |time| which specifies the hour when the daily rotation should occur.
        - a |str| for human-friendly parametrization of one of the previously enumerated types.

<p><strong>Usage example</strong></p>

<pre><code>
``"100 MB"``, ``"0.5 GB"``, ``"1 month 2 weeks"``, ``"4 days"``, ``"10h"``,
``"monthly"``, ``"18:00"``, ``"sunday"``, ``"w0"``, ``"monday at 12:00"``, ...
- a |callable|_ which will be invoked before logging. It should accept two arguments: the
logged message and the file object, and it should return ``True`` if the rotation should
happen now, ``False`` otherwise.
The ``retention`` occurs at rotation or at sink stop if rotation is ``None``. Files
resulting from previous sessions or rotations are automatically collected from disk. A file
is selected if it matches the pattern ``"basename(.*).ext(.*)"`` (possible time fields are
beforehand replaced with ``.*``) based on the configured sink. Afterwards, the list is
processed to determine files to be retained. This parameter accepts:
- an |int| which indicates the number of log files to keep, while older files are deleted.
- a |timedelta| which specifies the maximum age of files to keep.
- a |str| for human-friendly parametrization of the maximum age of files to keep.
Examples: ``"1 week, 3 days"``, ``"2 months"``, ...
- a |callable|_ which will be invoked before the retention process. It should accept the
list of log files as argument and process to whatever it wants (moving files, removing
them, etc.).
The ``compression`` happens at rotation or at sink stop if rotation is ``None``. This
parameter accepts:
- a |str| which corresponds to the compressed or archived file extension. This can be one
of: ``"gz"``, ``"bz2"``, ``"xz"``, ``"lzma"``, ``"tar"``, ``"tar.gz"``, ``"tar.bz2"``,
``"tar.xz"``, ``"zip"``.
- a |callable|_ which will be invoked before file termination. It should accept the path of
the log file as argument and process to whatever it wants (custom compression, network
sending, removing it, etc.).
Either way, if you use a custom function designed according to your preferences, you must be
very careful not to use the ``logger`` within your function. Otherwise, there is a risk that
your program hang because of a deadlock.
.. _color:
.. rubric:: The color markups
To add colors to your logs, you just have to enclose your format string with the appropriate
tags (e.g. ``<red>some message</red>``). These tags are automatically removed if the sink
doesn't support ansi codes. For convenience, you can use ``</>`` to close the last opening
tag without repeating its name (e.g. ``<red>another message</>``).
The special tag ``<level>`` (abbreviated with ``<lvl>``) is transformed according to
the configured color of the logged message level.
Tags which are not recognized will raise an exception during parsing, to inform you about
possible misuse. If you wish to display a markup tag literally, you can escape it by
prepending a ``\`` like for example ``\<blue>``. If, for some reason, you need to escape a
string programmatically, note that the regex used internally to parse markup tags is
``r"\\?</?((?:[fb]g\s)?[^<>\s]*)>"``.
Note that when logging a message with ``opt(colors=True)``, color tags present in the
formatting arguments (``args`` and ``kwargs``) are completely ignored. This is important if
you need to log strings containing markups that might interfere with the color tags (in this
case, do not use f-string).
Here are the available tags (note that compatibility may vary depending on terminal):
+------------------------------------+--------------------------------------+
| Color (abbr)                       | Styles (abbr)                        |
+====================================+======================================+
| Black (k)                          | Bold (b)                             |
+------------------------------------+--------------------------------------+
| Blue (e)                           | Dim (d)                              |
+------------------------------------+--------------------------------------+
| Cyan (c)                           | Normal (n)                           |
+------------------------------------+--------------------------------------+
| Green (g)                          | Italic (i)                           |
+------------------------------------+--------------------------------------+
| Magenta (m)                        | Underline (u)                        |
+------------------------------------+--------------------------------------+
| Red (r)                            | Strike (s)                           |
+------------------------------------+--------------------------------------+
| White (w)                          | Reverse (v)                          |
+------------------------------------+--------------------------------------+
| Yellow (y)                         | Blink (l)                            |
+------------------------------------+--------------------------------------+
|                                    | Hide (h)                             |
+------------------------------------+--------------------------------------+
Usage:
+-----------------+-------------------------------------------------------------------+
| Description     | Examples                                                          |
|                 +---------------------------------+---------------------------------+
|                 | Foreground                      | Background                      |
+=================+=================================+=================================+
| Basic colors    | ``<red>``, ``<r>``              | ``<GREEN>``, ``<G>``            |
+-----------------+---------------------------------+---------------------------------+
| Light colors    | ``<light-blue>``, ``<le>``      | ``<LIGHT-CYAN>``, ``<LC>``      |
+-----------------+---------------------------------+---------------------------------+
| 8-bit colors    | ``<fg 86>``, ``<fg 255>``       | ``<bg 42>``, ``<bg 9>``         |
+-----------------+---------------------------------+---------------------------------+
| Hex colors      | ``<fg #00005f>``, ``<fg #EE1>`` | ``<bg #AF5FD7>``, ``<bg #fff>`` |
+-----------------+---------------------------------+---------------------------------+
| RGB colors      | ``<fg 0,95,0>``                 | ``<bg 72,119,65>``              |
+-----------------+---------------------------------+---------------------------------+
| Stylizing       | ``<bold>``, ``<b>``,  ``<underline>``, ``<u>``                    |
+-----------------+-------------------------------------------------------------------+
.. _env:
.. rubric:: The environment variables
The default values of sink parameters can be entirely customized. This is particularly
useful if you don't like the log format of the pre-configured sink.
Each of the |add| default parameter can be modified by setting the ``LOGURU_[PARAM]``
environment variable. For example on Linux: ``export LOGURU_FORMAT="{time} - {message}"``
or ``export LOGURU_DIAGNOSE=NO``.
The default levels' attributes can also be modified by setting the ``LOGURU_[LEVEL]_[ATTR]``
environment variable. For example, on Windows: ``setx LOGURU_DEBUG_COLOR "<blue>"``
or ``setx LOGURU_TRACE_ICON "🚀"``. If you use the ``set`` command, do not include quotes
but escape special symbol as needed, e.g. ``set LOGURU_DEBUG_COLOR=^<blue^>``.
If you want to disable the pre-configured sink, you can set the ``LOGURU_AUTOINIT``
variable to ``False``.
On Linux, you will probably need to edit the ``~/.profile`` file to make this persistent. On
Windows, don't forget to restart your terminal for the change to be taken into account.
Examples
--------
>>> logger.add(sys.stdout, format="{time} - {level} - {message}", filter="sub.module")
>>> logger.add("file_{time}.log", level="TRACE", rotation="100 MB")
>>> def debug_only(record):
...     return record["level"].name == "DEBUG"
...
>>> logger.add("debug.log", filter=debug_only)  # Other levels are filtered out
>>> def my_sink(message):
...     record = message.record
...     update_db(message, time=record["time"], level=record["level"])
...
>>> logger.add(my_sink)
>>> level_per_module = {
...     "": "DEBUG",
...     "third.lib": "WARNING",
...     "anotherlib": False
... }
>>> logger.add(lambda m: print(m, end=""), filter=level_per_module, level=0)
>>> async def publish(message):
...     await api.post(message)
...
>>> logger.add(publish, serialize=True)
>>> from logging import StreamHandler
>>> logger.add(StreamHandler(sys.stderr), format="{message}")
>>> class RandomStream:
...     def __init__(self, seed, threshold):
...         self.threshold = threshold
...         random.seed(seed)
...     def write(self, message):
...         if random.random() > self.threshold:
...             print(message)
...
>>> stream_object = RandomStream(seed=12345, threshold=0.25)
>>> logger.add(stream_object, level="INFO")
</code></pre>
</details>

<details><summary><h3><strong>def debug_only(record)</strong></h3></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h3><strong>def my_sink(message)</strong></h3></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h3><strong>def publish(message)</strong></h3></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h3><strong>def __init__(self, seed, threshold)</strong></h3></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h3><strong>def write(self, message)</strong></h3></summary>

with self._core.lock:
            handler_id = self._core.handlers_count
            self._core.handlers_count += 1

        error_interceptor = ErrorInterceptor(catch, handler_id)

        if colorize is None and serialize:
            colorize = False

        if isinstance(sink, (str, PathLike)):
            path = sink
            name = "'%s'" % path

            if colorize is None:
                colorize = False

            wrapped_sink = FileSink(path, **kwargs)
            kwargs = {}
            encoding = wrapped_sink.encoding
            terminator = "\n"
            exception_prefix = ""
        elif hasattr(sink, "write") and callable(sink.write):
            name = getattr(sink, "name", None) or repr(sink)

            if colorize is None:
                colorize = _colorama.should_colorize(sink)

            if colorize is True and _colorama.should_wrap(sink):
                stream = _colorama.wrap(sink)
            else:
                stream = sink

            wrapped_sink = StreamSink(stream)
            encoding = getattr(sink, "encoding", None)
            terminator = "\n"
            exception_prefix = ""
        elif isinstance(sink, logging.Handler):
            name = repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = StandardSink(sink)
            encoding = getattr(sink, "encoding", None)
            terminator = ""
            exception_prefix = "\n"
        elif iscoroutinefunction(sink) or iscoroutinefunction(
            getattr(sink, "__call__", None)  # noqa: B004
        ):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            loop = kwargs.pop("loop", None)

            # The worker thread needs an event loop, it can't create a new one internally because it
            # has to be accessible by the user while calling "complete()", instead we use the global
            # one when the sink is added. If "enqueue=False" the event loop is dynamically retrieved
            # at each logging call, which is much more convenient. However, coroutine can't access
            # running loop in Python 3.5.2 and earlier versions, see python/asyncio#452.
            if enqueue and loop is None:
                try:
                    loop = _asyncio_loop.get_running_loop()
                except RuntimeError as e:
                    raise ValueError(
                        "An event loop is required to add a coroutine sink with `enqueue=True`, "
                        "but none has been passed as argument and none is currently running."
                    ) from e

            coro = sink if iscoroutinefunction(sink) else sink.__call__
            wrapped_sink = AsyncSink(coro, loop, error_interceptor)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        elif callable(sink):
            name = getattr(sink, "__name__", None) or repr(sink)

            if colorize is None:
                colorize = False

            wrapped_sink = CallableSink(sink)
            encoding = "utf8"
            terminator = "\n"
            exception_prefix = ""
        else:
            raise TypeError("Cannot log to objects of type '%s'" % type(sink).__name__)

        if kwargs:
            raise TypeError("add() got an unexpected keyword argument '%s'" % next(iter(kwargs)))

        if filter is None:
            filter_func = None
        elif filter == "":
            filter_func = _filters.filter_none
        elif isinstance(filter, str):
            parent = filter + "."
            length = len(parent)
            filter_func = functools.partial(_filters.filter_by_name, parent=parent, length=length)
        elif isinstance(filter, dict):
            level_per_module = {}
            for module, level_ in filter.items():
                if module is not None and not isinstance(module, str):
                    raise TypeError(
                        "The filter dict contains an invalid module, "
                        "it should be a string (or None), not: '%s'" % type(module).__name__
                    )
                if level_ is False:
                    levelno_ = False
                elif level_ is True:
                    levelno_ = 0
                elif isinstance(level_, str):
                    try:
                        levelno_ = self.level(level_).no
                    except ValueError:
                        raise ValueError(
                            "The filter dict contains a module '%s' associated to a level name "
                            "which does not exist: '%s'" % (module, level_)
                        ) from None
                elif isinstance(level_, int):
                    levelno_ = level_
                else:
                    raise TypeError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be an integer, a string or a boolean, not: '%s'"
                        % (module, type(level_).__name__)
                    )
                if levelno_ < 0:
                    raise ValueError(
                        "The filter dict contains a module '%s' associated to an invalid level, "
                        "it should be a positive integer, not: '%d'" % (module, levelno_)
                    )
                level_per_module[module] = levelno_
            filter_func = functools.partial(
                _filters.filter_by_level, level_per_module=level_per_module
            )
        elif callable(filter):
            if filter == builtins.filter:
                raise ValueError(
                    "The built-in 'filter()' function cannot be used as a 'filter' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            filter_func = filter
        else:
            raise TypeError(
                "Invalid filter, it should be a function, a string or a dict, not: '%s'"
                % type(filter).__name__
            )

        if isinstance(level, str):
            levelno = self.level(level).no
        elif isinstance(level, int):
            levelno = level
        else:
            raise TypeError(
                "Invalid level, it should be an integer or a string, not: '%s'"
                % type(level).__name__
            )

        if levelno < 0:
            raise ValueError(
                "Invalid level value, it should be a positive integer, not: %d" % levelno
            )

        if isinstance(format, str):
            try:
                formatter = Colorizer.prepare_format(format + terminator + "{exception}")
            except ValueError as e:
                raise ValueError(
                    "Invalid format, color markups could not be parsed correctly"
                ) from e
            is_formatter_dynamic = False
        elif callable(format):
            if format == builtins.format:
                raise ValueError(
                    "The built-in 'format()' function cannot be used as a 'format' parameter, "
                    "this is most likely a mistake (please double-check the arguments passed "
                    "to 'logger.add()')."
                )
            formatter = format
            is_formatter_dynamic = True
        else:
            raise TypeError(
                "Invalid format, it should be a string or a function, not: '%s'"
                % type(format).__name__
            )

        if not isinstance(encoding, str):
            encoding = "ascii"

        if isinstance(context, str):
            context = get_context(context)
        elif context is not None and not isinstance(context, BaseContext):
            raise TypeError(
                "Invalid context, it should be a string or a multiprocessing context, "
                "not: '%s'" % type(context).__name__
            )

        with self._core.lock:
            exception_formatter = ExceptionFormatter(
                colorize=colorize,
                encoding=encoding,
                diagnose=diagnose,
                backtrace=backtrace,
                hidden_frames_filename=self.catch.__code__.co_filename,
                prefix=exception_prefix,
            )

            handler = Handler(
                name=name,
                sink=wrapped_sink,
                levelno=levelno,
                formatter=formatter,
                is_formatter_dynamic=is_formatter_dynamic,
                filter_=filter_func,
                colorize=colorize,
                serialize=serialize,
                enqueue=enqueue,
                multiprocessing_context=context,
                id_=handler_id,
                error_interceptor=error_interceptor,
                exception_formatter=exception_formatter,
                levels_ansi_codes=self._core.levels_ansi_codes,
            )

            handlers = self._core.handlers.copy()
            handlers[handler_id] = handler

            self._core.min_level = min(self._core.min_level, levelno)
            self._core.handlers = handlers

        return handler_id

    def remove(self, handler_id=None):

</details>

<details><summary><h3><strong>def remove(self, handler_id=None)</strong></h3></summary>

Remove a previously added handler and stop sending logs to its sink.

        Parameters
        ----------
        handler_id : |int| or ``None``
            The id of the sink to remove, as it was returned by the |add| method. If ``None``, all
            handlers are removed. The pre-configured handler is guaranteed to have the index ``0``.

        Raises
        ------
        ValueError
            If ``handler_id`` is not ``None`` but there is no active handler with such id.

        Examples
        --------
        >>> i = logger.add(sys.stderr, format="{message}")
        >>> logger.info("Logging")
        Logging
        >>> logger.remove(i)
        >>> logger.info("No longer logging")

</details>

<details><summary><h3><strong>def complete(self)</strong></h3></summary>

Wait for the end of enqueued messages and asynchronous tasks scheduled by handlers.

        This method proceeds in two steps: first it waits for all logging messages added to handlers
        with ``enqueue=True`` to be processed, then it returns an object that can be awaited to
        finalize all logging tasks added to the event loop by coroutine sinks.

        It can be called from non-asynchronous code. This is especially recommended when the
        ``logger`` is utilized with ``multiprocessing`` to ensure messages put to the internal
        queue have been properly transmitted before leaving a child process.

        The returned object should be awaited before the end of a coroutine executed by
        |asyncio.run| or |loop.run_until_complete| to ensure all asynchronous logging messages are
        processed. The function |asyncio.get_running_loop| is called beforehand, only tasks
        scheduled in the same loop that the current one will be awaited by the method.

        Returns
        -------
        :term:`awaitable`
            An awaitable object which ensures all asynchronous logging calls are completed when
            awaited.

        Examples
        --------
        >>> async def sink(message):
        ...     await asyncio.sleep(0.1)  # IO processing...
        ...     print(message, end="")
        ...
        >>> async def work():
        ...     logger.info("Start")
        ...     logger.info("End")
        ...     await logger.complete()
        ...
        >>> logger.add(sink)
        1
        >>> asyncio.run(work())
        Start
        End

        >>> def process():
        ...     logger.info("Message sent from the child")
        ...     logger.complete()
        ...
        >>> logger.add(sys.stderr, enqueue=True)
        1
        >>> process = multiprocessing.Process(target=process)
        >>> process.start()
        >>> process.join()
        Message sent from the child

</details>

<details><summary><h3><strong>def sink(message)</strong></h3></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h3><strong>def work()</strong></h3></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h3><strong>def process()</strong></h3></summary>

tasks = []

        with self._core.lock:
            handlers = self._core.handlers.copy()
            for handler in handlers.values():
                handler.complete_queue()
                tasks.extend(handler.tasks_to_complete())

        class AwaitableCompleter:
            def __await__(self):
                for task in tasks:
                    yield from task.__await__()

        return AwaitableCompleter()

    def catch(
        self,
        exception=Exception,
        *,
        level="ERROR",
        reraise=False,
        onerror=None,
        exclude=None,
        default=None,
        message="An error has been caught in function '{record[function]}', "
        "process '{record[process].name}' ({record[process].id}), "
        "thread '{record[thread].name}' ({record[thread].id}):"
    ):

</details>

<details><summary><h3><strong>def __await__(self)</strong></h3></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h3><strong>def f(x)</strong></h3></summary>

Return a decorator to automatically log possibly caught error in wrapped function.

        This is useful to ensure unexpected exceptions are logged, the entire program can be
        wrapped by this method. This is also very useful to decorate |Thread.run| methods while
        using threads to propagate errors to the main logger thread.

        Note that the visibility of variables values (which uses the great |better_exceptions|_
        library from `@Qix-`_) depends on the ``diagnose`` option of each configured sink.

        The returned object can also be used as a context manager.

        Parameters
        ----------
        exception : |Exception|, optional
            The type of exception to intercept. If several types should be caught, a tuple of
            exceptions can be used too.
        level : |str| or |int|, optional
            The level name or severity with which the message should be logged.
        reraise : |bool|, optional
            Whether the exception should be raised again and hence propagated to the caller.
        onerror : |callable|_, optional
            A function that will be called if an error occurs, once the message has been logged.
            It should accept the exception instance as it sole argument.
        exclude : |Exception|, optional
            A type of exception (or a tuple of types) that will be purposely ignored and hence
            propagated to the caller without being logged.
        default : |Any|, optional
            The value to be returned by the decorated function if an error occurred without being
            re-raised.
        message : |str|, optional
            The message that will be automatically logged if an exception occurs. Note that it will
            be formatted with the ``record`` attribute.

        Returns
        -------
        :term:`decorator` / :term:`context manager`
            An object that can be used to decorate a function or as a context manager to log
            exceptions possibly caught.

        Examples
        --------
        >>> @logger.catch
        ... def f(x):
        ...     100 / x
        ...
        >>> def g():
        ...     f(10)
        ...     f(0)
        ...
        >>> g()
        ERROR - An error has been caught in function 'g', process 'Main' (367), thread 'ch1' (1398):
        Traceback (most recent call last):
          File "program.py", line 12, in <module>
            g()
            └ <function g at 0x7f225fe2bc80>
        > File "program.py", line 10, in g
            f(0)
            └ <function f at 0x7f225fe2b9d8>
          File "program.py", line 6, in f
            100 / x
                  └ 0
        ZeroDivisionError: division by zero

        >>> with logger.catch(message="Because we never know..."):
        ...    main()  # No exception, no logs

        >>> # Use 'onerror' to prevent the program exit code to be 0 (if 'reraise=False') while
        >>> # also avoiding the stacktrace to be duplicated on stderr (if 'reraise=True').
        >>> @logger.catch(onerror=lambda _: sys.exit(1))
        ... def main():
        ...     1 / 0

</details>

<details><summary><h3><strong>def f(x)</strong></h3></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h3><strong>def g()</strong></h3></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h3><strong>def main()</strong></h3></summary>

if callable(exception) and (
            not isclass(exception) or not issubclass(exception, BaseException)
        ):
            return self.catch()(exception)

        logger = self

        class Catcher:
            def __init__(self, from_decorator):
                self._from_decorator = from_decorator

            def __enter__(self):
                return None

            def __exit__(self, type_, value, traceback_):
                if type_ is None:
                    return

                if not issubclass(type_, exception):
                    return False

                if exclude is not None and issubclass(type_, exclude):
                    return False

                from_decorator = self._from_decorator
                _, depth, _, *options = logger._options

                if from_decorator:
                    depth += 1

                catch_options = [(type_, value, traceback_), depth, True] + options
                logger._log(level, from_decorator, catch_options, message, (), {})

                if onerror is not None:
                    onerror(value)

                return not reraise

            def __call__(self, function):
                if isclass(function):
                    raise TypeError(
                        "Invalid object decorated with 'catch()', it must be a function, "
                        "not a class (tried to wrap '%s')" % function.__name__
                    )

                catcher = Catcher(True)

                if iscoroutinefunction(function):

                    async def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return await function(*args, **kwargs)
                        return default

                elif isgeneratorfunction(function):

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return (yield from function(*args, **kwargs))
                        return default

                else:

                    def catch_wrapper(*args, **kwargs):
                        with catcher:
                            return function(*args, **kwargs)
                        return default

                functools.update_wrapper(catch_wrapper, function)
                return catch_wrapper

        return Catcher(False)

    def opt(
        self,
        *,
        exception=None,
        record=False,
        lazy=False,
        colors=False,
        raw=False,
        capture=True,
        depth=0,
        ansi=False
    ):
        r

</details>

<details><summary><h3><strong>def __init__(self, from_decorator)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def __exit__(self, type_, value, traceback_)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def __call__(self, function)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def catch_wrapper(*args, **kwargs)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def catch_wrapper(*args, **kwargs)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def catch_wrapper(*args, **kwargs)</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def wrapped()</strong></h3></summary>

Parametrize a logging call to slightly change generated log message.

        Note that it's not possible to chain |opt| calls, the last one takes precedence over the
        others as it will "reset" the options to their default values.

        Parameters
        ----------
        exception : |bool|, |tuple| or |Exception|, optional
            If it does not evaluate as ``False``, the passed exception is formatted and added to the
            log message. It could be an |Exception| object or a ``(type, value, traceback)`` tuple,
            otherwise the exception information is retrieved from |sys.exc_info|.
        record : |bool|, optional
            If ``True``, the record dict contextualizing the logging call can be used to format the
            message by using ``{record[key]}`` in the log message.
        lazy : |bool|, optional
            If ``True``, the logging call attribute to format the message should be functions which
            will be called only if the level is high enough. This can be used to avoid expensive
            functions if not necessary.
        colors : |bool|, optional
            If ``True``, logged message will be colorized according to the markups it possibly
            contains.
        raw : |bool|, optional
            If ``True``, the formatting of each sink will be bypassed and the message will be sent
            as is.
        capture : |bool|, optional
            If ``False``, the ``**kwargs`` of logged message will not automatically populate
            the ``extra`` dict (although they are still used for formatting).
        depth : |int|, optional
            Specify which stacktrace should be used to contextualize the logged message. This is
            useful while using the logger from inside a wrapped function to retrieve worthwhile
            information.
        ansi : |bool|, optional
            Deprecated since version 0.4.1: the ``ansi`` parameter will be removed in Loguru 1.0.0,
            it is replaced by ``colors`` which is a more appropriate name.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but transforming logged message adequately before
            sending.

        Examples
        --------
        >>> try:
        ...     1 / 0
        ... except ZeroDivisionError:
        ...    logger.opt(exception=True).debug("Exception logged with debug level:")
        ...
        [18:10:02] DEBUG in '<module>' - Exception logged with debug level:
        Traceback (most recent call last, catch point marked):
        > File "<stdin>", line 2, in <module>
        ZeroDivisionError: division by zero

        >>> logger.opt(record=True).info("Current line is: {record[line]}")
        [18:10:33] INFO in '<module>' - Current line is: 1

        >>> logger.opt(lazy=True).debug("If sink <= DEBUG: {x}", x=lambda: math.factorial(2**5))
        [18:11:19] DEBUG in '<module>' - If sink <= DEBUG: 263130836933693530167218012160000000

        >>> logger.opt(colors=True).warning("We got a <red>BIG</red> problem")
        [18:11:30] WARNING in '<module>' - We got a BIG problem

        >>> logger.opt(raw=True).debug("No formatting\n")
        No formatting

        >>> logger.opt(capture=False).info("Displayed but not captured: {value}", value=123)
        [18:11:41] Displayed but not captured: 123

        >>> def wrapped():
        ...     logger.opt(depth=1).info("Get parent context")
        ...
        >>> def func():
        ...     wrapped()
        ...
        >>> func()
        [18:11:54] DEBUG in 'func' - Get parent context

</details>

<details><summary><h3><strong>def wrapped()</strong></h3></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h3><strong>def func()</strong></h3></summary>

if ansi:
            colors = True
            warnings.warn(
                "The 'ansi' parameter is deprecated, please use 'colors' instead",
                DeprecationWarning,
                stacklevel=2,
            )

        args = self._options[-2:]
        return Logger(self._core, exception, depth, record, lazy, colors, raw, capture, *args)

    def bind(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h3><strong>def bind(__self, **kwargs)</strong></h3></summary>

Bind attributes to the ``extra`` dict of each logged message record.

        This is used to add custom context to each logging call.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the ``extra`` dict.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which sends record with the customized ``extra``
            dict.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[ip]} - {message}")
        >>> class Server:
        ...     def __init__(self, ip):
        ...         self.ip = ip
        ...         self.logger = logger.bind(ip=ip)
        ...     def call(self, message):
        ...         self.logger.info(message)
        ...
        >>> instance_1 = Server("192.168.0.200")
        >>> instance_2 = Server("127.0.0.1")
        >>> instance_1.call("First instance")
        192.168.0.200 - First instance
        >>> instance_2.call("Second instance")
        127.0.0.1 - Second instance

</details>

<details><summary><h3><strong>def __init__(self, ip)</strong></h3></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h3><strong>def call(self, message)</strong></h3></summary>

*options, extra = __self._options
        return Logger(__self._core, *options, {**extra, **kwargs})

    @contextlib.contextmanager
    def contextualize(__self, **kwargs):  # noqa: N805

</details>

<details><summary><h3><strong>def contextualize(__self, **kwargs)</strong></h3></summary>

Bind attributes to the context-local ``extra`` dict while inside the ``with`` block.

        Contrary to |bind| there is no ``logger`` returned, the ``extra`` dict is modified in-place
        and updated globally. Most importantly, it uses |contextvars| which means that
        contextualized values are unique to each threads and asynchronous tasks.

        The ``extra`` dict will retrieve its initial state once the context manager is exited.

        Parameters
        ----------
        **kwargs
            Mapping between keys and values that will be added to the context-local ``extra`` dict.

        Returns
        -------
        :term:`context manager` / :term:`decorator`
            A context manager (usable as a decorator too) that will bind the attributes once entered
            and restore the initial state of the ``extra`` dict while exited.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{message} | {extra}")
        1
        >>> def task():
        ...     logger.info("Processing!")
        ...
        >>> with logger.contextualize(task_id=123):
        ...     task()
        ...
        Processing! | {'task_id': 123}
        >>> logger.info("Done.")
        Done. | {}

</details>

<details><summary><h3><strong>def task()</strong></h3></summary>

with __self._core.lock:
            new_context = {**context.get(), **kwargs}
            token = context.set(new_context)

        try:
            yield
        finally:
            with __self._core.lock:
                context.reset(token)

    def patch(self, patcher):

</details>

<details><summary><h3><strong>def patch(self, patcher)</strong></h3></summary>

Attach a function to modify the record dict created by each logging call.

        The ``patcher`` may be used to update the record on-the-fly before it's propagated to the
        handlers. This allows the "extra" dict to be populated with dynamic values and also permits
        advanced modifications of the record emitted while logging a message. The function is called
        once before sending the log message to the different handlers.

        It is recommended to apply modification on the ``record["extra"]`` dict rather than on the
        ``record`` dict itself, as some values are used internally by `Loguru`, and modify them may
        produce unexpected results.

        The logger can be patched multiple times. In this case, the functions are called in the
        same order as they are added.

        Parameters
        ----------
        patcher: |callable|_
            The function to which the record dict will be passed as the sole argument. This function
            is in charge of updating the record in-place, the function does not need to return any
            value, the modified record object will be re-used.

        Returns
        -------
        :class:`~Logger`
            A logger wrapping the core logger, but which records are passed through the ``patcher``
            function before being sent to the added handlers.

        Examples
        --------
        >>> logger.add(sys.stderr, format="{extra[utc]} {message}")
        >>> logger = logger.patch(lambda record: record["extra"].update(utc=datetime.utcnow())
        >>> logger.info("That's way, you can log messages with time displayed in UTC")

        >>> def wrapper(func):
        ...     @functools.wraps(func)
        ...     def wrapped(*args, **kwargs):
        ...         logger.patch(lambda r: r.update(function=func.__name__)).info("Wrapped!")
        ...         return func(*args, **kwargs)
        ...     return wrapped

        >>> def recv_record_from_network(pipe):
        ...     record = pickle.loads(pipe.read())
        ...     level, message = record["level"], record["message"]
        ...     logger.patch(lambda r: r.update(record)).log(level, message)

</details>

<details><summary><h3><strong>def wrapper(func)</strong></h3></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h3><strong>def wrapped(*args, **kwargs)</strong></h3></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h3><strong>def recv_record_from_network(pipe)</strong></h3></summary>

*options, patchers, extra = self._options
        return Logger(self._core, *options, patchers + [patcher], extra)

    def level(self, name, no=None, color=None, icon=None):

</details>

<details><summary><h3><strong>def level(self, name, no=None, color=None, icon=None)</strong></h3></summary>

Add, update or retrieve a logging level.

        Logging levels are defined by their ``name`` to which a severity ``no``, an ansi ``color``
        tag and an ``icon`` are associated and possibly modified at run-time. To |log| to a custom
        level, you should necessarily use its name, the severity number is not linked back to levels
        name (this implies that several levels can share the same severity).

        To add a new level, its ``name`` and its ``no`` are required. A ``color`` and an ``icon``
        can also be specified or will be empty by default.

        To update an existing level, pass its ``name`` with the parameters to be changed. It is not
        possible to modify the ``no`` of a level once it has been added.

        To retrieve level information, the ``name`` solely suffices.

        Parameters
        ----------
        name : |str|
            The name of the logging level.
        no : |int|
            The severity of the level to be added or updated.
        color : |str|
            The color markup of the level to be added or updated.
        icon : |str|
            The icon of the level to be added or updated.

        Returns
        -------
        ``Level``
            A |namedtuple| containing information about the level.

        Raises
        ------
        ValueError
            If there is no level registered with such ``name``.

        Examples
        --------
        >>> level = logger.level("ERROR")
        >>> print(level)
        Level(name='ERROR', no=40, color='<red><bold>', icon='❌')
        >>> logger.add(sys.stderr, format="{level.no} {level.icon} {message}")
        1
        >>> logger.level("CUSTOM", no=15, color="<blue>", icon="@")
        Level(name='CUSTOM', no=15, color='<blue>', icon='@')
        >>> logger.log("CUSTOM", "Logging...")
        15 @ Logging...
        >>> logger.level("WARNING", icon=r"/!\\")
        Level(name='WARNING', no=30, color='<yellow><bold>', icon='/!\\\\')
        >>> logger.warning("Updated!")
        30 /!\\ Updated!

</details>

<details><summary><h3><strong>def disable(self, name)</strong></h3></summary>

Disable logging of messages coming from ``name`` module and its children.

        Developers of library using `Loguru` should absolutely disable it to avoid disrupting
        users with unrelated logs messages.

        Note that in some rare circumstances, it is not possible for `Loguru` to
        determine the module's ``__name__`` value. In such situation, ``record["name"]`` will be
        equal to ``None``, this is why ``None`` is also a valid argument.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to disable.

        Examples
        --------
        >>> logger.info("Allowed message by default")
        [22:21:55] Allowed message by default
        >>> logger.disable("my_library")
        >>> logger.info("While publishing a library, don't forget to disable logging")

</details>

<details><summary><h3><strong>def enable(self, name)</strong></h3></summary>

Enable logging of messages coming from ``name`` module and its children.

        Logging is generally disabled by imported library using `Loguru`, hence this function
        allows users to receive these messages anyway.

        To enable all logs regardless of the module they are coming from, an empty string ``""`` can
        be passed.

        Parameters
        ----------
        name : |str| or ``None``
            The name of the parent module to re-allow.

        Examples
        --------
        >>> logger.disable("__main__")
        >>> logger.info("Disabled, so nothing is logged.")
        >>> logger.enable("__main__")
        >>> logger.info("Re-enabled, messages are logged.")
        [22:46:12] Re-enabled, messages are logged.

</details>

<details><summary><h3><strong>def configure(self, *, handlers=None, levels=None, extra=None, patcher=None, activation=None)</strong></h3></summary>

Configure the core logger.

        It should be noted that ``extra`` values set using this function are available across all
        modules, so this is the best way to set overall default values.

        To load the configuration directly from a file, such as JSON or YAML, it is also possible to
        use the |loguru-config|_ library developed by `@erezinman`_.

        Parameters
        ----------
        handlers : |list| of |dict|, optional
            A list of each handler to be added. The list should contain dicts of params passed to
            the |add| function as keyword arguments. If not ``None``, all previously added
            handlers are first removed.
        levels : |list| of |dict|, optional
            A list of each level to be added or updated. The list should contain dicts of params
            passed to the |level| function as keyword arguments. This will never remove previously
            created levels.
        extra : |dict|, optional
            A dict containing additional parameters bound to the core logger, useful to share
            common properties if you call |bind| in several of your files modules. If not ``None``,
            this will remove previously configured ``extra`` dict.
        patcher : |callable|_, optional
            A function that will be applied to the record dict of each logged messages across all
            modules using the logger. It should modify the dict in-place without returning anything.
            The function is executed prior to the one possibly added by the |patch| method. If not
            ``None``, this will replace previously configured ``patcher`` function.
        activation : |list| of |tuple|, optional
            A list of ``(name, state)`` tuples which denotes which loggers should be enabled (if
            ``state`` is ``True``) or disabled (if ``state`` is ``False``). The calls to |enable|
            and |disable| are made accordingly to the list order. This will not modify previously
            activated loggers, so if you need a fresh start prepend your list with ``("", False)``
            or ``("", True)``.

        Returns
        -------
        :class:`list` of :class:`int`
            A list containing the identifiers of added sinks (if any).

        Examples
        --------
        >>> logger.configure(
        ...     handlers=[
        ...         dict(sink=sys.stderr, format="[{time}] {message}"),
        ...         dict(sink="file.log", enqueue=True, serialize=True),
        ...     ],
        ...     levels=[dict(name="NEW", no=13, icon="¤", color="")],
        ...     extra={"common_to_all": "default"},
        ...     patcher=lambda record: record["extra"].update(some_value=42),
        ...     activation=[("my_module.secret", False), ("another_library.module", True)],
        ... )
        [1, 2]

        >>> # Set a default "extra" dict to logger across all modules, without "bind()"
        >>> extra = {"context": "foo"}
        >>> logger.configure(extra=extra)
        >>> logger.add(sys.stderr, format="{extra[context]} - {message}")
        >>> logger.info("Context without bind")
        >>> # => "foo - Context without bind"
        >>> logger.bind(context="bar").info("Suppress global context")
        >>> # => "bar - Suppress global context"

</details>

<details><summary><h3><strong>def _change_activation(self, name, status)</strong></h3></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h3><strong>def modules_depth(x)</strong></h3></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h3><strong>def parse(file, pattern, *, cast={}, chunk=2**16)</strong></h3></summary>

Parse raw logs and extract each entry as a |dict|.

        The logging format has to be specified as the regex ``pattern``, it will then be
        used to parse the ``file`` and retrieve each entry based on the named groups present
        in the regex.

        Parameters
        ----------
        file : |str|, |Path| or |file-like object|_
            The path of the log file to be parsed, or an already opened file object.
        pattern : |str| or |re.Pattern|_
            The regex to use for logs parsing, it should contain named groups which will be included
            in the returned dict.
        cast : |callable|_ or |dict|, optional
            A function that should convert in-place the regex groups parsed (a dict of string
            values) to more appropriate types. If a dict is passed, it should be a mapping between
            keys of parsed log dict and the function that should be used to convert the associated
            value.
        chunk : |int|, optional
            The number of bytes read while iterating through the logs, this avoids having to load
            the whole file in memory.

        Yields
        ------
        :class:`dict`
            The dict mapping regex named groups to matched values, as returned by |match.groupdict|
            and optionally converted according to ``cast`` argument.

        Examples
        --------
        >>> reg = r"(?P<lvl>[0-9]+): (?P<msg>.*)"    # If log format is "{level.no} - {message}"
        >>> for e in logger.parse("file.log", reg):  # A file line could be "10 - A debug message"
        ...     print(e)                             # => {'lvl': '10', 'msg': 'A debug message'}

        >>> caster = dict(lvl=int)                   # Parse 'lvl' key as an integer
        >>> for e in logger.parse("file.log", reg, cast=caster):
        ...     print(e)                             # => {'lvl': 10, 'msg': 'A debug message'}

        >>> def cast(groups):
        ...     if "date" in groups:
        ...         groups["date"] = datetime.strptime(groups["date"], "%Y-%m-%d %H:%M:%S")
        ...
        >>> with open("file.log") as file:
        ...     for log in logger.parse(file, reg, cast=cast):
        ...         print(log["date"], log["something_else"])

</details>

<details><summary><h3><strong>def cast(groups)</strong></h3></summary>

if isinstance(file, (str, PathLike)):
            should_close = True
            fileobj = open(str(file))
        elif hasattr(file, "read") and callable(file.read):
            should_close = False
            fileobj = file
        else:
            raise TypeError(
                "Invalid file, it should be a string path or a file object, not: '%s'"
                % type(file).__name__
            )

        if isinstance(cast, dict):

            def cast_function(groups):
                for key, converter in cast.items():
                    if key in groups:
                        groups[key] = converter(groups[key])

        elif callable(cast):
            cast_function = cast
        else:
            raise TypeError(
                "Invalid cast, it should be a function or a dict, not: '%s'" % type(cast).__name__
            )

        try:
            regex = re.compile(pattern)
        except TypeError:
            raise TypeError(
                "Invalid pattern, it should be a string or a compiled regex, not: '%s'"
                % type(pattern).__name__
            ) from None

        matches = Logger._find_iter(fileobj, regex, chunk)

        for match in matches:
            groups = match.groupdict()
            cast_function(groups)
            yield groups

        if should_close:
            fileobj.close()

    @staticmethod
    def _find_iter(fileobj, regex, chunk):
        buffer = fileobj.read(0)

        while 1:
            text = fileobj.read(chunk)
            buffer += text
            matches = list(regex.finditer(buffer))

            if not text:
                yield from matches
                break

            if len(matches) > 1:
                end = matches[-2].end()
                buffer = buffer[end:]
                yield from matches[:-1]

    def _log(self, level, from_decorator, options, message, args, kwargs):
        core = self._core

        if not core.handlers:
            return

        try:
            level_id, level_name, level_no, level_icon = core.levels_lookup[level]
        except (KeyError, TypeError):
            if isinstance(level, str):
                raise ValueError("Level '%s' does not exist" % level) from None
            if not isinstance(level, int):
                raise TypeError(
                    "Invalid level, it should be an integer or a string, not: '%s'"
                    % type(level).__name__
                ) from None
            if level < 0:
                raise ValueError(
                    "Invalid level value, it should be a positive integer, not: %d" % level
                ) from None
            cache = (None, "Level %d" % level, level, " ")
            level_id, level_name, level_no, level_icon = cache
            core.levels_lookup[level] = cache

        if level_no < core.min_level:
            return

        (exception, depth, record, lazy, colors, raw, capture, patchers, extra) = options

        frame = get_frame(depth + 2)

        try:
            name = frame.f_globals["__name__"]
        except KeyError:
            name = None

        try:
            if not core.enabled[name]:
                return
        except KeyError:
            enabled = core.enabled
            if name is None:
                status = core.activation_none
                enabled[name] = status
                if not status:
                    return
            else:
                dotted_name = name + "."
                for dotted_module_name, status in core.activation_list:
                    if dotted_name[: len(dotted_module_name)] == dotted_module_name:
                        if status:
                            break
                        enabled[name] = False
                        return
                enabled[name] = True

        current_datetime = aware_now()

        code = frame.f_code
        file_path = code.co_filename
        file_name = basename(file_path)
        thread = current_thread()
        process = current_process()
        elapsed = current_datetime - start_time

        if exception:
            if isinstance(exception, BaseException):
                type_, value, traceback = (type(exception), exception, exception.__traceback__)
            elif isinstance(exception, tuple):
                type_, value, traceback = exception
            else:
                type_, value, traceback = sys.exc_info()
            exception = RecordException(type_, value, traceback)
        else:
            exception = None

        log_record = {
            "elapsed": elapsed,
            "exception": exception,
            "extra": {**core.extra, **context.get(), **extra},
            "file": RecordFile(file_name, file_path),
            "function": code.co_name,
            "level": RecordLevel(level_name, level_no, level_icon),
            "line": frame.f_lineno,
            "message": str(message),
            "module": splitext(file_name)[0],
            "name": name,
            "process": RecordProcess(process.ident, process.name),
            "thread": RecordThread(thread.ident, thread.name),
            "time": current_datetime,
        }

        if lazy:
            args = [arg() for arg in args]
            kwargs = {key: value() for key, value in kwargs.items()}

        if capture and kwargs:
            log_record["extra"].update(kwargs)

        if record:
            if "record" in kwargs:
                raise TypeError(
                    "The message can't be formatted: 'record' shall not be used as a keyword "
                    "argument while logger has been configured with '.opt(record=True)'"
                )
            kwargs.update(record=log_record)

        if colors:
            if args or kwargs:
                colored_message = Colorizer.prepare_message(message, args, kwargs)
            else:
                colored_message = Colorizer.prepare_simple_message(str(message))
            log_record["message"] = colored_message.stripped
        elif args or kwargs:
            colored_message = None
            log_record["message"] = message.format(*args, **kwargs)
        else:
            colored_message = None

        if core.patcher:
            core.patcher(log_record)

        for patcher in patchers:
            patcher(log_record)

        for handler in core.handlers.values():
            handler.emit(log_record, level_id, from_decorator, raw, colored_message)

    def trace(__self, __message, *args, **kwargs):  # noqa: N805
        r

</details>

<details><summary><h3><strong>def cast_function(groups)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h3><strong>def _find_iter(fileobj, regex, chunk)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h3><strong>def _log(self, level, from_decorator, options, message, args, kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h3><strong>def trace(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'TRACE'``.

</details>

<details><summary><h3><strong>def debug(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'DEBUG'``.

</details>

<details><summary><h3><strong>def info(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'INFO'``.

</details>

<details><summary><h3><strong>def success(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'SUCCESS'``.

</details>

<details><summary><h3><strong>def warning(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'WARNING'``.

</details>

<details><summary><h3><strong>def error(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'ERROR'``.

</details>

<details><summary><h3><strong>def critical(__self, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``'CRITICAL'``.

</details>

<details><summary><h3><strong>def exception(__self, __message, *args, **kwargs)</strong></h3></summary>

Convenience method for logging an ``'ERROR'`` with exception information.

</details>

<details><summary><h3><strong>def log(__self, __level, __message, *args, **kwargs)</strong></h3></summary>

Log ``message.format(*args, **kwargs)`` with severity ``level``.

</details>

<details><summary><h3><strong>def start(self, *args, **kwargs)</strong></h3></summary>

Deprecated function to |add| a new handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``start()`` will be removed in Loguru 1.0.0, it is replaced by ``add()`` which is a less
          confusing name.

</details>

<details><summary><h3><strong>def stop(self, *args, **kwargs)</strong></h3></summary>

Deprecated function to |remove| an existing handler.

        Warnings
        --------
        .. deprecated:: 0.2.2
          ``stop()`` will be removed in Loguru 1.0.0, it is replaced by ``remove()`` which is a less
          confusing name.

</details>

</details>


<details><summary><h2><strong> _recattrs.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _simple_sinks.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _string_parsers.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

A Python port of Markdown-It

</details>


<details><summary><h2><strong> _compat.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _punycode.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> parse.py</strong></h2></summary>

CLI interface to markdown-it-py

Parse one or more markdown files, convert each to HTML, and print to stdout.

<details open><summary><h3>Contents</h3></summary>

- [def convert_file](#def-convert_file)
- [def interactive](#def-interactive)
- [def parse_args](#def-parse_args)
</details>

<details><summary><h3><strong>def convert_file(filename: str)</strong></h3></summary>

Parse a Markdown file and dump the output to stdout.

</details>

<details><summary><h3><strong>def interactive()</strong></h3></summary>

Parse user input, dump to stdout, rinse and repeat.
    Python REPL style.

</details>

<details><summary><h3><strong>def parse_args(args: Sequence[str] | None)</strong></h3></summary>

Parse input CLI arguments.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> entities.py</strong></h2></summary>

HTML5 entities map: { name -> characters }.

</details>


<details><summary><h2><strong> html_blocks.py</strong></h2></summary>

List of valid html blocks names, according to commonmark spec
http://jgm.github.io/CommonMark/spec.html#html-blocks

</details>


<details><summary><h2><strong> html_re.py</strong></h2></summary>

Regexps to match html elements

</details>


<details><summary><h2><strong> normalize_url.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def normalizeLink](#def-normalizelink)
- [def normalizeLinkText](#def-normalizelinktext)
- [def validateLink](#def-validatelink)
</details>

<details><summary><h3><strong>def normalizeLink(url: str)</strong></h3></summary>

Normalize destination URLs in links

    ::

        [label]:   destination   'title'
                ^^^^^^^^^^^

</details>

<details><summary><h3><strong>def normalizeLinkText(url: str)</strong></h3></summary>

Normalize autolink content

    ::

        <destination>
         ~~~~~~~~~~~

</details>

<details><summary><h3><strong>def validateLink(url: str, validator: Callable[[str], bool] | None = None)</strong></h3></summary>

Validate URL link is allowed in output.

    This validator can prohibit more than really needed to prevent XSS.
    It's a tradeoff to keep code simple and to be secure by default.

    Note: url should be normalized at this point, and existing entities decoded.

</details>

</details>


<details><summary><h2><strong> utils.py</strong></h2></summary>

Utilities for parsing source text

<details open><summary><h3>Contents</h3></summary>

- [def charCodeAt](#def-charcodeat)
- [def charStrAt](#def-charstrat)
- [def fromCodePoint](#def-fromcodepoint)
- [def replaceEntityPattern](#def-replaceentitypattern)
- [def stripEscape](#def-stripescape)
- [def escapeHtml](#def-escapehtml)
- [def isSpace](#def-isspace)
- [def isStrSpace](#def-isstrspace)
- [def isWhiteSpace](#def-iswhitespace)
- [def isPunctChar](#def-ispunctchar)
- [def isMdAsciiPunct](#def-ismdasciipunct)
- [def normalizeReference](#def-normalizereference)
</details>

<details><summary><h3><strong>def charCodeAt(src: str, pos: int)</strong></h3></summary>

Returns the Unicode value of the character at the specified location.

    @param - index The zero-based index of the desired character.
    If there is no character at the specified index, NaN is returned.

    This was added for compatibility with python

</details>

<details><summary><h3><strong>def charStrAt(src: str, pos: int)</strong></h3></summary>

Returns the Unicode value of the character at the specified location.

    @param - index The zero-based index of the desired character.
    If there is no character at the specified index, NaN is returned.

    This was added for compatibility with python

</details>

<details><summary><h3><strong>def fromCodePoint(c: int)</strong></h3></summary>

Convert ordinal to unicode.

    Note, in the original Javascript two string characters were required,
    for codepoints larger than `0xFFFF`.
    But Python 3 can represent any unicode codepoint in one character.

</details>

<details><summary><h3><strong>def replaceEntityPattern(match: str, name: str)</strong></h3></summary>

Convert HTML entity patterns,
    see https://spec.commonmark.org/0.30/#entity-references

</details>

<details><summary><h3><strong>def stripEscape(string: str)</strong></h3></summary>

Strip escape \\ characters

</details>

<details><summary><h3><strong>def escapeHtml(raw: str)</strong></h3></summary>

Replace special characters "&", "<", ">" and '"' to HTML-safe sequences.

</details>

<details><summary><h3><strong>def isSpace(code: int | None)</strong></h3></summary>

Check if character code is a whitespace.

</details>

<details><summary><h3><strong>def isStrSpace(ch: str | None)</strong></h3></summary>

Check if character is a whitespace.

</details>

<details><summary><h3><strong>def isWhiteSpace(code: int)</strong></h3></summary>

Zs (unicode class) || [\t\f\v\r\n]

</details>

<details><summary><h3><strong>def isPunctChar(ch: str)</strong></h3></summary>

Check if character is a punctuation character.

</details>

<details><summary><h3><strong>def isMdAsciiPunct(ch: int)</strong></h3></summary>

Markdown ASCII punctuation characters.

    ::

        !, ", #, $, %, &, ', (, ), *, +, ,, -, ., /, :, ;, <, =, >, ?, @, [, \\, ], ^, _, `, {, |, }, or ~

    See http://spec.commonmark.org/0.15/#ascii-punctuation-character

    Don't confuse with unicode punctuation !!! It lacks some chars in ascii range.

</details>

<details><summary><h3><strong>def normalizeReference(string: str)</strong></h3></summary>

Helper to unify [reference labels].

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Functions for parsing Links

</details>


<details><summary><h2><strong> parse_link_destination.py</strong></h2></summary>

Parse link destination

</details>


<details><summary><h2><strong> parse_link_label.py</strong></h2></summary>

Parse link label

this function assumes that first character ("[") already matches
returns the end of the label

</details>


<details><summary><h2><strong> parse_link_title.py</strong></h2></summary>

Parse link title

</details>


<details><summary><h2><strong> main.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class MarkdownIt](#class-markdownit)
- [class to](#class-to)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def set](#def-set)
- [def configure](#def-configure)
- [def get_all_rules](#def-get_all_rules)
- [def get_active_rules](#def-get_active_rules)
- [def enable](#def-enable)
- [def disable](#def-disable)
- [def reset_rules](#def-reset_rules)
- [def add_render_rule](#def-add_render_rule)
- [def use](#def-use)
- [def func](#def-func)
- [def parse](#def-parse)
- [def render](#def-render)
- [def parseInline](#def-parseinline)
- [def renderInline](#def-renderinline)
- [def validateLink](#def-validatelink)
- [def normalizeLink](#def-normalizelink)
- [def normalizeLinkText](#def-normalizelinktext)
</details>

<details><summary><h3><strong>class MarkdownIt</strong></h3></summary>

Main parser class

        :param config: name of configuration to load or a pre-defined dictionary
        :param options_update: dictionary that will be merged into ``config["options"]``
        :param renderer_cls: the class to load as the renderer:
            ``self.renderer = renderer_cls(self)

<details><summary><h4><strong>def __init__</strong></h4></summary>

Main parser class

        :param config: name of configuration to load or a pre-defined dictionary
        :param options_update: dictionary that will be merged into ``config["options"]``
        :param renderer_cls: the class to load as the renderer:
            ``self.renderer = renderer_cls(self)

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def set</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Batch load of all options and component settings.
        This is an internal method, and you probably will not need it.
        But if you will - see available presets and data structure
        [here](https://github.com/markdown-it/markdown-it/tree/master/lib/presets)

        We strongly recommend to use presets instead of direct config loads.
        That will give better compatibility with next versions.

</details>

<details><summary><h4><strong>def get_all_rules</strong></h4></summary>

Return the names of all active rules.

</details>

<details><summary><h4><strong>def get_active_rules</strong></h4></summary>

Return the names of all active rules.

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable list or rules. (chainable)

        :param names: rule name or list of rule names to enable.
        :param ignoreInvalid: set `true` to ignore errors when rule not found.

        It will automatically find appropriate components,
        containing rules with given names. If rule not found, and `ignoreInvalid`
        not set - throws exception.

        Example::

            md = MarkdownIt().enable(['sub', 'sup']).disable('smartquotes')

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

The same as [[MarkdownIt.enable]], but turn specified rules off. (chainable)

        :param names: rule name or list of rule names to disable.
        :param ignoreInvalid: set `true` to ignore errors when rule not found.

</details>

<details><summary><h4><strong>def reset_rules</strong></h4></summary>

A context manager, that will reset the current enabled rules on exit.

</details>

<details><summary><h4><strong>def add_render_rule</strong></h4></summary>

Add a rule for rendering a particular Token type.

        Only applied when ``renderer.__output__ == fmt``

</details>

<details><summary><h4><strong>def use</strong></h4></summary>

Load specified plugin with given params into current parser instance. (chainable)

        It's just a sugar to call `plugin(md, params)` with curring.

        Example::

            def func(tokens, idx):
                tokens[idx].content = tokens[idx].content.replace('foo', 'bar')
            md = MarkdownIt().use(plugin, 'foo_replace', 'text', func)

</details>

<details><summary><h4><strong>def func</strong></h4></summary>

plugin(self, *params, **options)
        return self

    def parse(self, src: str, env: EnvType | None = None) -> list[Token]:

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse the source string to a token stream

        :param src: source string
        :param env: environment sandbox

        Parse input string and return list of block tokens (special token type
        "inline" will contain list of inline tokens).

        `env` is used to pass data between "distributed" rules and return additional
        metadata like reference info, needed for the renderer. It also can be used to
        inject data in specific cases. Usually, you will be ok to pass `{}`,
        and then pass updated object to renderer.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render markdown string into html. It does all magic for you :).

        :param src: source string
        :param env: environment sandbox
        :returns: The output of the loaded renderer

        `env` can be used to inject additional metadata (`{}` by default).
        But you will not need it with high probability. See also comment
        in [[MarkdownIt.parse]].

</details>

<details><summary><h4><strong>def parseInline</strong></h4></summary>

The same as [[MarkdownIt.parse]] but skip all block rules.

        :param src: source string
        :param env: environment sandbox

        It returns the
        block tokens list with the single `inline` element, containing parsed inline
        tokens in `children` property. Also updates `env` object.

</details>

<details><summary><h4><strong>def renderInline</strong></h4></summary>

Similar to [[MarkdownIt.render]] but for single paragraph content.

        :param src: source string
        :param env: environment sandbox

        Similar to [[MarkdownIt.render]] but for single paragraph content. Result
        will NOT be wrapped into `<p>` tags.

</details>

<details><summary><h4><strong>def validateLink</strong></h4></summary>

Validate if the URL link is allowed in output.

        This validator can prohibit more than really needed to prevent XSS.
        It's a tradeoff to keep code simple and to be secure by default.

        Note: the url should be normalized at this point, and existing entities decoded.

</details>

<details><summary><h4><strong>def normalizeLink</strong></h4></summary>

Normalize destination URLs in links

        ::

            [label]:   destination   'title'
                    ^^^^^^^^^^^

</details>

<details><summary><h4><strong>def normalizeLinkText</strong></h4></summary>

Normalize autolink content

        ::

            <destination>
            ~~~~~~~~~~~

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

# add modules
        self.utils = utils
        self.helpers = helpers

        # initialise classes
        self.inline = ParserInline()
        self.block = ParserBlock()
        self.core = ParserCore()
        self.renderer = renderer_cls(self)
        self.linkify = linkify_it.LinkifyIt() if linkify_it else None

        # set the configuration
        if options_update and not isinstance(options_update, Mapping):
            # catch signature change where renderer_cls was not used as a key-word
            raise TypeError(
                f"options_update should be a mapping: {options_update}"
                "\n(Perhaps you intended this to be the renderer_cls?)"
            )
        self.configure(config, options_update=options_update)

    def __repr__(self) -> str:
        return f"{self.__class__.__module__}.{self.__class__.__name__}()"

    @overload
    def __getitem__(self, name: Literal["inline"]) -> ParserInline:
        ...

    @overload
    def __getitem__(self, name: Literal["block"]) -> ParserBlock:
        ...

    @overload
    def __getitem__(self, name: Literal["core"]) -> ParserCore:
        ...

    @overload
    def __getitem__(self, name: Literal["renderer"]) -> RendererProtocol:
        ...

    @overload
    def __getitem__(self, name: str) -> Any:
        ...

    def __getitem__(self, name: str) -> Any:
        return {
            "inline": self.inline,
            "block": self.block,
            "core": self.core,
            "renderer": self.renderer,
        }[name]

    def set(self, options: OptionsType) -> None:

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def set</strong></h4></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h4><strong>def configure</strong></h4></summary>

Batch load of all options and component settings.
        This is an internal method, and you probably will not need it.
        But if you will - see available presets and data structure
        [here](https://github.com/markdown-it/markdown-it/tree/master/lib/presets)

        We strongly recommend to use presets instead of direct config loads.
        That will give better compatibility with next versions.

</details>

<details><summary><h4><strong>def get_all_rules</strong></h4></summary>

Return the names of all active rules.

</details>

<details><summary><h4><strong>def get_active_rules</strong></h4></summary>

Return the names of all active rules.

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable list or rules. (chainable)

        :param names: rule name or list of rule names to enable.
        :param ignoreInvalid: set `true` to ignore errors when rule not found.

        It will automatically find appropriate components,
        containing rules with given names. If rule not found, and `ignoreInvalid`
        not set - throws exception.

        Example::

            md = MarkdownIt().enable(['sub', 'sup']).disable('smartquotes')

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

The same as [[MarkdownIt.enable]], but turn specified rules off. (chainable)

        :param names: rule name or list of rule names to disable.
        :param ignoreInvalid: set `true` to ignore errors when rule not found.

</details>

<details><summary><h4><strong>def reset_rules</strong></h4></summary>

A context manager, that will reset the current enabled rules on exit.

</details>

<details><summary><h4><strong>def add_render_rule</strong></h4></summary>

Add a rule for rendering a particular Token type.

        Only applied when ``renderer.__output__ == fmt``

</details>

<details><summary><h4><strong>def use</strong></h4></summary>

Load specified plugin with given params into current parser instance. (chainable)

        It's just a sugar to call `plugin(md, params)` with curring.

        Example::

            def func(tokens, idx):
                tokens[idx].content = tokens[idx].content.replace('foo', 'bar')
            md = MarkdownIt().use(plugin, 'foo_replace', 'text', func)

</details>

<details><summary><h4><strong>def func</strong></h4></summary>

plugin(self, *params, **options)
        return self

    def parse(self, src: str, env: EnvType | None = None) -> list[Token]:

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse the source string to a token stream

        :param src: source string
        :param env: environment sandbox

        Parse input string and return list of block tokens (special token type
        "inline" will contain list of inline tokens).

        `env` is used to pass data between "distributed" rules and return additional
        metadata like reference info, needed for the renderer. It also can be used to
        inject data in specific cases. Usually, you will be ok to pass `{}`,
        and then pass updated object to renderer.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render markdown string into html. It does all magic for you :).

        :param src: source string
        :param env: environment sandbox
        :returns: The output of the loaded renderer

        `env` can be used to inject additional metadata (`{}` by default).
        But you will not need it with high probability. See also comment
        in [[MarkdownIt.parse]].

</details>

<details><summary><h4><strong>def parseInline</strong></h4></summary>

The same as [[MarkdownIt.parse]] but skip all block rules.

        :param src: source string
        :param env: environment sandbox

        It returns the
        block tokens list with the single `inline` element, containing parsed inline
        tokens in `children` property. Also updates `env` object.

</details>

<details><summary><h4><strong>def renderInline</strong></h4></summary>

Similar to [[MarkdownIt.render]] but for single paragraph content.

        :param src: source string
        :param env: environment sandbox

        Similar to [[MarkdownIt.render]] but for single paragraph content. Result
        will NOT be wrapped into `<p>` tags.

</details>

<details><summary><h4><strong>def validateLink</strong></h4></summary>

Validate if the URL link is allowed in output.

        This validator can prohibit more than really needed to prevent XSS.
        It's a tradeoff to keep code simple and to be secure by default.

        Note: the url should be normalized at this point, and existing entities decoded.

</details>

<details><summary><h4><strong>def normalizeLink</strong></h4></summary>

Normalize destination URLs in links

        ::

            [label]:   destination   'title'
                    ^^^^^^^^^^^

</details>

<details><summary><h4><strong>def normalizeLinkText</strong></h4></summary>

Normalize autolink content

        ::

            <destination>
            ~~~~~~~~~~~

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Main parser class

        :param config: name of configuration to load or a pre-defined dictionary
        :param options_update: dictionary that will be merged into ``config["options"]``
        :param renderer_cls: the class to load as the renderer:
            ``self.renderer = renderer_cls(self)

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def __getitem__(self, name: Literal["inline"])</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def __getitem__(self, name: Literal["block"])</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def __getitem__(self, name: Literal["core"])</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def __getitem__(self, name: Literal["renderer"])</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def __getitem__(self, name: str)</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def __getitem__(self, name: str)</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def set(self, options: OptionsType)</strong></h3></summary>

Set parser options (in the same format as in constructor).
        Probably, you will never need it, but you can change options after constructor call.

        __Note:__ To achieve the best possible performance, don't modify a
        `markdown-it` instance options on the fly. If you need multiple configurations
        it's best to create multiple instances and initialize each with separate config.

</details>

<details><summary><h3><strong>def get_all_rules(self)</strong></h3></summary>

Batch load of all options and component settings.
        This is an internal method, and you probably will not need it.
        But if you will - see available presets and data structure
        [here](https://github.com/markdown-it/markdown-it/tree/master/lib/presets)

        We strongly recommend to use presets instead of direct config loads.
        That will give better compatibility with next versions.

</details>

<details><summary><h3><strong>def get_all_rules(self)</strong></h3></summary>

Return the names of all active rules.

</details>

<details><summary><h3><strong>def get_active_rules(self)</strong></h3></summary>

Return the names of all active rules.

</details>

<details><summary><h3><strong>def reset_rules(self)</strong></h3></summary>

Enable list or rules. (chainable)

        :param names: rule name or list of rule names to enable.
        :param ignoreInvalid: set `true` to ignore errors when rule not found.

        It will automatically find appropriate components,
        containing rules with given names. If rule not found, and `ignoreInvalid`
        not set - throws exception.

        Example::

            md = MarkdownIt().enable(['sub', 'sup']).disable('smartquotes')

</details>

<details><summary><h3><strong>def reset_rules(self)</strong></h3></summary>

The same as [[MarkdownIt.enable]], but turn specified rules off. (chainable)

        :param names: rule name or list of rule names to disable.
        :param ignoreInvalid: set `true` to ignore errors when rule not found.

</details>

<details><summary><h3><strong>def reset_rules(self)</strong></h3></summary>

A context manager, that will reset the current enabled rules on exit.

</details>

<details><summary><h3><strong>def func(tokens, idx)</strong></h3></summary>

Add a rule for rendering a particular Token type.

        Only applied when ``renderer.__output__ == fmt``

</details>

<details><summary><h3><strong>def func(tokens, idx)</strong></h3></summary>

Load specified plugin with given params into current parser instance. (chainable)

        It's just a sugar to call `plugin(md, params)` with curring.

        Example::

            def func(tokens, idx):
                tokens[idx].content = tokens[idx].content.replace('foo', 'bar')
            md = MarkdownIt().use(plugin, 'foo_replace', 'text', func)

</details>

<details><summary><h3><strong>def func(tokens, idx)</strong></h3></summary>

plugin(self, *params, **options)
        return self

    def parse(self, src: str, env: EnvType | None = None) -> list[Token]:

</details>

<details><summary><h3><strong>def parse(self, src: str, env: EnvType | None = None)</strong></h3></summary>

Parse the source string to a token stream

        :param src: source string
        :param env: environment sandbox

        Parse input string and return list of block tokens (special token type
        "inline" will contain list of inline tokens).

        `env` is used to pass data between "distributed" rules and return additional
        metadata like reference info, needed for the renderer. It also can be used to
        inject data in specific cases. Usually, you will be ok to pass `{}`,
        and then pass updated object to renderer.

</details>

<details><summary><h3><strong>def render(self, src: str, env: EnvType | None = None)</strong></h3></summary>

Render markdown string into html. It does all magic for you :).

        :param src: source string
        :param env: environment sandbox
        :returns: The output of the loaded renderer

        `env` can be used to inject additional metadata (`{}` by default).
        But you will not need it with high probability. See also comment
        in [[MarkdownIt.parse]].

</details>

<details><summary><h3><strong>def parseInline(self, src: str, env: EnvType | None = None)</strong></h3></summary>

The same as [[MarkdownIt.parse]] but skip all block rules.

        :param src: source string
        :param env: environment sandbox

        It returns the
        block tokens list with the single `inline` element, containing parsed inline
        tokens in `children` property. Also updates `env` object.

</details>

<details><summary><h3><strong>def renderInline(self, src: str, env: EnvType | None = None)</strong></h3></summary>

Similar to [[MarkdownIt.render]] but for single paragraph content.

        :param src: source string
        :param env: environment sandbox

        Similar to [[MarkdownIt.render]] but for single paragraph content. Result
        will NOT be wrapped into `<p>` tags.

</details>

<details><summary><h3><strong>def validateLink(self, url: str)</strong></h3></summary>

Validate if the URL link is allowed in output.

        This validator can prohibit more than really needed to prevent XSS.
        It's a tradeoff to keep code simple and to be secure by default.

        Note: the url should be normalized at this point, and existing entities decoded.

</details>

<details><summary><h3><strong>def normalizeLink(self, url: str)</strong></h3></summary>

Normalize destination URLs in links

        ::

            [label]:   destination   'title'
                    ^^^^^^^^^^^

</details>

<details><summary><h3><strong>def normalizeLinkText(self, link: str)</strong></h3></summary>

Normalize autolink content

        ::

            <destination>
            ~~~~~~~~~~~

</details>

</details>


<details><summary><h2><strong> parser_block.py</strong></h2></summary>

Block-level tokenizer.

<details open><summary><h3>Contents</h3></summary>

- [class ParserBlock](#class-parserblock)
- [def __init__](#def-__init__)
- [def tokenize](#def-tokenize)
- [def parse](#def-parse)
</details>

<details><summary><h3><strong>class ParserBlock</strong></h3></summary>

ParserBlock#ruler -> Ruler

    [[Ruler]] instance. Keep configuration of block rules.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Generate tokens for input range.

</details>

<details><summary><h4><strong>def tokenize</strong></h4></summary>

Generate tokens for input range.

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Process input string and push block tokens into `outTokens`.

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Generate tokens for input range.

</details>

<details><summary><h3><strong>def tokenize(self, state: StateBlock, startLine: int, endLine: int)</strong></h3></summary>

Generate tokens for input range.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Process input string and push block tokens into `outTokens`.

</details>

</details>


<details><summary><h2><strong> parser_core.py</strong></h2></summary>

* class Core
 *
 * Top-level rules executor. Glues block/inline parsers and does intermediate
 * transformations.

<details open><summary><h3>Contents</h3></summary>

- [class ParserCore](#class-parsercore)
- [def __init__](#def-__init__)
- [def process](#def-process)
</details>

<details><summary><h3><strong>class ParserCore</strong></h3></summary>

Executes core chain rules.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Executes core chain rules.

</details>

<details><summary><h4><strong>def process</strong></h4></summary>

Executes core chain rules.

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Executes core chain rules.

</details>

<details><summary><h3><strong>def process(self, state: StateCore)</strong></h3></summary>

Executes core chain rules.

</details>

</details>


<details><summary><h2><strong> parser_inline.py</strong></h2></summary>

Tokenizes paragraph content.

<details open><summary><h3>Contents</h3></summary>

- [class ParserInline](#class-parserinline)
- [def __init__](#def-__init__)
- [def skipToken](#def-skiptoken)
- [def tokenize](#def-tokenize)
- [def parse](#def-parse)
</details>

<details><summary><h3><strong>class ParserInline</strong></h3></summary>

Skip single token by running all rules in validation mode;
        returns `True` if any rule reported success

<details><summary><h4><strong>def __init__</strong></h4></summary>

Skip single token by running all rules in validation mode;
        returns `True` if any rule reported success

</details>

<details><summary><h4><strong>def skipToken</strong></h4></summary>

Skip single token by running all rules in validation mode;
        returns `True` if any rule reported success

</details>

<details><summary><h4><strong>def tokenize</strong></h4></summary>

Generate tokens for input range.

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Process input string and push inline tokens into `tokens`

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Skip single token by running all rules in validation mode;
        returns `True` if any rule reported success

</details>

<details><summary><h3><strong>def skipToken(self, state: StateInline)</strong></h3></summary>

Skip single token by running all rules in validation mode;
        returns `True` if any rule reported success

</details>

<details><summary><h3><strong>def tokenize(self, state: StateInline)</strong></h3></summary>

Generate tokens for input range.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Process input string and push inline tokens into `tokens`

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class gfm_like](#class-gfm_like)
</details>

<details><summary><h3><strong>class gfm_like</strong></h3></summary>

GitHub Flavoured Markdown (GFM) like.

    This adds the linkify, table and strikethrough components to CommmonMark.

    Note, it lacks task-list items and raw HTML filtering,
    to meet the the full GFM specification
    (see https://github.github.com/gfm/#autolinks-extension-).

</details>

</details>


<details><summary><h2><strong> commonmark.py</strong></h2></summary>

Commonmark default options.

This differs to presets.default,
primarily in that it allows HTML and does not enable components:

- block: table
- inline: strikethrough

<p><strong>Key features</strong></p>

<ul>
<li>block: table</li>
<li>inline: strikethrough</li>
</ul>
</details>


<details><summary><h2><strong> default.py</strong></h2></summary>

markdown-it default options.

</details>


<details><summary><h2><strong> zero.py</strong></h2></summary>

"Zero" preset, with nothing enabled. Useful for manual configuring of simple
modes. For example, to parse bold/italic only.

</details>


<details><summary><h2><strong> renderer.py</strong></h2></summary>

class Renderer

Generates HTML from parsed token stream. Each instance has independent
copy of rules. Those can be rewritten with ease. Also, you can add new
rules if you create plugin and adds new token types.

<details open><summary><h3>Contents</h3></summary>

- [class RendererHTML](#class-rendererhtml)
- [class Renderer](#class-renderer)
- [class CustomRenderer](#class-customrenderer)
- [def token_type_name](#def-token_type_name)
- [def strong_open](#def-strong_open)
- [def strong_close](#def-strong_close)
- [def __init__](#def-__init__)
- [def render](#def-render)
- [def renderInline](#def-renderinline)
- [def renderToken](#def-rendertoken)
- [def renderAttrs](#def-renderattrs)
- [def renderInlineAsText](#def-renderinlineastext)
</details>

<details><summary><h3><strong>class RendererHTML</strong></h3></summary>

Contains render rules for tokens. Can be updated and extended.

    Example:

    Each rule is called as independent static function with fixed signature:

    ::

        class Renderer:
            def token_type_name(self, tokens, idx, options, env) {
                # ...
                return renderedHTML

    ::

        class CustomRenderer(RendererHTML):
            def strong_open(self, tokens, idx, options, env):
                return '<b>'
            def strong_close(self, tokens, idx, options, env):
                return '</b>'

        md = MarkdownIt(renderer_cls=CustomRenderer)

        result = md.render(...)

    See https://github.com/markdown-it/markdown-it/blob/master/lib/renderer.js
    for more details and examples.

<details><summary><h4><strong>def token_type_name</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def strong_open</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def strong_close</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h4><strong>def renderInline</strong></h4></summary>

The same as ``render``, but for single token of `inline` type.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input (references, for example)

</details>

<details><summary><h4><strong>def renderToken</strong></h4></summary>

Default token renderer.

        Can be overridden by custom function

        :param idx: token index to render
        :param options: params of parser instance

</details>

<details><summary><h4><strong>def renderAttrs</strong></h4></summary>

Render token attributes to string.

</details>

<details><summary><h4><strong>def renderInlineAsText</strong></h4></summary>

Special kludge for image `alt` attributes to conform CommonMark spec.

        Don't try to use it! Spec requires to show `alt` content with stripped markup,
        instead of simple escaping.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

</details>

<details><summary><h3><strong>class Renderer</strong></h3></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

<details><summary><h4><strong>def token_type_name</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def strong_open</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def strong_close</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h4><strong>def renderInline</strong></h4></summary>

The same as ``render``, but for single token of `inline` type.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input (references, for example)

</details>

<details><summary><h4><strong>def renderToken</strong></h4></summary>

Default token renderer.

        Can be overridden by custom function

        :param idx: token index to render
        :param options: params of parser instance

</details>

<details><summary><h4><strong>def renderAttrs</strong></h4></summary>

Render token attributes to string.

</details>

<details><summary><h4><strong>def renderInlineAsText</strong></h4></summary>

Special kludge for image `alt` attributes to conform CommonMark spec.

        Don't try to use it! Spec requires to show `alt` content with stripped markup,
        instead of simple escaping.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

</details>

<details><summary><h3><strong>class CustomRenderer</strong></h3></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

<details><summary><h4><strong>def strong_open</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def strong_close</strong></h4></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h4><strong>def renderInline</strong></h4></summary>

The same as ``render``, but for single token of `inline` type.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input (references, for example)

</details>

<details><summary><h4><strong>def renderToken</strong></h4></summary>

Default token renderer.

        Can be overridden by custom function

        :param idx: token index to render
        :param options: params of parser instance

</details>

<details><summary><h4><strong>def renderAttrs</strong></h4></summary>

Render token attributes to string.

</details>

<details><summary><h4><strong>def renderInlineAsText</strong></h4></summary>

Special kludge for image `alt` attributes to conform CommonMark spec.

        Don't try to use it! Spec requires to show `alt` content with stripped markup,
        instead of simple escaping.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

</details>

<details><summary><h3><strong>def token_type_name(self, tokens, idx, options, env)</strong></h3></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h3><strong>def strong_open(self, tokens, idx, options, env)</strong></h3></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h3><strong>def strong_close(self, tokens, idx, options, env)</strong></h3></summary>

__output__ = "html"

    def __init__(self, parser: Any = None):
        self.rules = {
            k: v
            for k, v in inspect.getmembers(self, predicate=inspect.ismethod)
            if not (k.startswith("render") or k.startswith("_"))
        }

    def render(
        self, tokens: Sequence[Token], options: OptionsDict, env: EnvType
    ) -> str:

</details>

<details><summary><h3><strong>def __init__(self, parser: Any = None)</strong></h3></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h3><strong>def renderAttrs(token: Token)</strong></h3></summary>

Takes token stream and generates HTML.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

<details><summary><h3><strong>def renderAttrs(token: Token)</strong></h3></summary>

The same as ``render``, but for single token of `inline` type.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input (references, for example)

</details>

<details><summary><h3><strong>def renderAttrs(token: Token)</strong></h3></summary>

Default token renderer.

        Can be overridden by custom function

        :param idx: token index to render
        :param options: params of parser instance

</details>

<details><summary><h3><strong>def renderAttrs(token: Token)</strong></h3></summary>

Render token attributes to string.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Special kludge for image `alt` attributes to conform CommonMark spec.

        Don't try to use it! Spec requires to show `alt` content with stripped markup,
        instead of simple escaping.

        :param tokens: list on block tokens to render
        :param options: params of parser instance
        :param env: additional data from parsed input

</details>

</details>


<details><summary><h2><strong> ruler.py</strong></h2></summary>

class Ruler

Helper class, used by [[MarkdownIt#core]], [[MarkdownIt#block]] and
[[MarkdownIt#inline]] to manage sequences of functions (rules):

- keep rules in defined order
- assign the name to each rule
- enable/disable rules
- add/replace rules
- allow assign rules to additional named chains (in the same)
- caching lists of active rules

You will not need use this class directly until write plugins. For simple
rules control use [[MarkdownIt.disable]], [[MarkdownIt.enable]] and
[[MarkdownIt.use]].

<p><strong>Key features</strong></p>

<ul>
<li>keep rules in defined order</li>
<li>assign the name to each rule</li>
<li>enable/disable rules</li>
<li>add/replace rules</li>
<li>allow assign rules to additional named chains (in the same)</li>
<li>caching lists of active rules</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class Ruler](#class-ruler)
- [def __init__](#def-__init__)
- [def __find__](#def-__find__)
- [def __compile__](#def-__compile__)
- [def at](#def-at)
- [def before](#def-before)
- [def after](#def-after)
- [def push](#def-push)
- [def enable](#def-enable)
- [def enableOnly](#def-enableonly)
- [def disable](#def-disable)
- [def getRules](#def-getrules)
- [def get_all_rules](#def-get_all_rules)
- [def get_active_rules](#def-get_active_rules)
</details>

<details><summary><h3><strong>class Ruler</strong></h3></summary>

Find rule index by name

<details><summary><h4><strong>def __init__</strong></h4></summary>

Find rule index by name

</details>

<details><summary><h4><strong>def __find__</strong></h4></summary>

Find rule index by name

</details>

<details><summary><h4><strong>def __compile__</strong></h4></summary>

Build rules lookup cache

</details>

<details><summary><h4><strong>def at</strong></h4></summary>

Replace rule by name with new function & options.

        :param ruleName: rule name to replace.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).
        :raises: KeyError if name not found

</details>

<details><summary><h4><strong>def before</strong></h4></summary>

Add new rule to chain before one with given name.

        :param beforeName: new rule will be added before this one.
        :param ruleName: new rule will be added before this one.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).
        :raises: KeyError if name not found

</details>

<details><summary><h4><strong>def after</strong></h4></summary>

Add new rule to chain after one with given name.

        :param afterName: new rule will be added after this one.
        :param ruleName: new rule will be added after this one.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).
        :raises: KeyError if name not found

</details>

<details><summary><h4><strong>def push</strong></h4></summary>

Push new rule to the end of chain.

        :param ruleName: new rule will be added to the end of chain.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).

</details>

<details><summary><h4><strong>def enable</strong></h4></summary>

Enable rules with given names.

        :param names: name or list of rule names to enable.
        :param ignoreInvalid: ignore errors when rule not found
        :raises: KeyError if name not found and not ignoreInvalid
        :return: list of found rule names

</details>

<details><summary><h4><strong>def enableOnly</strong></h4></summary>

Enable rules with given names, and disable everything else.

        :param names: name or list of rule names to enable.
        :param ignoreInvalid: ignore errors when rule not found
        :raises: KeyError if name not found and not ignoreInvalid
        :return: list of found rule names

</details>

<details><summary><h4><strong>def disable</strong></h4></summary>

Disable rules with given names.

        :param names: name or list of rule names to enable.
        :param ignoreInvalid: ignore errors when rule not found
        :raises: KeyError if name not found and not ignoreInvalid
        :return: list of found rule names

</details>

<details><summary><h4><strong>def getRules</strong></h4></summary>

Return array of active functions (rules) for given chain name.
        It analyzes rules configuration, compiles caches if not exists and returns result.

        Default chain name is `''` (empty string). It can't be skipped.
        That's done intentionally, to keep signature monomorphic for high speed.

</details>

<details><summary><h4><strong>def get_all_rules</strong></h4></summary>

Return all available rule names.

</details>

<details><summary><h4><strong>def get_active_rules</strong></h4></summary>

Return the active rule names.

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Find rule index by name

</details>

<details><summary><h3><strong>def __find__(self, name: str)</strong></h3></summary>

Find rule index by name

</details>

<details><summary><h3><strong>def __compile__(self)</strong></h3></summary>

Build rules lookup cache

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Replace rule by name with new function & options.

        :param ruleName: rule name to replace.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).
        :raises: KeyError if name not found

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Add new rule to chain before one with given name.

        :param beforeName: new rule will be added before this one.
        :param ruleName: new rule will be added before this one.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).
        :raises: KeyError if name not found

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Add new rule to chain after one with given name.

        :param afterName: new rule will be added after this one.
        :param ruleName: new rule will be added after this one.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).
        :raises: KeyError if name not found

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Push new rule to the end of chain.

        :param ruleName: new rule will be added to the end of chain.
        :param fn: new rule function.
        :param options: new rule options (not mandatory).

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Enable rules with given names.

        :param names: name or list of rule names to enable.
        :param ignoreInvalid: ignore errors when rule not found
        :raises: KeyError if name not found and not ignoreInvalid
        :return: list of found rule names

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Enable rules with given names, and disable everything else.

        :param names: name or list of rule names to enable.
        :param ignoreInvalid: ignore errors when rule not found
        :raises: KeyError if name not found and not ignoreInvalid
        :return: list of found rule names

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Disable rules with given names.

        :param names: name or list of rule names to enable.
        :param ignoreInvalid: ignore errors when rule not found
        :raises: KeyError if name not found and not ignoreInvalid
        :return: list of found rule names

</details>

<details><summary><h3><strong>def getRules(self, chainName: str = "")</strong></h3></summary>

Return array of active functions (rules) for given chain name.
        It analyzes rules configuration, compiles caches if not exists and returns result.

        Default chain name is `''` (empty string). It can't be skipped.
        That's done intentionally, to keep signature monomorphic for high speed.

</details>

<details><summary><h3><strong>def get_all_rules(self)</strong></h3></summary>

Return all available rule names.

</details>

<details><summary><h3><strong>def get_active_rules(self)</strong></h3></summary>

Return the active rule names.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> blockquote.py</strong></h2></summary>

</details>


<details><summary><h2><strong> code.py</strong></h2></summary>

Code block (4 spaces padded).

</details>


<details><summary><h2><strong> fence.py</strong></h2></summary>

</details>


<details><summary><h2><strong> heading.py</strong></h2></summary>

Atex heading (#, ##, ...)

</details>


<details><summary><h2><strong> hr.py</strong></h2></summary>

Horizontal rule

At least 3 of these characters on a line * - _

<p><strong>Key features</strong></p>

<ul>
<li>_</li>
</ul>
</details>


<details><summary><h2><strong> html_block.py</strong></h2></summary>

</details>


<details><summary><h2><strong> lheading.py</strong></h2></summary>

</details>


<details><summary><h2><strong> list.py</strong></h2></summary>

</details>


<details><summary><h2><strong> paragraph.py</strong></h2></summary>

Paragraph.

</details>


<details><summary><h2><strong> reference.py</strong></h2></summary>

</details>


<details><summary><h2><strong> state_block.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class StateBlock](#class-stateblock)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def push](#def-push)
- [def isEmpty](#def-isempty)
- [def skipEmptyLines](#def-skipemptylines)
- [def skipSpaces](#def-skipspaces)
- [def skipSpacesBack](#def-skipspacesback)
- [def skipChars](#def-skipchars)
- [def skipCharsStr](#def-skipcharsstr)
- [def skipCharsBack](#def-skipcharsback)
- [def skipCharsStrBack](#def-skipcharsstrback)
- [def getLines](#def-getlines)
- [def is_code_block](#def-is_code_block)
</details>

<details><summary><h3><strong>class StateBlock</strong></h3></summary>

Push new token to "stream".

<details><summary><h4><strong>def __init__</strong></h4></summary>

Push new token to "stream".

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Push new token to "stream".

</details>

<details><summary><h4><strong>def push</strong></h4></summary>

Push new token to "stream".

</details>

<details><summary><h4><strong>def isEmpty</strong></h4></summary>

.

</details>

<details><summary><h4><strong>def skipEmptyLines</strong></h4></summary>

.

</details>

<details><summary><h4><strong>def skipSpaces</strong></h4></summary>

Skip spaces from given position.

</details>

<details><summary><h4><strong>def skipSpacesBack</strong></h4></summary>

Skip spaces from given position in reverse.

</details>

<details><summary><h4><strong>def skipChars</strong></h4></summary>

Skip character code from given position.

</details>

<details><summary><h4><strong>def skipCharsStr</strong></h4></summary>

Skip character string from given position.

</details>

<details><summary><h4><strong>def skipCharsBack</strong></h4></summary>

Skip character code reverse from given position - 1.

</details>

<details><summary><h4><strong>def skipCharsStrBack</strong></h4></summary>

Skip character string reverse from given position - 1.

</details>

<details><summary><h4><strong>def getLines</strong></h4></summary>

Cut lines range from source.

</details>

<details><summary><h4><strong>def is_code_block</strong></h4></summary>

Check if line is a code block,
        i.e. the code block rule is enabled and text is indented by more than 3 spaces.

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Push new token to "stream".

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Push new token to "stream".

</details>

<details><summary><h3><strong>def push(self, ttype: str, tag: str, nesting: Literal[-1, 0, 1])</strong></h3></summary>

Push new token to "stream".

</details>

<details><summary><h3><strong>def isEmpty(self, line: int)</strong></h3></summary>

.

</details>

<details><summary><h3><strong>def skipEmptyLines(self, from_pos: int)</strong></h3></summary>

.

</details>

<details><summary><h3><strong>def skipSpaces(self, pos: int)</strong></h3></summary>

Skip spaces from given position.

</details>

<details><summary><h3><strong>def skipSpacesBack(self, pos: int, minimum: int)</strong></h3></summary>

Skip spaces from given position in reverse.

</details>

<details><summary><h3><strong>def skipChars(self, pos: int, code: int)</strong></h3></summary>

Skip character code from given position.

</details>

<details><summary><h3><strong>def skipCharsStr(self, pos: int, ch: str)</strong></h3></summary>

Skip character string from given position.

</details>

<details><summary><h3><strong>def skipCharsBack(self, pos: int, code: int, minimum: int)</strong></h3></summary>

Skip character code reverse from given position - 1.

</details>

<details><summary><h3><strong>def skipCharsStrBack(self, pos: int, ch: str, minimum: int)</strong></h3></summary>

Skip character string reverse from given position - 1.

</details>

<details><summary><h3><strong>def getLines(self, begin: int, end: int, indent: int, keepLastLF: bool)</strong></h3></summary>

Cut lines range from source.

</details>

<details><summary><h3><strong>def is_code_block(self, line: int)</strong></h3></summary>

Check if line is a code block,
        i.e. the code block rule is enabled and text is indented by more than 3 spaces.

</details>

</details>


<details><summary><h2><strong> table.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> block.py</strong></h2></summary>

</details>


<details><summary><h2><strong> inline.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def inline](#def-inline)
</details>

<details><summary><h3><strong>def inline(state: StateCore)</strong></h3></summary>

Parse inlines

</details>

</details>


<details><summary><h2><strong> linkify.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def linkify](#def-linkify)
</details>

<details><summary><h3><strong>def linkify(state: StateCore)</strong></h3></summary>

Rule for identifying plain-text links.

</details>

</details>


<details><summary><h2><strong> normalize.py</strong></h2></summary>

Normalize input string.

</details>


<details><summary><h2><strong> replacements.py</strong></h2></summary>

Simple typographic replacements

* ``(c)``, ``(C)`` → ©
* ``(tm)``, ``(TM)`` → ™
* ``(r)``, ``(R)`` → ®
* ``+-`` → ±
* ``...`` → …
* ``?....`` → ?..
* ``!....`` → !..
* ``????????`` → ???
* ``!!!!!`` → !!!
* ``,,,`` → ,
* ``--`` → &ndash
* ``---`` → &mdash

</details>


<details><summary><h2><strong> smartquotes.py</strong></h2></summary>

Convert straight quotation marks to typographic ones

</details>


<details><summary><h2><strong> state_core.py</strong></h2></summary>

</details>


<details><summary><h2><strong> text_join.py</strong></h2></summary>

Join raw text tokens with the rest of the text

This is set as a separate rule to provide an opportunity for plugins
to run text replacements after text join, but before escape join.

For example, `\\:)` shouldn't be replaced with an emoji.

<details open><summary><h3>Contents</h3></summary>

- [def text_join](#def-text_join)
</details>

<details><summary><h3><strong>def text_join(state: StateCore)</strong></h3></summary>

Join raw text for escape sequences (`text_special`) tokens with the rest of the text

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> autolink.py</strong></h2></summary>

</details>


<details><summary><h2><strong> backticks.py</strong></h2></summary>

</details>


<details><summary><h2><strong> balance_pairs.py</strong></h2></summary>

Balance paired characters (*, _, etc) in inline tokens.

<details open><summary><h3>Contents</h3></summary>

- [def processDelimiters](#def-processdelimiters)
</details>

<details><summary><h3><strong>def processDelimiters(state: StateInline, delimiters: list[Delimiter])</strong></h3></summary>

For each opening emphasis-like marker find a matching closing one.

</details>

</details>


<details><summary><h2><strong> emphasis.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def tokenize](#def-tokenize)
- [def postProcess](#def-postprocess)
</details>

<details><summary><h3><strong>def tokenize(state: StateInline, silent: bool)</strong></h3></summary>

Insert each marker as a separate text token, and add it to delimiter list

</details>

<details><summary><h3><strong>def postProcess(state: StateInline)</strong></h3></summary>

Walk through delimiter list and replace text tokens with tags.

</details>

</details>


<details><summary><h2><strong> entity.py</strong></h2></summary>

</details>


<details><summary><h2><strong> escape.py</strong></h2></summary>

Process escaped chars and hardbreaks

<details open><summary><h3>Contents</h3></summary>

- [def escape](#def-escape)
</details>

<details><summary><h3><strong>def escape(state: StateInline, silent: bool)</strong></h3></summary>

Process escaped chars and hardbreaks.

</details>

</details>


<details><summary><h2><strong> fragments_join.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def fragments_join](#def-fragments_join)
</details>

<details><summary><h3><strong>def fragments_join(state: StateInline)</strong></h3></summary>

Clean up tokens after emphasis and strikethrough postprocessing:
    merge adjacent text nodes into one and re-calculate all token levels

    This is necessary because initially emphasis delimiter markers (``*, _, ~``)
    are treated as their own separate text tokens. Then emphasis rule either
    leaves them as text (needed to merge with adjacent text) or turns them
    into opening/closing tags (which messes up levels inside).

</details>

</details>


<details><summary><h2><strong> html_inline.py</strong></h2></summary>

</details>


<details><summary><h2><strong> image.py</strong></h2></summary>

</details>


<details><summary><h2><strong> link.py</strong></h2></summary>

</details>


<details><summary><h2><strong> linkify.py</strong></h2></summary>

Process links like https://example.org/

<details open><summary><h3>Contents</h3></summary>

- [def linkify](#def-linkify)
</details>

<details><summary><h3><strong>def linkify(state: StateInline, silent: bool)</strong></h3></summary>

Rule for identifying plain-text links.

</details>

</details>


<details><summary><h2><strong> newline.py</strong></h2></summary>

Proceess '\n'.

</details>


<details><summary><h2><strong> state_inline.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class StateInline](#class-stateinline)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def pushPending](#def-pushpending)
- [def push](#def-push)
- [def scanDelims](#def-scandelims)
</details>

<details><summary><h3><strong>class StateInline</strong></h3></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

<p><strong>Key features</strong></p>

<ul>
<li>flush it as text token</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h4><strong>def pushPending</strong></h4></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h4><strong>def push</strong></h4></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h4><strong>def scanDelims</strong></h4></summary>

Scan a sequence of emphasis-like markers, and determine whether
        it can start an emphasis sequence or end an emphasis sequence.

         - start - position to scan from (it should point at a valid marker);
         - canSplitWord - determine if these markers can be found inside a word

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h3><strong>def pushPending(self)</strong></h3></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h3><strong>def push(self, ttype: str, tag: str, nesting: Literal[-1, 0, 1])</strong></h3></summary>

Push new token to "stream".
        If pending text exists - flush it as text token

</details>

<details><summary><h3><strong>def scanDelims(self, start: int, canSplitWord: bool)</strong></h3></summary>

Scan a sequence of emphasis-like markers, and determine whether
        it can start an emphasis sequence or end an emphasis sequence.

         - start - position to scan from (it should point at a valid marker);
         - canSplitWord - determine if these markers can be found inside a word

</details>

</details>


<details><summary><h2><strong> strikethrough.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def tokenize](#def-tokenize)
- [def postProcess](#def-postprocess)
</details>

<details><summary><h3><strong>def tokenize(state: StateInline, silent: bool)</strong></h3></summary>

Insert each marker as a separate text token, and add it to delimiter list

</details>

<details><summary><h3><strong>def postProcess(state: StateInline)</strong></h3></summary>

Walk through delimiter list and replace text tokens with tags.

</details>

</details>


<details><summary><h2><strong> text.py</strong></h2></summary>

</details>


<details><summary><h2><strong> token.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Token](#class-token)
- [def convert_attrs](#def-convert_attrs)
- [def __post_init__](#def-__post_init__)
- [def attrIndex](#def-attrindex)
- [def attrItems](#def-attritems)
- [def attrPush](#def-attrpush)
- [def attrSet](#def-attrset)
- [def attrGet](#def-attrget)
- [def attrJoin](#def-attrjoin)
- [def copy](#def-copy)
- [def as_dict](#def-as_dict)
- [def from_dict](#def-from_dict)
</details>

<details><summary><h3><strong>class Token</strong></h3></summary>

Type of the token (string, e.g. "paragraph_open")

<details><summary><h4><strong>def __post_init__</strong></h4></summary>

Get (key, value) list of attrs.

</details>

<details><summary><h4><strong>def attrIndex</strong></h4></summary>

Get (key, value) list of attrs.

</details>

<details><summary><h4><strong>def attrItems</strong></h4></summary>

Get (key, value) list of attrs.

</details>

<details><summary><h4><strong>def attrPush</strong></h4></summary>

Add `[ name, value ]` attribute to list. Init attrs if necessary.

</details>

<details><summary><h4><strong>def attrSet</strong></h4></summary>

Set `name` attribute to `value`. Override old value if exists.

</details>

<details><summary><h4><strong>def attrGet</strong></h4></summary>

Get the value of attribute `name`, or null if it does not exist.

</details>

<details><summary><h4><strong>def attrJoin</strong></h4></summary>

Join value to existing attribute via space.
        Or create new attribute if not exists.
        Useful to operate with token classes.

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Return a shallow copy of the instance.

</details>

<details><summary><h4><strong>def as_dict</strong></h4></summary>

Return the token as a dictionary.

        :param children: Also convert children to dicts
        :param as_upstream: Ensure the output dictionary is equal to that created by markdown-it
            For example, attrs are converted to null or lists
        :param meta_serializer: hook for serializing ``Token.meta``
        :param filter: A callable whose return code determines whether an
            attribute or element is included (``True``) or dropped (``False``).
            Is called with the (key, value) pair.
        :param dict_factory: A callable to produce dictionaries from.
            For example, to produce ordered dictionaries instead of normal Python
            dictionaries, pass in ``collections.OrderedDict``.

</details>

<details><summary><h4><strong>def from_dict</strong></h4></summary>

Convert a dict to a Token.

</details>

</details>

<details><summary><h3><strong>def convert_attrs(value: Any)</strong></h3></summary>

Convert Token.attrs set as ``None`` or ``[[key, value], ...]`` to a dict.

    This improves compatibility with upstream markdown-it.

</details>

<details><summary><h3><strong>def __post_init__(self)</strong></h3></summary>

Get (key, value) list of attrs.

</details>

<details><summary><h3><strong>def attrIndex(self, name: str)</strong></h3></summary>

Get (key, value) list of attrs.

</details>

<details><summary><h3><strong>def attrItems(self)</strong></h3></summary>

Get (key, value) list of attrs.

</details>

<details><summary><h3><strong>def attrPush(self, attrData: tuple[str, str | int | float])</strong></h3></summary>

Add `[ name, value ]` attribute to list. Init attrs if necessary.

</details>

<details><summary><h3><strong>def attrSet(self, name: str, value: str | int | float)</strong></h3></summary>

Set `name` attribute to `value`. Override old value if exists.

</details>

<details><summary><h3><strong>def attrGet(self, name: str)</strong></h3></summary>

Get the value of attribute `name`, or null if it does not exist.

</details>

<details><summary><h3><strong>def attrJoin(self, name: str, value: str)</strong></h3></summary>

Join value to existing attribute via space.
        Or create new attribute if not exists.
        Useful to operate with token classes.

</details>

<details><summary><h3><strong>def copy(self, **changes: Any)</strong></h3></summary>

Return a shallow copy of the instance.

</details>

<details><summary><h3><strong>def from_dict(cls, dct: MutableMapping[str, Any])</strong></h3></summary>

Return the token as a dictionary.

        :param children: Also convert children to dicts
        :param as_upstream: Ensure the output dictionary is equal to that created by markdown-it
            For example, attrs are converted to null or lists
        :param meta_serializer: hook for serializing ``Token.meta``
        :param filter: A callable whose return code determines whether an
            attribute or element is included (``True``) or dropped (``False``).
            Is called with the (key, value) pair.
        :param dict_factory: A callable to produce dictionaries from.
            For example, to produce ordered dictionaries instead of normal Python
            dictionaries, pass in ``collections.OrderedDict``.

</details>

<details><summary><h3><strong>def from_dict(cls, dct: MutableMapping[str, Any])</strong></h3></summary>

Convert a dict to a Token.

</details>

</details>


<details><summary><h2><strong> tree.py</strong></h2></summary>

A tree representation of a linear markdown-it token stream.

This module is not part of upstream JavaScript markdown-it.

<details open><summary><h3>Contents</h3></summary>

- [class SyntaxTreeNode](#class-syntaxtreenode)
- [class that](#class-that)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def to_tokens](#def-to_tokens)
- [def recursive_collect_tokens](#def-recursive_collect_tokens)
- [def children](#def-children)
- [def children](#def-children)
- [def parent](#def-parent)
- [def parent](#def-parent)
- [def is_root](#def-is_root)
- [def is_nested](#def-is_nested)
- [def siblings](#def-siblings)
- [def type](#def-type)
- [def next_sibling](#def-next_sibling)
- [def previous_sibling](#def-previous_sibling)
- [def _add_child](#def-_add_child)
- [def _set_children_from_tokens](#def-_set_children_from_tokens)
- [def pretty](#def-pretty)
- [def walk](#def-walk)
- [def _attribute_token](#def-_attribute_token)
- [def tag](#def-tag)
- [def attrs](#def-attrs)
- [def attrGet](#def-attrget)
- [def map](#def-map)
- [def level](#def-level)
- [def content](#def-content)
- [def markup](#def-markup)
- [def info](#def-info)
- [def meta](#def-meta)
- [def block](#def-block)
- [def hidden](#def-hidden)
- [def _removesuffix](#def-_removesuffix)
</details>

<details><summary><h3><strong>class SyntaxTreeNode</strong></h3></summary>

A Markdown syntax tree node.

    A class that can be used to construct a tree representation of a linear
    `markdown-it-py` token stream.

    Each node in the tree represents either:
      - root of the Markdown document
      - a single unnested `Token`
      - a `Token` "_open" and "_close" token pair, and the tokens nested in
          between

<p><strong>Key features</strong></p>

<ul>
<li>root of the Markdown document</li>
<li>a single unnested `Token`</li>
<li>a `Token` "_open" and "_close" token pair, and the tokens nested in</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize a `SyntaxTreeNode` from a token stream.

        If `create_root` is True, create a root node for the document.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def to_tokens</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def recursive_collect_tokens</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def parent</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def parent</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def is_root</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def is_nested</strong></h4></summary>

Is this node nested?.

        Returns `True` if the node represents a `Token` pair and tokens in the
        sequence between them, where `Token.nesting` of the first `Token` in
        the pair is 1 and nesting of the other `Token` is -1.

</details>

<details><summary><h4><strong>def siblings</strong></h4></summary>

Get siblings of the node.

        Gets the whole group of siblings, including self.

</details>

<details><summary><h4><strong>def type</strong></h4></summary>

Get a string type of the represented syntax.

        - "root" for root nodes
        - `Token.type` if the node represents an unnested token
        - `Token.type` of the opening token, with "_open" suffix stripped, if
            the node represents a nester token pair

</details>

<details><summary><h4><strong>def next_sibling</strong></h4></summary>

Get the next node in the sequence of siblings.

        Returns `None` if this is the last sibling.

</details>

<details><summary><h4><strong>def previous_sibling</strong></h4></summary>

Get the previous node in the sequence of siblings.

        Returns `None` if this is the first sibling.

</details>

<details><summary><h4><strong>def _add_child</strong></h4></summary>

Make a child node for `self`.

</details>

<details><summary><h4><strong>def _set_children_from_tokens</strong></h4></summary>

Convert the token stream to a tree structure and set the resulting
        nodes as children of `self`.

</details>

<details><summary><h4><strong>def pretty</strong></h4></summary>

Create an XML style string of the tree.

</details>

<details><summary><h4><strong>def walk</strong></h4></summary>

Recursively yield all descendant nodes in the tree starting at self.

        The order mimics the order of the underlying linear token
        stream (i.e. depth first).

</details>

<details><summary><h4><strong>def _attribute_token</strong></h4></summary>

Return the `Token` that is used as the data source for the
        properties defined below.

</details>

<details><summary><h4><strong>def tag</strong></h4></summary>

html tag name, e.g. \"p\"

</details>

<details><summary><h4><strong>def attrs</strong></h4></summary>

Html attributes.

</details>

<details><summary><h4><strong>def attrGet</strong></h4></summary>

Get the value of attribute `name`, or null if it does not exist.

</details>

<details><summary><h4><strong>def map</strong></h4></summary>

Source map info. Format: `tuple[ line_begin, line_end ]`

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

nesting level, the same as `state.level`

</details>

<details><summary><h4><strong>def content</strong></h4></summary>

In a case of self-closing tag (code, html, fence, etc.), it
        has contents of this tag.

</details>

<details><summary><h4><strong>def markup</strong></h4></summary>

'*' or '_' for emphasis, fence string for fence, etc.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

fence infostring

</details>

<details><summary><h4><strong>def meta</strong></h4></summary>

A place for plugins to store an arbitrary data.

</details>

<details><summary><h4><strong>def block</strong></h4></summary>

True for block-level tokens, false for inline tokens.

</details>

<details><summary><h4><strong>def hidden</strong></h4></summary>

If it's true, ignore this element when rendering.
        Used for tight lists to hide paragraphs.

</details>

</details>

<details><summary><h3><strong>class that</strong></h3></summary>

def __init__(
        self, tokens: Sequence[Token] = (), *, create_root: bool = True
    ) -> None:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize a `SyntaxTreeNode` from a token stream.

        If `create_root` is True, create a root node for the document.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def to_tokens</strong></h4></summary>

Recover the linear token stream.

</details>

<details><summary><h4><strong>def recursive_collect_tokens</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def parent</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def parent</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def is_root</strong></h4></summary>

Is the node a special root node?

</details>

<details><summary><h4><strong>def is_nested</strong></h4></summary>

Is this node nested?.

        Returns `True` if the node represents a `Token` pair and tokens in the
        sequence between them, where `Token.nesting` of the first `Token` in
        the pair is 1 and nesting of the other `Token` is -1.

</details>

<details><summary><h4><strong>def siblings</strong></h4></summary>

Get siblings of the node.

        Gets the whole group of siblings, including self.

</details>

<details><summary><h4><strong>def type</strong></h4></summary>

Get a string type of the represented syntax.

        - "root" for root nodes
        - `Token.type` if the node represents an unnested token
        - `Token.type` of the opening token, with "_open" suffix stripped, if
            the node represents a nester token pair

</details>

<details><summary><h4><strong>def next_sibling</strong></h4></summary>

Get the next node in the sequence of siblings.

        Returns `None` if this is the last sibling.

</details>

<details><summary><h4><strong>def previous_sibling</strong></h4></summary>

Get the previous node in the sequence of siblings.

        Returns `None` if this is the first sibling.

</details>

<details><summary><h4><strong>def _add_child</strong></h4></summary>

Make a child node for `self`.

</details>

<details><summary><h4><strong>def _set_children_from_tokens</strong></h4></summary>

Convert the token stream to a tree structure and set the resulting
        nodes as children of `self`.

</details>

<details><summary><h4><strong>def pretty</strong></h4></summary>

Create an XML style string of the tree.

</details>

<details><summary><h4><strong>def walk</strong></h4></summary>

Recursively yield all descendant nodes in the tree starting at self.

        The order mimics the order of the underlying linear token
        stream (i.e. depth first).

</details>

<details><summary><h4><strong>def _attribute_token</strong></h4></summary>

Return the `Token` that is used as the data source for the
        properties defined below.

</details>

<details><summary><h4><strong>def tag</strong></h4></summary>

html tag name, e.g. \"p\"

</details>

<details><summary><h4><strong>def attrs</strong></h4></summary>

Html attributes.

</details>

<details><summary><h4><strong>def attrGet</strong></h4></summary>

Get the value of attribute `name`, or null if it does not exist.

</details>

<details><summary><h4><strong>def map</strong></h4></summary>

Source map info. Format: `tuple[ line_begin, line_end ]`

</details>

<details><summary><h4><strong>def level</strong></h4></summary>

nesting level, the same as `state.level`

</details>

<details><summary><h4><strong>def content</strong></h4></summary>

In a case of self-closing tag (code, html, fence, etc.), it
        has contents of this tag.

</details>

<details><summary><h4><strong>def markup</strong></h4></summary>

'*' or '_' for emphasis, fence string for fence, etc.

</details>

<details><summary><h4><strong>def info</strong></h4></summary>

fence infostring

</details>

<details><summary><h4><strong>def meta</strong></h4></summary>

A place for plugins to store an arbitrary data.

</details>

<details><summary><h4><strong>def block</strong></h4></summary>

True for block-level tokens, false for inline tokens.

</details>

<details><summary><h4><strong>def hidden</strong></h4></summary>

If it's true, ignore this element when rendering.
        Used for tight lists to hide paragraphs.

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Initialize a `SyntaxTreeNode` from a token stream.

        If `create_root` is True, create a root node for the document.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Recover the linear token stream.

</details>

<details><summary><h3><strong>def __getitem__(self: _NodeType, item: int)</strong></h3></summary>

Recover the linear token stream.

</details>

<details><summary><h3><strong>def __getitem__(self: _NodeType, item: slice)</strong></h3></summary>

Recover the linear token stream.

</details>

<details><summary><h3><strong>def __getitem__(self: _NodeType, item: int | slice)</strong></h3></summary>

Recover the linear token stream.

</details>

<details><summary><h3><strong>def to_tokens(self: _NodeType)</strong></h3></summary>

Recover the linear token stream.

</details>

<details><summary><h3><strong>def recursive_collect_tokens(node: _NodeType, token_list: list[Token])</strong></h3></summary>

Is the node a special root node?

</details>

<details><summary><h3><strong>def children(self: _NodeType)</strong></h3></summary>

Is the node a special root node?

</details>

<details><summary><h3><strong>def children(self: _NodeType, value: list[_NodeType])</strong></h3></summary>

Is the node a special root node?

</details>

<details><summary><h3><strong>def parent(self: _NodeType)</strong></h3></summary>

Is the node a special root node?

</details>

<details><summary><h3><strong>def parent(self: _NodeType, value: _NodeType | None)</strong></h3></summary>

Is the node a special root node?

</details>

<details><summary><h3><strong>def is_root(self)</strong></h3></summary>

Is the node a special root node?

</details>

<details><summary><h3><strong>def is_nested(self)</strong></h3></summary>

Is this node nested?.

        Returns `True` if the node represents a `Token` pair and tokens in the
        sequence between them, where `Token.nesting` of the first `Token` in
        the pair is 1 and nesting of the other `Token` is -1.

</details>

<details><summary><h3><strong>def siblings(self: _NodeType)</strong></h3></summary>

Get siblings of the node.

        Gets the whole group of siblings, including self.

</details>

<details><summary><h3><strong>def type(self)</strong></h3></summary>

Get a string type of the represented syntax.

        - "root" for root nodes
        - `Token.type` if the node represents an unnested token
        - `Token.type` of the opening token, with "_open" suffix stripped, if
            the node represents a nester token pair

</details>

<details><summary><h3><strong>def next_sibling(self: _NodeType)</strong></h3></summary>

Get the next node in the sequence of siblings.

        Returns `None` if this is the last sibling.

</details>

<details><summary><h3><strong>def previous_sibling(self: _NodeType)</strong></h3></summary>

Get the previous node in the sequence of siblings.

        Returns `None` if this is the first sibling.

</details>

<details><summary><h3><strong>def _set_children_from_tokens(self, tokens: Sequence[Token])</strong></h3></summary>

Make a child node for `self`.

</details>

<details><summary><h3><strong>def _set_children_from_tokens(self, tokens: Sequence[Token])</strong></h3></summary>

Convert the token stream to a tree structure and set the resulting
        nodes as children of `self`.

</details>

<details><summary><h3><strong>def _attribute_token(self)</strong></h3></summary>

Create an XML style string of the tree.

</details>

<details><summary><h3><strong>def _attribute_token(self)</strong></h3></summary>

Recursively yield all descendant nodes in the tree starting at self.

        The order mimics the order of the underlying linear token
        stream (i.e. depth first).

</details>

<details><summary><h3><strong>def _attribute_token(self)</strong></h3></summary>

Return the `Token` that is used as the data source for the
        properties defined below.

</details>

<details><summary><h3><strong>def tag(self)</strong></h3></summary>

html tag name, e.g. \"p\"

</details>

<details><summary><h3><strong>def attrs(self)</strong></h3></summary>

Html attributes.

</details>

<details><summary><h3><strong>def attrGet(self, name: str)</strong></h3></summary>

Get the value of attribute `name`, or null if it does not exist.

</details>

<details><summary><h3><strong>def map(self)</strong></h3></summary>

Source map info. Format: `tuple[ line_begin, line_end ]`

</details>

<details><summary><h3><strong>def level(self)</strong></h3></summary>

nesting level, the same as `state.level`

</details>

<details><summary><h3><strong>def content(self)</strong></h3></summary>

In a case of self-closing tag (code, html, fence, etc.), it
        has contents of this tag.

</details>

<details><summary><h3><strong>def markup(self)</strong></h3></summary>

'*' or '_' for emphasis, fence string for fence, etc.

</details>

<details><summary><h3><strong>def info(self)</strong></h3></summary>

fence infostring

</details>

<details><summary><h3><strong>def meta(self)</strong></h3></summary>

A place for plugins to store an arbitrary data.

</details>

<details><summary><h3><strong>def block(self)</strong></h3></summary>

True for block-level tokens, false for inline tokens.

</details>

<details><summary><h3><strong>def hidden(self)</strong></h3></summary>

If it's true, ignore this element when rendering.
        Used for tight lists to hide paragraphs.

</details>

<details><summary><h3><strong>def _removesuffix(string: str, suffix: str)</strong></h3></summary>

Remove a suffix from a string.

    Replace this with str.removesuffix() from stdlib when minimum Python
    version is 3.9.

</details>

</details>


<details><summary><h2><strong> utils.py</strong></h2></summary>

Type for the environment sandbox used in parsing and rendering,
which stores mutable variables for use by plugins and rules.

<details open><summary><h3>Contents</h3></summary>

- [class OptionsType](#class-optionstype)
- [class PresetType](#class-presettype)
- [class OptionsDict](#class-optionsdict)
- [def __init__](#def-__init__)
- [def __getitem__](#def-__getitem__)
- [def __setitem__](#def-__setitem__)
- [def __delitem__](#def-__delitem__)
- [def __iter__](#def-__iter__)
- [def __len__](#def-__len__)
- [def __repr__](#def-__repr__)
- [def __str__](#def-__str__)
- [def maxNesting](#def-maxnesting)
- [def maxNesting](#def-maxnesting)
- [def html](#def-html)
- [def html](#def-html)
- [def linkify](#def-linkify)
- [def linkify](#def-linkify)
- [def typographer](#def-typographer)
- [def typographer](#def-typographer)
- [def quotes](#def-quotes)
- [def quotes](#def-quotes)
- [def xhtmlOut](#def-xhtmlout)
- [def xhtmlOut](#def-xhtmlout)
- [def breaks](#def-breaks)
- [def breaks](#def-breaks)
- [def langPrefix](#def-langprefix)
- [def langPrefix](#def-langprefix)
- [def highlight](#def-highlight)
</details>

<details><summary><h3><strong>class OptionsType</strong></h3></summary>

Options for parsing.

</details>

<details><summary><h3><strong>class PresetType</strong></h3></summary>

Preset configuration for markdown-it.

</details>

<details><summary><h3><strong>class OptionsDict</strong></h3></summary>

A dictionary, with attribute access to core markdownit configuration options.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def maxNesting</strong></h4></summary>

Internal protection, recursion limit.

</details>

<details><summary><h4><strong>def maxNesting</strong></h4></summary>

Enable HTML tags in source.

</details>

<details><summary><h4><strong>def html</strong></h4></summary>

Enable HTML tags in source.

</details>

<details><summary><h4><strong>def html</strong></h4></summary>

Enable autoconversion of URL-like texts to links.

</details>

<details><summary><h4><strong>def linkify</strong></h4></summary>

Enable autoconversion of URL-like texts to links.

</details>

<details><summary><h4><strong>def linkify</strong></h4></summary>

Enable smartquotes and replacements.

</details>

<details><summary><h4><strong>def typographer</strong></h4></summary>

Enable smartquotes and replacements.

</details>

<details><summary><h4><strong>def typographer</strong></h4></summary>

Quote characters.

</details>

<details><summary><h4><strong>def quotes</strong></h4></summary>

Quote characters.

</details>

<details><summary><h4><strong>def quotes</strong></h4></summary>

Use '/' to close single tags (<br />).

</details>

<details><summary><h4><strong>def xhtmlOut</strong></h4></summary>

Use '/' to close single tags (<br />).

</details>

<details><summary><h4><strong>def xhtmlOut</strong></h4></summary>

Convert newlines in paragraphs into <br>.

</details>

<details><summary><h4><strong>def breaks</strong></h4></summary>

Convert newlines in paragraphs into <br>.

</details>

<details><summary><h4><strong>def breaks</strong></h4></summary>

CSS language prefix for fenced blocks.

</details>

<details><summary><h4><strong>def langPrefix</strong></h4></summary>

CSS language prefix for fenced blocks.

</details>

<details><summary><h4><strong>def langPrefix</strong></h4></summary>

Highlighter function: (content, langName, langAttrs) -> escaped HTML.

</details>

<details><summary><h4><strong>def highlight</strong></h4></summary>

Highlighter function: (content, langName, langAttrs) -> escaped HTML.

</details>

</details>

<details><summary><h3><strong>def __init__(self, options: OptionsType)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __getitem__(self, key: str)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __setitem__(self, key: str, value: Any)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __delitem__(self, key: str)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def maxNesting(self)</strong></h3></summary>

Internal protection, recursion limit.

</details>

<details><summary><h3><strong>def maxNesting(self, value: int)</strong></h3></summary>

Enable HTML tags in source.

</details>

<details><summary><h3><strong>def html(self)</strong></h3></summary>

Enable HTML tags in source.

</details>

<details><summary><h3><strong>def html(self, value: bool)</strong></h3></summary>

Enable autoconversion of URL-like texts to links.

</details>

<details><summary><h3><strong>def linkify(self)</strong></h3></summary>

Enable autoconversion of URL-like texts to links.

</details>

<details><summary><h3><strong>def linkify(self, value: bool)</strong></h3></summary>

Enable smartquotes and replacements.

</details>

<details><summary><h3><strong>def typographer(self)</strong></h3></summary>

Enable smartquotes and replacements.

</details>

<details><summary><h3><strong>def typographer(self, value: bool)</strong></h3></summary>

Quote characters.

</details>

<details><summary><h3><strong>def quotes(self)</strong></h3></summary>

Quote characters.

</details>

<details><summary><h3><strong>def quotes(self, value: str)</strong></h3></summary>

Use '/' to close single tags (<br />).

</details>

<details><summary><h3><strong>def xhtmlOut(self)</strong></h3></summary>

Use '/' to close single tags (<br />).

</details>

<details><summary><h3><strong>def xhtmlOut(self, value: bool)</strong></h3></summary>

Convert newlines in paragraphs into <br>.

</details>

<details><summary><h3><strong>def breaks(self)</strong></h3></summary>

Convert newlines in paragraphs into <br>.

</details>

<details><summary><h3><strong>def breaks(self, value: bool)</strong></h3></summary>

CSS language prefix for fenced blocks.

</details>

<details><summary><h3><strong>def langPrefix(self)</strong></h3></summary>

CSS language prefix for fenced blocks.

</details>

<details><summary><h3><strong>def langPrefix(self, value: str)</strong></h3></summary>

Highlighter function: (content, langName, langAttrs) -> escaped HTML.

</details>

<details><summary><h3><strong>def highlight(self)</strong></h3></summary>

Highlighter function: (content, langName, langAttrs) -> escaped HTML.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def chomp](#def-chomp)
- [def abstract_inline_conversion](#def-abstract_inline_conversion)
</details>

<details><summary><h3><strong>def chomp(text)</strong></h3></summary>

If the text in an inline tag like b, a, or em contains a leading or trailing
    space, strip the string and return a space as suffix of prefix, if needed.
    This function is used to prevent conversions like
        <b> foo</b> => ** foo**

</details>

<details><summary><h3><strong>def abstract_inline_conversion(markup_fn)</strong></h3></summary>

This abstracts all simple inline tags like b, em, del, ...
    Returns a function that wraps the chomped text in a pair of the string
    that is returned by markup_fn, with '/' inserted in the string used after
    the text if it looks like an HTML tag. markup_fn is necessary to allow for
    references to self.strong_em_symbol etc.

</details>

</details>


<details><summary><h2><strong> main.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _decode.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _encode.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _format.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _parse.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _url.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Pygments
    ~~~~~~~~

    Pygments is a syntax highlighting package written in Python.

    It is a generic syntax highlighter for general use in all kinds of software
    such as forum systems, wikis or other applications that need to prettify
    source code. Highlights are:

    * a wide range of common languages and markup formats is supported
    * special attention is paid to details, increasing quality by a fair amount
    * support for new languages and formats are added easily
    * a number of output formats, presently HTML, LaTeX, RTF, SVG, all image
      formats that PIL supports, and ANSI sequences
    * it is usable as a command-line tool and as a library
    * ... and it highlights even Brainfuck!

    The `Pygments master branch`_ is installable with ``easy_install Pygments==dev``.

    .. _Pygments master branch:
       https://github.com/pygments/pygments/archive/master.zip#egg=Pygments-dev

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def lex](#def-lex)
- [def format](#def-format)
- [def highlight](#def-highlight)
</details>

<details><summary><h3><strong>def lex(code, lexer)</strong></h3></summary>

Lex `code` with the `lexer` (must be a `Lexer` instance)
    and return an iterable of tokens. Currently, this only calls
    `lexer.get_tokens()`.

</details>

<details><summary><h3><strong>def format(tokens, formatter, outfile=None)</strong></h3></summary>

Format ``tokens`` (an iterable of tokens) with the formatter ``formatter``
    (a `Formatter` instance).

    If ``outfile`` is given and a valid file object (an object with a
    ``write`` method), the result will be written to it, otherwise it
    is returned as a string.

</details>

<details><summary><h3><strong>def highlight(code, lexer, formatter, outfile=None)</strong></h3></summary>

This is the most high-level highlighting function. It combines `lex` and
    `format` in one function.

</details>

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

pygments.__main__
    ~~~~~~~~~~~~~~~~~

    Main entry point for ``python -m pygments``.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> cmdline.py</strong></h2></summary>

pygments.cmdline
    ~~~~~~~~~~~~~~~~

    Command line interface.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def main](#def-main)
</details>

<details><summary><h3><strong>def main(args=sys.argv)</strong></h3></summary>

Main command line entry point.

</details>

</details>


<details><summary><h2><strong> console.py</strong></h2></summary>

pygments.console
    ~~~~~~~~~~~~~~~~

    Format colored console output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def ansiformat](#def-ansiformat)
</details>

<details><summary><h3><strong>def ansiformat(attr, text)</strong></h3></summary>

Format ``text`` with a color and/or some attributes::

        color       normal color
        *color*     bold color
        _color_     underlined color
        +color+     blinking color

</details>

</details>


<details><summary><h2><strong> filter.py</strong></h2></summary>

pygments.filter
    ~~~~~~~~~~~~~~~

    Module that implements the default filter.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Filter](#class-filter)
- [class FunctionFilter](#class-functionfilter)
- [def apply_filters](#def-apply_filters)
- [def simplefilter](#def-simplefilter)
</details>

<details><summary><h3><strong>class Filter</strong></h3></summary>

Default filter. Subclass this class or use the `simplefilter`
    decorator to create own filters.

</details>

<details><summary><h3><strong>class FunctionFilter</strong></h3></summary>

Abstract class used by `simplefilter` to create simple
    function filters on the fly. The `simplefilter` decorator
    automatically creates subclasses of this class for
    functions passed to it.

</details>

<details><summary><h3><strong>def apply_filters(stream, filters, lexer=None)</strong></h3></summary>

Use this method to apply an iterable of filters to
    a stream. If lexer is given it's forwarded to the
    filter, otherwise the filter receives `None`.

</details>

<details><summary><h3><strong>def simplefilter(f)</strong></h3></summary>

Decorator that converts a function into a filter::

        @simplefilter
        def lowercase(self, lexer, stream, options):
            for ttype, value in stream:
                yield ttype, value.lower()

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

pygments.filters
    ~~~~~~~~~~~~~~~~

    Module containing filter lookup functions and default
    filters.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CodeTagFilter](#class-codetagfilter)
- [class SymbolFilter](#class-symbolfilter)
- [class KeywordCaseFilter](#class-keywordcasefilter)
- [class NameHighlightFilter](#class-namehighlightfilter)
- [class RaiseOnErrorTokenFilter](#class-raiseonerrortokenfilter)
- [class VisibleWhitespaceFilter](#class-visiblewhitespacefilter)
- [class GobbleFilter](#class-gobblefilter)
- [class TokenMergeFilter](#class-tokenmergefilter)
- [def find_filter_class](#def-find_filter_class)
- [def get_filter_by_name](#def-get_filter_by_name)
- [def get_all_filters](#def-get_all_filters)
</details>

<details><summary><h3><strong>class CodeTagFilter</strong></h3></summary>

Highlight special code tags in comments and docstrings.

    Options accepted:

    `codetags` : list of strings
       A list of strings that are flagged as code tags.  The default is to
       highlight ``XXX``, ``TODO``, ``FIXME``, ``BUG`` and ``NOTE``.

    .. versionchanged:: 2.13
       Now recognizes ``FIXME`` by default.

</details>

<details><summary><h3><strong>class SymbolFilter</strong></h3></summary>

Convert mathematical symbols such as \\<longrightarrow> in Isabelle
    or \\longrightarrow in LaTeX into Unicode characters.

    This is mostly useful for HTML or console output when you want to
    approximate the source rendering you'd see in an IDE.

    Options accepted:

    `lang` : string
       The symbol language. Must be one of ``'isabelle'`` or
       ``'latex'``.  The default is ``'isabelle'``.

</details>

<details><summary><h3><strong>class KeywordCaseFilter</strong></h3></summary>

Convert keywords to lowercase or uppercase or capitalize them, which
    means first letter uppercase, rest lowercase.

    This can be useful e.g. if you highlight Pascal code and want to adapt the
    code to your styleguide.

    Options accepted:

    `case` : string
       The casing to convert keywords to. Must be one of ``'lower'``,
       ``'upper'`` or ``'capitalize'``.  The default is ``'lower'``.

</details>

<details><summary><h3><strong>class NameHighlightFilter</strong></h3></summary>

Highlight a normal Name (and Name.*) token with a different token type.

    Example::

        filter = NameHighlightFilter(
            names=['foo', 'bar', 'baz'],
            tokentype=Name.Function,
        )

    This would highlight the names "foo", "bar" and "baz"
    as functions. `Name.Function` is the default token type.

    Options accepted:

    `names` : list of strings
      A list of names that should be given the different token type.
      There is no default.
    `tokentype` : TokenType or string
      A token type or a string containing a token type name that is
      used for highlighting the strings in `names`.  The default is
      `Name.Function`.

</details>

<details><summary><h3><strong>class RaiseOnErrorTokenFilter</strong></h3></summary>

Raise an exception when the lexer generates an error token.

    Options accepted:

    `excclass` : Exception class
      The exception class to raise.
      The default is `pygments.filters.ErrorToken`.

    .. versionadded:: 0.8

</details>

<details><summary><h3><strong>class VisibleWhitespaceFilter</strong></h3></summary>

Convert tabs, newlines and/or spaces to visible characters.

    Options accepted:

    `spaces` : string or bool
      If this is a one-character string, spaces will be replaces by this string.
      If it is another true value, spaces will be replaced by ``·`` (unicode
      MIDDLE DOT).  If it is a false value, spaces will not be replaced.  The
      default is ``False``.
    `tabs` : string or bool
      The same as for `spaces`, but the default replacement character is ``»``
      (unicode RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK).  The default value
      is ``False``.  Note: this will not work if the `tabsize` option for the
      lexer is nonzero, as tabs will already have been expanded then.
    `tabsize` : int
      If tabs are to be replaced by this filter (see the `tabs` option), this
      is the total number of characters that a tab should be expanded to.
      The default is ``8``.
    `newlines` : string or bool
      The same as for `spaces`, but the default replacement character is ``¶``
      (unicode PILCROW SIGN).  The default value is ``False``.
    `wstokentype` : bool
      If true, give whitespace the special `Whitespace` token type.  This allows
      styling the visible whitespace differently (e.g. greyed out), but it can
      disrupt background colors.  The default is ``True``.

    .. versionadded:: 0.8

</details>

<details><summary><h3><strong>class GobbleFilter</strong></h3></summary>

Gobbles source code lines (eats initial characters).

    This filter drops the first ``n`` characters off every line of code.  This
    may be useful when the source code fed to the lexer is indented by a fixed
    amount of space that isn't desired in the output.

    Options accepted:

    `n` : int
       The number of characters to gobble.

    .. versionadded:: 1.2

</details>

<details><summary><h3><strong>class TokenMergeFilter</strong></h3></summary>

Merges consecutive tokens with the same token type in the output
    stream of a lexer.

    .. versionadded:: 1.2

</details>

<details><summary><h3><strong>def find_filter_class(filtername)</strong></h3></summary>

Lookup a filter by name. Return None if not found.

</details>

<details><summary><h3><strong>def get_filter_by_name(filtername, **options)</strong></h3></summary>

Return an instantiated filter.

    Options are passed to the filter initializer if wanted.
    Raise a ClassNotFound if not found.

</details>

<details><summary><h3><strong>def get_all_filters()</strong></h3></summary>

Return a generator of all filter names.

</details>

</details>


<details><summary><h2><strong> formatter.py</strong></h2></summary>

pygments.formatter
    ~~~~~~~~~~~~~~~~~~

    Base formatter class.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Formatter](#class-formatter)
- [class implementation](#class-implementation)
- [def __init__](#def-__init__)
- [def get_style_defs](#def-get_style_defs)
- [def format](#def-format)
</details>

<details><summary><h3><strong>class Formatter</strong></h3></summary>

Converts a token stream to text.

    Formatters should have attributes to help selecting them. These
    are similar to the corresponding :class:`~pygments.lexer.Lexer`
    attributes.

    .. autoattribute:: name
       :no-value:

    .. autoattribute:: aliases
       :no-value:

    .. autoattribute:: filenames
       :no-value:

    You can pass options as keyword arguments to the constructor.
    All formatters accept these basic options:

    ``style``
        The style to use, can be a string or a Style subclass
        (default: "default"). Not used by e.g. the
        TerminalFormatter.
    ``full``
        Tells the formatter to output a "full" document, i.e.
        a complete self-contained document. This doesn't have
        any effect for some formatters (default: false).
    ``title``
        If ``full`` is true, the title that should be used to
        caption the document (default: '').
    ``encoding``
        If given, must be an encoding name. This will be used to
        convert the Unicode token strings to byte strings in the
        output. If it is "" or None, Unicode strings will be written
        to the output file, which most file-like objects do not
        support (default: None).
    ``outencoding``
        Overrides ``encoding`` if given.

<details><summary><h4><strong>def __init__</strong></h4></summary>

As with lexers, this constructor takes arbitrary optional arguments,
        and if you override it, you should first process your own options, then
        call the base class implementation.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

This method must return statements or declarations suitable to define
        the current style for subsequent highlighted text (e.g. CSS classes
        in the `HTMLFormatter`).

        The optional argument `arg` can be used to modify the generation and
        is formatter dependent (it is standardized because it can be given on
        the command line).

        This method is called by the ``-S`` :doc:`command-line option <cmdline>`,
        the `arg` is then given by the ``-a`` option.

</details>

<details><summary><h4><strong>def format</strong></h4></summary>

This method must format the tokens from the `tokensource` iterable and
        write the formatted version to the file object `outfile`.

        Formatter options can control how exactly the tokens are converted.

</details>

</details>

<details><summary><h3><strong>class implementation</strong></h3></summary>

self.style = _lookup_style(options.get('style', 'default'))
        self.full = get_bool_opt(options, 'full', False)
        self.title = options.get('title', '')
        self.encoding = options.get('encoding', None) or None
        if self.encoding in ('guess', 'chardet'):
            # can happen for e.g. pygmentize -O encoding=guess
            self.encoding = 'utf-8'
        self.encoding = options.get('outencoding') or self.encoding
        self.options = options

    def get_style_defs(self, arg=''):

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

This method must return statements or declarations suitable to define
        the current style for subsequent highlighted text (e.g. CSS classes
        in the `HTMLFormatter`).

        The optional argument `arg` can be used to modify the generation and
        is formatter dependent (it is standardized because it can be given on
        the command line).

        This method is called by the ``-S`` :doc:`command-line option <cmdline>`,
        the `arg` is then given by the ``-a`` option.

</details>

<details><summary><h4><strong>def format</strong></h4></summary>

This method must format the tokens from the `tokensource` iterable and
        write the formatted version to the file object `outfile`.

        Formatter options can control how exactly the tokens are converted.

</details>

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

As with lexers, this constructor takes arbitrary optional arguments,
        and if you override it, you should first process your own options, then
        call the base class implementation.

</details>

<details><summary><h3><strong>def get_style_defs(self, arg='')</strong></h3></summary>

This method must return statements or declarations suitable to define
        the current style for subsequent highlighted text (e.g. CSS classes
        in the `HTMLFormatter`).

        The optional argument `arg` can be used to modify the generation and
        is formatter dependent (it is standardized because it can be given on
        the command line).

        This method is called by the ``-S`` :doc:`command-line option <cmdline>`,
        the `arg` is then given by the ``-a`` option.

</details>

<details><summary><h3><strong>def format(self, tokensource, outfile)</strong></h3></summary>

This method must format the tokens from the `tokensource` iterable and
        write the formatted version to the file object `outfile`.

        Formatter options can control how exactly the tokens are converted.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

pygments.formatters
    ~~~~~~~~~~~~~~~~~~~

    Pygments formatters.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class _automodule](#class-_automodule)
- [def _fn_matches](#def-_fn_matches)
- [def _load_formatters](#def-_load_formatters)
- [def get_all_formatters](#def-get_all_formatters)
- [def find_formatter_class](#def-find_formatter_class)
- [def get_formatter_by_name](#def-get_formatter_by_name)
- [def load_formatter_from_file](#def-load_formatter_from_file)
- [def get_formatter_for_filename](#def-get_formatter_for_filename)
</details>

<details><summary><h3><strong>class _automodule</strong></h3></summary>

Automatically import formatters.

</details>

<details><summary><h3><strong>def _fn_matches(fn, glob)</strong></h3></summary>

Return whether the supplied file name fn matches pattern filename.

</details>

<details><summary><h3><strong>def _load_formatters(module_name)</strong></h3></summary>

Load a formatter (and all others in the module too).

</details>

<details><summary><h3><strong>def get_all_formatters()</strong></h3></summary>

Return a generator for all formatter classes.

</details>

<details><summary><h3><strong>def find_formatter_class(alias)</strong></h3></summary>

Lookup a formatter by alias.

    Returns None if not found.

</details>

<details><summary><h3><strong>def get_formatter_by_name(_alias, **options)</strong></h3></summary>

Return an instance of a :class:`.Formatter` subclass that has `alias` in its
    aliases list. The formatter is given the `options` at its instantiation.

    Will raise :exc:`pygments.util.ClassNotFound` if no formatter with that
    alias is found.

</details>

<details><summary><h3><strong>def load_formatter_from_file(filename, formattername="CustomFormatter", **options)</strong></h3></summary>

Return a `Formatter` subclass instance loaded from the provided file, relative
    to the current directory.

    The file is expected to contain a Formatter class named ``formattername``
    (by default, CustomFormatter). Users should be very careful with the input, because
    this method is equivalent to running ``eval()`` on the input file. The formatter is
    given the `options` at its instantiation.

    :exc:`pygments.util.ClassNotFound` is raised if there are any errors loading
    the formatter.

    .. versionadded:: 2.2

</details>

<details><summary><h3><strong>def get_formatter_for_filename(fn, **options)</strong></h3></summary>

Return a :class:`.Formatter` subclass instance that has a filename pattern
    matching `fn`. The formatter is given the `options` at its instantiation.

    Will raise :exc:`pygments.util.ClassNotFound` if no formatter for that filename
    is found.

</details>

</details>


<details><summary><h2><strong> _mapping.py</strong></h2></summary>

</details>


<details><summary><h2><strong> bbcode.py</strong></h2></summary>

pygments.formatters.bbcode
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    BBcode formatter.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BBCodeFormatter](#class-bbcodeformatter)
</details>

<details><summary><h3><strong>class BBCodeFormatter</strong></h3></summary>

Format tokens with BBcodes. These formatting codes are used by many
    bulletin boards, so you can highlight your sourcecode with pygments before
    posting it there.

    This formatter has no support for background colors and borders, as there
    are no common BBcode tags for that.

    Some board systems (e.g. phpBB) don't support colors in their [code] tag,
    so you can't use the highlighting together with that tag.
    Text in a [code] tag usually is shown with a monospace font (which this
    formatter can do with the ``monofont`` option) and no spaces (which you
    need for indentation) are removed.

    Additional options accepted:

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``).

    `codetag`
        If set to true, put the output into ``[code]`` tags (default:
        ``false``)

    `monofont`
        If set to true, add a tag to show the code with a monospace font
        (default: ``false``).

</details>

</details>


<details><summary><h2><strong> groff.py</strong></h2></summary>

pygments.formatters.groff
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for groff output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GroffFormatter](#class-groffformatter)
</details>

<details><summary><h3><strong>class GroffFormatter</strong></h3></summary>

Format tokens with groff escapes to change their color and font style.

    .. versionadded:: 2.11

    Additional options accepted:

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``).

    `monospaced`
        If set to true, monospace font will be used (default: ``true``).

    `linenos`
        If set to true, print the line numbers (default: ``false``).

    `wrap`
        Wrap lines to the specified number of characters. Disabled if set to 0
        (default: ``0``).

</details>

</details>


<details><summary><h2><strong> html.py</strong></h2></summary>

pygments.formatters.html
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for HTML output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class HtmlFormatter](#class-htmlformatter)
- [class can](#class-can)
- [class names](#class-names)
- [class of](#class-of)
- [class could](#class-could)
- [class CodeHtmlFormatter](#class-codehtmlformatter)
- [class of](#class-of)
- [class return](#class-return)
- [class is](#class-is)
- [class or](#class-or)
- [class or](#class-or)
- [class and](#class-and)
- [def escape_html](#def-escape_html)
- [def wrap](#def-wrap)
- [def _wrap_code](#def-_wrap_code)
- [def __init__](#def-__init__)
- [def _get_css_class](#def-_get_css_class)
- [def _get_css_classes](#def-_get_css_classes)
- [def _get_css_inline_styles](#def-_get_css_inline_styles)
- [def _create_stylesheet](#def-_create_stylesheet)
- [def in](#def-in)
- [def get_style_defs](#def-get_style_defs)
- [def get_token_style_defs](#def-get_token_style_defs)
- [def get_background_style_defs](#def-get_background_style_defs)
- [def get_linenos_style_defs](#def-get_linenos_style_defs)
- [def get_css_prefix](#def-get_css_prefix)
- [def prefix](#def-prefix)
- [def _pre_style](#def-_pre_style)
- [def _linenos_style](#def-_linenos_style)
- [def _linenos_special_style](#def-_linenos_special_style)
- [def _decodeifneeded](#def-_decodeifneeded)
- [def _wrap_full](#def-_wrap_full)
- [def _wrap_tablelinenos](#def-_wrap_tablelinenos)
- [def _wrap_inlinelinenos](#def-_wrap_inlinelinenos)
- [def _wrap_lineanchors](#def-_wrap_lineanchors)
- [def _wrap_linespans](#def-_wrap_linespans)
- [def _wrap_div](#def-_wrap_div)
- [def _wrap_pre](#def-_wrap_pre)
- [def _wrap_code](#def-_wrap_code)
- [def _translate_parts](#def-_translate_parts)
- [def _format_lines](#def-_format_lines)
- [def _lookup_ctag](#def-_lookup_ctag)
- [def _highlight_lines](#def-_highlight_lines)
- [def wrap](#def-wrap)
- [def format_unencoded](#def-format_unencoded)
</details>

<details><summary><h3><strong>class HtmlFormatter</strong></h3></summary>

Format tokens as HTML 4 ``<span>`` tags. By default, the content is enclosed
    in a ``<pre>`` tag, itself wrapped in a ``<div>`` tag (but see the `nowrap` option).
    The ``<div>``'s CSS class can be set by the `cssclass` option.

    If the `linenos` option is set to ``"table"``, the ``<pre>`` is
    additionally wrapped inside a ``<table>`` which has one row and two
    cells: one containing the line numbers and one containing the code.
    Example:

    .. sourcecode:: html

        <div class="highlight" >
        <table><tr>
          <td class="linenos" title="click to toggle"
            onclick="with (this.firstChild.style)
                     { display = (display == '') ? 'none' : '' }">
            <pre>1
            2</pre>
          </td>
          <td class="code">
            <pre><span class="Ke">def </span><span class="NaFu">foo</span>(bar):
              <span class="Ke">pass</span>
            </pre>
          </td>
        </tr></table></div>

    (whitespace added to improve clarity).

    A list of lines can be specified using the `hl_lines` option to make these
    lines highlighted (as of Pygments 0.11).

    With the `full` option, a complete HTML 4 document is output, including
    the style definitions inside a ``<style>`` tag, or in a separate file if
    the `cssfile` option is given.

    When `tagsfile` is set to the path of a ctags index file, it is used to
    generate hyperlinks from names to their definition.  You must enable
    `lineanchors` and run ctags with the `-n` option for this to work.  The
    `python-ctags` module from PyPI must be installed to use this feature;
    otherwise a `RuntimeError` will be raised.

    The `get_style_defs(arg='')` method of a `HtmlFormatter` returns a string
    containing CSS rules for the CSS classes used by the formatter. The
    argument `arg` can be used to specify additional CSS selectors that
    are prepended to the classes. A call `fmter.get_style_defs('td .code')`
    would result in the following CSS classes:

    .. sourcecode:: css

        td .code .kw { font-weight: bold; color: #00FF00 }
        td .code .cm { color: #999999 }
        ...

    If you have Pygments 0.6 or higher, you can also pass a list or tuple to the
    `get_style_defs()` method to request multiple prefixes for the tokens:

    .. sourcecode:: python

        formatter.get_style_defs(['div.syntax pre', 'pre.syntax'])

    The output would then look like this:

    .. sourcecode:: css

        div.syntax pre .kw,
        pre.syntax .kw { font-weight: bold; color: #00FF00 }
        div.syntax pre .cm,
        pre.syntax .cm { color: #999999 }
        ...

    Additional options accepted:

    `nowrap`
        If set to ``True``, don't add a ``<pre>`` and a ``<div>`` tag
        around the tokens. This disables most other options (default: ``False``).

    `full`
        Tells the formatter to output a "full" document, i.e. a complete
        self-contained document (default: ``False``).

    `title`
        If `full` is true, the title that should be used to caption the
        document (default: ``''``).

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``). This option has no effect if the `cssfile`
        and `noclobber_cssfile` option are given and the file specified in
        `cssfile` exists.

    `noclasses`
        If set to true, token ``<span>`` tags (as well as line number elements)
        will not use CSS classes, but inline styles. This is not recommended
        for larger pieces of code since it increases output size by quite a bit
        (default: ``False``).

    `classprefix`
        Since the token types use relatively short class names, they may clash
        with some of your own class names. In this case you can use the
        `classprefix` option to give a string to prepend to all Pygments-generated
        CSS class names for token types.
        Note that this option also affects the output of `get_style_defs()`.

    `cssclass`
        CSS class for the wrapping ``<div>`` tag (default: ``'highlight'``).
        If you set this option, the default selector for `get_style_defs()`
        will be this class.

        .. versionadded:: 0.9
           If you select the ``'table'`` line numbers, the wrapping table will
           have a CSS class of this string plus ``'table'``, the default is
           accordingly ``'highlighttable'``.

    `cssstyles`
        Inline CSS styles for the wrapping ``<div>`` tag (default: ``''``).

    `prestyles`
        Inline CSS styles for the ``<pre>`` tag (default: ``''``).

        .. versionadded:: 0.11

    `cssfile`
        If the `full` option is true and this option is given, it must be the
        name of an external file. If the filename does not include an absolute
        path, the file's path will be assumed to be relative to the main output
        file's path, if the latter can be found. The stylesheet is then written
        to this file instead of the HTML file.

        .. versionadded:: 0.6

    `noclobber_cssfile`
        If `cssfile` is given and the specified file exists, the css file will
        not be overwritten. This allows the use of the `full` option in
        combination with a user specified css file. Default is ``False``.

        .. versionadded:: 1.1

    `linenos`
        If set to ``'table'``, output line numbers as a table with two cells,
        one containing the line numbers, the other the whole code.  This is
        copy-and-paste-friendly, but may cause alignment problems with some
        browsers or fonts.  If set to ``'inline'``, the line numbers will be
        integrated in the ``<pre>`` tag that contains the code (that setting
        is *new in Pygments 0.8*).

        For compatibility with Pygments 0.7 and earlier, every true value
        except ``'inline'`` means the same as ``'table'`` (in particular, that
        means also ``True``).

        The default value is ``False``, which means no line numbers at all.

        **Note:** with the default ("table") line number mechanism, the line
        numbers and code can have different line heights in Internet Explorer
        unless you give the enclosing ``<pre>`` tags an explicit ``line-height``
        CSS property (you get the default line spacing with ``line-height:
        125%``).

    `hl_lines`
        Specify a list of lines to be highlighted. The line numbers are always
        relative to the input (i.e. the first line is line 1) and are
        independent of `linenostart`.

        .. versionadded:: 0.11

    `linenostart`
        The line number for the first line (default: ``1``).

    `linenostep`
        If set to a number n > 1, only every nth line number is printed.

    `linenospecial`
        If set to a number n > 0, every nth line number is given the CSS
        class ``"special"`` (default: ``0``).

    `nobackground`
        If set to ``True``, the formatter won't output the background color
        for the wrapping element (this automatically defaults to ``False``
        when there is no wrapping element [eg: no argument for the
        `get_syntax_defs` method given]) (default: ``False``).

        .. versionadded:: 0.6

    `lineseparator`
        This string is output between lines of code. It defaults to ``"\n"``,
        which is enough to break a line inside ``<pre>`` tags, but you can
        e.g. set it to ``"<br>"`` to get HTML line breaks.

        .. versionadded:: 0.7

    `lineanchors`
        If set to a nonempty string, e.g. ``foo``, the formatter will wrap each
        output line in an anchor tag with an ``id`` (and `name`) of ``foo-linenumber``.
        This allows easy linking to certain lines.

        .. versionadded:: 0.9

    `linespans`
        If set to a nonempty string, e.g. ``foo``, the formatter will wrap each
        output line in a span tag with an ``id`` of ``foo-linenumber``.
        This allows easy access to lines via javascript.

        .. versionadded:: 1.6

    `anchorlinenos`
        If set to `True`, will wrap line numbers in <a> tags. Used in
        combination with `linenos` and `lineanchors`.

    `tagsfile`
        If set to the path of a ctags file, wrap names in anchor tags that
        link to their definitions. `lineanchors` should be used, and the
        tags file should specify line numbers (see the `-n` option to ctags).
        The tags file is assumed to be encoded in UTF-8.

        .. versionadded:: 1.6

    `tagurlformat`
        A string formatting pattern used to generate links to ctags definitions.
        Available variables are `%(path)s`, `%(fname)s` and `%(fext)s`.
        Defaults to an empty string, resulting in just `#prefix-number` links.

        .. versionadded:: 1.6

    `filename`
        A string used to generate a filename when rendering ``<pre>`` blocks,
        for example if displaying source code. If `linenos` is set to
        ``'table'`` then the filename will be rendered in an initial row
        containing a single `<th>` which spans both columns.

        .. versionadded:: 2.1

    `wrapcode`
        Wrap the code inside ``<pre>`` blocks using ``<code>``, as recommended
        by the HTML5 specification.

        .. versionadded:: 2.4

    `debug_token_types`
        Add ``title`` attributes to all token ``<span>`` tags that show the
        name of the token.

        .. versionadded:: 2.10


    **Subclassing the HTML formatter**

    .. versionadded:: 0.7

    The HTML formatter is now built in a way that allows easy subclassing, thus
    customizing the output HTML code. The `format()` method calls
    `self._format_lines()` which returns a generator that yields tuples of ``(1,
    line)``, where the ``1`` indicates that the ``line`` is a line of the
    formatted source code.

    If the `nowrap` option is set, the generator is the iterated over and the
    resulting HTML is output.

    Otherwise, `format()` calls `self.wrap()`, which wraps the generator with
    other generators. These may add some HTML code to the one generated by
    `_format_lines()`, either by modifying the lines generated by the latter,
    then yielding them again with ``(1, line)``, and/or by yielding other HTML
    code before or after the lines, with ``(0, html)``. The distinction between
    source lines and other code makes it possible to wrap the generator multiple
    times.

    The default `wrap()` implementation adds a ``<div>`` and a ``<pre>`` tag.

    A custom `HtmlFormatter` subclass could look like this:

    .. sourcecode:: python

        class CodeHtmlFormatter(HtmlFormatter):

            def wrap(self, source, *, include_div):
                return self._wrap_code(source)

            def _wrap_code(self, source):
                yield 0, '<code>'
                for i, t in source:
                    if i == 1:
                        # it's a line of formatted code
                        t += '<br>'
                    yield i, t
                yield 0, '</code>'

    This results in wrapping the formatted lines with a ``<code>`` tag, where the
    source lines are broken using ``<br>`` tags.

    After calling `wrap()`, the `format()` method also adds the "line numbers"
    and/or "full document" wrappers if the respective options are set. Then, all
    HTML yielded by the wrapped generator is output.

<details><summary><h4><strong>def wrap</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_class</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class can</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

<details><summary><h4><strong>def wrap</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_class</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class names</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

<details><summary><h4><strong>def wrap</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_class</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

<details><summary><h4><strong>def wrap</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_class</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class could</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

<details><summary><h4><strong>def wrap</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_class</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class CodeHtmlFormatter</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

<details><summary><h4><strong>def wrap</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_class</strong></h4></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class of</strong></h3></summary>

ttypeclass = _get_ttype_class(ttype)
        if ttypeclass:
            return self.classprefix + ttypeclass
        return ''

    def _get_css_classes(self, ttype):

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class return</strong></h3></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

<details><summary><h4><strong>def _get_css_classes</strong></h4></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h4><strong>def _get_css_inline_styles</strong></h4></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class or</strong></h3></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h4><strong>def get_token_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_background_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_linenos_style_defs</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def get_css_prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class or</strong></h3></summary>

HTML-escape a value and split it by newlines.

<details><summary><h4><strong>def prefix</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _pre_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _linenos_special_style</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _decodeifneeded</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_full</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_tablelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_inlinelinenos</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_lineanchors</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_linespans</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_div</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>class and</strong></h3></summary>

HTML-escape a value and split it by newlines.

<details><summary><h4><strong>def _wrap_pre</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _wrap_code</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _translate_parts</strong></h4></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h4><strong>def _format_lines</strong></h4></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h4><strong>def _lookup_ctag</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def _highlight_lines</strong></h4></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>

<details><summary><h3><strong>def escape_html(text, table=_escape_html_table)</strong></h3></summary>

Escape &, <, > as well as single and double quotes for HTML.

</details>

<details><summary><h3><strong>def wrap(self, source, *, include_div)</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h3><strong>def _wrap_code(self, source)</strong></h3></summary>

name = 'HTML'
    aliases = ['html']
    filenames = ['*.html', '*.htm']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.title = self._decodeifneeded(self.title)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.noclasses = get_bool_opt(options, 'noclasses', False)
        self.classprefix = options.get('classprefix', '')
        self.cssclass = self._decodeifneeded(options.get('cssclass', 'highlight'))
        self.cssstyles = self._decodeifneeded(options.get('cssstyles', ''))
        self.prestyles = self._decodeifneeded(options.get('prestyles', ''))
        self.cssfile = self._decodeifneeded(options.get('cssfile', ''))
        self.noclobber_cssfile = get_bool_opt(options, 'noclobber_cssfile', False)
        self.tagsfile = self._decodeifneeded(options.get('tagsfile', ''))
        self.tagurlformat = self._decodeifneeded(options.get('tagurlformat', ''))
        self.filename = self._decodeifneeded(options.get('filename', ''))
        self.wrapcode = get_bool_opt(options, 'wrapcode', False)
        self.span_element_openers = {}
        self.debug_token_types = get_bool_opt(options, 'debug_token_types', False)

        if self.tagsfile:
            if not ctags:
                raise RuntimeError('The "ctags" package must to be installed '
                                   'to be able to use the "tagsfile" feature.')
            self._ctags = ctags.CTags(self.tagsfile)

        linenos = options.get('linenos', False)
        if linenos == 'inline':
            self.linenos = 2
        elif linenos:
            # compatibility with <= 0.7
            self.linenos = 1
        else:
            self.linenos = 0
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.linenospecial = abs(get_int_opt(options, 'linenospecial', 0))
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.lineseparator = options.get('lineseparator', '\n')
        self.lineanchors = options.get('lineanchors', '')
        self.linespans = options.get('linespans', '')
        self.anchorlinenos = get_bool_opt(options, 'anchorlinenos', False)
        self.hl_lines = set()
        for lineno in get_list_opt(options, 'hl_lines', []):
            try:
                self.hl_lines.add(int(lineno))
            except ValueError:
                pass

        self._create_stylesheet()

    def _get_css_class(self, ttype):

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h3><strong>def _get_css_class(self, ttype)</strong></h3></summary>

Return the css class of this token type prefixed with
        the classprefix option.

</details>

<details><summary><h3><strong>def _get_css_classes(self, ttype)</strong></h3></summary>

Return the CSS classes of this token type prefixed with the classprefix option.

</details>

<details><summary><h3><strong>def _get_css_inline_styles(self, ttype)</strong></h3></summary>

Return the inline CSS styles for this token type.

</details>

<details><summary><h3><strong>def _create_stylesheet(self)</strong></h3></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h3><strong>def get_style_defs(self, arg=None)</strong></h3></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h3><strong>def get_style_defs(self, arg=None)</strong></h3></summary>

Return CSS style definitions for the classes produced by the current
        highlighting style. ``arg`` can be a string or list of selectors to
        insert before the token type classes.

</details>

<details><summary><h3><strong>def get_token_style_defs(self, arg=None)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def get_background_style_defs(self, arg=None)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def get_linenos_style_defs(self)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def get_css_prefix(self, arg)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def prefix(cls)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _pre_style(self)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _linenos_style(self)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _linenos_special_style(self)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _decodeifneeded(self, value)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_full(self, inner, outfile)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_tablelinenos(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_inlinelinenos(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_lineanchors(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_linespans(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_div(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_pre(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _wrap_code(self, inner)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _translate_parts(self, value)</strong></h3></summary>

HTML-escape a value and split it by newlines.

</details>

<details><summary><h3><strong>def _format_lines(self, tokensource)</strong></h3></summary>

Just format the tokens, without any wrapping tags.
        Yield individual lines.

</details>

<details><summary><h3><strong>def _lookup_ctag(self, token)</strong></h3></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h3><strong>def _highlight_lines(self, tokensource)</strong></h3></summary>

Highlighted the lines specified in the `hl_lines` option by
        post-processing the token stream coming from `_format_lines`.

</details>

<details><summary><h3><strong>def wrap(self, source)</strong></h3></summary>

Wrap the ``source``, which is a generator yielding
        individual lines, in custom generators. See docstring
        for `format`. Can be overridden.

</details>

<details><summary><h3><strong>def format_unencoded(self, tokensource, outfile)</strong></h3></summary>

The formatting process uses several nested generators; which of
        them are used is determined by the user's options.

        Each generator should take at least one argument, ``inner``,
        and wrap the pieces of text generated by this.

        Always yield 2-tuples: (code, text). If "code" is 1, the text
        is part of the original tokensource being highlighted, if it's
        0, the text is some piece of wrapping. This makes it possible to
        use several different wrappers that process the original source
        linewise, e.g. line number generators.

</details>

</details>


<details><summary><h2><strong> img.py</strong></h2></summary>

pygments.formatters.img
    ~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for Pixmap output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PilNotAvailable](#class-pilnotavailable)
- [class FontNotFound](#class-fontnotfound)
- [class FontManager](#class-fontmanager)
- [class ImageFormatter](#class-imageformatter)
- [class docstring](#class-docstring)
- [class GifImageFormatter](#class-gifimageformatter)
- [class JpgImageFormatter](#class-jpgimageformatter)
- [class BmpImageFormatter](#class-bmpimageformatter)
- [def __init__](#def-__init__)
- [def _get_nix_font_path](#def-_get_nix_font_path)
- [def _create_nix](#def-_create_nix)
- [def _get_mac_font_path](#def-_get_mac_font_path)
- [def _create_mac](#def-_create_mac)
- [def _lookup_win](#def-_lookup_win)
- [def _create_win](#def-_create_win)
- [def get_char_size](#def-get_char_size)
- [def get_text_size](#def-get_text_size)
- [def get_font](#def-get_font)
- [def get_style](#def-get_style)
- [def __init__](#def-__init__)
- [def get_style_defs](#def-get_style_defs)
- [def _get_line_height](#def-_get_line_height)
- [def _get_line_y](#def-_get_line_y)
- [def _get_char_width](#def-_get_char_width)
- [def _get_char_x](#def-_get_char_x)
- [def _get_text_pos](#def-_get_text_pos)
- [def _get_linenumber_pos](#def-_get_linenumber_pos)
- [def _get_text_color](#def-_get_text_color)
- [def _get_text_bg_color](#def-_get_text_bg_color)
- [def _get_style_font](#def-_get_style_font)
- [def _get_image_size](#def-_get_image_size)
- [def _draw_linenumber](#def-_draw_linenumber)
- [def _draw_text](#def-_draw_text)
- [def _create_drawables](#def-_create_drawables)
- [def _draw_line_numbers](#def-_draw_line_numbers)
- [def _paint_line_number_bg](#def-_paint_line_number_bg)
- [def format](#def-format)
</details>

<details><summary><h3><strong>class PilNotAvailable</strong></h3></summary>

When Python imaging library is not available

</details>

<details><summary><h3><strong>class FontNotFound</strong></h3></summary>

When there are no usable fonts specified

</details>

<details><summary><h3><strong>class FontManager</strong></h3></summary>

Manages a set of fonts: normal, italic, bold, etc...

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def _get_nix_font_path</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def _create_nix</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def _get_mac_font_path</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def _create_mac</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def _lookup_win</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def _create_win</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def get_char_size</strong></h4></summary>

Get the character size.

</details>

<details><summary><h4><strong>def get_text_size</strong></h4></summary>

Get the text size (width, height).

</details>

<details><summary><h4><strong>def get_font</strong></h4></summary>

Get the font based on bold and italic flags.

</details>

<details><summary><h4><strong>def get_style</strong></h4></summary>

Get the specified style of the font if it is a variable font.
        If not found, return the normal font.

</details>

</details>

<details><summary><h3><strong>class ImageFormatter</strong></h3></summary>

Create a PNG image from source code. This uses the Python Imaging Library to
    generate a pixmap from the source code.

    .. versionadded:: 0.10

    Additional options accepted:

    `image_format`
        An image format to output to that is recognised by PIL, these include:

        * "PNG" (default)
        * "JPEG"
        * "BMP"
        * "GIF"

    `line_pad`
        The extra spacing (in pixels) between each line of text.

        Default: 2

    `font_name`
        The font name to be used as the base font from which others, such as
        bold and italic fonts will be generated.  This really should be a
        monospace font to look sane.
        If a filename or a file-like object is specified, the user must
        provide different styles of the font.

        Default: "Courier New" on Windows, "Menlo" on Mac OS, and
                 "DejaVu Sans Mono" on \\*nix

    `font_size`
        The font size in points to be used.

        Default: 14

    `image_pad`
        The padding, in pixels to be used at each edge of the resulting image.

        Default: 10

    `line_numbers`
        Whether line numbers should be shown: True/False

        Default: True

    `line_number_start`
        The line number of the first line.

        Default: 1

    `line_number_step`
        The step used when printing line numbers.

        Default: 1

    `line_number_bg`
        The background colour (in "#123456" format) of the line number bar, or
        None to use the style background color.

        Default: "#eed"

    `line_number_fg`
        The text color of the line numbers (in "#123456"-like format).

        Default: "#886"

    `line_number_chars`
        The number of columns of line numbers allowable in the line number
        margin.

        Default: 2

    `line_number_bold`
        Whether line numbers will be bold: True/False

        Default: False

    `line_number_italic`
        Whether line numbers will be italicized: True/False

        Default: False

    `line_number_separator`
        Whether a line will be drawn between the line number area and the
        source code area: True/False

        Default: True

    `line_number_pad`
        The horizontal padding (in pixels) between the line number margin, and
        the source code area.

        Default: 6

    `hl_lines`
        Specify a list of lines to be highlighted.

        .. versionadded:: 1.2

        Default: empty list

    `hl_color`
        Specify the color for highlighting lines.

        .. versionadded:: 1.2

        Default: highlight color of the selected style

<details><summary><h4><strong>def __init__</strong></h4></summary>

See the class docstring for explanation of options.

</details>

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Get the height of a line.

</details>

<details><summary><h4><strong>def _get_line_height</strong></h4></summary>

Get the height of a line.

</details>

<details><summary><h4><strong>def _get_line_y</strong></h4></summary>

Get the Y coordinate of a line number.

</details>

<details><summary><h4><strong>def _get_char_width</strong></h4></summary>

Get the width of a character.

</details>

<details><summary><h4><strong>def _get_char_x</strong></h4></summary>

Get the X coordinate of a character position.

</details>

<details><summary><h4><strong>def _get_text_pos</strong></h4></summary>

Get the actual position for a character and line position.

</details>

<details><summary><h4><strong>def _get_linenumber_pos</strong></h4></summary>

Get the actual position for the start of a line number.

</details>

<details><summary><h4><strong>def _get_text_color</strong></h4></summary>

Get the correct color for the token from the style.

</details>

<details><summary><h4><strong>def _get_text_bg_color</strong></h4></summary>

Get the correct background color for the token from the style.

</details>

<details><summary><h4><strong>def _get_style_font</strong></h4></summary>

Get the correct font for the style.

</details>

<details><summary><h4><strong>def _get_image_size</strong></h4></summary>

Get the required image size.

</details>

<details><summary><h4><strong>def _draw_linenumber</strong></h4></summary>

Remember a line number drawable to paint later.

</details>

<details><summary><h4><strong>def _draw_text</strong></h4></summary>

Remember a single drawable tuple to paint later.

</details>

<details><summary><h4><strong>def _create_drawables</strong></h4></summary>

Create drawables for the token content.

</details>

<details><summary><h4><strong>def _draw_line_numbers</strong></h4></summary>

Create drawables for the line numbers.

</details>

<details><summary><h4><strong>def _paint_line_number_bg</strong></h4></summary>

Paint the line number background on the image.

</details>

<details><summary><h4><strong>def format</strong></h4></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        This implementation calculates where it should draw each token on the
        pixmap, then calculates the required pixmap size and draws the items.

</details>

</details>

<details><summary><h3><strong>class docstring</strong></h3></summary>

if not pil_available:
            raise PilNotAvailable(
                'Python Imaging Library is required for this formatter')
        Formatter.__init__(self, **options)
        self.encoding = 'latin1'  # let pygments.format() do the right thing
        # Read the style
        self.styles = dict(self.style)
        if self.style.background_color is None:
            self.background_color = '#fff'
        else:
            self.background_color = self.style.background_color
        # Image options
        self.image_format = get_choice_opt(
            options, 'image_format', ['png', 'jpeg', 'gif', 'bmp'],
            self.default_image_format, normcase=True)
        self.image_pad = get_int_opt(options, 'image_pad', 10)
        self.line_pad = get_int_opt(options, 'line_pad', 2)
        # The fonts
        fontsize = get_int_opt(options, 'font_size', 14)
        self.fonts = FontManager(options.get('font_name', ''), fontsize)
        self.fontw, self.fonth = self.fonts.get_char_size()
        # Line number options
        self.line_number_fg = options.get('line_number_fg', '#886')
        self.line_number_bg = options.get('line_number_bg', '#eed')
        self.line_number_chars = get_int_opt(options,
                                             'line_number_chars', 2)
        self.line_number_bold = get_bool_opt(options,
                                             'line_number_bold', False)
        self.line_number_italic = get_bool_opt(options,
                                               'line_number_italic', False)
        self.line_number_pad = get_int_opt(options, 'line_number_pad', 6)
        self.line_numbers = get_bool_opt(options, 'line_numbers', True)
        self.line_number_separator = get_bool_opt(options,
                                                  'line_number_separator', True)
        self.line_number_step = get_int_opt(options, 'line_number_step', 1)
        self.line_number_start = get_int_opt(options, 'line_number_start', 1)
        if self.line_numbers:
            self.line_number_width = (self.fontw * self.line_number_chars +
                                      self.line_number_pad * 2)
        else:
            self.line_number_width = 0
        self.hl_lines = []
        hl_lines_str = get_list_opt(options, 'hl_lines', [])
        for line in hl_lines_str:
            try:
                self.hl_lines.append(int(line))
            except ValueError:
                pass
        self.hl_color = options.get('hl_color',
                                    self.style.highlight_color) or '#f90'
        self.drawables = []

    def get_style_defs(self, arg=''):
        raise NotImplementedError('The -S option is meaningless for the image '
                                  'formatter. Use -O style=<stylename> instead.')

    def _get_line_height(self):

<details><summary><h4><strong>def get_style_defs</strong></h4></summary>

Get the height of a line.

</details>

<details><summary><h4><strong>def _get_line_height</strong></h4></summary>

Get the height of a line.

</details>

<details><summary><h4><strong>def _get_line_y</strong></h4></summary>

Get the Y coordinate of a line number.

</details>

<details><summary><h4><strong>def _get_char_width</strong></h4></summary>

Get the width of a character.

</details>

<details><summary><h4><strong>def _get_char_x</strong></h4></summary>

Get the X coordinate of a character position.

</details>

<details><summary><h4><strong>def _get_text_pos</strong></h4></summary>

Get the actual position for a character and line position.

</details>

<details><summary><h4><strong>def _get_linenumber_pos</strong></h4></summary>

Get the actual position for the start of a line number.

</details>

<details><summary><h4><strong>def _get_text_color</strong></h4></summary>

Get the correct color for the token from the style.

</details>

<details><summary><h4><strong>def _get_text_bg_color</strong></h4></summary>

Get the correct background color for the token from the style.

</details>

<details><summary><h4><strong>def _get_style_font</strong></h4></summary>

Get the correct font for the style.

</details>

<details><summary><h4><strong>def _get_image_size</strong></h4></summary>

Get the required image size.

</details>

<details><summary><h4><strong>def _draw_linenumber</strong></h4></summary>

Remember a line number drawable to paint later.

</details>

<details><summary><h4><strong>def _draw_text</strong></h4></summary>

Remember a single drawable tuple to paint later.

</details>

<details><summary><h4><strong>def _create_drawables</strong></h4></summary>

Create drawables for the token content.

</details>

<details><summary><h4><strong>def _draw_line_numbers</strong></h4></summary>

Create drawables for the line numbers.

</details>

<details><summary><h4><strong>def _paint_line_number_bg</strong></h4></summary>

Paint the line number background on the image.

</details>

<details><summary><h4><strong>def format</strong></h4></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        This implementation calculates where it should draw each token on the
        pixmap, then calculates the required pixmap size and draws the items.

</details>

</details>

<details><summary><h3><strong>class GifImageFormatter</strong></h3></summary>

Create a GIF image from source code. This uses the Python Imaging Library to
    generate a pixmap from the source code.

    .. versionadded:: 1.0

</details>

<details><summary><h3><strong>class JpgImageFormatter</strong></h3></summary>

Create a JPEG image from source code. This uses the Python Imaging Library to
    generate a pixmap from the source code.

    .. versionadded:: 1.0

</details>

<details><summary><h3><strong>class BmpImageFormatter</strong></h3></summary>

Create a bitmap image from source code. This uses the Python Imaging Library to
    generate a pixmap from the source code.

    .. versionadded:: 1.0

</details>

<details><summary><h3><strong>def __init__(self, font_name, font_size=14)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def _get_nix_font_path(self, name, style)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def _create_nix(self)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def _get_mac_font_path(self, font_map, name, style)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def _create_mac(self)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def _lookup_win(self, key, basename, styles, fail=False)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def _create_win(self)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def get_char_size(self)</strong></h3></summary>

Get the character size.

</details>

<details><summary><h3><strong>def get_text_size(self, text)</strong></h3></summary>

Get the text size (width, height).

</details>

<details><summary><h3><strong>def get_font(self, bold, oblique)</strong></h3></summary>

Get the font based on bold and italic flags.

</details>

<details><summary><h3><strong>def get_style(self, style)</strong></h3></summary>

Get the specified style of the font if it is a variable font.
        If not found, return the normal font.

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

See the class docstring for explanation of options.

</details>

<details><summary><h3><strong>def get_style_defs(self, arg='')</strong></h3></summary>

Get the height of a line.

</details>

<details><summary><h3><strong>def _get_line_height(self)</strong></h3></summary>

Get the height of a line.

</details>

<details><summary><h3><strong>def _get_line_y(self, lineno)</strong></h3></summary>

Get the Y coordinate of a line number.

</details>

<details><summary><h3><strong>def _get_char_width(self)</strong></h3></summary>

Get the width of a character.

</details>

<details><summary><h3><strong>def _get_char_x(self, linelength)</strong></h3></summary>

Get the X coordinate of a character position.

</details>

<details><summary><h3><strong>def _get_text_pos(self, linelength, lineno)</strong></h3></summary>

Get the actual position for a character and line position.

</details>

<details><summary><h3><strong>def _get_linenumber_pos(self, lineno)</strong></h3></summary>

Get the actual position for the start of a line number.

</details>

<details><summary><h3><strong>def _get_text_color(self, style)</strong></h3></summary>

Get the correct color for the token from the style.

</details>

<details><summary><h3><strong>def _get_text_bg_color(self, style)</strong></h3></summary>

Get the correct background color for the token from the style.

</details>

<details><summary><h3><strong>def _get_style_font(self, style)</strong></h3></summary>

Get the correct font for the style.

</details>

<details><summary><h3><strong>def _get_image_size(self, maxlinelength, maxlineno)</strong></h3></summary>

Get the required image size.

</details>

<details><summary><h3><strong>def _draw_linenumber(self, posno, lineno)</strong></h3></summary>

Remember a line number drawable to paint later.

</details>

<details><summary><h3><strong>def _draw_text(self, pos, text, font, text_fg, text_bg)</strong></h3></summary>

Remember a single drawable tuple to paint later.

</details>

<details><summary><h3><strong>def _create_drawables(self, tokensource)</strong></h3></summary>

Create drawables for the token content.

</details>

<details><summary><h3><strong>def _draw_line_numbers(self)</strong></h3></summary>

Create drawables for the line numbers.

</details>

<details><summary><h3><strong>def _paint_line_number_bg(self, im)</strong></h3></summary>

Paint the line number background on the image.

</details>

<details><summary><h3><strong>def format(self, tokensource, outfile)</strong></h3></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        This implementation calculates where it should draw each token on the
        pixmap, then calculates the required pixmap size and draws the items.

</details>

</details>


<details><summary><h2><strong> irc.py</strong></h2></summary>

pygments.formatters.irc
    ~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for IRC output

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IRCFormatter](#class-ircformatter)
</details>

<details><summary><h3><strong>class IRCFormatter</strong></h3></summary>

Format tokens with IRC color sequences

    The `get_style_defs()` method doesn't do anything special since there is
    no support for common styles.

    Options accepted:

    `bg`
        Set to ``"light"`` or ``"dark"`` depending on the terminal's background
        (default: ``"light"``).

    `colorscheme`
        A dictionary mapping token types to (lightbg, darkbg) color names or
        ``None`` (default: ``None`` = use builtin colorscheme).

    `linenos`
        Set to ``True`` to have line numbers in the output as well
        (default: ``False`` = no line numbers).

</details>

</details>


<details><summary><h2><strong> latex.py</strong></h2></summary>

pygments.formatters.latex
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for LaTeX fancyvrb output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LatexFormatter](#class-latexformatter)
- [class to](#class-to)
- [class LatexEmbeddedLexer](#class-latexembeddedlexer)
- [def __init__](#def-__init__)
- [def _create_stylesheet](#def-_create_stylesheet)
- [def rgbcolor](#def-rgbcolor)
- [def in](#def-in)
- [def def](#def-def)
- [def __init__](#def-__init__)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def _find_safe_escape_tokens](#def-_find_safe_escape_tokens)
- [def _filter_to](#def-_filter_to)
- [def _find_escape_tokens](#def-_find_escape_tokens)
</details>

<details><summary><h3><strong>class LatexFormatter</strong></h3></summary>

Format tokens as LaTeX code. This needs the `fancyvrb` and `color`
    standard packages.

    Without the `full` option, code is formatted as one ``Verbatim``
    environment, like this:

    .. sourcecode:: latex

        \begin{Verbatim}[commandchars=\\\{\}]
        \PY{k}{def }\PY{n+nf}{foo}(\PY{n}{bar}):
            \PY{k}{pass}
        \end{Verbatim}

    Wrapping can be disabled using the `nowrap` option.

    The special command used here (``\PY``) and all the other macros it needs
    are output by the `get_style_defs` method.

    With the `full` option, a complete LaTeX document is output, including
    the command definitions in the preamble.

    The `get_style_defs()` method of a `LatexFormatter` returns a string
    containing ``\def`` commands defining the macros needed inside the
    ``Verbatim`` environments.

    Additional options accepted:

    `nowrap`
        If set to ``True``, don't wrap the tokens at all, not even inside a
        ``\begin{Verbatim}`` environment. This disables most other options
        (default: ``False``).

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``).

    `full`
        Tells the formatter to output a "full" document, i.e. a complete
        self-contained document (default: ``False``).

    `title`
        If `full` is true, the title that should be used to caption the
        document (default: ``''``).

    `docclass`
        If the `full` option is enabled, this is the document class to use
        (default: ``'article'``).

    `preamble`
        If the `full` option is enabled, this can be further preamble commands,
        e.g. ``\usepackage`` (default: ``''``).

    `linenos`
        If set to ``True``, output line numbers (default: ``False``).

    `linenostart`
        The line number for the first line (default: ``1``).

    `linenostep`
        If set to a number n > 1, only every nth line number is printed.

    `verboptions`
        Additional options given to the Verbatim environment (see the *fancyvrb*
        docs for possible values) (default: ``''``).

    `commandprefix`
        The LaTeX commands used to produce colored output are constructed
        using this prefix and some letters (default: ``'PY'``).

        .. versionadded:: 0.7
        .. versionchanged:: 0.10
           The default is now ``'PY'`` instead of ``'C'``.

    `texcomments`
        If set to ``True``, enables LaTeX comment lines.  That is, LaTex markup
        in comment tokens is not escaped so that LaTeX can render it (default:
        ``False``).

        .. versionadded:: 1.2

    `mathescape`
        If set to ``True``, enables LaTeX math mode escape in comments. That
        is, ``'$...$'`` inside a comment will trigger math mode (default:
        ``False``).

        .. versionadded:: 1.2

    `escapeinside`
        If set to a string of length 2, enables escaping to LaTeX. Text
        delimited by these 2 characters is read as LaTeX code and
        typeset accordingly. It has no effect in string literals. It has
        no effect in comments if `texcomments` or `mathescape` is
        set. (default: ``''``).

        .. versionadded:: 2.0

    `envname`
        Allows you to pick an alternative environment name replacing Verbatim.
        The alternate environment still has to support Verbatim's option syntax.
        (default: ``'Verbatim'``).

        .. versionadded:: 2.0

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def rgbcolor</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def def</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

name = 'LaTeX'
    aliases = ['latex', 'tex']
    filenames = ['*.tex']

    def __init__(self, **options):
        Formatter.__init__(self, **options)
        self.nowrap = get_bool_opt(options, 'nowrap', False)
        self.docclass = options.get('docclass', 'article')
        self.preamble = options.get('preamble', '')
        self.linenos = get_bool_opt(options, 'linenos', False)
        self.linenostart = abs(get_int_opt(options, 'linenostart', 1))
        self.linenostep = abs(get_int_opt(options, 'linenostep', 1))
        self.verboptions = options.get('verboptions', '')
        self.nobackground = get_bool_opt(options, 'nobackground', False)
        self.commandprefix = options.get('commandprefix', 'PY')
        self.texcomments = get_bool_opt(options, 'texcomments', False)
        self.mathescape = get_bool_opt(options, 'mathescape', False)
        self.escapeinside = options.get('escapeinside', '')
        if len(self.escapeinside) == 2:
            self.left = self.escapeinside[0]
            self.right = self.escapeinside[1]
        else:
            self.escapeinside = ''
        self.envname = options.get('envname', 'Verbatim')

        self._create_stylesheet()

    def _create_stylesheet(self):
        t2n = self.ttype2name = {Token: ''}
        c2d = self.cmd2def = {}
        cp = self.commandprefix

        def rgbcolor(col):
            if col:
                return ','.join(['%.2f' % (int(col[i] + col[i + 1], 16) / 255.0)
                                 for i in (0, 2, 4)])
            else:
                return '1,1,1'

        for ttype, ndef in self.style:
            name = _get_ttype_name(ttype)
            cmndef = ''
            if ndef['bold']:
                cmndef += r'\let\$$@bf=\textbf'
            if ndef['italic']:
                cmndef += r'\let\$$@it=\textit'
            if ndef['underline']:
                cmndef += r'\let\$$@ul=\underline'
            if ndef['roman']:
                cmndef += r'\let\$$@ff=\textrm'
            if ndef['sans']:
                cmndef += r'\let\$$@ff=\textsf'
            if ndef['mono']:
                cmndef += r'\let\$$@ff=\textsf'
            if ndef['color']:
                cmndef += (r'\def\$$@tc##1{{\textcolor[rgb]{{{}}}{{##1}}}}'.format(rgbcolor(ndef['color'])))
            if ndef['border']:
                cmndef += (r'\def\$$@bc##1{{{{\setlength{{\fboxsep}}{{\string -\fboxrule}}'
                           r'\fcolorbox[rgb]{{{}}}{{{}}}{{\strut ##1}}}}}}'.format(rgbcolor(ndef['border']),
                            rgbcolor(ndef['bgcolor'])))
            elif ndef['bgcolor']:
                cmndef += (r'\def\$$@bc##1{{{{\setlength{{\fboxsep}}{{0pt}}'
                           r'\colorbox[rgb]{{{}}}{{\strut ##1}}}}}}'.format(rgbcolor(ndef['bgcolor'])))
            if cmndef == '':
                continue
            cmndef = cmndef.replace('$$', cp)
            t2n[ttype] = name
            c2d[name] = cmndef

    def get_style_defs(self, arg=''):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def _create_stylesheet</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def rgbcolor</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h4><strong>def def</strong></h4></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

</details>

<details><summary><h3><strong>class LatexEmbeddedLexer</strong></h3></summary>

This lexer takes one lexer as argument, the lexer for the language
    being formatted, and the left and right delimiters for escaped text.

    First everything is scanned using the language lexer to obtain
    strings and comments. All other consecutive tokens are merged and
    the resulting text is scanned for escaped segments, which are given
    the Token.Escape type. Finally text that is not escaped is scanned
    again with the language lexer.

<details><summary><h4><strong>def __init__</strong></h4></summary>

find escape tokens that are not in strings or comments

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

find escape tokens that are not in strings or comments

</details>

<details><summary><h4><strong>def _find_safe_escape_tokens</strong></h4></summary>

find escape tokens that are not in strings or comments

</details>

<details><summary><h4><strong>def _filter_to</strong></h4></summary>

Keep only the tokens that match `pred`, merge the others together

</details>

<details><summary><h4><strong>def _find_escape_tokens</strong></h4></summary>

Find escape tokens within text, give token=None otherwise

</details>

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h3><strong>def _create_stylesheet(self)</strong></h3></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h3><strong>def rgbcolor(col)</strong></h3></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h3><strong>def get_style_defs(self, arg='')</strong></h3></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h3><strong>def get_style_defs(self, arg='')</strong></h3></summary>

Return the command sequences needed to define the commands
        used to format text in the verbatim environment. ``arg`` is ignored.

</details>

<details><summary><h3><strong>def __init__(self, left, right, lang, **options)</strong></h3></summary>

find escape tokens that are not in strings or comments

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

find escape tokens that are not in strings or comments

</details>

<details><summary><h3><strong>def _find_safe_escape_tokens(self, text)</strong></h3></summary>

find escape tokens that are not in strings or comments

</details>

<details><summary><h3><strong>def _filter_to(self, it, pred)</strong></h3></summary>

Keep only the tokens that match `pred`, merge the others together

</details>

<details><summary><h3><strong>def _find_escape_tokens(self, text)</strong></h3></summary>

Find escape tokens within text, give token=None otherwise

</details>

</details>


<details><summary><h2><strong> other.py</strong></h2></summary>

pygments.formatters.other
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Other formatters: NullFormatter, RawTokenFormatter.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NullFormatter](#class-nullformatter)
- [class RawTokenFormatter](#class-rawtokenformatter)
- [class TestcaseFormatter](#class-testcaseformatter)
</details>

<details><summary><h3><strong>class NullFormatter</strong></h3></summary>

Output the text unchanged without any formatting.

</details>

<details><summary><h3><strong>class RawTokenFormatter</strong></h3></summary>

Format tokens as a raw representation for storing token streams.

    The format is ``tokentype<TAB>repr(tokenstring)\n``. The output can later
    be converted to a token stream with the `RawTokenLexer`, described in the
    :doc:`lexer list <lexers>`.

    Only two options are accepted:

    `compress`
        If set to ``'gz'`` or ``'bz2'``, compress the output with the given
        compression algorithm after encoding (default: ``''``).
    `error_color`
        If set to a color name, highlight error tokens using that color.  If
        set but with no value, defaults to ``'red'``.

        .. versionadded:: 0.11

</details>

<details><summary><h3><strong>class TestcaseFormatter</strong></h3></summary>

Format tokens as appropriate for a new testcase.

    .. versionadded:: 2.0

</details>

</details>


<details><summary><h2><strong> pangomarkup.py</strong></h2></summary>

pygments.formatters.pangomarkup
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for Pango markup output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PangoMarkupFormatter](#class-pangomarkupformatter)
- [def escape_special_chars](#def-escape_special_chars)
</details>

<details><summary><h3><strong>class PangoMarkupFormatter</strong></h3></summary>

Format tokens as Pango Markup code. It can then be rendered to an SVG.

    .. versionadded:: 2.9

</details>

<details><summary><h3><strong>def escape_special_chars(text, table=_escape_table)</strong></h3></summary>

Escape & and < for Pango Markup.

</details>

</details>


<details><summary><h2><strong> rtf.py</strong></h2></summary>

pygments.formatters.rtf
    ~~~~~~~~~~~~~~~~~~~~~~~

    A formatter that generates RTF files.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RtfFormatter](#class-rtfformatter)
- [def __init__](#def-__init__)
- [def _escape](#def-_escape)
- [def _escape_text](#def-_escape_text)
- [def hex_to_rtf_color](#def-hex_to_rtf_color)
- [def _split_tokens_on_newlines](#def-_split_tokens_on_newlines)
- [def _create_color_mapping](#def-_create_color_mapping)
</details>

<details><summary><h3><strong>class RtfFormatter</strong></h3></summary>

Format tokens as RTF markup. This formatter automatically outputs full RTF
    documents with color information and other useful stuff. Perfect for Copy and
    Paste into Microsoft(R) Word(R) documents.

    Please note that ``encoding`` and ``outencoding`` options are ignored.
    The RTF format is ASCII natively, but handles unicode characters correctly
    thanks to escape sequences.

    .. versionadded:: 0.6

    Additional options accepted:

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``).

    `fontface`
        The used font family, for example ``Bitstream Vera Sans``. Defaults to
        some generic font which is supposed to have fixed width.

    `fontsize`
        Size of the font used. Size is specified in half points. The
        default is 24 half-points, giving a size 12 font.

        .. versionadded:: 2.0

    `linenos`
        Turn on line numbering (default: ``False``).

        .. versionadded:: 2.18

    `lineno_fontsize`
        Font size for line numbers. Size is specified in half points
        (default: `fontsize`). 

        .. versionadded:: 2.18

    `lineno_padding`
        Number of spaces between the (inline) line numbers and the
        source code (default: ``2``).

        .. versionadded:: 2.18

    `linenostart`
        The line number for the first line (default: ``1``).

        .. versionadded:: 2.18

    `linenostep`
        If set to a number n > 1, only every nth line number is printed.

        .. versionadded:: 2.18

    `lineno_color`
        Color for line numbers specified as a hex triplet, e.g. ``'5e5e5e'``. 
        Defaults to the style's line number color if it is a hex triplet, 
        otherwise ansi bright black.

        .. versionadded:: 2.18

    `hl_lines`
        Specify a list of lines to be highlighted, as line numbers separated by
        spaces, e.g. ``'3 7 8'``. The line numbers are relative to the input 
        (i.e. the first line is line 1) unless `hl_linenostart` is set.

        .. versionadded:: 2.18

    `hl_color`
        Color for highlighting the lines specified in `hl_lines`, specified as 
        a hex triplet (default: style's `highlight_color`).

        .. versionadded:: 2.18

    `hl_linenostart`
        If set to ``True`` line numbers in `hl_lines` are specified
        relative to `linenostart` (default ``False``).

        .. versionadded:: 2.18

<details><summary><h4><strong>def __init__</strong></h4></summary>

Additional options accepted:

        ``fontface``
            Name of the font used. Could for example be ``'Courier New'``
            to further specify the default which is ``'\fmodern'``. The RTF
            specification claims that ``\fmodern`` are "Fixed-pitch serif
            and sans serif fonts". Hope every RTF implementation thinks
            the same about modern...

</details>

<details><summary><h4><strong>def _escape</strong></h4></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h4><strong>def _escape_text</strong></h4></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h4><strong>def hex_to_rtf_color</strong></h4></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h4><strong>def _split_tokens_on_newlines</strong></h4></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h4><strong>def _create_color_mapping</strong></h4></summary>

Create a mapping of style hex colors to index/offset in
        the RTF color table.

</details>

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Additional options accepted:

        ``fontface``
            Name of the font used. Could for example be ``'Courier New'``
            to further specify the default which is ``'\fmodern'``. The RTF
            specification claims that ``\fmodern`` are "Fixed-pitch serif
            and sans serif fonts". Hope every RTF implementation thinks
            the same about modern...

</details>

<details><summary><h3><strong>def _escape(self, text)</strong></h3></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h3><strong>def _escape_text(self, text)</strong></h3></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h3><strong>def hex_to_rtf_color(hex_color)</strong></h3></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h3><strong>def _split_tokens_on_newlines(self, tokensource)</strong></h3></summary>

Split tokens containing newline characters into multiple token
        each representing a line of the input file. Needed for numbering
        lines of e.g. multiline comments.

</details>

<details><summary><h3><strong>def _create_color_mapping(self)</strong></h3></summary>

Create a mapping of style hex colors to index/offset in
        the RTF color table.

</details>

</details>


<details><summary><h2><strong> svg.py</strong></h2></summary>

pygments.formatters.svg
    ~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for SVG output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SvgFormatter](#class-svgformatter)
- [def escape_html](#def-escape_html)
- [def __init__](#def-__init__)
- [def format_unencoded](#def-format_unencoded)
</details>

<details><summary><h3><strong>class SvgFormatter</strong></h3></summary>

Format tokens as an SVG graphics file.  This formatter is still experimental.
    Each line of code is a ``<text>`` element with explicit ``x`` and ``y``
    coordinates containing ``<tspan>`` elements with the individual token styles.

    By default, this formatter outputs a full SVG document including doctype
    declaration and the ``<svg>`` root element.

    .. versionadded:: 0.9

    Additional options accepted:

    `nowrap`
        Don't wrap the SVG ``<text>`` elements in ``<svg><g>`` elements and
        don't add a XML declaration and a doctype.  If true, the `fontfamily`
        and `fontsize` options are ignored.  Defaults to ``False``.

    `fontfamily`
        The value to give the wrapping ``<g>`` element's ``font-family``
        attribute, defaults to ``"monospace"``.

    `fontsize`
        The value to give the wrapping ``<g>`` element's ``font-size``
        attribute, defaults to ``"14px"``.

    `linenos`
        If ``True``, add line numbers (default: ``False``).

    `linenostart`
        The line number for the first line (default: ``1``).

    `linenostep`
        If set to a number n > 1, only every nth line number is printed.

    `linenowidth`
        Maximum width devoted to line numbers (default: ``3*ystep``, sufficient
        for up to 4-digit line numbers. Increase width for longer code blocks).

    `xoffset`
        Starting offset in X direction, defaults to ``0``.

    `yoffset`
        Starting offset in Y direction, defaults to the font size if it is given
        in pixels, or ``20`` else.  (This is necessary since text coordinates
        refer to the text baseline, not the top edge.)

    `ystep`
        Offset to add to the Y coordinate for each subsequent line.  This should
        roughly be the text size plus 5.  It defaults to that value if the text
        size is given in pixels, or ``25`` else.

    `spacehack`
        Convert spaces in the source to ``&#160;``, which are non-breaking
        spaces.  SVG provides the ``xml:space`` attribute to control how
        whitespace inside tags is handled, in theory, the ``preserve`` value
        could be used to keep all whitespace as-is.  However, many current SVG
        viewers don't obey that rule, so this option is provided as a workaround
        and defaults to ``True``.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        For our implementation we put all lines in their own 'line group'.

</details>

<details><summary><h4><strong>def format_unencoded</strong></h4></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        For our implementation we put all lines in their own 'line group'.

</details>

</details>

<details><summary><h3><strong>def escape_html(text)</strong></h3></summary>

Escape &, <, > as well as single and double quotes for HTML.

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        For our implementation we put all lines in their own 'line group'.

</details>

<details><summary><h3><strong>def format_unencoded(self, tokensource, outfile)</strong></h3></summary>

Format ``tokensource``, an iterable of ``(tokentype, tokenstring)``
        tuples and write it into ``outfile``.

        For our implementation we put all lines in their own 'line group'.

</details>

</details>


<details><summary><h2><strong> terminal.py</strong></h2></summary>

pygments.formatters.terminal
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for terminal output with ANSI sequences.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TerminalFormatter](#class-terminalformatter)
</details>

<details><summary><h3><strong>class TerminalFormatter</strong></h3></summary>

Format tokens with ANSI color sequences, for output in a text console.
    Color sequences are terminated at newlines, so that paging the output
    works correctly.

    The `get_style_defs()` method doesn't do anything special since there is
    no support for common styles.

    Options accepted:

    `bg`
        Set to ``"light"`` or ``"dark"`` depending on the terminal's background
        (default: ``"light"``).

    `colorscheme`
        A dictionary mapping token types to (lightbg, darkbg) color names or
        ``None`` (default: ``None`` = use builtin colorscheme).

    `linenos`
        Set to ``True`` to have line numbers on the terminal output as well
        (default: ``False`` = no line numbers).

</details>

</details>


<details><summary><h2><strong> terminal256.py</strong></h2></summary>

pygments.formatters.terminal256
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Formatter for 256-color terminal output with ANSI sequences.

    RGB-to-XTERM color conversion routines adapted from xterm256-conv
    tool (http://frexx.de/xterm-256-notes/data/xterm256-conv2.tar.bz2)
    by Wolfgang Frisch.

    Formatter version 1.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Terminal256Formatter](#class-terminal256formatter)
- [class TerminalTrueColorFormatter](#class-terminaltruecolorformatter)
</details>

<details><summary><h3><strong>class Terminal256Formatter</strong></h3></summary>

Format tokens with ANSI color sequences, for output in a 256-color
    terminal or console.  Like in `TerminalFormatter` color sequences
    are terminated at newlines, so that paging the output works correctly.

    The formatter takes colors from a style defined by the `style` option
    and converts them to nearest ANSI 256-color escape sequences. Bold and
    underline attributes from the style are preserved (and displayed).

    .. versionadded:: 0.9

    .. versionchanged:: 2.2
       If the used style defines foreground colors in the form ``#ansi*``, then
       `Terminal256Formatter` will map these to non extended foreground color.
       See :ref:`AnsiTerminalStyle` for more information.

    .. versionchanged:: 2.4
       The ANSI color names have been updated with names that are easier to
       understand and align with colornames of other projects and terminals.
       See :ref:`this table <new-ansi-color-names>` for more information.


    Options accepted:

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``).

    `linenos`
        Set to ``True`` to have line numbers on the terminal output as well
        (default: ``False`` = no line numbers).

</details>

<details><summary><h3><strong>class TerminalTrueColorFormatter</strong></h3></summary>

Format tokens with ANSI color sequences, for output in a true-color
    terminal or console.  Like in `TerminalFormatter` color sequences
    are terminated at newlines, so that paging the output works correctly.

    .. versionadded:: 2.1

    Options accepted:

    `style`
        The style to use, can be a string or a Style subclass (default:
        ``'default'``).

</details>

</details>


<details><summary><h2><strong> lexer.py</strong></h2></summary>

pygments.lexer
    ~~~~~~~~~~~~~~

    Base lexer classes.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LexerMeta](#class-lexermeta)
- [class Lexer](#class-lexer)
- [class are](#class-are)
- [class must](#class-must)
- [class automatically](#class-automatically)
- [class DelegatingLexer](#class-delegatinglexer)
- [class include](#class-include)
- [class _inherit](#class-_inherit)
- [class combined](#class-combined)
- [class _PseudoMatch](#class-_pseudomatch)
- [class _This](#class-_this)
- [class default](#class-default)
- [class words](#class-words)
- [class RegexLexerMeta](#class-regexlexermeta)
- [class for](#class-for)
- [class will](#class-will)
- [class RegexLexer](#class-regexlexer)
- [class LexerContext](#class-lexercontext)
- [class ExtendedRegexLexer](#class-extendedregexlexer)
- [class ProfilingRegexLexerMeta](#class-profilingregexlexermeta)
- [class ProfilingRegexLexer](#class-profilingregexlexer)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def add_filter](#def-add_filter)
- [def analyse_text](#def-analyse_text)
- [def _preprocess_lexer_input](#def-_preprocess_lexer_input)
- [def get_tokens](#def-get_tokens)
- [def streamer](#def-streamer)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def bygroups](#def-bygroups)
- [def using](#def-using)
- [def _process_regex](#def-_process_regex)
- [def _process_token](#def-_process_token)
- [def _process_new_state](#def-_process_new_state)
- [def _process_state](#def-_process_state)
- [def in](#def-in)
- [def process_tokendef](#def-process_tokendef)
- [def get_tokendefs](#def-get_tokendefs)
- [def dictionary](#def-dictionary)
- [def __call__](#def-__call__)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def do_insertions](#def-do_insertions)
</details>

<details><summary><h3><strong>class LexerMeta</strong></h3></summary>

This metaclass automagically converts ``analyse_text`` methods into
    static methods which always return float values.

</details>

<details><summary><h3><strong>class Lexer</strong></h3></summary>

Lexer for a specific language.

    See also :doc:`lexerdevelopment`, a high-level guide to writing
    lexers.

    Lexer classes have attributes used for choosing the most appropriate
    lexer based on various criteria.

    .. autoattribute:: name
       :no-value:
    .. autoattribute:: aliases
       :no-value:
    .. autoattribute:: filenames
       :no-value:
    .. autoattribute:: alias_filenames
    .. autoattribute:: mimetypes
       :no-value:
    .. autoattribute:: priority

    Lexers included in Pygments should have two additional attributes:

    .. autoattribute:: url
       :no-value:
    .. autoattribute:: version_added
       :no-value:

    Lexers included in Pygments may have additional attributes:

    .. autoattribute:: _example
       :no-value:

    You can pass options to the constructor. The basic options recognized
    by all lexers and processed by the base `Lexer` class are:

    ``stripnl``
        Strip leading and trailing newlines from the input (default: True).
    ``stripall``
        Strip all leading and trailing whitespace from the input
        (default: False).
    ``ensurenl``
        Make sure that the input ends with a newline (default: True).  This
        is required for some lexers that consume input linewise.

        .. versionadded:: 1.3

    ``tabsize``
        If given and greater than 0, expand tabs in the input (default: 0).
    ``encoding``
        If given, must be an encoding name. This encoding will be used to
        convert the input string to Unicode, if it is not already a Unicode
        string (default: ``'guess'``, which uses a simple UTF-8 / Locale /
        Latin1 detection.  Can also be ``'chardet'`` to use the chardet
        library, if it is installed.
    ``inencoding``
        Overrides the ``encoding`` if given.

<details><summary><h4><strong>def __init__</strong></h4></summary>

This constructor takes arbitrary options as keyword arguments.
        Every subclass must first process its own options and then call
        the `Lexer` constructor, since it processes the basic
        options like `stripnl`.

        An example looks like this:

        .. sourcecode:: python

           def __init__(self, **options):
               self.compress = options.get('compress', '')
               Lexer.__init__(self, **options)

        As these options must all be specifiable as strings (due to the
        command line usage), there are various utility functions
        available to help with that, see `Utilities`_.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

self.options = options
        self.stripnl = get_bool_opt(options, 'stripnl', True)
        self.stripall = get_bool_opt(options, 'stripall', False)
        self.ensurenl = get_bool_opt(options, 'ensurenl', True)
        self.tabsize = get_int_opt(options, 'tabsize', 0)
        self.encoding = options.get('encoding', 'guess')
        self.encoding = options.get('inencoding') or self.encoding
        self.filters = []
        for filter_ in get_list_opt(options, 'filters', ()):
            self.add_filter(filter_)

    def __repr__(self):
        if self.options:
            return f'<pygments.lexers.{self.__class__.__name__} with {self.options!r}>'
        else:
            return f'<pygments.lexers.{self.__class__.__name__}>'

    def add_filter(self, filter_, **options):

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h4><strong>def add_filter</strong></h4></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

A static method which is called for lexer guessing.

        It should analyse the text and return a float in the range
        from ``0.0`` to ``1.0``.  If it returns ``0.0``, the lexer
        will not be selected as the most probable one, if it returns
        ``1.0``, it will be selected immediately.  This is used by
        `guess_lexer`.

        The `LexerMeta` metaclass automatically wraps this function so
        that it works like a static method (no ``self`` or ``cls``
        parameter) and the return value is automatically converted to
        `float`. If the return value is an object that is boolean `False`
        it's the same as if the return values was ``0.0``.

</details>

<details><summary><h4><strong>def _preprocess_lexer_input</strong></h4></summary>

Apply preprocessing such as decoding the input, removing BOM and normalizing newlines.

</details>

<details><summary><h4><strong>def get_tokens</strong></h4></summary>

This method is the basic interface of a lexer. It is called by
        the `highlight()` function. It must process the text and return an
        iterable of ``(tokentype, value)`` pairs from `text`.

        Normally, you don't need to override this method. The default
        implementation processes the options recognized by all lexers
        (`stripnl`, `stripall` and so on), and then yields all tokens
        from `get_tokens_unprocessed()`, with the ``index`` dropped.

        If `unfiltered` is set to `True`, the filtering mechanism is
        bypassed even if filters are defined.

</details>

<details><summary><h4><strong>def streamer</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

</details>

<details><summary><h3><strong>class are</strong></h3></summary>

#: Full name of the lexer, in human-readable form
    name = None

    #: A list of short, unique identifiers that can be used to look
    #: up the lexer from a list, e.g., using `get_lexer_by_name()`.
    aliases = []

    #: A list of `fnmatch` patterns that match filenames which contain
    #: content for this lexer. The patterns in this list should be unique among
    #: all lexers.
    filenames = []

    #: A list of `fnmatch` patterns that match filenames which may or may not
    #: contain content for this lexer. This list is used by the
    #: :func:`.guess_lexer_for_filename()` function, to determine which lexers
    #: are then included in guessing the correct one. That means that
    #: e.g. every lexer for HTML and a template language should include
    #: ``\*.html`` in this list.
    alias_filenames = []

    #: A list of MIME types for content that can be lexed with this lexer.
    mimetypes = []

    #: Priority, should multiple lexers match and no content is provided
    priority = 0

    #: URL of the language specification/definition. Used in the Pygments
    #: documentation. Set to an empty string to disable.
    url = None

    #: Version of Pygments in which the lexer was added.
    version_added = None

    #: Example file name. Relative to the ``tests/examplefiles`` directory.
    #: This is used by the documentation generator to show an example.
    _example = None

    def __init__(self, **options):

<details><summary><h4><strong>def __init__</strong></h4></summary>

This constructor takes arbitrary options as keyword arguments.
        Every subclass must first process its own options and then call
        the `Lexer` constructor, since it processes the basic
        options like `stripnl`.

        An example looks like this:

        .. sourcecode:: python

           def __init__(self, **options):
               self.compress = options.get('compress', '')
               Lexer.__init__(self, **options)

        As these options must all be specifiable as strings (due to the
        command line usage), there are various utility functions
        available to help with that, see `Utilities`_.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

self.options = options
        self.stripnl = get_bool_opt(options, 'stripnl', True)
        self.stripall = get_bool_opt(options, 'stripall', False)
        self.ensurenl = get_bool_opt(options, 'ensurenl', True)
        self.tabsize = get_int_opt(options, 'tabsize', 0)
        self.encoding = options.get('encoding', 'guess')
        self.encoding = options.get('inencoding') or self.encoding
        self.filters = []
        for filter_ in get_list_opt(options, 'filters', ()):
            self.add_filter(filter_)

    def __repr__(self):
        if self.options:
            return f'<pygments.lexers.{self.__class__.__name__} with {self.options!r}>'
        else:
            return f'<pygments.lexers.{self.__class__.__name__}>'

    def add_filter(self, filter_, **options):

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h4><strong>def add_filter</strong></h4></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

A static method which is called for lexer guessing.

        It should analyse the text and return a float in the range
        from ``0.0`` to ``1.0``.  If it returns ``0.0``, the lexer
        will not be selected as the most probable one, if it returns
        ``1.0``, it will be selected immediately.  This is used by
        `guess_lexer`.

        The `LexerMeta` metaclass automatically wraps this function so
        that it works like a static method (no ``self`` or ``cls``
        parameter) and the return value is automatically converted to
        `float`. If the return value is an object that is boolean `False`
        it's the same as if the return values was ``0.0``.

</details>

<details><summary><h4><strong>def _preprocess_lexer_input</strong></h4></summary>

Apply preprocessing such as decoding the input, removing BOM and normalizing newlines.

</details>

<details><summary><h4><strong>def get_tokens</strong></h4></summary>

This method is the basic interface of a lexer. It is called by
        the `highlight()` function. It must process the text and return an
        iterable of ``(tokentype, value)`` pairs from `text`.

        Normally, you don't need to override this method. The default
        implementation processes the options recognized by all lexers
        (`stripnl`, `stripall` and so on), and then yields all tokens
        from `get_tokens_unprocessed()`, with the ``index`` dropped.

        If `unfiltered` is set to `True`, the filtering mechanism is
        bypassed even if filters are defined.

</details>

<details><summary><h4><strong>def streamer</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

</details>

<details><summary><h3><strong>class must</strong></h3></summary>

self.options = options
        self.stripnl = get_bool_opt(options, 'stripnl', True)
        self.stripall = get_bool_opt(options, 'stripall', False)
        self.ensurenl = get_bool_opt(options, 'ensurenl', True)
        self.tabsize = get_int_opt(options, 'tabsize', 0)
        self.encoding = options.get('encoding', 'guess')
        self.encoding = options.get('inencoding') or self.encoding
        self.filters = []
        for filter_ in get_list_opt(options, 'filters', ()):
            self.add_filter(filter_)

    def __repr__(self):
        if self.options:
            return f'<pygments.lexers.{self.__class__.__name__} with {self.options!r}>'
        else:
            return f'<pygments.lexers.{self.__class__.__name__}>'

    def add_filter(self, filter_, **options):

<details><summary><h4><strong>def __init__</strong></h4></summary>

self.options = options
        self.stripnl = get_bool_opt(options, 'stripnl', True)
        self.stripall = get_bool_opt(options, 'stripall', False)
        self.ensurenl = get_bool_opt(options, 'ensurenl', True)
        self.tabsize = get_int_opt(options, 'tabsize', 0)
        self.encoding = options.get('encoding', 'guess')
        self.encoding = options.get('inencoding') or self.encoding
        self.filters = []
        for filter_ in get_list_opt(options, 'filters', ()):
            self.add_filter(filter_)

    def __repr__(self):
        if self.options:
            return f'<pygments.lexers.{self.__class__.__name__} with {self.options!r}>'
        else:
            return f'<pygments.lexers.{self.__class__.__name__}>'

    def add_filter(self, filter_, **options):

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h4><strong>def add_filter</strong></h4></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

A static method which is called for lexer guessing.

        It should analyse the text and return a float in the range
        from ``0.0`` to ``1.0``.  If it returns ``0.0``, the lexer
        will not be selected as the most probable one, if it returns
        ``1.0``, it will be selected immediately.  This is used by
        `guess_lexer`.

        The `LexerMeta` metaclass automatically wraps this function so
        that it works like a static method (no ``self`` or ``cls``
        parameter) and the return value is automatically converted to
        `float`. If the return value is an object that is boolean `False`
        it's the same as if the return values was ``0.0``.

</details>

<details><summary><h4><strong>def _preprocess_lexer_input</strong></h4></summary>

Apply preprocessing such as decoding the input, removing BOM and normalizing newlines.

</details>

<details><summary><h4><strong>def get_tokens</strong></h4></summary>

This method is the basic interface of a lexer. It is called by
        the `highlight()` function. It must process the text and return an
        iterable of ``(tokentype, value)`` pairs from `text`.

        Normally, you don't need to override this method. The default
        implementation processes the options recognized by all lexers
        (`stripnl`, `stripall` and so on), and then yields all tokens
        from `get_tokens_unprocessed()`, with the ``index`` dropped.

        If `unfiltered` is set to `True`, the filtering mechanism is
        bypassed even if filters are defined.

</details>

<details><summary><h4><strong>def streamer</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

</details>

<details><summary><h3><strong>class automatically</strong></h3></summary>

def _preprocess_lexer_input(self, text):

<details><summary><h4><strong>def _preprocess_lexer_input</strong></h4></summary>

Apply preprocessing such as decoding the input, removing BOM and normalizing newlines.

</details>

<details><summary><h4><strong>def get_tokens</strong></h4></summary>

This method is the basic interface of a lexer. It is called by
        the `highlight()` function. It must process the text and return an
        iterable of ``(tokentype, value)`` pairs from `text`.

        Normally, you don't need to override this method. The default
        implementation processes the options recognized by all lexers
        (`stripnl`, `stripall` and so on), and then yields all tokens
        from `get_tokens_unprocessed()`, with the ``index`` dropped.

        If `unfiltered` is set to `True`, the filtering mechanism is
        bypassed even if filters are defined.

</details>

<details><summary><h4><strong>def streamer</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

</details>

<details><summary><h3><strong>class DelegatingLexer</strong></h3></summary>

This lexer takes two lexer as arguments. A root lexer and
    a language lexer. First everything is scanned using the language
    lexer, afterwards all ``Other`` tokens are lexed using the root
    lexer.

    The lexers from the ``template`` lexer package use this base lexer.

</details>

<details><summary><h3><strong>class include</strong></h3></summary>

Indicates that a state should include rules from another state.

</details>

<details><summary><h3><strong>class _inherit</strong></h3></summary>

Indicates the a state should inherit from its superclass.

</details>

<details><summary><h3><strong>class combined</strong></h3></summary>

Indicates a state combined from multiple states.

</details>

<details><summary><h3><strong>class _PseudoMatch</strong></h3></summary>

A pseudo match object constructed from a string.

</details>

<details><summary><h3><strong>class _This</strong></h3></summary>

Special singleton used for indicating the caller class.
    Used by ``using``.

</details>

<details><summary><h3><strong>class default</strong></h3></summary>

Indicates a state or state action (e.g. #pop) to apply.
    For example default('#pop') is equivalent to ('', Token, '#pop')
    Note that state tuples may be used as well.

    .. versionadded:: 2.0

</details>

<details><summary><h3><strong>class words</strong></h3></summary>

Indicates a list of literal words that is transformed into an optimized
    regex that matches any of the words.

    .. versionadded:: 2.0

</details>

<details><summary><h3><strong>class RegexLexerMeta</strong></h3></summary>

Metaclass for RegexLexer, creates the self._tokens attribute from
    self.tokens on the first instantiation.

<details><summary><h4><strong>def _process_regex</strong></h4></summary>

Preprocess the regular expression component of a token definition.

</details>

<details><summary><h4><strong>def _process_token</strong></h4></summary>

Preprocess the token component of a token definition.

</details>

<details><summary><h4><strong>def _process_new_state</strong></h4></summary>

Preprocess the state transition action of a token definition.

</details>

<details><summary><h4><strong>def _process_state</strong></h4></summary>

Preprocess a single state definition.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Preprocess a dictionary of token definitions.

</details>

<details><summary><h4><strong>def process_tokendef</strong></h4></summary>

Preprocess a dictionary of token definitions.

</details>

<details><summary><h4><strong>def get_tokendefs</strong></h4></summary>

Merge tokens from superclasses in MRO order, returning a single tokendef
        dictionary.

        Any state that is not defined by a subclass will be inherited
        automatically.  States that *are* defined by subclasses will, by
        default, override that state in the superclass.  If a subclass wishes to
        inherit definitions from a superclass, it can use the special value
        "inherit", which will cause the superclass' state definition to be
        included at that point in the state.

</details>

<details><summary><h4><strong>def dictionary</strong></h4></summary>

tokens = {}
        inheritable = {}
        for c in cls.__mro__:
            toks = c.__dict__.get('tokens', {})

            for state, items in toks.items():
                curitems = tokens.get(state)
                if curitems is None:
                    # N.b. because this is assigned by reference, sufficiently
                    # deep hierarchies are processed incrementally (e.g. for
                    # A(B), B(C), C(RegexLexer), B will be premodified so X(B)
                    # will not see any inherits in B).
                    tokens[state] = items
                    try:
                        inherit_ndx = items.index(inherit)
                    except ValueError:
                        continue
                    inheritable[state] = inherit_ndx
                    continue

                inherit_ndx = inheritable.pop(state, None)
                if inherit_ndx is None:
                    continue

                # Replace the "inherit" value with the items
                curitems[inherit_ndx:inherit_ndx+1] = items
                try:
                    # N.b. this is the index in items (that is, the superclass
                    # copy), so offset required when storing below.
                    new_inh_ndx = items.index(inherit)
                except ValueError:
                    pass
                else:
                    inheritable[state] = inherit_ndx + new_inh_ndx

        return tokens

    def __call__(cls, *args, **kwds):

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Instantiate cls after preprocessing its token definitions.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

def _process_regex(cls, regex, rflags, state):

<details><summary><h4><strong>def _process_regex</strong></h4></summary>

Preprocess the regular expression component of a token definition.

</details>

<details><summary><h4><strong>def _process_token</strong></h4></summary>

Preprocess the token component of a token definition.

</details>

<details><summary><h4><strong>def _process_new_state</strong></h4></summary>

Preprocess the state transition action of a token definition.

</details>

<details><summary><h4><strong>def _process_state</strong></h4></summary>

Preprocess a single state definition.

</details>

<details><summary><h4><strong>def in</strong></h4></summary>

Preprocess a dictionary of token definitions.

</details>

<details><summary><h4><strong>def process_tokendef</strong></h4></summary>

Preprocess a dictionary of token definitions.

</details>

<details><summary><h4><strong>def get_tokendefs</strong></h4></summary>

Merge tokens from superclasses in MRO order, returning a single tokendef
        dictionary.

        Any state that is not defined by a subclass will be inherited
        automatically.  States that *are* defined by subclasses will, by
        default, override that state in the superclass.  If a subclass wishes to
        inherit definitions from a superclass, it can use the special value
        "inherit", which will cause the superclass' state definition to be
        included at that point in the state.

</details>

<details><summary><h4><strong>def dictionary</strong></h4></summary>

tokens = {}
        inheritable = {}
        for c in cls.__mro__:
            toks = c.__dict__.get('tokens', {})

            for state, items in toks.items():
                curitems = tokens.get(state)
                if curitems is None:
                    # N.b. because this is assigned by reference, sufficiently
                    # deep hierarchies are processed incrementally (e.g. for
                    # A(B), B(C), C(RegexLexer), B will be premodified so X(B)
                    # will not see any inherits in B).
                    tokens[state] = items
                    try:
                        inherit_ndx = items.index(inherit)
                    except ValueError:
                        continue
                    inheritable[state] = inherit_ndx
                    continue

                inherit_ndx = inheritable.pop(state, None)
                if inherit_ndx is None:
                    continue

                # Replace the "inherit" value with the items
                curitems[inherit_ndx:inherit_ndx+1] = items
                try:
                    # N.b. this is the index in items (that is, the superclass
                    # copy), so offset required when storing below.
                    new_inh_ndx = items.index(inherit)
                except ValueError:
                    pass
                else:
                    inheritable[state] = inherit_ndx + new_inh_ndx

        return tokens

    def __call__(cls, *args, **kwds):

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Instantiate cls after preprocessing its token definitions.

</details>

</details>

<details><summary><h3><strong>class will</strong></h3></summary>

tokens = {}
        inheritable = {}
        for c in cls.__mro__:
            toks = c.__dict__.get('tokens', {})

            for state, items in toks.items():
                curitems = tokens.get(state)
                if curitems is None:
                    # N.b. because this is assigned by reference, sufficiently
                    # deep hierarchies are processed incrementally (e.g. for
                    # A(B), B(C), C(RegexLexer), B will be premodified so X(B)
                    # will not see any inherits in B).
                    tokens[state] = items
                    try:
                        inherit_ndx = items.index(inherit)
                    except ValueError:
                        continue
                    inheritable[state] = inherit_ndx
                    continue

                inherit_ndx = inheritable.pop(state, None)
                if inherit_ndx is None:
                    continue

                # Replace the "inherit" value with the items
                curitems[inherit_ndx:inherit_ndx+1] = items
                try:
                    # N.b. this is the index in items (that is, the superclass
                    # copy), so offset required when storing below.
                    new_inh_ndx = items.index(inherit)
                except ValueError:
                    pass
                else:
                    inheritable[state] = inherit_ndx + new_inh_ndx

        return tokens

    def __call__(cls, *args, **kwds):

<details><summary><h4><strong>def __call__</strong></h4></summary>

Instantiate cls after preprocessing its token definitions.

</details>

</details>

<details><summary><h3><strong>class RegexLexer</strong></h3></summary>

Base for simple stateful regular expression-based lexers.
    Simplifies the lexing process so that you need only
    provide a list of states and regular expressions.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Split ``text`` into (tokentype, text) pairs.

        ``stack`` is the initial stack (default: ``['root']``)

</details>

</details>

<details><summary><h3><strong>class LexerContext</strong></h3></summary>

A helper object that holds lexer position data.

</details>

<details><summary><h3><strong>class ExtendedRegexLexer</strong></h3></summary>

A RegexLexer that uses a context object to store its state.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Split ``text`` into (tokentype, text) pairs.
        If ``context`` is given, use this lexer context instead.

</details>

</details>

<details><summary><h3><strong>class ProfilingRegexLexerMeta</strong></h3></summary>

Metaclass for ProfilingRegexLexer, collects regex timing info.

</details>

<details><summary><h3><strong>class ProfilingRegexLexer</strong></h3></summary>

Drop-in replacement for RegexLexer that does profiling of its regexes.

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

This constructor takes arbitrary options as keyword arguments.
        Every subclass must first process its own options and then call
        the `Lexer` constructor, since it processes the basic
        options like `stripnl`.

        An example looks like this:

        .. sourcecode:: python

           def __init__(self, **options):
               self.compress = options.get('compress', '')
               Lexer.__init__(self, **options)

        As these options must all be specifiable as strings (due to the
        command line usage), there are various utility functions
        available to help with that, see `Utilities`_.

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

self.options = options
        self.stripnl = get_bool_opt(options, 'stripnl', True)
        self.stripall = get_bool_opt(options, 'stripall', False)
        self.ensurenl = get_bool_opt(options, 'ensurenl', True)
        self.tabsize = get_int_opt(options, 'tabsize', 0)
        self.encoding = options.get('encoding', 'guess')
        self.encoding = options.get('inencoding') or self.encoding
        self.filters = []
        for filter_ in get_list_opt(options, 'filters', ()):
            self.add_filter(filter_)

    def __repr__(self):
        if self.options:
            return f'<pygments.lexers.{self.__class__.__name__} with {self.options!r}>'
        else:
            return f'<pygments.lexers.{self.__class__.__name__}>'

    def add_filter(self, filter_, **options):

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h3><strong>def add_filter(self, filter_, **options)</strong></h3></summary>

Add a new stream filter to this lexer.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

A static method which is called for lexer guessing.

        It should analyse the text and return a float in the range
        from ``0.0`` to ``1.0``.  If it returns ``0.0``, the lexer
        will not be selected as the most probable one, if it returns
        ``1.0``, it will be selected immediately.  This is used by
        `guess_lexer`.

        The `LexerMeta` metaclass automatically wraps this function so
        that it works like a static method (no ``self`` or ``cls``
        parameter) and the return value is automatically converted to
        `float`. If the return value is an object that is boolean `False`
        it's the same as if the return values was ``0.0``.

</details>

<details><summary><h3><strong>def _preprocess_lexer_input(self, text)</strong></h3></summary>

Apply preprocessing such as decoding the input, removing BOM and normalizing newlines.

</details>

<details><summary><h3><strong>def get_tokens(self, text, unfiltered=False)</strong></h3></summary>

This method is the basic interface of a lexer. It is called by
        the `highlight()` function. It must process the text and return an
        iterable of ``(tokentype, value)`` pairs from `text`.

        Normally, you don't need to override this method. The default
        implementation processes the options recognized by all lexers
        (`stripnl`, `stripall` and so on), and then yields all tokens
        from `get_tokens_unprocessed()`, with the ``index`` dropped.

        If `unfiltered` is set to `True`, the filtering mechanism is
        bypassed even if filters are defined.

</details>

<details><summary><h3><strong>def streamer()</strong></h3></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

This method should process the text and return an iterable of
        ``(index, tokentype, value)`` tuples where ``index`` is the starting
        position of the token within the input text.

        It must be overridden by subclasses. It is recommended to
        implement it as a generator to maximize effectiveness.

</details>

<details><summary><h3><strong>def bygroups(*args)</strong></h3></summary>

Callback that yields multiple actions for each group in the match.

</details>

<details><summary><h3><strong>def using(_other, **kwargs)</strong></h3></summary>

Callback that processes the match with a different lexer.

    The keyword arguments are forwarded to the lexer, except `state` which
    is handled separately.

    `state` specifies the state that the new lexer will start in, and can
    be an enumerable such as ('root', 'inline', 'string') or a simple
    string which is assumed to be on top of the root state.

    Note: For that to work, `_other` must not be an `ExtendedRegexLexer`.

</details>

<details><summary><h3><strong>def _process_regex(cls, regex, rflags, state)</strong></h3></summary>

Preprocess the regular expression component of a token definition.

</details>

<details><summary><h3><strong>def _process_token(cls, token)</strong></h3></summary>

Preprocess the token component of a token definition.

</details>

<details><summary><h3><strong>def _process_new_state(cls, new_state, unprocessed, processed)</strong></h3></summary>

Preprocess the state transition action of a token definition.

</details>

<details><summary><h3><strong>def _process_state(cls, unprocessed, processed, state)</strong></h3></summary>

Preprocess a single state definition.

</details>

<details><summary><h3><strong>def process_tokendef(cls, name, tokendefs=None)</strong></h3></summary>

Preprocess a dictionary of token definitions.

</details>

<details><summary><h3><strong>def process_tokendef(cls, name, tokendefs=None)</strong></h3></summary>

Preprocess a dictionary of token definitions.

</details>

<details><summary><h3><strong>def get_tokendefs(cls)</strong></h3></summary>

Merge tokens from superclasses in MRO order, returning a single tokendef
        dictionary.

        Any state that is not defined by a subclass will be inherited
        automatically.  States that *are* defined by subclasses will, by
        default, override that state in the superclass.  If a subclass wishes to
        inherit definitions from a superclass, it can use the special value
        "inherit", which will cause the superclass' state definition to be
        included at that point in the state.

</details>

<details><summary><h3><strong>def __call__(cls, *args, **kwds)</strong></h3></summary>

tokens = {}
        inheritable = {}
        for c in cls.__mro__:
            toks = c.__dict__.get('tokens', {})

            for state, items in toks.items():
                curitems = tokens.get(state)
                if curitems is None:
                    # N.b. because this is assigned by reference, sufficiently
                    # deep hierarchies are processed incrementally (e.g. for
                    # A(B), B(C), C(RegexLexer), B will be premodified so X(B)
                    # will not see any inherits in B).
                    tokens[state] = items
                    try:
                        inherit_ndx = items.index(inherit)
                    except ValueError:
                        continue
                    inheritable[state] = inherit_ndx
                    continue

                inherit_ndx = inheritable.pop(state, None)
                if inherit_ndx is None:
                    continue

                # Replace the "inherit" value with the items
                curitems[inherit_ndx:inherit_ndx+1] = items
                try:
                    # N.b. this is the index in items (that is, the superclass
                    # copy), so offset required when storing below.
                    new_inh_ndx = items.index(inherit)
                except ValueError:
                    pass
                else:
                    inheritable[state] = inherit_ndx + new_inh_ndx

        return tokens

    def __call__(cls, *args, **kwds):

</details>

<details><summary><h3><strong>def __call__(cls, *args, **kwds)</strong></h3></summary>

Instantiate cls after preprocessing its token definitions.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text, stack=('root',)</strong></h3></summary>

Split ``text`` into (tokentype, text) pairs.

        ``stack`` is the initial stack (default: ``['root']``)

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text=None, context=None)</strong></h3></summary>

Split ``text`` into (tokentype, text) pairs.
        If ``context`` is given, use this lexer context instead.

</details>

<details><summary><h3><strong>def do_insertions(insertions, tokens)</strong></h3></summary>

Helper for lexers which must combine the results of several
    sublexers.

    ``insertions`` is a list of ``(index, itokens)`` pairs.
    Each ``itokens`` iterable should be inserted at position
    ``index`` into the token stream given by the ``tokens``
    argument.

    The result is a combined token stream.

    TODO: clean up the code here.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

pygments.lexers
    ~~~~~~~~~~~~~~~

    Pygments lexers.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class _automodule](#class-_automodule)
- [def _fn_matches](#def-_fn_matches)
- [def _load_lexers](#def-_load_lexers)
- [def get_all_lexers](#def-get_all_lexers)
- [def find_lexer_class](#def-find_lexer_class)
- [def find_lexer_class_by_name](#def-find_lexer_class_by_name)
- [def get_lexer_by_name](#def-get_lexer_by_name)
- [def load_lexer_from_file](#def-load_lexer_from_file)
- [def find_lexer_class_for_filename](#def-find_lexer_class_for_filename)
- [def get_lexer_for_filename](#def-get_lexer_for_filename)
- [def get_lexer_for_mimetype](#def-get_lexer_for_mimetype)
- [def _iter_lexerclasses](#def-_iter_lexerclasses)
- [def guess_lexer_for_filename](#def-guess_lexer_for_filename)
- [def guess_lexer](#def-guess_lexer)
</details>

<details><summary><h3><strong>class _automodule</strong></h3></summary>

Automatically import lexers.

</details>

<details><summary><h3><strong>def _fn_matches(fn, glob)</strong></h3></summary>

Return whether the supplied file name fn matches pattern filename.

</details>

<details><summary><h3><strong>def _load_lexers(module_name)</strong></h3></summary>

Load a lexer (and all others in the module too).

</details>

<details><summary><h3><strong>def get_all_lexers(plugins=True)</strong></h3></summary>

Return a generator of tuples in the form ``(name, aliases,
    filenames, mimetypes)`` of all know lexers.

    If *plugins* is true (the default), plugin lexers supplied by entrypoints
    are also returned.  Otherwise, only builtin ones are considered.

</details>

<details><summary><h3><strong>def find_lexer_class(name)</strong></h3></summary>

Return the `Lexer` subclass that with the *name* attribute as given by
    the *name* argument.

</details>

<details><summary><h3><strong>def find_lexer_class_by_name(_alias)</strong></h3></summary>

Return the `Lexer` subclass that has `alias` in its aliases list, without
    instantiating it.

    Like `get_lexer_by_name`, but does not instantiate the class.

    Will raise :exc:`pygments.util.ClassNotFound` if no lexer with that alias is
    found.

    .. versionadded:: 2.2

</details>

<details><summary><h3><strong>def get_lexer_by_name(_alias, **options)</strong></h3></summary>

Return an instance of a `Lexer` subclass that has `alias` in its
    aliases list. The lexer is given the `options` at its
    instantiation.

    Will raise :exc:`pygments.util.ClassNotFound` if no lexer with that alias is
    found.

</details>

<details><summary><h3><strong>def load_lexer_from_file(filename, lexername="CustomLexer", **options)</strong></h3></summary>

Load a lexer from a file.

    This method expects a file located relative to the current working
    directory, which contains a Lexer class. By default, it expects the
    Lexer to be name CustomLexer; you can specify your own class name
    as the second argument to this function.

    Users should be very careful with the input, because this method
    is equivalent to running eval on the input file.

    Raises ClassNotFound if there are any problems importing the Lexer.

    .. versionadded:: 2.2

</details>

<details><summary><h3><strong>def find_lexer_class_for_filename(_fn, code=None)</strong></h3></summary>

Get a lexer for a filename.

    If multiple lexers match the filename pattern, use ``analyse_text()`` to
    figure out which one is more appropriate.

    Returns None if not found.

</details>

<details><summary><h3><strong>def get_lexer_for_filename(_fn, code=None, **options)</strong></h3></summary>

Get a lexer for a filename.

    Return a `Lexer` subclass instance that has a filename pattern
    matching `fn`. The lexer is given the `options` at its
    instantiation.

    Raise :exc:`pygments.util.ClassNotFound` if no lexer for that filename
    is found.

    If multiple lexers match the filename pattern, use their ``analyse_text()``
    methods to figure out which one is more appropriate.

</details>

<details><summary><h3><strong>def get_lexer_for_mimetype(_mime, **options)</strong></h3></summary>

Return a `Lexer` subclass instance that has `mime` in its mimetype
    list. The lexer is given the `options` at its instantiation.

    Will raise :exc:`pygments.util.ClassNotFound` if not lexer for that mimetype
    is found.

</details>

<details><summary><h3><strong>def _iter_lexerclasses(plugins=True)</strong></h3></summary>

Return an iterator over all lexer classes.

</details>

<details><summary><h3><strong>def guess_lexer_for_filename(_fn, _text, **options)</strong></h3></summary>

As :func:`guess_lexer()`, but only lexers which have a pattern in `filenames`
    or `alias_filenames` that matches `filename` are taken into consideration.

    :exc:`pygments.util.ClassNotFound` is raised if no lexer thinks it can
    handle the content.

</details>

<details><summary><h3><strong>def guess_lexer(_text, **options)</strong></h3></summary>

Return a `Lexer` subclass instance that's guessed from the text in
    `text`. For that, the :meth:`.analyse_text()` method of every known lexer
    class is called with the text as argument, and the lexer which returned the
    highest value will be instantiated and returned.

    :exc:`pygments.util.ClassNotFound` is raised if no lexer thinks it can
    handle the content.

</details>

</details>


<details><summary><h2><strong> _ada_builtins.py</strong></h2></summary>

pygments.lexers._ada_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Ada builtins.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _asy_builtins.py</strong></h2></summary>

pygments.lexers._asy_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file contains the asy-function names and asy-variable names of
    Asymptote.

    Do not edit the ASYFUNCNAME and ASYVARNAME sets by hand.
    TODO: perl/python script in Asymptote SVN similar to asy-list.pl but only
    for function and variable names.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _cl_builtins.py</strong></h2></summary>

pygments.lexers._cl_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    ANSI Common Lisp builtins.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _cocoa_builtins.py</strong></h2></summary>

pygments.lexers._cocoa_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file defines a set of types used across Cocoa frameworks from Apple.
    There is a list of @interfaces, @protocols and some other (structs, unions)

    File may be also used as standalone generator for above.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _csound_builtins.py</strong></h2></summary>

pygments.lexers._csound_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _css_builtins.py</strong></h2></summary>

pygments.lexers._css_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file is autogenerated by scripts/get_css_properties.py

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _julia_builtins.py</strong></h2></summary>

pygments.lexers._julia_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Julia builtins.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _lasso_builtins.py</strong></h2></summary>

pygments.lexers._lasso_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Built-in Lasso types, traits, methods, and members.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _lilypond_builtins.py</strong></h2></summary>

pygments.lexers._lilypond_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    LilyPond builtins.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _lua_builtins.py</strong></h2></summary>

pygments.lexers._lua_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file contains the names and modules of lua functions
    It is able to re-generate itself, but for adding new functions you
    probably have to add some callbacks (see function module_callbacks).

    Do not edit the MODULES dict by hand.

    Run with `python -I` to regenerate.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _luau_builtins.py</strong></h2></summary>

pygments.lexers._luau_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Includes the builtins for Luau and Roblox.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _mapping.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _mql_builtins.py</strong></h2></summary>

pygments.lexers._mql_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Builtins for the MqlLexer.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _mysql_builtins.py</strong></h2></summary>

pygments.lexers._mysql_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Self-updating data files for the MySQL lexer.

    Run with `python -I` to update.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def update_myself](#def-update_myself)
- [def parse_lex_keywords](#def-parse_lex_keywords)
- [def parse_lex_optimizer_hints](#def-parse_lex_optimizer_hints)
- [def parse_lex_functions](#def-parse_lex_functions)
- [def parse_item_create_functions](#def-parse_item_create_functions)
- [def update_content](#def-update_content)
</details>

<details><summary><h3><strong>def update_myself()</strong></h3></summary>

Parse keywords in lex.h.

</details>

<details><summary><h3><strong>def parse_lex_keywords(f)</strong></h3></summary>

Parse keywords in lex.h.

</details>

<details><summary><h3><strong>def parse_lex_optimizer_hints(f)</strong></h3></summary>

Parse optimizer hints in lex.h.

</details>

<details><summary><h3><strong>def parse_lex_functions(f)</strong></h3></summary>

Parse MySQL function names from lex.h.

</details>

<details><summary><h3><strong>def parse_item_create_functions(f)</strong></h3></summary>

Parse MySQL function names from item_create.cc.

</details>

<details><summary><h3><strong>def update_content(field_name, content)</strong></h3></summary>

Overwrite this file with content parsed from MySQL's source code.

</details>

</details>


<details><summary><h2><strong> _openedge_builtins.py</strong></h2></summary>

pygments.lexers._openedge_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Builtin list for the OpenEdgeLexer.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _php_builtins.py</strong></h2></summary>

pygments.lexers._php_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file loads the function names and their modules from the
    php webpage and generates itself.

    Run with `python -I` to regenerate.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _postgres_builtins.py</strong></h2></summary>

pygments.lexers._postgres_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Self-updating data files for PostgreSQL lexer.

    Run with `python -I` to update itself.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _qlik_builtins.py</strong></h2></summary>

pygments.lexers._qlik_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Qlik builtins.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _scheme_builtins.py</strong></h2></summary>

pygments.lexers._scheme_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Scheme builtins.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _scilab_builtins.py</strong></h2></summary>

pygments.lexers._scilab_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Builtin list for the ScilabLexer.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _sourcemod_builtins.py</strong></h2></summary>

pygments.lexers._sourcemod_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file contains the names of SourceMod functions.

    Do not edit the FUNCTIONS list by hand.

    Run with `python -I` to regenerate.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _stan_builtins.py</strong></h2></summary>

pygments.lexers._stan_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file contains the names of functions for Stan used by
    ``pygments.lexers.math.StanLexer. This is for Stan language version 2.29.0.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _stata_builtins.py</strong></h2></summary>

pygments.lexers._stata_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Builtins for Stata

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _tsql_builtins.py</strong></h2></summary>

pygments.lexers._tsql_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    These are manually translated lists from https://msdn.microsoft.com.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _usd_builtins.py</strong></h2></summary>

pygments.lexers._usd_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    A collection of known USD-related keywords, attributes, and types.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _vbscript_builtins.py</strong></h2></summary>

pygments.lexers._vbscript_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    These are manually translated lists from
    http://www.indusoft.com/pdf/VBScript%20Reference.pdf.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> _vim_builtins.py</strong></h2></summary>

pygments.lexers._vim_builtins
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    This file is autogenerated by scripts/get_vimkw.py

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> actionscript.py</strong></h2></summary>

pygments.lexers.actionscript
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for ActionScript and MXML.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ActionScriptLexer](#class-actionscriptlexer)
- [class ActionScript3Lexer](#class-actionscript3lexer)
- [class MxmlLexer](#class-mxmllexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ActionScriptLexer</strong></h3></summary>

For ActionScript source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This is only used to disambiguate between ActionScript and
        ActionScript3. We return 0 here; the ActionScript3 lexer will match
        AS3 variable definitions and that will hopefully suffice.

</details>

</details>

<details><summary><h3><strong>class ActionScript3Lexer</strong></h3></summary>

For ActionScript 3 source code.

</details>

<details><summary><h3><strong>class MxmlLexer</strong></h3></summary>

For MXML markup.
    Nested AS3 in <script> tags is highlighted by the appropriate lexer.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This is only used to disambiguate between ActionScript and
        ActionScript3. We return 0 here; the ActionScript3 lexer will match
        AS3 variable definitions and that will hopefully suffice.

</details>

</details>


<details><summary><h2><strong> ada.py</strong></h2></summary>

pygments.lexers.ada
    ~~~~~~~~~~~~~~~~~~~

    Lexers for Ada family languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AdaLexer](#class-adalexer)
</details>

<details><summary><h3><strong>class AdaLexer</strong></h3></summary>

For Ada source code.

</details>

</details>


<details><summary><h2><strong> agile.py</strong></h2></summary>

pygments.lexers.agile
    ~~~~~~~~~~~~~~~~~~~~~

    Just export lexer classes previously contained in this module.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> algebra.py</strong></h2></summary>

pygments.lexers.algebra
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for computer algebra systems.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GAPLexer](#class-gaplexer)
- [class GAPConsoleLexer](#class-gapconsolelexer)
- [class MathematicaLexer](#class-mathematicalexer)
- [class MuPADLexer](#class-mupadlexer)
- [class BCLexer](#class-bclexer)
</details>

<details><summary><h3><strong>class GAPLexer</strong></h3></summary>

For GAP source code.

</details>

<details><summary><h3><strong>class GAPConsoleLexer</strong></h3></summary>

For GAP console sessions. Modeled after JuliaConsoleLexer.

</details>

<details><summary><h3><strong>class MathematicaLexer</strong></h3></summary>

Lexer for Mathematica source code.

</details>

<details><summary><h3><strong>class MuPADLexer</strong></h3></summary>

A MuPAD lexer.
    Contributed by Christopher Creutzig <christopher@creutzig.de>.

</details>

<details><summary><h3><strong>class BCLexer</strong></h3></summary>

A BC lexer.

</details>

</details>


<details><summary><h2><strong> ambient.py</strong></h2></summary>

pygments.lexers.ambient
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for AmbientTalk language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AmbientTalkLexer](#class-ambienttalklexer)
</details>

<details><summary><h3><strong>class AmbientTalkLexer</strong></h3></summary>

Lexer for AmbientTalk source code.

</details>

</details>


<details><summary><h2><strong> amdgpu.py</strong></h2></summary>

pygments.lexers.amdgpu
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the AMDGPU ISA assembly.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AMDGPULexer](#class-amdgpulexer)
</details>

<details><summary><h3><strong>class AMDGPULexer</strong></h3></summary>

For AMD GPU assembly.

</details>

</details>


<details><summary><h2><strong> ampl.py</strong></h2></summary>

pygments.lexers.ampl
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for the AMPL language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AmplLexer](#class-ampllexer)
</details>

<details><summary><h3><strong>class AmplLexer</strong></h3></summary>

For AMPL source code.

</details>

</details>


<details><summary><h2><strong> apdlexer.py</strong></h2></summary>

pygments.lexers.apdlexer
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for ANSYS Parametric Design Language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class apdlexer](#class-apdlexer)
</details>

<details><summary><h3><strong>class apdlexer</strong></h3></summary>

For APDL source code.

</details>

</details>


<details><summary><h2><strong> apl.py</strong></h2></summary>

pygments.lexers.apl
    ~~~~~~~~~~~~~~~~~~~

    Lexers for APL.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class APLLexer](#class-apllexer)
</details>

<details><summary><h3><strong>class APLLexer</strong></h3></summary>

A simple APL lexer.

</details>

</details>


<details><summary><h2><strong> archetype.py</strong></h2></summary>

pygments.lexers.archetype
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Archetype-related syntaxes, including ODIN, ADL and cADL.

    For uses of this syntax, see the openEHR archetypes <http://www.openEHR.org/ckm>

    Contributed by Thomas Beale <https://github.com/wolandscat>,
    <https://bitbucket.org/thomas_beale>.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AtomsLexer](#class-atomslexer)
- [class OdinLexer](#class-odinlexer)
- [class CadlLexer](#class-cadllexer)
- [class AdlLexer](#class-adllexer)
</details>

<details><summary><h3><strong>class AtomsLexer</strong></h3></summary>

Lexer for Values used in ADL and ODIN.

    .. versionadded:: 2.1

</details>

<details><summary><h3><strong>class OdinLexer</strong></h3></summary>

Lexer for ODIN syntax.

</details>

<details><summary><h3><strong>class CadlLexer</strong></h3></summary>

Lexer for cADL syntax.

</details>

<details><summary><h3><strong>class AdlLexer</strong></h3></summary>

Lexer for ADL syntax.

</details>

</details>


<details><summary><h2><strong> arrow.py</strong></h2></summary>

pygments.lexers.arrow
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for Arrow.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ArrowLexer](#class-arrowlexer)
</details>

<details><summary><h3><strong>class ArrowLexer</strong></h3></summary>

Lexer for Arrow

</details>

</details>


<details><summary><h2><strong> arturo.py</strong></h2></summary>

pygments.lexers.arturo
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Arturo language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ArturoLexer](#class-arturolexer)
- [def __init__](#def-__init__)
- [def handle_annotated_strings](#def-handle_annotated_strings)
</details>

<details><summary><h3><strong>class ArturoLexer</strong></h3></summary>

For Arturo source code.

    See `Arturo's Github <https://github.com/arturo-lang/arturo>`_
    and `Arturo's Website <https://arturo-lang.io/>`_.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Adds syntax from another languages inside annotated strings

        match args:
            1:open_string,
            2:exclamation_mark,
            3:lang_name,
            4:space_or_newline,
            5:code,
            6:close_string

</details>

<details><summary><h4><strong>def handle_annotated_strings</strong></h4></summary>

Adds syntax from another languages inside annotated strings

        match args:
            1:open_string,
            2:exclamation_mark,
            3:lang_name,
            4:space_or_newline,
            5:code,
            6:close_string

</details>

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Adds syntax from another languages inside annotated strings

        match args:
            1:open_string,
            2:exclamation_mark,
            3:lang_name,
            4:space_or_newline,
            5:code,
            6:close_string

</details>

<details><summary><h3><strong>def handle_annotated_strings(self, match)</strong></h3></summary>

Adds syntax from another languages inside annotated strings

        match args:
            1:open_string,
            2:exclamation_mark,
            3:lang_name,
            4:space_or_newline,
            5:code,
            6:close_string

</details>

</details>


<details><summary><h2><strong> asc.py</strong></h2></summary>

pygments.lexers.asc
    ~~~~~~~~~~~~~~~~~~~

    Lexer for various ASCII armored files.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AscLexer](#class-asclexer)
</details>

<details><summary><h3><strong>class AscLexer</strong></h3></summary>

Lexer for ASCII armored files, containing `-----BEGIN/END ...-----` wrapped
    base64 data.

</details>

</details>


<details><summary><h2><strong> asm.py</strong></h2></summary>

pygments.lexers.asm
    ~~~~~~~~~~~~~~~~~~~

    Lexers for assembly languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GasLexer](#class-gaslexer)
- [class ObjdumpLexer](#class-objdumplexer)
- [class DObjdumpLexer](#class-dobjdumplexer)
- [class CppObjdumpLexer](#class-cppobjdumplexer)
- [class CObjdumpLexer](#class-cobjdumplexer)
- [class HsailLexer](#class-hsaillexer)
- [class LlvmLexer](#class-llvmlexer)
- [class LlvmMirBodyLexer](#class-llvmmirbodylexer)
- [class LlvmMirLexer](#class-llvmmirlexer)
- [class NasmLexer](#class-nasmlexer)
- [class NasmObjdumpLexer](#class-nasmobjdumplexer)
- [class TasmLexer](#class-tasmlexer)
- [class Ca65Lexer](#class-ca65lexer)
- [class Dasm16Lexer](#class-dasm16lexer)
- [def _objdump_lexer_tokens](#def-_objdump_lexer_tokens)
</details>

<details><summary><h3><strong>class GasLexer</strong></h3></summary>

For Gas (AT&T) assembly code.

</details>

<details><summary><h3><strong>class ObjdumpLexer</strong></h3></summary>

For the output of ``objdump -dr``.

</details>

<details><summary><h3><strong>class DObjdumpLexer</strong></h3></summary>

For the output of ``objdump -Sr`` on compiled D files.

</details>

<details><summary><h3><strong>class CppObjdumpLexer</strong></h3></summary>

For the output of ``objdump -Sr`` on compiled C++ files.

</details>

<details><summary><h3><strong>class CObjdumpLexer</strong></h3></summary>

For the output of ``objdump -Sr`` on compiled C files.

</details>

<details><summary><h3><strong>class HsailLexer</strong></h3></summary>

For HSAIL assembly code.

</details>

<details><summary><h3><strong>class LlvmLexer</strong></h3></summary>

For LLVM assembly code.

</details>

<details><summary><h3><strong>class LlvmMirBodyLexer</strong></h3></summary>

For LLVM MIR examples without the YAML wrapper.

</details>

<details><summary><h3><strong>class LlvmMirLexer</strong></h3></summary>

Lexer for the overall LLVM MIR document format.

    MIR is a human readable serialization format that's used to represent LLVM's
    machine specific intermediate representation. It allows LLVM's developers to
    see the state of the compilation process at various points, as well as test
    individual pieces of the compiler.

</details>

<details><summary><h3><strong>class NasmLexer</strong></h3></summary>

For Nasm (Intel) assembly code.

</details>

<details><summary><h3><strong>class NasmObjdumpLexer</strong></h3></summary>

For the output of ``objdump -d -M intel``.

</details>

<details><summary><h3><strong>class TasmLexer</strong></h3></summary>

For Tasm (Turbo Assembler) assembly code.

</details>

<details><summary><h3><strong>class Ca65Lexer</strong></h3></summary>

For ca65 assembler sources.

</details>

<details><summary><h3><strong>class Dasm16Lexer</strong></h3></summary>

For DCPU-16 Assembly.

</details>

<details><summary><h3><strong>def _objdump_lexer_tokens(asm_lexer)</strong></h3></summary>

Common objdump lexer tokens to wrap an ASM lexer.

</details>

</details>


<details><summary><h2><strong> asn1.py</strong></h2></summary>

pygments.lexers.asn1
    ~~~~~~~~~~~~~~~~~~~~

    Pygments lexers for ASN.1.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Asn1Lexer](#class-asn1lexer)
</details>

<details><summary><h3><strong>class Asn1Lexer</strong></h3></summary>

Lexer for ASN.1 module definition

</details>

</details>


<details><summary><h2><strong> automation.py</strong></h2></summary>

pygments.lexers.automation
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for automation scripting languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AutohotkeyLexer](#class-autohotkeylexer)
- [class AutoItLexer](#class-autoitlexer)
</details>

<details><summary><h3><strong>class AutohotkeyLexer</strong></h3></summary>

For autohotkey source code.

</details>

<details><summary><h3><strong>class AutoItLexer</strong></h3></summary>

For AutoIt files.

    AutoIt is a freeware BASIC-like scripting language
    designed for automating the Windows GUI and general scripting

</details>

</details>


<details><summary><h2><strong> bare.py</strong></h2></summary>

pygments.lexers.bare
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the BARE schema.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BareLexer](#class-barelexer)
</details>

<details><summary><h3><strong>class BareLexer</strong></h3></summary>

For BARE schema source.

</details>

</details>


<details><summary><h2><strong> basic.py</strong></h2></summary>

pygments.lexers.basic
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for BASIC like languages (other than VB.net).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BlitzMaxLexer](#class-blitzmaxlexer)
- [class BlitzBasicLexer](#class-blitzbasiclexer)
- [class MonkeyLexer](#class-monkeylexer)
- [class CbmBasicV2Lexer](#class-cbmbasicv2lexer)
- [class QBasicLexer](#class-qbasiclexer)
- [class VBScriptLexer](#class-vbscriptlexer)
- [class BBCBasicLexer](#class-bbcbasiclexer)
</details>

<details><summary><h3><strong>class BlitzMaxLexer</strong></h3></summary>

For BlitzMax source code.

</details>

<details><summary><h3><strong>class BlitzBasicLexer</strong></h3></summary>

For BlitzBasic source code.

</details>

<details><summary><h3><strong>class MonkeyLexer</strong></h3></summary>

For Monkey source code.

</details>

<details><summary><h3><strong>class CbmBasicV2Lexer</strong></h3></summary>

For CBM BASIC V2 sources.

</details>

<details><summary><h3><strong>class QBasicLexer</strong></h3></summary>

For QBasic source code.

</details>

<details><summary><h3><strong>class VBScriptLexer</strong></h3></summary>

VBScript is scripting language that is modeled on Visual Basic.

</details>

<details><summary><h3><strong>class BBCBasicLexer</strong></h3></summary>

BBC Basic was supplied on the BBC Micro, and later Acorn RISC OS.
    It is also used by BBC Basic For Windows.

</details>

</details>


<details><summary><h2><strong> bdd.py</strong></h2></summary>

pygments.lexers.bdd
    ~~~~~~~~~~~~~~~~~~~

    Lexer for BDD(Behavior-driven development).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BddLexer](#class-bddlexer)
</details>

<details><summary><h3><strong>class BddLexer</strong></h3></summary>

Lexer for BDD(Behavior-driven development), which highlights not only
    keywords, but also comments, punctuations, strings, numbers, and variables.

</details>

</details>


<details><summary><h2><strong> berry.py</strong></h2></summary>

pygments.lexers.berry
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for Berry.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BerryLexer](#class-berrylexer)
</details>

<details><summary><h3><strong>class BerryLexer</strong></h3></summary>

For Berry source code.

</details>

</details>


<details><summary><h2><strong> bibtex.py</strong></h2></summary>

pygments.lexers.bibtex
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for BibTeX bibliography data and styles

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BibTeXLexer](#class-bibtexlexer)
- [class BSTLexer](#class-bstlexer)
</details>

<details><summary><h3><strong>class BibTeXLexer</strong></h3></summary>

A lexer for BibTeX bibliography data format.

</details>

<details><summary><h3><strong>class BSTLexer</strong></h3></summary>

A lexer for BibTeX bibliography styles.

</details>

</details>


<details><summary><h2><strong> blueprint.py</strong></h2></summary>

pygments.lexers.blueprint
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Blueprint UI markup language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BlueprintLexer](#class-blueprintlexer)
</details>

<details><summary><h3><strong>class BlueprintLexer</strong></h3></summary>

For Blueprint UI markup.

</details>

</details>


<details><summary><h2><strong> boa.py</strong></h2></summary>

pygments.lexers.boa
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the Boa language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BoaLexer](#class-boalexer)
</details>

<details><summary><h3><strong>class BoaLexer</strong></h3></summary>

Lexer for the Boa language.

</details>

</details>


<details><summary><h2><strong> bqn.py</strong></h2></summary>

pygments.lexers.bqn
    ~~~~~~~~~~~~~~~~~~~

    Lexer for BQN.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BQNLexer](#class-bqnlexer)
</details>

<details><summary><h3><strong>class BQNLexer</strong></h3></summary>

A simple BQN lexer.

</details>

</details>


<details><summary><h2><strong> business.py</strong></h2></summary>

pygments.lexers.business
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for "business-oriented" languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CobolLexer](#class-cobollexer)
- [class CobolFreeformatLexer](#class-cobolfreeformatlexer)
- [class ABAPLexer](#class-abaplexer)
- [class OpenEdgeLexer](#class-openedgelexer)
- [class GoodDataCLLexer](#class-gooddatacllexer)
- [class MaqlLexer](#class-maqllexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class CobolLexer</strong></h3></summary>

Lexer for OpenCOBOL code.

</details>

<details><summary><h3><strong>class CobolFreeformatLexer</strong></h3></summary>

Lexer for Free format OpenCOBOL code.

</details>

<details><summary><h3><strong>class ABAPLexer</strong></h3></summary>

Lexer for ABAP, SAP's integrated language.

</details>

<details><summary><h3><strong>class OpenEdgeLexer</strong></h3></summary>

Lexer for OpenEdge ABL (formerly Progress) source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Try to identify OpenEdge ABL based on a few common constructs.

</details>

</details>

<details><summary><h3><strong>class GoodDataCLLexer</strong></h3></summary>

Lexer for GoodData-CL script files.

</details>

<details><summary><h3><strong>class MaqlLexer</strong></h3></summary>

Lexer for GoodData MAQL scripts.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Try to identify OpenEdge ABL based on a few common constructs.

</details>

</details>


<details><summary><h2><strong> c_cpp.py</strong></h2></summary>

pygments.lexers.c_cpp
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for C/C++ languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CFamilyLexer](#class-cfamilylexer)
- [class CLexer](#class-clexer)
- [class CppLexer](#class-cpplexer)
</details>

<details><summary><h3><strong>class CFamilyLexer</strong></h3></summary>

For C family source code.  This is used as a base class to avoid repetitious
    definitions.

</details>

<details><summary><h3><strong>class CLexer</strong></h3></summary>

For C source code with preprocessor directives.

    Additional options accepted:

    `stdlibhighlighting`
        Highlight common types found in the C/C++ standard library (e.g. `size_t`).
        (default: ``True``).

    `c99highlighting`
        Highlight common types found in the C99 standard library (e.g. `int8_t`).
        Actually, this includes all fixed-width integer types.
        (default: ``True``).

    `c11highlighting`
        Highlight atomic types found in the C11 standard library (e.g. `atomic_bool`).
        (default: ``True``).

    `platformhighlighting`
        Highlight common types found in the platform SDK headers (e.g. `clockid_t` on Linux).
        (default: ``True``).

</details>

<details><summary><h3><strong>class CppLexer</strong></h3></summary>

For C++ source code with preprocessor directives.

    Additional options accepted:

    `stdlibhighlighting`
        Highlight common types found in the C/C++ standard library (e.g. `size_t`).
        (default: ``True``).

    `c99highlighting`
        Highlight common types found in the C99 standard library (e.g. `int8_t`).
        Actually, this includes all fixed-width integer types.
        (default: ``True``).

    `c11highlighting`
        Highlight atomic types found in the C11 standard library (e.g. `atomic_bool`).
        (default: ``True``).

    `platformhighlighting`
        Highlight common types found in the platform SDK headers (e.g. `clockid_t` on Linux).
        (default: ``True``).

</details>

</details>


<details><summary><h2><strong> c_like.py</strong></h2></summary>

pygments.lexers.c_like
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for other C-like languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PikeLexer](#class-pikelexer)
- [class NesCLexer](#class-nesclexer)
- [class ClayLexer](#class-claylexer)
- [class ECLexer](#class-eclexer)
- [class ValaLexer](#class-valalexer)
- [class CudaLexer](#class-cudalexer)
- [class SwigLexer](#class-swiglexer)
- [class MqlLexer](#class-mqllexer)
- [class ArduinoLexer](#class-arduinolexer)
- [class CharmciLexer](#class-charmcilexer)
- [class OmgIdlLexer](#class-omgidllexer)
- [class PromelaLexer](#class-promelalexer)
</details>

<details><summary><h3><strong>class PikeLexer</strong></h3></summary>

For `Pike <http://pike.lysator.liu.se/>`_ source code.

</details>

<details><summary><h3><strong>class NesCLexer</strong></h3></summary>

For `nesC <https://github.com/tinyos/nesc>`_ source code with preprocessor
    directives.

</details>

<details><summary><h3><strong>class ClayLexer</strong></h3></summary>

For Clay source.

</details>

<details><summary><h3><strong>class ECLexer</strong></h3></summary>

For eC source code with preprocessor directives.

</details>

<details><summary><h3><strong>class ValaLexer</strong></h3></summary>

For Vala source code with preprocessor directives.

</details>

<details><summary><h3><strong>class CudaLexer</strong></h3></summary>

For NVIDIA CUDA™ source.

</details>

<details><summary><h3><strong>class SwigLexer</strong></h3></summary>

For `SWIG <http://www.swig.org/>`_ source code.

</details>

<details><summary><h3><strong>class MqlLexer</strong></h3></summary>

For `MQL4 <http://docs.mql4.com/>`_ and
    `MQL5 <http://www.mql5.com/en/docs>`_ source code.

</details>

<details><summary><h3><strong>class ArduinoLexer</strong></h3></summary>

For `Arduino(tm) <https://arduino.cc/>`_ source.

    This is an extension of the CppLexer, as the Arduino® Language is a superset
    of C++

</details>

<details><summary><h3><strong>class CharmciLexer</strong></h3></summary>

For `Charm++ <https://charm.cs.illinois.edu>`_ interface files (.ci).

</details>

<details><summary><h3><strong>class OmgIdlLexer</strong></h3></summary>

Lexer for Object Management Group Interface Definition Language.

</details>

<details><summary><h3><strong>class PromelaLexer</strong></h3></summary>

For the Promela language used with SPIN.

</details>

</details>


<details><summary><h2><strong> capnproto.py</strong></h2></summary>

pygments.lexers.capnproto
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Cap'n Proto schema language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CapnProtoLexer](#class-capnprotolexer)
</details>

<details><summary><h3><strong>class CapnProtoLexer</strong></h3></summary>

For Cap'n Proto source.

</details>

</details>


<details><summary><h2><strong> carbon.py</strong></h2></summary>

pygments.lexers.carbon
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Carbon programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CarbonLexer](#class-carbonlexer)
</details>

<details><summary><h3><strong>class CarbonLexer</strong></h3></summary>

For Carbon source.

</details>

</details>


<details><summary><h2><strong> cddl.py</strong></h2></summary>

pygments.lexers.cddl
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the Concise data definition language (CDDL), a notational
    convention to express CBOR and JSON data structures.

    More information:
    https://datatracker.ietf.org/doc/rfc8610/

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CddlLexer](#class-cddllexer)
</details>

<details><summary><h3><strong>class CddlLexer</strong></h3></summary>

Lexer for CDDL definitions.

</details>

</details>


<details><summary><h2><strong> chapel.py</strong></h2></summary>

pygments.lexers.chapel
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Chapel language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ChapelLexer](#class-chapellexer)
</details>

<details><summary><h3><strong>class ChapelLexer</strong></h3></summary>

For Chapel source.

</details>

</details>


<details><summary><h2><strong> clean.py</strong></h2></summary>

pygments.lexers.clean
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Clean language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CleanLexer](#class-cleanlexer)
</details>

<details><summary><h3><strong>class CleanLexer</strong></h3></summary>

Lexer for the general purpose, state-of-the-art, pure and lazy functional
    programming language Clean.

    .. versionadded: 2.2

</details>

</details>


<details><summary><h2><strong> comal.py</strong></h2></summary>

pygments.lexers.comal
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for COMAL-80.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Comal80Lexer](#class-comal80lexer)
</details>

<details><summary><h3><strong>class Comal80Lexer</strong></h3></summary>

For COMAL-80 source code.

</details>

</details>


<details><summary><h2><strong> compiled.py</strong></h2></summary>

pygments.lexers.compiled
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Just export lexer classes previously contained in this module.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> configs.py</strong></h2></summary>

pygments.lexers.configs
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for configuration file formats.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IniLexer](#class-inilexer)
- [class DesktopLexer](#class-desktoplexer)
- [class SystemdLexer](#class-systemdlexer)
- [class RegeditLexer](#class-regeditlexer)
- [class PropertiesLexer](#class-propertieslexer)
- [class KconfigLexer](#class-kconfiglexer)
- [class Cfengine3Lexer](#class-cfengine3lexer)
- [class ApacheConfLexer](#class-apacheconflexer)
- [class SquidConfLexer](#class-squidconflexer)
- [class NginxConfLexer](#class-nginxconflexer)
- [class LighttpdConfLexer](#class-lighttpdconflexer)
- [class DockerLexer](#class-dockerlexer)
- [class TerraformLexer](#class-terraformlexer)
- [class TermcapLexer](#class-termcaplexer)
- [class TerminfoLexer](#class-terminfolexer)
- [class PkgConfigLexer](#class-pkgconfiglexer)
- [class PacmanConfLexer](#class-pacmanconflexer)
- [class AugeasLexer](#class-augeaslexer)
- [class TOMLLexer](#class-tomllexer)
- [class NestedTextLexer](#class-nestedtextlexer)
- [class SingularityLexer](#class-singularitylexer)
- [class UnixConfigLexer](#class-unixconfiglexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class IniLexer</strong></h3></summary>

Lexer for configuration files in INI style.

</details>

<details><summary><h3><strong>class DesktopLexer</strong></h3></summary>

Lexer for .desktop files.

</details>

<details><summary><h3><strong>class SystemdLexer</strong></h3></summary>

Lexer for systemd unit files.

</details>

<details><summary><h3><strong>class RegeditLexer</strong></h3></summary>

Lexer for Windows Registry files produced by regedit.

</details>

<details><summary><h3><strong>class PropertiesLexer</strong></h3></summary>

Lexer for configuration files in Java's properties format.

    Note: trailing whitespace counts as part of the value as per spec

</details>

<details><summary><h3><strong>class KconfigLexer</strong></h3></summary>

For Linux-style Kconfig files.

</details>

<details><summary><h3><strong>class Cfengine3Lexer</strong></h3></summary>

Lexer for CFEngine3 policy files.

</details>

<details><summary><h3><strong>class ApacheConfLexer</strong></h3></summary>

Lexer for configuration files following the Apache config file
    format.

</details>

<details><summary><h3><strong>class SquidConfLexer</strong></h3></summary>

Lexer for squid configuration files.

</details>

<details><summary><h3><strong>class NginxConfLexer</strong></h3></summary>

Lexer for Nginx configuration files.

</details>

<details><summary><h3><strong>class LighttpdConfLexer</strong></h3></summary>

Lexer for Lighttpd configuration files.

</details>

<details><summary><h3><strong>class DockerLexer</strong></h3></summary>

Lexer for Docker configuration files.

</details>

<details><summary><h3><strong>class TerraformLexer</strong></h3></summary>

Lexer for terraformi ``.tf`` files.

</details>

<details><summary><h3><strong>class TermcapLexer</strong></h3></summary>

Lexer for termcap database source.

    This is very simple and minimal.

</details>

<details><summary><h3><strong>class TerminfoLexer</strong></h3></summary>

Lexer for terminfo database source.

    This is very simple and minimal.

</details>

<details><summary><h3><strong>class PkgConfigLexer</strong></h3></summary>

Lexer for pkg-config
    (see also `manual page <http://linux.die.net/man/1/pkg-config>`_).

</details>

<details><summary><h3><strong>class PacmanConfLexer</strong></h3></summary>

Lexer for pacman.conf.

    Actually, IniLexer works almost fine for this format,
    but it yield error token. It is because pacman.conf has
    a form without assignment like:

        UseSyslog
        Color
        TotalDownload
        CheckSpace
        VerbosePkgLists

    These are flags to switch on.

</details>

<details><summary><h3><strong>class AugeasLexer</strong></h3></summary>

Lexer for Augeas.

</details>

<details><summary><h3><strong>class TOMLLexer</strong></h3></summary>

Lexer for TOML, a simple language for config files.

</details>

<details><summary><h3><strong>class NestedTextLexer</strong></h3></summary>

Lexer for *NextedText*, a human-friendly data format.

    .. versionchanged:: 2.16
        Added support for *NextedText* v3.0.

</details>

<details><summary><h3><strong>class SingularityLexer</strong></h3></summary>

Lexer for Singularity definition files.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This is a quite simple script file, but there are a few keywords
        which seem unique to this language.

</details>

</details>

<details><summary><h3><strong>class UnixConfigLexer</strong></h3></summary>

Lexer for Unix/Linux config files using colon-separated values, e.g.

    * ``/etc/group``
    * ``/etc/passwd``
    * ``/etc/shadow``

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This is a quite simple script file, but there are a few keywords
        which seem unique to this language.

</details>

</details>


<details><summary><h2><strong> console.py</strong></h2></summary>

pygments.lexers.console
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for misc console output.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VCTreeStatusLexer](#class-vctreestatuslexer)
- [class PyPyLogLexer](#class-pypyloglexer)
</details>

<details><summary><h3><strong>class VCTreeStatusLexer</strong></h3></summary>

For colorizing output of version control status commands, like "hg
    status" or "svn status".

</details>

<details><summary><h3><strong>class PyPyLogLexer</strong></h3></summary>

Lexer for PyPy log files.

</details>

</details>


<details><summary><h2><strong> cplint.py</strong></h2></summary>

pygments.lexers.cplint
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the cplint language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CplintLexer](#class-cplintlexer)
</details>

<details><summary><h3><strong>class CplintLexer</strong></h3></summary>

Lexer for cplint files, including CP-logic, Logic Programs with Annotated
    Disjunctions, Distributional Clauses syntax, ProbLog, DTProbLog.

</details>

</details>


<details><summary><h2><strong> crystal.py</strong></h2></summary>

pygments.lexers.crystal
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Crystal.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CrystalLexer](#class-crystallexer)
- [class and](#class-and)
- [def heredoc_callback](#def-heredoc_callback)
- [def gen_crystalstrings_rules](#def-gen_crystalstrings_rules)
- [def forall](#def-forall)
</details>

<details><summary><h3><strong>class CrystalLexer</strong></h3></summary>

For Crystal source code.

<details><summary><h4><strong>def heredoc_callback</strong></h4></summary>

abstract asm begin break case do else elsif end ensure extend if in
                include next of private protected require rescue return select self super
                then unless until when while with yield

</details>

<details><summary><h4><strong>def gen_crystalstrings_rules</strong></h4></summary>

abstract asm begin break case do else elsif end ensure extend if in
                include next of private protected require rescue return select self super
                then unless until when while with yield

</details>

<details><summary><h4><strong>def forall</strong></h4></summary>

.split(), prefix=r'(?<!\.)', suffix=r'\b'), Keyword.Pseudo),
            # https://crystal-lang.org/docs/syntax_and_semantics/is_a.html
            (r'\.(is_a\?|nil\?|responds_to\?|as\?|as\b)', Keyword.Pseudo),
            (words(['true', 'false', 'nil'], suffix=r'\b'), Keyword.Constant),
            # start of function, class and module names
            (r'(module|lib)(\s+)([a-zA-Z_]\w*(?:::[a-zA-Z_]\w*)*)',
             bygroups(Keyword, Whitespace, Name.Namespace)),
            (r'(def|fun|macro)(\s+)((?:[a-zA-Z_]\w*::)*)',
             bygroups(Keyword, Whitespace, Name.Namespace), 'funcname'),
            (r'def(?=[*%&^`~+-/\[<>=])', Keyword, 'funcname'),
            (r'(annotation|class|struct|union|type|alias|enum)(\s+)((?:[a-zA-Z_]\w*::)*)',
             bygroups(Keyword, Whitespace, Name.Namespace), 'classname'),
            # https://crystal-lang.org/api/toplevel.html
            (words(

</details>

</details>

<details><summary><h3><strong>class and</strong></h3></summary>

instance_sizeof offsetof pointerof sizeof typeof

</details>

<details><summary><h3><strong>def heredoc_callback(self, match, ctx)</strong></h3></summary>

abstract asm begin break case do else elsif end ensure extend if in
                include next of private protected require rescue return select self super
                then unless until when while with yield

</details>

<details><summary><h3><strong>def gen_crystalstrings_rules()</strong></h3></summary>

abstract asm begin break case do else elsif end ensure extend if in
                include next of private protected require rescue return select self super
                then unless until when while with yield

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

.split(), prefix=r'(?<!\.)', suffix=r'\b'), Keyword.Pseudo),
            # https://crystal-lang.org/docs/syntax_and_semantics/is_a.html
            (r'\.(is_a\?|nil\?|responds_to\?|as\?|as\b)', Keyword.Pseudo),
            (words(['true', 'false', 'nil'], suffix=r'\b'), Keyword.Constant),
            # start of function, class and module names
            (r'(module|lib)(\s+)([a-zA-Z_]\w*(?:::[a-zA-Z_]\w*)*)',
             bygroups(Keyword, Whitespace, Name.Namespace)),
            (r'(def|fun|macro)(\s+)((?:[a-zA-Z_]\w*::)*)',
             bygroups(Keyword, Whitespace, Name.Namespace), 'funcname'),
            (r'def(?=[*%&^`~+-/\[<>=])', Keyword, 'funcname'),
            (r'(annotation|class|struct|union|type|alias|enum)(\s+)((?:[a-zA-Z_]\w*::)*)',
             bygroups(Keyword, Whitespace, Name.Namespace), 'classname'),
            # https://crystal-lang.org/api/toplevel.html
            (words(

</details>

</details>


<details><summary><h2><strong> csound.py</strong></h2></summary>

pygments.lexers.csound
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Csound languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CsoundScoreLexer](#class-csoundscorelexer)
- [class CsoundOrchestraLexer](#class-csoundorchestralexer)
- [class CsoundDocumentLexer](#class-csounddocumentlexer)
</details>

<details><summary><h3><strong>class CsoundScoreLexer</strong></h3></summary>

For `Csound <https://csound.com>`_ scores.

</details>

<details><summary><h3><strong>class CsoundOrchestraLexer</strong></h3></summary>

For `Csound <https://csound.com>`_ orchestras.

</details>

<details><summary><h3><strong>class CsoundDocumentLexer</strong></h3></summary>

For Csound documents.

</details>

</details>


<details><summary><h2><strong> css.py</strong></h2></summary>

pygments.lexers.css
    ~~~~~~~~~~~~~~~~~~~

    Lexers for CSS and related stylesheet formats.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CssLexer](#class-csslexer)
- [class SassLexer](#class-sasslexer)
- [class ScssLexer](#class-scsslexer)
- [class LessCssLexer](#class-lesscsslexer)
</details>

<details><summary><h3><strong>class CssLexer</strong></h3></summary>

For CSS (Cascading Style Sheets).

</details>

<details><summary><h3><strong>class SassLexer</strong></h3></summary>

For Sass stylesheets.

</details>

<details><summary><h3><strong>class ScssLexer</strong></h3></summary>

For SCSS stylesheets.

</details>

<details><summary><h3><strong>class LessCssLexer</strong></h3></summary>

For LESS styleshets.

</details>

</details>


<details><summary><h2><strong> d.py</strong></h2></summary>

pygments.lexers.d
    ~~~~~~~~~~~~~~~~~

    Lexers for D languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DLexer](#class-dlexer)
- [class CrocLexer](#class-croclexer)
- [class MiniDLexer](#class-minidlexer)
</details>

<details><summary><h3><strong>class DLexer</strong></h3></summary>

For D source.

</details>

<details><summary><h3><strong>class CrocLexer</strong></h3></summary>

For Croc source.

</details>

<details><summary><h3><strong>class MiniDLexer</strong></h3></summary>

For MiniD source. MiniD is now known as Croc.

</details>

</details>


<details><summary><h2><strong> dalvik.py</strong></h2></summary>

pygments.lexers.dalvik
    ~~~~~~~~~~~~~~~~~~~~~~

    Pygments lexers for Dalvik VM-related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SmaliLexer](#class-smalilexer)
</details>

<details><summary><h3><strong>class SmaliLexer</strong></h3></summary>

For Smali (Android/Dalvik) assembly
    code.

</details>

</details>


<details><summary><h2><strong> data.py</strong></h2></summary>

pygments.lexers.data
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for data file format.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class YamlLexerContext](#class-yamllexercontext)
- [class YamlLexer](#class-yamllexer)
- [class JsonLexer](#class-jsonlexer)
- [class JsonBareObjectLexer](#class-jsonbareobjectlexer)
- [class JsonLdLexer](#class-jsonldlexer)
- [def something](#def-something)
- [def callback](#def-callback)
- [def reset_indent](#def-reset_indent)
- [def callback](#def-callback)
- [def save_indent](#def-save_indent)
- [def callback](#def-callback)
- [def set_indent](#def-set_indent)
- [def callback](#def-callback)
- [def set_block_scalar_indent](#def-set_block_scalar_indent)
- [def callback](#def-callback)
- [def parse_block_scalar_empty_line](#def-parse_block_scalar_empty_line)
- [def callback](#def-callback)
- [def parse_block_scalar_indent](#def-parse_block_scalar_indent)
- [def callback](#def-callback)
- [def parse_plain_scalar_indent](#def-parse_plain_scalar_indent)
- [def callback](#def-callback)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
</details>

<details><summary><h3><strong>class YamlLexerContext</strong></h3></summary>

Indentation context for the YAML lexer.

</details>

<details><summary><h3><strong>class YamlLexer</strong></h3></summary>

Lexer for YAML, a human-friendly data serialization
    language.

<details><summary><h4><strong>def something</strong></h4></summary>

Do not produce empty tokens.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Reset the indentation levels.

</details>

<details><summary><h4><strong>def reset_indent</strong></h4></summary>

Reset the indentation levels.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Save a possible indentation level.

</details>

<details><summary><h4><strong>def save_indent</strong></h4></summary>

Save a possible indentation level.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Set the previously saved indentation level.

</details>

<details><summary><h4><strong>def set_indent</strong></h4></summary>

Set the previously saved indentation level.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Set an explicit indentation level for a block scalar.

</details>

<details><summary><h4><strong>def set_block_scalar_indent</strong></h4></summary>

Set an explicit indentation level for a block scalar.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Process an empty line in a block scalar.

</details>

<details><summary><h4><strong>def parse_block_scalar_empty_line</strong></h4></summary>

Process an empty line in a block scalar.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Process indentation spaces in a block scalar.

</details>

<details><summary><h4><strong>def parse_block_scalar_indent</strong></h4></summary>

Process indentation spaces in a block scalar.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

Process indentation spaces in a plain scalar.

</details>

<details><summary><h4><strong>def parse_plain_scalar_indent</strong></h4></summary>

Process indentation spaces in a plain scalar.

</details>

<details><summary><h4><strong>def callback</strong></h4></summary>

([^#,?\[\]{}"'\n]+)(:)(?=[ ]|$)

</details>

</details>

<details><summary><h3><strong>class JsonLexer</strong></h3></summary>

For JSON data structures.

    Javascript-style comments are supported (like ``/* */`` and ``//``),
    though comments are not part of the JSON specification.
    This allows users to highlight JSON as it is used in the wild.

    No validation is performed on the input JSON document.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Parse JSON data.

</details>

</details>

<details><summary><h3><strong>class JsonBareObjectLexer</strong></h3></summary>

For JSON data structures (with missing object curly braces).

    .. deprecated:: 2.8.0

       Behaves the same as `JsonLexer` now.

</details>

<details><summary><h3><strong>class JsonLdLexer</strong></h3></summary>

For JSON-LD linked data.

</details>

<details><summary><h3><strong>def something(token_class)</strong></h3></summary>

Do not produce empty tokens.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Reset the indentation levels.

</details>

<details><summary><h3><strong>def reset_indent(token_class)</strong></h3></summary>

Reset the indentation levels.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Save a possible indentation level.

</details>

<details><summary><h3><strong>def save_indent(token_class, start=False)</strong></h3></summary>

Save a possible indentation level.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Set the previously saved indentation level.

</details>

<details><summary><h3><strong>def set_indent(token_class, implicit=False)</strong></h3></summary>

Set the previously saved indentation level.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Set an explicit indentation level for a block scalar.

</details>

<details><summary><h3><strong>def set_block_scalar_indent(token_class)</strong></h3></summary>

Set an explicit indentation level for a block scalar.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Process an empty line in a block scalar.

</details>

<details><summary><h3><strong>def parse_block_scalar_empty_line(indent_token_class, content_token_class)</strong></h3></summary>

Process an empty line in a block scalar.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Process indentation spaces in a block scalar.

</details>

<details><summary><h3><strong>def parse_block_scalar_indent(token_class)</strong></h3></summary>

Process indentation spaces in a block scalar.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

Process indentation spaces in a plain scalar.

</details>

<details><summary><h3><strong>def parse_plain_scalar_indent(token_class)</strong></h3></summary>

Process indentation spaces in a plain scalar.

</details>

<details><summary><h3><strong>def callback(lexer, match, context)</strong></h3></summary>

([^#,?\[\]{}"'\n]+)(:)(?=[ ]|$)

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

Parse JSON data.

</details>

</details>


<details><summary><h2><strong> dax.py</strong></h2></summary>

pygments.lexers.dax
    ~~~~~~~~~~~~~~~~~~~

    Lexer for LilyPond.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DaxLexer](#class-daxlexer)
</details>

<details><summary><h3><strong>class DaxLexer</strong></h3></summary>

Lexer for Power BI DAX
    Referenced from: https://github.com/sql-bi/SyntaxHighlighterBrushDax

</details>

</details>


<details><summary><h2><strong> devicetree.py</strong></h2></summary>

pygments.lexers.devicetree
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Devicetree language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DevicetreeLexer](#class-devicetreelexer)
</details>

<details><summary><h3><strong>class DevicetreeLexer</strong></h3></summary>

Lexer for Devicetree files.

</details>

</details>


<details><summary><h2><strong> diff.py</strong></h2></summary>

pygments.lexers.diff
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for diff/patch formats.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DiffLexer](#class-difflexer)
- [class DarcsPatchLexer](#class-darcspatchlexer)
- [class WDiffLexer](#class-wdifflexer)
</details>

<details><summary><h3><strong>class DiffLexer</strong></h3></summary>

Lexer for unified or context-style diffs or patches.

</details>

<details><summary><h3><strong>class DarcsPatchLexer</strong></h3></summary>

DarcsPatchLexer is a lexer for the various versions of the darcs patch
    format.  Examples of this format are derived by commands such as
    ``darcs annotate --patch`` and ``darcs send``.

</details>

<details><summary><h3><strong>class WDiffLexer</strong></h3></summary>

A wdiff lexer.

    Note that:

    * It only works with normal output (without options like ``-l``).
    * If the target files contain "[-", "-]", "{+", or "+}",
      especially they are unbalanced, the lexer will get confused.

</details>

</details>


<details><summary><h2><strong> dns.py</strong></h2></summary>

pygments.lexers.dns
    ~~~~~~~~~~~~~~~~~~~

    Pygments lexers for DNS

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DnsZoneLexer](#class-dnszonelexer)
</details>

<details><summary><h3><strong>class DnsZoneLexer</strong></h3></summary>

Lexer for DNS zone file

</details>

</details>


<details><summary><h2><strong> dotnet.py</strong></h2></summary>

pygments.lexers.dotnet
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for .net languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CSharpLexer](#class-csharplexer)
- [class NemerleLexer](#class-nemerlelexer)
- [class BooLexer](#class-boolexer)
- [class VbNetLexer](#class-vbnetlexer)
- [class GenericAspxLexer](#class-genericaspxlexer)
- [class CSharpAspxLexer](#class-csharpaspxlexer)
- [class VbNetAspxLexer](#class-vbnetaspxlexer)
- [class FSharpLexer](#class-fsharplexer)
- [class XppLexer](#class-xpplexer)
- [def __init__](#def-__init__)
- [def analyse_text](#def-analyse_text)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class CSharpLexer</strong></h3></summary>

For C# source code.

    Additional options accepted:

    `unicodelevel`
      Determines which Unicode characters this lexer allows for identifiers.
      The possible values are:

      * ``none`` -- only the ASCII letters and numbers are allowed. This
        is the fastest selection.
      * ``basic`` -- all Unicode characters from the specification except
        category ``Lo`` are allowed.
      * ``full`` -- all Unicode characters as specified in the C# specs
        are allowed.  Note that this means a considerable slowdown since the
        ``Lo`` category has more than 40,000 characters in it!

      The default value is ``basic``.

      .. versionadded:: 0.8

<p><strong>Key features</strong></p>

<ul>
<li>only the ASCII letters and numbers are allowed. This</li>
<li>all Unicode characters from the specification except</li>
<li>all Unicode characters as specified in the C# specs</li>
</ul>
</details>

<details><summary><h3><strong>class NemerleLexer</strong></h3></summary>

For Nemerle source code.

    Additional options accepted:

    `unicodelevel`
      Determines which Unicode characters this lexer allows for identifiers.
      The possible values are:

      * ``none`` -- only the ASCII letters and numbers are allowed. This
        is the fastest selection.
      * ``basic`` -- all Unicode characters from the specification except
        category ``Lo`` are allowed.
      * ``full`` -- all Unicode characters as specified in the C# specs
        are allowed.  Note that this means a considerable slowdown since the
        ``Lo`` category has more than 40,000 characters in it!

      The default value is ``basic``.

<p><strong>Key features</strong></p>

<ul>
<li>only the ASCII letters and numbers are allowed. This</li>
<li>all Unicode characters from the specification except</li>
<li>all Unicode characters as specified in the C# specs</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Nemerle is quite similar to Python, but @if is relatively uncommon
        elsewhere.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Nemerle is quite similar to Python, but @if is relatively uncommon
        elsewhere.

</details>

</details>

<details><summary><h3><strong>class BooLexer</strong></h3></summary>

For Boo source code.

</details>

<details><summary><h3><strong>class VbNetLexer</strong></h3></summary>

For Visual Basic.NET source code.
    Also LibreOffice Basic, OpenOffice Basic, and StarOffice Basic.

</details>

<details><summary><h3><strong>class GenericAspxLexer</strong></h3></summary>

Lexer for ASP.NET pages.

</details>

<details><summary><h3><strong>class CSharpAspxLexer</strong></h3></summary>

Lexer for highlighting C# within ASP.NET pages.

</details>

<details><summary><h3><strong>class VbNetAspxLexer</strong></h3></summary>

Lexer for highlighting Visual Basic.net within ASP.NET pages.

</details>

<details><summary><h3><strong>class FSharpLexer</strong></h3></summary>

For the F# language (version 3.0).

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

F# doesn't have that many unique features -- |> and <| are weak
        indicators.

</details>

</details>

<details><summary><h3><strong>class XppLexer</strong></h3></summary>

For X++ source code. This is based loosely on the CSharpLexer

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Nemerle is quite similar to Python, but @if is relatively uncommon
        elsewhere.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Nemerle is quite similar to Python, but @if is relatively uncommon
        elsewhere.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

F# doesn't have that many unique features -- |> and <| are weak
        indicators.

</details>

</details>


<details><summary><h2><strong> dsls.py</strong></h2></summary>

pygments.lexers.dsls
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for various domain-specific languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ProtoBufLexer](#class-protobuflexer)
- [class ThriftLexer](#class-thriftlexer)
- [class ZeekLexer](#class-zeeklexer)
- [class PuppetLexer](#class-puppetlexer)
- [class RslLexer](#class-rsllexer)
- [class MscgenLexer](#class-mscgenlexer)
- [class VGLLexer](#class-vgllexer)
- [class AlloyLexer](#class-alloylexer)
- [class PanLexer](#class-panlexer)
- [class CrmshLexer](#class-crmshlexer)
- [class FlatlineLexer](#class-flatlinelexer)
- [class SnowballLexer](#class-snowballlexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ProtoBufLexer</strong></h3></summary>

Lexer for Protocol Buffer definition files.

</details>

<details><summary><h3><strong>class ThriftLexer</strong></h3></summary>

For Thrift interface definitions.

</details>

<details><summary><h3><strong>class ZeekLexer</strong></h3></summary>

For Zeek scripts.

</details>

<details><summary><h3><strong>class PuppetLexer</strong></h3></summary>

For Puppet configuration DSL.

</details>

<details><summary><h3><strong>class RslLexer</strong></h3></summary>

RSL is the formal specification
    language used in RAISE (Rigorous Approach to Industrial Software Engineering)
    method.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Check for the most common text in the beginning of a RSL file.

</details>

</details>

<details><summary><h3><strong>class MscgenLexer</strong></h3></summary>

For Mscgen files.

</details>

<details><summary><h3><strong>class VGLLexer</strong></h3></summary>

For SampleManager VGL source code.

</details>

<details><summary><h3><strong>class AlloyLexer</strong></h3></summary>

For Alloy source code.

</details>

<details><summary><h3><strong>class PanLexer</strong></h3></summary>

Lexer for pan source files.

    Based on tcsh lexer.

</details>

<details><summary><h3><strong>class CrmshLexer</strong></h3></summary>

Lexer for crmsh configuration files for Pacemaker clusters.

</details>

<details><summary><h3><strong>class FlatlineLexer</strong></h3></summary>

Lexer for Flatline expressions.

</details>

<details><summary><h3><strong>class SnowballLexer</strong></h3></summary>

Lexer for Snowball source code.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Check for the most common text in the beginning of a RSL file.

</details>

</details>


<details><summary><h2><strong> dylan.py</strong></h2></summary>

pygments.lexers.dylan
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Dylan language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DylanLexer](#class-dylanlexer)
- [class DylanLidLexer](#class-dylanlidlexer)
- [class DylanConsoleLexer](#class-dylanconsolelexer)
</details>

<details><summary><h3><strong>class DylanLexer</strong></h3></summary>

For the Dylan language.

</details>

<details><summary><h3><strong>class DylanLidLexer</strong></h3></summary>

For Dylan LID (Library Interchange Definition) files.

</details>

<details><summary><h3><strong>class DylanConsoleLexer</strong></h3></summary>

For Dylan interactive console output.

    This is based on a copy of the RubyConsoleLexer.

</details>

</details>


<details><summary><h2><strong> ecl.py</strong></h2></summary>

pygments.lexers.ecl
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the ECL language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ECLLexer](#class-ecllexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ECLLexer</strong></h3></summary>

Lexer for the declarative big-data ECL language.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This is very difficult to guess relative to other business languages.
        -> in conjunction with BEGIN/END seems relatively rare though.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This is very difficult to guess relative to other business languages.
        -> in conjunction with BEGIN/END seems relatively rare though.

</details>

</details>


<details><summary><h2><strong> eiffel.py</strong></h2></summary>

pygments.lexers.eiffel
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Eiffel language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class EiffelLexer](#class-eiffellexer)
</details>

<details><summary><h3><strong>class EiffelLexer</strong></h3></summary>

For Eiffel source code.

</details>

</details>


<details><summary><h2><strong> elm.py</strong></h2></summary>

pygments.lexers.elm
    ~~~~~~~~~~~~~~~~~~~

    Lexer for the Elm programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ElmLexer](#class-elmlexer)
</details>

<details><summary><h3><strong>class ElmLexer</strong></h3></summary>

For Elm source code.

</details>

</details>


<details><summary><h2><strong> elpi.py</strong></h2></summary>

pygments.lexers.elpi
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the `Elpi <http://github.com/LPCIC/elpi>`_ programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ElpiLexer](#class-elpilexer)
</details>

<details><summary><h3><strong>class ElpiLexer</strong></h3></summary>

Lexer for the Elpi programming language.

</details>

</details>


<details><summary><h2><strong> email.py</strong></h2></summary>

pygments.lexers.email
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the raw E-mail.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class EmailHeaderLexer](#class-emailheaderlexer)
- [class EmailLexer](#class-emaillexer)
</details>

<details><summary><h3><strong>class EmailHeaderLexer</strong></h3></summary>

Sub-lexer for raw E-mail. This lexer only process header part of e-mail.

    .. versionadded:: 2.5

</details>

<details><summary><h3><strong>class EmailLexer</strong></h3></summary>

Lexer for raw E-mail.

    Additional options accepted:

    `highlight-X-header`
        Highlight the fields of ``X-`` user-defined email header. (default:
        ``False``).

</details>

</details>


<details><summary><h2><strong> erlang.py</strong></h2></summary>

pygments.lexers.erlang
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Erlang.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ErlangLexer](#class-erlanglexer)
- [class ErlangShellLexer](#class-erlangshelllexer)
- [class ElixirLexer](#class-elixirlexer)
- [class ElixirConsoleLexer](#class-elixirconsolelexer)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def gen_elixir_sigil_rules](#def-gen_elixir_sigil_rules)
</details>

<details><summary><h3><strong>class ErlangLexer</strong></h3></summary>

For the Erlang functional programming language.

</details>

<details><summary><h3><strong>class ErlangShellLexer</strong></h3></summary>

Shell sessions in erl (for Erlang code).

</details>

<details><summary><h3><strong>class ElixirLexer</strong></h3></summary>

For the Elixir language.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

', 'triquot'), (r"

</details>

<details><summary><h4><strong>def gen_elixir_sigil_rules</strong></h4></summary>

', 'triquot'), (r"

</details>

</details>

<details><summary><h3><strong>class ElixirConsoleLexer</strong></h3></summary>

For Elixir interactive console (iex) output like:

    .. sourcecode:: iex

        iex> [head | tail] = [1,2,3]
        [1,2,3]
        iex> head
        1
        iex> tail
        [2,3]
        iex> [head | tail]
        [1,2,3]
        iex> length [head | tail]
        3

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

', 'triquot'), (r"

</details>

<details><summary><h3><strong>def gen_elixir_sigil_rules()</strong></h3></summary>

', 'triquot'), (r"

</details>

</details>


<details><summary><h2><strong> esoteric.py</strong></h2></summary>

pygments.lexers.esoteric
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for esoteric languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BrainfuckLexer](#class-brainfucklexer)
- [class BefungeLexer](#class-befungelexer)
- [class CAmkESLexer](#class-camkeslexer)
- [class CapDLLexer](#class-capdllexer)
- [class RedcodeLexer](#class-redcodelexer)
- [class AheuiLexer](#class-aheuilexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class BrainfuckLexer</strong></h3></summary>

Lexer for the esoteric BrainFuck language.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

It's safe to assume that a program which mostly consists of + -
        and < > is brainfuck.

</details>

</details>

<details><summary><h3><strong>class BefungeLexer</strong></h3></summary>

Lexer for the esoteric Befunge language.

</details>

<details><summary><h3><strong>class CAmkESLexer</strong></h3></summary>

Basic lexer for the input language for the CAmkES component platform.

</details>

<details><summary><h3><strong>class CapDLLexer</strong></h3></summary>

Basic lexer for CapDL.

    The source of the primary tool that reads such specifications is available
    at https://github.com/seL4/capdl/tree/master/capDL-tool. Note that this
    lexer only supports a subset of the grammar. For example, identifiers can
    shadow type names, but these instances are currently incorrectly
    highlighted as types. Supporting this would need a stateful lexer that is
    considered unnecessarily complex for now.

</details>

<details><summary><h3><strong>class RedcodeLexer</strong></h3></summary>

A simple Redcode lexer based on ICWS'94.
    Contributed by Adam Blinkinsop <blinks@acm.org>.

</details>

<details><summary><h3><strong>class AheuiLexer</strong></h3></summary>

Aheui is esoteric language based on Korean alphabets.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

It's safe to assume that a program which mostly consists of + -
        and < > is brainfuck.

</details>

</details>


<details><summary><h2><strong> ezhil.py</strong></h2></summary>

pygments.lexers.ezhil
    ~~~~~~~~~~~~~~~~~~~~~

    Pygments lexers for Ezhil language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class EzhilLexer](#class-ezhillexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class EzhilLexer</strong></h3></summary>

Lexer for Ezhil, a Tamil script-based programming language.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This language uses Tamil-script. We'll assume that if there's a
        decent amount of Tamil-characters, it's this language. This assumption
        is obviously horribly off if someone uses string literals in tamil
        in another language.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This language uses Tamil-script. We'll assume that if there's a
        decent amount of Tamil-characters, it's this language. This assumption
        is obviously horribly off if someone uses string literals in tamil
        in another language.

</details>

</details>


<details><summary><h2><strong> factor.py</strong></h2></summary>

pygments.lexers.factor
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Factor language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FactorLexer](#class-factorlexer)
</details>

<details><summary><h3><strong>class FactorLexer</strong></h3></summary>

Lexer for the Factor language.

</details>

</details>


<details><summary><h2><strong> fantom.py</strong></h2></summary>

pygments.lexers.fantom
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Fantom language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FantomLexer](#class-fantomlexer)
</details>

<details><summary><h3><strong>class FantomLexer</strong></h3></summary>

For Fantom source code.

</details>

</details>


<details><summary><h2><strong> felix.py</strong></h2></summary>

pygments.lexers.felix
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Felix language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FelixLexer](#class-felixlexer)
</details>

<details><summary><h3><strong>class FelixLexer</strong></h3></summary>

For Felix source code.

</details>

</details>


<details><summary><h2><strong> fift.py</strong></h2></summary>

pygments.lexers.fift
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for fift.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FiftLexer](#class-fiftlexer)
</details>

<details><summary><h3><strong>class FiftLexer</strong></h3></summary>

For Fift source code.

</details>

</details>


<details><summary><h2><strong> floscript.py</strong></h2></summary>

pygments.lexers.floscript
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for FloScript

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FloScriptLexer](#class-floscriptlexer)
</details>

<details><summary><h3><strong>class FloScriptLexer</strong></h3></summary>

For FloScript configuration language source code.

</details>

</details>


<details><summary><h2><strong> forth.py</strong></h2></summary>

pygments.lexers.forth
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Forth language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ForthLexer](#class-forthlexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ForthLexer</strong></h3></summary>

Lexer for Forth files.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Forth uses : COMMAND ; quite a lot in a single line, so we're trying
        to find that.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Forth uses : COMMAND ; quite a lot in a single line, so we're trying
        to find that.

</details>

</details>


<details><summary><h2><strong> fortran.py</strong></h2></summary>

pygments.lexers.fortran
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Fortran languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FortranLexer](#class-fortranlexer)
- [class FortranFixedLexer](#class-fortranfixedlexer)
- [def _lex_fortran](#def-_lex_fortran)
</details>

<details><summary><h3><strong>class FortranLexer</strong></h3></summary>

Lexer for FORTRAN 90 code.

</details>

<details><summary><h3><strong>class FortranFixedLexer</strong></h3></summary>

Lexer for fixed format Fortran.

<details><summary><h4><strong>def _lex_fortran</strong></h4></summary>

Lex a line just as free form fortran without line break.

</details>

</details>

<details><summary><h3><strong>def _lex_fortran(self, match, ctx=None)</strong></h3></summary>

Lex a line just as free form fortran without line break.

</details>

</details>


<details><summary><h2><strong> foxpro.py</strong></h2></summary>

pygments.lexers.foxpro
    ~~~~~~~~~~~~~~~~~~~~~~

    Simple lexer for Microsoft Visual FoxPro source code.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FoxProLexer](#class-foxprolexer)
</details>

<details><summary><h3><strong>class FoxProLexer</strong></h3></summary>

Lexer for Microsoft Visual FoxPro language.

    FoxPro syntax allows to shorten all keywords and function names
    to 4 characters.  Shortened forms are not recognized by this lexer.

</details>

</details>


<details><summary><h2><strong> freefem.py</strong></h2></summary>

pygments.lexers.freefem
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for FreeFem++ language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FreeFemLexer](#class-freefemlexer)
</details>

<details><summary><h3><strong>class FreeFemLexer</strong></h3></summary>

For FreeFem++ source.

    This is an extension of the CppLexer, as the FreeFem Language is a superset
    of C++.

</details>

</details>


<details><summary><h2><strong> func.py</strong></h2></summary>

pygments.lexers.func
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for FunC.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FuncLexer](#class-funclexer)
</details>

<details><summary><h3><strong>class FuncLexer</strong></h3></summary>

For FunC source code.

</details>

</details>


<details><summary><h2><strong> functional.py</strong></h2></summary>

pygments.lexers.functional
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Just export lexer classes previously contained in this module.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> futhark.py</strong></h2></summary>

pygments.lexers.futhark
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Futhark language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FutharkLexer](#class-futharklexer)
</details>

<details><summary><h3><strong>class FutharkLexer</strong></h3></summary>

A Futhark lexer

</details>

</details>


<details><summary><h2><strong> gcodelexer.py</strong></h2></summary>

pygments.lexers.gcodelexer
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the G Code Language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GcodeLexer](#class-gcodelexer)
</details>

<details><summary><h3><strong>class GcodeLexer</strong></h3></summary>

For gcode source code.

</details>

</details>


<details><summary><h2><strong> gdscript.py</strong></h2></summary>

pygments.lexers.gdscript
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for GDScript.

    Modified by Daniel J. Ramirez <djrmuv@gmail.com> based on the original
    python.py.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GDScriptLexer](#class-gdscriptlexer)
- [def innerstring_rules](#def-innerstring_rules)
</details>

<details><summary><h3><strong>class GDScriptLexer</strong></h3></summary>

For GDScript source code.

<details><summary><h4><strong>def innerstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

</details>

<details><summary><h3><strong>def innerstring_rules(ttype)</strong></h3></summary>

(?:.|\n)*?

</details>

</details>


<details><summary><h2><strong> go.py</strong></h2></summary>

pygments.lexers.go
    ~~~~~~~~~~~~~~~~~~

    Lexers for the Google Go language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GoLexer](#class-golexer)
</details>

<details><summary><h3><strong>class GoLexer</strong></h3></summary>

For Go source.

</details>

</details>


<details><summary><h2><strong> grammar_notation.py</strong></h2></summary>

pygments.lexers.grammar_notation
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for grammar notations like BNF.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BnfLexer](#class-bnflexer)
- [class AbnfLexer](#class-abnflexer)
- [class JsgfLexer](#class-jsgflexer)
- [class PegLexer](#class-peglexer)
</details>

<details><summary><h3><strong>class BnfLexer</strong></h3></summary>

This lexer is for grammar notations which are similar to
    original BNF.

    In order to maximize a number of targets of this lexer,
    let's decide some designs:

    * We don't distinguish `Terminal Symbol`.

    * We do assume that `NonTerminal Symbol` are always enclosed
      with arrow brackets.

    * We do assume that `NonTerminal Symbol` may include
      any printable characters except arrow brackets and ASCII 0x20.
      This assumption is for `RBNF <http://www.rfc-base.org/txt/rfc-5511.txt>`_.

    * We do assume that target notation doesn't support comment.

    * We don't distinguish any operators and punctuation except
      `::=`.

    Though these decision making might cause too minimal highlighting
    and you might be disappointed, but it is reasonable for us.

</details>

<details><summary><h3><strong>class AbnfLexer</strong></h3></summary>

Lexer for IETF 7405 ABNF.

    (Updates `5234 <http://www.ietf.org/rfc/rfc5234.txt>`_) grammars.

</details>

<details><summary><h3><strong>class JsgfLexer</strong></h3></summary>

For JSpeech Grammar Format grammars.

</details>

<details><summary><h3><strong>class PegLexer</strong></h3></summary>

This lexer is for Parsing Expression Grammars (PEG).

    Various implementations of PEG have made different decisions
    regarding the syntax, so let's try to be accommodating:

    * `<-`, `←`, `:`, and `=` are all accepted as rule operators.

    * Both `|` and `/` are choice operators.

    * `^`, `↑`, and `~` are cut operators.

    * A single `a-z` character immediately before a string, or
      multiple `a-z` characters following a string, are part of the
      string (e.g., `r"..."` or `"..."ilmsuxa`).

</details>

</details>


<details><summary><h2><strong> graph.py</strong></h2></summary>

pygments.lexers.graph
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for graph query languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CypherLexer](#class-cypherlexer)
</details>

<details><summary><h3><strong>class CypherLexer</strong></h3></summary>

For Cypher Query Language

    For the Cypher version in Neo4j 3.3

</details>

</details>


<details><summary><h2><strong> graphics.py</strong></h2></summary>

pygments.lexers.graphics
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for computer graphics and plotting related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GLShaderLexer](#class-glshaderlexer)
- [class HLSLShaderLexer](#class-hlslshaderlexer)
- [class PostScriptLexer](#class-postscriptlexer)
- [class AsymptoteLexer](#class-asymptotelexer)
- [class GnuplotLexer](#class-gnuplotlexer)
- [class PovrayLexer](#class-povraylexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class GLShaderLexer</strong></h3></summary>

GLSL (OpenGL Shader) lexer.

</details>

<details><summary><h3><strong>class HLSLShaderLexer</strong></h3></summary>

HLSL (Microsoft Direct3D Shader) lexer.

</details>

<details><summary><h3><strong>class PostScriptLexer</strong></h3></summary>

Lexer for PostScript files.

</details>

<details><summary><h3><strong>class AsymptoteLexer</strong></h3></summary>

For Asymptote source code.

</details>

<details><summary><h3><strong>class GnuplotLexer</strong></h3></summary>

For Gnuplot plotting scripts.

</details>

<details><summary><h3><strong>class PovrayLexer</strong></h3></summary>

For Persistence of Vision Raytracer files.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

POVRAY is similar to JSON/C, but the combination of camera and
        light_source is probably not very likely elsewhere. HLSL or GLSL
        are similar (GLSL even has #version), but they miss #declare, and
        light_source/camera are not keywords anywhere else -- it's fair
        to assume though that any POVRAY scene must have a camera and
        lightsource.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

POVRAY is similar to JSON/C, but the combination of camera and
        light_source is probably not very likely elsewhere. HLSL or GLSL
        are similar (GLSL even has #version), but they miss #declare, and
        light_source/camera are not keywords anywhere else -- it's fair
        to assume though that any POVRAY scene must have a camera and
        lightsource.

</details>

</details>


<details><summary><h2><strong> graphql.py</strong></h2></summary>

pygments.lexers.graphql
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for GraphQL, an open-source data query and manipulation
    language for APIs.

    More information:
    https://graphql.org/

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GraphQLLexer](#class-graphqllexer)
</details>

<details><summary><h3><strong>class GraphQLLexer</strong></h3></summary>

Lexer for GraphQL syntax

</details>

</details>


<details><summary><h2><strong> graphviz.py</strong></h2></summary>

pygments.lexers.graphviz
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the DOT language (graphviz).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GraphvizLexer](#class-graphvizlexer)
</details>

<details><summary><h3><strong>class GraphvizLexer</strong></h3></summary>

For graphviz DOT graph description language.

</details>

</details>


<details><summary><h2><strong> gsql.py</strong></h2></summary>

pygments.lexers.gsql
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for TigerGraph GSQL graph query language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GSQLLexer](#class-gsqllexer)
</details>

<details><summary><h3><strong>class GSQLLexer</strong></h3></summary>

For GSQL queries (version 3.x).

</details>

</details>


<details><summary><h2><strong> haskell.py</strong></h2></summary>

pygments.lexers.haskell
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Haskell and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class HaskellLexer](#class-haskelllexer)
- [class HspecLexer](#class-hspeclexer)
- [class IdrisLexer](#class-idrislexer)
- [class AgdaLexer](#class-agdalexer)
- [class CryptolLexer](#class-cryptollexer)
- [class LiterateLexer](#class-literatelexer)
- [class LiterateHaskellLexer](#class-literatehaskelllexer)
- [class LiterateIdrisLexer](#class-literateidrislexer)
- [class LiterateAgdaLexer](#class-literateagdalexer)
- [class LiterateCryptolLexer](#class-literatecryptollexer)
- [class KokaLexer](#class-kokalexer)
</details>

<details><summary><h3><strong>class HaskellLexer</strong></h3></summary>

A Haskell lexer based on the lexemes defined in the Haskell 98 Report.

</details>

<details><summary><h3><strong>class HspecLexer</strong></h3></summary>

A Haskell lexer with support for Hspec constructs.

</details>

<details><summary><h3><strong>class IdrisLexer</strong></h3></summary>

A lexer for the dependently typed programming language Idris.

    Based on the Haskell and Agda Lexer.

</details>

<details><summary><h3><strong>class AgdaLexer</strong></h3></summary>

For the Agda dependently typed functional programming language and
    proof assistant.

</details>

<details><summary><h3><strong>class CryptolLexer</strong></h3></summary>

FIXME: A Cryptol2 lexer based on the lexemes defined in the Haskell 98 Report.

</details>

<details><summary><h3><strong>class LiterateLexer</strong></h3></summary>

Base class for lexers of literate file formats based on LaTeX or Bird-style
    (prefixing each code line with ">").

    Additional options accepted:

    `litstyle`
        If given, must be ``"bird"`` or ``"latex"``.  If not given, the style
        is autodetected: if the first non-whitespace character in the source
        is a backslash or percent character, LaTeX is assumed, else Bird.

</details>

<details><summary><h3><strong>class LiterateHaskellLexer</strong></h3></summary>

For Literate Haskell (Bird-style or LaTeX) source.

    Additional options accepted:

    `litstyle`
        If given, must be ``"bird"`` or ``"latex"``.  If not given, the style
        is autodetected: if the first non-whitespace character in the source
        is a backslash or percent character, LaTeX is assumed, else Bird.

</details>

<details><summary><h3><strong>class LiterateIdrisLexer</strong></h3></summary>

For Literate Idris (Bird-style or LaTeX) source.

    Additional options accepted:

    `litstyle`
        If given, must be ``"bird"`` or ``"latex"``.  If not given, the style
        is autodetected: if the first non-whitespace character in the source
        is a backslash or percent character, LaTeX is assumed, else Bird.

</details>

<details><summary><h3><strong>class LiterateAgdaLexer</strong></h3></summary>

For Literate Agda source.

    Additional options accepted:

    `litstyle`
        If given, must be ``"bird"`` or ``"latex"``.  If not given, the style
        is autodetected: if the first non-whitespace character in the source
        is a backslash or percent character, LaTeX is assumed, else Bird.

</details>

<details><summary><h3><strong>class LiterateCryptolLexer</strong></h3></summary>

For Literate Cryptol (Bird-style or LaTeX) source.

    Additional options accepted:

    `litstyle`
        If given, must be ``"bird"`` or ``"latex"``.  If not given, the style
        is autodetected: if the first non-whitespace character in the source
        is a backslash or percent character, LaTeX is assumed, else Bird.

</details>

<details><summary><h3><strong>class KokaLexer</strong></h3></summary>

Lexer for the Koka language.

</details>

</details>


<details><summary><h2><strong> haxe.py</strong></h2></summary>

pygments.lexers.haxe
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Haxe and related stuff.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class HaxeLexer](#class-haxelexer)
- [class HxmlLexer](#class-hxmllexer)
</details>

<details><summary><h3><strong>class HaxeLexer</strong></h3></summary>

For Haxe source code.

</details>

<details><summary><h3><strong>class HxmlLexer</strong></h3></summary>

Lexer for haXe build files.

</details>

</details>


<details><summary><h2><strong> hdl.py</strong></h2></summary>

pygments.lexers.hdl
    ~~~~~~~~~~~~~~~~~~~

    Lexers for hardware descriptor languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VerilogLexer](#class-veriloglexer)
- [class SystemVerilogLexer](#class-systemveriloglexer)
- [class VhdlLexer](#class-vhdllexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class VerilogLexer</strong></h3></summary>

For verilog source code with preprocessor directives.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Verilog code will use one of reg/wire/assign for sure, and that
        is not common elsewhere.

</details>

</details>

<details><summary><h3><strong>class SystemVerilogLexer</strong></h3></summary>

Extends verilog lexer to recognise all SystemVerilog keywords from IEEE
    1800-2009 standard.

</details>

<details><summary><h3><strong>class VhdlLexer</strong></h3></summary>

For VHDL source code.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Verilog code will use one of reg/wire/assign for sure, and that
        is not common elsewhere.

</details>

</details>


<details><summary><h2><strong> hexdump.py</strong></h2></summary>

pygments.lexers.hexdump
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for hexadecimal dumps.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class HexdumpLexer](#class-hexdumplexer)
</details>

<details><summary><h3><strong>class HexdumpLexer</strong></h3></summary>

For typical hex dump output formats by the UNIX and GNU/Linux tools ``hexdump``,
    ``hd``, ``hexcat``, ``od`` and ``xxd``, and the DOS tool ``DEBUG``. For example:

    .. sourcecode:: hexdump

        00000000  7f 45 4c 46 02 01 01 00  00 00 00 00 00 00 00 00  |.ELF............|
        00000010  02 00 3e 00 01 00 00 00  c5 48 40 00 00 00 00 00  |..>......H@.....|

    The specific supported formats are the outputs of:

    * ``hexdump FILE``
    * ``hexdump -C FILE`` -- the `canonical` format used in the example.
    * ``hd FILE`` -- same as ``hexdump -C FILE``.
    * ``hexcat FILE``
    * ``od -t x1z FILE``
    * ``xxd FILE``
    * ``DEBUG.EXE FILE.COM`` and entering ``d`` to the prompt.

<p><strong>Key features</strong></p>

<ul>
<li>the `canonical` format used in the example.</li>
<li>same as ``hexdump -C FILE``.</li>
</ul>
</details>

</details>


<details><summary><h2><strong> html.py</strong></h2></summary>

pygments.lexers.html
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for HTML, XML and related markup.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class HtmlLexer](#class-htmllexer)
- [class DtdLexer](#class-dtdlexer)
- [class XmlLexer](#class-xmllexer)
- [class XsltLexer](#class-xsltlexer)
- [class HamlLexer](#class-hamllexer)
- [class ScamlLexer](#class-scamllexer)
- [class PugLexer](#class-puglexer)
- [class UrlEncodedLexer](#class-urlencodedlexer)
</details>

<details><summary><h3><strong>class HtmlLexer</strong></h3></summary>

For HTML 4 and XHTML 1 markup. Nested JavaScript and CSS is highlighted
    by the appropriate lexer.

</details>

<details><summary><h3><strong>class DtdLexer</strong></h3></summary>

A lexer for DTDs (Document Type Definitions).

</details>

<details><summary><h3><strong>class XmlLexer</strong></h3></summary>

Generic lexer for XML (eXtensible Markup Language).

</details>

<details><summary><h3><strong>class XsltLexer</strong></h3></summary>

A lexer for XSLT.

</details>

<details><summary><h3><strong>class HamlLexer</strong></h3></summary>

For Haml markup.

</details>

<details><summary><h3><strong>class ScamlLexer</strong></h3></summary>

For Scaml markup.  Scaml is Haml for Scala.

</details>

<details><summary><h3><strong>class PugLexer</strong></h3></summary>

For Pug markup.
    Pug is a variant of Scaml, see:
    http://scalate.fusesource.org/documentation/scaml-reference.html

</details>

<details><summary><h3><strong>class UrlEncodedLexer</strong></h3></summary>

Lexer for urlencoded data

</details>

</details>


<details><summary><h2><strong> idl.py</strong></h2></summary>

pygments.lexers.idl
    ~~~~~~~~~~~~~~~~~~~

    Lexers for IDL.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IDLLexer](#class-idllexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class IDLLexer</strong></h3></summary>

Pygments Lexer for IDL (Interactive Data Language).

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

endelse seems to be unique to IDL, endswitch is rare at least.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

endelse seems to be unique to IDL, endswitch is rare at least.

</details>

</details>


<details><summary><h2><strong> igor.py</strong></h2></summary>

pygments.lexers.igor
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Igor Pro.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IgorLexer](#class-igorlexer)
</details>

<details><summary><h3><strong>class IgorLexer</strong></h3></summary>

Pygments Lexer for Igor Pro procedure files (.ipf).

</details>

</details>


<details><summary><h2><strong> inferno.py</strong></h2></summary>

pygments.lexers.inferno
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Inferno os and all the related stuff.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LimboLexer](#class-limbolexer)
</details>

<details><summary><h3><strong>class LimboLexer</strong></h3></summary>

Lexer for Limbo programming language

    TODO:
        - maybe implement better var declaration highlighting
        - some simple syntax error highlighting

<p><strong>Key features</strong></p>

<ul>
<li>maybe implement better var declaration highlighting</li>
<li>some simple syntax error highlighting</li>
</ul>
</details>

</details>


<details><summary><h2><strong> installers.py</strong></h2></summary>

pygments.lexers.installers
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for installer/packager DSLs and formats.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NSISLexer](#class-nsislexer)
- [class RPMSpecLexer](#class-rpmspeclexer)
- [class SourcesListLexer](#class-sourceslistlexer)
- [class DebianControlLexer](#class-debiancontrollexer)
</details>

<details><summary><h3><strong>class NSISLexer</strong></h3></summary>

For NSIS scripts.

</details>

<details><summary><h3><strong>class RPMSpecLexer</strong></h3></summary>

For RPM ``.spec`` files.

</details>

<details><summary><h3><strong>class SourcesListLexer</strong></h3></summary>

Lexer that highlights debian sources.list files.

</details>

<details><summary><h3><strong>class DebianControlLexer</strong></h3></summary>

Lexer for Debian ``control`` files and ``apt-cache show <pkg>`` outputs.

</details>

</details>


<details><summary><h2><strong> int_fiction.py</strong></h2></summary>

pygments.lexers.int_fiction
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for interactive fiction languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Inform6Lexer](#class-inform6lexer)
- [class Inform7Lexer](#class-inform7lexer)
- [class Inform6TemplateLexer](#class-inform6templatelexer)
- [class Tads3Lexer](#class-tads3lexer)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def analyse_text](#def-analyse_text)
- [def _make_string_state](#def-_make_string_state)
- [def _make_tag_state](#def-_make_tag_state)
- [def _make_attribute_value_state](#def-_make_attribute_value_state)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class Inform6Lexer</strong></h3></summary>

For Inform 6 source code.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

We try to find a keyword which seem relatively common, unfortunately
        there is a decent overlap with Smalltalk keywords otherwise here..

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

We try to find a keyword which seem relatively common, unfortunately
        there is a decent overlap with Smalltalk keywords otherwise here..

</details>

</details>

<details><summary><h3><strong>class Inform7Lexer</strong></h3></summary>

For Inform 7 source code.

</details>

<details><summary><h3><strong>class Inform6TemplateLexer</strong></h3></summary>

For Inform 6 template code.

</details>

<details><summary><h3><strong>class Tads3Lexer</strong></h3></summary>

For TADS 3 source code.

<details><summary><h4><strong>def _make_string_state</strong></h4></summary>

', String.Double, ('#pop', 'tdqs')),
            (r"

</details>

<details><summary><h4><strong>def _make_tag_state</strong></h4></summary>

', String.Double, ('#pop', 'tdqs')),
            (r"

</details>

<details><summary><h4><strong>def _make_attribute_value_state</strong></h4></summary>

', String.Double, ('#pop', 'tdqs')),
            (r"

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

This is a rather generic descriptive language without strong
        identifiers. It looks like a 'GameMainDef' has to be present,
        and/or a 'versionInfo' with an 'IFID' field.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This is a rather generic descriptive language without strong
        identifiers. It looks like a 'GameMainDef' has to be present,
        and/or a 'versionInfo' with an 'IFID' field.

</details>

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

We try to find a keyword which seem relatively common, unfortunately
        there is a decent overlap with Smalltalk keywords otherwise here..

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

We try to find a keyword which seem relatively common, unfortunately
        there is a decent overlap with Smalltalk keywords otherwise here..

</details>

<details><summary><h3><strong>def _make_string_state(triple, double, verbatim=None, _escape=_escape)</strong></h3></summary>

', String.Double, ('#pop', 'tdqs')),
            (r"

</details>

<details><summary><h3><strong>def _make_tag_state(triple, double, _escape=_escape)</strong></h3></summary>

', String.Double, ('#pop', 'tdqs')),
            (r"

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text, **kwargs)</strong></h3></summary>

', String.Double, ('#pop', 'tdqs')),
            (r"

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text, **kwargs)</strong></h3></summary>

This is a rather generic descriptive language without strong
        identifiers. It looks like a 'GameMainDef' has to be present,
        and/or a 'versionInfo' with an 'IFID' field.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This is a rather generic descriptive language without strong
        identifiers. It looks like a 'GameMainDef' has to be present,
        and/or a 'versionInfo' with an 'IFID' field.

</details>

</details>


<details><summary><h2><strong> iolang.py</strong></h2></summary>

pygments.lexers.iolang
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Io language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IoLexer](#class-iolexer)
</details>

<details><summary><h3><strong>class IoLexer</strong></h3></summary>

For Io (a small, prototype-based programming language) source.

</details>

</details>


<details><summary><h2><strong> j.py</strong></h2></summary>

pygments.lexers.j
    ~~~~~~~~~~~~~~~~~

    Lexer for the J programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JLexer](#class-jlexer)
</details>

<details><summary><h3><strong>class JLexer</strong></h3></summary>

For J source code.

</details>

</details>


<details><summary><h2><strong> javascript.py</strong></h2></summary>

pygments.lexers.javascript
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for JavaScript and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JavascriptLexer](#class-javascriptlexer)
- [class TypeScriptLexer](#class-typescriptlexer)
- [class KalLexer](#class-kallexer)
- [class LiveScriptLexer](#class-livescriptlexer)
- [class DartLexer](#class-dartlexer)
- [class LassoLexer](#class-lassolexer)
- [class ObjectiveJLexer](#class-objectivejlexer)
- [class CoffeeScriptLexer](#class-coffeescriptlexer)
- [class MaskLexer](#class-masklexer)
- [class EarlGreyLexer](#class-earlgreylexer)
- [class JuttleLexer](#class-juttlelexer)
- [class NodeConsoleLexer](#class-nodeconsolelexer)
</details>

<details><summary><h3><strong>class JavascriptLexer</strong></h3></summary>

For JavaScript source code.

</details>

<details><summary><h3><strong>class TypeScriptLexer</strong></h3></summary>

For TypeScript source code.

</details>

<details><summary><h3><strong>class KalLexer</strong></h3></summary>

For Kal source code.

</details>

<details><summary><h3><strong>class LiveScriptLexer</strong></h3></summary>

For LiveScript source code.

</details>

<details><summary><h3><strong>class DartLexer</strong></h3></summary>

For Dart source code.

</details>

<details><summary><h3><strong>class LassoLexer</strong></h3></summary>

For Lasso source code, covering both Lasso 9
    syntax and LassoScript for Lasso 8.6 and earlier. For Lasso embedded in
    HTML, use the `LassoHtmlLexer`.

    Additional options accepted:

    `builtinshighlighting`
        If given and ``True``, highlight builtin types, traits, methods, and
        members (default: ``True``).
    `requiredelimiters`
        If given and ``True``, only highlight code between delimiters as Lasso
        (default: ``False``).

</details>

<details><summary><h3><strong>class ObjectiveJLexer</strong></h3></summary>

For Objective-J source code with preprocessor directives.

</details>

<details><summary><h3><strong>class CoffeeScriptLexer</strong></h3></summary>

For CoffeeScript source code.

</details>

<details><summary><h3><strong>class MaskLexer</strong></h3></summary>

For Mask markup.

</details>

<details><summary><h3><strong>class EarlGreyLexer</strong></h3></summary>

For Earl-Grey source code.

    .. versionadded: 2.1

</details>

<details><summary><h3><strong>class JuttleLexer</strong></h3></summary>

For Juttle source code.

</details>

<details><summary><h3><strong>class NodeConsoleLexer</strong></h3></summary>

For parsing within an interactive Node.js REPL, such as:

    .. sourcecode:: nodejsrepl

        > let a = 3
        undefined
        > a
        3
        > let b = '4'
        undefined
        > b
        '4'
        > b == a
        false

    .. versionadded: 2.10

</details>

</details>


<details><summary><h2><strong> jmespath.py</strong></h2></summary>

pygments.lexers.jmespath
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the JMESPath language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JMESPathLexer](#class-jmespathlexer)
</details>

<details><summary><h3><strong>class JMESPathLexer</strong></h3></summary>

For JMESPath queries.

</details>

</details>


<details><summary><h2><strong> jslt.py</strong></h2></summary>

pygments.lexers.jslt
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for the JSLT language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JSLTLexer](#class-jsltlexer)
</details>

<details><summary><h3><strong>class JSLTLexer</strong></h3></summary>

For JSLT source.

</details>

</details>


<details><summary><h2><strong> jsonnet.py</strong></h2></summary>

pygments.lexers.jsonnet
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Jsonnet data templating language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JsonnetLexer](#class-jsonnetlexer)
</details>

<details><summary><h3><strong>class JsonnetLexer</strong></h3></summary>

Lexer for Jsonnet source code.

</details>

</details>


<details><summary><h2><strong> jsx.py</strong></h2></summary>

pygments.lexers.jsx
    ~~~~~~~~~~~~~~~~~~~

    Lexers for JSX (React).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JsxLexer](#class-jsxlexer)
</details>

<details><summary><h3><strong>class JsxLexer</strong></h3></summary>

For JavaScript Syntax Extension (JSX).

</details>

</details>


<details><summary><h2><strong> julia.py</strong></h2></summary>

pygments.lexers.julia
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Julia language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JuliaLexer](#class-julialexer)
- [class JuliaConsoleLexer](#class-juliaconsolelexer)
</details>

<details><summary><h3><strong>class JuliaLexer</strong></h3></summary>

For Julia source code.

</details>

<details><summary><h3><strong>class JuliaConsoleLexer</strong></h3></summary>

For Julia console sessions. Modeled after MatlabSessionLexer.

</details>

</details>


<details><summary><h2><strong> jvm.py</strong></h2></summary>

pygments.lexers.jvm
    ~~~~~~~~~~~~~~~~~~~

    Pygments lexers for JVM languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class JavaLexer](#class-javalexer)
- [class AspectJLexer](#class-aspectjlexer)
- [class ScalaLexer](#class-scalalexer)
- [class GosuLexer](#class-gosulexer)
- [class GosuTemplateLexer](#class-gosutemplatelexer)
- [class GroovyLexer](#class-groovylexer)
- [class IokeLexer](#class-iokelexer)
- [class ClojureLexer](#class-clojurelexer)
- [class ClojureScriptLexer](#class-clojurescriptlexer)
- [class TeaLangLexer](#class-tealanglexer)
- [class CeylonLexer](#class-ceylonlexer)
- [class KotlinLexer](#class-kotlinlexer)
- [class XtendLexer](#class-xtendlexer)
- [class PigLexer](#class-piglexer)
- [class GoloLexer](#class-gololexer)
- [class JasminLexer](#class-jasminlexer)
- [class SarlLexer](#class-sarllexer)
</details>

<details><summary><h3><strong>class JavaLexer</strong></h3></summary>

For Java source code.

</details>

<details><summary><h3><strong>class AspectJLexer</strong></h3></summary>

For AspectJ source code.

</details>

<details><summary><h3><strong>class ScalaLexer</strong></h3></summary>

For Scala source code.

</details>

<details><summary><h3><strong>class GosuLexer</strong></h3></summary>

For Gosu source code.

</details>

<details><summary><h3><strong>class GosuTemplateLexer</strong></h3></summary>

For Gosu templates.

</details>

<details><summary><h3><strong>class GroovyLexer</strong></h3></summary>

For Groovy source code.

</details>

<details><summary><h3><strong>class IokeLexer</strong></h3></summary>

For Ioke (a strongly typed, dynamic,
    prototype based programming language) source.

</details>

<details><summary><h3><strong>class ClojureLexer</strong></h3></summary>

Lexer for Clojure source code.

</details>

<details><summary><h3><strong>class ClojureScriptLexer</strong></h3></summary>

Lexer for ClojureScript source code.

</details>

<details><summary><h3><strong>class TeaLangLexer</strong></h3></summary>

For Tea source code. Only used within a
    TeaTemplateLexer.

    .. versionadded:: 1.5

</details>

<details><summary><h3><strong>class CeylonLexer</strong></h3></summary>

For Ceylon source code.

</details>

<details><summary><h3><strong>class KotlinLexer</strong></h3></summary>

For Kotlin source code.

</details>

<details><summary><h3><strong>class XtendLexer</strong></h3></summary>

For Xtend source code.

</details>

<details><summary><h3><strong>class PigLexer</strong></h3></summary>

For Pig Latin source code.

</details>

<details><summary><h3><strong>class GoloLexer</strong></h3></summary>

For Golo source code.

</details>

<details><summary><h3><strong>class JasminLexer</strong></h3></summary>

For Jasmin assembly code.

</details>

<details><summary><h3><strong>class SarlLexer</strong></h3></summary>

For SARL source code.

</details>

</details>


<details><summary><h2><strong> kuin.py</strong></h2></summary>

pygments.lexers.kuin
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for the Kuin language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class KuinLexer](#class-kuinlexer)
</details>

<details><summary><h3><strong>class KuinLexer</strong></h3></summary>

For Kuin source code.

</details>

</details>


<details><summary><h2><strong> kusto.py</strong></h2></summary>

pygments.lexers.kusto
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for Kusto Query Language (KQL).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class KustoLexer](#class-kustolexer)
</details>

<details><summary><h3><strong>class KustoLexer</strong></h3></summary>

For Kusto Query Language source code.

</details>

</details>


<details><summary><h2><strong> ldap.py</strong></h2></summary>

pygments.lexers.ldap
    ~~~~~~~~~~~~~~~~~~~~

    Pygments lexers for LDAP.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LdifLexer](#class-ldiflexer)
- [class LdaprcLexer](#class-ldaprclexer)
</details>

<details><summary><h3><strong>class LdifLexer</strong></h3></summary>

Lexer for LDIF

</details>

<details><summary><h3><strong>class LdaprcLexer</strong></h3></summary>

Lexer for OpenLDAP configuration files.

</details>

</details>


<details><summary><h2><strong> lean.py</strong></h2></summary>

pygments.lexers.lean
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for the Lean theorem prover.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Lean3Lexer](#class-lean3lexer)
- [class Lean4Lexer](#class-lean4lexer)
</details>

<details><summary><h3><strong>class Lean3Lexer</strong></h3></summary>

For the Lean 3 theorem prover.

</details>

<details><summary><h3><strong>class Lean4Lexer</strong></h3></summary>

For the Lean 4 theorem prover.

</details>

</details>


<details><summary><h2><strong> lilypond.py</strong></h2></summary>

pygments.lexers.lilypond
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for LilyPond.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LilyPondLexer](#class-lilypondlexer)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
</details>

<details><summary><h3><strong>class LilyPondLexer</strong></h3></summary>

Lexer for input to LilyPond, a text-based music typesetter.

    .. important::

       This lexer is meant to be used in conjunction with the ``lilypond`` style.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Highlight Scheme variables as LilyPond builtins when applicable.

</details>

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

Highlight Scheme variables as LilyPond builtins when applicable.

</details>

</details>


<details><summary><h2><strong> lisp.py</strong></h2></summary>

pygments.lexers.lisp
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Lispy languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SchemeLexer](#class-schemelexer)
- [class CommonLispLexer](#class-commonlisplexer)
- [class HyLexer](#class-hylexer)
- [class RacketLexer](#class-racketlexer)
- [class NewLispLexer](#class-newlisplexer)
- [class EmacsLispLexer](#class-emacslisplexer)
- [class ShenLexer](#class-shenlexer)
- [class CPSALexer](#class-cpsalexer)
- [class XtlangLexer](#class-xtlanglexer)
- [class FennelLexer](#class-fennellexer)
- [class JanetLexer](#class-janetlexer)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def __init__](#def-__init__)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def analyse_text](#def-analyse_text)
- [def _multi_escape](#def-_multi_escape)
</details>

<details><summary><h3><strong>class SchemeLexer</strong></h3></summary>

A Scheme lexer.

    This parser is checked with pastes from the LISP pastebin
    at http://paste.lisp.org/ to cover as much syntax as possible.

    It supports the full Scheme syntax as defined in R5RS.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

(
            {radix} (\#[iIeE])?
            | \#[iIeE] {radix}
          )

</details>

</details>

<details><summary><h3><strong>class CommonLispLexer</strong></h3></summary>

A Common Lisp lexer.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Competes with Visual Prolog on *.cl

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Competes with Visual Prolog on *.cl

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Competes with Visual Prolog on *.cl

</details>

</details>

<details><summary><h3><strong>class HyLexer</strong></h3></summary>

Lexer for Hy source code.

<details><summary><h4><strong>def _multi_escape</strong></h4></summary>

(?:.|\n)*?

</details>

</details>

<details><summary><h3><strong>class RacketLexer</strong></h3></summary>

Lexer for Racket source code (formerly
    known as PLT Scheme).

</details>

<details><summary><h3><strong>class NewLispLexer</strong></h3></summary>

For newLISP source code (version 10.3.0).

</details>

<details><summary><h3><strong>class EmacsLispLexer</strong></h3></summary>

An ELisp lexer, parsing a stream and outputting the tokens
    needed to highlight elisp code.

</details>

<details><summary><h3><strong>class ShenLexer</strong></h3></summary>

Lexer for Shen source code.

</details>

<details><summary><h3><strong>class CPSALexer</strong></h3></summary>

A CPSA lexer based on the CPSA language as of version 2.2.12

</details>

<details><summary><h3><strong>class XtlangLexer</strong></h3></summary>

An xtlang lexer for the Extempore programming environment.

    This is a mixture of Scheme and xtlang, really. Keyword lists are
    taken from the Extempore Emacs mode
    (https://github.com/extemporelang/extempore-emacs-mode)

</details>

<details><summary><h3><strong>class FennelLexer</strong></h3></summary>

A lexer for the Fennel programming language.

    Fennel compiles to Lua, so all the Lua builtins are recognized as well
    as the special forms that are particular to the Fennel compiler.

</details>

<details><summary><h3><strong>class JanetLexer</strong></h3></summary>

A lexer for the Janet programming language.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

(
            {radix} (\#[iIeE])?
            | \#[iIeE] {radix}
          )

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Competes with Visual Prolog on *.cl

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

Competes with Visual Prolog on *.cl

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Competes with Visual Prolog on *.cl

</details>

<details><summary><h3><strong>def _multi_escape(entries)</strong></h3></summary>

(?:.|\n)*?

</details>

</details>


<details><summary><h2><strong> macaulay2.py</strong></h2></summary>

pygments.lexers.macaulay2
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Macaulay2.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Macaulay2Lexer](#class-macaulay2lexer)
</details>

<details><summary><h3><strong>class Macaulay2Lexer</strong></h3></summary>

Lexer for Macaulay2, a software system for research in algebraic geometry.

</details>

</details>


<details><summary><h2><strong> make.py</strong></h2></summary>

pygments.lexers.make
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Makefiles and similar.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MakefileLexer](#class-makefilelexer)
- [class BaseMakefileLexer](#class-basemakefilelexer)
- [class CMakeLexer](#class-cmakelexer)
</details>

<details><summary><h3><strong>class MakefileLexer</strong></h3></summary>

Lexer for BSD and GNU make extensions (lenient enough to handle both in
    the same file even).

    *Rewritten in Pygments 0.10.*

</details>

<details><summary><h3><strong>class BaseMakefileLexer</strong></h3></summary>

Lexer for simple Makefiles (no preprocessing).

</details>

<details><summary><h3><strong>class CMakeLexer</strong></h3></summary>

Lexer for CMake files.

</details>

</details>


<details><summary><h2><strong> markup.py</strong></h2></summary>

pygments.lexers.markup
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for non-HTML markup languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BBCodeLexer](#class-bbcodelexer)
- [class MoinWikiLexer](#class-moinwikilexer)
- [class RstLexer](#class-rstlexer)
- [class TexLexer](#class-texlexer)
- [class GroffLexer](#class-grofflexer)
- [class MozPreprocHashLexer](#class-mozpreprochashlexer)
- [class MozPreprocPercentLexer](#class-mozpreprocpercentlexer)
- [class MozPreprocXulLexer](#class-mozpreprocxullexer)
- [class MozPreprocJavascriptLexer](#class-mozpreprocjavascriptlexer)
- [class MozPreprocCssLexer](#class-mozpreproccsslexer)
- [class MarkdownLexer](#class-markdownlexer)
- [class OrgLexer](#class-orglexer)
- [class TiddlyWiki5Lexer](#class-tiddlywiki5lexer)
- [class WikitextLexer](#class-wikitextlexer)
- [def _handle_codeblock](#def-_handle_codeblock)
- [def _handle_codeblock](#def-_handle_codeblock)
- [def _handle_cssblock](#def-_handle_cssblock)
- [def nowiki_tag_rules](#def-nowiki_tag_rules)
- [def plaintext_tag_rules](#def-plaintext_tag_rules)
- [def delegate_tag_rules](#def-delegate_tag_rules)
- [def text_rules](#def-text_rules)
- [def handle_syntaxhighlight](#def-handle_syntaxhighlight)
- [def handle_score](#def-handle_score)
</details>

<details><summary><h3><strong>class BBCodeLexer</strong></h3></summary>

A lexer that highlights BBCode(-like) syntax.

</details>

<details><summary><h3><strong>class MoinWikiLexer</strong></h3></summary>

For MoinMoin (and Trac) Wiki markup.

</details>

<details><summary><h3><strong>class RstLexer</strong></h3></summary>

For reStructuredText markup.

    Additional options accepted:

    `handlecodeblocks`
        Highlight the contents of ``.. sourcecode:: language``,
        ``.. code:: language`` and ``.. code-block:: language``
        directives with a lexer for the given language (default:
        ``True``).

        .. versionadded:: 0.8

</details>

<details><summary><h3><strong>class TexLexer</strong></h3></summary>

Lexer for the TeX and LaTeX typesetting languages.

</details>

<details><summary><h3><strong>class GroffLexer</strong></h3></summary>

Lexer for the (g)roff typesetting language, supporting groff
    extensions. Mainly useful for highlighting manpage sources.

</details>

<details><summary><h3><strong>class MozPreprocHashLexer</strong></h3></summary>

Lexer for Mozilla Preprocessor files (with '#' as the marker).

    Other data is left untouched.

</details>

<details><summary><h3><strong>class MozPreprocPercentLexer</strong></h3></summary>

Lexer for Mozilla Preprocessor files (with '%' as the marker).

    Other data is left untouched.

</details>

<details><summary><h3><strong>class MozPreprocXulLexer</strong></h3></summary>

Subclass of the `MozPreprocHashLexer` that highlights unlexed data with the
    `XmlLexer`.

</details>

<details><summary><h3><strong>class MozPreprocJavascriptLexer</strong></h3></summary>

Subclass of the `MozPreprocHashLexer` that highlights unlexed data with the
    `JavascriptLexer`.

</details>

<details><summary><h3><strong>class MozPreprocCssLexer</strong></h3></summary>

Subclass of the `MozPreprocHashLexer` that highlights unlexed data with the
    `CssLexer`.

</details>

<details><summary><h3><strong>class MarkdownLexer</strong></h3></summary>

For Markdown markup.

<details><summary><h4><strong>def _handle_codeblock</strong></h4></summary>

(?x)
              ^(?P<initial>\s*```)
              (?P<lang>[\w\-]+)
              (?P<afterlang>
                 (?P<whitespace>[^\S\n]+)
                 (?P<extra>.*))?
              (?P<newline>\n)
              (?P<code>(.|\n)*?)
              (?P<terminator>^\s*```$\n)

</details>

</details>

<details><summary><h3><strong>class OrgLexer</strong></h3></summary>

For Org Mode markup.

</details>

<details><summary><h3><strong>class TiddlyWiki5Lexer</strong></h3></summary>

For TiddlyWiki5 markup.

<details><summary><h4><strong>def _handle_codeblock</strong></h4></summary>

match args: 1:backticks, 2:lang_name, 3:newline, 4:code, 5:backticks

</details>

<details><summary><h4><strong>def _handle_cssblock</strong></h4></summary>

match args: 1:style tag 2:newline, 3:code, 4:closing style tag

</details>

</details>

<details><summary><h3><strong>class WikitextLexer</strong></h3></summary>

For MediaWiki Wikitext.

    Parsing Wikitext is tricky, and results vary between different MediaWiki
    installations, so we only highlight common syntaxes (built-in or from
    popular extensions), and also assume templates produce no unbalanced
    syntaxes.

<details><summary><h4><strong>def nowiki_tag_rules</strong></h4></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h4><strong>def plaintext_tag_rules</strong></h4></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h4><strong>def delegate_tag_rules</strong></h4></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h4><strong>def text_rules</strong></h4></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h4><strong>def handle_syntaxhighlight</strong></h4></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h4><strong>def handle_score</strong></h4></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

</details>

<details><summary><h3><strong>def _handle_codeblock(self, match)</strong></h3></summary>

(?x)
              ^(?P<initial>\s*```)
              (?P<lang>[\w\-]+)
              (?P<afterlang>
                 (?P<whitespace>[^\S\n]+)
                 (?P<extra>.*))?
              (?P<newline>\n)
              (?P<code>(.|\n)*?)
              (?P<terminator>^\s*```$\n)

</details>

<details><summary><h3><strong>def _handle_codeblock(self, match)</strong></h3></summary>

match args: 1:backticks, 2:lang_name, 3:newline, 4:code, 5:backticks

</details>

<details><summary><h3><strong>def _handle_cssblock(self, match)</strong></h3></summary>

match args: 1:style tag 2:newline, 3:code, 4:closing style tag

</details>

<details><summary><h3><strong>def nowiki_tag_rules(tag_name)</strong></h3></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h3><strong>def plaintext_tag_rules(tag_name)</strong></h3></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h3><strong>def delegate_tag_rules(tag_name, lexer, **lexer_kwargs)</strong></h3></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h3><strong>def text_rules(token)</strong></h3></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h3><strong>def handle_syntaxhighlight(self, match, ctx)</strong></h3></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

<details><summary><h3><strong>def handle_score(self, match, ctx)</strong></h3></summary>

(?xi)
                (\A\s*?)(\#REDIRECT:?) # may contain a colon
                (\s+)(\[\[) (?=[^\]\n]* \]\]$)

</details>

</details>


<details><summary><h2><strong> math.py</strong></h2></summary>

pygments.lexers.math
    ~~~~~~~~~~~~~~~~~~~~

    Just export lexers that were contained in this module.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> matlab.py</strong></h2></summary>

pygments.lexers.matlab
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Matlab and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MatlabLexer](#class-matlablexer)
- [class MatlabSessionLexer](#class-matlabsessionlexer)
- [class OctaveLexer](#class-octavelexer)
- [class ScilabLexer](#class-scilablexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class MatlabLexer</strong></h3></summary>

For Matlab source code.

</details>

<details><summary><h3><strong>class MatlabSessionLexer</strong></h3></summary>

For Matlab sessions.  Modeled after PythonConsoleLexer.
    Contributed by Ken Schutte <kschutte@csail.mit.edu>.

</details>

<details><summary><h3><strong>class OctaveLexer</strong></h3></summary>

For GNU Octave source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Octave is quite hard to spot, and it looks like Matlab as well.

</details>

</details>

<details><summary><h3><strong>class ScilabLexer</strong></h3></summary>

For Scilab source code.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Octave is quite hard to spot, and it looks like Matlab as well.

</details>

</details>


<details><summary><h2><strong> maxima.py</strong></h2></summary>

pygments.lexers.maxima
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the computer algebra system Maxima.

    Derived from pygments/lexers/algebra.py.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MaximaLexer](#class-maximalexer)
</details>

<details><summary><h3><strong>class MaximaLexer</strong></h3></summary>

A Maxima lexer.
    Derived from pygments.lexers.MuPADLexer.

</details>

</details>


<details><summary><h2><strong> meson.py</strong></h2></summary>

pygments.lexers.meson
    ~~~~~~~~~~~~~~~~~~~~~

    Pygments lexer for the Meson build system

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MesonLexer](#class-mesonlexer)
</details>

<details><summary><h3><strong>class MesonLexer</strong></h3></summary>

Meson language lexer.

    The grammar definition use to transcribe the syntax was retrieved from
    https://mesonbuild.com/Syntax.html#grammar for version 0.58.
    Some of those definitions are improperly transcribed, so the Meson++
    implementation was also checked: https://github.com/dcbaker/meson-plus-plus.

</details>

</details>


<details><summary><h2><strong> mime.py</strong></h2></summary>

pygments.lexers.mime
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for Multipurpose Internet Mail Extensions (MIME) data.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MIMELexer](#class-mimelexer)
</details>

<details><summary><h3><strong>class MIMELexer</strong></h3></summary>

Lexer for Multipurpose Internet Mail Extensions (MIME) data. This lexer is
    designed to process nested multipart data.

    It assumes that the given data contains both header and body (and is
    split at an empty line). If no valid header is found, then the entire data
    will be treated as body.

    Additional options accepted:

    `MIME-max-level`
        Max recursion level for nested MIME structure. Any negative number
        would treated as unlimited. (default: -1)

    `Content-Type`
        Treat the data as a specific content type. Useful when header is
        missing, or this lexer would try to parse from header. (default:
        `text/plain`)

    `Multipart-Boundary`
        Set the default multipart boundary delimiter. This option is only used
        when `Content-Type` is `multipart` and header is missing. This lexer
        would try to parse from header by default. (default: None)

    `Content-Transfer-Encoding`
        Treat the data as a specific encoding. Or this lexer would try to parse
        from header by default. (default: None)

</details>

</details>


<details><summary><h2><strong> minecraft.py</strong></h2></summary>

pygments.lexers.minecraft
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Minecraft related languages.

    SNBT. A data communication format used in Minecraft.
    wiki: https://minecraft.wiki/w/NBT_format

    MCFunction. The Function file for Minecraft Data packs and Add-ons.
    official: https://learn.microsoft.com/en-us/minecraft/creator/documents/functionsintroduction
    wiki: https://minecraft.wiki/w/Function

    MCSchema. A kind of data Schema for Minecraft Add-on Development.
    official: https://learn.microsoft.com/en-us/minecraft/creator/reference/content/schemasreference/
    community example: https://www.mcbe-dev.net/addons/data-driven/manifest.html

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SNBTLexer](#class-snbtlexer)
- [class MCFunctionLexer](#class-mcfunctionlexer)
- [class MCSchemaLexer](#class-mcschemalexer)
</details>

<details><summary><h3><strong>class SNBTLexer</strong></h3></summary>

Lexer for stringified NBT, a data format used in Minecraft

</details>

<details><summary><h3><strong>class MCFunctionLexer</strong></h3></summary>

Lexer for the mcfunction scripting language used in Minecraft
    Modelled somewhat after the `GitHub mcfunction grammar <https://github.com/Arcensoth/language-mcfunction>`_.

</details>

<details><summary><h3><strong>class MCSchemaLexer</strong></h3></summary>

Lexer for Minecraft Add-ons data Schemas, an interface structure standard used in Minecraft

</details>

</details>


<details><summary><h2><strong> mips.py</strong></h2></summary>

pygments.lexers.mips
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for MIPS assembly.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MIPSLexer](#class-mipslexer)
</details>

<details><summary><h3><strong>class MIPSLexer</strong></h3></summary>

A MIPS Assembly Lexer.

    Based on the Emacs major mode by hlissner:
    https://github.com/hlissner/emacs-mips-mode

</details>

</details>


<details><summary><h2><strong> ml.py</strong></h2></summary>

pygments.lexers.ml
    ~~~~~~~~~~~~~~~~~~

    Lexers for ML family languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SMLLexer](#class-smllexer)
- [class OcamlLexer](#class-ocamllexer)
- [class OpaLexer](#class-opalexer)
- [class ReasonLexer](#class-reasonlexer)
- [class FStarLexer](#class-fstarlexer)
</details>

<details><summary><h3><strong>class SMLLexer</strong></h3></summary>

For the Standard ML language.

</details>

<details><summary><h3><strong>class OcamlLexer</strong></h3></summary>

For the OCaml language.

</details>

<details><summary><h3><strong>class OpaLexer</strong></h3></summary>

Lexer for the Opa language.

</details>

<details><summary><h3><strong>class ReasonLexer</strong></h3></summary>

For the ReasonML language.

</details>

<details><summary><h3><strong>class FStarLexer</strong></h3></summary>

For the F* language.

</details>

</details>


<details><summary><h2><strong> modeling.py</strong></h2></summary>

pygments.lexers.modeling
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for modeling languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ModelicaLexer](#class-modelicalexer)
- [class BugsLexer](#class-bugslexer)
- [class JagsLexer](#class-jagslexer)
- [class StanLexer](#class-stanlexer)
</details>

<details><summary><h3><strong>class ModelicaLexer</strong></h3></summary>

For Modelica source code.

</details>

<details><summary><h3><strong>class BugsLexer</strong></h3></summary>

Pygments Lexer for OpenBugs and WinBugs
    models.

</details>

<details><summary><h3><strong>class JagsLexer</strong></h3></summary>

Pygments Lexer for JAGS.

</details>

<details><summary><h3><strong>class StanLexer</strong></h3></summary>

Pygments Lexer for Stan models.

    The Stan modeling language is specified in the *Stan Modeling Language
    User's Guide and Reference Manual, v2.17.0*,
    `pdf <https://github.com/stan-dev/stan/releases/download/v2.17.0/stan-reference-2.17.0.pdf>`__.

</details>

</details>


<details><summary><h2><strong> modula2.py</strong></h2></summary>

pygments.lexers.modula2
    ~~~~~~~~~~~~~~~~~~~~~~~

    Multi-Dialect Lexer for Modula-2.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class Modula2Lexer](#class-modula2lexer)
- [class initialiser](#class-initialiser)
- [def __init__](#def-__init__)
- [def set_dialect](#def-set_dialect)
- [def get_dialect_from_dialect_tag](#def-get_dialect_from_dialect_tag)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class Modula2Lexer</strong></h3></summary>

For Modula-2 source code.

    The Modula-2 lexer supports several dialects.  By default, it operates in
    fallback mode, recognising the *combined* literals, punctuation symbols
    and operators of all supported dialects, and the *combined* reserved words
    and builtins of PIM Modula-2, ISO Modula-2 and Modula-2 R10, while not
    differentiating between library defined identifiers.

    To select a specific dialect, a dialect option may be passed
    or a dialect tag may be embedded into a source file.

    Dialect Options:

    `m2pim`
        Select PIM Modula-2 dialect.
    `m2iso`
        Select ISO Modula-2 dialect.
    `m2r10`
        Select Modula-2 R10 dialect.
    `objm2`
        Select Objective Modula-2 dialect.

    The PIM and ISO dialect options may be qualified with a language extension.

    Language Extensions:

    `+aglet`
        Select Aglet Modula-2 extensions, available with m2iso.
    `+gm2`
        Select GNU Modula-2 extensions, available with m2pim.
    `+p1`
        Select p1 Modula-2 extensions, available with m2iso.
    `+xds`
        Select XDS Modula-2 extensions, available with m2iso.


    Passing a Dialect Option via Unix Commandline Interface

    Dialect options may be passed to the lexer using the `dialect` key.
    Only one such option should be passed. If multiple dialect options are
    passed, the first valid option is used, any subsequent options are ignored.

<p><strong>Usage example</strong></p>

<pre><code>
`$ pygmentize -O full,dialect=m2iso -f html -o /path/to/output /path/to/input`
Use ISO dialect to render input to HTML output
`$ pygmentize -O full,dialect=m2iso+p1 -f rtf -o /path/to/output /path/to/input`
Use ISO dialect with p1 extensions to render input to RTF output
Embedding a Dialect Option within a source file
A dialect option may be embedded in a source file in form of a dialect
tag, a specially formatted comment that specifies a dialect option.
Dialect Tag EBNF::
dialectTag :
OpeningCommentDelim Prefix dialectOption ClosingCommentDelim ;
dialectOption :
'm2pim' | 'm2iso' | 'm2r10' | 'objm2' |
'm2iso+aglet' | 'm2pim+gm2' | 'm2iso+p1' | 'm2iso+xds' ;
Prefix : '!' ;
OpeningCommentDelim : '(*' ;
ClosingCommentDelim : '*)' ;
No whitespace is permitted between the tokens of a dialect tag.
In the event that a source file contains multiple dialect tags, the first
tag that contains a valid dialect option will be used and any subsequent
dialect tags will be ignored.  Ideally, a dialect tag should be placed
at the beginning of a source file.
An embedded dialect tag overrides a dialect option set via command line.
Examples:
``(*!m2r10*) DEFINITION MODULE Foobar; ...``
Use Modula2 R10 dialect to render this source file.
``(*!m2pim+gm2*) DEFINITION MODULE Bazbam; ...``
Use PIM dialect with GNU extensions to render this source file.
Algol Publication Mode:
In Algol publication mode, source text is rendered for publication of
algorithms in scientific papers and academic texts, following the format
of the Revised Algol-60 Language Report.  It is activated by passing
one of two corresponding styles as an option:
`algol`
render reserved words lowercase underline boldface
and builtins lowercase boldface italic
`algol_nu`
render reserved words lowercase boldface (no underlining)
and builtins lowercase boldface italic
The lexer automatically performs the required lowercase conversion when
this mode is activated.
Example:
``$ pygmentize -O full,style=algol -f latex -o /path/to/output /path/to/input``
Render input file in Algol publication mode to LaTeX output.
Rendering Mode of First Class ADT Identifiers:
The rendering of standard library first class ADT identifiers is controlled
by option flag "treat_stdlib_adts_as_builtins".
When this option is turned on, standard library ADT identifiers are rendered
as builtins.  When it is turned off, they are rendered as ordinary library
identifiers.
`treat_stdlib_adts_as_builtins` (default: On)
The option is useful for dialects that support ADTs as first class objects
and provide ADTs in the standard library that would otherwise be built-in.
At present, only Modula-2 R10 supports library ADTs as first class objects
and therefore, no ADT identifiers are defined for any other dialects.
Example:
``$ pygmentize -O full,dialect=m2r10,treat_stdlib_adts_as_builtins=Off ...``
Render standard library ADTs as ordinary library types.
.. versionchanged:: 2.1
Added multi-dialect support.
</code></pre>
</details>

<details><summary><h3><strong>class initialiser</strong></h3></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

<p><strong>Key features</strong></p>

<ul>
<li>uses PROCEDURE</li>
</ul>
<details><summary><h4><strong>def set_dialect</strong></h4></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h4><strong>def get_dialect_from_dialect_tag</strong></h4></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h3><strong>def set_dialect(self, dialect_id)</strong></h3></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h3><strong>def get_dialect_from_dialect_tag(self, dialect_tag)</strong></h3></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

It's Pascal-like, but does not use FUNCTION -- uses PROCEDURE
        instead.

</details>

</details>


<details><summary><h2><strong> mojo.py</strong></h2></summary>

pygments.lexers.mojo
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Mojo and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MojoLexer](#class-mojolexer)
- [def innerstring_rules](#def-innerstring_rules)
- [def fstring_rules](#def-fstring_rules)
</details>

<details><summary><h3><strong>class MojoLexer</strong></h3></summary>

For Mojo source code (version 24.2.1).

<details><summary><h4><strong>def innerstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

<details><summary><h4><strong>def fstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

</details>

<details><summary><h3><strong>def innerstring_rules(ttype)</strong></h3></summary>

(?:.|\n)*?

</details>

<details><summary><h3><strong>def fstring_rules(ttype)</strong></h3></summary>

(?:.|\n)*?

</details>

</details>


<details><summary><h2><strong> monte.py</strong></h2></summary>

pygments.lexers.monte
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Monte programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MonteLexer](#class-montelexer)
</details>

<details><summary><h3><strong>class MonteLexer</strong></h3></summary>

Lexer for the Monte programming language.

</details>

</details>


<details><summary><h2><strong> mosel.py</strong></h2></summary>

pygments.lexers.mosel
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for the mosel language.
    http://www.fico.com/en/products/fico-xpress-optimization

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MoselLexer](#class-mosellexer)
</details>

<details><summary><h3><strong>class MoselLexer</strong></h3></summary>

For the Mosel optimization language.

</details>

</details>


<details><summary><h2><strong> ncl.py</strong></h2></summary>

pygments.lexers.ncl
    ~~~~~~~~~~~~~~~~~~~

    Lexers for NCAR Command Language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NCLLexer](#class-ncllexer)
</details>

<details><summary><h3><strong>class NCLLexer</strong></h3></summary>

Lexer for NCL code.

</details>

</details>


<details><summary><h2><strong> nimrod.py</strong></h2></summary>

pygments.lexers.nimrod
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Nim language (formerly known as Nimrod).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NimrodLexer](#class-nimrodlexer)
- [def underscorize](#def-underscorize)
</details>

<details><summary><h3><strong>class NimrodLexer</strong></h3></summary>

For Nim source code.

<details><summary><h4><strong>def underscorize</strong></h4></summary>

', String.Double, 'tdqs'),
            ('"', String, 'dqs'),

            # Char
            ("'", String.Char, 'chars'),

            # Keywords
            (rf'({underscorize(opWords)})\b', Operator.Word),
            (r'(proc|func|method|macro|template)(\s)(?![(\[\]])',
             bygroups(Keyword, Text.Whitespace), 'funcname'),
            (rf'({underscorize(keywords)})\b', Keyword),
            (r'({})\b'.format(underscorize(['from', 'import', 'include', 'export'])),
             Keyword.Namespace),
            (r'(v_?a_?r)\b', Keyword.Declaration),
            (rf'({underscorize(types)})\b', Name.Builtin),
            (rf'({underscorize(keywordsPseudo)})\b', Keyword.Pseudo),

            # Identifiers
            (r'\b((?![_\d])\w)(((?!_)\w)|(_(?!_)\w))*', Name),

            # Numbers
            (r'[0-9][0-9_]*(?=([e.]|\'f(32|64)))',
             Number.Float, ('float-suffix', 'float-number')),
            (r'0x[a-f0-9][a-f0-9_]*', Number.Hex, 'int-suffix'),
            (r'0b[01][01_]*', Number.Bin, 'int-suffix'),
            (r'0o[0-7][0-7_]*', Number.Oct, 'int-suffix'),
            (r'[0-9][0-9_]*', Number.Integer, 'int-suffix'),

            # Whitespace
            (r'\s+', Text.Whitespace),
            (r'.+$', Error),
        ],
        'chars': [
            (r'\\([\\abcefnrtvl"\']|x[a-f0-9]{2}|[0-9]{1,3})', String.Escape),
            (r"'", String.Char, '#pop'),
            (r".", String.Char)
        ],
        'strings': [
            (r'(?<!\$)\$(\d+|#|\w+)+', String.Interpol),
            (r'[^\\\'"$\n]+', String),
            # quotes, dollars and backslashes must be parsed one at a time
            (r'[\'"\\]', String),
            # unhandled string formatting sign
            (r'\$', String)
            # newlines are an error (use "nl" state)
        ],
        'doccomment': [
            (r'[^\]#]+', String.Doc),
            (r'##\[', String.Doc, '#push'),
            (r'\]##', String.Doc, '#pop'),
            (r'[\]#]', String.Doc),
        ],
        'comment': [
            (r'[^\]#]+', Comment.Multiline),
            (r'#\[', Comment.Multiline, '#push'),
            (r'\]#', Comment.Multiline, '#pop'),
            (r'[\]#]', Comment.Multiline),
        ],
        'dqs': [
            (r'\\([\\abcefnrtvl"\']|\n|x[a-f0-9]{2}|[0-9]{1,3})',
             String.Escape),
            (r'"', String, '#pop'),
            include('strings')
        ],
        'rdqs': [
            (r'"(?!")', String, '#pop'),
            (r'""', String.Escape),
            include('strings')
        ],
        'tdqs': [
            (r'

</details>

</details>

<details><summary><h3><strong>def underscorize(words)</strong></h3></summary>

', String.Double, 'tdqs'),
            ('"', String, 'dqs'),

            # Char
            ("'", String.Char, 'chars'),

            # Keywords
            (rf'({underscorize(opWords)})\b', Operator.Word),
            (r'(proc|func|method|macro|template)(\s)(?![(\[\]])',
             bygroups(Keyword, Text.Whitespace), 'funcname'),
            (rf'({underscorize(keywords)})\b', Keyword),
            (r'({})\b'.format(underscorize(['from', 'import', 'include', 'export'])),
             Keyword.Namespace),
            (r'(v_?a_?r)\b', Keyword.Declaration),
            (rf'({underscorize(types)})\b', Name.Builtin),
            (rf'({underscorize(keywordsPseudo)})\b', Keyword.Pseudo),

            # Identifiers
            (r'\b((?![_\d])\w)(((?!_)\w)|(_(?!_)\w))*', Name),

            # Numbers
            (r'[0-9][0-9_]*(?=([e.]|\'f(32|64)))',
             Number.Float, ('float-suffix', 'float-number')),
            (r'0x[a-f0-9][a-f0-9_]*', Number.Hex, 'int-suffix'),
            (r'0b[01][01_]*', Number.Bin, 'int-suffix'),
            (r'0o[0-7][0-7_]*', Number.Oct, 'int-suffix'),
            (r'[0-9][0-9_]*', Number.Integer, 'int-suffix'),

            # Whitespace
            (r'\s+', Text.Whitespace),
            (r'.+$', Error),
        ],
        'chars': [
            (r'\\([\\abcefnrtvl"\']|x[a-f0-9]{2}|[0-9]{1,3})', String.Escape),
            (r"'", String.Char, '#pop'),
            (r".", String.Char)
        ],
        'strings': [
            (r'(?<!\$)\$(\d+|#|\w+)+', String.Interpol),
            (r'[^\\\'"$\n]+', String),
            # quotes, dollars and backslashes must be parsed one at a time
            (r'[\'"\\]', String),
            # unhandled string formatting sign
            (r'\$', String)
            # newlines are an error (use "nl" state)
        ],
        'doccomment': [
            (r'[^\]#]+', String.Doc),
            (r'##\[', String.Doc, '#push'),
            (r'\]##', String.Doc, '#pop'),
            (r'[\]#]', String.Doc),
        ],
        'comment': [
            (r'[^\]#]+', Comment.Multiline),
            (r'#\[', Comment.Multiline, '#push'),
            (r'\]#', Comment.Multiline, '#pop'),
            (r'[\]#]', Comment.Multiline),
        ],
        'dqs': [
            (r'\\([\\abcefnrtvl"\']|\n|x[a-f0-9]{2}|[0-9]{1,3})',
             String.Escape),
            (r'"', String, '#pop'),
            include('strings')
        ],
        'rdqs': [
            (r'"(?!")', String, '#pop'),
            (r'""', String.Escape),
            include('strings')
        ],
        'tdqs': [
            (r'

</details>

</details>


<details><summary><h2><strong> nit.py</strong></h2></summary>

pygments.lexers.nit
    ~~~~~~~~~~~~~~~~~~~

    Lexer for the Nit language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NitLexer](#class-nitlexer)
</details>

<details><summary><h3><strong>class NitLexer</strong></h3></summary>

For nit source.

</details>

</details>


<details><summary><h2><strong> nix.py</strong></h2></summary>

pygments.lexers.nix
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the NixOS Nix language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NixLexer](#class-nixlexer)
</details>

<details><summary><h3><strong>class NixLexer</strong></h3></summary>

For the Nix language.

</details>

</details>


<details><summary><h2><strong> oberon.py</strong></h2></summary>

pygments.lexers.oberon
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Oberon family languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ComponentPascalLexer](#class-componentpascallexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ComponentPascalLexer</strong></h3></summary>

For Component Pascal source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

The only other lexer using .cp is the C++ one, so we check if for
        a few common Pascal keywords here. Those are unfortunately quite
        common across various business languages as well.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

The only other lexer using .cp is the C++ one, so we check if for
        a few common Pascal keywords here. Those are unfortunately quite
        common across various business languages as well.

</details>

</details>


<details><summary><h2><strong> objective.py</strong></h2></summary>

pygments.lexers.objective
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Objective-C family languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class of](#class-of)
- [class GeneratedObjectiveCVariant](#class-generatedobjectivecvariant)
- [class ObjectiveCLexer](#class-objectiveclexer)
- [class ObjectiveCppLexer](#class-objectivecpplexer)
- [class LogosLexer](#class-logoslexer)
- [class SwiftLexer](#class-swiftlexer)
- [def objective](#def-objective)
</details>

<details><summary><h3><strong>class of</strong></h3></summary>

# Have to be careful not to accidentally match JavaDoc/Doxygen syntax here,
    # since that's quite common in ordinary C/C++ files.  It's OK to match
    # JavaDoc/Doxygen keywords that only apply to Objective-C, mind.
    #
    # The upshot of this is that we CANNOT match @class or @interface
    _oc_keywords = re.compile(r'@(?:end|implementation|protocol)')

    # Matches [ <ws>? identifier <ws> ( identifier <ws>? ] |  identifier? : )
    # (note the identifier is *optional* when there is a ':'!)
    _oc_message = re.compile(r'\[\s*[a-zA-Z_]\w*\s+'
                             r'(?:[a-zA-Z_]\w*\s*\]|'
                             r'(?:[a-zA-Z_]\w*)?:)')

    class GeneratedObjectiveCVariant(baselexer):

</details>

<details><summary><h3><strong>class GeneratedObjectiveCVariant</strong></h3></summary>

Implements Objective-C syntax on top of an existing C family lexer.

</details>

<details><summary><h3><strong>class ObjectiveCLexer</strong></h3></summary>

For Objective-C source code with preprocessor directives.

</details>

<details><summary><h3><strong>class ObjectiveCppLexer</strong></h3></summary>

For Objective-C++ source code with preprocessor directives.

</details>

<details><summary><h3><strong>class LogosLexer</strong></h3></summary>

For Logos + Objective-C source code with preprocessor directives.

</details>

<details><summary><h3><strong>class SwiftLexer</strong></h3></summary>

For Swift source.

</details>

<details><summary><h3><strong>def objective(baselexer)</strong></h3></summary>

Generate a subclass of baselexer that accepts the Objective-C syntax
    extensions.

</details>

</details>


<details><summary><h2><strong> ooc.py</strong></h2></summary>

pygments.lexers.ooc
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the Ooc language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class OocLexer](#class-ooclexer)
</details>

<details><summary><h3><strong>class OocLexer</strong></h3></summary>

For Ooc source code

</details>

</details>


<details><summary><h2><strong> openscad.py</strong></h2></summary>

pygments.lexers.openscad
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the OpenSCAD languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class OpenScadLexer](#class-openscadlexer)
</details>

<details><summary><h3><strong>class OpenScadLexer</strong></h3></summary>

For openSCAD code.

</details>

</details>


<details><summary><h2><strong> other.py</strong></h2></summary>

pygments.lexers.other
    ~~~~~~~~~~~~~~~~~~~~~

    Just export lexer classes previously contained in this module.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> parasail.py</strong></h2></summary>

pygments.lexers.parasail
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for ParaSail.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ParaSailLexer](#class-parasaillexer)
</details>

<details><summary><h3><strong>class ParaSailLexer</strong></h3></summary>

For ParaSail source code.

</details>

</details>


<details><summary><h2><strong> parsers.py</strong></h2></summary>

pygments.lexers.parsers
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for parser generators.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RagelLexer](#class-ragellexer)
- [class RagelEmbeddedLexer](#class-ragelembeddedlexer)
- [class RagelRubyLexer](#class-ragelrubylexer)
- [class RagelCLexer](#class-ragelclexer)
- [class RagelDLexer](#class-rageldlexer)
- [class RagelCppLexer](#class-ragelcpplexer)
- [class RagelObjectiveCLexer](#class-ragelobjectiveclexer)
- [class RagelJavaLexer](#class-rageljavalexer)
- [class AntlrLexer](#class-antlrlexer)
- [class AntlrCppLexer](#class-antlrcpplexer)
- [class AntlrObjectiveCLexer](#class-antlrobjectiveclexer)
- [class AntlrCSharpLexer](#class-antlrcsharplexer)
- [class AntlrPythonLexer](#class-antlrpythonlexer)
- [class AntlrJavaLexer](#class-antlrjavalexer)
- [class AntlrRubyLexer](#class-antlrrubylexer)
- [class AntlrPerlLexer](#class-antlrperllexer)
- [class AntlrActionScriptLexer](#class-antlractionscriptlexer)
- [class TreetopBaseLexer](#class-treetopbaselexer)
- [class TreetopLexer](#class-treetoplexer)
- [class EbnfLexer](#class-ebnflexer)
</details>

<details><summary><h3><strong>class RagelLexer</strong></h3></summary>

A pure `Ragel <www.colm.net/open-source/ragel>`_ lexer.  Use this
    for fragments of Ragel.  For ``.rl`` files, use
    :class:`RagelEmbeddedLexer` instead (or one of the
    language-specific subclasses).

</details>

<details><summary><h3><strong>class RagelEmbeddedLexer</strong></h3></summary>

A lexer for Ragel embedded in a host language file.

    This will only highlight Ragel statements. If you want host language
    highlighting then call the language-specific Ragel lexer.

</details>

<details><summary><h3><strong>class RagelRubyLexer</strong></h3></summary>

A lexer for Ragel in a Ruby host file.

</details>

<details><summary><h3><strong>class RagelCLexer</strong></h3></summary>

A lexer for Ragel in a C host file.

</details>

<details><summary><h3><strong>class RagelDLexer</strong></h3></summary>

A lexer for Ragel in a D host file.

</details>

<details><summary><h3><strong>class RagelCppLexer</strong></h3></summary>

A lexer for Ragel in a C++ host file.

</details>

<details><summary><h3><strong>class RagelObjectiveCLexer</strong></h3></summary>

A lexer for Ragel in an Objective C host file.

</details>

<details><summary><h3><strong>class RagelJavaLexer</strong></h3></summary>

A lexer for Ragel in a Java host file.

</details>

<details><summary><h3><strong>class AntlrLexer</strong></h3></summary>

Generic ANTLR Lexer.
    Should not be called directly, instead
    use DelegatingLexer for your target language.

</details>

<details><summary><h3><strong>class AntlrCppLexer</strong></h3></summary>

ANTLR with C++ Target

</details>

<details><summary><h3><strong>class AntlrObjectiveCLexer</strong></h3></summary>

ANTLR with Objective-C Target

</details>

<details><summary><h3><strong>class AntlrCSharpLexer</strong></h3></summary>

ANTLR with C# Target

</details>

<details><summary><h3><strong>class AntlrPythonLexer</strong></h3></summary>

ANTLR with Python Target

</details>

<details><summary><h3><strong>class AntlrJavaLexer</strong></h3></summary>

ANTLR with Java Target

</details>

<details><summary><h3><strong>class AntlrRubyLexer</strong></h3></summary>

ANTLR with Ruby Target

</details>

<details><summary><h3><strong>class AntlrPerlLexer</strong></h3></summary>

ANTLR with Perl Target

</details>

<details><summary><h3><strong>class AntlrActionScriptLexer</strong></h3></summary>

ANTLR with ActionScript Target

</details>

<details><summary><h3><strong>class TreetopBaseLexer</strong></h3></summary>

A base lexer for `Treetop <http://treetop.rubyforge.org/>`_ grammars.
    Not for direct use; use :class:`TreetopLexer` instead.

    .. versionadded:: 1.6

</details>

<details><summary><h3><strong>class TreetopLexer</strong></h3></summary>

A lexer for Treetop grammars.

</details>

<details><summary><h3><strong>class EbnfLexer</strong></h3></summary>

Lexer for `ISO/IEC 14977 EBNF
    <https://en.wikipedia.org/wiki/Extended_Backus%E2%80%93Naur_Form>`_
    grammars.

</details>

</details>


<details><summary><h2><strong> pascal.py</strong></h2></summary>

pygments.lexers.pascal
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Pascal family languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PortugolLexer](#class-portugollexer)
- [class DelphiLexer](#class-delphilexer)
</details>

<details><summary><h3><strong>class PortugolLexer</strong></h3></summary>

For Portugol, a Pascal dialect with keywords in Portuguese.

</details>

<details><summary><h3><strong>class DelphiLexer</strong></h3></summary>

For Delphi (Borland Object Pascal),
    Turbo Pascal and Free Pascal source code.

    Additional options accepted:

    `turbopascal`
        Highlight Turbo Pascal specific keywords (default: ``True``).
    `delphi`
        Highlight Borland Delphi specific keywords (default: ``True``).
    `freepascal`
        Highlight Free Pascal specific keywords (default: ``True``).
    `units`
        A list of units that should be considered builtin, supported are
        ``System``, ``SysUtils``, ``Classes`` and ``Math``.
        Default is to consider all of them builtin.

</details>

</details>


<details><summary><h2><strong> pawn.py</strong></h2></summary>

pygments.lexers.pawn
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for the Pawn languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SourcePawnLexer](#class-sourcepawnlexer)
- [class PawnLexer](#class-pawnlexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class SourcePawnLexer</strong></h3></summary>

For SourcePawn source code with preprocessor directives.

</details>

<details><summary><h3><strong>class PawnLexer</strong></h3></summary>

For Pawn source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This is basically C. There is a keyword which doesn't exist in C
        though and is nearly unique to this language.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This is basically C. There is a keyword which doesn't exist in C
        though and is nearly unique to this language.

</details>

</details>


<details><summary><h2><strong> perl.py</strong></h2></summary>

pygments.lexers.perl
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Perl, Raku and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PerlLexer](#class-perllexer)
- [class Perl6Lexer](#class-perl6lexer)
</details>

<details><summary><h3><strong>class PerlLexer</strong></h3></summary>

For Perl source code.

</details>

<details><summary><h3><strong>class Perl6Lexer</strong></h3></summary>

For Raku (a.k.a. Perl 6) source code.

</details>

</details>


<details><summary><h2><strong> phix.py</strong></h2></summary>

pygments.lexers.phix
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Phix.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PhixLexer](#class-phixlexer)
</details>

<details><summary><h3><strong>class PhixLexer</strong></h3></summary>

Pygments Lexer for Phix files (.exw).
    See http://phix.x10.mx

</details>

</details>


<details><summary><h2><strong> php.py</strong></h2></summary>

pygments.lexers.php
    ~~~~~~~~~~~~~~~~~~~

    Lexers for PHP and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ZephirLexer](#class-zephirlexer)
- [class PsyshConsoleLexer](#class-psyshconsolelexer)
- [class PhpLexer](#class-phplexer)
</details>

<details><summary><h3><strong>class ZephirLexer</strong></h3></summary>

For Zephir language source code.

    Zephir is a compiled high level language aimed
    to the creation of C-extensions for PHP.

</details>

<details><summary><h3><strong>class PsyshConsoleLexer</strong></h3></summary>

For PsySH console output, such as:

    .. sourcecode:: psysh

        >>> $greeting = function($name): string {
        ...     return "Hello, {$name}";
        ... };
        => Closure($name): string {#2371 …3}
        >>> $greeting('World')
        => "Hello, World"

</details>

<details><summary><h3><strong>class PhpLexer</strong></h3></summary>

For PHP source code.
    For PHP embedded in HTML, use the `HtmlPhpLexer`.

    Additional options accepted:

    `startinline`
        If given and ``True`` the lexer starts highlighting with
        php code (i.e.: no starting ``<?php`` required).  The default
        is ``False``.
    `funcnamehighlighting`
        If given and ``True``, highlight builtin function names
        (default: ``True``).
    `disabledmodules`
        If given, must be a list of module names whose function names
        should not be highlighted. By default all modules are highlighted
        except the special ``'unknown'`` module that includes functions
        that are known to php but are undocumented.

        To get a list of allowed modules have a look into the
        `_php_builtins` module:

        .. sourcecode:: pycon

            >>> from pygments.lexers._php_builtins import MODULES
            >>> MODULES.keys()
            ['PHP Options/Info', 'Zip', 'dba', ...]

        In fact the names of those modules match the module names from
        the php documentation.

</details>

</details>


<details><summary><h2><strong> pointless.py</strong></h2></summary>

pygments.lexers.pointless
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Pointless.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PointlessLexer](#class-pointlesslexer)
</details>

<details><summary><h3><strong>class PointlessLexer</strong></h3></summary>

For Pointless source code.

</details>

</details>


<details><summary><h2><strong> pony.py</strong></h2></summary>

pygments.lexers.pony
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Pony and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PonyLexer](#class-ponylexer)
</details>

<details><summary><h3><strong>class PonyLexer</strong></h3></summary>

For Pony source code.

</details>

</details>


<details><summary><h2><strong> praat.py</strong></h2></summary>

pygments.lexers.praat
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for Praat

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PraatLexer](#class-praatlexer)
</details>

<details><summary><h3><strong>class PraatLexer</strong></h3></summary>

For Praat scripts.

</details>

</details>


<details><summary><h2><strong> procfile.py</strong></h2></summary>

pygments.lexers.procfile
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Procfile file format.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ProcfileLexer](#class-procfilelexer)
</details>

<details><summary><h3><strong>class ProcfileLexer</strong></h3></summary>

Lexer for Procfile file format.

    The format is used to run processes on Heroku or is used by Foreman or
    Honcho tools.

</details>

</details>


<details><summary><h2><strong> prolog.py</strong></h2></summary>

pygments.lexers.prolog
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Prolog and Prolog-like languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PrologLexer](#class-prologlexer)
- [class LogtalkLexer](#class-logtalklexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class PrologLexer</strong></h3></summary>

Lexer for Prolog files.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Competes with IDL and Visual Prolog on *.pro

</details>

</details>

<details><summary><h3><strong>class LogtalkLexer</strong></h3></summary>

For Logtalk source code.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Competes with IDL and Visual Prolog on *.pro

</details>

</details>


<details><summary><h2><strong> promql.py</strong></h2></summary>

pygments.lexers.promql
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Prometheus Query Language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PromQLLexer](#class-promqllexer)
</details>

<details><summary><h3><strong>class PromQLLexer</strong></h3></summary>

For PromQL queries.

    For details about the grammar see:
    https://github.com/prometheus/prometheus/tree/master/promql/parser

    .. versionadded: 2.7

</details>

</details>


<details><summary><h2><strong> prql.py</strong></h2></summary>

pygments.lexers.prql
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the PRQL query language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PrqlLexer](#class-prqllexer)
- [def innerstring_rules](#def-innerstring_rules)
- [def fstring_rules](#def-fstring_rules)
</details>

<details><summary><h3><strong>class PrqlLexer</strong></h3></summary>

For PRQL source code.

    grammar: https://github.com/PRQL/prql/tree/main/grammars

<details><summary><h4><strong>def innerstring_rules</strong></h4></summary>

)', bygroups(String.Affix, String.Double),
             combined('fstringescape', 'tdqf')),
            ("(f)(

</details>

<details><summary><h4><strong>def fstring_rules</strong></h4></summary>

)', bygroups(String.Affix, String.Double),
             combined('fstringescape', 'tdqf')),
            ("(f)(

</details>

</details>

<details><summary><h3><strong>def innerstring_rules(ttype)</strong></h3></summary>

)', bygroups(String.Affix, String.Double),
             combined('fstringescape', 'tdqf')),
            ("(f)(

</details>

<details><summary><h3><strong>def fstring_rules(ttype)</strong></h3></summary>

)', bygroups(String.Affix, String.Double),
             combined('fstringescape', 'tdqf')),
            ("(f)(

</details>

</details>


<details><summary><h2><strong> ptx.py</strong></h2></summary>

pygments.lexers.ptx
    ~~~~~~~~~~~~~~~~~~~

    Lexer for other PTX language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PtxLexer](#class-ptxlexer)
</details>

<details><summary><h3><strong>class PtxLexer</strong></h3></summary>

For NVIDIA `PTX <https://docs.nvidia.com/cuda/parallel-thread-execution/>`_
    source.

</details>

</details>


<details><summary><h2><strong> python.py</strong></h2></summary>

pygments.lexers.python
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Python and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PythonLexer](#class-pythonlexer)
- [class Python2Lexer](#class-python2lexer)
- [class has](#class-has)
- [class _PythonConsoleLexerBase](#class-_pythonconsolelexerbase)
- [class PythonConsoleLexer](#class-pythonconsolelexer)
- [class PythonTracebackLexer](#class-pythontracebacklexer)
- [class Python2TracebackLexer](#class-python2tracebacklexer)
- [class CythonLexer](#class-cythonlexer)
- [class DgLexer](#class-dglexer)
- [class NumPyLexer](#class-numpylexer)
- [def innerstring_rules](#def-innerstring_rules)
- [def fstring_rules](#def-fstring_rules)
- [def innerstring_rules](#def-innerstring_rules)
- [def foo](#def-foo)
</details>

<details><summary><h3><strong>class PythonLexer</strong></h3></summary>

For Python source code (version 3.x).

    .. versionchanged:: 2.5
       This is now the default ``PythonLexer``.  It is still available as the
       alias ``Python3Lexer``.

<details><summary><h4><strong>def innerstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

<details><summary><h4><strong>def fstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

</details>

<details><summary><h3><strong>class Python2Lexer</strong></h3></summary>

For Python 2.x source code.

    .. versionchanged:: 2.5
       This class has been renamed from ``PythonLexer``.  ``PythonLexer`` now
       refers to the Python 3 variant.  File name patterns like ``*.py`` have
       been moved to Python 3 as well.

<details><summary><h4><strong>def innerstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

</details>

<details><summary><h3><strong>class has</strong></h3></summary>

name = 'Python 2.x'
    url = 'https://www.python.org'
    aliases = ['python2', 'py2']
    filenames = []  # now taken over by PythonLexer (3.x)
    mimetypes = ['text/x-python2', 'application/x-python2']
    version_added = ''

    def innerstring_rules(ttype):
        return [
            # the old style '%s' % (...) string formatting
            (r'%(\(\w+\))?[-#0 +]*([0-9]+|[*])?(\.([0-9]+|[*]))?'
             '[hlL]?[E-GXc-giorsux%]', String.Interpol),
            # backslashes, quotes and formatting signs must be parsed one at a time
            (r'[^\\\'"%\n]+', ttype),
            (r'[\'"\\]', ttype),
            # unhandled string formatting sign
            (r'%', ttype),
            # newlines are an error (use "nl" state)
        ]

    tokens = {
        'root': [
            (r'\n', Whitespace),
            (r'^(\s*)([rRuUbB]{,2})(

<details><summary><h4><strong>def innerstring_rules</strong></h4></summary>

(?:.|\n)*?

</details>

</details>

<details><summary><h3><strong>class _PythonConsoleLexerBase</strong></h3></summary>

Auxiliary lexer for `PythonConsoleLexer`.

    Code tokens are output as ``Token.Other.Code``, traceback tokens as
    ``Token.Other.Traceback``.

</details>

<details><summary><h3><strong>class PythonConsoleLexer</strong></h3></summary>

For Python console output or doctests, such as:

    .. sourcecode:: pycon

        >>> a = 'foo'
        >>> print(a)
        foo
        >>> 1 / 0
        Traceback (most recent call last):
          File "<stdin>", line 1, in <module>
        ZeroDivisionError: integer division or modulo by zero

    Additional options:

    `python3`
        Use Python 3 lexer for code.  Default is ``True``.

        .. versionadded:: 1.0
        .. versionchanged:: 2.5
           Now defaults to ``True``.

</details>

<details><summary><h3><strong>class PythonTracebackLexer</strong></h3></summary>

For Python 3.x tracebacks, with support for chained exceptions.

    .. versionchanged:: 2.5
       This is now the default ``PythonTracebackLexer``.  It is still available
       as the alias ``Python3TracebackLexer``.

</details>

<details><summary><h3><strong>class Python2TracebackLexer</strong></h3></summary>

For Python tracebacks.

    .. versionchanged:: 2.5
       This class has been renamed from ``PythonTracebackLexer``.
       ``PythonTracebackLexer`` now refers to the Python 3 variant.

</details>

<details><summary><h3><strong>class CythonLexer</strong></h3></summary>

For Pyrex and Cython source code.

<details><summary><h4><strong>def foo</strong></h4></summary>

', String, '#pop'),
            include('strings'),
            include('nl')
        ],
        'tsqs': [
            (r"

</details>

</details>

<details><summary><h3><strong>class DgLexer</strong></h3></summary>

Lexer for dg,
    a functional and object-oriented programming language
    running on the CPython 3 VM.

</details>

<details><summary><h3><strong>class NumPyLexer</strong></h3></summary>

A Python lexer recognizing Numerical Python builtins.

</details>

<details><summary><h3><strong>def innerstring_rules(ttype)</strong></h3></summary>

(?:.|\n)*?

</details>

<details><summary><h3><strong>def fstring_rules(ttype)</strong></h3></summary>

(?:.|\n)*?

</details>

<details><summary><h3><strong>def innerstring_rules(ttype)</strong></h3></summary>

(?:.|\n)*?

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

', String, '#pop'),
            include('strings'),
            include('nl')
        ],
        'tsqs': [
            (r"

</details>

</details>


<details><summary><h2><strong> q.py</strong></h2></summary>

pygments.lexers.q
    ~~~~~~~~~~~~~~~~~

    Lexer for the Q programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class KLexer](#class-klexer)
- [class QLexer](#class-qlexer)
</details>

<details><summary><h3><strong>class KLexer</strong></h3></summary>

For K source code.

</details>

<details><summary><h3><strong>class QLexer</strong></h3></summary>

For `Q <https://code.kx.com/>`_ source code.

</details>

</details>


<details><summary><h2><strong> qlik.py</strong></h2></summary>

pygments.lexers.qlik
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the qlik scripting language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class QlikLexer](#class-qliklexer)
</details>

<details><summary><h3><strong>class QlikLexer</strong></h3></summary>

Lexer for qlik code, including .qvs files

</details>

</details>


<details><summary><h2><strong> qvt.py</strong></h2></summary>

pygments.lexers.qvt
    ~~~~~~~~~~~~~~~~~~~

    Lexer for QVT Operational language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class QVToLexer](#class-qvtolexer)
</details>

<details><summary><h3><strong>class QVToLexer</strong></h3></summary>

For the QVT Operational Mapping language.

    Reference for implementing this: «Meta Object Facility (MOF) 2.0
    Query/View/Transformation Specification», Version 1.1 - January 2011
    (https://www.omg.org/spec/QVT/1.1/), see §8.4, «Concrete Syntax» in
    particular.

    Notable tokens assignments:

    - Name.Class is assigned to the identifier following any of the following
      keywords: metamodel, class, exception, primitive, enum, transformation
      or library

    - Name.Function is assigned to the names of mappings and queries

    - Name.Builtin.Pseudo is assigned to the pre-defined variables 'this',
      'self' and 'result'.

<p><strong>Key features</strong></p>

<ul>
<li>January 2011</li>
<li>Name.Class is assigned to the identifier following any of the following</li>
<li>Name.Function is assigned to the names of mappings and queries</li>
<li>Name.Builtin.Pseudo is assigned to the pre-defined variables 'this',</li>
</ul>
</details>

</details>


<details><summary><h2><strong> r.py</strong></h2></summary>

pygments.lexers.r
    ~~~~~~~~~~~~~~~~~

    Lexers for the R/S languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RConsoleLexer](#class-rconsolelexer)
- [class SLexer](#class-slexer)
- [class RdLexer](#class-rdlexer)
</details>

<details><summary><h3><strong>class RConsoleLexer</strong></h3></summary>

For R console transcripts or R CMD BATCH output files.

</details>

<details><summary><h3><strong>class SLexer</strong></h3></summary>

For S, S-plus, and R source code.

</details>

<details><summary><h3><strong>class RdLexer</strong></h3></summary>

Pygments Lexer for R documentation (Rd) files

    This is a very minimal implementation, highlighting little more
    than the macros. A description of Rd syntax is found in `Writing R
    Extensions <http://cran.r-project.org/doc/manuals/R-exts.html>`_
    and `Parsing Rd files <http://developer.r-project.org/parseRd.pdf>`_.

</details>

</details>


<details><summary><h2><strong> rdf.py</strong></h2></summary>

pygments.lexers.rdf
    ~~~~~~~~~~~~~~~~~~~

    Lexers for semantic web and RDF query languages and markup.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SparqlLexer](#class-sparqllexer)
- [class TurtleLexer](#class-turtlelexer)
- [class ShExCLexer](#class-shexclexer)
</details>

<details><summary><h3><strong>class SparqlLexer</strong></h3></summary>

Lexer for SPARQL query language.

</details>

<details><summary><h3><strong>class TurtleLexer</strong></h3></summary>

Lexer for Turtle data language.

</details>

<details><summary><h3><strong>class ShExCLexer</strong></h3></summary>

Lexer for ShExC shape expressions language syntax.

</details>

</details>


<details><summary><h2><strong> rebol.py</strong></h2></summary>

pygments.lexers.rebol
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for the REBOL and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RebolLexer](#class-rebollexer)
- [class RedLexer](#class-redlexer)
- [def word_callback](#def-word_callback)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class RebolLexer</strong></h3></summary>

A REBOL lexer.

<details><summary><h4><strong>def word_callback</strong></h4></summary>

Check if code contains REBOL header and so it probably not R code

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Check if code contains REBOL header and so it probably not R code

</details>

</details>

<details><summary><h3><strong>class RedLexer</strong></h3></summary>

A Red-language lexer.

</details>

<details><summary><h3><strong>def word_callback(lexer, match)</strong></h3></summary>

Check if code contains REBOL header and so it probably not R code

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Check if code contains REBOL header and so it probably not R code

</details>

</details>


<details><summary><h2><strong> resource.py</strong></h2></summary>

pygments.lexers.resource
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for resource definition files.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ResourceLexer](#class-resourcelexer)
</details>

<details><summary><h3><strong>class ResourceLexer</strong></h3></summary>

Lexer for ICU Resource bundles.

</details>

</details>


<details><summary><h2><strong> ride.py</strong></h2></summary>

pygments.lexers.ride
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the Ride programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RideLexer](#class-ridelexer)
</details>

<details><summary><h3><strong>class RideLexer</strong></h3></summary>

For Ride source code.

</details>

</details>


<details><summary><h2><strong> rita.py</strong></h2></summary>

pygments.lexers.rita
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for RITA language

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RitaLexer](#class-ritalexer)
</details>

<details><summary><h3><strong>class RitaLexer</strong></h3></summary>

Lexer for RITA.

</details>

</details>


<details><summary><h2><strong> rnc.py</strong></h2></summary>

pygments.lexers.rnc
    ~~~~~~~~~~~~~~~~~~~

    Lexer for Relax-NG Compact syntax

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RNCCompactLexer](#class-rnccompactlexer)
</details>

<details><summary><h3><strong>class RNCCompactLexer</strong></h3></summary>

For RelaxNG-compact syntax.

</details>

</details>


<details><summary><h2><strong> roboconf.py</strong></h2></summary>

pygments.lexers.roboconf
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Roboconf DSL.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RoboconfGraphLexer](#class-roboconfgraphlexer)
- [class RoboconfInstancesLexer](#class-roboconfinstanceslexer)
</details>

<details><summary><h3><strong>class RoboconfGraphLexer</strong></h3></summary>

Lexer for Roboconf graph files.

</details>

<details><summary><h3><strong>class RoboconfInstancesLexer</strong></h3></summary>

Lexer for Roboconf instances files.

</details>

</details>


<details><summary><h2><strong> robotframework.py</strong></h2></summary>

pygments.lexers.robotframework
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Robot Framework.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RobotFrameworkLexer](#class-robotframeworklexer)
</details>

<details><summary><h3><strong>class RobotFrameworkLexer</strong></h3></summary>

For Robot Framework test data.

    Supports both space and pipe separated plain text formats.

</details>

</details>


<details><summary><h2><strong> ruby.py</strong></h2></summary>

pygments.lexers.ruby
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Ruby and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RubyLexer](#class-rubylexer)
- [class RubyConsoleLexer](#class-rubyconsolelexer)
- [class FancyLexer](#class-fancylexer)
</details>

<details><summary><h3><strong>class RubyLexer</strong></h3></summary>

For Ruby source code.

</details>

<details><summary><h3><strong>class RubyConsoleLexer</strong></h3></summary>

For Ruby interactive console (**irb**) output.

</details>

<details><summary><h3><strong>class FancyLexer</strong></h3></summary>

Pygments Lexer For Fancy.

    Fancy is a self-hosted, pure object-oriented, dynamic,
    class-based, concurrent general-purpose programming language
    running on Rubinius, the Ruby VM.

</details>

</details>


<details><summary><h2><strong> rust.py</strong></h2></summary>

pygments.lexers.rust
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for the Rust language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RustLexer](#class-rustlexer)
</details>

<details><summary><h3><strong>class RustLexer</strong></h3></summary>

Lexer for the Rust programming language (version 1.47).

</details>

</details>


<details><summary><h2><strong> sas.py</strong></h2></summary>

pygments.lexers.sas
    ~~~~~~~~~~~~~~~~~~~

    Lexer for SAS.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SASLexer](#class-saslexer)
</details>

<details><summary><h3><strong>class SASLexer</strong></h3></summary>

For SAS files.

</details>

</details>


<details><summary><h2><strong> savi.py</strong></h2></summary>

pygments.lexers.savi
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for Savi.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SaviLexer](#class-savilexer)
</details>

<details><summary><h3><strong>class SaviLexer</strong></h3></summary>

For Savi source code.

    .. versionadded: 2.10

</details>

</details>


<details><summary><h2><strong> scdoc.py</strong></h2></summary>

pygments.lexers.scdoc
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for scdoc, a simple man page generator.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ScdocLexer](#class-scdoclexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ScdocLexer</strong></h3></summary>

`scdoc` is a simple man page generator for POSIX systems written in C99.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

We checks for bold and underline text with * and _. Also
        every scdoc file must start with a strictly defined first line.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

We checks for bold and underline text with * and _. Also
        every scdoc file must start with a strictly defined first line.

</details>

</details>


<details><summary><h2><strong> scripting.py</strong></h2></summary>

pygments.lexers.scripting
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for scripting and embedded languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LuaLexer](#class-lualexer)
- [class LuauLexer](#class-luaulexer)
- [class MoonScriptLexer](#class-moonscriptlexer)
- [class ChaiscriptLexer](#class-chaiscriptlexer)
- [class LSLLexer](#class-lsllexer)
- [class AppleScriptLexer](#class-applescriptlexer)
- [class RexxLexer](#class-rexxlexer)
- [class MOOCodeLexer](#class-moocodelexer)
- [class HybrisLexer](#class-hybrislexer)
- [class EasytrieveLexer](#class-easytrievelexer)
- [class JclLexer](#class-jcllexer)
- [class MiniScriptLexer](#class-miniscriptlexer)
- [def _c](#def-_c)
- [def analyse_text](#def-analyse_text)
- [def analyse_text](#def-analyse_text)
- [def analyse_text](#def-analyse_text)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class LuaLexer</strong></h3></summary>

For Lua source code.

    Additional options accepted:

    `func_name_highlighting`
        If given and ``True``, highlight builtin function names
        (default: ``True``).
    `disabled_modules`
        If given, must be a list of module names whose function names
        should not be highlighted. By default all modules are highlighted.

        To get a list of allowed modules have a look into the
        `_lua_builtins` module:

        .. sourcecode:: pycon

            >>> from pygments.lexers._lua_builtins import MODULES
            >>> MODULES.keys()
            ['string', 'coroutine', 'modules', 'io', 'basic', ...]

</details>

<details><summary><h3><strong>class LuauLexer</strong></h3></summary>

For Luau source code.

    Additional options accepted:

    `include_luau_builtins`
        If given and ``True``, automatically highlight Luau builtins
        (default: ``True``).
    `include_roblox_builtins`
        If given and ``True``, automatically highlight Roblox-specific builtins
        (default: ``False``).
    `additional_builtins`
        If given, must be a list of additional builtins to highlight.
    `disabled_builtins`
        If given, must be a list of builtins that will not be highlighted.

</details>

<details><summary><h3><strong>class MoonScriptLexer</strong></h3></summary>

For MoonScript source code.

</details>

<details><summary><h3><strong>class ChaiscriptLexer</strong></h3></summary>

For ChaiScript source code.

</details>

<details><summary><h3><strong>class LSLLexer</strong></h3></summary>

For Second Life's Linden Scripting Language source code.

</details>

<details><summary><h3><strong>class AppleScriptLexer</strong></h3></summary>

For AppleScript source code,
    including `AppleScript Studio
    <http://developer.apple.com/documentation/AppleScript/
    Reference/StudioReference>`_.
    Contributed by Andreas Amann <aamann@mac.com>.

</details>

<details><summary><h3><strong>class RexxLexer</strong></h3></summary>

Rexx is a scripting language available for
    a wide range of different platforms with its roots found on mainframe
    systems. It is popular for I/O- and data based tasks and can act as glue
    language to bind different applications together.

<p><strong>Key features</strong></p>

<ul>
<li>and data based tasks and can act as glue</li>
</ul>
<details><summary><h4><strong>def _c</strong></h4></summary>

Check for initial comment and patterns that distinguish Rexx from other
        C-like languages.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Check for initial comment and patterns that distinguish Rexx from other
        C-like languages.

</details>

</details>

<details><summary><h3><strong>class MOOCodeLexer</strong></h3></summary>

For MOOCode (the MOO scripting language).

</details>

<details><summary><h3><strong>class HybrisLexer</strong></h3></summary>

For Hybris source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

public method and private method don't seem to be quite common
        elsewhere.

</details>

</details>

<details><summary><h3><strong>class EasytrieveLexer</strong></h3></summary>

Easytrieve Plus is a programming language for extracting, filtering and
    converting sequential data. Furthermore it can layout data for reports.
    It is mainly used on mainframe platforms and can access several of the
    mainframe's native file formats. It is somewhat comparable to awk.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Perform a structural analysis for basic Easytrieve constructs.

</details>

</details>

<details><summary><h3><strong>class JclLexer</strong></h3></summary>

Job Control Language (JCL)
    is a scripting language used on mainframe platforms to instruct the system
    on how to run a batch job or start a subsystem. It is somewhat
    comparable to MS DOS batch and Unix shell scripts.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Recognize JCL job by header.

</details>

</details>

<details><summary><h3><strong>class MiniScriptLexer</strong></h3></summary>

For MiniScript source code.

</details>

<details><summary><h3><strong>def _c(s)</strong></h3></summary>

Check for initial comment and patterns that distinguish Rexx from other
        C-like languages.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Check for initial comment and patterns that distinguish Rexx from other
        C-like languages.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

public method and private method don't seem to be quite common
        elsewhere.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Perform a structural analysis for basic Easytrieve constructs.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Recognize JCL job by header.

</details>

</details>


<details><summary><h2><strong> sgf.py</strong></h2></summary>

pygments.lexers.sgf
    ~~~~~~~~~~~~~~~~~~~

    Lexer for Smart Game Format (sgf) file format.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SmartGameFormatLexer](#class-smartgameformatlexer)
</details>

<details><summary><h3><strong>class SmartGameFormatLexer</strong></h3></summary>

Lexer for Smart Game Format (sgf) file format.

    The format is used to store game records of board games for two players
    (mainly Go game).

</details>

</details>


<details><summary><h2><strong> shell.py</strong></h2></summary>

pygments.lexers.shell
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for various shells.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BashLexer](#class-bashlexer)
- [class SlurmBashLexer](#class-slurmbashlexer)
- [class ShellSessionBaseLexer](#class-shellsessionbaselexer)
- [class BashSessionLexer](#class-bashsessionlexer)
- [class BatchLexer](#class-batchlexer)
- [class MSDOSSessionLexer](#class-msdossessionlexer)
- [class TcshLexer](#class-tcshlexer)
- [class TcshSessionLexer](#class-tcshsessionlexer)
- [class PowerShellLexer](#class-powershelllexer)
- [class PowerShellSessionLexer](#class-powershellsessionlexer)
- [class FishShellLexer](#class-fishshelllexer)
- [class ExeclineLexer](#class-execlinelexer)
</details>

<details><summary><h3><strong>class BashLexer</strong></h3></summary>

Lexer for (ba|k|z|)sh shell scripts.

</details>

<details><summary><h3><strong>class SlurmBashLexer</strong></h3></summary>

Lexer for (ba|k|z|)sh Slurm scripts.

</details>

<details><summary><h3><strong>class ShellSessionBaseLexer</strong></h3></summary>

Base lexer for shell sessions.

    .. versionadded:: 2.1

</details>

<details><summary><h3><strong>class BashSessionLexer</strong></h3></summary>

Lexer for Bash shell sessions, i.e. command lines, including a
    prompt, interspersed with output.

</details>

<details><summary><h3><strong>class BatchLexer</strong></h3></summary>

Lexer for the DOS/Windows Batch file format.

</details>

<details><summary><h3><strong>class MSDOSSessionLexer</strong></h3></summary>

Lexer for MS DOS shell sessions, i.e. command lines, including a
    prompt, interspersed with output.

</details>

<details><summary><h3><strong>class TcshLexer</strong></h3></summary>

Lexer for tcsh scripts.

</details>

<details><summary><h3><strong>class TcshSessionLexer</strong></h3></summary>

Lexer for Tcsh sessions, i.e. command lines, including a
    prompt, interspersed with output.

</details>

<details><summary><h3><strong>class PowerShellLexer</strong></h3></summary>

For Windows PowerShell code.

</details>

<details><summary><h3><strong>class PowerShellSessionLexer</strong></h3></summary>

Lexer for PowerShell sessions, i.e. command lines, including a
    prompt, interspersed with output.

</details>

<details><summary><h3><strong>class FishShellLexer</strong></h3></summary>

Lexer for Fish shell scripts.

</details>

<details><summary><h3><strong>class ExeclineLexer</strong></h3></summary>

Lexer for Laurent Bercot's execline language.

</details>

</details>


<details><summary><h2><strong> sieve.py</strong></h2></summary>

pygments.lexers.sieve
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for Sieve file format.

    https://tools.ietf.org/html/rfc5228
    https://tools.ietf.org/html/rfc5173
    https://tools.ietf.org/html/rfc5229
    https://tools.ietf.org/html/rfc5230
    https://tools.ietf.org/html/rfc5232
    https://tools.ietf.org/html/rfc5235
    https://tools.ietf.org/html/rfc5429
    https://tools.ietf.org/html/rfc8580

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SieveLexer](#class-sievelexer)
</details>

<details><summary><h3><strong>class SieveLexer</strong></h3></summary>

Lexer for sieve format.

</details>

</details>


<details><summary><h2><strong> slash.py</strong></h2></summary>

pygments.lexers.slash
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Slash programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SlashLexer](#class-slashlexer)
</details>

<details><summary><h3><strong>class SlashLexer</strong></h3></summary>

Lexer for the Slash programming language.

</details>

</details>


<details><summary><h2><strong> smalltalk.py</strong></h2></summary>

pygments.lexers.smalltalk
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Smalltalk and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SmalltalkLexer](#class-smalltalklexer)
- [class NewspeakLexer](#class-newspeaklexer)
</details>

<details><summary><h3><strong>class SmalltalkLexer</strong></h3></summary>

For Smalltalk syntax.
    Contributed by Stefan Matthias Aust.
    Rewritten by Nils Winter.

</details>

<details><summary><h3><strong>class NewspeakLexer</strong></h3></summary>

For Newspeak syntax.

</details>

</details>


<details><summary><h2><strong> smithy.py</strong></h2></summary>

pygments.lexers.smithy
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Smithy IDL.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SmithyLexer](#class-smithylexer)
</details>

<details><summary><h3><strong>class SmithyLexer</strong></h3></summary>

For Smithy IDL

</details>

</details>


<details><summary><h2><strong> smv.py</strong></h2></summary>

pygments.lexers.smv
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the SMV languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NuSMVLexer](#class-nusmvlexer)
</details>

<details><summary><h3><strong>class NuSMVLexer</strong></h3></summary>

Lexer for the NuSMV language.

</details>

</details>


<details><summary><h2><strong> snobol.py</strong></h2></summary>

pygments.lexers.snobol
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the SNOBOL language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SnobolLexer](#class-snobollexer)
</details>

<details><summary><h3><strong>class SnobolLexer</strong></h3></summary>

Lexer for the SNOBOL4 programming language.

    Recognizes the common ASCII equivalents of the original SNOBOL4 operators.
    Does not require spaces around binary operators.

</details>

</details>


<details><summary><h2><strong> solidity.py</strong></h2></summary>

pygments.lexers.solidity
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Solidity.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SolidityLexer](#class-soliditylexer)
</details>

<details><summary><h3><strong>class SolidityLexer</strong></h3></summary>

For Solidity source code.

</details>

</details>


<details><summary><h2><strong> soong.py</strong></h2></summary>

pygments.lexers.soong
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for Soong (Android.bp Blueprint) files.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> sophia.py</strong></h2></summary>

pygments.lexers.sophia
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Sophia.

    Derived from pygments/lexers/reason.py.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SophiaLexer](#class-sophialexer)
</details>

<details><summary><h3><strong>class SophiaLexer</strong></h3></summary>

A Sophia lexer.

</details>

</details>


<details><summary><h2><strong> special.py</strong></h2></summary>

pygments.lexers.special
    ~~~~~~~~~~~~~~~~~~~~~~~

    Special lexers.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TextLexer](#class-textlexer)
- [class OutputLexer](#class-outputlexer)
- [class RawTokenLexer](#class-rawtokenlexer)
</details>

<details><summary><h3><strong>class TextLexer</strong></h3></summary>

"Null" lexer, doesn't highlight anything.

</details>

<details><summary><h3><strong>class OutputLexer</strong></h3></summary>

Simple lexer that highlights everything as ``Token.Generic.Output``.

</details>

<details><summary><h3><strong>class RawTokenLexer</strong></h3></summary>

Recreate a token stream formatted with the `RawTokenFormatter`.

    Additional options accepted:

    `compress`
        If set to ``"gz"`` or ``"bz2"``, decompress the token stream with
        the given compression algorithm before lexing (default: ``""``).

</details>

</details>


<details><summary><h2><strong> spice.py</strong></h2></summary>

pygments.lexers.spice
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Spice programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SpiceLexer](#class-spicelexer)
</details>

<details><summary><h3><strong>class SpiceLexer</strong></h3></summary>

For Spice source.

</details>

</details>


<details><summary><h2><strong> sql.py</strong></h2></summary>

pygments.lexers.sql
    ~~~~~~~~~~~~~~~~~~~

    Lexers for various SQL dialects and related interactive sessions.

    Postgres specific lexers:

    `PostgresLexer`
        A SQL lexer for the PostgreSQL dialect. Differences w.r.t. the SQL
        lexer are:

        - keywords and data types list parsed from the PG docs (run the
          `_postgres_builtins` module to update them);
        - Content of $-strings parsed using a specific lexer, e.g. the content
          of a PL/Python function is parsed using the Python lexer;
        - parse PG specific constructs: E-strings, $-strings, U&-strings,
          different operators and punctuation.

    `PlPgsqlLexer`
        A lexer for the PL/pgSQL language. Adds a few specific construct on
        top of the PG SQL lexer (such as <<label>>).

    `PostgresConsoleLexer`
        A lexer to highlight an interactive psql session:

        - identifies the prompt and does its best to detect the end of command
          in multiline statement where not all the lines are prefixed by a
          prompt, telling them apart from the output;
        - highlights errors in the output and notification levels;
        - handles psql backslash commands.

    `PostgresExplainLexer`
        A lexer to highlight Postgres execution plan.

    The ``tests/examplefiles`` contains a few test files with data to be
    parsed by these lexers.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<p><strong>Key features</strong></p>

<ul>
<li>keywords and data types list parsed from the PG docs (run the</li>
<li>Content of $-strings parsed using a specific lexer, e.g. the content</li>
<li>parse PG specific constructs: E-strings, $-strings, U&-strings,</li>
<li>identifies the prompt and does its best to detect the end of command</li>
<li>highlights errors in the output and notification levels;</li>
<li>handles psql backslash commands.</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class PostgresBase](#class-postgresbase)
- [class PostgresLexer](#class-postgreslexer)
- [class PlPgsqlLexer](#class-plpgsqllexer)
- [class PsqlRegexLexer](#class-psqlregexlexer)
- [class lookahead](#class-lookahead)
- [class PostgresConsoleLexer](#class-postgresconsolelexer)
- [class PostgresExplainLexer](#class-postgresexplainlexer)
- [class SqlLexer](#class-sqllexer)
- [class TransactSqlLexer](#class-transactsqllexer)
- [class MySqlLexer](#class-mysqllexer)
- [class SqliteConsoleLexer](#class-sqliteconsolelexer)
- [class RqlLexer](#class-rqllexer)
- [def language_callback](#def-language_callback)
</details>

<details><summary><h3><strong>class PostgresBase</strong></h3></summary>

Base class for Postgres-related lexers.

    This is implemented as a mixin to avoid the Lexer metaclass kicking in.
    this way the different lexer don't have a common Lexer ancestor. If they
    had, _tokens could be created on this ancestor and not updated for the
    other classes, resulting e.g. in PL/pgSQL parsed as SQL. This shortcoming
    seem to suggest that regexp lexers are not really subclassable.

</details>

<details><summary><h3><strong>class PostgresLexer</strong></h3></summary>

Lexer for the PostgreSQL dialect of SQL.

</details>

<details><summary><h3><strong>class PlPgsqlLexer</strong></h3></summary>

Handle the extra syntax in Pl/pgSQL language.

</details>

<details><summary><h3><strong>class PsqlRegexLexer</strong></h3></summary>

Extend the PostgresLexer adding support specific for psql commands.

    This is not a complete psql lexer yet as it lacks prompt support
    and output rendering.

</details>

<details><summary><h3><strong>class lookahead</strong></h3></summary>

Wrap an iterator and allow pushing back an item.

</details>

<details><summary><h3><strong>class PostgresConsoleLexer</strong></h3></summary>

Lexer for psql sessions.

</details>

<details><summary><h3><strong>class PostgresExplainLexer</strong></h3></summary>

Handle PostgreSQL EXPLAIN output

</details>

<details><summary><h3><strong>class SqlLexer</strong></h3></summary>

Lexer for Structured Query Language. Currently, this lexer does
    not recognize any special syntax except ANSI SQL.

</details>

<details><summary><h3><strong>class TransactSqlLexer</strong></h3></summary>

Transact-SQL (T-SQL) is Microsoft's and Sybase's proprietary extension to
    SQL.

    The list of keywords includes ODBC and keywords reserved for future use..

</details>

<details><summary><h3><strong>class MySqlLexer</strong></h3></summary>

The Oracle MySQL lexer.

    This lexer does not attempt to maintain strict compatibility with
    MariaDB syntax or keywords. Although MySQL and MariaDB's common code
    history suggests there may be significant overlap between the two,
    compatibility between the two is not a target for this lexer.

</details>

<details><summary><h3><strong>class SqliteConsoleLexer</strong></h3></summary>

Lexer for example sessions using sqlite3.

</details>

<details><summary><h3><strong>class RqlLexer</strong></h3></summary>

Lexer for Relation Query Language.

</details>

<details><summary><h3><strong>def language_callback(lexer, match)</strong></h3></summary>

Parse the content of a $-string using a lexer

    The lexer is chosen looking for a nearby LANGUAGE or assumed as
    plpgsql if inside a DO statement and no LANGUAGE has been found.

</details>

</details>


<details><summary><h2><strong> srcinfo.py</strong></h2></summary>

pygments.lexers.srcinfo
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for .SRCINFO files used by Arch Linux Packages.

    The description of the format can be found in the wiki:
    https://wiki.archlinux.org/title/.SRCINFO

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SrcinfoLexer](#class-srcinfolexer)
</details>

<details><summary><h3><strong>class SrcinfoLexer</strong></h3></summary>

Lexer for .SRCINFO files used by Arch Linux Packages.

</details>

</details>


<details><summary><h2><strong> stata.py</strong></h2></summary>

pygments.lexers.stata
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for Stata

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class StataLexer](#class-statalexer)
</details>

<details><summary><h3><strong>class StataLexer</strong></h3></summary>

For Stata do files.

</details>

</details>


<details><summary><h2><strong> supercollider.py</strong></h2></summary>

pygments.lexers.supercollider
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for SuperCollider

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SuperColliderLexer](#class-supercolliderlexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class SuperColliderLexer</strong></h3></summary>

For SuperCollider source code.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

We're searching for a common function and a unique keyword here.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

We're searching for a common function and a unique keyword here.

</details>

</details>


<details><summary><h2><strong> tact.py</strong></h2></summary>

pygments.lexers.tact
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Tact.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TactLexer](#class-tactlexer)
</details>

<details><summary><h3><strong>class TactLexer</strong></h3></summary>

For Tact source code.

</details>

</details>


<details><summary><h2><strong> tal.py</strong></h2></summary>

pygments.lexers.tal
    ~~~~~~~~~~~~~~~~~~~

    Lexer for Uxntal

    .. versionadded:: 2.12

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TalLexer](#class-tallexer)
</details>

<details><summary><h3><strong>class TalLexer</strong></h3></summary>

For Uxntal source code.

</details>

</details>


<details><summary><h2><strong> tcl.py</strong></h2></summary>

pygments.lexers.tcl
    ~~~~~~~~~~~~~~~~~~~

    Lexers for Tcl and related languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TclLexer](#class-tcllexer)
</details>

<details><summary><h3><strong>class TclLexer</strong></h3></summary>

For Tcl source code.

</details>

</details>


<details><summary><h2><strong> teal.py</strong></h2></summary>

pygments.lexers.teal
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for TEAL.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TealLexer](#class-teallexer)
</details>

<details><summary><h3><strong>class TealLexer</strong></h3></summary>

For the Transaction Execution Approval Language (TEAL)

    For more information about the grammar, see:
    https://github.com/algorand/go-algorand/blob/master/data/transactions/logic/assembler.go

</details>

</details>


<details><summary><h2><strong> templates.py</strong></h2></summary>

pygments.lexers.templates
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for various template engines' markup.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ErbLexer](#class-erblexer)
- [class SmartyLexer](#class-smartylexer)
- [class VelocityLexer](#class-velocitylexer)
- [class VelocityHtmlLexer](#class-velocityhtmllexer)
- [class VelocityXmlLexer](#class-velocityxmllexer)
- [class DjangoLexer](#class-djangolexer)
- [class MyghtyLexer](#class-myghtylexer)
- [class MyghtyHtmlLexer](#class-myghtyhtmllexer)
- [class MyghtyXmlLexer](#class-myghtyxmllexer)
- [class MyghtyJavascriptLexer](#class-myghtyjavascriptlexer)
- [class MyghtyCssLexer](#class-myghtycsslexer)
- [class MasonLexer](#class-masonlexer)
- [class MakoLexer](#class-makolexer)
- [class MakoHtmlLexer](#class-makohtmllexer)
- [class MakoXmlLexer](#class-makoxmllexer)
- [class MakoJavascriptLexer](#class-makojavascriptlexer)
- [class MakoCssLexer](#class-makocsslexer)
- [class CheetahPythonLexer](#class-cheetahpythonlexer)
- [class CheetahLexer](#class-cheetahlexer)
- [class CheetahHtmlLexer](#class-cheetahhtmllexer)
- [class CheetahXmlLexer](#class-cheetahxmllexer)
- [class CheetahJavascriptLexer](#class-cheetahjavascriptlexer)
- [class GenshiTextLexer](#class-genshitextlexer)
- [class GenshiMarkupLexer](#class-genshimarkuplexer)
- [class HtmlGenshiLexer](#class-htmlgenshilexer)
- [class GenshiLexer](#class-genshilexer)
- [class JavascriptGenshiLexer](#class-javascriptgenshilexer)
- [class CssGenshiLexer](#class-cssgenshilexer)
- [class RhtmlLexer](#class-rhtmllexer)
- [class XmlErbLexer](#class-xmlerblexer)
- [class CssErbLexer](#class-csserblexer)
- [class JavascriptErbLexer](#class-javascripterblexer)
- [class HtmlPhpLexer](#class-htmlphplexer)
- [class XmlPhpLexer](#class-xmlphplexer)
- [class CssPhpLexer](#class-cssphplexer)
- [class JavascriptPhpLexer](#class-javascriptphplexer)
- [class HtmlSmartyLexer](#class-htmlsmartylexer)
- [class XmlSmartyLexer](#class-xmlsmartylexer)
- [class CssSmartyLexer](#class-csssmartylexer)
- [class JavascriptSmartyLexer](#class-javascriptsmartylexer)
- [class HtmlDjangoLexer](#class-htmldjangolexer)
- [class XmlDjangoLexer](#class-xmldjangolexer)
- [class CssDjangoLexer](#class-cssdjangolexer)
- [class JavascriptDjangoLexer](#class-javascriptdjangolexer)
- [class JspRootLexer](#class-jsprootlexer)
- [class JspLexer](#class-jsplexer)
- [class EvoqueLexer](#class-evoquelexer)
- [class EvoqueHtmlLexer](#class-evoquehtmllexer)
- [class EvoqueXmlLexer](#class-evoquexmllexer)
- [class ColdfusionLexer](#class-coldfusionlexer)
- [class ColdfusionMarkupLexer](#class-coldfusionmarkuplexer)
- [class ColdfusionHtmlLexer](#class-coldfusionhtmllexer)
- [class ColdfusionCFCLexer](#class-coldfusioncfclexer)
- [class SspLexer](#class-ssplexer)
- [class TeaTemplateRootLexer](#class-teatemplaterootlexer)
- [class TeaTemplateLexer](#class-teatemplatelexer)
- [class LassoHtmlLexer](#class-lassohtmllexer)
- [class LassoXmlLexer](#class-lassoxmllexer)
- [class LassoCssLexer](#class-lassocsslexer)
- [class LassoJavascriptLexer](#class-lassojavascriptlexer)
- [class HandlebarsLexer](#class-handlebarslexer)
- [class HandlebarsHtmlLexer](#class-handlebarshtmllexer)
- [class YamlJinjaLexer](#class-yamljinjalexer)
- [class LiquidLexer](#class-liquidlexer)
- [class TwigLexer](#class-twiglexer)
- [class TwigHtmlLexer](#class-twightmllexer)
- [class Angular2Lexer](#class-angular2lexer)
- [class Angular2HtmlLexer](#class-angular2htmllexer)
- [class SqlJinjaLexer](#class-sqljinjalexer)
- [def __init__](#def-__init__)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class ErbLexer</strong></h3></summary>

Generic ERB (Ruby Templating) lexer.

    Just highlights ruby code between the preprocessor directives, other data
    is left untouched by the lexer.

    All options are also forwarded to the `RubyLexer`.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Since ERB doesn't allow "<%" and other tags inside of ruby
        blocks we have to use a split approach here that fails for
        that too.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Since ERB doesn't allow "<%" and other tags inside of ruby
        blocks we have to use a split approach here that fails for
        that too.

</details>

</details>

<details><summary><h3><strong>class SmartyLexer</strong></h3></summary>

Generic Smarty template lexer.

    Just highlights smarty code between the preprocessor directives, other
    data is left untouched by the lexer.

</details>

<details><summary><h3><strong>class VelocityLexer</strong></h3></summary>

Generic Velocity template lexer.

    Just highlights velocity directives and variable references, other
    data is left untouched by the lexer.

</details>

<details><summary><h3><strong>class VelocityHtmlLexer</strong></h3></summary>

Subclass of the `VelocityLexer` that highlights unlexed data
    with the `HtmlLexer`.

</details>

<details><summary><h3><strong>class VelocityXmlLexer</strong></h3></summary>

Subclass of the `VelocityLexer` that highlights unlexed data
    with the `XmlLexer`.

</details>

<details><summary><h3><strong>class DjangoLexer</strong></h3></summary>

Generic `Django <https://www.djangoproject.com/documentation/templates/>`_
    and `Jinja <https://jinja.palletsprojects.com>`_ template lexer.

    It just highlights django/jinja code between the preprocessor directives,
    other data is left untouched by the lexer.

</details>

<details><summary><h3><strong>class MyghtyLexer</strong></h3></summary>

Generic myghty templates lexer. Code that isn't Myghty
    markup is yielded as `Token.Other`.

</details>

<details><summary><h3><strong>class MyghtyHtmlLexer</strong></h3></summary>

Subclass of the `MyghtyLexer` that highlights unlexed data
    with the `HtmlLexer`.

</details>

<details><summary><h3><strong>class MyghtyXmlLexer</strong></h3></summary>

Subclass of the `MyghtyLexer` that highlights unlexed data
    with the `XmlLexer`.

</details>

<details><summary><h3><strong>class MyghtyJavascriptLexer</strong></h3></summary>

Subclass of the `MyghtyLexer` that highlights unlexed data
    with the `JavascriptLexer`.

</details>

<details><summary><h3><strong>class MyghtyCssLexer</strong></h3></summary>

Subclass of the `MyghtyLexer` that highlights unlexed data
    with the `CssLexer`.

</details>

<details><summary><h3><strong>class MasonLexer</strong></h3></summary>

Generic mason templates lexer. Stolen from Myghty lexer. Code that isn't
    Mason markup is HTML.

</details>

<details><summary><h3><strong>class MakoLexer</strong></h3></summary>

Generic mako templates lexer. Code that isn't Mako
    markup is yielded as `Token.Other`.

</details>

<details><summary><h3><strong>class MakoHtmlLexer</strong></h3></summary>

Subclass of the `MakoLexer` that highlights unlexed data
    with the `HtmlLexer`.

</details>

<details><summary><h3><strong>class MakoXmlLexer</strong></h3></summary>

Subclass of the `MakoLexer` that highlights unlexed data
    with the `XmlLexer`.

</details>

<details><summary><h3><strong>class MakoJavascriptLexer</strong></h3></summary>

Subclass of the `MakoLexer` that highlights unlexed data
    with the `JavascriptLexer`.

</details>

<details><summary><h3><strong>class MakoCssLexer</strong></h3></summary>

Subclass of the `MakoLexer` that highlights unlexed data
    with the `CssLexer`.

</details>

<details><summary><h3><strong>class CheetahPythonLexer</strong></h3></summary>

Lexer for handling Cheetah's special $ tokens in Python syntax.

</details>

<details><summary><h3><strong>class CheetahLexer</strong></h3></summary>

Generic cheetah templates lexer. Code that isn't Cheetah
    markup is yielded as `Token.Other`.  This also works for
    `spitfire templates`_ which use the same syntax.

    .. _spitfire templates: http://code.google.com/p/spitfire/

</details>

<details><summary><h3><strong>class CheetahHtmlLexer</strong></h3></summary>

Subclass of the `CheetahLexer` that highlights unlexed data
    with the `HtmlLexer`.

</details>

<details><summary><h3><strong>class CheetahXmlLexer</strong></h3></summary>

Subclass of the `CheetahLexer` that highlights unlexed data
    with the `XmlLexer`.

</details>

<details><summary><h3><strong>class CheetahJavascriptLexer</strong></h3></summary>

Subclass of the `CheetahLexer` that highlights unlexed data
    with the `JavascriptLexer`.

</details>

<details><summary><h3><strong>class GenshiTextLexer</strong></h3></summary>

A lexer that highlights genshi text templates.

</details>

<details><summary><h3><strong>class GenshiMarkupLexer</strong></h3></summary>

Base lexer for Genshi markup, used by `HtmlGenshiLexer` and
    `GenshiLexer`.

</details>

<details><summary><h3><strong>class HtmlGenshiLexer</strong></h3></summary>

A lexer that highlights `genshi <https://genshi.edgewall.org/>`_ and
    `kid <http://kid-templating.org/>`_ kid HTML templates.

</details>

<details><summary><h3><strong>class GenshiLexer</strong></h3></summary>

A lexer that highlights `genshi <https://genshi.edgewall.org/>`_ and
    `kid <http://kid-templating.org/>`_ kid XML templates.

</details>

<details><summary><h3><strong>class JavascriptGenshiLexer</strong></h3></summary>

A lexer that highlights javascript code in genshi text templates.

</details>

<details><summary><h3><strong>class CssGenshiLexer</strong></h3></summary>

A lexer that highlights CSS definitions in genshi text templates.

</details>

<details><summary><h3><strong>class RhtmlLexer</strong></h3></summary>

Subclass of the ERB lexer that highlights the unlexed data with the
    html lexer.

    Nested Javascript and CSS is highlighted too.

</details>

<details><summary><h3><strong>class XmlErbLexer</strong></h3></summary>

Subclass of `ErbLexer` which highlights data outside preprocessor
    directives with the `XmlLexer`.

</details>

<details><summary><h3><strong>class CssErbLexer</strong></h3></summary>

Subclass of `ErbLexer` which highlights unlexed data with the `CssLexer`.

</details>

<details><summary><h3><strong>class JavascriptErbLexer</strong></h3></summary>

Subclass of `ErbLexer` which highlights unlexed data with the
    `JavascriptLexer`.

</details>

<details><summary><h3><strong>class HtmlPhpLexer</strong></h3></summary>

Subclass of `PhpLexer` that highlights unhandled data with the `HtmlLexer`.

    Nested Javascript and CSS is highlighted too.

</details>

<details><summary><h3><strong>class XmlPhpLexer</strong></h3></summary>

Subclass of `PhpLexer` that highlights unhandled data with the `XmlLexer`.

</details>

<details><summary><h3><strong>class CssPhpLexer</strong></h3></summary>

Subclass of `PhpLexer` which highlights unmatched data with the `CssLexer`.

</details>

<details><summary><h3><strong>class JavascriptPhpLexer</strong></h3></summary>

Subclass of `PhpLexer` which highlights unmatched data with the
    `JavascriptLexer`.

</details>

<details><summary><h3><strong>class HtmlSmartyLexer</strong></h3></summary>

Subclass of the `SmartyLexer` that highlights unlexed data with the
    `HtmlLexer`.

    Nested Javascript and CSS is highlighted too.

</details>

<details><summary><h3><strong>class XmlSmartyLexer</strong></h3></summary>

Subclass of the `SmartyLexer` that highlights unlexed data with the
    `XmlLexer`.

</details>

<details><summary><h3><strong>class CssSmartyLexer</strong></h3></summary>

Subclass of the `SmartyLexer` that highlights unlexed data with the
    `CssLexer`.

</details>

<details><summary><h3><strong>class JavascriptSmartyLexer</strong></h3></summary>

Subclass of the `SmartyLexer` that highlights unlexed data with the
    `JavascriptLexer`.

</details>

<details><summary><h3><strong>class HtmlDjangoLexer</strong></h3></summary>

Subclass of the `DjangoLexer` that highlights unlexed data with the
    `HtmlLexer`.

    Nested Javascript and CSS is highlighted too.

</details>

<details><summary><h3><strong>class XmlDjangoLexer</strong></h3></summary>

Subclass of the `DjangoLexer` that highlights unlexed data with the
    `XmlLexer`.

</details>

<details><summary><h3><strong>class CssDjangoLexer</strong></h3></summary>

Subclass of the `DjangoLexer` that highlights unlexed data with the
    `CssLexer`.

</details>

<details><summary><h3><strong>class JavascriptDjangoLexer</strong></h3></summary>

Subclass of the `DjangoLexer` that highlights unlexed data with the
    `JavascriptLexer`.

</details>

<details><summary><h3><strong>class JspRootLexer</strong></h3></summary>

Base for the `JspLexer`. Yields `Token.Other` for area outside of
    JSP tags.

    .. versionadded:: 0.7

</details>

<details><summary><h3><strong>class JspLexer</strong></h3></summary>

Lexer for Java Server Pages.

</details>

<details><summary><h3><strong>class EvoqueLexer</strong></h3></summary>

For files using the Evoque templating system.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Evoque templates use $evoque, which is unique.

</details>

</details>

<details><summary><h3><strong>class EvoqueHtmlLexer</strong></h3></summary>

Subclass of the `EvoqueLexer` that highlights unlexed data with the
    `HtmlLexer`.

</details>

<details><summary><h3><strong>class EvoqueXmlLexer</strong></h3></summary>

Subclass of the `EvoqueLexer` that highlights unlexed data with the
    `XmlLexer`.

</details>

<details><summary><h3><strong>class ColdfusionLexer</strong></h3></summary>

Coldfusion statements

</details>

<details><summary><h3><strong>class ColdfusionMarkupLexer</strong></h3></summary>

Coldfusion markup only

</details>

<details><summary><h3><strong>class ColdfusionHtmlLexer</strong></h3></summary>

Coldfusion markup in html

</details>

<details><summary><h3><strong>class ColdfusionCFCLexer</strong></h3></summary>

Coldfusion markup/script components

</details>

<details><summary><h3><strong>class SspLexer</strong></h3></summary>

Lexer for Scalate Server Pages.

</details>

<details><summary><h3><strong>class TeaTemplateRootLexer</strong></h3></summary>

Base for the `TeaTemplateLexer`. Yields `Token.Other` for area outside of
    code blocks.

    .. versionadded:: 1.5

</details>

<details><summary><h3><strong>class TeaTemplateLexer</strong></h3></summary>

Lexer for Tea Templates.

</details>

<details><summary><h3><strong>class LassoHtmlLexer</strong></h3></summary>

Subclass of the `LassoLexer` which highlights unhandled data with the
    `HtmlLexer`.

    Nested JavaScript and CSS is also highlighted.

</details>

<details><summary><h3><strong>class LassoXmlLexer</strong></h3></summary>

Subclass of the `LassoLexer` which highlights unhandled data with the
    `XmlLexer`.

</details>

<details><summary><h3><strong>class LassoCssLexer</strong></h3></summary>

Subclass of the `LassoLexer` which highlights unhandled data with the
    `CssLexer`.

</details>

<details><summary><h3><strong>class LassoJavascriptLexer</strong></h3></summary>

Subclass of the `LassoLexer` which highlights unhandled data with the
    `JavascriptLexer`.

</details>

<details><summary><h3><strong>class HandlebarsLexer</strong></h3></summary>

Generic handlebars template lexer.

    Highlights only the Handlebars template tags (stuff between `{{` and `}}`).
    Everything else is left for a delegating lexer.

</details>

<details><summary><h3><strong>class HandlebarsHtmlLexer</strong></h3></summary>

Subclass of the `HandlebarsLexer` that highlights unlexed data with the
    `HtmlLexer`.

</details>

<details><summary><h3><strong>class YamlJinjaLexer</strong></h3></summary>

Subclass of the `DjangoLexer` that highlights unlexed data with the
    `YamlLexer`.

    Commonly used in Saltstack salt states.

</details>

<details><summary><h3><strong>class LiquidLexer</strong></h3></summary>

Lexer for Liquid templates.

</details>

<details><summary><h3><strong>class TwigLexer</strong></h3></summary>

Twig template lexer.

    It just highlights Twig code between the preprocessor directives,
    other data is left untouched by the lexer.

</details>

<details><summary><h3><strong>class TwigHtmlLexer</strong></h3></summary>

Subclass of the `TwigLexer` that highlights unlexed data with the
    `HtmlLexer`.

</details>

<details><summary><h3><strong>class Angular2Lexer</strong></h3></summary>

Generic angular2 template lexer.

    Highlights only the Angular template tags (stuff between `{{` and `}}` and
    special attributes: '(event)=', '[property]=', '[(twoWayBinding)]=').
    Everything else is left for a delegating lexer.

</details>

<details><summary><h3><strong>class Angular2HtmlLexer</strong></h3></summary>

Subclass of the `Angular2Lexer` that highlights unlexed data with the
    `HtmlLexer`.

</details>

<details><summary><h3><strong>class SqlJinjaLexer</strong></h3></summary>

Templated SQL lexer.

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

Since ERB doesn't allow "<%" and other tags inside of ruby
        blocks we have to use a split approach here that fails for
        that too.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

Since ERB doesn't allow "<%" and other tags inside of ruby
        blocks we have to use a split approach here that fails for
        that too.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Evoque templates use $evoque, which is unique.

</details>

</details>


<details><summary><h2><strong> teraterm.py</strong></h2></summary>

pygments.lexers.teraterm
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Tera Term macro files.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TeraTermLexer](#class-teratermlexer)
</details>

<details><summary><h3><strong>class TeraTermLexer</strong></h3></summary>

For Tera Term macro source code.

</details>

</details>


<details><summary><h2><strong> testing.py</strong></h2></summary>

pygments.lexers.testing
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for testing languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GherkinLexer](#class-gherkinlexer)
- [class TAPLexer](#class-taplexer)
</details>

<details><summary><h3><strong>class GherkinLexer</strong></h3></summary>

For Gherkin syntax.

</details>

<details><summary><h3><strong>class TAPLexer</strong></h3></summary>

For Test Anything Protocol (TAP) output.

</details>

</details>


<details><summary><h2><strong> text.py</strong></h2></summary>

pygments.lexers.text
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for non-source code file types.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> textedit.py</strong></h2></summary>

pygments.lexers.textedit
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for languages related to text processing.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AwkLexer](#class-awklexer)
- [class SedLexer](#class-sedlexer)
- [class VimLexer](#class-vimlexer)
- [def __init__](#def-__init__)
- [def is_in](#def-is_in)
</details>

<details><summary><h3><strong>class AwkLexer</strong></h3></summary>

For Awk scripts.

</details>

<details><summary><h3><strong>class SedLexer</strong></h3></summary>

Lexer for Sed script files.

</details>

<details><summary><h3><strong>class VimLexer</strong></h3></summary>

Lexer for VimL script files.

<details><summary><h4><strong>def __init__</strong></h4></summary>

It's kind of difficult to decide if something might be a keyword
        in VimL because it allows you to abbreviate them.  In fact,
        'ab[breviate]' is a good example.  :ab, :abbre, or :abbreviate are
        valid ways to call it so rather than making really awful regexps
        like::

            \bab(?:b(?:r(?:e(?:v(?:i(?:a(?:t(?:e)?)?)?)?)?)?)?)?\b

        we match `\b\w+\b` and then call is_in() on those tokens.  See
        `scripts/get_vimkw.py` for how the lists are extracted.

</details>

<details><summary><h4><strong>def is_in</strong></h4></summary>

It's kind of difficult to decide if something might be a keyword
        in VimL because it allows you to abbreviate them.  In fact,
        'ab[breviate]' is a good example.  :ab, :abbre, or :abbreviate are
        valid ways to call it so rather than making really awful regexps
        like::

            \bab(?:b(?:r(?:e(?:v(?:i(?:a(?:t(?:e)?)?)?)?)?)?)?)?\b

        we match `\b\w+\b` and then call is_in() on those tokens.  See
        `scripts/get_vimkw.py` for how the lists are extracted.

</details>

</details>

<details><summary><h3><strong>def __init__(self, **options)</strong></h3></summary>

It's kind of difficult to decide if something might be a keyword
        in VimL because it allows you to abbreviate them.  In fact,
        'ab[breviate]' is a good example.  :ab, :abbre, or :abbreviate are
        valid ways to call it so rather than making really awful regexps
        like::

            \bab(?:b(?:r(?:e(?:v(?:i(?:a(?:t(?:e)?)?)?)?)?)?)?)?\b

        we match `\b\w+\b` and then call is_in() on those tokens.  See
        `scripts/get_vimkw.py` for how the lists are extracted.

</details>

<details><summary><h3><strong>def is_in(self, w, mapping)</strong></h3></summary>

It's kind of difficult to decide if something might be a keyword
        in VimL because it allows you to abbreviate them.  In fact,
        'ab[breviate]' is a good example.  :ab, :abbre, or :abbreviate are
        valid ways to call it so rather than making really awful regexps
        like::

            \bab(?:b(?:r(?:e(?:v(?:i(?:a(?:t(?:e)?)?)?)?)?)?)?)?\b

        we match `\b\w+\b` and then call is_in() on those tokens.  See
        `scripts/get_vimkw.py` for how the lists are extracted.

</details>

</details>


<details><summary><h2><strong> textfmts.py</strong></h2></summary>

pygments.lexers.textfmts
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for various text formats.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IrcLogsLexer](#class-irclogslexer)
- [class GettextLexer](#class-gettextlexer)
- [class HttpLexer](#class-httplexer)
- [class TodotxtLexer](#class-todotxtlexer)
- [class NotmuchLexer](#class-notmuchlexer)
- [class KernelLogLexer](#class-kernelloglexer)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
</details>

<details><summary><h3><strong>class IrcLogsLexer</strong></h3></summary>

Lexer for IRC logs in *irssi*, *xchat* or *weechat* style.

</details>

<details><summary><h3><strong>class GettextLexer</strong></h3></summary>

Lexer for Gettext catalog files.

</details>

<details><summary><h3><strong>class HttpLexer</strong></h3></summary>

Lexer for HTTP sessions.

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Reset the content-type state.

</details>

</details>

<details><summary><h3><strong>class TodotxtLexer</strong></h3></summary>

Lexer for Todo.txt todo list format.

</details>

<details><summary><h3><strong>class NotmuchLexer</strong></h3></summary>

For Notmuch email text format.

    Additional options accepted:

    `body_lexer`
        If given, highlight the contents of the message body with the specified
        lexer, else guess it according to the body content (default: ``None``).

</details>

<details><summary><h3><strong>class KernelLogLexer</strong></h3></summary>

For Linux Kernel log ("dmesg") output.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text, stack=('root',)</strong></h3></summary>

Reset the content-type state.

</details>

</details>


<details><summary><h2><strong> theorem.py</strong></h2></summary>

pygments.lexers.theorem
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for theorem-proving languages.

    See also :mod:`pygments.lexers.lean`

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CoqLexer](#class-coqlexer)
- [class IsabelleLexer](#class-isabellelexer)
</details>

<details><summary><h3><strong>class CoqLexer</strong></h3></summary>

For the Coq theorem prover.

</details>

<details><summary><h3><strong>class IsabelleLexer</strong></h3></summary>

For the Isabelle proof assistant.

</details>

</details>


<details><summary><h2><strong> thingsdb.py</strong></h2></summary>

pygments.lexers.thingsdb
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the ThingsDB language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ThingsDBLexer](#class-thingsdblexer)
</details>

<details><summary><h3><strong>class ThingsDBLexer</strong></h3></summary>

Lexer for the ThingsDB programming language.

</details>

</details>


<details><summary><h2><strong> tlb.py</strong></h2></summary>

pygments.lexers.tlb
    ~~~~~~~~~~~~~~~~~~~

    Lexers for TL-b.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TlbLexer](#class-tlblexer)
</details>

<details><summary><h3><strong>class TlbLexer</strong></h3></summary>

For TL-b source code.

</details>

</details>


<details><summary><h2><strong> tls.py</strong></h2></summary>

pygments.lexers.tls
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the TLS presentation language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TlsLexer](#class-tlslexer)
</details>

<details><summary><h3><strong>class TlsLexer</strong></h3></summary>

The TLS presentation language, described in RFC 8446.

</details>

</details>


<details><summary><h2><strong> tnt.py</strong></h2></summary>

pygments.lexers.tnt
    ~~~~~~~~~~~~~~~~~~~

    Lexer for Typographic Number Theory.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TNTLexer](#class-tntlexer)
- [def __init__](#def-__init__)
- [def whitespace](#def-whitespace)
- [def variable](#def-variable)
- [def term](#def-term)
- [def formula](#def-formula)
- [def rule](#def-rule)
- [def lineno](#def-lineno)
- [def error_till_line_end](#def-error_till_line_end)
- [def get_tokens_unprocessed](#def-get_tokens_unprocessed)
</details>

<details><summary><h3><strong>class TNTLexer</strong></h3></summary>

Lexer for Typographic Number Theory, as described in the book
    Gödel, Escher, Bach, by Douglas R. Hofstadter

<details><summary><h4><strong>def __init__</strong></h4></summary>

Tokenize whitespace.

</details>

<details><summary><h4><strong>def whitespace</strong></h4></summary>

Tokenize whitespace.

</details>

<details><summary><h4><strong>def variable</strong></h4></summary>

Tokenize a variable.

</details>

<details><summary><h4><strong>def term</strong></h4></summary>

Tokenize a term.

</details>

<details><summary><h4><strong>def formula</strong></h4></summary>

Tokenize a formula.

</details>

<details><summary><h4><strong>def rule</strong></h4></summary>

Tokenize a rule.

</details>

<details><summary><h4><strong>def lineno</strong></h4></summary>

Tokenize a line referral.

</details>

<details><summary><h4><strong>def error_till_line_end</strong></h4></summary>

Mark everything from ``start`` to the end of the line as Error.

</details>

<details><summary><h4><strong>def get_tokens_unprocessed</strong></h4></summary>

Returns a list of TNT tokens.

</details>

</details>

<details><summary><h3><strong>def __init__(self, *args, **kwargs)</strong></h3></summary>

Tokenize whitespace.

</details>

<details><summary><h3><strong>def whitespace(self, start, text, required=False)</strong></h3></summary>

Tokenize whitespace.

</details>

<details><summary><h3><strong>def variable(self, start, text)</strong></h3></summary>

Tokenize a variable.

</details>

<details><summary><h3><strong>def term(self, start, text)</strong></h3></summary>

Tokenize a term.

</details>

<details><summary><h3><strong>def formula(self, start, text)</strong></h3></summary>

Tokenize a formula.

</details>

<details><summary><h3><strong>def rule(self, start, text)</strong></h3></summary>

Tokenize a rule.

</details>

<details><summary><h3><strong>def lineno(self, start, text)</strong></h3></summary>

Tokenize a line referral.

</details>

<details><summary><h3><strong>def error_till_line_end(self, start, text)</strong></h3></summary>

Mark everything from ``start`` to the end of the line as Error.

</details>

<details><summary><h3><strong>def get_tokens_unprocessed(self, text)</strong></h3></summary>

Returns a list of TNT tokens.

</details>

</details>


<details><summary><h2><strong> trafficscript.py</strong></h2></summary>

pygments.lexers.trafficscript
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for RiverBed's TrafficScript (RTS) language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RtsLexer](#class-rtslexer)
</details>

<details><summary><h3><strong>class RtsLexer</strong></h3></summary>

For Riverbed Stingray Traffic Manager

</details>

</details>


<details><summary><h2><strong> typoscript.py</strong></h2></summary>

pygments.lexers.typoscript
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for TypoScript

    `TypoScriptLexer`
        A TypoScript lexer.

    `TypoScriptCssDataLexer`
        Lexer that highlights markers, constants and registers within css.

    `TypoScriptHtmlDataLexer`
        Lexer that highlights markers, constants and registers within html tags.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TypoScriptCssDataLexer](#class-typoscriptcssdatalexer)
- [class TypoScriptHtmlDataLexer](#class-typoscripthtmldatalexer)
- [class TypoScriptLexer](#class-typoscriptlexer)
</details>

<details><summary><h3><strong>class TypoScriptCssDataLexer</strong></h3></summary>

Lexer that highlights markers, constants and registers within css blocks.

</details>

<details><summary><h3><strong>class TypoScriptHtmlDataLexer</strong></h3></summary>

Lexer that highlights markers, constants and registers within html tags.

</details>

<details><summary><h3><strong>class TypoScriptLexer</strong></h3></summary>

Lexer for TypoScript code.

</details>

</details>


<details><summary><h2><strong> typst.py</strong></h2></summary>

pygments.lexers.typst
    ~~~~~~~~~~~~~~~~~~~~~

    Lexers for Typst language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TypstLexer](#class-typstlexer)
</details>

<details><summary><h3><strong>class TypstLexer</strong></h3></summary>

For Typst code.

</details>

</details>


<details><summary><h2><strong> ul4.py</strong></h2></summary>

pygments.lexers.ul4
    ~~~~~~~~~~~~~~~~~~~

    Lexer for the UL4 templating language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class UL4Lexer](#class-ul4lexer)
- [class HTMLUL4Lexer](#class-htmlul4lexer)
- [class XMLUL4Lexer](#class-xmlul4lexer)
- [class CSSUL4Lexer](#class-cssul4lexer)
- [class JavascriptUL4Lexer](#class-javascriptul4lexer)
- [class PythonUL4Lexer](#class-pythonul4lexer)
- [def foo](#def-foo)
</details>

<details><summary><h3><strong>class UL4Lexer</strong></h3></summary>

Generic lexer for UL4.

<details><summary><h4><strong>def foo</strong></h4></summary>

", String, "string13"),
            ('

</details>

</details>

<details><summary><h3><strong>class HTMLUL4Lexer</strong></h3></summary>

Lexer for UL4 embedded in HTML.

</details>

<details><summary><h3><strong>class XMLUL4Lexer</strong></h3></summary>

Lexer for UL4 embedded in XML.

</details>

<details><summary><h3><strong>class CSSUL4Lexer</strong></h3></summary>

Lexer for UL4 embedded in CSS.

</details>

<details><summary><h3><strong>class JavascriptUL4Lexer</strong></h3></summary>

Lexer for UL4 embedded in Javascript.

</details>

<details><summary><h3><strong>class PythonUL4Lexer</strong></h3></summary>

Lexer for UL4 embedded in Python.

</details>

<details><summary><h3><strong>def foo(bar=42)</strong></h3></summary>

", String, "string13"),
            ('

</details>

</details>


<details><summary><h2><strong> unicon.py</strong></h2></summary>

pygments.lexers.unicon
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Icon and Unicon languages, including ucode VM.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class UniconLexer](#class-uniconlexer)
- [class IconLexer](#class-iconlexer)
- [class UcodeLexer](#class-ucodelexer)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class UniconLexer</strong></h3></summary>

For Unicon source code.

</details>

<details><summary><h3><strong>class IconLexer</strong></h3></summary>

Lexer for Icon.

</details>

<details><summary><h3><strong>class UcodeLexer</strong></h3></summary>

Lexer for Icon ucode files.

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

endsuspend and endrepeat are unique to this language, and
        \\self, /self doesn't seem to get used anywhere else either.

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

endsuspend and endrepeat are unique to this language, and
        \\self, /self doesn't seem to get used anywhere else either.

</details>

</details>


<details><summary><h2><strong> urbi.py</strong></h2></summary>

pygments.lexers.urbi
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for UrbiScript language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class UrbiscriptLexer](#class-urbiscriptlexer)
- [def blob_callback](#def-blob_callback)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class UrbiscriptLexer</strong></h3></summary>

For UrbiScript source code.

<details><summary><h4><strong>def blob_callback</strong></h4></summary>

This is fairly similar to C and others, but freezeif and
        waituntil are unique keywords.

</details>

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

This is fairly similar to C and others, but freezeif and
        waituntil are unique keywords.

</details>

</details>

<details><summary><h3><strong>def blob_callback(lexer, match, ctx)</strong></h3></summary>

This is fairly similar to C and others, but freezeif and
        waituntil are unique keywords.

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

This is fairly similar to C and others, but freezeif and
        waituntil are unique keywords.

</details>

</details>


<details><summary><h2><strong> usd.py</strong></h2></summary>

pygments.lexers.usd
    ~~~~~~~~~~~~~~~~~~~

    The module that parses Pixar's Universal Scene Description file format.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class UsdLexer](#class-usdlexer)
</details>

<details><summary><h3><strong>class UsdLexer</strong></h3></summary>

A lexer that parses Pixar's Universal Scene Description file format.

</details>

</details>


<details><summary><h2><strong> varnish.py</strong></h2></summary>

pygments.lexers.varnish
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Varnish configuration

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VCLLexer](#class-vcllexer)
- [class VCLSnippetLexer](#class-vclsnippetlexer)
</details>

<details><summary><h3><strong>class VCLLexer</strong></h3></summary>

For Varnish Configuration Language (VCL).

</details>

<details><summary><h3><strong>class VCLSnippetLexer</strong></h3></summary>

For Varnish Configuration Language snippets.

</details>

</details>


<details><summary><h2><strong> verification.py</strong></h2></summary>

pygments.lexers.verification
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexer for Intermediate Verification Languages (IVLs).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BoogieLexer](#class-boogielexer)
- [class SilverLexer](#class-silverlexer)
</details>

<details><summary><h3><strong>class BoogieLexer</strong></h3></summary>

For Boogie source code.

</details>

<details><summary><h3><strong>class SilverLexer</strong></h3></summary>

For Silver source code.

</details>

</details>


<details><summary><h2><strong> verifpal.py</strong></h2></summary>

pygments.lexers.verifpal
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Verifpal languages.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VerifpalLexer](#class-verifpallexer)
</details>

<details><summary><h3><strong>class VerifpalLexer</strong></h3></summary>

For Verifpal code.

</details>

</details>


<details><summary><h2><strong> vip.py</strong></h2></summary>

pygments.lexers.vip
    ~~~~~~~~~~~~~~~~~~~

    Lexers for Visual Prolog & Grammar files.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VisualPrologLexer](#class-visualprologlexer)
- [class VisualPrologGrammarLexer](#class-visualprologgrammarlexer)
- [def analyse_text](#def-analyse_text)
- [def analyse_text](#def-analyse_text)
</details>

<details><summary><h3><strong>class VisualPrologLexer</strong></h3></summary>

Lexer for VisualProlog

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

Competes with IDL and Prolog on *.pro; div. lisps on*.cl and SwigLexer on *.i

</details>

</details>

<details><summary><h3><strong>class VisualPrologGrammarLexer</strong></h3></summary>

Lexer for VisualProlog grammar

<details><summary><h4><strong>def analyse_text</strong></h4></summary>

No competditors (currently)

</details>

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

Competes with IDL and Prolog on *.pro; div. lisps on*.cl and SwigLexer on *.i

</details>

<details><summary><h3><strong>def analyse_text(text)</strong></h3></summary>

No competditors (currently)

</details>

</details>


<details><summary><h2><strong> vyper.py</strong></h2></summary>

pygments.lexers.vyper
    ~~~~~~~~~~~~~~~~~~~~~

    Lexer for the Vyper Smart Contract language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VyperLexer](#class-vyperlexer)
</details>

<details><summary><h3><strong>class VyperLexer</strong></h3></summary>

For the Vyper smart contract language.

</details>

</details>


<details><summary><h2><strong> web.py</strong></h2></summary>

pygments.lexers.web
    ~~~~~~~~~~~~~~~~~~~

    Just export previously exported lexers.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> webassembly.py</strong></h2></summary>

pygments.lexers.webassembly
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the WebAssembly text format.

    The grammar can be found at https://github.com/WebAssembly/spec/blob/master/interpreter/README.md
    and https://webassembly.github.io/spec/core/text/.


    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class WatLexer](#class-watlexer)
</details>

<details><summary><h3><strong>class WatLexer</strong></h3></summary>

Lexer for the WebAssembly text format.

</details>

</details>


<details><summary><h2><strong> webidl.py</strong></h2></summary>

pygments.lexers.webidl
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for Web IDL, including some extensions.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class WebIDLLexer](#class-webidllexer)
</details>

<details><summary><h3><strong>class WebIDLLexer</strong></h3></summary>

For Web IDL.

</details>

</details>


<details><summary><h2><strong> webmisc.py</strong></h2></summary>

pygments.lexers.webmisc
    ~~~~~~~~~~~~~~~~~~~~~~~

    Lexers for misc. web stuff.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DuelLexer](#class-duellexer)
- [class XQueryLexer](#class-xquerylexer)
- [class QmlLexer](#class-qmllexer)
- [class CirruLexer](#class-cirrulexer)
- [class SlimLexer](#class-slimlexer)
</details>

<details><summary><h3><strong>class DuelLexer</strong></h3></summary>

Lexer for Duel Views Engine (formerly JBST) markup with JavaScript code blocks.

</details>

<details><summary><h3><strong>class XQueryLexer</strong></h3></summary>

An XQuery lexer, parsing a stream and outputting the tokens needed to
    highlight xquery code.

</details>

<details><summary><h3><strong>class QmlLexer</strong></h3></summary>

For QML files.

</details>

<details><summary><h3><strong>class CirruLexer</strong></h3></summary>

* using ``()`` for expressions, but restricted in a same line
    * using ``""`` for strings, with ``\`` for escaping chars
    * using ``$`` as folding operator
    * using ``,`` as unfolding operator
    * using indentations for nested blocks

</details>

<details><summary><h3><strong>class SlimLexer</strong></h3></summary>

For Slim markup.

</details>

</details>


<details><summary><h2><strong> wgsl.py</strong></h2></summary>

pygments.lexers.wgsl
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the WebGPU Shading Language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class WgslLexer](#class-wgsllexer)
- [class co_await](#class-co_await)
- [def typeid](#def-typeid)
</details>

<details><summary><h3><strong>class WgslLexer</strong></h3></summary>

Lexer for the WebGPU Shading Language.

<details><summary><h4><strong>def typeid</strong></h4></summary>

.split(), suffix=r'\b'), Keyword.Reserved)

    # https://www.w3.org/TR/WGSL/#predeclared-enumerants
    predeclared_enums = (words(

</details>

</details>

<details><summary><h3><strong>class co_await</strong></h3></summary>

.split(), suffix=r'\b'), Keyword.Reserved)

    # https://www.w3.org/TR/WGSL/#predeclared-enumerants
    predeclared_enums = (words(

<details><summary><h4><strong>def typeid</strong></h4></summary>

.split(), suffix=r'\b'), Keyword.Reserved)

    # https://www.w3.org/TR/WGSL/#predeclared-enumerants
    predeclared_enums = (words(

</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

.split(), suffix=r'\b'), Keyword.Reserved)

    # https://www.w3.org/TR/WGSL/#predeclared-enumerants
    predeclared_enums = (words(

</details>

</details>


<details><summary><h2><strong> whiley.py</strong></h2></summary>

pygments.lexers.whiley
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexers for the Whiley language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class WhileyLexer](#class-whileylexer)
</details>

<details><summary><h3><strong>class WhileyLexer</strong></h3></summary>

Lexer for the Whiley programming language.

</details>

</details>


<details><summary><h2><strong> wowtoc.py</strong></h2></summary>

pygments.lexers.wowtoc
    ~~~~~~~~~~~~~~~~~~~~~~

    Lexer for World of Warcraft TOC files

    TOC files describe game addons.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class WoWTocLexer](#class-wowtoclexer)
</details>

<details><summary><h3><strong>class WoWTocLexer</strong></h3></summary>

Lexer for World of Warcraft TOC files.

</details>

</details>


<details><summary><h2><strong> wren.py</strong></h2></summary>

pygments.lexers.wren
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for Wren.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class WrenLexer](#class-wrenlexer)
</details>

<details><summary><h3><strong>class WrenLexer</strong></h3></summary>

For Wren source code, version 0.4.0.

</details>

</details>


<details><summary><h2><strong> x10.py</strong></h2></summary>

pygments.lexers.x10
    ~~~~~~~~~~~~~~~~~~~

    Lexers for the X10 programming language.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class X10Lexer](#class-x10lexer)
</details>

<details><summary><h3><strong>class X10Lexer</strong></h3></summary>

For the X10 language.

</details>

</details>


<details><summary><h2><strong> xorg.py</strong></h2></summary>

pygments.lexers.xorg
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for Xorg configs.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class XorgLexer](#class-xorglexer)
</details>

<details><summary><h3><strong>class XorgLexer</strong></h3></summary>

Lexer for xorg.conf files.

</details>

</details>


<details><summary><h2><strong> yang.py</strong></h2></summary>

pygments.lexers.yang
    ~~~~~~~~~~~~~~~~~~~~

    Lexer for the YANG 1.1 modeling language. See :rfc:`7950`.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class YangLexer](#class-yanglexer)
</details>

<details><summary><h3><strong>class YangLexer</strong></h3></summary>

Lexer for YANG, based on RFC7950.

</details>

</details>


<details><summary><h2><strong> yara.py</strong></h2></summary>

pygments.lexers.yara
    ~~~~~~~~~~~~~~~~~~~~

    Lexers for YARA.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class YaraLexer](#class-yaralexer)
</details>

<details><summary><h3><strong>class YaraLexer</strong></h3></summary>

For YARA rules

</details>

</details>


<details><summary><h2><strong> zig.py</strong></h2></summary>

pygments.lexers.zig
    ~~~~~~~~~~~~~~~~~~~

    Lexers for Zig.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ZigLexer](#class-ziglexer)
</details>

<details><summary><h3><strong>class ZigLexer</strong></h3></summary>

Lexer for the Zig language.

    grammar: https://ziglang.org/documentation/master/#Grammar

</details>

</details>


<details><summary><h2><strong> modeline.py</strong></h2></summary>

pygments.modeline
    ~~~~~~~~~~~~~~~~~

    A simple modeline parser (based on pymodeline).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def get_filetype_from_buffer](#def-get_filetype_from_buffer)
</details>

<details><summary><h3><strong>def get_filetype_from_buffer(buf, max_lines=5)</strong></h3></summary>

Scan the buffer for modelines and return filetype if one is found.

</details>

</details>


<details><summary><h2><strong> plugin.py</strong></h2></summary>

pygments.plugin
    ~~~~~~~~~~~~~~~

    Pygments plugin interface.

    lexer plugins::

        [pygments.lexers]
        yourlexer = yourmodule:YourLexer

    formatter plugins::

        [pygments.formatters]
        yourformatter = yourformatter:YourFormatter
        /.ext = yourformatter:YourFormatter

    As you can see, you can define extensions for the formatter
    with a leading slash.

    syntax plugins::

        [pygments.styles]
        yourstyle = yourstyle:YourStyle

    filter plugin::

        [pygments.filter]
        yourfilter = yourfilter:YourFilter


    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> regexopt.py</strong></h2></summary>

pygments.regexopt
    ~~~~~~~~~~~~~~~~~

    An algorithm that generates optimized regexes for matching long lists of
    literal strings.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def regex_opt_inner](#def-regex_opt_inner)
- [def regex_opt](#def-regex_opt)
</details>

<details><summary><h3><strong>def regex_opt_inner(strings, open_paren)</strong></h3></summary>

Return a regex that matches any string in the sorted list of strings.

</details>

<details><summary><h3><strong>def regex_opt(strings, prefix='', suffix='')</strong></h3></summary>

Return a compiled regex that matches any string in the given list.

    The strings to match must be literal strings, not regexes.  They will be
    regex-escaped.

    *prefix* and *suffix* are pre- and appended to the final regex.

</details>

</details>


<details><summary><h2><strong> scanner.py</strong></h2></summary>

pygments.scanner
    ~~~~~~~~~~~~~~~~

    This library implements a regex based scanner. Some languages
    like Pascal are easy to parse but have some keywords that
    depend on the context. Because of this it's impossible to lex
    that just by using a regular expression lexer like the
    `RegexLexer`.

    Have a look at the `DelphiLexer` to get an idea of how to use
    this scanner.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class EndOfText](#class-endoftext)
- [class Scanner](#class-scanner)
- [def __init__](#def-__init__)
- [def eos](#def-eos)
- [def check](#def-check)
- [def test](#def-test)
- [def scan](#def-scan)
- [def get_char](#def-get_char)
</details>

<details><summary><h3><strong>class EndOfText</strong></h3></summary>

Raise if end of text is reached and the user
    tried to call a match function.

</details>

<details><summary><h3><strong>class Scanner</strong></h3></summary>

Simple scanner

    All method patterns are regular expression strings (not
    compiled expressions!)

<details><summary><h4><strong>def __init__</strong></h4></summary>

:param text:    The text which should be scanned
        :param flags:   default regular expression flags

</details>

<details><summary><h4><strong>def eos</strong></h4></summary>

`True` if the scanner reached the end of text.

</details>

<details><summary><h4><strong>def check</strong></h4></summary>

Apply `pattern` on the current position and return
        the match object. (Doesn't touch pos). Use this for
        lookahead.

</details>

<details><summary><h4><strong>def test</strong></h4></summary>

Apply a pattern on the current position and check
        if it patches. Doesn't touch pos.

</details>

<details><summary><h4><strong>def scan</strong></h4></summary>

Scan the text for the given pattern and update pos/match
        and related fields. The return value is a boolean that
        indicates if the pattern matched. The matched value is
        stored on the instance as ``match``, the last value is
        stored as ``last``. ``start_pos`` is the position of the
        pointer before the pattern was matched, ``pos`` is the
        end position.

</details>

<details><summary><h4><strong>def get_char</strong></h4></summary>

Scan exactly one char.

</details>

</details>

<details><summary><h3><strong>def __init__(self, text, flags=0)</strong></h3></summary>

:param text:    The text which should be scanned
        :param flags:   default regular expression flags

</details>

<details><summary><h3><strong>def eos(self)</strong></h3></summary>

`True` if the scanner reached the end of text.

</details>

<details><summary><h3><strong>def check(self, pattern)</strong></h3></summary>

Apply `pattern` on the current position and return
        the match object. (Doesn't touch pos). Use this for
        lookahead.

</details>

<details><summary><h3><strong>def test(self, pattern)</strong></h3></summary>

Apply a pattern on the current position and check
        if it patches. Doesn't touch pos.

</details>

<details><summary><h3><strong>def scan(self, pattern)</strong></h3></summary>

Scan the text for the given pattern and update pos/match
        and related fields. The return value is a boolean that
        indicates if the pattern matched. The matched value is
        stored on the instance as ``match``, the last value is
        stored as ``last``. ``start_pos`` is the position of the
        pointer before the pattern was matched, ``pos`` is the
        end position.

</details>

<details><summary><h3><strong>def get_char(self)</strong></h3></summary>

Scan exactly one char.

</details>

</details>


<details><summary><h2><strong> sphinxext.py</strong></h2></summary>

pygments.sphinxext
    ~~~~~~~~~~~~~~~~~~

    Sphinx extension to generate automatic documentation of lexers,
    formatters and filters.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PygmentsDoc](#class-pygmentsdoc)
- [class directives](#class-directives)
- [def run](#def-run)
- [def document_lexers_overview](#def-document_lexers_overview)
- [def format_link](#def-format_link)
- [def write_row](#def-write_row)
- [def write_seperator](#def-write_seperator)
</details>

<details><summary><h3><strong>class PygmentsDoc</strong></h3></summary>

A directive to collect all lexers/formatters/filters and generate
    autoclass directives for them.

<details><summary><h4><strong>def run</strong></h4></summary>

Generate a tabular overview of all lexers.

        The columns are the lexer name, the extensions handled by this lexer
        (or "None"), the aliases and a link to the lexer class.

</details>

<details><summary><h4><strong>def document_lexers_overview</strong></h4></summary>

Generate a tabular overview of all lexers.

        The columns are the lexer name, the extensions handled by this lexer
        (or "None"), the aliases and a link to the lexer class.

</details>

<details><summary><h4><strong>def format_link</strong></h4></summary>

Format a table row

</details>

<details><summary><h4><strong>def write_row</strong></h4></summary>

Format a table row

</details>

<details><summary><h4><strong>def write_seperator</strong></h4></summary>

Write a table separator row

</details>

</details>

<details><summary><h3><strong>class directives</strong></h3></summary>

has_content = False
    required_arguments = 1
    optional_arguments = 0
    final_argument_whitespace = False
    option_spec = {}

    def run(self):
        self.filenames = set()
        if self.arguments[0] == 'lexers':
            out = self.document_lexers()
        elif self.arguments[0] == 'formatters':
            out = self.document_formatters()
        elif self.arguments[0] == 'filters':
            out = self.document_filters()
        elif self.arguments[0] == 'lexers_overview':
            out = self.document_lexers_overview()
        else:
            raise Exception('invalid argument for "pygmentsdoc" directive')
        node = nodes.compound()
        vl = ViewList(out.split('\n'), source='')
        nested_parse_with_titles(self.state, vl, node)
        for fn in self.filenames:
            self.state.document.settings.record_dependencies.add(fn)
        return node.children

    def document_lexers_overview(self):

<details><summary><h4><strong>def run</strong></h4></summary>

Generate a tabular overview of all lexers.

        The columns are the lexer name, the extensions handled by this lexer
        (or "None"), the aliases and a link to the lexer class.

</details>

<details><summary><h4><strong>def document_lexers_overview</strong></h4></summary>

Generate a tabular overview of all lexers.

        The columns are the lexer name, the extensions handled by this lexer
        (or "None"), the aliases and a link to the lexer class.

</details>

<details><summary><h4><strong>def format_link</strong></h4></summary>

Format a table row

</details>

<details><summary><h4><strong>def write_row</strong></h4></summary>

Format a table row

</details>

<details><summary><h4><strong>def write_seperator</strong></h4></summary>

Write a table separator row

</details>

</details>

<details><summary><h3><strong>def run(self)</strong></h3></summary>

Generate a tabular overview of all lexers.

        The columns are the lexer name, the extensions handled by this lexer
        (or "None"), the aliases and a link to the lexer class.

</details>

<details><summary><h3><strong>def document_lexers_overview(self)</strong></h3></summary>

Generate a tabular overview of all lexers.

        The columns are the lexer name, the extensions handled by this lexer
        (or "None"), the aliases and a link to the lexer class.

</details>

<details><summary><h3><strong>def format_link(name, url)</strong></h3></summary>

Format a table row

</details>

<details><summary><h3><strong>def write_row(*columns)</strong></h3></summary>

Format a table row

</details>

<details><summary><h3><strong>def write_seperator()</strong></h3></summary>

Write a table separator row

</details>

</details>


<details><summary><h2><strong> style.py</strong></h2></summary>

pygments.style
    ~~~~~~~~~~~~~~

    Basic style object.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

pygments.styles
    ~~~~~~~~~~~~~~~

    Contains built-in styles.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def get_style_by_name](#def-get_style_by_name)
- [def get_all_styles](#def-get_all_styles)
</details>

<details><summary><h3><strong>def get_style_by_name(name)</strong></h3></summary>

Return a style class by its short name. The names of the builtin styles
    are listed in :data:`pygments.styles.STYLE_MAP`.

    Will raise :exc:`pygments.util.ClassNotFound` if no style of that name is
    found.

</details>

<details><summary><h3><strong>def get_all_styles()</strong></h3></summary>

Return a generator for all styles by name, both builtin and plugin.

</details>

</details>


<details><summary><h2><strong> _mapping.py</strong></h2></summary>

</details>


<details><summary><h2><strong> abap.py</strong></h2></summary>

pygments.styles.abap
    ~~~~~~~~~~~~~~~~~~~~

    ABAP workbench like style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> algol.py</strong></h2></summary>

pygments.styles.algol
    ~~~~~~~~~~~~~~~~~~~~~

    Algol publication style.

    This style renders source code for publication of algorithms in
    scientific papers and academic texts, where its format is frequently used.

    It is based on the style of the revised Algol-60 language report[1].

    o  No colours, only black, white and shades of grey are used.
    o  Keywords are rendered in lowercase underline boldface.
    o  Builtins are rendered in lowercase boldface italic.
    o  Docstrings and pragmas are rendered in dark grey boldface.
    o  Library identifiers are rendered in dark grey boldface italic.
    o  Comments are rendered in grey italic.

    To render keywords without underlining, refer to the `Algol_Nu` style.

    For lowercase conversion of keywords and builtins in languages where
    these are not or might not be lowercase, a supporting lexer is required.
    The Algol and Modula-2 lexers automatically convert to lowercase whenever
    this style is selected.

    [1] `Revised Report on the Algorithmic Language Algol-60 <http://www.masswerk.at/algol60/report.htm>`

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> algol_nu.py</strong></h2></summary>

pygments.styles.algol_nu
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Algol publication style without underlining of keywords.

    This style renders source code for publication of algorithms in
    scientific papers and academic texts, where its format is frequently used.

    It is based on the style of the revised Algol-60 language report[1].

    o  No colours, only black, white and shades of grey are used.
    o  Keywords are rendered in lowercase boldface.
    o  Builtins are rendered in lowercase boldface italic.
    o  Docstrings and pragmas are rendered in dark grey boldface.
    o  Library identifiers are rendered in dark grey boldface italic.
    o  Comments are rendered in grey italic.

    To render keywords with underlining, refer to the `Algol` style.

    For lowercase conversion of keywords and builtins in languages where
    these are not or might not be lowercase, a supporting lexer is required.
    The Algol and Modula-2 lexers automatically convert to lowercase whenever
    this style is selected.

    [1] `Revised Report on the Algorithmic Language Algol-60 <http://www.masswerk.at/algol60/report.htm>`

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> arduino.py</strong></h2></summary>

pygments.styles.arduino
    ~~~~~~~~~~~~~~~~~~~~~~~

    Arduino® Syntax highlighting style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ArduinoStyle](#class-arduinostyle)
</details>

<details><summary><h3><strong>class ArduinoStyle</strong></h3></summary>

The Arduino® language style. This style is designed to highlight the
    Arduino source code, so expect the best results with it.

</details>

</details>


<details><summary><h2><strong> autumn.py</strong></h2></summary>

pygments.styles.autumn
    ~~~~~~~~~~~~~~~~~~~~~~

    A colorful style, inspired by the terminal highlighting style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class AutumnStyle](#class-autumnstyle)
</details>

<details><summary><h3><strong>class AutumnStyle</strong></h3></summary>

A colorful style, inspired by the terminal highlighting style.

</details>

</details>


<details><summary><h2><strong> borland.py</strong></h2></summary>

pygments.styles.borland
    ~~~~~~~~~~~~~~~~~~~~~~~

    Style similar to the style used in the Borland IDEs.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class BorlandStyle](#class-borlandstyle)
</details>

<details><summary><h3><strong>class BorlandStyle</strong></h3></summary>

Style similar to the style used in the borland IDEs.

</details>

</details>


<details><summary><h2><strong> bw.py</strong></h2></summary>

pygments.styles.bw
    ~~~~~~~~~~~~~~~~~~

    Simple black/white only style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> coffee.py</strong></h2></summary>

pygments.styles.coffee
    ~~~~~~~~~~~~~~~~~~~~~~

    A warm and cozy theme based off gruvbox

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class CoffeeStyle](#class-coffeestyle)
</details>

<details><summary><h3><strong>class CoffeeStyle</strong></h3></summary>

A warm and cozy theme based off gruvbox

</details>

</details>


<details><summary><h2><strong> colorful.py</strong></h2></summary>

pygments.styles.colorful
    ~~~~~~~~~~~~~~~~~~~~~~~~

    A colorful style, inspired by CodeRay.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ColorfulStyle](#class-colorfulstyle)
</details>

<details><summary><h3><strong>class ColorfulStyle</strong></h3></summary>

A colorful style, inspired by CodeRay.

</details>

</details>


<details><summary><h2><strong> default.py</strong></h2></summary>

pygments.styles.default
    ~~~~~~~~~~~~~~~~~~~~~~~

    The default highlighting style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class DefaultStyle](#class-defaultstyle)
</details>

<details><summary><h3><strong>class DefaultStyle</strong></h3></summary>

The default style (inspired by Emacs 22).

</details>

</details>


<details><summary><h2><strong> dracula.py</strong></h2></summary>

pygments.styles.dracula
    ~~~~~~~~~~~~~~~~~~~~~~~

    Pygments version of `Dracula` from https://github.com/dracula/dracula-theme.

    Based on the Dracula Theme for pygments by Chris Bracco.
    See https://github.com/dracula/pygments/tree/fee9ed5613d1086bc01b9d0a5a0e9867a009f571

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> emacs.py</strong></h2></summary>

pygments.styles.emacs
    ~~~~~~~~~~~~~~~~~~~~~

    A highlighting style for Pygments, inspired by Emacs.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class EmacsStyle](#class-emacsstyle)
</details>

<details><summary><h3><strong>class EmacsStyle</strong></h3></summary>

The default style (inspired by Emacs 22).

</details>

</details>


<details><summary><h2><strong> friendly.py</strong></h2></summary>

pygments.styles.friendly
    ~~~~~~~~~~~~~~~~~~~~~~~~

    A modern style based on the VIM pyte theme.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FriendlyStyle](#class-friendlystyle)
</details>

<details><summary><h3><strong>class FriendlyStyle</strong></h3></summary>

A modern style based on the VIM pyte theme.

</details>

</details>


<details><summary><h2><strong> friendly_grayscale.py</strong></h2></summary>

pygments.styles.friendly_grayscale
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    A style based on friendly style.
    The color values of the friendly style have been converted to grayscale
    using the luminosity value calculated by
    http://www.workwithcolor.com/color-converter-01.htm

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FriendlyGrayscaleStyle](#class-friendlygrayscalestyle)
</details>

<details><summary><h3><strong>class FriendlyGrayscaleStyle</strong></h3></summary>

A modern grayscale style based on the friendly style.

    .. versionadded:: 2.11

</details>

</details>


<details><summary><h2><strong> fruity.py</strong></h2></summary>

pygments.styles.fruity
    ~~~~~~~~~~~~~~~~~~~~~~

    pygments version of my "fruity" vim theme.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class FruityStyle](#class-fruitystyle)
</details>

<details><summary><h3><strong>class FruityStyle</strong></h3></summary>

Pygments version of the "native" vim theme.

</details>

</details>


<details><summary><h2><strong> gh_dark.py</strong></h2></summary>

pygments.styles.gh_dark
    ~~~~~~~~~~~~~~~~~~~~~~~

    Github's Dark-Colorscheme based theme for Pygments
    Colors extracted from https://github.com/primer/primitives

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GhDarkStyle](#class-ghdarkstyle)
</details>

<details><summary><h3><strong>class GhDarkStyle</strong></h3></summary>

Github's Dark-Colorscheme based theme for Pygments

</details>

</details>


<details><summary><h2><strong> gruvbox.py</strong></h2></summary>

pygments.styles.gruvbox
    ~~~~~~~~~~~~~~~~~~~~~~~

    pygments version of the "gruvbox" vim theme.
    https://github.com/morhetz/gruvbox

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class GruvboxDarkStyle](#class-gruvboxdarkstyle)
- [class GruvboxLightStyle](#class-gruvboxlightstyle)
</details>

<details><summary><h3><strong>class GruvboxDarkStyle</strong></h3></summary>

Pygments version of the "gruvbox" dark vim theme.

</details>

<details><summary><h3><strong>class GruvboxLightStyle</strong></h3></summary>

Pygments version of the "gruvbox" Light vim theme.

</details>

</details>


<details><summary><h2><strong> igor.py</strong></h2></summary>

pygments.styles.igor
    ~~~~~~~~~~~~~~~~~~~~

    Igor Pro default style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class IgorStyle](#class-igorstyle)
</details>

<details><summary><h3><strong>class IgorStyle</strong></h3></summary>

Pygments version of the official colors for Igor Pro procedures.

</details>

</details>


<details><summary><h2><strong> inkpot.py</strong></h2></summary>

pygments.styles.inkpot
    ~~~~~~~~~~~~~~~~~~~~~~

    A highlighting style for Pygments, inspired by the Inkpot theme for VIM.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> lightbulb.py</strong></h2></summary>

pygments.styles.lightbulb
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    A minimal dark theme based on the Lightbulb theme for VSCode.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LightbulbStyle](#class-lightbulbstyle)
</details>

<details><summary><h3><strong>class LightbulbStyle</strong></h3></summary>

A minimal dark theme based on the Lightbulb theme for VSCode.

</details>

</details>


<details><summary><h2><strong> lilypond.py</strong></h2></summary>

pygments.styles.lilypond
    ~~~~~~~~~~~~~~~~~~~~~~~~

    LilyPond-specific style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LilyPondStyle](#class-lilypondstyle)
</details>

<details><summary><h3><strong>class LilyPondStyle</strong></h3></summary>

Style for the LilyPond language.

    .. versionadded:: 2.11

</details>

</details>


<details><summary><h2><strong> lovelace.py</strong></h2></summary>

pygments.styles.lovelace
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Lovelace by Miikka Salminen

    Pygments style by Miikka Salminen (https://github.com/miikkas)
    A desaturated, somewhat subdued style created for the Lovelace interactive
    learning environment.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class LovelaceStyle](#class-lovelacestyle)
</details>

<details><summary><h3><strong>class LovelaceStyle</strong></h3></summary>

The style used in Lovelace interactive learning environment. Tries to avoid
    the "angry fruit salad" effect with desaturated and dim colours.

</details>

</details>


<details><summary><h2><strong> manni.py</strong></h2></summary>

pygments.styles.manni
    ~~~~~~~~~~~~~~~~~~~~~

    A colorful style, inspired by the terminal highlighting style.

    This is a port of the style used in the `php port`_ of pygments
    by Manni. The style is called 'default' there.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ManniStyle](#class-mannistyle)
</details>

<details><summary><h3><strong>class ManniStyle</strong></h3></summary>

A colorful style, inspired by the terminal highlighting style.

</details>

</details>


<details><summary><h2><strong> material.py</strong></h2></summary>

pygments.styles.material
    ~~~~~~~~~~~~~~~~~~~~~~~~

    Mimic the Material theme color scheme.

    https://github.com/material-theme/vsc-material-theme

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MaterialStyle](#class-materialstyle)
</details>

<details><summary><h3><strong>class MaterialStyle</strong></h3></summary>

This style mimics the Material Theme color scheme.

</details>

</details>


<details><summary><h2><strong> monokai.py</strong></h2></summary>

pygments.styles.monokai
    ~~~~~~~~~~~~~~~~~~~~~~~

    Mimic the Monokai color scheme. Based on tango.py.

    http://www.monokai.nl/blog/2006/07/15/textmate-color-theme/

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MonokaiStyle](#class-monokaistyle)
</details>

<details><summary><h3><strong>class MonokaiStyle</strong></h3></summary>

This style mimics the Monokai color scheme.

</details>

</details>


<details><summary><h2><strong> murphy.py</strong></h2></summary>

pygments.styles.murphy
    ~~~~~~~~~~~~~~~~~~~~~~

    Murphy's style from CodeRay.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class MurphyStyle](#class-murphystyle)
</details>

<details><summary><h3><strong>class MurphyStyle</strong></h3></summary>

Murphy's style from CodeRay.

</details>

</details>


<details><summary><h2><strong> native.py</strong></h2></summary>

pygments.styles.native
    ~~~~~~~~~~~~~~~~~~~~~~

    pygments version of my "native" vim theme.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NativeStyle](#class-nativestyle)
</details>

<details><summary><h3><strong>class NativeStyle</strong></h3></summary>

Pygments version of the "native" vim theme.

</details>

</details>


<details><summary><h2><strong> nord.py</strong></h2></summary>

pygments.styles.nord
    ~~~~~~~~~~~~~~~~~~~~

    pygments version of the "nord" theme by Arctic Ice Studio
    https://www.nordtheme.com/

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class NordStyle](#class-nordstyle)
- [class NordDarkerStyle](#class-norddarkerstyle)
</details>

<details><summary><h3><strong>class NordStyle</strong></h3></summary>

Pygments version of the "nord" theme by Arctic Ice Studio.

</details>

<details><summary><h3><strong>class NordDarkerStyle</strong></h3></summary>

Pygments version of a darker "nord" theme by Arctic Ice Studio

</details>

</details>


<details><summary><h2><strong> onedark.py</strong></h2></summary>

pygments.styles.onedark
    ~~~~~~~~~~~~~~~~~~~~~~~

    One Dark Theme for Pygments by Tobias Zoghaib (https://github.com/TobiZog)

    Inspired by one-dark-ui for the code editor Atom
    (https://atom.io/themes/one-dark-ui).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class OneDarkStyle](#class-onedarkstyle)
</details>

<details><summary><h3><strong>class OneDarkStyle</strong></h3></summary>

Theme inspired by One Dark Pro for Atom.

    .. versionadded:: 2.11

</details>

</details>


<details><summary><h2><strong> paraiso_dark.py</strong></h2></summary>

pygments.styles.paraiso_dark
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Paraíso (Dark) by Jan T. Sott

    Pygments template by Jan T. Sott (https://github.com/idleberg)
    Created with Base16 Builder by Chris Kempson
    (https://github.com/chriskempson/base16-builder).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> paraiso_light.py</strong></h2></summary>

pygments.styles.paraiso_light
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Paraíso (Light) by Jan T. Sott

    Pygments template by Jan T. Sott (https://github.com/idleberg)
    Created with Base16 Builder by Chris Kempson
    (https://github.com/chriskempson/base16-builder).

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> pastie.py</strong></h2></summary>

pygments.styles.pastie
    ~~~~~~~~~~~~~~~~~~~~~~

    Style similar to the `pastie`_ default style.

    .. _pastie: http://pastie.caboo.se/

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PastieStyle](#class-pastiestyle)
</details>

<details><summary><h3><strong>class PastieStyle</strong></h3></summary>

Style similar to the pastie default style.

</details>

</details>


<details><summary><h2><strong> perldoc.py</strong></h2></summary>

pygments.styles.perldoc
    ~~~~~~~~~~~~~~~~~~~~~~~

    Style similar to the style used in the `perldoc`_ code blocks.

    .. _perldoc: http://perldoc.perl.org/

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class PerldocStyle](#class-perldocstyle)
</details>

<details><summary><h3><strong>class PerldocStyle</strong></h3></summary>

Style similar to the style used in the perldoc code blocks.

</details>

</details>


<details><summary><h2><strong> rainbow_dash.py</strong></h2></summary>

pygments.styles.rainbow_dash
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~

    A bright and colorful syntax highlighting `theme`.

    .. _theme: http://sanssecours.github.io/Rainbow-Dash.tmbundle

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RainbowDashStyle](#class-rainbowdashstyle)
</details>

<details><summary><h3><strong>class RainbowDashStyle</strong></h3></summary>

A bright and colorful syntax highlighting theme.

</details>

</details>


<details><summary><h2><strong> rrt.py</strong></h2></summary>

pygments.styles.rrt
    ~~~~~~~~~~~~~~~~~~~

    pygments "rrt" theme, based on Zap and Emacs defaults.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class RrtStyle](#class-rrtstyle)
</details>

<details><summary><h3><strong>class RrtStyle</strong></h3></summary>

Minimalistic "rrt" theme, based on Zap and Emacs defaults.

</details>

</details>


<details><summary><h2><strong> sas.py</strong></h2></summary>

pygments.styles.sas
    ~~~~~~~~~~~~~~~~~~~

    Style inspired by SAS' enhanced program editor. Note This is not
    meant to be a complete style. It's merely meant to mimic SAS'
    program editor syntax highlighting.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SasStyle](#class-sasstyle)
</details>

<details><summary><h3><strong>class SasStyle</strong></h3></summary>

Style inspired by SAS' enhanced program editor. Note This is not
    meant to be a complete style. It's merely meant to mimic SAS'
    program editor syntax highlighting.

</details>

</details>


<details><summary><h2><strong> solarized.py</strong></h2></summary>

pygments.styles.solarized
    ~~~~~~~~~~~~~~~~~~~~~~~~~

    Solarized by Camil Staps

    A Pygments style for the Solarized themes (licensed under MIT).
    See: https://github.com/altercation/solarized

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class SolarizedDarkStyle](#class-solarizeddarkstyle)
- [class SolarizedLightStyle](#class-solarizedlightstyle)
</details>

<details><summary><h3><strong>class SolarizedDarkStyle</strong></h3></summary>

The solarized style, dark.

</details>

<details><summary><h3><strong>class SolarizedLightStyle</strong></h3></summary>

The solarized style, light.

</details>

</details>


<details><summary><h2><strong> staroffice.py</strong></h2></summary>

pygments.styles.staroffice
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Style similar to StarOffice style, also in OpenOffice and LibreOffice.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class StarofficeStyle](#class-starofficestyle)
</details>

<details><summary><h3><strong>class StarofficeStyle</strong></h3></summary>

Style similar to StarOffice style, also in OpenOffice and LibreOffice.

</details>

</details>


<details><summary><h2><strong> stata_dark.py</strong></h2></summary>

pygments.styles.stata_dark
    ~~~~~~~~~~~~~~~~~~~~~~~~~~

    Dark style inspired by Stata's do-file editor. Note this is not
    meant to be a complete style, just for Stata's file formats.


    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> stata_light.py</strong></h2></summary>

pygments.styles.stata_light
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~

    Light Style inspired by Stata's do-file editor. Note this is not
    meant to be a complete style, just for Stata's file formats.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class StataLightStyle](#class-statalightstyle)
</details>

<details><summary><h3><strong>class StataLightStyle</strong></h3></summary>

Light mode style inspired by Stata's do-file editor. This is not
    meant to be a complete style, just for use with Stata.

</details>

</details>


<details><summary><h2><strong> tango.py</strong></h2></summary>

pygments.styles.tango
    ~~~~~~~~~~~~~~~~~~~~~

    The Crunchy default Style inspired from the color palette from
    the Tango Icon Theme Guidelines.

    http://tango.freedesktop.org/Tango_Icon_Theme_Guidelines

    Butter:     #fce94f     #edd400     #c4a000
    Orange:     #fcaf3e     #f57900     #ce5c00
    Chocolate:  #e9b96e     #c17d11     #8f5902
    Chameleon:  #8ae234     #73d216     #4e9a06
    Sky Blue:   #729fcf     #3465a4     #204a87
    Plum:       #ad7fa8     #75507b     #5c35cc
    Scarlet Red:#ef2929     #cc0000     #a40000
    Aluminium:  #eeeeec     #d3d7cf     #babdb6
                #888a85     #555753     #2e3436

    Not all of the above colors are used; other colors added:
        very light grey: #f8f8f8  (for background)

    This style can be used as a template as it includes all the known
    Token types, unlike most (if not all) of the styles included in the
    Pygments distribution.

    However, since Crunchy is intended to be used by beginners, we have strived
    to create a style that gloss over subtle distinctions between different
    categories.

    Taking Python for example, comments (Comment.*) and docstrings (String.Doc)
    have been chosen to have the same style.  Similarly, keywords (Keyword.*),
    and Operator.Word (and, or, in) have been assigned the same style.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TangoStyle](#class-tangostyle)
</details>

<details><summary><h3><strong>class TangoStyle</strong></h3></summary>

The Crunchy default Style inspired from the color palette from
    the Tango Icon Theme Guidelines.

</details>

</details>


<details><summary><h2><strong> trac.py</strong></h2></summary>

pygments.styles.trac
    ~~~~~~~~~~~~~~~~~~~~

    Port of the default trac highlighter design.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class TracStyle](#class-tracstyle)
</details>

<details><summary><h3><strong>class TracStyle</strong></h3></summary>

Port of the default trac highlighter design.

</details>

</details>


<details><summary><h2><strong> vim.py</strong></h2></summary>

pygments.styles.vim
    ~~~~~~~~~~~~~~~~~~~

    A highlighting style for Pygments, inspired by vim.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class VimStyle](#class-vimstyle)
</details>

<details><summary><h3><strong>class VimStyle</strong></h3></summary>

Styles somewhat like vim 7.0

</details>

</details>


<details><summary><h2><strong> vs.py</strong></h2></summary>

pygments.styles.vs
    ~~~~~~~~~~~~~~~~~~

    Simple style with MS Visual Studio colors.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> xcode.py</strong></h2></summary>

pygments.styles.xcode
    ~~~~~~~~~~~~~~~~~~~~~

    Style similar to the `Xcode` default theme.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class XcodeStyle](#class-xcodestyle)
</details>

<details><summary><h3><strong>class XcodeStyle</strong></h3></summary>

Style similar to the Xcode default colouring theme.

</details>

</details>


<details><summary><h2><strong> zenburn.py</strong></h2></summary>

pygments.styles.zenburn
    ~~~~~~~~~~~~~~~~~~~~~~~

    Low contrast color scheme Zenburn.

    See: https://kippura.org/zenburnpage/
         https://github.com/jnurmine/Zenburn

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ZenburnStyle](#class-zenburnstyle)
</details>

<details><summary><h3><strong>class ZenburnStyle</strong></h3></summary>

Low contrast Zenburn style.

</details>

</details>


<details><summary><h2><strong> token.py</strong></h2></summary>

pygments.token
    ~~~~~~~~~~~~~~

    Basic token types and the standard tokens.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [def is_token_subtype](#def-is_token_subtype)
- [def string_to_tokentype](#def-string_to_tokentype)
</details>

<details><summary><h3><strong>def is_token_subtype(ttype, other)</strong></h3></summary>

Return True if ``ttype`` is a subtype of ``other``.

    exists for backwards compatibility. use ``ttype in other`` now.

</details>

<details><summary><h3><strong>def string_to_tokentype(s)</strong></h3></summary>

Convert a string into a token type::

        >>> string_to_token('String.Double')
        Token.Literal.String.Double
        >>> string_to_token('Token.Literal.Number')
        Token.Literal.Number
        >>> string_to_token('')
        Token

    Tokens that are already tokens are returned unchanged:

        >>> string_to_token(String)
        Token.Literal.String

</details>

</details>


<details><summary><h2><strong> unistring.py</strong></h2></summary>

pygments.unistring
    ~~~~~~~~~~~~~~~~~~

    Strings of all Unicode characters of a certain category.
    Used for matching in Unicode-aware languages. Run to regenerate.

    Inspired by chartypes_create.py from the MoinMoin project.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

</details>


<details><summary><h2><strong> util.py</strong></h2></summary>

pygments.util
    ~~~~~~~~~~~~~

    Utility functions.

    :copyright: Copyright 2006-2024 by the Pygments team, see AUTHORS.
    :license: BSD, see LICENSE for details.

<details open><summary><h3>Contents</h3></summary>

- [class ClassNotFound](#class-classnotfound)
- [class OptionError](#class-optionerror)
- [class Future](#class-future)
- [def get_choice_opt](#def-get_choice_opt)
- [def get_bool_opt](#def-get_bool_opt)
- [def get_int_opt](#def-get_int_opt)
- [def get_list_opt](#def-get_list_opt)
- [def make_analysator](#def-make_analysator)
- [def shebang_matches](#def-shebang_matches)
- [def doctype_matches](#def-doctype_matches)
- [def html_doctype_matches](#def-html_doctype_matches)
- [def looks_like_xml](#def-looks_like_xml)
- [def surrogatepair](#def-surrogatepair)
- [def format_lines](#def-format_lines)
- [def duplicates_removed](#def-duplicates_removed)
- [def guess_decode](#def-guess_decode)
- [def guess_decode_from_terminal](#def-guess_decode_from_terminal)
- [def terminal_encoding](#def-terminal_encoding)
</details>

<details><summary><h3><strong>class ClassNotFound</strong></h3></summary>

Raised if one of the lookup functions didn't find a matching class.

</details>

<details><summary><h3><strong>class OptionError</strong></h3></summary>

This exception will be raised by all option processing functions if
    the type or value of the argument is not correct.

</details>

<details><summary><h3><strong>class Future</strong></h3></summary>

Generic class to defer some work.

    Handled specially in RegexLexerMeta, to support regex string construction at
    first use.

</details>

<details><summary><h3><strong>def get_choice_opt(options, optname, allowed, default=None, normcase=False)</strong></h3></summary>

If the key `optname` from the dictionary is not in the sequence
    `allowed`, raise an error, otherwise return it.

</details>

<details><summary><h3><strong>def get_bool_opt(options, optname, default=None)</strong></h3></summary>

Intuitively, this is `options.get(optname, default)`, but restricted to
    Boolean value. The Booleans can be represented as string, in order to accept
    Boolean value from the command line arguments. If the key `optname` is
    present in the dictionary `options` and is not associated with a Boolean,
    raise an `OptionError`. If it is absent, `default` is returned instead.

    The valid string values for ``True`` are ``1``, ``yes``, ``true`` and
    ``on``, the ones for ``False`` are ``0``, ``no``, ``false`` and ``off``
    (matched case-insensitively).

</details>

<details><summary><h3><strong>def get_int_opt(options, optname, default=None)</strong></h3></summary>

As :func:`get_bool_opt`, but interpret the value as an integer.

</details>

<details><summary><h3><strong>def get_list_opt(options, optname, default=None)</strong></h3></summary>

If the key `optname` from the dictionary `options` is a string,
    split it at whitespace and return it. If it is already a list
    or a tuple, it is returned as a list.

</details>

<details><summary><h3><strong>def make_analysator(f)</strong></h3></summary>

Return a static text analyser function that returns float values.

</details>

<details><summary><h3><strong>def shebang_matches(text, regex)</strong></h3></summary>

Check if the given regular expression matches the last part of the
    shebang if one exists.

        >>> from pygments.util import shebang_matches
        >>> shebang_matches('#!/usr/bin/env python', r'python(2\.\d)?')
        True
        >>> shebang_matches('#!/usr/bin/python2.4', r'python(2\.\d)?')
        True
        >>> shebang_matches('#!/usr/bin/python-ruby', r'python(2\.\d)?')
        False
        >>> shebang_matches('#!/usr/bin/python/ruby', r'python(2\.\d)?')
        False
        >>> shebang_matches('#!/usr/bin/startsomethingwith python',
        ...                 r'python(2\.\d)?')
        True

    It also checks for common windows executable file extensions::

        >>> shebang_matches('#!C:\\Python2.4\\Python.exe', r'python(2\.\d)?')
        True

    Parameters (``'-f'`` or ``'--foo'`` are ignored so ``'perl'`` does
    the same as ``'perl -e'``)

    Note that this method automatically searches the whole string (eg:
    the regular expression is wrapped in ``'^$'``)

</details>

<details><summary><h3><strong>def doctype_matches(text, regex)</strong></h3></summary>

Check if the doctype matches a regular expression (if present).

    Note that this method only checks the first part of a DOCTYPE.
    eg: 'html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"'

</details>

<details><summary><h3><strong>def html_doctype_matches(text)</strong></h3></summary>

Check if the file looks like it has a html doctype.

</details>

<details><summary><h3><strong>def looks_like_xml(text)</strong></h3></summary>

Check if a doctype exists or if we have some tags.

</details>

<details><summary><h3><strong>def surrogatepair(c)</strong></h3></summary>

Given a unicode character code with length greater than 16 bits,
    return the two 16 bit surrogate pair.

</details>

<details><summary><h3><strong>def format_lines(var_name, seq, raw=False, indent_level=0)</strong></h3></summary>

Formats a sequence of strings for output.

</details>

<details><summary><h3><strong>def duplicates_removed(it, already_seen=()</strong></h3></summary>

Returns a list with duplicates removed from the iterable `it`.

    Order is preserved.

</details>

<details><summary><h3><strong>def guess_decode(text)</strong></h3></summary>

Decode *text* with guessed encoding.

    First try UTF-8; this should fail for non-UTF-8 encodings.
    Then try the preferred locale encoding.
    Fall back to latin-1, which always works.

</details>

<details><summary><h3><strong>def guess_decode_from_terminal(text, term)</strong></h3></summary>

Decode *text* coming from terminal *term*.

    First try the terminal encoding, if given.
    Then try UTF-8.  Then try the preferred locale encoding.
    Fall back to latin-1, which always works.

</details>

<details><summary><h3><strong>def terminal_encoding(term)</strong></h3></summary>

Return our best guess of encoding for the given *term*.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Requests HTTP Library
~~~~~~~~~~~~~~~~~~~~~

Requests is an HTTP library, written in Python, for human beings.
Basic GET usage:

   >>> import requests
   >>> r = requests.get('https://www.python.org')
   >>> r.status_code
   200
   >>> b'Python is a programming language' in r.content
   True

... or POST:

   >>> payload = dict(key1='value1', key2='value2')
   >>> r = requests.post('https://httpbin.org/post', data=payload)
   >>> print(r.text)
   {
     ...
     "form": {
       "key1": "value1",
       "key2": "value2"
     },
     ...
   }

The other HTTP methods are supported - see `requests.api`. Full documentation
is at <https://requests.readthedocs.io>.

:copyright: (c) 2017 by Kenneth Reitz.
:license: Apache 2.0, see LICENSE for more details.

<p><strong>Key features</strong></p>

<ul>
<li>see `requests.api`. Full documentation</li>
</ul>
</details>


<details><summary><h2><strong> __version__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _internal_utils.py</strong></h2></summary>

requests._internal_utils
~~~~~~~~~~~~~~

Provides utility functions that are consumed internally by Requests
which depend on extremely few external helpers (such as compat)

<details open><summary><h3>Contents</h3></summary>

- [def to_native_string](#def-to_native_string)
- [def unicode_is_ascii](#def-unicode_is_ascii)
</details>

<details><summary><h3><strong>def to_native_string(string, encoding="ascii")</strong></h3></summary>

Given a string object, regardless of type, returns a representation of
    that string in the native string type, encoding and decoding where
    necessary. This assumes ASCII unless told otherwise.

</details>

<details><summary><h3><strong>def unicode_is_ascii(u_string)</strong></h3></summary>

Determine if unicode string only contains ASCII characters.

    :param str u_string: unicode string to check. Must be unicode
        and not Python 2 `str`.
    :rtype: bool

</details>

</details>


<details><summary><h2><strong> adapters.py</strong></h2></summary>

requests.adapters
~~~~~~~~~~~~~~~~~

This module contains the transport adapters that Requests uses to define
and maintain connections.

<details open><summary><h3>Contents</h3></summary>

- [class BaseAdapter](#class-baseadapter)
- [class HTTPAdapter](#class-httpadapter)
- [class will](#class-will)
- [class under](#class-under)
- [class and](#class-and)
- [class this](#class-this)
- [class the](#class-the)
- [def __init__](#def-__init__)
- [def send](#def-send)
- [def close](#def-close)
- [def __init__](#def-__init__)
- [def __getstate__](#def-__getstate__)
- [def __setstate__](#def-__setstate__)
- [def init_poolmanager](#def-init_poolmanager)
- [def proxy_manager_for](#def-proxy_manager_for)
- [def cert_verify](#def-cert_verify)
- [def build_response](#def-build_response)
- [def build_connection_pool_key_attributes](#def-build_connection_pool_key_attributes)
- [def get_connection_with_tls_context](#def-get_connection_with_tls_context)
- [def get_connection](#def-get_connection)
- [def close](#def-close)
- [def request_url](#def-request_url)
- [def add_headers](#def-add_headers)
- [def proxy_headers](#def-proxy_headers)
- [def send](#def-send)
</details>

<details><summary><h3><strong>class BaseAdapter</strong></h3></summary>

The Base Transport Adapter

<details><summary><h4><strong>def __init__</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple
        :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple
        :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Cleans up adapter specific items.

</details>

</details>

<details><summary><h3><strong>class HTTPAdapter</strong></h3></summary>

The built-in HTTP Adapter for urllib3.

    Provides a general-case interface for Requests sessions to contact HTTP and
    HTTPS urls by implementing the Transport Adapter interface. This class will
    usually be created by the :class:`Session <Session>` class under the
    covers.

    :param pool_connections: The number of urllib3 connection pools to cache.
    :param pool_maxsize: The maximum number of connections to save in the pool.
    :param max_retries: The maximum number of retries each connection
        should attempt. Note, this applies only to failed DNS lookups, socket
        connections and connection timeouts, never to requests where data has
        made it to the server. By default, Requests does not retry failed
        connections. If you need granular control over the conditions under
        which we retry a request, import urllib3's ``Retry`` class and pass
        that instead.
    :param pool_block: Whether the connection pool should block for connections.

    Usage::

      >>> import requests
      >>> s = requests.Session()
      >>> a = requests.adapters.HTTPAdapter(max_retries=3)
      >>> s.mount('http://', a)

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def init_poolmanager</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def proxy_manager_for</strong></h4></summary>

Return urllib3 ProxyManager for the given proxy.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The proxy to return a urllib3 ProxyManager for.
        :param proxy_kwargs: Extra keyword arguments used to configure the Proxy Manager.
        :returns: ProxyManager
        :rtype: urllib3.ProxyManager

</details>

<details><summary><h4><strong>def cert_verify</strong></h4></summary>

Verify a SSL certificate. This method should not be called from user
        code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param conn: The urllib3 connection object associated with the cert.
        :param url: The requested URL.
        :param verify: Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: The SSL certificate to verify.

</details>

<details><summary><h4><strong>def build_response</strong></h4></summary>

Builds a :class:`Response <requests.Response>` object from a urllib3
        response. This should not be called from user code, and is only exposed
        for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`

        :param req: The :class:`PreparedRequest <PreparedRequest>` used to generate the response.
        :param resp: The urllib3 response object.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def build_connection_pool_key_attributes</strong></h4></summary>

Build the PoolKey attributes used by urllib3 to return a connection.

        This looks at the PreparedRequest, the user-specified verify value,
        and the value of the cert parameter to determine what PoolKey values
        to use to select a connection from a given urllib3 Connection Pool.

        The SSL related pool key arguments are not consistently set. As of
        this writing, use the following to determine what keys may be in that
        dictionary:

        * If ``verify`` is ``True``, ``"ssl_context"`` will be set and will be the
          default Requests SSL Context
        * If ``verify`` is ``False``, ``"ssl_context"`` will not be set but
          ``"cert_reqs"`` will be set
        * If ``verify`` is a string, (i.e., it is a user-specified trust bundle)
          ``"ca_certs"`` will be set if the string is not a directory recognized
          by :py:func:`os.path.isdir`, otherwise ``"ca_certs_dir"`` will be
          set.
        * If ``"cert"`` is specified, ``"cert_file"`` will always be set. If
          ``"cert"`` is a tuple with a second item, ``"key_file"`` will also
          be present

        To override these settings, one may subclass this class, call this
        method and use the above logic to change parameters as desired. For
        example, if one wishes to use a custom :py:class:`ssl.SSLContext` one
        must both set ``"ssl_context"`` and based on what else they require,
        alter the other keys to ensure the desired behaviour.

        :param request:
            The PreparedReqest being sent over the connection.
        :type request:
            :class:`~requests.models.PreparedRequest`
        :param verify:
            Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use.
        :param cert:
            (optional) Any user-provided SSL certificate for client
            authentication (a.k.a., mTLS). This may be a string (i.e., just
            the path to a file which holds both certificate and key) or a
            tuple of length 2 with the certificate file path and key file
            path.
        :returns:
            A tuple of two dictionaries. The first is the "host parameters"
            portion of the Pool Key including scheme, hostname, and port. The
            second is a dictionary of SSLContext related parameters.

</details>

<details><summary><h4><strong>def get_connection_with_tls_context</strong></h4></summary>

Returns a urllib3 connection for the given request and TLS settings.
        This should not be called from user code, and is only exposed for use
        when subclassing the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request:
            The :class:`PreparedRequest <PreparedRequest>` object to be sent
            over the connection.
        :param verify:
            Either a boolean, in which case it controls whether we verify the
            server's TLS certificate, or a string, in which case it must be a
            path to a CA bundle to use.
        :param proxies:
            (optional) The proxies dictionary to apply to the request.
        :param cert:
            (optional) Any user-provided SSL certificate to be used for client
            authentication (a.k.a., mTLS).
        :rtype:
            urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def get_connection</strong></h4></summary>

DEPRECATED: Users should move to `get_connection_with_tls_context`
        for all subclasses of HTTPAdapter using Requests>=2.32.2.

        Returns a urllib3 connection for the given URL. This should not be
        called from user code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param url: The URL to connect to.
        :param proxies: (optional) A Requests-style dictionary of proxies used on this request.
        :rtype: urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Disposes of any internal state.

        Currently, this closes the PoolManager and any active ProxyManager,
        which closes any pooled connections.

</details>

<details><summary><h4><strong>def request_url</strong></h4></summary>

Obtain the url to use when making the final request.

        If the message is being sent through a HTTP proxy, the full URL has to
        be used. Otherwise, we should only use the path portion of the URL.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs.
        :rtype: str

</details>

<details><summary><h4><strong>def add_headers</strong></h4></summary>

Add any headers needed by the connection. As of v2.0 this does
        nothing by default, but is left for overriding by users that subclass
        the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` to add headers to.
        :param kwargs: The keyword arguments from the call to send().

</details>

<details><summary><h4><strong>def proxy_headers</strong></h4></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>class will</strong></h3></summary>

__attrs__ = [
        "max_retries",
        "config",
        "_pool_connections",
        "_pool_maxsize",
        "_pool_block",
    ]

    def __init__(
        self,
        pool_connections=DEFAULT_POOLSIZE,
        pool_maxsize=DEFAULT_POOLSIZE,
        max_retries=DEFAULT_RETRIES,
        pool_block=DEFAULT_POOLBLOCK,
    ):
        if max_retries == DEFAULT_RETRIES:
            self.max_retries = Retry(0, read=False)
        else:
            self.max_retries = Retry.from_int(max_retries)
        self.config = {}
        self.proxy_manager = {}

        super().__init__()

        self._pool_connections = pool_connections
        self._pool_maxsize = pool_maxsize
        self._pool_block = pool_block

        self.init_poolmanager(pool_connections, pool_maxsize, block=pool_block)

    def __getstate__(self):
        return {attr: getattr(self, attr, None) for attr in self.__attrs__}

    def __setstate__(self, state):
        # Can't handle by adding 'proxy_manager' to self.__attrs__ because
        # self.poolmanager uses a lambda function, which isn't pickleable.
        self.proxy_manager = {}
        self.config = {}

        for attr, value in state.items():
            setattr(self, attr, value)

        self.init_poolmanager(
            self._pool_connections, self._pool_maxsize, block=self._pool_block
        )

    def init_poolmanager(
        self, connections, maxsize, block=DEFAULT_POOLBLOCK, **pool_kwargs
    ):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def init_poolmanager</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def proxy_manager_for</strong></h4></summary>

Return urllib3 ProxyManager for the given proxy.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The proxy to return a urllib3 ProxyManager for.
        :param proxy_kwargs: Extra keyword arguments used to configure the Proxy Manager.
        :returns: ProxyManager
        :rtype: urllib3.ProxyManager

</details>

<details><summary><h4><strong>def cert_verify</strong></h4></summary>

Verify a SSL certificate. This method should not be called from user
        code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param conn: The urllib3 connection object associated with the cert.
        :param url: The requested URL.
        :param verify: Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: The SSL certificate to verify.

</details>

<details><summary><h4><strong>def build_response</strong></h4></summary>

Builds a :class:`Response <requests.Response>` object from a urllib3
        response. This should not be called from user code, and is only exposed
        for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`

        :param req: The :class:`PreparedRequest <PreparedRequest>` used to generate the response.
        :param resp: The urllib3 response object.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def build_connection_pool_key_attributes</strong></h4></summary>

Build the PoolKey attributes used by urllib3 to return a connection.

        This looks at the PreparedRequest, the user-specified verify value,
        and the value of the cert parameter to determine what PoolKey values
        to use to select a connection from a given urllib3 Connection Pool.

        The SSL related pool key arguments are not consistently set. As of
        this writing, use the following to determine what keys may be in that
        dictionary:

        * If ``verify`` is ``True``, ``"ssl_context"`` will be set and will be the
          default Requests SSL Context
        * If ``verify`` is ``False``, ``"ssl_context"`` will not be set but
          ``"cert_reqs"`` will be set
        * If ``verify`` is a string, (i.e., it is a user-specified trust bundle)
          ``"ca_certs"`` will be set if the string is not a directory recognized
          by :py:func:`os.path.isdir`, otherwise ``"ca_certs_dir"`` will be
          set.
        * If ``"cert"`` is specified, ``"cert_file"`` will always be set. If
          ``"cert"`` is a tuple with a second item, ``"key_file"`` will also
          be present

        To override these settings, one may subclass this class, call this
        method and use the above logic to change parameters as desired. For
        example, if one wishes to use a custom :py:class:`ssl.SSLContext` one
        must both set ``"ssl_context"`` and based on what else they require,
        alter the other keys to ensure the desired behaviour.

        :param request:
            The PreparedReqest being sent over the connection.
        :type request:
            :class:`~requests.models.PreparedRequest`
        :param verify:
            Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use.
        :param cert:
            (optional) Any user-provided SSL certificate for client
            authentication (a.k.a., mTLS). This may be a string (i.e., just
            the path to a file which holds both certificate and key) or a
            tuple of length 2 with the certificate file path and key file
            path.
        :returns:
            A tuple of two dictionaries. The first is the "host parameters"
            portion of the Pool Key including scheme, hostname, and port. The
            second is a dictionary of SSLContext related parameters.

</details>

<details><summary><h4><strong>def get_connection_with_tls_context</strong></h4></summary>

Returns a urllib3 connection for the given request and TLS settings.
        This should not be called from user code, and is only exposed for use
        when subclassing the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request:
            The :class:`PreparedRequest <PreparedRequest>` object to be sent
            over the connection.
        :param verify:
            Either a boolean, in which case it controls whether we verify the
            server's TLS certificate, or a string, in which case it must be a
            path to a CA bundle to use.
        :param proxies:
            (optional) The proxies dictionary to apply to the request.
        :param cert:
            (optional) Any user-provided SSL certificate to be used for client
            authentication (a.k.a., mTLS).
        :rtype:
            urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def get_connection</strong></h4></summary>

DEPRECATED: Users should move to `get_connection_with_tls_context`
        for all subclasses of HTTPAdapter using Requests>=2.32.2.

        Returns a urllib3 connection for the given URL. This should not be
        called from user code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param url: The URL to connect to.
        :param proxies: (optional) A Requests-style dictionary of proxies used on this request.
        :rtype: urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Disposes of any internal state.

        Currently, this closes the PoolManager and any active ProxyManager,
        which closes any pooled connections.

</details>

<details><summary><h4><strong>def request_url</strong></h4></summary>

Obtain the url to use when making the final request.

        If the message is being sent through a HTTP proxy, the full URL has to
        be used. Otherwise, we should only use the path portion of the URL.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs.
        :rtype: str

</details>

<details><summary><h4><strong>def add_headers</strong></h4></summary>

Add any headers needed by the connection. As of v2.0 this does
        nothing by default, but is left for overriding by users that subclass
        the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` to add headers to.
        :param kwargs: The keyword arguments from the call to send().

</details>

<details><summary><h4><strong>def proxy_headers</strong></h4></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>class under</strong></h3></summary>

__attrs__ = [
        "max_retries",
        "config",
        "_pool_connections",
        "_pool_maxsize",
        "_pool_block",
    ]

    def __init__(
        self,
        pool_connections=DEFAULT_POOLSIZE,
        pool_maxsize=DEFAULT_POOLSIZE,
        max_retries=DEFAULT_RETRIES,
        pool_block=DEFAULT_POOLBLOCK,
    ):
        if max_retries == DEFAULT_RETRIES:
            self.max_retries = Retry(0, read=False)
        else:
            self.max_retries = Retry.from_int(max_retries)
        self.config = {}
        self.proxy_manager = {}

        super().__init__()

        self._pool_connections = pool_connections
        self._pool_maxsize = pool_maxsize
        self._pool_block = pool_block

        self.init_poolmanager(pool_connections, pool_maxsize, block=pool_block)

    def __getstate__(self):
        return {attr: getattr(self, attr, None) for attr in self.__attrs__}

    def __setstate__(self, state):
        # Can't handle by adding 'proxy_manager' to self.__attrs__ because
        # self.poolmanager uses a lambda function, which isn't pickleable.
        self.proxy_manager = {}
        self.config = {}

        for attr, value in state.items():
            setattr(self, attr, value)

        self.init_poolmanager(
            self._pool_connections, self._pool_maxsize, block=self._pool_block
        )

    def init_poolmanager(
        self, connections, maxsize, block=DEFAULT_POOLBLOCK, **pool_kwargs
    ):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def init_poolmanager</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def proxy_manager_for</strong></h4></summary>

Return urllib3 ProxyManager for the given proxy.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The proxy to return a urllib3 ProxyManager for.
        :param proxy_kwargs: Extra keyword arguments used to configure the Proxy Manager.
        :returns: ProxyManager
        :rtype: urllib3.ProxyManager

</details>

<details><summary><h4><strong>def cert_verify</strong></h4></summary>

Verify a SSL certificate. This method should not be called from user
        code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param conn: The urllib3 connection object associated with the cert.
        :param url: The requested URL.
        :param verify: Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: The SSL certificate to verify.

</details>

<details><summary><h4><strong>def build_response</strong></h4></summary>

Builds a :class:`Response <requests.Response>` object from a urllib3
        response. This should not be called from user code, and is only exposed
        for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`

        :param req: The :class:`PreparedRequest <PreparedRequest>` used to generate the response.
        :param resp: The urllib3 response object.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def build_connection_pool_key_attributes</strong></h4></summary>

Build the PoolKey attributes used by urllib3 to return a connection.

        This looks at the PreparedRequest, the user-specified verify value,
        and the value of the cert parameter to determine what PoolKey values
        to use to select a connection from a given urllib3 Connection Pool.

        The SSL related pool key arguments are not consistently set. As of
        this writing, use the following to determine what keys may be in that
        dictionary:

        * If ``verify`` is ``True``, ``"ssl_context"`` will be set and will be the
          default Requests SSL Context
        * If ``verify`` is ``False``, ``"ssl_context"`` will not be set but
          ``"cert_reqs"`` will be set
        * If ``verify`` is a string, (i.e., it is a user-specified trust bundle)
          ``"ca_certs"`` will be set if the string is not a directory recognized
          by :py:func:`os.path.isdir`, otherwise ``"ca_certs_dir"`` will be
          set.
        * If ``"cert"`` is specified, ``"cert_file"`` will always be set. If
          ``"cert"`` is a tuple with a second item, ``"key_file"`` will also
          be present

        To override these settings, one may subclass this class, call this
        method and use the above logic to change parameters as desired. For
        example, if one wishes to use a custom :py:class:`ssl.SSLContext` one
        must both set ``"ssl_context"`` and based on what else they require,
        alter the other keys to ensure the desired behaviour.

        :param request:
            The PreparedReqest being sent over the connection.
        :type request:
            :class:`~requests.models.PreparedRequest`
        :param verify:
            Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use.
        :param cert:
            (optional) Any user-provided SSL certificate for client
            authentication (a.k.a., mTLS). This may be a string (i.e., just
            the path to a file which holds both certificate and key) or a
            tuple of length 2 with the certificate file path and key file
            path.
        :returns:
            A tuple of two dictionaries. The first is the "host parameters"
            portion of the Pool Key including scheme, hostname, and port. The
            second is a dictionary of SSLContext related parameters.

</details>

<details><summary><h4><strong>def get_connection_with_tls_context</strong></h4></summary>

Returns a urllib3 connection for the given request and TLS settings.
        This should not be called from user code, and is only exposed for use
        when subclassing the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request:
            The :class:`PreparedRequest <PreparedRequest>` object to be sent
            over the connection.
        :param verify:
            Either a boolean, in which case it controls whether we verify the
            server's TLS certificate, or a string, in which case it must be a
            path to a CA bundle to use.
        :param proxies:
            (optional) The proxies dictionary to apply to the request.
        :param cert:
            (optional) Any user-provided SSL certificate to be used for client
            authentication (a.k.a., mTLS).
        :rtype:
            urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def get_connection</strong></h4></summary>

DEPRECATED: Users should move to `get_connection_with_tls_context`
        for all subclasses of HTTPAdapter using Requests>=2.32.2.

        Returns a urllib3 connection for the given URL. This should not be
        called from user code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param url: The URL to connect to.
        :param proxies: (optional) A Requests-style dictionary of proxies used on this request.
        :rtype: urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Disposes of any internal state.

        Currently, this closes the PoolManager and any active ProxyManager,
        which closes any pooled connections.

</details>

<details><summary><h4><strong>def request_url</strong></h4></summary>

Obtain the url to use when making the final request.

        If the message is being sent through a HTTP proxy, the full URL has to
        be used. Otherwise, we should only use the path portion of the URL.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs.
        :rtype: str

</details>

<details><summary><h4><strong>def add_headers</strong></h4></summary>

Add any headers needed by the connection. As of v2.0 this does
        nothing by default, but is left for overriding by users that subclass
        the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` to add headers to.
        :param kwargs: The keyword arguments from the call to send().

</details>

<details><summary><h4><strong>def proxy_headers</strong></h4></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>class and</strong></h3></summary>

__attrs__ = [
        "max_retries",
        "config",
        "_pool_connections",
        "_pool_maxsize",
        "_pool_block",
    ]

    def __init__(
        self,
        pool_connections=DEFAULT_POOLSIZE,
        pool_maxsize=DEFAULT_POOLSIZE,
        max_retries=DEFAULT_RETRIES,
        pool_block=DEFAULT_POOLBLOCK,
    ):
        if max_retries == DEFAULT_RETRIES:
            self.max_retries = Retry(0, read=False)
        else:
            self.max_retries = Retry.from_int(max_retries)
        self.config = {}
        self.proxy_manager = {}

        super().__init__()

        self._pool_connections = pool_connections
        self._pool_maxsize = pool_maxsize
        self._pool_block = pool_block

        self.init_poolmanager(pool_connections, pool_maxsize, block=pool_block)

    def __getstate__(self):
        return {attr: getattr(self, attr, None) for attr in self.__attrs__}

    def __setstate__(self, state):
        # Can't handle by adding 'proxy_manager' to self.__attrs__ because
        # self.poolmanager uses a lambda function, which isn't pickleable.
        self.proxy_manager = {}
        self.config = {}

        for attr, value in state.items():
            setattr(self, attr, value)

        self.init_poolmanager(
            self._pool_connections, self._pool_maxsize, block=self._pool_block
        )

    def init_poolmanager(
        self, connections, maxsize, block=DEFAULT_POOLBLOCK, **pool_kwargs
    ):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def init_poolmanager</strong></h4></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h4><strong>def proxy_manager_for</strong></h4></summary>

Return urllib3 ProxyManager for the given proxy.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The proxy to return a urllib3 ProxyManager for.
        :param proxy_kwargs: Extra keyword arguments used to configure the Proxy Manager.
        :returns: ProxyManager
        :rtype: urllib3.ProxyManager

</details>

<details><summary><h4><strong>def cert_verify</strong></h4></summary>

Verify a SSL certificate. This method should not be called from user
        code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param conn: The urllib3 connection object associated with the cert.
        :param url: The requested URL.
        :param verify: Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: The SSL certificate to verify.

</details>

<details><summary><h4><strong>def build_response</strong></h4></summary>

Builds a :class:`Response <requests.Response>` object from a urllib3
        response. This should not be called from user code, and is only exposed
        for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`

        :param req: The :class:`PreparedRequest <PreparedRequest>` used to generate the response.
        :param resp: The urllib3 response object.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def build_connection_pool_key_attributes</strong></h4></summary>

Build the PoolKey attributes used by urllib3 to return a connection.

        This looks at the PreparedRequest, the user-specified verify value,
        and the value of the cert parameter to determine what PoolKey values
        to use to select a connection from a given urllib3 Connection Pool.

        The SSL related pool key arguments are not consistently set. As of
        this writing, use the following to determine what keys may be in that
        dictionary:

        * If ``verify`` is ``True``, ``"ssl_context"`` will be set and will be the
          default Requests SSL Context
        * If ``verify`` is ``False``, ``"ssl_context"`` will not be set but
          ``"cert_reqs"`` will be set
        * If ``verify`` is a string, (i.e., it is a user-specified trust bundle)
          ``"ca_certs"`` will be set if the string is not a directory recognized
          by :py:func:`os.path.isdir`, otherwise ``"ca_certs_dir"`` will be
          set.
        * If ``"cert"`` is specified, ``"cert_file"`` will always be set. If
          ``"cert"`` is a tuple with a second item, ``"key_file"`` will also
          be present

        To override these settings, one may subclass this class, call this
        method and use the above logic to change parameters as desired. For
        example, if one wishes to use a custom :py:class:`ssl.SSLContext` one
        must both set ``"ssl_context"`` and based on what else they require,
        alter the other keys to ensure the desired behaviour.

        :param request:
            The PreparedReqest being sent over the connection.
        :type request:
            :class:`~requests.models.PreparedRequest`
        :param verify:
            Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use.
        :param cert:
            (optional) Any user-provided SSL certificate for client
            authentication (a.k.a., mTLS). This may be a string (i.e., just
            the path to a file which holds both certificate and key) or a
            tuple of length 2 with the certificate file path and key file
            path.
        :returns:
            A tuple of two dictionaries. The first is the "host parameters"
            portion of the Pool Key including scheme, hostname, and port. The
            second is a dictionary of SSLContext related parameters.

</details>

<details><summary><h4><strong>def get_connection_with_tls_context</strong></h4></summary>

Returns a urllib3 connection for the given request and TLS settings.
        This should not be called from user code, and is only exposed for use
        when subclassing the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request:
            The :class:`PreparedRequest <PreparedRequest>` object to be sent
            over the connection.
        :param verify:
            Either a boolean, in which case it controls whether we verify the
            server's TLS certificate, or a string, in which case it must be a
            path to a CA bundle to use.
        :param proxies:
            (optional) The proxies dictionary to apply to the request.
        :param cert:
            (optional) Any user-provided SSL certificate to be used for client
            authentication (a.k.a., mTLS).
        :rtype:
            urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def get_connection</strong></h4></summary>

DEPRECATED: Users should move to `get_connection_with_tls_context`
        for all subclasses of HTTPAdapter using Requests>=2.32.2.

        Returns a urllib3 connection for the given URL. This should not be
        called from user code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param url: The URL to connect to.
        :param proxies: (optional) A Requests-style dictionary of proxies used on this request.
        :rtype: urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Disposes of any internal state.

        Currently, this closes the PoolManager and any active ProxyManager,
        which closes any pooled connections.

</details>

<details><summary><h4><strong>def request_url</strong></h4></summary>

Obtain the url to use when making the final request.

        If the message is being sent through a HTTP proxy, the full URL has to
        be used. Otherwise, we should only use the path portion of the URL.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs.
        :rtype: str

</details>

<details><summary><h4><strong>def add_headers</strong></h4></summary>

Add any headers needed by the connection. As of v2.0 this does
        nothing by default, but is left for overriding by users that subclass
        the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` to add headers to.
        :param kwargs: The keyword arguments from the call to send().

</details>

<details><summary><h4><strong>def proxy_headers</strong></h4></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>class this</strong></h3></summary>

return _urllib3_request_context(request, verify, cert, self.poolmanager)

    def get_connection_with_tls_context(self, request, verify, proxies=None, cert=None):

<details><summary><h4><strong>def get_connection_with_tls_context</strong></h4></summary>

Returns a urllib3 connection for the given request and TLS settings.
        This should not be called from user code, and is only exposed for use
        when subclassing the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request:
            The :class:`PreparedRequest <PreparedRequest>` object to be sent
            over the connection.
        :param verify:
            Either a boolean, in which case it controls whether we verify the
            server's TLS certificate, or a string, in which case it must be a
            path to a CA bundle to use.
        :param proxies:
            (optional) The proxies dictionary to apply to the request.
        :param cert:
            (optional) Any user-provided SSL certificate to be used for client
            authentication (a.k.a., mTLS).
        :rtype:
            urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def get_connection</strong></h4></summary>

DEPRECATED: Users should move to `get_connection_with_tls_context`
        for all subclasses of HTTPAdapter using Requests>=2.32.2.

        Returns a urllib3 connection for the given URL. This should not be
        called from user code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param url: The URL to connect to.
        :param proxies: (optional) A Requests-style dictionary of proxies used on this request.
        :rtype: urllib3.ConnectionPool

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Disposes of any internal state.

        Currently, this closes the PoolManager and any active ProxyManager,
        which closes any pooled connections.

</details>

<details><summary><h4><strong>def request_url</strong></h4></summary>

Obtain the url to use when making the final request.

        If the message is being sent through a HTTP proxy, the full URL has to
        be used. Otherwise, we should only use the path portion of the URL.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs.
        :rtype: str

</details>

<details><summary><h4><strong>def add_headers</strong></h4></summary>

Add any headers needed by the connection. As of v2.0 this does
        nothing by default, but is left for overriding by users that subclass
        the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` to add headers to.
        :param kwargs: The keyword arguments from the call to send().

</details>

<details><summary><h4><strong>def proxy_headers</strong></h4></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>class the</strong></h3></summary>

pass

    def proxy_headers(self, proxy):

<details><summary><h4><strong>def proxy_headers</strong></h4></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple
        :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple
        :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Cleans up adapter specific items.

</details>

<details><summary><h3><strong>def __getstate__(self)</strong></h3></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h3><strong>def __getstate__(self)</strong></h3></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h3><strong>def __setstate__(self, state)</strong></h3></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h3><strong>def proxy_manager_for(self, proxy, **proxy_kwargs)</strong></h3></summary>

Initializes a urllib3 PoolManager.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param connections: The number of urllib3 connection pools to cache.
        :param maxsize: The maximum number of connections to save in the pool.
        :param block: Block when no free connections are available.
        :param pool_kwargs: Extra keyword arguments used to initialize the Pool Manager.

</details>

<details><summary><h3><strong>def proxy_manager_for(self, proxy, **proxy_kwargs)</strong></h3></summary>

Return urllib3 ProxyManager for the given proxy.

        This method should not be called from user code, and is only
        exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The proxy to return a urllib3 ProxyManager for.
        :param proxy_kwargs: Extra keyword arguments used to configure the Proxy Manager.
        :returns: ProxyManager
        :rtype: urllib3.ProxyManager

</details>

<details><summary><h3><strong>def cert_verify(self, conn, url, verify, cert)</strong></h3></summary>

Verify a SSL certificate. This method should not be called from user
        code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param conn: The urllib3 connection object associated with the cert.
        :param url: The requested URL.
        :param verify: Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use
        :param cert: The SSL certificate to verify.

</details>

<details><summary><h3><strong>def build_response(self, req, resp)</strong></h3></summary>

Builds a :class:`Response <requests.Response>` object from a urllib3
        response. This should not be called from user code, and is only exposed
        for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`

        :param req: The :class:`PreparedRequest <PreparedRequest>` used to generate the response.
        :param resp: The urllib3 response object.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def build_connection_pool_key_attributes(self, request, verify, cert=None)</strong></h3></summary>

Build the PoolKey attributes used by urllib3 to return a connection.

        This looks at the PreparedRequest, the user-specified verify value,
        and the value of the cert parameter to determine what PoolKey values
        to use to select a connection from a given urllib3 Connection Pool.

        The SSL related pool key arguments are not consistently set. As of
        this writing, use the following to determine what keys may be in that
        dictionary:

        * If ``verify`` is ``True``, ``"ssl_context"`` will be set and will be the
          default Requests SSL Context
        * If ``verify`` is ``False``, ``"ssl_context"`` will not be set but
          ``"cert_reqs"`` will be set
        * If ``verify`` is a string, (i.e., it is a user-specified trust bundle)
          ``"ca_certs"`` will be set if the string is not a directory recognized
          by :py:func:`os.path.isdir`, otherwise ``"ca_certs_dir"`` will be
          set.
        * If ``"cert"`` is specified, ``"cert_file"`` will always be set. If
          ``"cert"`` is a tuple with a second item, ``"key_file"`` will also
          be present

        To override these settings, one may subclass this class, call this
        method and use the above logic to change parameters as desired. For
        example, if one wishes to use a custom :py:class:`ssl.SSLContext` one
        must both set ``"ssl_context"`` and based on what else they require,
        alter the other keys to ensure the desired behaviour.

        :param request:
            The PreparedReqest being sent over the connection.
        :type request:
            :class:`~requests.models.PreparedRequest`
        :param verify:
            Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use.
        :param cert:
            (optional) Any user-provided SSL certificate for client
            authentication (a.k.a., mTLS). This may be a string (i.e., just
            the path to a file which holds both certificate and key) or a
            tuple of length 2 with the certificate file path and key file
            path.
        :returns:
            A tuple of two dictionaries. The first is the "host parameters"
            portion of the Pool Key including scheme, hostname, and port. The
            second is a dictionary of SSLContext related parameters.

</details>

<details><summary><h3><strong>def get_connection_with_tls_context(self, request, verify, proxies=None, cert=None)</strong></h3></summary>

Returns a urllib3 connection for the given request and TLS settings.
        This should not be called from user code, and is only exposed for use
        when subclassing the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request:
            The :class:`PreparedRequest <PreparedRequest>` object to be sent
            over the connection.
        :param verify:
            Either a boolean, in which case it controls whether we verify the
            server's TLS certificate, or a string, in which case it must be a
            path to a CA bundle to use.
        :param proxies:
            (optional) The proxies dictionary to apply to the request.
        :param cert:
            (optional) Any user-provided SSL certificate to be used for client
            authentication (a.k.a., mTLS).
        :rtype:
            urllib3.ConnectionPool

</details>

<details><summary><h3><strong>def get_connection(self, url, proxies=None)</strong></h3></summary>

DEPRECATED: Users should move to `get_connection_with_tls_context`
        for all subclasses of HTTPAdapter using Requests>=2.32.2.

        Returns a urllib3 connection for the given URL. This should not be
        called from user code, and is only exposed for use when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param url: The URL to connect to.
        :param proxies: (optional) A Requests-style dictionary of proxies used on this request.
        :rtype: urllib3.ConnectionPool

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Disposes of any internal state.

        Currently, this closes the PoolManager and any active ProxyManager,
        which closes any pooled connections.

</details>

<details><summary><h3><strong>def request_url(self, request, proxies)</strong></h3></summary>

Obtain the url to use when making the final request.

        If the message is being sent through a HTTP proxy, the full URL has to
        be used. Otherwise, we should only use the path portion of the URL.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs.
        :rtype: str

</details>

<details><summary><h3><strong>def add_headers(self, request, **kwargs)</strong></h3></summary>

Add any headers needed by the connection. As of v2.0 this does
        nothing by default, but is left for overriding by users that subclass
        the :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param request: The :class:`PreparedRequest <PreparedRequest>` to add headers to.
        :param kwargs: The keyword arguments from the call to send().

</details>

<details><summary><h3><strong>def proxy_headers(self, proxy)</strong></h3></summary>

Returns a dictionary of the headers to add to any request sent
        through a proxy. This works with urllib3 magic to ensure that they are
        correctly sent to the proxy, rather than in a tunnelled request if
        CONNECT is being used.

        This should not be called from user code, and is only exposed for use
        when subclassing the
        :class:`HTTPAdapter <requests.adapters.HTTPAdapter>`.

        :param proxy: The url of the proxy being used for this request.
        :rtype: dict

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Sends PreparedRequest object. Returns Response object.

        :param request: The :class:`PreparedRequest <PreparedRequest>` being sent.
        :param stream: (optional) Whether to stream the request content.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple or urllib3 Timeout object
        :param verify: (optional) Either a boolean, in which case it controls whether
            we verify the server's TLS certificate, or a string, in which case it
            must be a path to a CA bundle to use
        :param cert: (optional) Any user-provided SSL certificate to be trusted.
        :param proxies: (optional) The proxies dictionary to apply to the request.
        :rtype: requests.Response

</details>

</details>


<details><summary><h2><strong> api.py</strong></h2></summary>

requests.api
~~~~~~~~~~~~

This module implements the Requests API.

:copyright: (c) 2012 by Kenneth Reitz.
:license: Apache2, see LICENSE for more details.

<details open><summary><h3>Contents</h3></summary>

- [def request](#def-request)
- [def get](#def-get)
- [def options](#def-options)
- [def head](#def-head)
- [def post](#def-post)
- [def put](#def-put)
- [def patch](#def-patch)
- [def delete](#def-delete)
</details>

<details><summary><h3><strong>def request(method, url, **kwargs)</strong></h3></summary>

Constructs and sends a :class:`Request <Request>`.

    :param method: method for the new :class:`Request` object: ``GET``, ``OPTIONS``, ``HEAD``, ``POST``, ``PUT``, ``PATCH``, or ``DELETE``.
    :param url: URL for the new :class:`Request` object.
    :param params: (optional) Dictionary, list of tuples or bytes to send
        in the query string for the :class:`Request`.
    :param data: (optional) Dictionary, list of tuples, bytes, or file-like
        object to send in the body of the :class:`Request`.
    :param json: (optional) A JSON serializable Python object to send in the body of the :class:`Request`.
    :param headers: (optional) Dictionary of HTTP Headers to send with the :class:`Request`.
    :param cookies: (optional) Dict or CookieJar object to send with the :class:`Request`.
    :param files: (optional) Dictionary of ``'name': file-like-objects`` (or ``{'name': file-tuple}``) for multipart encoding upload.
        ``file-tuple`` can be a 2-tuple ``('filename', fileobj)``, 3-tuple ``('filename', fileobj, 'content_type')``
        or a 4-tuple ``('filename', fileobj, 'content_type', custom_headers)``, where ``'content_type'`` is a string
        defining the content type of the given file and ``custom_headers`` a dict-like object containing additional headers
        to add for the file.
    :param auth: (optional) Auth tuple to enable Basic/Digest/Custom HTTP Auth.
    :param timeout: (optional) How many seconds to wait for the server to send data
        before giving up, as a float, or a :ref:`(connect timeout, read
        timeout) <timeouts>` tuple.
    :type timeout: float or tuple
    :param allow_redirects: (optional) Boolean. Enable/disable GET/OPTIONS/POST/PUT/PATCH/DELETE/HEAD redirection. Defaults to ``True``.
    :type allow_redirects: bool
    :param proxies: (optional) Dictionary mapping protocol to the URL of the proxy.
    :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use. Defaults to ``True``.
    :param stream: (optional) if ``False``, the response content will be immediately downloaded.
    :param cert: (optional) if String, path to ssl client cert file (.pem). If Tuple, ('cert', 'key') pair.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

    Usage::

      >>> import requests
      >>> req = requests.request('GET', 'https://httpbin.org/get')
      >>> req
      <Response [200]>

</details>

<details><summary><h3><strong>def get(url, params=None, **kwargs)</strong></h3></summary>

Sends a GET request.

    :param url: URL for the new :class:`Request` object.
    :param params: (optional) Dictionary, list of tuples or bytes to send
        in the query string for the :class:`Request`.
    :param \*\*kwargs: Optional arguments that ``request`` takes.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

<details><summary><h3><strong>def options(url, **kwargs)</strong></h3></summary>

Sends an OPTIONS request.

    :param url: URL for the new :class:`Request` object.
    :param \*\*kwargs: Optional arguments that ``request`` takes.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

<details><summary><h3><strong>def head(url, **kwargs)</strong></h3></summary>

Sends a HEAD request.

    :param url: URL for the new :class:`Request` object.
    :param \*\*kwargs: Optional arguments that ``request`` takes. If
        `allow_redirects` is not provided, it will be set to `False` (as
        opposed to the default :meth:`request` behavior).
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

<details><summary><h3><strong>def post(url, data=None, json=None, **kwargs)</strong></h3></summary>

Sends a POST request.

    :param url: URL for the new :class:`Request` object.
    :param data: (optional) Dictionary, list of tuples, bytes, or file-like
        object to send in the body of the :class:`Request`.
    :param json: (optional) A JSON serializable Python object to send in the body of the :class:`Request`.
    :param \*\*kwargs: Optional arguments that ``request`` takes.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

<details><summary><h3><strong>def put(url, data=None, **kwargs)</strong></h3></summary>

Sends a PUT request.

    :param url: URL for the new :class:`Request` object.
    :param data: (optional) Dictionary, list of tuples, bytes, or file-like
        object to send in the body of the :class:`Request`.
    :param json: (optional) A JSON serializable Python object to send in the body of the :class:`Request`.
    :param \*\*kwargs: Optional arguments that ``request`` takes.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

<details><summary><h3><strong>def patch(url, data=None, **kwargs)</strong></h3></summary>

Sends a PATCH request.

    :param url: URL for the new :class:`Request` object.
    :param data: (optional) Dictionary, list of tuples, bytes, or file-like
        object to send in the body of the :class:`Request`.
    :param json: (optional) A JSON serializable Python object to send in the body of the :class:`Request`.
    :param \*\*kwargs: Optional arguments that ``request`` takes.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

<details><summary><h3><strong>def delete(url, **kwargs)</strong></h3></summary>

Sends a DELETE request.

    :param url: URL for the new :class:`Request` object.
    :param \*\*kwargs: Optional arguments that ``request`` takes.
    :return: :class:`Response <Response>` object
    :rtype: requests.Response

</details>

</details>


<details><summary><h2><strong> auth.py</strong></h2></summary>

requests.auth
~~~~~~~~~~~~~

This module contains the authentication handlers for Requests.

<details open><summary><h3>Contents</h3></summary>

- [class AuthBase](#class-authbase)
- [class HTTPBasicAuth](#class-httpbasicauth)
- [class HTTPProxyAuth](#class-httpproxyauth)
- [class HTTPDigestAuth](#class-httpdigestauth)
- [def _basic_auth_str](#def-_basic_auth_str)
- [def __init__](#def-__init__)
- [def init_per_thread_state](#def-init_per_thread_state)
- [def build_digest_header](#def-build_digest_header)
- [def md5_utf8](#def-md5_utf8)
- [def sha_utf8](#def-sha_utf8)
- [def sha256_utf8](#def-sha256_utf8)
- [def sha512_utf8](#def-sha512_utf8)
- [def handle_redirect](#def-handle_redirect)
- [def handle_401](#def-handle_401)
</details>

<details><summary><h3><strong>class AuthBase</strong></h3></summary>

Base class that all auth implementations derive from

</details>

<details><summary><h3><strong>class HTTPBasicAuth</strong></h3></summary>

Attaches HTTP Basic Authentication to the given Request object.

</details>

<details><summary><h3><strong>class HTTPProxyAuth</strong></h3></summary>

Attaches HTTP Proxy Authentication to a given Request object.

</details>

<details><summary><h3><strong>class HTTPDigestAuth</strong></h3></summary>

Attaches HTTP Digest Authentication to the given Request object.

<details><summary><h4><strong>def __init__</strong></h4></summary>

:rtype: str

</details>

<details><summary><h4><strong>def init_per_thread_state</strong></h4></summary>

:rtype: str

</details>

<details><summary><h4><strong>def build_digest_header</strong></h4></summary>

:rtype: str

</details>

<details><summary><h4><strong>def md5_utf8</strong></h4></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h4><strong>def sha_utf8</strong></h4></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h4><strong>def sha256_utf8</strong></h4></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h4><strong>def sha512_utf8</strong></h4></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h4><strong>def handle_redirect</strong></h4></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h4><strong>def handle_401</strong></h4></summary>

Takes the given response and tries digest-auth, if needed.

        :rtype: requests.Response

</details>

</details>

<details><summary><h3><strong>def _basic_auth_str(username, password)</strong></h3></summary>

Returns a Basic Auth string.

</details>

<details><summary><h3><strong>def __init__(self, username, password)</strong></h3></summary>

:rtype: str

</details>

<details><summary><h3><strong>def init_per_thread_state(self)</strong></h3></summary>

:rtype: str

</details>

<details><summary><h3><strong>def build_digest_header(self, method, url)</strong></h3></summary>

:rtype: str

</details>

<details><summary><h3><strong>def md5_utf8(x)</strong></h3></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h3><strong>def sha_utf8(x)</strong></h3></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h3><strong>def sha256_utf8(x)</strong></h3></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h3><strong>def sha512_utf8(x)</strong></h3></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h3><strong>def handle_redirect(self, r, **kwargs)</strong></h3></summary>

Reset num_401_calls counter on redirects.

</details>

<details><summary><h3><strong>def handle_401(self, r, **kwargs)</strong></h3></summary>

Takes the given response and tries digest-auth, if needed.

        :rtype: requests.Response

</details>

</details>


<details><summary><h2><strong> certs.py</strong></h2></summary>

requests.certs
~~~~~~~~~~~~~~

This module returns the preferred default CA certificate bundle. There is
only one — the one from the certifi package.

If you are packaging Requests, e.g., for a Linux distribution or a managed
environment, you can change the definition of where() to return a separately
packaged CA bundle.

</details>


<details><summary><h2><strong> compat.py</strong></h2></summary>

requests.compat
~~~~~~~~~~~~~~~

This module previously handled import compatibility issues
between Python 2 and Python 3. It remains for backwards
compatibility until the next major version.

<details open><summary><h3>Contents</h3></summary>

- [def _resolve_char_detection](#def-_resolve_char_detection)
</details>

<details><summary><h3><strong>def _resolve_char_detection()</strong></h3></summary>

Find supported character detection libraries.

</details>

</details>


<details><summary><h2><strong> cookies.py</strong></h2></summary>

requests.cookies
~~~~~~~~~~~~~~~~

Compatibility code to be able to use `http.cookiejar.CookieJar` with requests.

requests.utils imports from here, so be careful with imports.

<details open><summary><h3>Contents</h3></summary>

- [class MockRequest](#class-mockrequest)
- [class MockResponse](#class-mockresponse)
- [class CookieConflictError](#class-cookieconflicterror)
- [class RequestsCookieJar](#class-requestscookiejar)
- [class is](#class-is)
- [class is](#class-is)
- [class is](#class-is)
- [def __init__](#def-__init__)
- [def get_type](#def-get_type)
- [def get_host](#def-get_host)
- [def get_origin_req_host](#def-get_origin_req_host)
- [def get_full_url](#def-get_full_url)
- [def is_unverifiable](#def-is_unverifiable)
- [def has_header](#def-has_header)
- [def get_header](#def-get_header)
- [def add_header](#def-add_header)
- [def __init__](#def-__init__)
- [def extract_cookies_to_jar](#def-extract_cookies_to_jar)
- [def get_cookie_header](#def-get_cookie_header)
- [def remove_cookie_by_name](#def-remove_cookie_by_name)
- [def get](#def-get)
- [def set](#def-set)
- [def iterkeys](#def-iterkeys)
- [def keys](#def-keys)
- [def itervalues](#def-itervalues)
- [def values](#def-values)
- [def iteritems](#def-iteritems)
- [def items](#def-items)
- [def list_domains](#def-list_domains)
- [def list_paths](#def-list_paths)
- [def multiple_domains](#def-multiple_domains)
- [def get_dict](#def-get_dict)
- [def __contains__](#def-__contains__)
- [def __getitem__](#def-__getitem__)
- [def __setitem__](#def-__setitem__)
- [def __delitem__](#def-__delitem__)
- [def set_cookie](#def-set_cookie)
- [def update](#def-update)
- [def _find](#def-_find)
- [def _find_no_duplicates](#def-_find_no_duplicates)
- [def __getstate__](#def-__getstate__)
- [def __setstate__](#def-__setstate__)
- [def copy](#def-copy)
- [def get_policy](#def-get_policy)
- [def create_cookie](#def-create_cookie)
- [def morsel_to_cookie](#def-morsel_to_cookie)
- [def cookiejar_from_dict](#def-cookiejar_from_dict)
- [def merge_cookies](#def-merge_cookies)
</details>

<details><summary><h3><strong>class MockRequest</strong></h3></summary>

Wraps a `requests.Request` to mimic a `urllib2.Request`.

    The code in `http.cookiejar.CookieJar` expects this interface in order to correctly
    manage cookie policies, i.e., determine whether a cookie can be set, given the
    domains of the request and the cookie.

    The original request object is read-only. The client is responsible for collecting
    the new headers via `get_new_headers()` and interpreting them appropriately. You
    probably want `get_cookie_header`, defined below.

<details><summary><h4><strong>def __init__</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def get_type</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def get_host</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def get_origin_req_host</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def get_full_url</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def is_unverifiable</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def has_header</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def get_header</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h4><strong>def add_header</strong></h4></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

</details>

<details><summary><h3><strong>class MockResponse</strong></h3></summary>

Wraps a `httplib.HTTPMessage` to mimic a `urllib.addinfourl`.

    ...what? Basically, expose the parsed HTTP headers from the server response
    the way `http.cookiejar` expects to see them.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Make a MockResponse for `cookiejar` to read.

        :param headers: a httplib.HTTPMessage or analogous carrying the headers

</details>

</details>

<details><summary><h3><strong>class CookieConflictError</strong></h3></summary>

There are two cookies that meet the criteria specified in the cookie jar.
    Use .get and .set and include domain and path args in order to be more specific.

</details>

<details><summary><h3><strong>class RequestsCookieJar</strong></h3></summary>

Compatibility class; is a http.cookiejar.CookieJar, but exposes a dict
    interface.

    This is the CookieJar we create by default for requests and sessions that
    don't specify one, since some clients may expect response.cookies and
    session.cookies to support dict operations.

    Requests does not use the dict interface internally; it's just for
    compatibility with external client code. All requests code should work
    out of the box with externally provided instances of ``CookieJar``, e.g.
    ``LWPCookieJar`` and ``FileCookieJar``.

    Unlike a regular CookieJar, this class is pickleable.

    .. warning:: dictionary operations that are normally O(1) may be O(n).

<details><summary><h4><strong>def get</strong></h4></summary>

Dict-like get() that also supports optional domain and path args in
        order to resolve naming collisions from using one cookie jar over
        multiple domains.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h4><strong>def set</strong></h4></summary>

Dict-like set() that also supports optional domain and path args in
        order to resolve naming collisions from using one cookie jar over
        multiple domains.

</details>

<details><summary><h4><strong>def iterkeys</strong></h4></summary>

Dict-like iterkeys() that returns an iterator of names of cookies
        from the jar.

        .. seealso:: itervalues() and iteritems().

</details>

<details><summary><h4><strong>def keys</strong></h4></summary>

Dict-like keys() that returns a list of names of cookies from the
        jar.

        .. seealso:: values() and items().

</details>

<details><summary><h4><strong>def itervalues</strong></h4></summary>

Dict-like itervalues() that returns an iterator of values of cookies
        from the jar.

        .. seealso:: iterkeys() and iteritems().

</details>

<details><summary><h4><strong>def values</strong></h4></summary>

Dict-like values() that returns a list of values of cookies from the
        jar.

        .. seealso:: keys() and items().

</details>

<details><summary><h4><strong>def iteritems</strong></h4></summary>

Dict-like iteritems() that returns an iterator of name-value tuples
        from the jar.

        .. seealso:: iterkeys() and itervalues().

</details>

<details><summary><h4><strong>def items</strong></h4></summary>

Dict-like items() that returns a list of name-value tuples from the
        jar. Allows client-code to call ``dict(RequestsCookieJar)`` and get a
        vanilla python dict of key value pairs.

        .. seealso:: keys() and values().

</details>

<details><summary><h4><strong>def list_domains</strong></h4></summary>

Utility method to list all the domains in the jar.

</details>

<details><summary><h4><strong>def list_paths</strong></h4></summary>

Utility method to list all the paths in the jar.

</details>

<details><summary><h4><strong>def multiple_domains</strong></h4></summary>

Returns True if there are multiple domains in the jar.
        Returns False otherwise.

        :rtype: bool

</details>

<details><summary><h4><strong>def get_dict</strong></h4></summary>

Takes as an argument an optional domain and path and returns a plain
        old Python dict of name-value pairs of cookies that meet the
        requirements.

        :rtype: dict

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Dict-like __getitem__() for compatibility with client code. Throws
        exception if there are more than one cookie with name. In that case,
        use the more explicit get() method instead.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Dict-like __getitem__() for compatibility with client code. Throws
        exception if there are more than one cookie with name. In that case,
        use the more explicit get() method instead.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Dict-like __setitem__ for compatibility with client code. Throws
        exception if there is already a cookie of that name in the jar. In that
        case, use the more explicit set() method instead.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Deletes a cookie given a name. Wraps ``http.cookiejar.CookieJar``'s
        ``remove_cookie_by_name()``.

</details>

<details><summary><h4><strong>def set_cookie</strong></h4></summary>

Updates this jar with cookies from another CookieJar or dict-like

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Updates this jar with cookies from another CookieJar or dict-like

</details>

<details><summary><h4><strong>def _find</strong></h4></summary>

Requests uses this method internally to get cookie values.

        If there are conflicting cookies, _find arbitrarily chooses one.
        See _find_no_duplicates if you want an exception thrown if there are
        conflicting cookies.

        :param name: a string containing name of cookie
        :param domain: (optional) string containing domain of cookie
        :param path: (optional) string containing path of cookie
        :return: cookie.value

</details>

<details><summary><h4><strong>def _find_no_duplicates</strong></h4></summary>

Both ``__get_item__`` and ``get`` call this function: it's never
        used elsewhere in Requests.

        :param name: a string containing name of cookie
        :param domain: (optional) string containing domain of cookie
        :param path: (optional) string containing path of cookie
        :raises KeyError: if cookie is not found
        :raises CookieConflictError: if there are multiple cookies
            that match name and optionally domain and path
        :return: cookie.value

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Return a copy of this RequestsCookieJar.

</details>

<details><summary><h4><strong>def get_policy</strong></h4></summary>

Return the CookiePolicy instance used.

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

def get(self, name, default=None, domain=None, path=None):

<details><summary><h4><strong>def get</strong></h4></summary>

Dict-like get() that also supports optional domain and path args in
        order to resolve naming collisions from using one cookie jar over
        multiple domains.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h4><strong>def set</strong></h4></summary>

Dict-like set() that also supports optional domain and path args in
        order to resolve naming collisions from using one cookie jar over
        multiple domains.

</details>

<details><summary><h4><strong>def iterkeys</strong></h4></summary>

Dict-like iterkeys() that returns an iterator of names of cookies
        from the jar.

        .. seealso:: itervalues() and iteritems().

</details>

<details><summary><h4><strong>def keys</strong></h4></summary>

Dict-like keys() that returns a list of names of cookies from the
        jar.

        .. seealso:: values() and items().

</details>

<details><summary><h4><strong>def itervalues</strong></h4></summary>

Dict-like itervalues() that returns an iterator of values of cookies
        from the jar.

        .. seealso:: iterkeys() and iteritems().

</details>

<details><summary><h4><strong>def values</strong></h4></summary>

Dict-like values() that returns a list of values of cookies from the
        jar.

        .. seealso:: keys() and items().

</details>

<details><summary><h4><strong>def iteritems</strong></h4></summary>

Dict-like iteritems() that returns an iterator of name-value tuples
        from the jar.

        .. seealso:: iterkeys() and itervalues().

</details>

<details><summary><h4><strong>def items</strong></h4></summary>

Dict-like items() that returns a list of name-value tuples from the
        jar. Allows client-code to call ``dict(RequestsCookieJar)`` and get a
        vanilla python dict of key value pairs.

        .. seealso:: keys() and values().

</details>

<details><summary><h4><strong>def list_domains</strong></h4></summary>

Utility method to list all the domains in the jar.

</details>

<details><summary><h4><strong>def list_paths</strong></h4></summary>

Utility method to list all the paths in the jar.

</details>

<details><summary><h4><strong>def multiple_domains</strong></h4></summary>

Returns True if there are multiple domains in the jar.
        Returns False otherwise.

        :rtype: bool

</details>

<details><summary><h4><strong>def get_dict</strong></h4></summary>

Takes as an argument an optional domain and path and returns a plain
        old Python dict of name-value pairs of cookies that meet the
        requirements.

        :rtype: dict

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Dict-like __getitem__() for compatibility with client code. Throws
        exception if there are more than one cookie with name. In that case,
        use the more explicit get() method instead.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Dict-like __getitem__() for compatibility with client code. Throws
        exception if there are more than one cookie with name. In that case,
        use the more explicit get() method instead.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Dict-like __setitem__ for compatibility with client code. Throws
        exception if there is already a cookie of that name in the jar. In that
        case, use the more explicit set() method instead.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Deletes a cookie given a name. Wraps ``http.cookiejar.CookieJar``'s
        ``remove_cookie_by_name()``.

</details>

<details><summary><h4><strong>def set_cookie</strong></h4></summary>

Updates this jar with cookies from another CookieJar or dict-like

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Updates this jar with cookies from another CookieJar or dict-like

</details>

<details><summary><h4><strong>def _find</strong></h4></summary>

Requests uses this method internally to get cookie values.

        If there are conflicting cookies, _find arbitrarily chooses one.
        See _find_no_duplicates if you want an exception thrown if there are
        conflicting cookies.

        :param name: a string containing name of cookie
        :param domain: (optional) string containing domain of cookie
        :param path: (optional) string containing path of cookie
        :return: cookie.value

</details>

<details><summary><h4><strong>def _find_no_duplicates</strong></h4></summary>

Both ``__get_item__`` and ``get`` call this function: it's never
        used elsewhere in Requests.

        :param name: a string containing name of cookie
        :param domain: (optional) string containing domain of cookie
        :param path: (optional) string containing path of cookie
        :raises KeyError: if cookie is not found
        :raises CookieConflictError: if there are multiple cookies
            that match name and optionally domain and path
        :return: cookie.value

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Return a copy of this RequestsCookieJar.

</details>

<details><summary><h4><strong>def get_policy</strong></h4></summary>

Return the CookiePolicy instance used.

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

state = self.__dict__.copy()
        # remove the unpickleable RLock object
        state.pop("_cookies_lock")
        return state

    def __setstate__(self, state):

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Return a copy of this RequestsCookieJar.

</details>

<details><summary><h4><strong>def get_policy</strong></h4></summary>

Return the CookiePolicy instance used.

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

self.__dict__.update(state)
        if "_cookies_lock" not in self.__dict__:
            self._cookies_lock = threading.RLock()

    def copy(self):

<details><summary><h4><strong>def copy</strong></h4></summary>

Return a copy of this RequestsCookieJar.

</details>

<details><summary><h4><strong>def get_policy</strong></h4></summary>

Return the CookiePolicy instance used.

</details>

</details>

<details><summary><h3><strong>def __init__(self, request)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def get_type(self)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def get_host(self)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def get_origin_req_host(self)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def get_full_url(self)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def is_unverifiable(self)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def has_header(self, name)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def get_header(self, name, default=None)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def add_header(self, key, val)</strong></h3></summary>

cookiejar has no legitimate use for this method; add it back if you find one.

</details>

<details><summary><h3><strong>def __init__(self, headers)</strong></h3></summary>

Make a MockResponse for `cookiejar` to read.

        :param headers: a httplib.HTTPMessage or analogous carrying the headers

</details>

<details><summary><h3><strong>def extract_cookies_to_jar(jar, request, response)</strong></h3></summary>

Extract the cookies from the response into a CookieJar.

    :param jar: http.cookiejar.CookieJar (not necessarily a RequestsCookieJar)
    :param request: our own requests.Request object
    :param response: urllib3.HTTPResponse object

</details>

<details><summary><h3><strong>def get_cookie_header(jar, request)</strong></h3></summary>

Produce an appropriate Cookie header string to be sent with `request`, or None.

    :rtype: str

</details>

<details><summary><h3><strong>def remove_cookie_by_name(cookiejar, name, domain=None, path=None)</strong></h3></summary>

Unsets a cookie by name, by default over all domains and paths.

    Wraps CookieJar.clear(), is O(n).

</details>

<details><summary><h3><strong>def get(self, name, default=None, domain=None, path=None)</strong></h3></summary>

Dict-like get() that also supports optional domain and path args in
        order to resolve naming collisions from using one cookie jar over
        multiple domains.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h3><strong>def set(self, name, value, **kwargs)</strong></h3></summary>

Dict-like set() that also supports optional domain and path args in
        order to resolve naming collisions from using one cookie jar over
        multiple domains.

</details>

<details><summary><h3><strong>def iterkeys(self)</strong></h3></summary>

Dict-like iterkeys() that returns an iterator of names of cookies
        from the jar.

        .. seealso:: itervalues() and iteritems().

</details>

<details><summary><h3><strong>def keys(self)</strong></h3></summary>

Dict-like keys() that returns a list of names of cookies from the
        jar.

        .. seealso:: values() and items().

</details>

<details><summary><h3><strong>def itervalues(self)</strong></h3></summary>

Dict-like itervalues() that returns an iterator of values of cookies
        from the jar.

        .. seealso:: iterkeys() and iteritems().

</details>

<details><summary><h3><strong>def values(self)</strong></h3></summary>

Dict-like values() that returns a list of values of cookies from the
        jar.

        .. seealso:: keys() and items().

</details>

<details><summary><h3><strong>def iteritems(self)</strong></h3></summary>

Dict-like iteritems() that returns an iterator of name-value tuples
        from the jar.

        .. seealso:: iterkeys() and itervalues().

</details>

<details><summary><h3><strong>def items(self)</strong></h3></summary>

Dict-like items() that returns a list of name-value tuples from the
        jar. Allows client-code to call ``dict(RequestsCookieJar)`` and get a
        vanilla python dict of key value pairs.

        .. seealso:: keys() and values().

</details>

<details><summary><h3><strong>def list_domains(self)</strong></h3></summary>

Utility method to list all the domains in the jar.

</details>

<details><summary><h3><strong>def list_paths(self)</strong></h3></summary>

Utility method to list all the paths in the jar.

</details>

<details><summary><h3><strong>def multiple_domains(self)</strong></h3></summary>

Returns True if there are multiple domains in the jar.
        Returns False otherwise.

        :rtype: bool

</details>

<details><summary><h3><strong>def get_dict(self, domain=None, path=None)</strong></h3></summary>

Takes as an argument an optional domain and path and returns a plain
        old Python dict of name-value pairs of cookies that meet the
        requirements.

        :rtype: dict

</details>

<details><summary><h3><strong>def __contains__(self, name)</strong></h3></summary>

Dict-like __getitem__() for compatibility with client code. Throws
        exception if there are more than one cookie with name. In that case,
        use the more explicit get() method instead.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h3><strong>def __getitem__(self, name)</strong></h3></summary>

Dict-like __getitem__() for compatibility with client code. Throws
        exception if there are more than one cookie with name. In that case,
        use the more explicit get() method instead.

        .. warning:: operation is O(n), not O(1).

</details>

<details><summary><h3><strong>def __setitem__(self, name, value)</strong></h3></summary>

Dict-like __setitem__ for compatibility with client code. Throws
        exception if there is already a cookie of that name in the jar. In that
        case, use the more explicit set() method instead.

</details>

<details><summary><h3><strong>def __delitem__(self, name)</strong></h3></summary>

Deletes a cookie given a name. Wraps ``http.cookiejar.CookieJar``'s
        ``remove_cookie_by_name()``.

</details>

<details><summary><h3><strong>def set_cookie(self, cookie, *args, **kwargs)</strong></h3></summary>

Updates this jar with cookies from another CookieJar or dict-like

</details>

<details><summary><h3><strong>def update(self, other)</strong></h3></summary>

Updates this jar with cookies from another CookieJar or dict-like

</details>

<details><summary><h3><strong>def _find(self, name, domain=None, path=None)</strong></h3></summary>

Requests uses this method internally to get cookie values.

        If there are conflicting cookies, _find arbitrarily chooses one.
        See _find_no_duplicates if you want an exception thrown if there are
        conflicting cookies.

        :param name: a string containing name of cookie
        :param domain: (optional) string containing domain of cookie
        :param path: (optional) string containing path of cookie
        :return: cookie.value

</details>

<details><summary><h3><strong>def _find_no_duplicates(self, name, domain=None, path=None)</strong></h3></summary>

Both ``__get_item__`` and ``get`` call this function: it's never
        used elsewhere in Requests.

        :param name: a string containing name of cookie
        :param domain: (optional) string containing domain of cookie
        :param path: (optional) string containing path of cookie
        :raises KeyError: if cookie is not found
        :raises CookieConflictError: if there are multiple cookies
            that match name and optionally domain and path
        :return: cookie.value

</details>

<details><summary><h3><strong>def __getstate__(self)</strong></h3></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h3><strong>def __setstate__(self, state)</strong></h3></summary>

Unlike a normal CookieJar, this class is pickleable.

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Return a copy of this RequestsCookieJar.

</details>

<details><summary><h3><strong>def get_policy(self)</strong></h3></summary>

Return the CookiePolicy instance used.

</details>

<details><summary><h3><strong>def create_cookie(name, value, **kwargs)</strong></h3></summary>

Make a cookie from underspecified parameters.

    By default, the pair of `name` and `value` will be set for the domain ''
    and sent on every request (this is sometimes called a "supercookie").

</details>

<details><summary><h3><strong>def morsel_to_cookie(morsel)</strong></h3></summary>

Convert a Morsel object into a Cookie containing the one k/v pair.

</details>

<details><summary><h3><strong>def cookiejar_from_dict(cookie_dict, cookiejar=None, overwrite=True)</strong></h3></summary>

Returns a CookieJar from a key/value dictionary.

    :param cookie_dict: Dict of key/values to insert into CookieJar.
    :param cookiejar: (optional) A cookiejar to add the cookies to.
    :param overwrite: (optional) If False, will not replace cookies
        already in the jar with new ones.
    :rtype: CookieJar

</details>

<details><summary><h3><strong>def merge_cookies(cookiejar, cookies)</strong></h3></summary>

Add cookies to cookiejar and returns a merged CookieJar.

    :param cookiejar: CookieJar object to add the cookies to.
    :param cookies: Dictionary or CookieJar object to be added.
    :rtype: CookieJar

</details>

</details>


<details><summary><h2><strong> exceptions.py</strong></h2></summary>

requests.exceptions
~~~~~~~~~~~~~~~~~~~

This module contains the set of Requests' exceptions.

<details open><summary><h3>Contents</h3></summary>

- [class RequestException](#class-requestexception)
- [class InvalidJSONError](#class-invalidjsonerror)
- [class JSONDecodeError](#class-jsondecodeerror)
- [class HTTPError](#class-httperror)
- [class ConnectionError](#class-connectionerror)
- [class ProxyError](#class-proxyerror)
- [class SSLError](#class-sslerror)
- [class Timeout](#class-timeout)
- [class ConnectTimeout](#class-connecttimeout)
- [class ReadTimeout](#class-readtimeout)
- [class URLRequired](#class-urlrequired)
- [class TooManyRedirects](#class-toomanyredirects)
- [class MissingSchema](#class-missingschema)
- [class InvalidSchema](#class-invalidschema)
- [class InvalidURL](#class-invalidurl)
- [class InvalidHeader](#class-invalidheader)
- [class InvalidProxyURL](#class-invalidproxyurl)
- [class ChunkedEncodingError](#class-chunkedencodingerror)
- [class ContentDecodingError](#class-contentdecodingerror)
- [class StreamConsumedError](#class-streamconsumederror)
- [class RetryError](#class-retryerror)
- [class UnrewindableBodyError](#class-unrewindablebodyerror)
- [class RequestsWarning](#class-requestswarning)
- [class FileModeWarning](#class-filemodewarning)
- [class RequestsDependencyWarning](#class-requestsdependencywarning)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __reduce__](#def-__reduce__)
</details>

<details><summary><h3><strong>class RequestException</strong></h3></summary>

There was an ambiguous exception that occurred while handling your
    request.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize RequestException with `request` and `response` objects.

</details>

</details>

<details><summary><h3><strong>class InvalidJSONError</strong></h3></summary>

A JSON error occurred.

</details>

<details><summary><h3><strong>class JSONDecodeError</strong></h3></summary>

Couldn't decode the text into json

<details><summary><h4><strong>def __init__</strong></h4></summary>

Construct the JSONDecodeError instance first with all
        args. Then use it's args to construct the IOError so that
        the json specific args aren't used as IOError specific args
        and the error message from JSONDecodeError is preserved.

</details>

<details><summary><h4><strong>def __reduce__</strong></h4></summary>

The __reduce__ method called when pickling the object must
        be the one from the JSONDecodeError (be it json/simplejson)
        as it expects all the arguments for instantiation, not just
        one like the IOError, and the MRO would by default call the
        __reduce__ method from the IOError due to the inheritance order.

</details>

</details>

<details><summary><h3><strong>class HTTPError</strong></h3></summary>

An HTTP error occurred.

</details>

<details><summary><h3><strong>class ConnectionError</strong></h3></summary>

A Connection error occurred.

</details>

<details><summary><h3><strong>class ProxyError</strong></h3></summary>

A proxy error occurred.

</details>

<details><summary><h3><strong>class SSLError</strong></h3></summary>

An SSL error occurred.

</details>

<details><summary><h3><strong>class Timeout</strong></h3></summary>

The request timed out.

    Catching this error will catch both
    :exc:`~requests.exceptions.ConnectTimeout` and
    :exc:`~requests.exceptions.ReadTimeout` errors.

</details>

<details><summary><h3><strong>class ConnectTimeout</strong></h3></summary>

The request timed out while trying to connect to the remote server.

    Requests that produced this error are safe to retry.

</details>

<details><summary><h3><strong>class ReadTimeout</strong></h3></summary>

The server did not send any data in the allotted amount of time.

</details>

<details><summary><h3><strong>class URLRequired</strong></h3></summary>

A valid URL is required to make a request.

</details>

<details><summary><h3><strong>class TooManyRedirects</strong></h3></summary>

Too many redirects.

</details>

<details><summary><h3><strong>class MissingSchema</strong></h3></summary>

The URL scheme (e.g. http or https) is missing.

</details>

<details><summary><h3><strong>class InvalidSchema</strong></h3></summary>

The URL scheme provided is either invalid or unsupported.

</details>

<details><summary><h3><strong>class InvalidURL</strong></h3></summary>

The URL provided was somehow invalid.

</details>

<details><summary><h3><strong>class InvalidHeader</strong></h3></summary>

The header value provided was somehow invalid.

</details>

<details><summary><h3><strong>class InvalidProxyURL</strong></h3></summary>

The proxy URL provided is invalid.

</details>

<details><summary><h3><strong>class ChunkedEncodingError</strong></h3></summary>

The server declared chunked encoding but sent an invalid chunk.

</details>

<details><summary><h3><strong>class ContentDecodingError</strong></h3></summary>

Failed to decode response content.

</details>

<details><summary><h3><strong>class StreamConsumedError</strong></h3></summary>

The content for this response was already consumed.

</details>

<details><summary><h3><strong>class RetryError</strong></h3></summary>

Custom retries logic failed

</details>

<details><summary><h3><strong>class UnrewindableBodyError</strong></h3></summary>

Requests encountered an error when trying to rewind a body.

</details>

<details><summary><h3><strong>class RequestsWarning</strong></h3></summary>

Base warning for Requests.

</details>

<details><summary><h3><strong>class FileModeWarning</strong></h3></summary>

A file was opened in text mode, but Requests determined its binary length.

</details>

<details><summary><h3><strong>class RequestsDependencyWarning</strong></h3></summary>

An imported dependency doesn't match the expected version range.

</details>

<details><summary><h3><strong>def __init__(self, *args, **kwargs)</strong></h3></summary>

Initialize RequestException with `request` and `response` objects.

</details>

<details><summary><h3><strong>def __init__(self, *args, **kwargs)</strong></h3></summary>

Construct the JSONDecodeError instance first with all
        args. Then use it's args to construct the IOError so that
        the json specific args aren't used as IOError specific args
        and the error message from JSONDecodeError is preserved.

</details>

<details><summary><h3><strong>def __reduce__(self)</strong></h3></summary>

The __reduce__ method called when pickling the object must
        be the one from the JSONDecodeError (be it json/simplejson)
        as it expects all the arguments for instantiation, not just
        one like the IOError, and the MRO would by default call the
        __reduce__ method from the IOError due to the inheritance order.

</details>

</details>


<details><summary><h2><strong> help.py</strong></h2></summary>

Module containing bug report helper(s).

<details open><summary><h3>Contents</h3></summary>

- [def _implementation](#def-_implementation)
- [def info](#def-info)
- [def main](#def-main)
</details>

<details><summary><h3><strong>def _implementation()</strong></h3></summary>

Return a dict with the Python implementation and version.

    Provide both the name and the version of the Python implementation
    currently running. For example, on CPython 3.10.3 it will return
    {'name': 'CPython', 'version': '3.10.3'}.

    This function works best on CPython and PyPy: in particular, it probably
    doesn't work for Jython or IronPython. Future investigation should be done
    to work out the correct shape of the code for those platforms.

</details>

<details><summary><h3><strong>def info()</strong></h3></summary>

Generate information for a bug report.

</details>

<details><summary><h3><strong>def main()</strong></h3></summary>

Pretty-print the bug information as JSON.

</details>

</details>


<details><summary><h2><strong> hooks.py</strong></h2></summary>

requests.hooks
~~~~~~~~~~~~~~

This module provides the capabilities for the Requests hooks system.

Available hooks:

``response``:
    The response generated from a Request.

<details open><summary><h3>Contents</h3></summary>

- [def dispatch_hook](#def-dispatch_hook)
</details>

<details><summary><h3><strong>def dispatch_hook(key, hooks, hook_data, **kwargs)</strong></h3></summary>

Dispatches a hook dictionary on a given piece of data.

</details>

</details>


<details><summary><h2><strong> models.py</strong></h2></summary>

requests.models
~~~~~~~~~~~~~~~

This module contains the primary objects that power Requests.

<details open><summary><h3>Contents</h3></summary>

- [class RequestEncodingMixin](#class-requestencodingmixin)
- [class RequestHooksMixin](#class-requesthooksmixin)
- [class Request](#class-request)
- [class PreparedRequest](#class-preparedrequest)
- [class Response](#class-response)
- [def path_url](#def-path_url)
- [def _encode_params](#def-_encode_params)
- [def _encode_files](#def-_encode_files)
- [def register_hook](#def-register_hook)
- [def deregister_hook](#def-deregister_hook)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def prepare](#def-prepare)
- [def __init__](#def-__init__)
- [def prepare](#def-prepare)
- [def __repr__](#def-__repr__)
- [def copy](#def-copy)
- [def prepare_method](#def-prepare_method)
- [def _get_idna_encoded_host](#def-_get_idna_encoded_host)
- [def prepare_url](#def-prepare_url)
- [def prepare_headers](#def-prepare_headers)
- [def prepare_body](#def-prepare_body)
- [def prepare_content_length](#def-prepare_content_length)
- [def prepare_auth](#def-prepare_auth)
- [def prepare_cookies](#def-prepare_cookies)
- [def prepare_hooks](#def-prepare_hooks)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def __getstate__](#def-__getstate__)
- [def __setstate__](#def-__setstate__)
- [def __repr__](#def-__repr__)
- [def __bool__](#def-__bool__)
- [def __nonzero__](#def-__nonzero__)
- [def __iter__](#def-__iter__)
- [def ok](#def-ok)
- [def is_redirect](#def-is_redirect)
- [def is_permanent_redirect](#def-is_permanent_redirect)
- [def next](#def-next)
- [def apparent_encoding](#def-apparent_encoding)
- [def iter_content](#def-iter_content)
- [def generate](#def-generate)
- [def iter_lines](#def-iter_lines)
- [def content](#def-content)
- [def text](#def-text)
- [def json](#def-json)
- [def links](#def-links)
- [def raise_for_status](#def-raise_for_status)
- [def close](#def-close)
</details>

<details><summary><h3><strong>class RequestEncodingMixin</strong></h3></summary>

Build the path URL to use.

<details><summary><h4><strong>def path_url</strong></h4></summary>

Build the path URL to use.

</details>

<details><summary><h4><strong>def _encode_params</strong></h4></summary>

Encode parameters in a piece of data.

        Will successfully encode parameters when passed as a dict or a list of
        2-tuples. Order is retained if data is a list of 2-tuples but arbitrary
        if parameters are supplied as a dict.

</details>

<details><summary><h4><strong>def _encode_files</strong></h4></summary>

Build the body for a multipart/form-data request.

        Will successfully encode files when passed as a dict or a list of
        tuples. Order is retained if data is a list of tuples but arbitrary
        if parameters are supplied as a dict.
        The tuples may be 2-tuples (filename, fileobj), 3-tuples (filename, fileobj, contentype)
        or 4-tuples (filename, fileobj, contentype, custom_headers).

</details>

</details>

<details><summary><h3><strong>class RequestHooksMixin</strong></h3></summary>

Properly register a hook.

<details><summary><h4><strong>def register_hook</strong></h4></summary>

Properly register a hook.

</details>

<details><summary><h4><strong>def deregister_hook</strong></h4></summary>

Deregister a previously registered hook.
        Returns True if the hook existed, False if not.

</details>

</details>

<details><summary><h3><strong>class Request</strong></h3></summary>

A user-created :class:`Request <Request>` object.

    Used to prepare a :class:`PreparedRequest <PreparedRequest>`, which is sent to the server.

    :param method: HTTP method to use.
    :param url: URL to send.
    :param headers: dictionary of headers to send.
    :param files: dictionary of {filename: fileobject} files to multipart upload.
    :param data: the body to attach to the request. If a dictionary or
        list of tuples ``[(key, value)]`` is provided, form-encoding will
        take place.
    :param json: json for the body to attach to the request (if files or data is not specified).
    :param params: URL parameters to append to the URL. If a dictionary or
        list of tuples ``[(key, value)]`` is provided, form-encoding will
        take place.
    :param auth: Auth handler or (user, pass) tuple.
    :param cookies: dictionary or CookieJar of cookies to attach to this request.
    :param hooks: dictionary of callback hooks, for internal usage.

    Usage::

      >>> import requests
      >>> req = requests.Request('GET', 'https://httpbin.org/get')
      >>> req.prepare()
      <PreparedRequest [GET]>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for transmission and returns it.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for transmission and returns it.

</details>

<details><summary><h4><strong>def prepare</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for transmission and returns it.

</details>

</details>

<details><summary><h3><strong>class PreparedRequest</strong></h3></summary>

The fully mutable :class:`PreparedRequest <PreparedRequest>` object,
    containing the exact bytes that will be sent to the server.

    Instances are generated from a :class:`Request <Request>` object, and
    should not be instantiated manually; doing so may produce undesirable
    effects.

    Usage::

      >>> import requests
      >>> req = requests.Request('GET', 'https://httpbin.org/get')
      >>> r = req.prepare()
      >>> r
      <PreparedRequest [GET]>

      >>> s = requests.Session()
      >>> s.send(r)
      <Response [200]>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Prepares the entire request with the given parameters.

</details>

<details><summary><h4><strong>def prepare</strong></h4></summary>

Prepares the entire request with the given parameters.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Prepares the given HTTP method.

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Prepares the given HTTP method.

</details>

<details><summary><h4><strong>def prepare_method</strong></h4></summary>

Prepares the given HTTP method.

</details>

<details><summary><h4><strong>def _get_idna_encoded_host</strong></h4></summary>

Prepares the given HTTP URL.

</details>

<details><summary><h4><strong>def prepare_url</strong></h4></summary>

Prepares the given HTTP URL.

</details>

<details><summary><h4><strong>def prepare_headers</strong></h4></summary>

Prepares the given HTTP headers.

</details>

<details><summary><h4><strong>def prepare_body</strong></h4></summary>

Prepares the given HTTP body data.

</details>

<details><summary><h4><strong>def prepare_content_length</strong></h4></summary>

Prepare Content-Length header based on request method and body

</details>

<details><summary><h4><strong>def prepare_auth</strong></h4></summary>

Prepares the given HTTP auth data.

</details>

<details><summary><h4><strong>def prepare_cookies</strong></h4></summary>

Prepares the given HTTP cookie data.

        This function eventually generates a ``Cookie`` header from the
        given cookies using cookielib. Due to cookielib's design, the header
        will not be regenerated if it already exists, meaning this function
        can only be called once for the life of the
        :class:`PreparedRequest <PreparedRequest>` object. Any subsequent calls
        to ``prepare_cookies`` will have no actual effect, unless the "Cookie"
        header is removed beforehand.

</details>

<details><summary><h4><strong>def prepare_hooks</strong></h4></summary>

Prepares the given hooks.

</details>

</details>

<details><summary><h3><strong>class Response</strong></h3></summary>

The :class:`Response <Response>` object, which contains a
    server's response to an HTTP request.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __getstate__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __setstate__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __nonzero__</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Allows you to use a response as an iterator.

</details>

<details><summary><h4><strong>def ok</strong></h4></summary>

Returns True if :attr:`status_code` is less than 400, False if not.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h4><strong>def is_redirect</strong></h4></summary>

True if this Response is a well-formed HTTP redirect that could have
        been processed automatically (by :meth:`Session.resolve_redirects`).

</details>

<details><summary><h4><strong>def is_permanent_redirect</strong></h4></summary>

True if this Response one of the permanent versions of redirect.

</details>

<details><summary><h4><strong>def next</strong></h4></summary>

Returns a PreparedRequest for the next request in a redirect chain, if there is one.

</details>

<details><summary><h4><strong>def apparent_encoding</strong></h4></summary>

The apparent encoding, provided by the charset_normalizer or chardet libraries.

</details>

<details><summary><h4><strong>def iter_content</strong></h4></summary>

Iterates over the response data.  When stream=True is set on the
        request, this avoids reading the content at once into memory for
        large responses.  The chunk size is the number of bytes it should
        read into memory.  This is not necessarily the length of each item
        returned as decoding can take place.

        chunk_size must be of type int or None. A value of None will
        function differently depending on the value of `stream`.
        stream=True will read data as it arrives in whatever size the
        chunks are received. If stream=False, data is returned as
        a single chunk.

        If decode_unicode is True, content will be decoded using the best
        available encoding based on the response.

</details>

<details><summary><h4><strong>def generate</strong></h4></summary>

Iterates over the response data, one line at a time.  When
        stream=True is set on the request, this avoids reading the
        content at once into memory for large responses.

        .. note:: This method is not reentrant safe.

</details>

<details><summary><h4><strong>def iter_lines</strong></h4></summary>

Iterates over the response data, one line at a time.  When
        stream=True is set on the request, this avoids reading the
        content at once into memory for large responses.

        .. note:: This method is not reentrant safe.

</details>

<details><summary><h4><strong>def content</strong></h4></summary>

Content of the response, in bytes.

</details>

<details><summary><h4><strong>def text</strong></h4></summary>

Content of the response, in unicode.

        If Response.encoding is None, encoding will be guessed using
        ``charset_normalizer`` or ``chardet``.

        The encoding of the response content is determined based solely on HTTP
        headers, following RFC 2616 to the letter. If you can take advantage of
        non-HTTP knowledge to make a better guess at the encoding, you should
        set ``r.encoding`` appropriately before accessing this property.

</details>

<details><summary><h4><strong>def json</strong></h4></summary>

Returns the json-encoded content of a response, if any.

        :param \*\*kwargs: Optional arguments that ``json.loads`` takes.
        :raises requests.exceptions.JSONDecodeError: If the response body does not
            contain valid json.

</details>

<details><summary><h4><strong>def links</strong></h4></summary>

Returns the parsed header links of the response, if any.

</details>

<details><summary><h4><strong>def raise_for_status</strong></h4></summary>

Raises :class:`HTTPError`, if one occurred.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Releases the connection back to the pool. Once this method has been
        called the underlying ``raw`` object must not be accessed again.

        *Note: Should not normally need to be called explicitly.*

</details>

</details>

<details><summary><h3><strong>def path_url(self)</strong></h3></summary>

Build the path URL to use.

</details>

<details><summary><h3><strong>def _encode_params(data)</strong></h3></summary>

Encode parameters in a piece of data.

        Will successfully encode parameters when passed as a dict or a list of
        2-tuples. Order is retained if data is a list of 2-tuples but arbitrary
        if parameters are supplied as a dict.

</details>

<details><summary><h3><strong>def _encode_files(files, data)</strong></h3></summary>

Build the body for a multipart/form-data request.

        Will successfully encode files when passed as a dict or a list of
        tuples. Order is retained if data is a list of tuples but arbitrary
        if parameters are supplied as a dict.
        The tuples may be 2-tuples (filename, fileobj), 3-tuples (filename, fileobj, contentype)
        or 4-tuples (filename, fileobj, contentype, custom_headers).

</details>

<details><summary><h3><strong>def register_hook(self, event, hook)</strong></h3></summary>

Properly register a hook.

</details>

<details><summary><h3><strong>def deregister_hook(self, event, hook)</strong></h3></summary>

Deregister a previously registered hook.
        Returns True if the hook existed, False if not.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for transmission and returns it.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for transmission and returns it.

</details>

<details><summary><h3><strong>def prepare(self)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for transmission and returns it.

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Prepares the entire request with the given parameters.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Prepares the entire request with the given parameters.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Prepares the given HTTP method.

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Prepares the given HTTP method.

</details>

<details><summary><h3><strong>def prepare_method(self, method)</strong></h3></summary>

Prepares the given HTTP method.

</details>

<details><summary><h3><strong>def _get_idna_encoded_host(host)</strong></h3></summary>

Prepares the given HTTP URL.

</details>

<details><summary><h3><strong>def prepare_url(self, url, params)</strong></h3></summary>

Prepares the given HTTP URL.

</details>

<details><summary><h3><strong>def prepare_headers(self, headers)</strong></h3></summary>

Prepares the given HTTP headers.

</details>

<details><summary><h3><strong>def prepare_body(self, data, files, json=None)</strong></h3></summary>

Prepares the given HTTP body data.

</details>

<details><summary><h3><strong>def prepare_content_length(self, body)</strong></h3></summary>

Prepare Content-Length header based on request method and body

</details>

<details><summary><h3><strong>def prepare_auth(self, auth, url="")</strong></h3></summary>

Prepares the given HTTP auth data.

</details>

<details><summary><h3><strong>def prepare_cookies(self, cookies)</strong></h3></summary>

Prepares the given HTTP cookie data.

        This function eventually generates a ``Cookie`` header from the
        given cookies using cookielib. Due to cookielib's design, the header
        will not be regenerated if it already exists, meaning this function
        can only be called once for the life of the
        :class:`PreparedRequest <PreparedRequest>` object. Any subsequent calls
        to ``prepare_cookies`` will have no actual effect, unless the "Cookie"
        header is removed beforehand.

</details>

<details><summary><h3><strong>def prepare_hooks(self, hooks)</strong></h3></summary>

Prepares the given hooks.

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __exit__(self, *args)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __getstate__(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __setstate__(self, state)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __nonzero__(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code, is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Allows you to use a response as an iterator.

</details>

<details><summary><h3><strong>def ok(self)</strong></h3></summary>

Returns True if :attr:`status_code` is less than 400, False if not.

        This attribute checks if the status code of the response is between
        400 and 600 to see if there was a client error or a server error. If
        the status code is between 200 and 400, this will return True. This
        is **not** a check to see if the response code is ``200 OK``.

</details>

<details><summary><h3><strong>def is_redirect(self)</strong></h3></summary>

True if this Response is a well-formed HTTP redirect that could have
        been processed automatically (by :meth:`Session.resolve_redirects`).

</details>

<details><summary><h3><strong>def is_permanent_redirect(self)</strong></h3></summary>

True if this Response one of the permanent versions of redirect.

</details>

<details><summary><h3><strong>def next(self)</strong></h3></summary>

Returns a PreparedRequest for the next request in a redirect chain, if there is one.

</details>

<details><summary><h3><strong>def apparent_encoding(self)</strong></h3></summary>

The apparent encoding, provided by the charset_normalizer or chardet libraries.

</details>

<details><summary><h3><strong>def iter_content(self, chunk_size=1, decode_unicode=False)</strong></h3></summary>

Iterates over the response data.  When stream=True is set on the
        request, this avoids reading the content at once into memory for
        large responses.  The chunk size is the number of bytes it should
        read into memory.  This is not necessarily the length of each item
        returned as decoding can take place.

        chunk_size must be of type int or None. A value of None will
        function differently depending on the value of `stream`.
        stream=True will read data as it arrives in whatever size the
        chunks are received. If stream=False, data is returned as
        a single chunk.

        If decode_unicode is True, content will be decoded using the best
        available encoding based on the response.

</details>

<details><summary><h3><strong>def generate()</strong></h3></summary>

Iterates over the response data, one line at a time.  When
        stream=True is set on the request, this avoids reading the
        content at once into memory for large responses.

        .. note:: This method is not reentrant safe.

</details>

<details><summary><h3><strong>def content(self)</strong></h3></summary>

Iterates over the response data, one line at a time.  When
        stream=True is set on the request, this avoids reading the
        content at once into memory for large responses.

        .. note:: This method is not reentrant safe.

</details>

<details><summary><h3><strong>def content(self)</strong></h3></summary>

Content of the response, in bytes.

</details>

<details><summary><h3><strong>def text(self)</strong></h3></summary>

Content of the response, in unicode.

        If Response.encoding is None, encoding will be guessed using
        ``charset_normalizer`` or ``chardet``.

        The encoding of the response content is determined based solely on HTTP
        headers, following RFC 2616 to the letter. If you can take advantage of
        non-HTTP knowledge to make a better guess at the encoding, you should
        set ``r.encoding`` appropriately before accessing this property.

</details>

<details><summary><h3><strong>def json(self, **kwargs)</strong></h3></summary>

Returns the json-encoded content of a response, if any.

        :param \*\*kwargs: Optional arguments that ``json.loads`` takes.
        :raises requests.exceptions.JSONDecodeError: If the response body does not
            contain valid json.

</details>

<details><summary><h3><strong>def links(self)</strong></h3></summary>

Returns the parsed header links of the response, if any.

</details>

<details><summary><h3><strong>def raise_for_status(self)</strong></h3></summary>

Raises :class:`HTTPError`, if one occurred.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Releases the connection back to the pool. Once this method has been
        called the underlying ``raw`` object must not be accessed again.

        *Note: Should not normally need to be called explicitly.*

</details>

</details>


<details><summary><h2><strong> packages.py</strong></h2></summary>

</details>


<details><summary><h2><strong> sessions.py</strong></h2></summary>

requests.sessions
~~~~~~~~~~~~~~~~~

This module provides a Session object to manage and persist settings across
requests (cookies, auth, proxies).

<details open><summary><h3>Contents</h3></summary>

- [class SessionRedirectMixin](#class-sessionredirectmixin)
- [class Session](#class-session)
- [def merge_setting](#def-merge_setting)
- [def merge_hooks](#def-merge_hooks)
- [def get_redirect_target](#def-get_redirect_target)
- [def should_strip_auth](#def-should_strip_auth)
- [def resolve_redirects](#def-resolve_redirects)
- [def rebuild_auth](#def-rebuild_auth)
- [def rebuild_proxies](#def-rebuild_proxies)
- [def rebuild_method](#def-rebuild_method)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def prepare_request](#def-prepare_request)
- [def request](#def-request)
- [def get](#def-get)
- [def options](#def-options)
- [def head](#def-head)
- [def post](#def-post)
- [def put](#def-put)
- [def patch](#def-patch)
- [def delete](#def-delete)
- [def send](#def-send)
- [def merge_environment_settings](#def-merge_environment_settings)
- [def get_adapter](#def-get_adapter)
- [def close](#def-close)
- [def mount](#def-mount)
- [def session](#def-session)
</details>

<details><summary><h3><strong>class SessionRedirectMixin</strong></h3></summary>

Receives a Response. Returns a redirect URI or ``None``

<details><summary><h4><strong>def get_redirect_target</strong></h4></summary>

Receives a Response. Returns a redirect URI or ``None``

</details>

<details><summary><h4><strong>def should_strip_auth</strong></h4></summary>

Decide whether Authorization header should be removed when redirecting

</details>

<details><summary><h4><strong>def resolve_redirects</strong></h4></summary>

Receives a Response. Returns a generator of Responses or Requests.

</details>

<details><summary><h4><strong>def rebuild_auth</strong></h4></summary>

When being redirected we may want to strip authentication from the
        request to avoid leaking credentials. This method intelligently removes
        and reapplies authentication where possible to avoid credential loss.

</details>

<details><summary><h4><strong>def rebuild_proxies</strong></h4></summary>

This method re-evaluates the proxy configuration by considering the
        environment variables. If we are redirected to a URL covered by
        NO_PROXY, we strip the proxy configuration. Otherwise, we set missing
        proxy keys for this URL (in case they were stripped by a previous
        redirect).

        This method also replaces the Proxy-Authorization header where
        necessary.

        :rtype: dict

</details>

<details><summary><h4><strong>def rebuild_method</strong></h4></summary>

When being redirected we may want to change the method of the request
        based on certain specs or browser behavior.

</details>

</details>

<details><summary><h3><strong>class Session</strong></h3></summary>

A Requests session.

    Provides cookie persistence, connection-pooling, and configuration.

    Basic Usage::

      >>> import requests
      >>> s = requests.Session()
      >>> s.get('https://httpbin.org/get')
      <Response [200]>

    Or as a context manager::

      >>> with requests.Session() as s:
      ...     s.get('https://httpbin.org/get')
      <Response [200]>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h4><strong>def prepare_request</strong></h4></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h4><strong>def request</strong></h4></summary>

Constructs a :class:`Request <Request>`, prepares it and sends it.
        Returns :class:`Response <Response>` object.

        :param method: method for the new :class:`Request` object.
        :param url: URL for the new :class:`Request` object.
        :param params: (optional) Dictionary or bytes to be sent in the query
            string for the :class:`Request`.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param json: (optional) json to send in the body of the
            :class:`Request`.
        :param headers: (optional) Dictionary of HTTP Headers to send with the
            :class:`Request`.
        :param cookies: (optional) Dict or CookieJar object to send with the
            :class:`Request`.
        :param files: (optional) Dictionary of ``'filename': file-like-objects``
            for multipart encoding upload.
        :param auth: (optional) Auth tuple or callable to enable
            Basic/Digest/Custom HTTP Auth.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple
        :param allow_redirects: (optional) Set to True by default.
        :type allow_redirects: bool
        :param proxies: (optional) Dictionary mapping protocol or protocol and
            hostname to the URL of the proxy.
        :param hooks: (optional) Dictionary mapping hook name to one event or
            list of events, event must be callable.
        :param stream: (optional) whether to immediately download the response
            content. Defaults to ``False``.
        :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use. Defaults to ``True``. When set to
            ``False``, requests will accept any TLS certificate presented by
            the server, and will ignore hostname mismatches and/or expired
            certificates, which will make your application vulnerable to
            man-in-the-middle (MitM) attacks. Setting verify to ``False``
            may be useful during local development or testing.
        :param cert: (optional) if String, path to ssl client cert file (.pem).
            If Tuple, ('cert', 'key') pair.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Sends a GET request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def options</strong></h4></summary>

Sends a OPTIONS request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def head</strong></h4></summary>

Sends a HEAD request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def post</strong></h4></summary>

Sends a POST request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param json: (optional) json to send in the body of the :class:`Request`.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def put</strong></h4></summary>

Sends a PUT request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def patch</strong></h4></summary>

Sends a PATCH request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def delete</strong></h4></summary>

Sends a DELETE request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Send a given PreparedRequest.

        :rtype: requests.Response

</details>

<details><summary><h4><strong>def merge_environment_settings</strong></h4></summary>

Check the environment and merge it with some settings.

        :rtype: dict

</details>

<details><summary><h4><strong>def get_adapter</strong></h4></summary>

Returns the appropriate connection adapter for the given URL.

        :rtype: requests.adapters.BaseAdapter

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Closes all adapters and as such the session

</details>

<details><summary><h4><strong>def mount</strong></h4></summary>

Registers a connection adapter to a prefix.

        Adapters are sorted in descending order by prefix length.

</details>

</details>

<details><summary><h3><strong>def merge_setting(request_setting, session_setting, dict_class=OrderedDict)</strong></h3></summary>

Determines appropriate setting for a given request, taking into account
    the explicit setting on that request, and the setting in the session. If a
    setting is a dictionary, they will be merged together using `dict_class`

</details>

<details><summary><h3><strong>def merge_hooks(request_hooks, session_hooks, dict_class=OrderedDict)</strong></h3></summary>

Properly merges both requests and session hooks.

    This is necessary because when request_hooks == {'response': []}, the
    merge breaks Session hooks entirely.

</details>

<details><summary><h3><strong>def get_redirect_target(self, resp)</strong></h3></summary>

Receives a Response. Returns a redirect URI or ``None``

</details>

<details><summary><h3><strong>def should_strip_auth(self, old_url, new_url)</strong></h3></summary>

Decide whether Authorization header should be removed when redirecting

</details>

<details><summary><h3><strong>def rebuild_auth(self, prepared_request, response)</strong></h3></summary>

Receives a Response. Returns a generator of Responses or Requests.

</details>

<details><summary><h3><strong>def rebuild_auth(self, prepared_request, response)</strong></h3></summary>

When being redirected we may want to strip authentication from the
        request to avoid leaking credentials. This method intelligently removes
        and reapplies authentication where possible to avoid credential loss.

</details>

<details><summary><h3><strong>def rebuild_proxies(self, prepared_request, proxies)</strong></h3></summary>

This method re-evaluates the proxy configuration by considering the
        environment variables. If we are redirected to a URL covered by
        NO_PROXY, we strip the proxy configuration. Otherwise, we set missing
        proxy keys for this URL (in case they were stripped by a previous
        redirect).

        This method also replaces the Proxy-Authorization header where
        necessary.

        :rtype: dict

</details>

<details><summary><h3><strong>def rebuild_method(self, prepared_request, response)</strong></h3></summary>

When being redirected we may want to change the method of the request
        based on certain specs or browser behavior.

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h3><strong>def __exit__(self, *args)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h3><strong>def prepare_request(self, request)</strong></h3></summary>

Constructs a :class:`PreparedRequest <PreparedRequest>` for
        transmission and returns it. The :class:`PreparedRequest` has settings
        merged from the :class:`Request <Request>` instance and those of the
        :class:`Session`.

        :param request: :class:`Request` instance to prepare with this
            session's settings.
        :rtype: requests.PreparedRequest

</details>

<details><summary><h3><strong>def get(self, url, **kwargs)</strong></h3></summary>

Constructs a :class:`Request <Request>`, prepares it and sends it.
        Returns :class:`Response <Response>` object.

        :param method: method for the new :class:`Request` object.
        :param url: URL for the new :class:`Request` object.
        :param params: (optional) Dictionary or bytes to be sent in the query
            string for the :class:`Request`.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param json: (optional) json to send in the body of the
            :class:`Request`.
        :param headers: (optional) Dictionary of HTTP Headers to send with the
            :class:`Request`.
        :param cookies: (optional) Dict or CookieJar object to send with the
            :class:`Request`.
        :param files: (optional) Dictionary of ``'filename': file-like-objects``
            for multipart encoding upload.
        :param auth: (optional) Auth tuple or callable to enable
            Basic/Digest/Custom HTTP Auth.
        :param timeout: (optional) How long to wait for the server to send
            data before giving up, as a float, or a :ref:`(connect timeout,
            read timeout) <timeouts>` tuple.
        :type timeout: float or tuple
        :param allow_redirects: (optional) Set to True by default.
        :type allow_redirects: bool
        :param proxies: (optional) Dictionary mapping protocol or protocol and
            hostname to the URL of the proxy.
        :param hooks: (optional) Dictionary mapping hook name to one event or
            list of events, event must be callable.
        :param stream: (optional) whether to immediately download the response
            content. Defaults to ``False``.
        :param verify: (optional) Either a boolean, in which case it controls whether we verify
            the server's TLS certificate, or a string, in which case it must be a path
            to a CA bundle to use. Defaults to ``True``. When set to
            ``False``, requests will accept any TLS certificate presented by
            the server, and will ignore hostname mismatches and/or expired
            certificates, which will make your application vulnerable to
            man-in-the-middle (MitM) attacks. Setting verify to ``False``
            may be useful during local development or testing.
        :param cert: (optional) if String, path to ssl client cert file (.pem).
            If Tuple, ('cert', 'key') pair.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def get(self, url, **kwargs)</strong></h3></summary>

Sends a GET request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def options(self, url, **kwargs)</strong></h3></summary>

Sends a OPTIONS request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def head(self, url, **kwargs)</strong></h3></summary>

Sends a HEAD request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def post(self, url, data=None, json=None, **kwargs)</strong></h3></summary>

Sends a POST request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param json: (optional) json to send in the body of the :class:`Request`.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def put(self, url, data=None, **kwargs)</strong></h3></summary>

Sends a PUT request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def patch(self, url, data=None, **kwargs)</strong></h3></summary>

Sends a PATCH request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param data: (optional) Dictionary, list of tuples, bytes, or file-like
            object to send in the body of the :class:`Request`.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def delete(self, url, **kwargs)</strong></h3></summary>

Sends a DELETE request. Returns :class:`Response` object.

        :param url: URL for the new :class:`Request` object.
        :param \*\*kwargs: Optional arguments that ``request`` takes.
        :rtype: requests.Response

</details>

<details><summary><h3><strong>def send(self, request, **kwargs)</strong></h3></summary>

Send a given PreparedRequest.

        :rtype: requests.Response

</details>

<details><summary><h3><strong>def merge_environment_settings(self, url, proxies, stream, verify, cert)</strong></h3></summary>

Check the environment and merge it with some settings.

        :rtype: dict

</details>

<details><summary><h3><strong>def get_adapter(self, url)</strong></h3></summary>

Returns the appropriate connection adapter for the given URL.

        :rtype: requests.adapters.BaseAdapter

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Closes all adapters and as such the session

</details>

<details><summary><h3><strong>def mount(self, prefix, adapter)</strong></h3></summary>

Registers a connection adapter to a prefix.

        Adapters are sorted in descending order by prefix length.

</details>

<details><summary><h3><strong>def session()</strong></h3></summary>

Returns a :class:`Session` for context-management.

    .. deprecated:: 1.0.0

        This method has been deprecated since version 1.0.0 and is only kept for
        backwards compatibility. New code should use :class:`~requests.sessions.Session`
        to create a session. This may be removed at a future date.

    :rtype: Session

</details>

</details>


<details><summary><h2><strong> status_codes.py</strong></h2></summary>

</details>


<details><summary><h2><strong> structures.py</strong></h2></summary>

requests.structures
~~~~~~~~~~~~~~~~~~~

Data structures that power Requests.

<details open><summary><h3>Contents</h3></summary>

- [class CaseInsensitiveDict](#class-caseinsensitivedict)
- [class LookupDict](#class-lookupdict)
- [def __init__](#def-__init__)
- [def __setitem__](#def-__setitem__)
- [def __getitem__](#def-__getitem__)
- [def __delitem__](#def-__delitem__)
- [def __iter__](#def-__iter__)
- [def __len__](#def-__len__)
- [def lower_items](#def-lower_items)
</details>

<details><summary><h3><strong>class CaseInsensitiveDict</strong></h3></summary>

A case-insensitive ``dict``-like object.

    Implements all methods and operations of
    ``MutableMapping`` as well as dict's ``copy``. Also
    provides ``lower_items``.

    All keys are expected to be strings. The structure remembers the
    case of the last key to be set, and ``iter(instance)``,
    ``keys()``, ``items()``, ``iterkeys()``, and ``iteritems()``
    will contain case-sensitive keys. However, querying and contains
    testing is case insensitive::

        cid = CaseInsensitiveDict()
        cid['Accept'] = 'application/json'
        cid['aCCEPT'] == 'application/json'  # True
        list(cid) == ['Accept']  # True

    For example, ``headers['content-encoding']`` will return the
    value of a ``'Content-Encoding'`` response header, regardless
    of how the header name was originally stored.

    If the constructor, ``.update``, or equality comparison
    operations are given keys that have equal ``.lower()``s, the
    behavior is undefined.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h4><strong>def lower_items</strong></h4></summary>

Like iteritems(), but with all lowercase keys.

</details>

</details>

<details><summary><h3><strong>class LookupDict</strong></h3></summary>

Dictionary lookup object.

</details>

<details><summary><h3><strong>def __init__(self, data=None, **kwargs)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h3><strong>def __setitem__(self, key, value)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h3><strong>def __getitem__(self, key)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h3><strong>def __delitem__(self, key)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

<details><summary><h3><strong>def lower_items(self)</strong></h3></summary>

Like iteritems(), but with all lowercase keys.

</details>

</details>


<details><summary><h2><strong> utils.py</strong></h2></summary>

requests.utils
~~~~~~~~~~~~~~

This module provides utility functions that are used within Requests
that are also useful for external consumption.

<details open><summary><h3>Contents</h3></summary>

- [def proxy_bypass_registry](#def-proxy_bypass_registry)
- [def proxy_bypass](#def-proxy_bypass)
- [def dict_to_sequence](#def-dict_to_sequence)
- [def get_netrc_auth](#def-get_netrc_auth)
- [def guess_filename](#def-guess_filename)
- [def extract_zipped_paths](#def-extract_zipped_paths)
- [def atomic_open](#def-atomic_open)
- [def from_key_val_list](#def-from_key_val_list)
- [def to_key_val_list](#def-to_key_val_list)
- [def parse_list_header](#def-parse_list_header)
- [def parse_dict_header](#def-parse_dict_header)
- [def unquote_header_value](#def-unquote_header_value)
- [def dict_from_cookiejar](#def-dict_from_cookiejar)
- [def add_dict_to_cookiejar](#def-add_dict_to_cookiejar)
- [def get_encodings_from_content](#def-get_encodings_from_content)
- [def _parse_content_type_header](#def-_parse_content_type_header)
- [def get_encoding_from_headers](#def-get_encoding_from_headers)
- [def stream_decode_response_unicode](#def-stream_decode_response_unicode)
- [def iter_slices](#def-iter_slices)
- [def get_unicode_from_response](#def-get_unicode_from_response)
- [def unquote_unreserved](#def-unquote_unreserved)
- [def requote_uri](#def-requote_uri)
- [def address_in_network](#def-address_in_network)
- [def dotted_netmask](#def-dotted_netmask)
- [def is_ipv4_address](#def-is_ipv4_address)
- [def is_valid_cidr](#def-is_valid_cidr)
- [def set_environ](#def-set_environ)
- [def should_bypass_proxies](#def-should_bypass_proxies)
- [def get_environ_proxies](#def-get_environ_proxies)
- [def select_proxy](#def-select_proxy)
- [def resolve_proxies](#def-resolve_proxies)
- [def default_user_agent](#def-default_user_agent)
- [def default_headers](#def-default_headers)
- [def parse_header_links](#def-parse_header_links)
- [def guess_json_utf](#def-guess_json_utf)
- [def prepend_scheme_if_needed](#def-prepend_scheme_if_needed)
- [def get_auth_from_url](#def-get_auth_from_url)
- [def check_header_validity](#def-check_header_validity)
- [def urldefragauth](#def-urldefragauth)
- [def rewind_body](#def-rewind_body)
</details>

<details><summary><h3><strong>def proxy_bypass_registry(host)</strong></h3></summary>

Return True, if the host should be bypassed.

        Checks proxy settings gathered from the environment, if specified,
        or the registry.

</details>

<details><summary><h3><strong>def proxy_bypass(host)</strong></h3></summary>

Return True, if the host should be bypassed.

        Checks proxy settings gathered from the environment, if specified,
        or the registry.

</details>

<details><summary><h3><strong>def dict_to_sequence(d)</strong></h3></summary>

Returns an internal sequence dictionary update.

</details>

<details><summary><h3><strong>def get_netrc_auth(url, raise_errors=False)</strong></h3></summary>

Returns the Requests tuple auth for a given url from netrc.

</details>

<details><summary><h3><strong>def guess_filename(obj)</strong></h3></summary>

Tries to guess the filename of the given object.

</details>

<details><summary><h3><strong>def extract_zipped_paths(path)</strong></h3></summary>

Replace nonexistent paths that look like they refer to a member of a zip
    archive with the location of an extracted copy of the target, or else
    just return the provided path unchanged.

</details>

<details><summary><h3><strong>def atomic_open(filename)</strong></h3></summary>

Write a file to the disk in an atomic fashion

</details>

<details><summary><h3><strong>def from_key_val_list(value)</strong></h3></summary>

Take an object and test to see if it can be represented as a
    dictionary. Unless it can not be represented as such, return an
    OrderedDict, e.g.,

    ::

        >>> from_key_val_list([('key', 'val')])
        OrderedDict([('key', 'val')])
        >>> from_key_val_list('string')
        Traceback (most recent call last):
        ...
        ValueError: cannot encode objects that are not 2-tuples
        >>> from_key_val_list({'key': 'val'})
        OrderedDict([('key', 'val')])

    :rtype: OrderedDict

</details>

<details><summary><h3><strong>def to_key_val_list(value)</strong></h3></summary>

Take an object and test to see if it can be represented as a
    dictionary. If it can be, return a list of tuples, e.g.,

    ::

        >>> to_key_val_list([('key', 'val')])
        [('key', 'val')]
        >>> to_key_val_list({'key': 'val'})
        [('key', 'val')]
        >>> to_key_val_list('string')
        Traceback (most recent call last):
        ...
        ValueError: cannot encode objects that are not 2-tuples

    :rtype: list

</details>

<details><summary><h3><strong>def parse_list_header(value)</strong></h3></summary>

Parse lists as described by RFC 2068 Section 2.

    In particular, parse comma-separated lists where the elements of
    the list may include quoted-strings.  A quoted-string could
    contain a comma.  A non-quoted string could have quotes in the
    middle.  Quotes are removed automatically after parsing.

    It basically works like :func:`parse_set_header` just that items
    may appear multiple times and case sensitivity is preserved.

    The return value is a standard :class:`list`:

    >>> parse_list_header('token, "quoted value"')
    ['token', 'quoted value']

    To create a header from the :class:`list` again, use the
    :func:`dump_header` function.

    :param value: a string with a list header.
    :return: :class:`list`
    :rtype: list

</details>

<details><summary><h3><strong>def parse_dict_header(value)</strong></h3></summary>

Parse lists of key, value pairs as described by RFC 2068 Section 2 and
    convert them into a python dict:

    >>> d = parse_dict_header('foo="is a fish", bar="as well"')
    >>> type(d) is dict
    True
    >>> sorted(d.items())
    [('bar', 'as well'), ('foo', 'is a fish')]

    If there is no value for a key it will be `None`:

    >>> parse_dict_header('key_without_value')
    {'key_without_value': None}

    To create a header from the :class:`dict` again, use the
    :func:`dump_header` function.

    :param value: a string with a dict header.
    :return: :class:`dict`
    :rtype: dict

</details>

<details><summary><h3><strong>def unquote_header_value(value, is_filename=False)</strong></h3></summary>

Unquotes a header value.  (Reversal of :func:`quote_header_value`).
    This does not use the real unquoting but what browsers are actually
    using for quoting.

    :param value: the header value to unquote.
    :rtype: str

</details>

<details><summary><h3><strong>def dict_from_cookiejar(cj)</strong></h3></summary>

Returns a key/value dictionary from a CookieJar.

    :param cj: CookieJar object to extract cookies from.
    :rtype: dict

</details>

<details><summary><h3><strong>def add_dict_to_cookiejar(cj, cookie_dict)</strong></h3></summary>

Returns a CookieJar from a key/value dictionary.

    :param cj: CookieJar to insert cookies into.
    :param cookie_dict: Dict of key/values to insert into CookieJar.
    :rtype: CookieJar

</details>

<details><summary><h3><strong>def get_encodings_from_content(content)</strong></h3></summary>

Returns encodings from given content string.

    :param content: bytestring to extract encodings from.

</details>

<details><summary><h3><strong>def _parse_content_type_header(header)</strong></h3></summary>

Returns content type and parameters from given header

    :param header: string
    :return: tuple containing content type and dictionary of
         parameters

</details>

<details><summary><h3><strong>def get_encoding_from_headers(headers)</strong></h3></summary>

Returns encodings from given HTTP Header Dict.

    :param headers: dictionary to extract encoding from.
    :rtype: str

</details>

<details><summary><h3><strong>def stream_decode_response_unicode(iterator, r)</strong></h3></summary>

Stream decodes an iterator.

</details>

<details><summary><h3><strong>def iter_slices(string, slice_length)</strong></h3></summary>

Iterate over slices of a string.

</details>

<details><summary><h3><strong>def get_unicode_from_response(r)</strong></h3></summary>

Returns the requested content back in unicode.

    :param r: Response object to get unicode content from.

    Tried:

    1. charset from content-type
    2. fall back and replace all unicode characters

    :rtype: str

</details>

<details><summary><h3><strong>def unquote_unreserved(uri)</strong></h3></summary>

Un-escape any percent-escape sequences in a URI that are unreserved
    characters. This leaves all reserved, illegal and non-ASCII bytes encoded.

    :rtype: str

</details>

<details><summary><h3><strong>def requote_uri(uri)</strong></h3></summary>

Re-quote the given URI.

    This function passes the given URI through an unquote/quote cycle to
    ensure that it is fully and consistently quoted.

    :rtype: str

</details>

<details><summary><h3><strong>def address_in_network(ip, net)</strong></h3></summary>

This function allows you to check if an IP belongs to a network subnet

    Example: returns True if ip = 192.168.1.1 and net = 192.168.1.0/24
             returns False if ip = 192.168.1.1 and net = 192.168.100.0/24

    :rtype: bool

</details>

<details><summary><h3><strong>def dotted_netmask(mask)</strong></h3></summary>

Converts mask from /xx format to xxx.xxx.xxx.xxx

    Example: if mask is 24 function returns 255.255.255.0

    :rtype: str

</details>

<details><summary><h3><strong>def is_ipv4_address(string_ip)</strong></h3></summary>

:rtype: bool

</details>

<details><summary><h3><strong>def is_valid_cidr(string_network)</strong></h3></summary>

Very simple check of the cidr format in no_proxy variable.

    :rtype: bool

</details>

<details><summary><h3><strong>def set_environ(env_name, value)</strong></h3></summary>

Set the environment variable 'env_name' to 'value'

    Save previous value, yield, and then restore the previous value stored in
    the environment variable 'env_name'.

    If 'value' is None, do nothing

</details>

<details><summary><h3><strong>def should_bypass_proxies(url, no_proxy)</strong></h3></summary>

Returns whether we should bypass proxies or not.

    :rtype: bool

</details>

<details><summary><h3><strong>def get_environ_proxies(url, no_proxy=None)</strong></h3></summary>

Return a dict of environment proxies.

    :rtype: dict

</details>

<details><summary><h3><strong>def select_proxy(url, proxies)</strong></h3></summary>

Select a proxy for the url, if applicable.

    :param url: The url being for the request
    :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs

</details>

<details><summary><h3><strong>def resolve_proxies(request, proxies, trust_env=True)</strong></h3></summary>

This method takes proxy information from a request and configuration
    input to resolve a mapping of target proxies. This will consider settings
    such as NO_PROXY to strip proxy configurations.

    :param request: Request or PreparedRequest
    :param proxies: A dictionary of schemes or schemes and hosts to proxy URLs
    :param trust_env: Boolean declaring whether to trust environment configs

    :rtype: dict

</details>

<details><summary><h3><strong>def default_user_agent(name="python-requests")</strong></h3></summary>

Return a string representing the default user agent.

    :rtype: str

</details>

<details><summary><h3><strong>def default_headers()</strong></h3></summary>

:rtype: requests.structures.CaseInsensitiveDict

</details>

<details><summary><h3><strong>def parse_header_links(value)</strong></h3></summary>

Return a list of parsed link headers proxies.

    i.e. Link: <http:/.../front.jpeg>; rel=front; type="image/jpeg",<http://.../back.jpeg>; rel=back;type="image/jpeg"

    :rtype: list

</details>

<details><summary><h3><strong>def guess_json_utf(data)</strong></h3></summary>

:rtype: str

</details>

<details><summary><h3><strong>def prepend_scheme_if_needed(url, new_scheme)</strong></h3></summary>

Given a URL that may or may not have a scheme, prepend the given scheme.
    Does not replace a present scheme with the one provided as an argument.

    :rtype: str

</details>

<details><summary><h3><strong>def get_auth_from_url(url)</strong></h3></summary>

Given a url with authentication components, extract them into a tuple of
    username,password.

    :rtype: (str,str)

</details>

<details><summary><h3><strong>def check_header_validity(header)</strong></h3></summary>

Verifies that header parts don't contain leading whitespace
    reserved characters, or return characters.

    :param header: tuple, in the format (name, value).

</details>

<details><summary><h3><strong>def urldefragauth(url)</strong></h3></summary>

Given a url remove the fragment and the authentication part.

    :rtype: str

</details>

<details><summary><h3><strong>def rewind_body(prepared_request)</strong></h3></summary>

Move file pointer back to its recorded starting position
    so it can be read again on redirect.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Rich text and beautiful formatting in the terminal.

<details open><summary><h3>Contents</h3></summary>

- [def get_console](#def-get_console)
- [def reconfigure](#def-reconfigure)
</details>

<details><summary><h3><strong>def get_console()</strong></h3></summary>

Get a global :class:`~rich.console.Console` instance. This function is used when Rich requires a Console,
    and hasn't been explicitly given one.

<details><summary><h4>Returns</h4></summary>

Console: A console instance.
</details>

</details>

<details><summary><h3><strong>def reconfigure(*args: Any, **kwargs: Any)</strong></h3></summary>

Reconfigures the global console by replacing it with another.

<details><summary><h4>Arguments</h4></summary>

- `replacement`: c
- `lass`: `~rich.console.Console`.
</details>

</details>

</details>


<details><summary><h2><strong> __main__.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def make_test_card](#def-make_test_card)
- [def iter_last](#def-iter_last)
</details>

<details><summary><h3><strong>def make_test_card()</strong></h3></summary>

Get a renderable that demonstrates a number of features.

</details>

<details><summary><h3><strong>def iter_last(values: Iterable[T])</strong></h3></summary>

Iterate and generate a tuple with a flag for last value.

</details>

</details>


<details><summary><h2><strong> _cell_widths.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _emoji_codes.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _emoji_replace.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _export_format.py</strong></h2></summary>

CONSOLE_SVG_FORMAT =

</details>


<details><summary><h2><strong> _extension.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _fileno.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def get_fileno](#def-get_fileno)
</details>

<details><summary><h3><strong>def get_fileno(file_like: IO[str])</strong></h3></summary>

Get fileno() from a file, accounting for poorly implemented file-like objects.

<details><summary><h4>Returns</h4></summary>

int | None: The result of fileno if available, or None if operation failed.
</details>

</details>

</details>


<details><summary><h2><strong> _inspect.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Inspect](#class-inspect)
- [def _first_paragraph](#def-_first_paragraph)
- [def __init__](#def-__init__)
- [def _make_title](#def-_make_title)
- [def __rich__](#def-__rich__)
- [def _get_signature](#def-_get_signature)
- [def _render](#def-_render)
- [def sort_items](#def-sort_items)
- [def safe_getattr](#def-safe_getattr)
- [def _get_formatted_doc](#def-_get_formatted_doc)
- [def get_object_types_mro](#def-get_object_types_mro)
- [def get_object_types_mro_as_strings](#def-get_object_types_mro_as_strings)
</details>

<details><summary><h3><strong>class Inspect</strong></h3></summary>

A renderable to inspect any Python Object.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Make a default title.

</details>

<details><summary><h4><strong>def _make_title</strong></h4></summary>

Make a default title.

</details>

<details><summary><h4><strong>def __rich__</strong></h4></summary>

Get a signature for a callable.

</details>

<details><summary><h4><strong>def _get_signature</strong></h4></summary>

Get a signature for a callable.

</details>

<details><summary><h4><strong>def _render</strong></h4></summary>

Render object.

</details>

<details><summary><h4><strong>def sort_items</strong></h4></summary>

Get attribute or any exception.

</details>

<details><summary><h4><strong>def safe_getattr</strong></h4></summary>

Get attribute or any exception.

</details>

<details><summary><h4><strong>def _get_formatted_doc</strong></h4></summary>

Extract the docstring of an object, process it and returns it.
        The processing consists in cleaning up the doctring's indentation,
        taking only its 1st paragraph if `self.help` is not True,
        and escape its control codes.

<details><summary><h5>Returns</h5></summary>

Optional[str]: the processed docstring, or None if no docstring was found.
</details>

</details>

</details>

<details><summary><h3><strong>def _first_paragraph(doc: str)</strong></h3></summary>

Get the first paragraph from a docstring.

</details>

<details><summary><h3><strong>def _make_title(self, obj: Any)</strong></h3></summary>

Make a default title.

</details>

<details><summary><h3><strong>def _make_title(self, obj: Any)</strong></h3></summary>

Make a default title.

</details>

<details><summary><h3><strong>def __rich__(self)</strong></h3></summary>

Get a signature for a callable.

</details>

<details><summary><h3><strong>def _get_signature(self, name: str, obj: Any)</strong></h3></summary>

Get a signature for a callable.

</details>

<details><summary><h3><strong>def _render(self)</strong></h3></summary>

Render object.

</details>

<details><summary><h3><strong>def sort_items(item: Tuple[str, Any])</strong></h3></summary>

Get attribute or any exception.

</details>

<details><summary><h3><strong>def safe_getattr(attr_name: str)</strong></h3></summary>

Get attribute or any exception.

</details>

<details><summary><h3><strong>def _get_formatted_doc(self, object_: Any)</strong></h3></summary>

Extract the docstring of an object, process it and returns it.
        The processing consists in cleaning up the doctring's indentation,
        taking only its 1st paragraph if `self.help` is not True,
        and escape its control codes.

<details><summary><h4>Returns</h4></summary>

Optional[str]: the processed docstring, or None if no docstring was found.
</details>

</details>

<details><summary><h3><strong>def get_object_types_mro(obj: Union[object, Type[Any]])</strong></h3></summary>

Returns the MRO of an object's class, or of the object itself if it's a class.

</details>

<details><summary><h3><strong>def get_object_types_mro_as_strings(obj: object)</strong></h3></summary>

Returns the MRO of an object's class as full qualified names, or of the object itself if it's a class.

<p><strong>Usage example</strong></p>

<pre><code>
`object_types_mro_as_strings(JSONDecoder)` will return `['json.decoder.JSONDecoder', 'builtins.object']`
</code></pre>
</details>

</details>


<details><summary><h2><strong> _log_render.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _loop.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def loop_first](#def-loop_first)
- [def loop_last](#def-loop_last)
- [def loop_first_last](#def-loop_first_last)
</details>

<details><summary><h3><strong>def loop_first(values: Iterable[T])</strong></h3></summary>

Iterate and generate a tuple with a flag for first value.

</details>

<details><summary><h3><strong>def loop_last(values: Iterable[T])</strong></h3></summary>

Iterate and generate a tuple with a flag for last value.

</details>

<details><summary><h3><strong>def loop_first_last(values: Iterable[T])</strong></h3></summary>

Iterate and generate a tuple with a flag for first and last value.

</details>

</details>


<details><summary><h2><strong> _null_file.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _palettes.py</strong></h2></summary>

</details>


<details><summary><h2><strong> _pick.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def pick_bool](#def-pick_bool)
</details>

<details><summary><h3><strong>def pick_bool(*values: Optional[bool])</strong></h3></summary>

Pick the first non-none bool or return the last value.

<details><summary><h4>Returns</h4></summary>

bool: First non-none boolean.
</details>

</details>

</details>


<details><summary><h2><strong> _ratio.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Edge](#class-edge)
- [def ratio_resolve](#def-ratio_resolve)
</details>

<details><summary><h3><strong>class Edge</strong></h3></summary>

Any object that defines an edge (such as Layout).

</details>

<details><summary><h3><strong>def ratio_resolve(total: int, edges: Sequence[Edge])</strong></h3></summary>

Divide total space to satisfy size, ratio, and minimum_size, constraints.

    The returned list of integers should add up to total in most cases, unless it is
    impossible to satisfy all the constraints. For instance, if there are two edges
    with a minimum size of 20 each and `total` is 30 then the returned list will be
    greater than total. In practice, this would mean that a Layout object would
    clip the rows that would overflow the screen height.

<details><summary><h4>Returns</h4></summary>

List[int]: Number of characters for each edge.
</details>

</details>

</details>


<details><summary><h2><strong> _spinners.py</strong></h2></summary>

Spinners are from:
* cli-spinners:
    MIT License
    Copyright (c) Sindre Sorhus <sindresorhus@gmail.com> (sindresorhus.com)
    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights to
    use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
    the Software, and to permit persons to whom the Software is furnished to do so,
    subject to the following conditions:
    The above copyright notice and this permission notice shall be included
    in all copies or substantial portions of the Software.
    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
    INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
    PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
    FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
    ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
    IN THE SOFTWARE.

</details>


<details><summary><h2><strong> _stack.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Stack](#class-stack)
- [def top](#def-top)
- [def push](#def-push)
</details>

<details><summary><h3><strong>class Stack</strong></h3></summary>

A small shim over builtin list.

<details><summary><h4><strong>def top</strong></h4></summary>

Get top of stack.

</details>

<details><summary><h4><strong>def push</strong></h4></summary>

Push an item on to the stack (append in stack nomenclature).

</details>

</details>

<details><summary><h3><strong>def top(self)</strong></h3></summary>

Get top of stack.

</details>

<details><summary><h3><strong>def push(self, item: T)</strong></h3></summary>

Push an item on to the stack (append in stack nomenclature).

</details>

</details>


<details><summary><h2><strong> _timer.py</strong></h2></summary>

Timer context manager, only used in debug.

<details open><summary><h3>Contents</h3></summary>

- [def timer](#def-timer)
</details>

<details><summary><h3><strong>def timer(subject: str = "time")</strong></h3></summary>

print the elapsed time. (only used in debugging)

</details>

</details>


<details><summary><h2><strong> _win32_console.py</strong></h2></summary>

Light wrapper around the Win32 Console API - this module should only be imported on Windows

The API that this module wraps is documented at https://docs.microsoft.com/en-us/windows/console/console-functions

<p><strong>Key features</strong></p>

<ul>
<li>this module should only be imported on Windows</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class WindowsCoordinates](#class-windowscoordinates)
- [class is](#class-is)
- [class LegacyWindowsTerm](#class-legacywindowsterm)
- [class allows](#class-allows)
- [def from_param](#def-from_param)
- [def GetStdHandle](#def-getstdhandle)
- [def GetConsoleMode](#def-getconsolemode)
- [def SetConsoleTitle](#def-setconsoletitle)
- [def __init__](#def-__init__)
- [def cursor_position](#def-cursor_position)
- [def screen_size](#def-screen_size)
- [def write_text](#def-write_text)
- [def write_styled](#def-write_styled)
- [def move_cursor_to](#def-move_cursor_to)
- [def erase_line](#def-erase_line)
- [def erase_end_of_line](#def-erase_end_of_line)
- [def erase_start_of_line](#def-erase_start_of_line)
- [def move_cursor_up](#def-move_cursor_up)
- [def move_cursor_down](#def-move_cursor_down)
- [def move_cursor_forward](#def-move_cursor_forward)
- [def move_cursor_to_column](#def-move_cursor_to_column)
- [def move_cursor_backward](#def-move_cursor_backward)
- [def hide_cursor](#def-hide_cursor)
- [def show_cursor](#def-show_cursor)
- [def set_title](#def-set_title)
- [def _get_cursor_size](#def-_get_cursor_size)
</details>

<details><summary><h3><strong>class WindowsCoordinates</strong></h3></summary>

Coordinates in the Windows Console API are (y, x), not (x, y).
    This class is intended to prevent that confusion.
    Rows and columns are indexed from 0.
    This class can be used in place of wintypes._COORD in arguments and argtypes.

<details><summary><h4><strong>def from_param</strong></h4></summary>

Converts a WindowsCoordinates into a wintypes _COORD structure.
        This classmethod is internally called by ctypes to perform the conversion.

<details><summary><h5>Returns</h5></summary>

wintypes._COORD: The converted coordinates struct.
</details>

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

row: int
    col: int

    @classmethod
    def from_param(cls, value: "WindowsCoordinates") -> COORD:

<details><summary><h4><strong>def from_param</strong></h4></summary>

Converts a WindowsCoordinates into a wintypes _COORD structure.
        This classmethod is internally called by ctypes to perform the conversion.

<details><summary><h5>Returns</h5></summary>

wintypes._COORD: The converted coordinates struct.
</details>

</details>

</details>

<details><summary><h3><strong>class LegacyWindowsTerm</strong></h3></summary>

This class allows interaction with the legacy Windows Console API. It should only be used in the context
    of environments where virtual terminal processing is not available. However, if it is used in a Windows environment,
    the entire API should work.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Returns the current position of the cursor (0-based)

<details><summary><h5>Returns</h5></summary>

WindowsCoordinates: The current cursor position.
</details>

</details>

<details><summary><h4><strong>def cursor_position</strong></h4></summary>

Returns the current position of the cursor (0-based)

<details><summary><h5>Returns</h5></summary>

WindowsCoordinates: The current cursor position.
</details>

</details>

<details><summary><h4><strong>def screen_size</strong></h4></summary>

Returns the current size of the console screen buffer, in character columns and rows

<details><summary><h5>Returns</h5></summary>

WindowsCoordinates: The width and height of the screen as WindowsCoordinates.
</details>

</details>

<details><summary><h4><strong>def write_text</strong></h4></summary>

Write text directly to the terminal without any modification of styles

</details>

<details><summary><h4><strong>def write_styled</strong></h4></summary>

Write styled text to the terminal.

</details>

<details><summary><h4><strong>def move_cursor_to</strong></h4></summary>

Set the position of the cursor

</details>

<details><summary><h4><strong>def erase_line</strong></h4></summary>

Erase all content on the line the cursor is currently located at

</details>

<details><summary><h4><strong>def erase_end_of_line</strong></h4></summary>

Erase all content from the cursor position to the end of that line

</details>

<details><summary><h4><strong>def erase_start_of_line</strong></h4></summary>

Erase all content from the cursor position to the start of that line

</details>

<details><summary><h4><strong>def move_cursor_up</strong></h4></summary>

Move the cursor up a single cell

</details>

<details><summary><h4><strong>def move_cursor_down</strong></h4></summary>

Move the cursor down a single cell

</details>

<details><summary><h4><strong>def move_cursor_forward</strong></h4></summary>

Move the cursor forward a single cell. Wrap to the next line if required.

</details>

<details><summary><h4><strong>def move_cursor_to_column</strong></h4></summary>

Move cursor to the column specified by the zero-based column index, staying on the same row

</details>

<details><summary><h4><strong>def move_cursor_backward</strong></h4></summary>

Move the cursor backward a single cell. Wrap to the previous line if required.

</details>

<details><summary><h4><strong>def hide_cursor</strong></h4></summary>

Hide the cursor

</details>

<details><summary><h4><strong>def show_cursor</strong></h4></summary>

Show the cursor

</details>

<details><summary><h4><strong>def set_title</strong></h4></summary>

Set the title of the terminal window

</details>

<details><summary><h4><strong>def _get_cursor_size</strong></h4></summary>

Get the percentage of the character cell that is filled by the cursor

</details>

</details>

<details><summary><h3><strong>class allows</strong></h3></summary>

BRIGHT_BIT = 8

    # Indices are ANSI color numbers, values are the corresponding Windows Console API color numbers
    ANSI_TO_WINDOWS = [
        0,  # black                      The Windows colours are defined in wincon.h as follows:
        4,  # red                         define FOREGROUND_BLUE            0x0001 -- 0000 0001
        2,  # green                       define FOREGROUND_GREEN           0x0002 -- 0000 0010
        6,  # yellow                      define FOREGROUND_RED             0x0004 -- 0000 0100
        1,  # blue                        define FOREGROUND_INTENSITY       0x0008 -- 0000 1000
        5,  # magenta                     define BACKGROUND_BLUE            0x0010 -- 0001 0000
        3,  # cyan                        define BACKGROUND_GREEN           0x0020 -- 0010 0000
        7,  # white                       define BACKGROUND_RED             0x0040 -- 0100 0000
        8,  # bright black (grey)         define BACKGROUND_INTENSITY       0x0080 -- 1000 0000
        12,  # bright red
        10,  # bright green
        14,  # bright yellow
        9,  # bright blue
        13,  # bright magenta
        11,  # bright cyan
        15,  # bright white
    ]

    def __init__(self, file: "IO[str]") -> None:
        handle = GetStdHandle(STDOUT)
        self._handle = handle
        default_text = GetConsoleScreenBufferInfo(handle).wAttributes
        self._default_text = default_text

        self._default_fore = default_text & 7
        self._default_back = (default_text >> 4) & 7
        self._default_attrs = self._default_fore | (self._default_back << 4)

        self._file = file
        self.write = file.write
        self.flush = file.flush

    @property
    def cursor_position(self) -> WindowsCoordinates:

<p><strong>Key features</strong></p>

<ul>
<li>0000 0001</li>
<li>0000 0010</li>
<li>0000 0100</li>
<li>0000 1000</li>
<li>0001 0000</li>
<li>0010 0000</li>
<li>0100 0000</li>
<li>1000 0000</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Returns the current position of the cursor (0-based)

<details><summary><h5>Returns</h5></summary>

WindowsCoordinates: The current cursor position.
</details>

</details>

<details><summary><h4><strong>def cursor_position</strong></h4></summary>

Returns the current position of the cursor (0-based)

<details><summary><h5>Returns</h5></summary>

WindowsCoordinates: The current cursor position.
</details>

</details>

<details><summary><h4><strong>def screen_size</strong></h4></summary>

Returns the current size of the console screen buffer, in character columns and rows

<details><summary><h5>Returns</h5></summary>

WindowsCoordinates: The width and height of the screen as WindowsCoordinates.
</details>

</details>

<details><summary><h4><strong>def write_text</strong></h4></summary>

Write text directly to the terminal without any modification of styles

</details>

<details><summary><h4><strong>def write_styled</strong></h4></summary>

Write styled text to the terminal.

</details>

<details><summary><h4><strong>def move_cursor_to</strong></h4></summary>

Set the position of the cursor

</details>

<details><summary><h4><strong>def erase_line</strong></h4></summary>

Erase all content on the line the cursor is currently located at

</details>

<details><summary><h4><strong>def erase_end_of_line</strong></h4></summary>

Erase all content from the cursor position to the end of that line

</details>

<details><summary><h4><strong>def erase_start_of_line</strong></h4></summary>

Erase all content from the cursor position to the start of that line

</details>

<details><summary><h4><strong>def move_cursor_up</strong></h4></summary>

Move the cursor up a single cell

</details>

<details><summary><h4><strong>def move_cursor_down</strong></h4></summary>

Move the cursor down a single cell

</details>

<details><summary><h4><strong>def move_cursor_forward</strong></h4></summary>

Move the cursor forward a single cell. Wrap to the next line if required.

</details>

<details><summary><h4><strong>def move_cursor_to_column</strong></h4></summary>

Move cursor to the column specified by the zero-based column index, staying on the same row

</details>

<details><summary><h4><strong>def move_cursor_backward</strong></h4></summary>

Move the cursor backward a single cell. Wrap to the previous line if required.

</details>

<details><summary><h4><strong>def hide_cursor</strong></h4></summary>

Hide the cursor

</details>

<details><summary><h4><strong>def show_cursor</strong></h4></summary>

Show the cursor

</details>

<details><summary><h4><strong>def set_title</strong></h4></summary>

Set the title of the terminal window

</details>

<details><summary><h4><strong>def _get_cursor_size</strong></h4></summary>

Get the percentage of the character cell that is filled by the cursor

</details>

</details>

<details><summary><h3><strong>def from_param(cls, value: "WindowsCoordinates")</strong></h3></summary>

Converts a WindowsCoordinates into a wintypes _COORD structure.
        This classmethod is internally called by ctypes to perform the conversion.

<details><summary><h4>Returns</h4></summary>

wintypes._COORD: The converted coordinates struct.
</details>

</details>

<details><summary><h3><strong>def GetStdHandle(handle: int = STDOUT)</strong></h3></summary>

Retrieves a handle to the specified standard device (standard input, standard output, or standard error).

<details><summary><h4>Returns</h4></summary>

wintypes.HANDLE: The handle
</details>

</details>

<details><summary><h3><strong>def GetConsoleMode(std_handle: wintypes.HANDLE)</strong></h3></summary>

Retrieves the current input mode of a console's input buffer
    or the current output mode of a console screen buffer.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: L
- `egacyWindowsError`: If any error occurs while calling the Windows console API.
</details>

<details><summary><h4>Returns</h4></summary>

int: Value representing the current console mode as documented at
            https://docs.microsoft.com/en-us/windows/console/getconsolemode#parameters
</details>

</details>

<details><summary><h3><strong>def SetConsoleTitle(title: str)</strong></h3></summary>

Sets the title of the current console window

<details><summary><h4>Returns</h4></summary>

bool: True if the function succeeds, otherwise False.
</details>

</details>

<details><summary><h3><strong>def __init__(self, file: "IO[str]")</strong></h3></summary>

Returns the current position of the cursor (0-based)

<details><summary><h4>Returns</h4></summary>

WindowsCoordinates: The current cursor position.
</details>

</details>

<details><summary><h3><strong>def cursor_position(self)</strong></h3></summary>

Returns the current position of the cursor (0-based)

<details><summary><h4>Returns</h4></summary>

WindowsCoordinates: The current cursor position.
</details>

</details>

<details><summary><h3><strong>def screen_size(self)</strong></h3></summary>

Returns the current size of the console screen buffer, in character columns and rows

<details><summary><h4>Returns</h4></summary>

WindowsCoordinates: The width and height of the screen as WindowsCoordinates.
</details>

</details>

<details><summary><h3><strong>def write_text(self, text: str)</strong></h3></summary>

Write text directly to the terminal without any modification of styles

</details>

<details><summary><h3><strong>def write_styled(self, text: str, style: Style)</strong></h3></summary>

Write styled text to the terminal.

</details>

<details><summary><h3><strong>def move_cursor_to(self, new_position: WindowsCoordinates)</strong></h3></summary>

Set the position of the cursor

</details>

<details><summary><h3><strong>def erase_line(self)</strong></h3></summary>

Erase all content on the line the cursor is currently located at

</details>

<details><summary><h3><strong>def erase_end_of_line(self)</strong></h3></summary>

Erase all content from the cursor position to the end of that line

</details>

<details><summary><h3><strong>def erase_start_of_line(self)</strong></h3></summary>

Erase all content from the cursor position to the start of that line

</details>

<details><summary><h3><strong>def move_cursor_up(self)</strong></h3></summary>

Move the cursor up a single cell

</details>

<details><summary><h3><strong>def move_cursor_down(self)</strong></h3></summary>

Move the cursor down a single cell

</details>

<details><summary><h3><strong>def move_cursor_forward(self)</strong></h3></summary>

Move the cursor forward a single cell. Wrap to the next line if required.

</details>

<details><summary><h3><strong>def move_cursor_to_column(self, column: int)</strong></h3></summary>

Move cursor to the column specified by the zero-based column index, staying on the same row

</details>

<details><summary><h3><strong>def move_cursor_backward(self)</strong></h3></summary>

Move the cursor backward a single cell. Wrap to the previous line if required.

</details>

<details><summary><h3><strong>def hide_cursor(self)</strong></h3></summary>

Hide the cursor

</details>

<details><summary><h3><strong>def show_cursor(self)</strong></h3></summary>

Show the cursor

</details>

<details><summary><h3><strong>def set_title(self, title: str)</strong></h3></summary>

Set the title of the terminal window

</details>

<details><summary><h3><strong>def _get_cursor_size(self)</strong></h3></summary>

Get the percentage of the character cell that is filled by the cursor

</details>

</details>


<details><summary><h2><strong> _windows.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def get_windows_console_features](#def-get_windows_console_features)
</details>

<details><summary><h3><strong>def get_windows_console_features()</strong></h3></summary>

Get windows console features.

<details><summary><h4>Returns</h4></summary>

WindowsConsoleFeatures: An instance of WindowsConsoleFeatures.
</details>

</details>

</details>


<details><summary><h2><strong> _windows_renderer.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def legacy_windows_render](#def-legacy_windows_render)
</details>

<details><summary><h3><strong>def legacy_windows_render(buffer: Iterable[Segment], term: LegacyWindowsTerm)</strong></h3></summary>

Makes appropriate Windows Console API calls based on the segments in the buffer.

</details>

</details>


<details><summary><h2><strong> _wrap.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def words](#def-words)
- [def divide_line](#def-divide_line)
</details>

<details><summary><h3><strong>def words(text: str)</strong></h3></summary>

Yields each word from the text as a tuple
    containing (start_index, end_index, word). A "word" in this context may
    include the actual word and any whitespace to the right.

</details>

<details><summary><h3><strong>def divide_line(text: str, width: int, fold: bool = True)</strong></h3></summary>

Given a string of text, and a width (measured in cells), return a list
    of cell offsets which the string should be split at in order for it to fit
    within the given width.

<details><summary><h4>Arguments</h4></summary>

- `text`: The text to examine.
- `width`: The available cell width.
- `fold`: If True, words longer than `width` will be folded onto a new line.
</details>

<details><summary><h4>Returns</h4></summary>

A list of indices to break the line at.
</details>

</details>

</details>


<details><summary><h2><strong> abc.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class RichRenderable](#class-richrenderable)
- [class for](#class-for)
- [def __subclasshook__](#def-__subclasshook__)
</details>

<details><summary><h3><strong>class RichRenderable</strong></h3></summary>

An abstract base class for Rich renderables.

    Note that there is no need to extend this class, the intended use is to check if an
    object supports the Rich renderable protocol. For example::

        if isinstance(my_object, RichRenderable):
            console.print(my_object)

<details><summary><h4><strong>def __subclasshook__</strong></h4></summary>

Check if this class supports the rich render protocol.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

@classmethod
    def __subclasshook__(cls, other: type) -> bool:

<details><summary><h4><strong>def __subclasshook__</strong></h4></summary>

Check if this class supports the rich render protocol.

</details>

</details>

<details><summary><h3><strong>def __subclasshook__(cls, other: type)</strong></h3></summary>

Check if this class supports the rich render protocol.

</details>

</details>


<details><summary><h2><strong> align.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Align](#class-align)
- [class VerticalCenter](#class-verticalcenter)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def left](#def-left)
- [def center](#def-center)
- [def right](#def-right)
</details>

<details><summary><h3><strong>class Align</strong></h3></summary>

Align a renderable by adding spaces if necessary.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: V
- `alueError`: if ``align`` is not one of the expected values.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Align a renderable to the left.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Align a renderable to the left.

</details>

<details><summary><h4><strong>def left</strong></h4></summary>

Align a renderable to the left.

</details>

<details><summary><h4><strong>def center</strong></h4></summary>

Align a renderable to the center.

</details>

<details><summary><h4><strong>def right</strong></h4></summary>

Align a renderable to the right.

</details>

</details>

<details><summary><h3><strong>class VerticalCenter</strong></h3></summary>

Vertically aligns a renderable.

    Warn:
        This class is deprecated and may be removed in a future version. Use Align class with
        `vertical="middle"`.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Align a renderable to the left.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Align a renderable to the left.

</details>

<details><summary><h3><strong>def generate_segments()</strong></h3></summary>

Align a renderable to the left.

</details>

<details><summary><h3><strong>def generate_segments()</strong></h3></summary>

Align a renderable to the center.

</details>

<details><summary><h3><strong>def generate_segments()</strong></h3></summary>

Align a renderable to the right.

</details>

</details>


<details><summary><h2><strong> ansi.py</strong></h2></summary>

,
    re.VERBOSE,
)


class _AnsiToken(NamedTuple):

<details open><summary><h3>Contents</h3></summary>

- [class _AnsiToken](#class-_ansitoken)
- [class AnsiDecoder](#class-ansidecoder)
- [def _ansi_tokenize](#def-_ansi_tokenize)
- [def __init__](#def-__init__)
- [def decode](#def-decode)
- [def decode_line](#def-decode_line)
</details>

<details><summary><h3><strong>class _AnsiToken</strong></h3></summary>

Result of ansi tokenized string.

</details>

<details><summary><h3><strong>class AnsiDecoder</strong></h3></summary>

Translate ANSI code in to styled Text.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Decode ANSI codes in an iterable of lines.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: T
- `ext`: Marked up Text.
</details>

</details>

<details><summary><h4><strong>def decode</strong></h4></summary>

Decode ANSI codes in an iterable of lines.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: T
- `ext`: Marked up Text.
</details>

</details>

<details><summary><h4><strong>def decode_line</strong></h4></summary>

Decode a line containing ansi codes.

<details><summary><h5>Returns</h5></summary>

Text: A Text instance marked up according to ansi codes.
</details>

</details>

</details>

<details><summary><h3><strong>def _ansi_tokenize(ansi_text: str)</strong></h3></summary>

Tokenize a string in to plain text and ANSI codes.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: A
- `nsiToken`: A named tuple of (plain, sgr, osc)
</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Decode ANSI codes in an iterable of lines.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: T
- `ext`: Marked up Text.
</details>

</details>

<details><summary><h3><strong>def decode(self, terminal_text: str)</strong></h3></summary>

Decode ANSI codes in an iterable of lines.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: T
- `ext`: Marked up Text.
</details>

</details>

<details><summary><h3><strong>def decode_line(self, line: str)</strong></h3></summary>

Decode a line containing ansi codes.

<details><summary><h4>Returns</h4></summary>

Text: A Text instance marked up according to ansi codes.
</details>

</details>

</details>


<details><summary><h2><strong> bar.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Bar](#class-bar)
</details>

<details><summary><h3><strong>class Bar</strong></h3></summary>

Renders a solid block bar.

</details>

</details>


<details><summary><h2><strong> box.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Box](#class-box)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def __str__](#def-__str__)
- [def substitute](#def-substitute)
- [def get_plain_headed_box](#def-get_plain_headed_box)
- [def get_top](#def-get_top)
- [def get_row](#def-get_row)
- [def get_bottom](#def-get_bottom)
</details>

<details><summary><h3><strong>class Box</strong></h3></summary>

Defines characters to render boxes.

    ┌─┬┐ top
    │ ││ head
    ├─┼┤ head_row
    │ ││ mid
    ├─┼┤ row
    ├─┼┤ foot_row
    │ ││ foot
    └─┴┘ bottom

<details><summary><h4><strong>def __init__</strong></h4></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h5>Returns</h5></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h5>Returns</h5></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h5>Returns</h5></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h4><strong>def substitute</strong></h4></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h5>Returns</h5></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h4><strong>def get_plain_headed_box</strong></h4></summary>

If this box uses special characters for the borders of the header, then
        return the equivalent box that does not.

<details><summary><h5>Returns</h5></summary>

Box: The most similar Box that doesn't use header-specific box characters.
                If the current Box already satisfies this criterion, then it's returned.
</details>

</details>

<details><summary><h4><strong>def get_top</strong></h4></summary>

Get the top of a simple box.

<details><summary><h5>Returns</h5></summary>

str: A string of box characters.
</details>

</details>

<details><summary><h4><strong>def get_row</strong></h4></summary>

Get the top of a simple box.

<details><summary><h5>Returns</h5></summary>

str: A string of box characters.
</details>

</details>

<details><summary><h4><strong>def get_bottom</strong></h4></summary>

Get the bottom of a simple box.

<details><summary><h5>Returns</h5></summary>

str: A string of box characters.
</details>

</details>

</details>

<details><summary><h3><strong>def __init__(self, box: str, *, ascii: bool = False)</strong></h3></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h4>Returns</h4></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h4>Returns</h4></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h4>Returns</h4></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h3><strong>def substitute(self, options: "ConsoleOptions", safe: bool = True)</strong></h3></summary>

Substitute this box for another if it won't render due to platform issues.

<details><summary><h4>Returns</h4></summary>

Box: A different Box or the same Box.
</details>

</details>

<details><summary><h3><strong>def get_plain_headed_box(self)</strong></h3></summary>

If this box uses special characters for the borders of the header, then
        return the equivalent box that does not.

<details><summary><h4>Returns</h4></summary>

Box: The most similar Box that doesn't use header-specific box characters.
                If the current Box already satisfies this criterion, then it's returned.
</details>

</details>

<details><summary><h3><strong>def get_top(self, widths: Iterable[int])</strong></h3></summary>

Get the top of a simple box.

<details><summary><h4>Returns</h4></summary>

str: A string of box characters.
</details>

</details>

<details><summary><h3><strong>def get_bottom(self, widths: Iterable[int])</strong></h3></summary>

Get the top of a simple box.

<details><summary><h4>Returns</h4></summary>

str: A string of box characters.
</details>

</details>

<details><summary><h3><strong>def get_bottom(self, widths: Iterable[int])</strong></h3></summary>

Get the bottom of a simple box.

<details><summary><h4>Returns</h4></summary>

str: A string of box characters.
</details>

</details>

</details>


<details><summary><h2><strong> cells.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def cached_cell_len](#def-cached_cell_len)
- [def cell_len](#def-cell_len)
- [def get_character_cell_size](#def-get_character_cell_size)
- [def _get_codepoint_cell_size](#def-_get_codepoint_cell_size)
- [def set_cell_size](#def-set_cell_size)
</details>

<details><summary><h3><strong>def cached_cell_len(text: str)</strong></h3></summary>

Get the number of cells required to display text.

    This method always caches, which may use up a lot of memory. It is recommended to use
    `cell_len` over this method.

<details><summary><h4>Returns</h4></summary>

int: Get the number of cells required to display text.
</details>

</details>

<details><summary><h3><strong>def cell_len(text: str, _cell_len: Callable[[str], int] = cached_cell_len)</strong></h3></summary>

Get the number of cells required to display text.

<details><summary><h4>Returns</h4></summary>

int: Get the number of cells required to display text.
</details>

</details>

<details><summary><h3><strong>def get_character_cell_size(character: str)</strong></h3></summary>

Get the cell size of a character.

<details><summary><h4>Returns</h4></summary>

int: Number of cells (0, 1 or 2) occupied by that character.
</details>

</details>

<details><summary><h3><strong>def _get_codepoint_cell_size(codepoint: int)</strong></h3></summary>

Get the cell size of a character.

<details><summary><h4>Returns</h4></summary>

int: Number of cells (0, 1 or 2) occupied by that character.
</details>

</details>

<details><summary><h3><strong>def set_cell_size(text: str, total: int)</strong></h3></summary>

Set the length of a string to fit within given number of cells.

</details>

</details>


<details><summary><h2><strong> color.py</strong></h2></summary>

,
    re.VERBOSE,
)


@rich_repr
class Color(NamedTuple):

<details open><summary><h3>Contents</h3></summary>

- [class ColorSystem](#class-colorsystem)
- [class ColorType](#class-colortype)
- [class ColorParseError](#class-colorparseerror)
- [class Color](#class-color)
- [def __rich__](#def-__rich__)
- [def __rich_repr__](#def-__rich_repr__)
- [def system](#def-system)
- [def is_system_defined](#def-is_system_defined)
- [def is_default](#def-is_default)
- [def get_truecolor](#def-get_truecolor)
- [def from_ansi](#def-from_ansi)
- [def from_triplet](#def-from_triplet)
- [def from_rgb](#def-from_rgb)
- [def default](#def-default)
- [def parse](#def-parse)
- [def get_ansi_codes](#def-get_ansi_codes)
- [def downgrade](#def-downgrade)
- [def parse_rgb_hex](#def-parse_rgb_hex)
</details>

<details><summary><h3><strong>class ColorSystem</strong></h3></summary>

One of the 3 color system supported by terminals.

</details>

<details><summary><h3><strong>class ColorType</strong></h3></summary>

Type of color stored in Color class.

</details>

<details><summary><h3><strong>class ColorParseError</strong></h3></summary>

The color could not be parsed.

</details>

<details><summary><h3><strong>class Color</strong></h3></summary>

Terminal color definition.

<details><summary><h4><strong>def __rich__</strong></h4></summary>

Displays the actual color if Rich printed.

</details>

<details><summary><h4><strong>def __rich_repr__</strong></h4></summary>

Get the native color system for this color.

</details>

<details><summary><h4><strong>def system</strong></h4></summary>

Get the native color system for this color.

</details>

<details><summary><h4><strong>def is_system_defined</strong></h4></summary>

Check if the color is ultimately defined by the system.

</details>

<details><summary><h4><strong>def is_default</strong></h4></summary>

Check if the color is a default color.

</details>

<details><summary><h4><strong>def get_truecolor</strong></h4></summary>

Get an equivalent color triplet for this color.

<details><summary><h5>Returns</h5></summary>

ColorTriplet: A color triplet containing RGB components.
</details>

</details>

<details><summary><h4><strong>def from_ansi</strong></h4></summary>

Create a Color number from it's 8-bit ansi number.

<details><summary><h5>Returns</h5></summary>

Color: A new Color instance.
</details>

</details>

<details><summary><h4><strong>def from_triplet</strong></h4></summary>

Create a truecolor RGB color from a triplet of values.

<details><summary><h5>Returns</h5></summary>

Color: A new color object.
</details>

</details>

<details><summary><h4><strong>def from_rgb</strong></h4></summary>

Create a truecolor from three color components in the range(0->255).

<details><summary><h5>Returns</h5></summary>

Color: A new color object.
</details>

</details>

<details><summary><h4><strong>def default</strong></h4></summary>

Get a Color instance representing the default color.

<details><summary><h5>Returns</h5></summary>

Color: Default color.
</details>

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse a color definition.

</details>

<details><summary><h4><strong>def get_ansi_codes</strong></h4></summary>

Get the ANSI escape codes for this color.

</details>

<details><summary><h4><strong>def downgrade</strong></h4></summary>

Downgrade a color system to a system with fewer colors.

</details>

</details>

<details><summary><h3><strong>def __rich__(self)</strong></h3></summary>

Displays the actual color if Rich printed.

</details>

<details><summary><h3><strong>def __rich_repr__(self)</strong></h3></summary>

Get the native color system for this color.

</details>

<details><summary><h3><strong>def system(self)</strong></h3></summary>

Get the native color system for this color.

</details>

<details><summary><h3><strong>def is_system_defined(self)</strong></h3></summary>

Check if the color is ultimately defined by the system.

</details>

<details><summary><h3><strong>def is_default(self)</strong></h3></summary>

Check if the color is a default color.

</details>

<details><summary><h3><strong>def from_ansi(cls, number: int)</strong></h3></summary>

Get an equivalent color triplet for this color.

<details><summary><h4>Returns</h4></summary>

ColorTriplet: A color triplet containing RGB components.
</details>

</details>

<details><summary><h3><strong>def from_ansi(cls, number: int)</strong></h3></summary>

Create a Color number from it's 8-bit ansi number.

<details><summary><h4>Returns</h4></summary>

Color: A new Color instance.
</details>

</details>

<details><summary><h3><strong>def from_triplet(cls, triplet: "ColorTriplet")</strong></h3></summary>

Create a truecolor RGB color from a triplet of values.

<details><summary><h4>Returns</h4></summary>

Color: A new color object.
</details>

</details>

<details><summary><h3><strong>def from_rgb(cls, red: float, green: float, blue: float)</strong></h3></summary>

Create a truecolor from three color components in the range(0->255).

<details><summary><h4>Returns</h4></summary>

Color: A new color object.
</details>

</details>

<details><summary><h3><strong>def default(cls)</strong></h3></summary>

Get a Color instance representing the default color.

<details><summary><h4>Returns</h4></summary>

Color: Default color.
</details>

</details>

<details><summary><h3><strong>def parse(cls, color: str)</strong></h3></summary>

Parse a color definition.

</details>

<details><summary><h3><strong>def get_ansi_codes(self, foreground: bool = True)</strong></h3></summary>

Get the ANSI escape codes for this color.

</details>

<details><summary><h3><strong>def downgrade(self, system: ColorSystem)</strong></h3></summary>

Downgrade a color system to a system with fewer colors.

</details>

<details><summary><h3><strong>def parse_rgb_hex(hex_color: str)</strong></h3></summary>

Parse six hex characters in to RGB triplet.

</details>

</details>


<details><summary><h2><strong> color_triplet.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ColorTriplet](#class-colortriplet)
- [def hex](#def-hex)
- [def rgb](#def-rgb)
- [def normalized](#def-normalized)
</details>

<details><summary><h3><strong>class ColorTriplet</strong></h3></summary>

The red, green, and blue components of a color.

<details><summary><h4><strong>def hex</strong></h4></summary>

get the color triplet in CSS style.

</details>

<details><summary><h4><strong>def rgb</strong></h4></summary>

The color in RGB format.

<details><summary><h5>Returns</h5></summary>

str: An rgb color, e.g. ``"rgb(100,23,255)"``.
</details>

</details>

<details><summary><h4><strong>def normalized</strong></h4></summary>

Convert components into floats between 0 and 1.

<details><summary><h5>Returns</h5></summary>

Tuple[float, float, float]: A tuple of three normalized colour components.
</details>

</details>

</details>

<details><summary><h3><strong>def hex(self)</strong></h3></summary>

get the color triplet in CSS style.

</details>

<details><summary><h3><strong>def rgb(self)</strong></h3></summary>

The color in RGB format.

<details><summary><h4>Returns</h4></summary>

str: An rgb color, e.g. ``"rgb(100,23,255)"``.
</details>

</details>

<details><summary><h3><strong>def normalized(self)</strong></h3></summary>

Convert components into floats between 0 and 1.

<details><summary><h4>Returns</h4></summary>

Tuple[float, float, float]: A tuple of three normalized colour components.
</details>

</details>

</details>


<details><summary><h2><strong> columns.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Columns](#class-columns)
- [def __init__](#def-__init__)
- [def add_renderable](#def-add_renderable)
</details>

<details><summary><h3><strong>class Columns</strong></h3></summary>

Display renderables in neat columns.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Add a renderable to the columns.

</details>

<details><summary><h4><strong>def add_renderable</strong></h4></summary>

Add a renderable to the columns.

</details>

</details>

<details><summary><h3><strong>def add_renderable(self, renderable: RenderableType)</strong></h3></summary>

Add a renderable to the columns.

</details>

<details><summary><h3><strong>def add_renderable(self, renderable: RenderableType)</strong></h3></summary>

Add a renderable to the columns.

</details>

</details>


<details><summary><h2><strong> console.py</strong></h2></summary>

A string or any object that may be rendered by Rich.

<details open><summary><h3>Contents</h3></summary>

- [class ConsoleDimensions](#class-consoledimensions)
- [class RichCast](#class-richcast)
- [class ConsoleRenderable](#class-consolerenderable)
- [class CaptureError](#class-captureerror)
- [class NewLine](#class-newline)
- [class ScreenUpdate](#class-screenupdate)
- [class Capture](#class-capture)
- [class ThemeContext](#class-themecontext)
- [class PagerContext](#class-pagercontext)
- [class ScreenContext](#class-screencontext)
- [class Group](#class-group)
- [class RenderHook](#class-renderhook)
- [class Console](#class-console)
- [class which](#class-which)
- [class to](#class-to)
- [def ascii_only](#def-ascii_only)
- [def copy](#def-copy)
- [def update](#def-update)
- [def update_width](#def-update_width)
- [def update_height](#def-update_height)
- [def reset_height](#def-reset_height)
- [def update_dimensions](#def-update_dimensions)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def get](#def-get)
- [def __init__](#def-__init__)
- [def update](#def-update)
- [def group](#def-group)
- [def decorator](#def-decorator)
- [def _is_jupyter](#def-_is_jupyter)
- [def process_renderables](#def-process_renderables)
- [def detect_legacy_windows](#def-detect_legacy_windows)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def file](#def-file)
- [def file](#def-file)
- [def _buffer](#def-_buffer)
- [def _buffer_index](#def-_buffer_index)
- [def _buffer_index](#def-_buffer_index)
- [def _theme_stack](#def-_theme_stack)
- [def _detect_color_system](#def-_detect_color_system)
- [def _enter_buffer](#def-_enter_buffer)
- [def _exit_buffer](#def-_exit_buffer)
- [def set_live](#def-set_live)
- [def clear_live](#def-clear_live)
- [def push_render_hook](#def-push_render_hook)
- [def pop_render_hook](#def-pop_render_hook)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def begin_capture](#def-begin_capture)
- [def end_capture](#def-end_capture)
- [def push_theme](#def-push_theme)
- [def pop_theme](#def-pop_theme)
- [def use_theme](#def-use_theme)
- [def color_system](#def-color_system)
- [def encoding](#def-encoding)
- [def is_terminal](#def-is_terminal)
- [def is_dumb_terminal](#def-is_dumb_terminal)
- [def options](#def-options)
- [def size](#def-size)
- [def size](#def-size)
- [def width](#def-width)
- [def width](#def-width)
- [def height](#def-height)
- [def height](#def-height)
- [def bell](#def-bell)
- [def capture](#def-capture)
- [def pager](#def-pager)
- [def line](#def-line)
- [def clear](#def-clear)
- [def status](#def-status)
- [def show_cursor](#def-show_cursor)
- [def set_alt_screen](#def-set_alt_screen)
- [def is_alt_screen](#def-is_alt_screen)
- [def set_window_title](#def-set_window_title)
- [def screen](#def-screen)
- [def measure](#def-measure)
- [def render](#def-render)
- [def render_lines](#def-render_lines)
- [def render_str](#def-render_str)
- [def get_style](#def-get_style)
- [def _collect_renderables](#def-_collect_renderables)
- [def align_append](#def-align_append)
- [def check_text](#def-check_text)
- [def rule](#def-rule)
- [def control](#def-control)
- [def out](#def-out)
- [def print](#def-print)
- [def print_json](#def-print_json)
- [def update_screen](#def-update_screen)
- [def update_screen_lines](#def-update_screen_lines)
- [def print_exception](#def-print_exception)
- [def _caller_frame_info](#def-_caller_frame_info)
- [def log](#def-log)
- [def on_broken_pipe](#def-on_broken_pipe)
- [def _check_buffer](#def-_check_buffer)
- [def _write_buffer](#def-_write_buffer)
- [def _render_buffer](#def-_render_buffer)
- [def input](#def-input)
- [def export_text](#def-export_text)
- [def save_text](#def-save_text)
- [def export_html](#def-export_html)
- [def save_html](#def-save_html)
- [def export_svg](#def-export_svg)
- [def get_svg_style](#def-get_svg_style)
- [def escape_text](#def-escape_text)
- [def make_tag](#def-make_tag)
- [def stringify](#def-stringify)
- [def save_svg](#def-save_svg)
- [def _svg_hash](#def-_svg_hash)
</details>

<details><summary><h3><strong>class ConsoleDimensions</strong></h3></summary>

Size of the terminal.

</details>

<details><summary><h3><strong>class RichCast</strong></h3></summary>

An object that may be 'cast' to a console renderable.

</details>

<details><summary><h3><strong>class ConsoleRenderable</strong></h3></summary>

An object that supports the console protocol.

</details>

<details><summary><h3><strong>class CaptureError</strong></h3></summary>

An error in the Capture context manager.

</details>

<details><summary><h3><strong>class NewLine</strong></h3></summary>

A renderable to generate new line(s)

</details>

<details><summary><h3><strong>class ScreenUpdate</strong></h3></summary>

Render a list of lines at a given offset.

</details>

<details><summary><h3><strong>class Capture</strong></h3></summary>

Context manager to capture the result of printing to the console.
    See :meth:`~rich.console.Console.capture` for how to use.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the result of the capture.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Get the result of the capture.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Get the result of the capture.

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Get the result of the capture.

</details>

</details>

<details><summary><h3><strong>class ThemeContext</strong></h3></summary>

A context manager to use a temporary theme. See :meth:`~rich.console.Console.use_theme` for usage.

</details>

<details><summary><h3><strong>class PagerContext</strong></h3></summary>

A context manager that 'pages' content. See :meth:`~rich.console.Console.pager` for usage.

</details>

<details><summary><h3><strong>class ScreenContext</strong></h3></summary>

A context manager that enables an alternative screen. See :meth:`~rich.console.Console.screen` for usage.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Update the screen.

<details><summary><h5>Arguments</h5></summary>

- `style`: (Style, optional): Replacement style, or None for no change. Defaults to None.
</details>

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update the screen.

<details><summary><h5>Arguments</h5></summary>

- `style`: (Style, optional): Replacement style, or None for no change. Defaults to None.
</details>

</details>

</details>

<details><summary><h3><strong>class Group</strong></h3></summary>

Takes a group of renderables and returns a renderable object that renders the group.

</details>

<details><summary><h3><strong>class RenderHook</strong></h3></summary>

Provides hooks in to the render process.

<details><summary><h4><strong>def process_renderables</strong></h4></summary>

Called with a list of objects to render.

        This method can return a new list of renderables, or modify and return the same list.

<details><summary><h5>Returns</h5></summary>

List[ConsoleRenderable]: A replacement list of renderables.
</details>

</details>

</details>

<details><summary><h3><strong>class Console</strong></h3></summary>

A high level console interface.

<details><summary><h4>Arguments</h4></summary>

- `call`: m
- `eth`: `log`. Defaults to True.
        log_time_format (Union[str, TimeFormatterCallable], optional): If ``log_time`` is enabled, either string for strftime or callable that formats the time. Defaults to "[%X] ".
        highlighter (HighlighterType, optional): Default highlighter.
        legacy_windows (bool, optional): Enable legacy Windows mode, or ``None`` to auto detect. Defaults to ``None``.
        safe_box (bool, optional): Restrict box options that don't render on legacy Windows.
        get_datetime (Callable[[], datetime], optional): Callable that gets the current time as a datetime.datetime object (used by Console.log),
            or None for datetime.now.
        get_time (Callable[[], time], optional): Callable that gets the current time in seconds, default uses time.monotonic.
- `meth`: `export_svg`,
- `and`: m
- `enable`: r
- `ef`: `console_markup`. Defaults to True.
        emoji (bool, optional): Enable emoji code. Defaults to True.
        emoji_variant (str, optional): Optional emoji variant, either "text" or "emoji". Defaults to None.
        highlight (bool, optional): Enable automatic highlighting. Defaults to True.
        log_time (bool, optional): Boolean to enable logging of time
- `by`: m
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the file object to write to.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Get the file object to write to.

</details>

<details><summary><h4><strong>def file</strong></h4></summary>

Get the file object to write to.

</details>

<details><summary><h4><strong>def file</strong></h4></summary>

Set a new file object.

</details>

<details><summary><h4><strong>def _buffer</strong></h4></summary>

Get a thread local buffer.

</details>

<details><summary><h4><strong>def _buffer_index</strong></h4></summary>

Get a thread local buffer.

</details>

<details><summary><h4><strong>def _buffer_index</strong></h4></summary>

Get the thread local theme stack.

</details>

<details><summary><h4><strong>def _theme_stack</strong></h4></summary>

Get the thread local theme stack.

</details>

<details><summary><h4><strong>def _detect_color_system</strong></h4></summary>

Detect color system from env vars.

</details>

<details><summary><h4><strong>def _enter_buffer</strong></h4></summary>

Enter in to a buffer context, and buffer all output.

</details>

<details><summary><h4><strong>def _exit_buffer</strong></h4></summary>

Leave buffer context, and render content if required.

</details>

<details><summary><h4><strong>def set_live</strong></h4></summary>

Set Live instance. Used by Live context manager.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: errors.
- `LiveError`: If this Console has a Live context currently active.
</details>

</details>

<details><summary><h4><strong>def clear_live</strong></h4></summary>

Clear the Live instance.

</details>

<details><summary><h4><strong>def push_render_hook</strong></h4></summary>

Add a new render hook to the stack.

</details>

<details><summary><h4><strong>def pop_render_hook</strong></h4></summary>

Pop the last renderhook from the stack.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Own context manager to enter buffer context.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Exit buffer context.

</details>

<details><summary><h4><strong>def begin_capture</strong></h4></summary>

Begin capturing console output. Call :meth:`end_capture` to exit capture mode and return output.

</details>

<details><summary><h4><strong>def end_capture</strong></h4></summary>

End capture mode and return captured string.

<details><summary><h5>Returns</h5></summary>

str: Console output.
</details>

</details>

<details><summary><h4><strong>def push_theme</strong></h4></summary>

Push a new theme on to the top of the stack, replacing the styles from the previous theme.
        Generally speaking, you should call :meth:`~rich.console.Console.use_theme` to get a context manager, rather
        than calling this method directly.

</details>

<details><summary><h4><strong>def pop_theme</strong></h4></summary>

Remove theme from top of stack, restoring previous theme.

</details>

<details><summary><h4><strong>def use_theme</strong></h4></summary>

Use a different theme for the duration of the context manager.

<details><summary><h5>Returns</h5></summary>

ThemeContext: [description]
</details>

</details>

<details><summary><h4><strong>def color_system</strong></h4></summary>

Get color system string.

<details><summary><h5>Returns</h5></summary>

Optional[str]: "standard", "256" or "truecolor".
</details>

</details>

<details><summary><h4><strong>def encoding</strong></h4></summary>

Get the encoding of the console file, e.g. ``"utf-8"``.

<details><summary><h5>Returns</h5></summary>

str: A standard encoding string.
</details>

</details>

<details><summary><h4><strong>def is_terminal</strong></h4></summary>

Check if the console is writing to a terminal.

<details><summary><h5>Returns</h5></summary>

bool: True if the console writing to a device capable of
            understanding terminal codes, otherwise False.
</details>

</details>

<details><summary><h4><strong>def is_dumb_terminal</strong></h4></summary>

Detect dumb terminal.

<details><summary><h5>Returns</h5></summary>

bool: True if writing to a dumb terminal, otherwise False.
</details>

</details>

<details><summary><h4><strong>def options</strong></h4></summary>

Get default console options.

</details>

<details><summary><h4><strong>def size</strong></h4></summary>

Get the size of the console.

<details><summary><h5>Returns</h5></summary>

ConsoleDimensions: A named tuple containing the dimensions.
</details>

</details>

<details><summary><h4><strong>def size</strong></h4></summary>

Set a new size for the terminal.

</details>

<details><summary><h4><strong>def width</strong></h4></summary>

Get the width of the console.

<details><summary><h5>Returns</h5></summary>

int: The width (in characters) of the console.
</details>

</details>

<details><summary><h4><strong>def width</strong></h4></summary>

Set width.

</details>

<details><summary><h4><strong>def height</strong></h4></summary>

Get the height of the console.

<details><summary><h5>Returns</h5></summary>

int: The height (in lines) of the console.
</details>

</details>

<details><summary><h4><strong>def height</strong></h4></summary>

Set height.

</details>

<details><summary><h4><strong>def bell</strong></h4></summary>

Play a 'bell' sound (if supported by the terminal).

</details>

<details><summary><h4><strong>def capture</strong></h4></summary>

A context manager to *capture* the result of print() or log() in a string,
        rather than writing it to the console.

        Example:
            >>> from rich.console import Console
            >>> console = Console()
            >>> with console.capture() as capture:
            ...     console.print("[bold magenta]Hello World[/]")
            >>> print(capture.get())

<details><summary><h5>Returns</h5></summary>

Capture: Context manager with disables writing to the terminal.
</details>

</details>

<details><summary><h4><strong>def pager</strong></h4></summary>

A context manager to display anything printed within a "pager". The pager application
        is defined by the system and will typically support at least pressing a key to scroll.

<details><summary><h5>Arguments</h5></summary>

- `use`: c
- `lass`: `~rich.pager.SystemPager`. Defaults to None.
            styles (bool, optional): Show styles in pager. Defaults to False.
            links (bool, optional): Show links in pager. Defaults to False.
- `Example`: >>> from rich.console import Console
            >>> from rich.__main__ import make_test_card
            >>> console = Console()
            >>> with console.pager():
                    console.print(make_test_card())
</details>

<details><summary><h5>Returns</h5></summary>

PagerContext: A context manager.
</details>

</details>

<details><summary><h4><strong>def line</strong></h4></summary>

Write new line(s).

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Clear the screen.

</details>

<details><summary><h4><strong>def status</strong></h4></summary>

Display a status and spinner.

<details><summary><h5>Returns</h5></summary>

Status: A Status object that may be used as a context manager.
</details>

</details>

<details><summary><h4><strong>def show_cursor</strong></h4></summary>

Show or hide the cursor.

</details>

<details><summary><h4><strong>def set_alt_screen</strong></h4></summary>

Enables alternative screen mode.

        Note, if you enable this mode, you should ensure that is disabled before
        the application exits. See :meth:`~rich.Console.screen` for a context manager
        that handles this for you.

<details><summary><h5>Returns</h5></summary>

bool: True if the control codes were written.
</details>

</details>

<details><summary><h4><strong>def is_alt_screen</strong></h4></summary>

Check if the alt screen was enabled.

<details><summary><h5>Returns</h5></summary>

bool: True if the alt screen was enabled, otherwise False.
</details>

</details>

<details><summary><h4><strong>def set_window_title</strong></h4></summary>

Set the title of the console terminal window.

        Warning: There is no means within Rich of "resetting" the window title to its
        previous value, meaning the title you set will persist even after your application
        exits.

        ``fish`` shell resets the window title before and after each command by default,
        negating this issue. Windows Terminal and command prompt will also reset the title for you.
        Most other shells and terminals, however, do not do this.

        Some terminals may require configuration changes before you can set the title.
        Some terminals may not support setting the title at all.

        Other software (including the terminal itself, the shell, custom prompts, plugins, etc.)
        may also set the terminal window title. This could result in whatever value you write
        using this method being overwritten.

<details><summary><h5>Returns</h5></summary>

bool: True if the control code to change the terminal title was
                written, otherwise False. Note that a return value of True
                does not guarantee that the window title has actually changed,
                since the feature may be unsupported/disabled in some terminals.
</details>

</details>

<details><summary><h4><strong>def screen</strong></h4></summary>

Context manager to enable and disable 'alternative screen' mode.

<details><summary><h5>Returns</h5></summary>

~ScreenContext: Context which enables alternate screen on enter, and disables it on exit.
</details>

</details>

<details><summary><h4><strong>def measure</strong></h4></summary>

Measure a renderable. Returns a :class:`~rich.measure.Measurement` object which contains
        information regarding the number of characters required to print the renderable.

<details><summary><h5>Returns</h5></summary>

Measurement: A measurement of the renderable.
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render an object in to an iterable of `Segment` instances.

        This method contains the logic for rendering objects with the console protocol.
        You are unlikely to need to use it directly, unless you are extending the library.

<details><summary><h5>Returns</h5></summary>

Iterable[Segment]: An iterable of segments that may be rendered.
</details>

</details>

<details><summary><h4><strong>def render_lines</strong></h4></summary>

Render objects in to a list of lines.

        The output of render_lines is useful when further formatting of rendered console text
        is required, such as the Panel class which draws a border around any renderable object.

<details><summary><h5>Returns</h5></summary>

List[List[Segment]]: A list of lines, where a line is a list of Segment objects.
</details>

</details>

<details><summary><h4><strong>def render_str</strong></h4></summary>

Convert a string to a Text instance. This is called automatically if
        you print or log a string.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to ``None``.
            emoji (Optional[bool], optional): Enable emoji, or ``None`` to use Console default.
            markup (Optional[bool], optional): Enable markup, or ``None`` to use Console default.
            highlight (Optional[bool], optional): Enable highlighting, or ``None`` to use Console default.
            highlighter (HighlighterType, optional): Optional highlighter to apply.
</details>

<details><summary><h5>Returns</h5></summary>

ConsoleRenderable: Renderable object.
</details>

</details>

<details><summary><h4><strong>def get_style</strong></h4></summary>

Get a Style instance by its theme name or parse a definition.

<details><summary><h5>Returns</h5></summary>

Style: A Style object.

        Raises:
            MissingStyle: If no style could be parsed from name.
</details>

</details>

<details><summary><h4><strong>def _collect_renderables</strong></h4></summary>

Combine a number of renderables and text into one renderable.

<details><summary><h5>Returns</h5></summary>

List[ConsoleRenderable]: A list of things to render.
</details>

</details>

<details><summary><h4><strong>def align_append</strong></h4></summary>

Draw a line with optional centered title.

</details>

<details><summary><h4><strong>def check_text</strong></h4></summary>

Draw a line with optional centered title.

</details>

<details><summary><h4><strong>def rule</strong></h4></summary>

Draw a line with optional centered title.

</details>

<details><summary><h4><strong>def control</strong></h4></summary>

Insert non-printing control codes.

</details>

<details><summary><h4><strong>def out</strong></h4></summary>

Output to the terminal. This is a low-level way of writing to the terminal which unlike
        :meth:`~rich.console.Console.print` won't pretty print, wrap text, or apply markup, but will
        optionally apply highlighting and a basic style.

</details>

<details><summary><h4><strong>def print</strong></h4></summary>

Print to the console.

<details><summary><h5>Arguments</h5></summary>

- `method`: "ignore", "crop", "fold", or "ellipsis". Defaults to None.
            no_wrap (Optional[bool], optional): Disable word wrapping. Defaults to None.
            emoji (Optional[bool], optional): Enable emoji code, or ``None`` to use console default. Defaults to ``None``.
            markup (Optional[bool], optional): Enable markup, or ``None`` to use console default. Defaults to ``None``.
            highlight (Optional[bool], optional): Enable automatic highlighting, or ``None`` to use console default. Defaults to ``None``.
            width (Optional[int], optional): Width of output, or ``None`` to auto-detect. Defaults to ``None``.
            crop (Optional[bool], optional): Crop output to width of terminal. Defaults to True.
            soft_wrap (bool, optional): Enable soft wrap mode which disables word wrapping and cropping of text or ``None`` for
                Console default. Defaults to ``None``.
            new_line_start (bool, False): Insert a new line at the start if the output contains more than one line. Defaults to ``False``.
</details>

</details>

<details><summary><h4><strong>def print_json</strong></h4></summary>

Pretty prints JSON. Output will be valid JSON.

<details><summary><h5>Arguments</h5></summary>

- `output`: Defaults to True.
            skip_keys (bool, optional): Skip keys not of a basic type. Defaults to False.
            ensure_ascii (bool, optional): Escape all non-ascii characters. Defaults to False.
            check_circular (bool, optional): Check for circular references. Defaults to True.
            allow_nan (bool, optional): Allow NaN and Infinity values. Defaults to True.
            default (Callable, optional): A callable that converts values that can not be encoded
                in to something that can be JSON encoded. Defaults to None.
            sort_keys (bool, optional): Sort dictionary keys. Defaults to False.
</details>

</details>

<details><summary><h4><strong>def update_screen</strong></h4></summary>

Update the screen at a given offset.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: errors.
- `NoAltScreen`: If the Console isn't in alt screen mode.
</details>

</details>

<details><summary><h4><strong>def update_screen_lines</strong></h4></summary>

Update lines of the screen at a given offset.

<details><summary><h5>Arguments</h5></summary>

- `by`: m
- `eth`: `~rich.Console.render_lines`).
            x (int, optional): x offset (column no). Defaults to 0.
            y (int, optional): y offset (column no). Defaults to 0.
- `Raises`: errors.
- `NoAltScreen`: If the Console isn't in alt screen mode.
</details>

</details>

<details><summary><h4><strong>def print_exception</strong></h4></summary>

Prints a rich render of the last exception and traceback.

</details>

<details><summary><h4><strong>def _caller_frame_info</strong></h4></summary>

Get caller frame information.

<details><summary><h5>Returns</h5></summary>

Tuple[str, int, Dict[str, Any]]: A tuple containing the filename, the line number and
                the dictionary of local variables associated with the caller frame.

        Raises:
            RuntimeError: If the stack offset is invalid.
</details>

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log rich content to the terminal.

</details>

<details><summary><h4><strong>def on_broken_pipe</strong></h4></summary>

This function is called when a `BrokenPipeError` is raised.

        This can occur when piping Textual output in Linux and macOS.
        The default implementation is to exit the app, but you could implement
        this method in a subclass to change the behavior.

        See https://docs.python.org/3/library/signal.html#note-on-sigpipe for details.

</details>

<details><summary><h4><strong>def _check_buffer</strong></h4></summary>

Check if the buffer may be rendered. Render it if it can (e.g. Console.quiet is False)
        Rendering is supported on Windows, Unix and Jupyter environments. For
        legacy Windows consoles, the win32 API is called directly.
        This method will also record what it renders if recording is enabled via Console.record.

</details>

<details><summary><h4><strong>def _write_buffer</strong></h4></summary>

Write the buffer to the output file.

</details>

<details><summary><h4><strong>def _render_buffer</strong></h4></summary>

Render buffered output, and clear buffer.

</details>

<details><summary><h4><strong>def input</strong></h4></summary>

Displays a prompt and waits for input from the user. The prompt may contain color / style.

        It works in the same way as Python's builtin :func:`input` function and provides elaborate line editing and history features if Python's builtin :mod:`readline` module is previously loaded.

<details><summary><h5>Arguments</h5></summary>

- `password`: (bool, optional): Hide typed text. Defaults to False.
- `stream`: (TextIO, optional): Optional file to read input from (rather than stdin). Defaults to None.
</details>

<details><summary><h5>Returns</h5></summary>

str: Text read from stdin.
</details>

</details>

<details><summary><h4><strong>def export_text</strong></h4></summary>

Generate text from console contents (requires record=True argument in constructor).

<details><summary><h5>Returns</h5></summary>

str: String containing console contents.
</details>

</details>

<details><summary><h4><strong>def save_text</strong></h4></summary>

Generate text from console and save to a given location (requires record=True argument in constructor).

</details>

<details><summary><h4><strong>def export_html</strong></h4></summary>

Generate HTML from console contents (requires record=True argument in constructor).

<details><summary><h5>Returns</h5></summary>

str: String containing console contents as HTML.
</details>

</details>

<details><summary><h4><strong>def save_html</strong></h4></summary>

Generate HTML from console contents and write to a file (requires record=True argument in constructor).

</details>

<details><summary><h4><strong>def export_svg</strong></h4></summary>

Generate an SVG from the console contents (requires record=True in Console constructor).

</details>

<details><summary><h4><strong>def get_svg_style</strong></h4></summary>

Convert a Style to CSS rules for SVG.

</details>

<details><summary><h4><strong>def escape_text</strong></h4></summary>

HTML escape text and replace spaces with nbsp.

</details>

<details><summary><h4><strong>def make_tag</strong></h4></summary>

Make a tag from name, content, and attributes.

</details>

<details><summary><h4><strong>def stringify</strong></h4></summary>

<clipPath id="{unique_id}-line-{line_no}">
    {make_tag("rect", x=0, y=offset, width=char_width * width, height=line_height + 0.25)}
            </clipPath>

</details>

<details><summary><h4><strong>def save_svg</strong></h4></summary>

Generate an SVG file from the console contents (requires record=True in Console constructor).

</details>

</details>

<details><summary><h3><strong>class which</strong></h3></summary>

with self._lock:
            render_options = options or self.options
            _rendered = self.render(renderable, render_options)
            if style:
                _rendered = Segment.apply_style(_rendered, style)

            render_height = render_options.height
            if render_height is not None:
                render_height = max(0, render_height)

            lines = list(
                islice(
                    Segment.split_and_crop_lines(
                        _rendered,
                        render_options.max_width,
                        include_new_lines=new_lines,
                        pad=pad,
                        style=style,
                    ),
                    None,
                    render_height,
                )
            )
            if render_options.height is not None:
                extra_lines = render_options.height - len(lines)
                if extra_lines > 0:
                    pad_line = [
                        (
                            [
                                Segment(" " * render_options.max_width, style),
                                Segment("\n"),
                            ]
                            if new_lines
                            else [Segment(" " * render_options.max_width, style)]
                        )
                    ]
                    lines.extend(pad_line * extra_lines)

            return lines

    def render_str(
        self,
        text: str,
        *,
        style: Union[str, Style] = "",
        justify: Optional[JustifyMethod] = None,
        overflow: Optional[OverflowMethod] = None,
        emoji: Optional[bool] = None,
        markup: Optional[bool] = None,
        highlight: Optional[bool] = None,
        highlighter: Optional[HighlighterType] = None,
    ) -> "Text":

<p><strong>Key features</strong></p>

<ul>
<li>len(lines)</li>
</ul>
<details><summary><h4><strong>def render_str</strong></h4></summary>

Convert a string to a Text instance. This is called automatically if
        you print or log a string.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to ``None``.
            emoji (Optional[bool], optional): Enable emoji, or ``None`` to use Console default.
            markup (Optional[bool], optional): Enable markup, or ``None`` to use Console default.
            highlight (Optional[bool], optional): Enable highlighting, or ``None`` to use Console default.
            highlighter (HighlighterType, optional): Optional highlighter to apply.
</details>

<details><summary><h5>Returns</h5></summary>

ConsoleRenderable: Renderable object.
</details>

</details>

<details><summary><h4><strong>def get_style</strong></h4></summary>

Get a Style instance by its theme name or parse a definition.

<details><summary><h5>Returns</h5></summary>

Style: A Style object.

        Raises:
            MissingStyle: If no style could be parsed from name.
</details>

</details>

<details><summary><h4><strong>def _collect_renderables</strong></h4></summary>

Combine a number of renderables and text into one renderable.

<details><summary><h5>Returns</h5></summary>

List[ConsoleRenderable]: A list of things to render.
</details>

</details>

<details><summary><h4><strong>def align_append</strong></h4></summary>

Draw a line with optional centered title.

</details>

<details><summary><h4><strong>def check_text</strong></h4></summary>

Draw a line with optional centered title.

</details>

<details><summary><h4><strong>def rule</strong></h4></summary>

Draw a line with optional centered title.

</details>

<details><summary><h4><strong>def control</strong></h4></summary>

Insert non-printing control codes.

</details>

<details><summary><h4><strong>def out</strong></h4></summary>

Output to the terminal. This is a low-level way of writing to the terminal which unlike
        :meth:`~rich.console.Console.print` won't pretty print, wrap text, or apply markup, but will
        optionally apply highlighting and a basic style.

</details>

<details><summary><h4><strong>def print</strong></h4></summary>

Print to the console.

<details><summary><h5>Arguments</h5></summary>

- `method`: "ignore", "crop", "fold", or "ellipsis". Defaults to None.
            no_wrap (Optional[bool], optional): Disable word wrapping. Defaults to None.
            emoji (Optional[bool], optional): Enable emoji code, or ``None`` to use console default. Defaults to ``None``.
            markup (Optional[bool], optional): Enable markup, or ``None`` to use console default. Defaults to ``None``.
            highlight (Optional[bool], optional): Enable automatic highlighting, or ``None`` to use console default. Defaults to ``None``.
            width (Optional[int], optional): Width of output, or ``None`` to auto-detect. Defaults to ``None``.
            crop (Optional[bool], optional): Crop output to width of terminal. Defaults to True.
            soft_wrap (bool, optional): Enable soft wrap mode which disables word wrapping and cropping of text or ``None`` for
                Console default. Defaults to ``None``.
            new_line_start (bool, False): Insert a new line at the start if the output contains more than one line. Defaults to ``False``.
</details>

</details>

<details><summary><h4><strong>def print_json</strong></h4></summary>

Pretty prints JSON. Output will be valid JSON.

<details><summary><h5>Arguments</h5></summary>

- `output`: Defaults to True.
            skip_keys (bool, optional): Skip keys not of a basic type. Defaults to False.
            ensure_ascii (bool, optional): Escape all non-ascii characters. Defaults to False.
            check_circular (bool, optional): Check for circular references. Defaults to True.
            allow_nan (bool, optional): Allow NaN and Infinity values. Defaults to True.
            default (Callable, optional): A callable that converts values that can not be encoded
                in to something that can be JSON encoded. Defaults to None.
            sort_keys (bool, optional): Sort dictionary keys. Defaults to False.
</details>

</details>

<details><summary><h4><strong>def update_screen</strong></h4></summary>

Update the screen at a given offset.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: errors.
- `NoAltScreen`: If the Console isn't in alt screen mode.
</details>

</details>

<details><summary><h4><strong>def update_screen_lines</strong></h4></summary>

Update lines of the screen at a given offset.

<details><summary><h5>Arguments</h5></summary>

- `by`: m
- `eth`: `~rich.Console.render_lines`).
            x (int, optional): x offset (column no). Defaults to 0.
            y (int, optional): y offset (column no). Defaults to 0.
- `Raises`: errors.
- `NoAltScreen`: If the Console isn't in alt screen mode.
</details>

</details>

<details><summary><h4><strong>def print_exception</strong></h4></summary>

Prints a rich render of the last exception and traceback.

</details>

<details><summary><h4><strong>def _caller_frame_info</strong></h4></summary>

Get caller frame information.

<details><summary><h5>Returns</h5></summary>

Tuple[str, int, Dict[str, Any]]: A tuple containing the filename, the line number and
                the dictionary of local variables associated with the caller frame.

        Raises:
            RuntimeError: If the stack offset is invalid.
</details>

</details>

<details><summary><h4><strong>def log</strong></h4></summary>

Log rich content to the terminal.

</details>

<details><summary><h4><strong>def on_broken_pipe</strong></h4></summary>

This function is called when a `BrokenPipeError` is raised.

        This can occur when piping Textual output in Linux and macOS.
        The default implementation is to exit the app, but you could implement
        this method in a subclass to change the behavior.

        See https://docs.python.org/3/library/signal.html#note-on-sigpipe for details.

</details>

<details><summary><h4><strong>def _check_buffer</strong></h4></summary>

Check if the buffer may be rendered. Render it if it can (e.g. Console.quiet is False)
        Rendering is supported on Windows, Unix and Jupyter environments. For
        legacy Windows consoles, the win32 API is called directly.
        This method will also record what it renders if recording is enabled via Console.record.

</details>

<details><summary><h4><strong>def _write_buffer</strong></h4></summary>

Write the buffer to the output file.

</details>

<details><summary><h4><strong>def _render_buffer</strong></h4></summary>

Render buffered output, and clear buffer.

</details>

<details><summary><h4><strong>def input</strong></h4></summary>

Displays a prompt and waits for input from the user. The prompt may contain color / style.

        It works in the same way as Python's builtin :func:`input` function and provides elaborate line editing and history features if Python's builtin :mod:`readline` module is previously loaded.

<details><summary><h5>Arguments</h5></summary>

- `password`: (bool, optional): Hide typed text. Defaults to False.
- `stream`: (TextIO, optional): Optional file to read input from (rather than stdin). Defaults to None.
</details>

<details><summary><h5>Returns</h5></summary>

str: Text read from stdin.
</details>

</details>

<details><summary><h4><strong>def export_text</strong></h4></summary>

Generate text from console contents (requires record=True argument in constructor).

<details><summary><h5>Returns</h5></summary>

str: String containing console contents.
</details>

</details>

<details><summary><h4><strong>def save_text</strong></h4></summary>

Generate text from console and save to a given location (requires record=True argument in constructor).

</details>

<details><summary><h4><strong>def export_html</strong></h4></summary>

Generate HTML from console contents (requires record=True argument in constructor).

<details><summary><h5>Returns</h5></summary>

str: String containing console contents as HTML.
</details>

</details>

<details><summary><h4><strong>def save_html</strong></h4></summary>

Generate HTML from console contents and write to a file (requires record=True argument in constructor).

</details>

<details><summary><h4><strong>def export_svg</strong></h4></summary>

Generate an SVG from the console contents (requires record=True in Console constructor).

</details>

<details><summary><h4><strong>def get_svg_style</strong></h4></summary>

Convert a Style to CSS rules for SVG.

</details>

<details><summary><h4><strong>def escape_text</strong></h4></summary>

HTML escape text and replace spaces with nbsp.

</details>

<details><summary><h4><strong>def make_tag</strong></h4></summary>

Make a tag from name, content, and attributes.

</details>

<details><summary><h4><strong>def stringify</strong></h4></summary>

<clipPath id="{unique_id}-line-{line_no}">
    {make_tag("rect", x=0, y=offset, width=char_width * width, height=line_height + 0.25)}
            </clipPath>

</details>

<details><summary><h4><strong>def save_svg</strong></h4></summary>

Generate an SVG file from the console contents (requires record=True in Console constructor).

</details>

</details>

<details><summary><h3><strong>class to</strong></h3></summary>

self.quiet = True
        devnull = os.open(os.devnull, os.O_WRONLY)
        os.dup2(devnull, sys.stdout.fileno())
        raise SystemExit(1)

    def _check_buffer(self) -> None:

<details><summary><h4><strong>def _check_buffer</strong></h4></summary>

Check if the buffer may be rendered. Render it if it can (e.g. Console.quiet is False)
        Rendering is supported on Windows, Unix and Jupyter environments. For
        legacy Windows consoles, the win32 API is called directly.
        This method will also record what it renders if recording is enabled via Console.record.

</details>

<details><summary><h4><strong>def _write_buffer</strong></h4></summary>

Write the buffer to the output file.

</details>

<details><summary><h4><strong>def _render_buffer</strong></h4></summary>

Render buffered output, and clear buffer.

</details>

<details><summary><h4><strong>def input</strong></h4></summary>

Displays a prompt and waits for input from the user. The prompt may contain color / style.

        It works in the same way as Python's builtin :func:`input` function and provides elaborate line editing and history features if Python's builtin :mod:`readline` module is previously loaded.

<details><summary><h5>Arguments</h5></summary>

- `password`: (bool, optional): Hide typed text. Defaults to False.
- `stream`: (TextIO, optional): Optional file to read input from (rather than stdin). Defaults to None.
</details>

<details><summary><h5>Returns</h5></summary>

str: Text read from stdin.
</details>

</details>

<details><summary><h4><strong>def export_text</strong></h4></summary>

Generate text from console contents (requires record=True argument in constructor).

<details><summary><h5>Returns</h5></summary>

str: String containing console contents.
</details>

</details>

<details><summary><h4><strong>def save_text</strong></h4></summary>

Generate text from console and save to a given location (requires record=True argument in constructor).

</details>

<details><summary><h4><strong>def export_html</strong></h4></summary>

Generate HTML from console contents (requires record=True argument in constructor).

<details><summary><h5>Returns</h5></summary>

str: String containing console contents as HTML.
</details>

</details>

<details><summary><h4><strong>def save_html</strong></h4></summary>

Generate HTML from console contents and write to a file (requires record=True argument in constructor).

</details>

<details><summary><h4><strong>def export_svg</strong></h4></summary>

Generate an SVG from the console contents (requires record=True in Console constructor).

</details>

<details><summary><h4><strong>def get_svg_style</strong></h4></summary>

Convert a Style to CSS rules for SVG.

</details>

<details><summary><h4><strong>def escape_text</strong></h4></summary>

HTML escape text and replace spaces with nbsp.

</details>

<details><summary><h4><strong>def make_tag</strong></h4></summary>

Make a tag from name, content, and attributes.

</details>

<details><summary><h4><strong>def stringify</strong></h4></summary>

<clipPath id="{unique_id}-line-{line_no}">
    {make_tag("rect", x=0, y=offset, width=char_width * width, height=line_height + 0.25)}
            </clipPath>

</details>

<details><summary><h4><strong>def save_svg</strong></h4></summary>

Generate an SVG file from the console contents (requires record=True in Console constructor).

</details>

</details>

<details><summary><h3><strong>def ascii_only(self)</strong></h3></summary>

Check if renderables should use ascii only.

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Return a copy of the options.

<details><summary><h4>Returns</h4></summary>

ConsoleOptions: a copy of self.
</details>

</details>

<details><summary><h3><strong>def update_width(self, width: int)</strong></h3></summary>

Update values, return a copy.

</details>

<details><summary><h3><strong>def update_width(self, width: int)</strong></h3></summary>

Update just the width, return a copy.

<details><summary><h4>Returns</h4></summary>

~ConsoleOptions: New console options instance.
</details>

</details>

<details><summary><h3><strong>def update_height(self, height: int)</strong></h3></summary>

Update the height, and return a copy.

<details><summary><h4>Returns</h4></summary>

~ConsoleOptions: New Console options instance.
</details>

</details>

<details><summary><h3><strong>def reset_height(self)</strong></h3></summary>

Return a copy of the options with height set to ``None``.

<details><summary><h4>Returns</h4></summary>

~ConsoleOptions: New console options instance.
</details>

</details>

<details><summary><h3><strong>def update_dimensions(self, width: int, height: int)</strong></h3></summary>

Update the width and height, and return a copy.

<details><summary><h4>Returns</h4></summary>

~ConsoleOptions: New console options instance.
</details>

</details>

<details><summary><h3><strong>def __init__(self, console: "Console")</strong></h3></summary>

Get the result of the capture.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Get the result of the capture.

</details>

<details><summary><h3><strong>def get(self)</strong></h3></summary>

Get the result of the capture.

</details>

<details><summary><h3><strong>def get(self)</strong></h3></summary>

Get the result of the capture.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Update the screen.

<details><summary><h4>Arguments</h4></summary>

- `style`: (Style, optional): Replacement style, or None for no change. Defaults to None.
</details>

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Update the screen.

<details><summary><h4>Arguments</h4></summary>

- `style`: (Style, optional): Replacement style, or None for no change. Defaults to None.
</details>

</details>

<details><summary><h3><strong>def group(fit: bool = True)</strong></h3></summary>

A decorator that turns an iterable of renderables in to a group.

</details>

<details><summary><h3><strong>def _replace(*args: Any, **kwargs: Any)</strong></h3></summary>

Convert a method that returns an iterable of renderables in to a Group.

</details>

<details><summary><h3><strong>def _is_jupyter()</strong></h3></summary>

Check if we're running in a Jupyter notebook.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Called with a list of objects to render.

        This method can return a new list of renderables, or modify and return the same list.

<details><summary><h4>Returns</h4></summary>

List[ConsoleRenderable]: A replacement list of renderables.
</details>

</details>

<details><summary><h3><strong>def detect_legacy_windows()</strong></h3></summary>

Detect legacy Windows.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Get the file object to write to.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Get the file object to write to.

</details>

<details><summary><h3><strong>def file(self)</strong></h3></summary>

Get the file object to write to.

</details>

<details><summary><h3><strong>def file(self, new_file: IO[str])</strong></h3></summary>

Set a new file object.

</details>

<details><summary><h3><strong>def _buffer(self)</strong></h3></summary>

Get a thread local buffer.

</details>

<details><summary><h3><strong>def _buffer_index(self)</strong></h3></summary>

Get a thread local buffer.

</details>

<details><summary><h3><strong>def _buffer_index(self, value: int)</strong></h3></summary>

Get the thread local theme stack.

</details>

<details><summary><h3><strong>def _theme_stack(self)</strong></h3></summary>

Get the thread local theme stack.

</details>

<details><summary><h3><strong>def _detect_color_system(self)</strong></h3></summary>

Detect color system from env vars.

</details>

<details><summary><h3><strong>def _enter_buffer(self)</strong></h3></summary>

Enter in to a buffer context, and buffer all output.

</details>

<details><summary><h3><strong>def _exit_buffer(self)</strong></h3></summary>

Leave buffer context, and render content if required.

</details>

<details><summary><h3><strong>def set_live(self, live: "Live")</strong></h3></summary>

Set Live instance. Used by Live context manager.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: errors.
- `LiveError`: If this Console has a Live context currently active.
</details>

</details>

<details><summary><h3><strong>def clear_live(self)</strong></h3></summary>

Clear the Live instance.

</details>

<details><summary><h3><strong>def push_render_hook(self, hook: RenderHook)</strong></h3></summary>

Add a new render hook to the stack.

</details>

<details><summary><h3><strong>def pop_render_hook(self)</strong></h3></summary>

Pop the last renderhook from the stack.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Own context manager to enter buffer context.

</details>

<details><summary><h3><strong>def __exit__(self, exc_type: Any, exc_value: Any, traceback: Any)</strong></h3></summary>

Exit buffer context.

</details>

<details><summary><h3><strong>def begin_capture(self)</strong></h3></summary>

Begin capturing console output. Call :meth:`end_capture` to exit capture mode and return output.

</details>

<details><summary><h3><strong>def end_capture(self)</strong></h3></summary>

End capture mode and return captured string.

<details><summary><h4>Returns</h4></summary>

str: Console output.
</details>

</details>

<details><summary><h3><strong>def push_theme(self, theme: Theme, *, inherit: bool = True)</strong></h3></summary>

Push a new theme on to the top of the stack, replacing the styles from the previous theme.
        Generally speaking, you should call :meth:`~rich.console.Console.use_theme` to get a context manager, rather
        than calling this method directly.

</details>

<details><summary><h3><strong>def pop_theme(self)</strong></h3></summary>

Remove theme from top of stack, restoring previous theme.

</details>

<details><summary><h3><strong>def use_theme(self, theme: Theme, *, inherit: bool = True)</strong></h3></summary>

Use a different theme for the duration of the context manager.

<details><summary><h4>Returns</h4></summary>

ThemeContext: [description]
</details>

</details>

<details><summary><h3><strong>def color_system(self)</strong></h3></summary>

Get color system string.

<details><summary><h4>Returns</h4></summary>

Optional[str]: "standard", "256" or "truecolor".
</details>

</details>

<details><summary><h3><strong>def encoding(self)</strong></h3></summary>

Get the encoding of the console file, e.g. ``"utf-8"``.

<details><summary><h4>Returns</h4></summary>

str: A standard encoding string.
</details>

</details>

<details><summary><h3><strong>def is_terminal(self)</strong></h3></summary>

Check if the console is writing to a terminal.

<details><summary><h4>Returns</h4></summary>

bool: True if the console writing to a device capable of
            understanding terminal codes, otherwise False.
</details>

</details>

<details><summary><h3><strong>def is_dumb_terminal(self)</strong></h3></summary>

Detect dumb terminal.

<details><summary><h4>Returns</h4></summary>

bool: True if writing to a dumb terminal, otherwise False.
</details>

</details>

<details><summary><h3><strong>def options(self)</strong></h3></summary>

Get default console options.

</details>

<details><summary><h3><strong>def size(self)</strong></h3></summary>

Get the size of the console.

<details><summary><h4>Returns</h4></summary>

ConsoleDimensions: A named tuple containing the dimensions.
</details>

</details>

<details><summary><h3><strong>def size(self, new_size: Tuple[int, int])</strong></h3></summary>

Set a new size for the terminal.

</details>

<details><summary><h3><strong>def width(self)</strong></h3></summary>

Get the width of the console.

<details><summary><h4>Returns</h4></summary>

int: The width (in characters) of the console.
</details>

</details>

<details><summary><h3><strong>def width(self, width: int)</strong></h3></summary>

Set width.

</details>

<details><summary><h3><strong>def height(self)</strong></h3></summary>

Get the height of the console.

<details><summary><h4>Returns</h4></summary>

int: The height (in lines) of the console.
</details>

</details>

<details><summary><h3><strong>def height(self, height: int)</strong></h3></summary>

Set height.

</details>

<details><summary><h3><strong>def bell(self)</strong></h3></summary>

Play a 'bell' sound (if supported by the terminal).

</details>

<details><summary><h3><strong>def capture(self)</strong></h3></summary>

A context manager to *capture* the result of print() or log() in a string,
        rather than writing it to the console.

        Example:
            >>> from rich.console import Console
            >>> console = Console()
            >>> with console.capture() as capture:
            ...     console.print("[bold magenta]Hello World[/]")
            >>> print(capture.get())

<details><summary><h4>Returns</h4></summary>

Capture: Context manager with disables writing to the terminal.
</details>

</details>

<details><summary><h3><strong>def line(self, count: int = 1)</strong></h3></summary>

A context manager to display anything printed within a "pager". The pager application
        is defined by the system and will typically support at least pressing a key to scroll.

<details><summary><h4>Arguments</h4></summary>

- `use`: c
- `lass`: `~rich.pager.SystemPager`. Defaults to None.
            styles (bool, optional): Show styles in pager. Defaults to False.
            links (bool, optional): Show links in pager. Defaults to False.
- `Example`: >>> from rich.console import Console
            >>> from rich.__main__ import make_test_card
            >>> console = Console()
            >>> with console.pager():
                    console.print(make_test_card())
</details>

<details><summary><h4>Returns</h4></summary>

PagerContext: A context manager.
</details>

</details>

<details><summary><h3><strong>def line(self, count: int = 1)</strong></h3></summary>

Write new line(s).

</details>

<details><summary><h3><strong>def clear(self, home: bool = True)</strong></h3></summary>

Clear the screen.

</details>

<details><summary><h3><strong>def show_cursor(self, show: bool = True)</strong></h3></summary>

Display a status and spinner.

<details><summary><h4>Returns</h4></summary>

Status: A Status object that may be used as a context manager.
</details>

</details>

<details><summary><h3><strong>def show_cursor(self, show: bool = True)</strong></h3></summary>

Show or hide the cursor.

</details>

<details><summary><h3><strong>def set_alt_screen(self, enable: bool = True)</strong></h3></summary>

Enables alternative screen mode.

        Note, if you enable this mode, you should ensure that is disabled before
        the application exits. See :meth:`~rich.Console.screen` for a context manager
        that handles this for you.

<details><summary><h4>Returns</h4></summary>

bool: True if the control codes were written.
</details>

</details>

<details><summary><h3><strong>def is_alt_screen(self)</strong></h3></summary>

Check if the alt screen was enabled.

<details><summary><h4>Returns</h4></summary>

bool: True if the alt screen was enabled, otherwise False.
</details>

</details>

<details><summary><h3><strong>def set_window_title(self, title: str)</strong></h3></summary>

Set the title of the console terminal window.

        Warning: There is no means within Rich of "resetting" the window title to its
        previous value, meaning the title you set will persist even after your application
        exits.

        ``fish`` shell resets the window title before and after each command by default,
        negating this issue. Windows Terminal and command prompt will also reset the title for you.
        Most other shells and terminals, however, do not do this.

        Some terminals may require configuration changes before you can set the title.
        Some terminals may not support setting the title at all.

        Other software (including the terminal itself, the shell, custom prompts, plugins, etc.)
        may also set the terminal window title. This could result in whatever value you write
        using this method being overwritten.

<details><summary><h4>Returns</h4></summary>

bool: True if the control code to change the terminal title was
                written, otherwise False. Note that a return value of True
                does not guarantee that the window title has actually changed,
                since the feature may be unsupported/disabled in some terminals.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Context manager to enable and disable 'alternative screen' mode.

<details><summary><h4>Returns</h4></summary>

~ScreenContext: Context which enables alternate screen on enter, and disables it on exit.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Measure a renderable. Returns a :class:`~rich.measure.Measurement` object which contains
        information regarding the number of characters required to print the renderable.

<details><summary><h4>Returns</h4></summary>

Measurement: A measurement of the renderable.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Render an object in to an iterable of `Segment` instances.

        This method contains the logic for rendering objects with the console protocol.
        You are unlikely to need to use it directly, unless you are extending the library.

<details><summary><h4>Returns</h4></summary>

Iterable[Segment]: An iterable of segments that may be rendered.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Render objects in to a list of lines.

        The output of render_lines is useful when further formatting of rendered console text
        is required, such as the Panel class which draws a border around any renderable object.

<details><summary><h4>Returns</h4></summary>

List[List[Segment]]: A list of lines, where a line is a list of Segment objects.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Convert a string to a Text instance. This is called automatically if
        you print or log a string.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to ``None``.
            emoji (Optional[bool], optional): Enable emoji, or ``None`` to use Console default.
            markup (Optional[bool], optional): Enable markup, or ``None`` to use Console default.
            highlight (Optional[bool], optional): Enable highlighting, or ``None`` to use Console default.
            highlighter (HighlighterType, optional): Optional highlighter to apply.
</details>

<details><summary><h4>Returns</h4></summary>

ConsoleRenderable: Renderable object.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Get a Style instance by its theme name or parse a definition.

<details><summary><h4>Returns</h4></summary>

Style: A Style object.

        Raises:
            MissingStyle: If no style could be parsed from name.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Combine a number of renderables and text into one renderable.

<details><summary><h4>Returns</h4></summary>

List[ConsoleRenderable]: A list of things to render.
</details>

</details>

<details><summary><h3><strong>def align_append(renderable: RenderableType)</strong></h3></summary>

Draw a line with optional centered title.

</details>

<details><summary><h3><strong>def check_text()</strong></h3></summary>

Draw a line with optional centered title.

</details>

<details><summary><h3><strong>def control(self, *control: Control)</strong></h3></summary>

Draw a line with optional centered title.

</details>

<details><summary><h3><strong>def control(self, *control: Control)</strong></h3></summary>

Insert non-printing control codes.

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Output to the terminal. This is a low-level way of writing to the terminal which unlike
        :meth:`~rich.console.Console.print` won't pretty print, wrap text, or apply markup, but will
        optionally apply highlighting and a basic style.

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Print to the console.

<details><summary><h4>Arguments</h4></summary>

- `method`: "ignore", "crop", "fold", or "ellipsis". Defaults to None.
            no_wrap (Optional[bool], optional): Disable word wrapping. Defaults to None.
            emoji (Optional[bool], optional): Enable emoji code, or ``None`` to use console default. Defaults to ``None``.
            markup (Optional[bool], optional): Enable markup, or ``None`` to use console default. Defaults to ``None``.
            highlight (Optional[bool], optional): Enable automatic highlighting, or ``None`` to use console default. Defaults to ``None``.
            width (Optional[int], optional): Width of output, or ``None`` to auto-detect. Defaults to ``None``.
            crop (Optional[bool], optional): Crop output to width of terminal. Defaults to True.
            soft_wrap (bool, optional): Enable soft wrap mode which disables word wrapping and cropping of text or ``None`` for
                Console default. Defaults to ``None``.
            new_line_start (bool, False): Insert a new line at the start if the output contains more than one line. Defaults to ``False``.
</details>

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Pretty prints JSON. Output will be valid JSON.

<details><summary><h4>Arguments</h4></summary>

- `output`: Defaults to True.
            skip_keys (bool, optional): Skip keys not of a basic type. Defaults to False.
            ensure_ascii (bool, optional): Escape all non-ascii characters. Defaults to False.
            check_circular (bool, optional): Check for circular references. Defaults to True.
            allow_nan (bool, optional): Allow NaN and Infinity values. Defaults to True.
            default (Callable, optional): A callable that converts values that can not be encoded
                in to something that can be JSON encoded. Defaults to None.
            sort_keys (bool, optional): Sort dictionary keys. Defaults to False.
</details>

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Update the screen at a given offset.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: errors.
- `NoAltScreen`: If the Console isn't in alt screen mode.
</details>

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Update lines of the screen at a given offset.

<details><summary><h4>Arguments</h4></summary>

- `by`: m
- `eth`: `~rich.Console.render_lines`).
            x (int, optional): x offset (column no). Defaults to 0.
            y (int, optional): y offset (column no). Defaults to 0.
- `Raises`: errors.
- `NoAltScreen`: If the Console isn't in alt screen mode.
</details>

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Prints a rich render of the last exception and traceback.

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Get caller frame information.

<details><summary><h4>Returns</h4></summary>

Tuple[str, int, Dict[str, Any]]: A tuple containing the filename, the line number and
                the dictionary of local variables associated with the caller frame.

        Raises:
            RuntimeError: If the stack offset is invalid.
</details>

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

Log rich content to the terminal.

</details>

<details><summary><h3><strong>def on_broken_pipe(self)</strong></h3></summary>

This function is called when a `BrokenPipeError` is raised.

        This can occur when piping Textual output in Linux and macOS.
        The default implementation is to exit the app, but you could implement
        this method in a subclass to change the behavior.

        See https://docs.python.org/3/library/signal.html#note-on-sigpipe for details.

</details>

<details><summary><h3><strong>def _check_buffer(self)</strong></h3></summary>

Check if the buffer may be rendered. Render it if it can (e.g. Console.quiet is False)
        Rendering is supported on Windows, Unix and Jupyter environments. For
        legacy Windows consoles, the win32 API is called directly.
        This method will also record what it renders if recording is enabled via Console.record.

</details>

<details><summary><h3><strong>def _write_buffer(self)</strong></h3></summary>

Write the buffer to the output file.

</details>

<details><summary><h3><strong>def _render_buffer(self, buffer: Iterable[Segment])</strong></h3></summary>

Render buffered output, and clear buffer.

</details>

<details><summary><h3><strong>def export_text(self, *, clear: bool = True, styles: bool = False)</strong></h3></summary>

Displays a prompt and waits for input from the user. The prompt may contain color / style.

        It works in the same way as Python's builtin :func:`input` function and provides elaborate line editing and history features if Python's builtin :mod:`readline` module is previously loaded.

<details><summary><h4>Arguments</h4></summary>

- `password`: (bool, optional): Hide typed text. Defaults to False.
- `stream`: (TextIO, optional): Optional file to read input from (rather than stdin). Defaults to None.
</details>

<details><summary><h4>Returns</h4></summary>

str: Text read from stdin.
</details>

</details>

<details><summary><h3><strong>def export_text(self, *, clear: bool = True, styles: bool = False)</strong></h3></summary>

Generate text from console contents (requires record=True argument in constructor).

<details><summary><h4>Returns</h4></summary>

str: String containing console contents.
</details>

</details>

<details><summary><h3><strong>def save_text(self, path: str, *, clear: bool = True, styles: bool = False)</strong></h3></summary>

Generate text from console and save to a given location (requires record=True argument in constructor).

</details>

<details><summary><h3><strong>def get_svg_style(style: Style)</strong></h3></summary>

Generate HTML from console contents (requires record=True argument in constructor).

<details><summary><h4>Returns</h4></summary>

str: String containing console contents as HTML.
</details>

</details>

<details><summary><h3><strong>def get_svg_style(style: Style)</strong></h3></summary>

Generate HTML from console contents and write to a file (requires record=True argument in constructor).

</details>

<details><summary><h3><strong>def get_svg_style(style: Style)</strong></h3></summary>

Generate an SVG from the console contents (requires record=True in Console constructor).

</details>

<details><summary><h3><strong>def get_svg_style(style: Style)</strong></h3></summary>

Convert a Style to CSS rules for SVG.

</details>

<details><summary><h3><strong>def escape_text(text: str)</strong></h3></summary>

HTML escape text and replace spaces with nbsp.

</details>

<details><summary><h3><strong>def stringify(value: object)</strong></h3></summary>

Make a tag from name, content, and attributes.

</details>

<details><summary><h3><strong>def stringify(value: object)</strong></h3></summary>

<clipPath id="{unique_id}-line-{line_no}">
    {make_tag("rect", x=0, y=offset, width=char_width * width, height=line_height + 0.25)}
            </clipPath>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Generate an SVG file from the console contents (requires record=True in Console constructor).

</details>

<details><summary><h3><strong>def _svg_hash(svg_main_code: str)</strong></h3></summary>

Returns a unique hash for the given SVG main code.

<details><summary><h4>Returns</h4></summary>

str: a hash of the given content
</details>

</details>

</details>


<details><summary><h2><strong> constrain.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Constrain](#class-constrain)
</details>

<details><summary><h3><strong>class Constrain</strong></h3></summary>

Constrain the width of a renderable to a given number of characters.

</details>

</details>


<details><summary><h2><strong> containers.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Renderables](#class-renderables)
- [class which](#class-which)
- [class Lines](#class-lines)
- [class which](#class-which)
- [def __init__](#def-__init__)
- [def __rich_console__](#def-__rich_console__)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def __iter__](#def-__iter__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __getitem__](#def-__getitem__)
- [def __setitem__](#def-__setitem__)
- [def __len__](#def-__len__)
- [def __rich_console__](#def-__rich_console__)
- [def append](#def-append)
- [def extend](#def-extend)
- [def pop](#def-pop)
- [def justify](#def-justify)
</details>

<details><summary><h3><strong>class Renderables</strong></h3></summary>

A list subclass which renders its contents to the console.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

</details>

<details><summary><h3><strong>class which</strong></h3></summary>

def __init__(
        self, renderables: Optional[Iterable["RenderableType"]] = None
    ) -> None:
        self._renderables: List["RenderableType"] = (
            list(renderables) if renderables is not None else []
        )

    def __rich_console__(
        self, console: "Console", options: "ConsoleOptions"
    ) -> "RenderResult":

<details><summary><h4><strong>def __init__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

</details>

<details><summary><h3><strong>class Lines</strong></h3></summary>

A list subclass which can render to the console.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def append</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h4><strong>def extend</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h4><strong>def pop</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h4><strong>def justify</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

</details>

<details><summary><h3><strong>class which</strong></h3></summary>

def __init__(self, lines: Iterable["Text"] = ()) -> None:
        self._lines: List["Text"] = list(lines)

    def __repr__(self) -> str:
        return f"Lines({self._lines!r})"

    def __iter__(self) -> Iterator["Text"]:
        return iter(self._lines)

    @overload
    def __getitem__(self, index: int) -> "Text":
        ...

    @overload
    def __getitem__(self, index: slice) -> List["Text"]:
        ...

    def __getitem__(self, index: Union[slice, int]) -> Union["Text", List["Text"]]:
        return self._lines[index]

    def __setitem__(self, index: int, value: "Text") -> "Lines":
        self._lines[index] = value
        return self

    def __len__(self) -> int:
        return self._lines.__len__()

    def __rich_console__(
        self, console: "Console", options: "ConsoleOptions"
    ) -> "RenderResult":

<details><summary><h4><strong>def __init__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h4><strong>def append</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h4><strong>def extend</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h4><strong>def pop</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h4><strong>def justify</strong></h4></summary>

Justify and overflow text to a given width.

<details><summary><h5>Arguments</h5></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

</details>

<details><summary><h3><strong>def append(self, renderable: "RenderableType")</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def append(self, renderable: "RenderableType")</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __init__(self, lines: Iterable["Text"] = ()</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __getitem__(self, index: int)</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __getitem__(self, index: slice)</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __getitem__(self, index: Union[slice, int])</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __setitem__(self, index: int, value: "Text")</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def append(self, line: "Text")</strong></h3></summary>

Console render method to insert line-breaks.

</details>

<details><summary><h3><strong>def append(self, line: "Text")</strong></h3></summary>

Justify and overflow text to a given width.

<details><summary><h4>Arguments</h4></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h3><strong>def extend(self, lines: Iterable["Text"])</strong></h3></summary>

Justify and overflow text to a given width.

<details><summary><h4>Arguments</h4></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h3><strong>def pop(self, index: int = -1)</strong></h3></summary>

Justify and overflow text to a given width.

<details><summary><h4>Arguments</h4></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Justify and overflow text to a given width.

<details><summary><h4>Arguments</h4></summary>

- `text`: "crop", "fold", or "ellipsis". Defaults to "fold".
</details>

</details>

</details>


<details><summary><h2><strong> control.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Control](#class-control)
- [def __init__](#def-__init__)
- [def bell](#def-bell)
- [def home](#def-home)
- [def move](#def-move)
- [def get_codes](#def-get_codes)
- [def move_to_column](#def-move_to_column)
- [def move_to](#def-move_to)
- [def clear](#def-clear)
- [def show_cursor](#def-show_cursor)
- [def alt_screen](#def-alt_screen)
- [def title](#def-title)
</details>

<details><summary><h3><strong>class Control</strong></h3></summary>

A renderable that inserts a control code (non printable but may move cursor).

<details><summary><h4>Arguments</h4></summary>

- `a`: c
- `lass`: `~rich.segment.ControlType` enum or a
            tuple of ControlType and an integer parameter
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Ring the 'bell'.

</details>

<details><summary><h4><strong>def bell</strong></h4></summary>

Ring the 'bell'.

</details>

<details><summary><h4><strong>def home</strong></h4></summary>

Move cursor to 'home' position.

</details>

<details><summary><h4><strong>def move</strong></h4></summary>

Move cursor relative to current position.

<details><summary><h5>Returns</h5></summary>

~Control: Control object.
</details>

</details>

<details><summary><h4><strong>def get_codes</strong></h4></summary>

Move to the given column, optionally add offset to row.

<details><summary><h5>Returns</h5></summary>

x (int): absolute x (column)
            y (int): optional y offset (row)

        Returns:
            ~Control: Control object.
</details>

</details>

<details><summary><h4><strong>def move_to_column</strong></h4></summary>

Move to the given column, optionally add offset to row.

<details><summary><h5>Returns</h5></summary>

x (int): absolute x (column)
            y (int): optional y offset (row)

        Returns:
            ~Control: Control object.
</details>

</details>

<details><summary><h4><strong>def move_to</strong></h4></summary>

Move cursor to absolute position.

<details><summary><h5>Returns</h5></summary>

~Control: Control object.
</details>

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Clear the screen.

</details>

<details><summary><h4><strong>def show_cursor</strong></h4></summary>

Show or hide the cursor.

</details>

<details><summary><h4><strong>def alt_screen</strong></h4></summary>

Enable or disable alt screen.

</details>

<details><summary><h4><strong>def title</strong></h4></summary>

Set the terminal window title

</details>

</details>

<details><summary><h3><strong>def __init__(self, *codes: Union[ControlType, ControlCode])</strong></h3></summary>

Ring the 'bell'.

</details>

<details><summary><h3><strong>def bell(cls)</strong></h3></summary>

Ring the 'bell'.

</details>

<details><summary><h3><strong>def home(cls)</strong></h3></summary>

Move cursor to 'home' position.

</details>

<details><summary><h3><strong>def move(cls, x: int = 0, y: int = 0)</strong></h3></summary>

Move cursor relative to current position.

<details><summary><h4>Returns</h4></summary>

~Control: Control object.
</details>

</details>

<details><summary><h3><strong>def get_codes()</strong></h3></summary>

Move to the given column, optionally add offset to row.

<details><summary><h4>Returns</h4></summary>

x (int): absolute x (column)
            y (int): optional y offset (row)

        Returns:
            ~Control: Control object.
</details>

</details>

<details><summary><h3><strong>def move_to_column(cls, x: int, y: int = 0)</strong></h3></summary>

Move to the given column, optionally add offset to row.

<details><summary><h4>Returns</h4></summary>

x (int): absolute x (column)
            y (int): optional y offset (row)

        Returns:
            ~Control: Control object.
</details>

</details>

<details><summary><h3><strong>def move_to(cls, x: int, y: int)</strong></h3></summary>

Move cursor to absolute position.

<details><summary><h4>Returns</h4></summary>

~Control: Control object.
</details>

</details>

<details><summary><h3><strong>def clear(cls)</strong></h3></summary>

Clear the screen.

</details>

<details><summary><h3><strong>def show_cursor(cls, show: bool)</strong></h3></summary>

Show or hide the cursor.

</details>

<details><summary><h3><strong>def alt_screen(cls, enable: bool)</strong></h3></summary>

Enable or disable alt screen.

</details>

<details><summary><h3><strong>def title(cls, title: str)</strong></h3></summary>

Set the terminal window title

</details>

</details>


<details><summary><h2><strong> default_styles.py</strong></h2></summary>

</details>


<details><summary><h2><strong> diagnose.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def report](#def-report)
</details>

<details><summary><h3><strong>def report()</strong></h3></summary>

Print a report to the terminal with debugging information

</details>

</details>


<details><summary><h2><strong> emoji.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class NoEmoji](#class-noemoji)
- [class Emoji](#class-emoji)
- [def __init__](#def-__init__)
- [def replace](#def-replace)
</details>

<details><summary><h3><strong>class NoEmoji</strong></h3></summary>

No emoji by that name.

</details>

<details><summary><h3><strong>class Emoji</strong></h3></summary>

A single emoji character.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: N
- `oEmoji`: If the emoji doesn't exist.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

A single emoji character.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: N
- `oEmoji`: If the emoji doesn't exist.
</details>

</details>

<details><summary><h4><strong>def replace</strong></h4></summary>

Replace emoji markup with corresponding unicode characters.

<details><summary><h5>Arguments</h5></summary>

- `Hello`: s
- `miley`: !"
</details>

<details><summary><h5>Returns</h5></summary>

str: A string with emoji codes replaces with actual emoji.
</details>

</details>

</details>

<details><summary><h3><strong>def replace(cls, text: str)</strong></h3></summary>

A single emoji character.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: N
- `oEmoji`: If the emoji doesn't exist.
</details>

</details>

<details><summary><h3><strong>def replace(cls, text: str)</strong></h3></summary>

Replace emoji markup with corresponding unicode characters.

<details><summary><h4>Arguments</h4></summary>

- `Hello`: s
- `miley`: !"
</details>

<details><summary><h4>Returns</h4></summary>

str: A string with emoji codes replaces with actual emoji.
</details>

</details>

</details>


<details><summary><h2><strong> errors.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ConsoleError](#class-consoleerror)
- [class StyleError](#class-styleerror)
- [class StyleSyntaxError](#class-stylesyntaxerror)
- [class MissingStyle](#class-missingstyle)
- [class StyleStackError](#class-stylestackerror)
- [class NotRenderableError](#class-notrenderableerror)
- [class MarkupError](#class-markuperror)
- [class LiveError](#class-liveerror)
- [class NoAltScreen](#class-noaltscreen)
</details>

<details><summary><h3><strong>class ConsoleError</strong></h3></summary>

An error in console operation.

</details>

<details><summary><h3><strong>class StyleError</strong></h3></summary>

An error in styles.

</details>

<details><summary><h3><strong>class StyleSyntaxError</strong></h3></summary>

Style was badly formatted.

</details>

<details><summary><h3><strong>class MissingStyle</strong></h3></summary>

No such style.

</details>

<details><summary><h3><strong>class StyleStackError</strong></h3></summary>

Style stack is invalid.

</details>

<details><summary><h3><strong>class NotRenderableError</strong></h3></summary>

Object is not renderable.

</details>

<details><summary><h3><strong>class MarkupError</strong></h3></summary>

Markup was badly formatted.

</details>

<details><summary><h3><strong>class LiveError</strong></h3></summary>

Error related to Live display.

</details>

<details><summary><h3><strong>class NoAltScreen</strong></h3></summary>

Alt screen mode was required.

</details>

</details>


<details><summary><h2><strong> file_proxy.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class FileProxy](#class-fileproxy)
- [def __init__](#def-__init__)
- [def rich_proxied_file](#def-rich_proxied_file)
</details>

<details><summary><h3><strong>class FileProxy</strong></h3></summary>

Wraps a file (e.g. sys.stdout) and redirects writes to a console.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get proxied file.

</details>

<details><summary><h4><strong>def rich_proxied_file</strong></h4></summary>

Get proxied file.

</details>

</details>

<details><summary><h3><strong>def __init__(self, console: "Console", file: IO[str])</strong></h3></summary>

Get proxied file.

</details>

<details><summary><h3><strong>def rich_proxied_file(self)</strong></h3></summary>

Get proxied file.

</details>

</details>


<details><summary><h2><strong> filesize.py</strong></h2></summary>

Functions for reporting filesizes. Borrowed from https://github.com/PyFilesystem/pyfilesystem2

The functions declared in this module should cover the different
use cases needed to generate a string representation of a file size
using several different units. Since there are many standards regarding
file size units, three different functions have been implemented.

See Also:
    * `Wikipedia: Binary prefix <https://en.wikipedia.org/wiki/Binary_prefix>`_

<details open><summary><h3>Contents</h3></summary>

- [def pick_unit_and_suffix](#def-pick_unit_and_suffix)
</details>

<details><summary><h3><strong>def pick_unit_and_suffix(size: int, suffixes: List[str], base: int)</strong></h3></summary>

Pick a suffix and base for the given size.

</details>

</details>


<details><summary><h2><strong> highlighter.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Highlighter](#class-highlighter)
- [class for](#class-for)
- [class NullHighlighter](#class-nullhighlighter)
- [class RegexHighlighter](#class-regexhighlighter)
- [class ReprHighlighter](#class-reprhighlighter)
- [class JSONHighlighter](#class-jsonhighlighter)
- [class ISO8601Highlighter](#class-iso8601highlighter)
- [def _combine_regex](#def-_combine_regex)
- [def __call__](#def-__call__)
- [def highlight](#def-highlight)
- [def highlight](#def-highlight)
- [def highlight](#def-highlight)
</details>

<details><summary><h3><strong>class Highlighter</strong></h3></summary>

Abstract base class for highlighters.

<details><summary><h4><strong>def __call__</strong></h4></summary>

Highlight a str or Text instance.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: T
- `ypeError`: If not called with text or str.
</details>

<details><summary><h5>Returns</h5></summary>

Text: A test instance with highlighting applied.
</details>

</details>

<details><summary><h4><strong>def highlight</strong></h4></summary>

Apply highlighting in place to text.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

def __call__(self, text: Union[str, Text]) -> Text:

<details><summary><h4><strong>def __call__</strong></h4></summary>

Highlight a str or Text instance.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: T
- `ypeError`: If not called with text or str.
</details>

<details><summary><h5>Returns</h5></summary>

Text: A test instance with highlighting applied.
</details>

</details>

<details><summary><h4><strong>def highlight</strong></h4></summary>

Apply highlighting in place to text.

</details>

</details>

<details><summary><h3><strong>class NullHighlighter</strong></h3></summary>

A highlighter object that doesn't highlight.

    May be used to disable highlighting entirely.

<details><summary><h4><strong>def highlight</strong></h4></summary>

Nothing to do

</details>

</details>

<details><summary><h3><strong>class RegexHighlighter</strong></h3></summary>

Applies highlighting from a list of regular expressions.

<details><summary><h4><strong>def highlight</strong></h4></summary>

Highlight :class:`rich.text.Text` using regular expressions.

</details>

</details>

<details><summary><h3><strong>class ReprHighlighter</strong></h3></summary>

Highlights the text typically produced from ``__repr__`` methods.

</details>

<details><summary><h3><strong>class JSONHighlighter</strong></h3></summary>

Highlights JSON

</details>

<details><summary><h3><strong>class ISO8601Highlighter</strong></h3></summary>

Highlights the ISO8601 date time strings.
    Regex reference: https://www.oreilly.com/library/view/regular-expressions-cookbook/9781449327453/ch04s07.html

</details>

<details><summary><h3><strong>def _combine_regex(*regexes: str)</strong></h3></summary>

Combine a number of regexes in to a single regex.

<details><summary><h4>Returns</h4></summary>

str: New regex with all regexes ORed together.
</details>

</details>

<details><summary><h3><strong>def __call__(self, text: Union[str, Text])</strong></h3></summary>

Highlight a str or Text instance.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: T
- `ypeError`: If not called with text or str.
</details>

<details><summary><h4>Returns</h4></summary>

Text: A test instance with highlighting applied.
</details>

</details>

<details><summary><h3><strong>def highlight(self, text: Text)</strong></h3></summary>

Apply highlighting in place to text.

</details>

<details><summary><h3><strong>def highlight(self, text: Text)</strong></h3></summary>

Nothing to do

</details>

<details><summary><h3><strong>def highlight(self, text: Text)</strong></h3></summary>

Highlight :class:`rich.text.Text` using regular expressions.

</details>

</details>


<details><summary><h2><strong> json.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class JSON](#class-json)
- [def __init__](#def-__init__)
- [def from_data](#def-from_data)
</details>

<details><summary><h3><strong>class JSON</strong></h3></summary>

A renderable which pretty prints JSON.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Encodes a JSON object from arbitrary data.

<details><summary><h5>Returns</h5></summary>

JSON: New JSON object from the given data.
</details>

</details>

<details><summary><h4><strong>def from_data</strong></h4></summary>

Encodes a JSON object from arbitrary data.

<details><summary><h5>Returns</h5></summary>

JSON: New JSON object from the given data.
</details>

</details>

</details>

<details><summary><h3><strong>def __rich__(self)</strong></h3></summary>

Encodes a JSON object from arbitrary data.

<details><summary><h4>Returns</h4></summary>

JSON: New JSON object from the given data.
</details>

</details>

<details><summary><h3><strong>def __rich__(self)</strong></h3></summary>

Encodes a JSON object from arbitrary data.

<details><summary><h4>Returns</h4></summary>

JSON: New JSON object from the given data.
</details>

</details>

</details>


<details><summary><h2><strong> jupyter.py</strong></h2></summary>

class JupyterRenderable:

<details open><summary><h3>Contents</h3></summary>

- [class JupyterRenderable](#class-jupyterrenderable)
- [class JupyterMixin](#class-jupytermixin)
- [def _render_segments](#def-_render_segments)
- [def escape](#def-escape)
- [def display](#def-display)
- [def print](#def-print)
</details>

<details><summary><h3><strong>class JupyterRenderable</strong></h3></summary>

A shim to write html to Jupyter notebook.

</details>

<details><summary><h3><strong>class JupyterMixin</strong></h3></summary>

Add to an Rich renderable to make it render in Jupyter notebook.

</details>

<details><summary><h3><strong>def _render_segments(segments: Iterable[Segment])</strong></h3></summary>

Escape html.

</details>

<details><summary><h3><strong>def escape(text: str)</strong></h3></summary>

Escape html.

</details>

<details><summary><h3><strong>def display(segments: Iterable[Segment], text: str)</strong></h3></summary>

Render segments to Jupyter.

</details>

<details><summary><h3><strong>def print(*args: Any, **kwargs: Any)</strong></h3></summary>

Proxy for Console print.

</details>

</details>


<details><summary><h2><strong> layout.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class LayoutRender](#class-layoutrender)
- [class LayoutError](#class-layouterror)
- [class NoSplitter](#class-nosplitter)
- [class _Placeholder](#class-_placeholder)
- [class Splitter](#class-splitter)
- [class for](#class-for)
- [class RowSplitter](#class-rowsplitter)
- [class ColumnSplitter](#class-columnsplitter)
- [class Layout](#class-layout)
- [def get_tree_icon](#def-get_tree_icon)
- [def divide](#def-divide)
- [def __init__](#def-__init__)
- [def __rich_repr__](#def-__rich_repr__)
- [def renderable](#def-renderable)
- [def children](#def-children)
- [def map](#def-map)
- [def get](#def-get)
- [def __getitem__](#def-__getitem__)
- [def tree](#def-tree)
- [def summary](#def-summary)
- [def recurse](#def-recurse)
- [def split](#def-split)
- [def add_split](#def-add_split)
- [def split_row](#def-split_row)
- [def split_column](#def-split_column)
- [def unsplit](#def-unsplit)
- [def update](#def-update)
- [def refresh_screen](#def-refresh_screen)
- [def _make_region_map](#def-_make_region_map)
- [def render](#def-render)
</details>

<details><summary><h3><strong>class LayoutRender</strong></h3></summary>

An individual layout render.

</details>

<details><summary><h3><strong>class LayoutError</strong></h3></summary>

Layout related error.

</details>

<details><summary><h3><strong>class NoSplitter</strong></h3></summary>

Requested splitter does not exist.

</details>

<details><summary><h3><strong>class _Placeholder</strong></h3></summary>

An internal renderable used as a Layout placeholder.

</details>

<details><summary><h3><strong>class Splitter</strong></h3></summary>

Base class for a splitter.

<details><summary><h4><strong>def get_tree_icon</strong></h4></summary>

Get the icon (emoji) used in layout.tree

</details>

<details><summary><h4><strong>def divide</strong></h4></summary>

Divide a region amongst several child layouts.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

name: str = ""

    @abstractmethod
    def get_tree_icon(self) -> str:

<details><summary><h4><strong>def get_tree_icon</strong></h4></summary>

Get the icon (emoji) used in layout.tree

</details>

<details><summary><h4><strong>def divide</strong></h4></summary>

Divide a region amongst several child layouts.

</details>

</details>

<details><summary><h3><strong>class RowSplitter</strong></h3></summary>

Split a layout region in to rows.

</details>

<details><summary><h3><strong>class ColumnSplitter</strong></h3></summary>

Split a layout region in to columns.

</details>

<details><summary><h3><strong>class Layout</strong></h3></summary>

A renderable to divide a fixed height in to rows or columns.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Layout renderable.

</details>

<details><summary><h4><strong>def __rich_repr__</strong></h4></summary>

Layout renderable.

</details>

<details><summary><h4><strong>def renderable</strong></h4></summary>

Layout renderable.

</details>

<details><summary><h4><strong>def children</strong></h4></summary>

Gets (visible) layout children.

</details>

<details><summary><h4><strong>def map</strong></h4></summary>

Get a map of the last render.

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Get a named layout, or None if it doesn't exist.

<details><summary><h5>Returns</h5></summary>

Optional[Layout]: Layout instance or None if no layout was found.
</details>

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Get a tree renderable to show layout structure.

</details>

<details><summary><h4><strong>def tree</strong></h4></summary>

Get a tree renderable to show layout structure.

</details>

<details><summary><h4><strong>def summary</strong></h4></summary>

Split the layout in to multiple sub-layouts.

</details>

<details><summary><h4><strong>def recurse</strong></h4></summary>

Split the layout in to multiple sub-layouts.

</details>

<details><summary><h4><strong>def split</strong></h4></summary>

Split the layout in to multiple sub-layouts.

</details>

<details><summary><h4><strong>def add_split</strong></h4></summary>

Add a new layout(s) to existing split.

</details>

<details><summary><h4><strong>def split_row</strong></h4></summary>

Split the layout in to a row (layouts side by side).

</details>

<details><summary><h4><strong>def split_column</strong></h4></summary>

Split the layout in to a column (layouts stacked on top of each other).

</details>

<details><summary><h4><strong>def unsplit</strong></h4></summary>

Reset splits to initial state.

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update renderable.

</details>

<details><summary><h4><strong>def refresh_screen</strong></h4></summary>

Refresh a sub-layout.

</details>

<details><summary><h4><strong>def _make_region_map</strong></h4></summary>

Create a dict that maps layout on to Region.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render the sub_layouts.

<details><summary><h5>Returns</h5></summary>

RenderMap: A dict that maps Layout on to a tuple of Region, lines
</details>

</details>

</details>

<details><summary><h3><strong>def get_tree_icon(self)</strong></h3></summary>

Get the icon (emoji) used in layout.tree

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Divide a region amongst several child layouts.

</details>

<details><summary><h3><strong>def __rich_repr__(self)</strong></h3></summary>

Layout renderable.

</details>

<details><summary><h3><strong>def __rich_repr__(self)</strong></h3></summary>

Layout renderable.

</details>

<details><summary><h3><strong>def renderable(self)</strong></h3></summary>

Layout renderable.

</details>

<details><summary><h3><strong>def children(self)</strong></h3></summary>

Gets (visible) layout children.

</details>

<details><summary><h3><strong>def map(self)</strong></h3></summary>

Get a map of the last render.

</details>

<details><summary><h3><strong>def get(self, name: str)</strong></h3></summary>

Get a named layout, or None if it doesn't exist.

<details><summary><h4>Returns</h4></summary>

Optional[Layout]: Layout instance or None if no layout was found.
</details>

</details>

<details><summary><h3><strong>def __getitem__(self, name: str)</strong></h3></summary>

Get a tree renderable to show layout structure.

</details>

<details><summary><h3><strong>def tree(self)</strong></h3></summary>

Get a tree renderable to show layout structure.

</details>

<details><summary><h3><strong>def summary(layout: "Layout")</strong></h3></summary>

Split the layout in to multiple sub-layouts.

</details>

<details><summary><h3><strong>def recurse(tree: "Tree", layout: "Layout")</strong></h3></summary>

Split the layout in to multiple sub-layouts.

</details>

<details><summary><h3><strong>def add_split(self, *layouts: Union["Layout", RenderableType])</strong></h3></summary>

Split the layout in to multiple sub-layouts.

</details>

<details><summary><h3><strong>def add_split(self, *layouts: Union["Layout", RenderableType])</strong></h3></summary>

Add a new layout(s) to existing split.

</details>

<details><summary><h3><strong>def split_row(self, *layouts: Union["Layout", RenderableType])</strong></h3></summary>

Split the layout in to a row (layouts side by side).

</details>

<details><summary><h3><strong>def split_column(self, *layouts: Union["Layout", RenderableType])</strong></h3></summary>

Split the layout in to a column (layouts stacked on top of each other).

</details>

<details><summary><h3><strong>def unsplit(self)</strong></h3></summary>

Reset splits to initial state.

</details>

<details><summary><h3><strong>def update(self, renderable: RenderableType)</strong></h3></summary>

Update renderable.

</details>

<details><summary><h3><strong>def refresh_screen(self, console: "Console", layout_name: str)</strong></h3></summary>

Refresh a sub-layout.

</details>

<details><summary><h3><strong>def _make_region_map(self, width: int, height: int)</strong></h3></summary>

Create a dict that maps layout on to Region.

</details>

<details><summary><h3><strong>def render(self, console: Console, options: ConsoleOptions)</strong></h3></summary>

Render the sub_layouts.

<details><summary><h4>Returns</h4></summary>

RenderMap: A dict that maps Layout on to a tuple of Region, lines
</details>

</details>

</details>


<details><summary><h2><strong> live.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _RefreshThread](#class-_refreshthread)
- [class Live](#class-live)
- [def __init__](#def-__init__)
- [def is_started](#def-is_started)
- [def get_renderable](#def-get_renderable)
- [def start](#def-start)
- [def stop](#def-stop)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def _enable_redirect_io](#def-_enable_redirect_io)
- [def _disable_redirect_io](#def-_disable_redirect_io)
- [def renderable](#def-renderable)
- [def update](#def-update)
- [def refresh](#def-refresh)
- [def process_renderables](#def-process_renderables)
- [def loop_last](#def-loop_last)
</details>

<details><summary><h3><strong>class _RefreshThread</strong></h3></summary>

A thread that calls refresh() at regular intervals.

</details>

<details><summary><h3><strong>class Live</strong></h3></summary>

Renders an auto-updating live display of any given renderable.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Check if live display has been started.

</details>

<details><summary><h4><strong>def is_started</strong></h4></summary>

Check if live display has been started.

</details>

<details><summary><h4><strong>def get_renderable</strong></h4></summary>

Start live rendering display.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Start live rendering display.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Stop live rendering display.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Enable redirecting of stdout / stderr.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Enable redirecting of stdout / stderr.

</details>

<details><summary><h4><strong>def _enable_redirect_io</strong></h4></summary>

Enable redirecting of stdout / stderr.

</details>

<details><summary><h4><strong>def _disable_redirect_io</strong></h4></summary>

Disable redirecting of stdout / stderr.

</details>

<details><summary><h4><strong>def renderable</strong></h4></summary>

Get the renderable that is being displayed

<details><summary><h5>Returns</h5></summary>

RenderableType: Displayed renderable.
</details>

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update the renderable that is being displayed

</details>

<details><summary><h4><strong>def refresh</strong></h4></summary>

Update the display of the Live Render.

</details>

<details><summary><h4><strong>def process_renderables</strong></h4></summary>

Process renderables to restore cursor and display progress.

</details>

</details>

<details><summary><h3><strong>def is_started(self)</strong></h3></summary>

Check if live display has been started.

</details>

<details><summary><h3><strong>def is_started(self)</strong></h3></summary>

Check if live display has been started.

</details>

<details><summary><h3><strong>def get_renderable(self)</strong></h3></summary>

Start live rendering display.

</details>

<details><summary><h3><strong>def start(self, refresh: bool = False)</strong></h3></summary>

Start live rendering display.

</details>

<details><summary><h3><strong>def stop(self)</strong></h3></summary>

Stop live rendering display.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Enable redirecting of stdout / stderr.

</details>

<details><summary><h3><strong>def _enable_redirect_io(self)</strong></h3></summary>

Enable redirecting of stdout / stderr.

</details>

<details><summary><h3><strong>def _enable_redirect_io(self)</strong></h3></summary>

Enable redirecting of stdout / stderr.

</details>

<details><summary><h3><strong>def _disable_redirect_io(self)</strong></h3></summary>

Disable redirecting of stdout / stderr.

</details>

<details><summary><h3><strong>def renderable(self)</strong></h3></summary>

Get the renderable that is being displayed

<details><summary><h4>Returns</h4></summary>

RenderableType: Displayed renderable.
</details>

</details>

<details><summary><h3><strong>def update(self, renderable: RenderableType, *, refresh: bool = False)</strong></h3></summary>

Update the renderable that is being displayed

</details>

<details><summary><h3><strong>def refresh(self)</strong></h3></summary>

Update the display of the Live Render.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Process renderables to restore cursor and display progress.

</details>

<details><summary><h3><strong>def loop_last(values: Iterable[T])</strong></h3></summary>

Iterate and generate a tuple with a flag for last value.

</details>

</details>


<details><summary><h2><strong> live_render.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class LiveRender](#class-liverender)
- [def __init__](#def-__init__)
- [def set_renderable](#def-set_renderable)
- [def position_cursor](#def-position_cursor)
- [def restore_cursor](#def-restore_cursor)
</details>

<details><summary><h3><strong>class LiveRender</strong></h3></summary>

Creates a renderable that may be updated.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Set a new renderable.

</details>

<details><summary><h4><strong>def set_renderable</strong></h4></summary>

Set a new renderable.

</details>

<details><summary><h4><strong>def position_cursor</strong></h4></summary>

Get control codes to move cursor to beginning of live render.

<details><summary><h5>Returns</h5></summary>

Control: A control instance that may be printed.
</details>

</details>

<details><summary><h4><strong>def restore_cursor</strong></h4></summary>

Get control codes to clear the render and restore the cursor to its previous position.

<details><summary><h5>Returns</h5></summary>

Control: A Control instance that may be printed.
</details>

</details>

</details>

<details><summary><h3><strong>def set_renderable(self, renderable: RenderableType)</strong></h3></summary>

Set a new renderable.

</details>

<details><summary><h3><strong>def set_renderable(self, renderable: RenderableType)</strong></h3></summary>

Set a new renderable.

</details>

<details><summary><h3><strong>def position_cursor(self)</strong></h3></summary>

Get control codes to move cursor to beginning of live render.

<details><summary><h4>Returns</h4></summary>

Control: A control instance that may be printed.
</details>

</details>

<details><summary><h3><strong>def restore_cursor(self)</strong></h3></summary>

Get control codes to clear the render and restore the cursor to its previous position.

<details><summary><h4>Returns</h4></summary>

Control: A Control instance that may be printed.
</details>

</details>

</details>


<details><summary><h2><strong> logging.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class RichHandler](#class-richhandler)
- [def __init__](#def-__init__)
- [def get_level_text](#def-get_level_text)
- [def emit](#def-emit)
- [def render_message](#def-render_message)
- [def render](#def-render)
</details>

<details><summary><h3><strong>class RichHandler</strong></h3></summary>

A logging handler that renders output with Rich. The time / level / message and file are displayed in columns.
    The level is color coded, and the message is syntax highlighted.

    Note:
        Be careful when enabling console markup in log messages if you have configured logging for libraries not
        under your control. If a dependency writes messages containing square brackets, it may not produce the intended output.

<details><summary><h4>Arguments</h4></summary>

- `class`: `~rich.console.Console`, optional): Optional console instance to write logs.
            Default will use a global console instance writing to stdout.
        show_time (bool, optional): Show a column for the time. Defaults to True.
        omit_repeated_times (bool, optional): Omit repetition of the same time. Defaults to True.
        show_level (bool, optional): Show a column for the level. Defaults to True.
        show_path (bool, optional): Show the path to the original log call. Defaults to True.
        enable_link_path (bool, optional): Enable terminal link of path column to file. Defaults to True.
        highlighter (Highlighter, optional): Highlighter to style log messages, or None to use ReprHighlighter. Defaults to None.
        markup (bool, optional): Enable console markup in log messages. Defaults to False.
        rich_tracebacks (bool, optional): Enable rich tracebacks with syntax highlighting and formatting. Defaults to False.
        tracebacks_width (Optional[int], optional): Number of characters used to render tracebacks, or None for full width. Defaults to None.
        tracebacks_code_width (int, optional): Number of code characters used to render tracebacks, or None for full width. Defaults to 88.
        tracebacks_extra_lines (int, optional): Additional lines of code to render tracebacks, or None for full width. Defaults to None.
        tracebacks_theme (str, optional): Override pygments theme used in traceback.
        tracebacks_word_wrap (bool, optional): Enable word wrapping of long tracebacks lines. Defaults to True.
        tracebacks_show_locals (bool, optional): Enable display of locals in tracebacks. Defaults to False.
        tracebacks_suppress (Sequence[Union[str, ModuleType]]): Optional sequence of modules or paths to exclude from traceback.
        tracebacks_max_frames (int, optional): Optional maximum number of frames returned by traceback.
        locals_max_length (int, optional): Maximum length of containers before abbreviating, or None for no abbreviation.
            Defaults to 10.
        locals_max_string (int, optional): Maximum length of string before truncating, or None to disable. Defaults to 80.
        log_time_format (Union[str, TimeFormatterCallable], optional): If ``log_time`` is enabled, either string for strftime or callable that formats the time. Defaults to "[%x %X] ".
        keywords (List[str], optional): List of words to highlight instead of ``RichHandler.KEYWORDS``.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the level name from the record.

<details><summary><h5>Returns</h5></summary>

Text: A tuple of the style and level name.
</details>

</details>

<details><summary><h4><strong>def get_level_text</strong></h4></summary>

Get the level name from the record.

<details><summary><h5>Returns</h5></summary>

Text: A tuple of the style and level name.
</details>

</details>

<details><summary><h4><strong>def emit</strong></h4></summary>

Invoked by logging.

</details>

<details><summary><h4><strong>def render_message</strong></h4></summary>

Render message text in to Text.

<details><summary><h5>Returns</h5></summary>

ConsoleRenderable: Renderable to display log message.
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render log for display.

<details><summary><h5>Returns</h5></summary>

ConsoleRenderable: Renderable to display log.
</details>

</details>

</details>

<details><summary><h3><strong>def get_level_text(self, record: LogRecord)</strong></h3></summary>

Get the level name from the record.

<details><summary><h4>Returns</h4></summary>

Text: A tuple of the style and level name.
</details>

</details>

<details><summary><h3><strong>def get_level_text(self, record: LogRecord)</strong></h3></summary>

Get the level name from the record.

<details><summary><h4>Returns</h4></summary>

Text: A tuple of the style and level name.
</details>

</details>

<details><summary><h3><strong>def emit(self, record: LogRecord)</strong></h3></summary>

Invoked by logging.

</details>

<details><summary><h3><strong>def render_message(self, record: LogRecord, message: str)</strong></h3></summary>

Render message text in to Text.

<details><summary><h4>Returns</h4></summary>

ConsoleRenderable: Renderable to display log message.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Render log for display.

<details><summary><h4>Returns</h4></summary>

ConsoleRenderable: Renderable to display log.
</details>

</details>

</details>


<details><summary><h2><strong> markdown.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class MarkdownElement](#class-markdownelement)
- [class UnknownElement](#class-unknownelement)
- [class TextElement](#class-textelement)
- [class Paragraph](#class-paragraph)
- [class Heading](#class-heading)
- [class CodeBlock](#class-codeblock)
- [class BlockQuote](#class-blockquote)
- [class HorizontalRule](#class-horizontalrule)
- [class TableElement](#class-tableelement)
- [class TableHeaderElement](#class-tableheaderelement)
- [class TableBodyElement](#class-tablebodyelement)
- [class TableRowElement](#class-tablerowelement)
- [class TableDataElement](#class-tabledataelement)
- [class ListElement](#class-listelement)
- [class ListItem](#class-listitem)
- [class ImageItem](#class-imageitem)
- [class MarkdownContext](#class-markdowncontext)
- [class Markdown](#class-markdown)
- [def create](#def-create)
- [def on_enter](#def-on_enter)
- [def on_text](#def-on_text)
- [def on_leave](#def-on_leave)
- [def on_child_close](#def-on_child_close)
- [def create](#def-create)
- [def __init__](#def-__init__)
- [def current_style](#def-current_style)
- [def on_text](#def-on_text)
- [def enter_style](#def-enter_style)
- [def leave_style](#def-leave_style)
- [def __init__](#def-__init__)
- [def _flatten_tokens](#def-_flatten_tokens)
- [def __rich_console__](#def-__rich_console__)
</details>

<details><summary><h3><strong>class MarkdownElement</strong></h3></summary>

Factory to create markdown element,

<details><summary><h4><strong>def create</strong></h4></summary>

Factory to create markdown element,

<details><summary><h5>Returns</h5></summary>

MarkdownElement: A new markdown element
</details>

</details>

<details><summary><h4><strong>def on_enter</strong></h4></summary>

Called when the node is entered.

</details>

<details><summary><h4><strong>def on_text</strong></h4></summary>

Called when text is parsed.

</details>

<details><summary><h4><strong>def on_leave</strong></h4></summary>

Called when the parser leaves the element.

</details>

<details><summary><h4><strong>def on_child_close</strong></h4></summary>

Called when a child element is closed.

        This method allows a parent element to take over rendering of its children.

<details><summary><h5>Returns</h5></summary>

bool: Return True to render the element, or False to not render the element.
</details>

</details>

</details>

<details><summary><h3><strong>class UnknownElement</strong></h3></summary>

An unknown element.

    Hopefully there will be no unknown elements, and we will have a MarkdownElement for
    everything in the document.

</details>

<details><summary><h3><strong>class TextElement</strong></h3></summary>

Base class for elements that render text.

</details>

<details><summary><h3><strong>class Paragraph</strong></h3></summary>

A Paragraph.

</details>

<details><summary><h3><strong>class Heading</strong></h3></summary>

A heading.

</details>

<details><summary><h3><strong>class CodeBlock</strong></h3></summary>

A code block with syntax highlighting.

</details>

<details><summary><h3><strong>class BlockQuote</strong></h3></summary>

A block quote.

</details>

<details><summary><h3><strong>class HorizontalRule</strong></h3></summary>

A horizontal rule to divide sections.

</details>

<details><summary><h3><strong>class TableElement</strong></h3></summary>

MarkdownElement corresponding to `table_open`.

</details>

<details><summary><h3><strong>class TableHeaderElement</strong></h3></summary>

MarkdownElement corresponding to `thead_open` and `thead_close`.

</details>

<details><summary><h3><strong>class TableBodyElement</strong></h3></summary>

MarkdownElement corresponding to `tbody_open` and `tbody_close`.

</details>

<details><summary><h3><strong>class TableRowElement</strong></h3></summary>

MarkdownElement corresponding to `tr_open` and `tr_close`.

</details>

<details><summary><h3><strong>class TableDataElement</strong></h3></summary>

MarkdownElement corresponding to `td_open` and `td_close`
    and `th_open` and `th_close`.

</details>

<details><summary><h3><strong>class ListElement</strong></h3></summary>

A list element.

</details>

<details><summary><h3><strong>class ListItem</strong></h3></summary>

An item in a list.

</details>

<details><summary><h3><strong>class ImageItem</strong></h3></summary>

Renders a placeholder for an image.

<details><summary><h4><strong>def create</strong></h4></summary>

Factory to create markdown element,

<details><summary><h5>Returns</h5></summary>

MarkdownElement: A new markdown element
</details>

</details>

</details>

<details><summary><h3><strong>class MarkdownContext</strong></h3></summary>

Manages the console render state.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Current style which is the product of all styles on the stack.

</details>

<details><summary><h4><strong>def current_style</strong></h4></summary>

Current style which is the product of all styles on the stack.

</details>

<details><summary><h4><strong>def on_text</strong></h4></summary>

Called when the parser visits text.

</details>

<details><summary><h4><strong>def enter_style</strong></h4></summary>

Enter a style context.

</details>

<details><summary><h4><strong>def leave_style</strong></h4></summary>

Leave a style context.

</details>

</details>

<details><summary><h3><strong>class Markdown</strong></h3></summary>

A Markdown renderable.

<details><summary><h4>Arguments</h4></summary>

- `https`: //pygments.org/styles/ for code themes.
        justify (JustifyMethod, optional): Justify value for paragraphs. Defaults to None.
        style (Union[str, Style], optional): Optional style to apply to markdown.
        hyperlinks (bool, optional): Enable hyperlinks. Defaults to ``True``.
- `inline_code_lexer`: (str, optional): Lexer to use if inline code highlighting is
            enabled. Defaults to None.
- `inline_code_theme`: (Optional[str], optional): Pygments theme for inline code
            highlighting, or None for no highlighting. Defaults to None.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Flattens the token stream.

</details>

<details><summary><h4><strong>def _flatten_tokens</strong></h4></summary>

Flattens the token stream.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Render markdown to the console.

</details>

</details>

<details><summary><h3><strong>def create(cls, markdown: Markdown, token: Token)</strong></h3></summary>

Factory to create markdown element,

<details><summary><h4>Returns</h4></summary>

MarkdownElement: A new markdown element
</details>

</details>

<details><summary><h3><strong>def on_enter(self, context: MarkdownContext)</strong></h3></summary>

Called when the node is entered.

</details>

<details><summary><h3><strong>def on_text(self, context: MarkdownContext, text: TextType)</strong></h3></summary>

Called when text is parsed.

</details>

<details><summary><h3><strong>def on_leave(self, context: MarkdownContext)</strong></h3></summary>

Called when the parser leaves the element.

</details>

<details><summary><h3><strong>def on_child_close(self, context: MarkdownContext, child: MarkdownElement)</strong></h3></summary>

Called when a child element is closed.

        This method allows a parent element to take over rendering of its children.

<details><summary><h4>Returns</h4></summary>

bool: Return True to render the element, or False to not render the element.
</details>

</details>

<details><summary><h3><strong>def create(cls, markdown: Markdown, token: Token)</strong></h3></summary>

Factory to create markdown element,

<details><summary><h4>Returns</h4></summary>

MarkdownElement: A new markdown element
</details>

</details>

<details><summary><h3><strong>def current_style(self)</strong></h3></summary>

Current style which is the product of all styles on the stack.

</details>

<details><summary><h3><strong>def current_style(self)</strong></h3></summary>

Current style which is the product of all styles on the stack.

</details>

<details><summary><h3><strong>def on_text(self, text: str, node_type: str)</strong></h3></summary>

Called when the parser visits text.

</details>

<details><summary><h3><strong>def enter_style(self, style_name: str | Style)</strong></h3></summary>

Enter a style context.

</details>

<details><summary><h3><strong>def leave_style(self)</strong></h3></summary>

Leave a style context.

</details>

<details><summary><h3><strong>def _flatten_tokens(self, tokens: Iterable[Token])</strong></h3></summary>

Flattens the token stream.

</details>

<details><summary><h3><strong>def _flatten_tokens(self, tokens: Iterable[Token])</strong></h3></summary>

Flattens the token stream.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Render markdown to the console.

</details>

</details>


<details><summary><h2><strong> markup.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Tag](#class-tag)
- [def __str__](#def-__str__)
- [def markup](#def-markup)
- [def escape_backslashes](#def-escape_backslashes)
- [def _parse](#def-_parse)
- [def pop_style](#def-pop_style)
</details>

<details><summary><h3><strong>class Tag</strong></h3></summary>

A tag in console markup.

<details><summary><h4><strong>def __str__</strong></h4></summary>

Get the string representation of this tag.

</details>

<details><summary><h4><strong>def markup</strong></h4></summary>

Get the string representation of this tag.

</details>

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Get the string representation of this tag.

</details>

<details><summary><h3><strong>def markup(self)</strong></h3></summary>

Get the string representation of this tag.

</details>

<details><summary><h3><strong>def escape_backslashes(match: Match[str])</strong></h3></summary>

Called by re.sub replace matches.

</details>

<details><summary><h3><strong>def _parse(markup: str)</strong></h3></summary>

Parse markup in to an iterable of tuples of (position, text, tag).

</details>

<details><summary><h3><strong>def pop_style(style_name: str)</strong></h3></summary>

Pop tag matching given style name.

</details>

</details>


<details><summary><h2><strong> measure.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Measurement](#class-measurement)
- [def span](#def-span)
- [def normalize](#def-normalize)
- [def with_maximum](#def-with_maximum)
- [def with_minimum](#def-with_minimum)
- [def clamp](#def-clamp)
- [def get](#def-get)
</details>

<details><summary><h3><strong>class Measurement</strong></h3></summary>

Stores the minimum and maximum widths (in characters) required to render an object.

<details><summary><h4><strong>def span</strong></h4></summary>

Get difference between maximum and minimum.

</details>

<details><summary><h4><strong>def normalize</strong></h4></summary>

Get measurement that ensures that minimum <= maximum and minimum >= 0

<details><summary><h5>Returns</h5></summary>

Measurement: A normalized measurement.
</details>

</details>

<details><summary><h4><strong>def with_maximum</strong></h4></summary>

Get a RenderableWith where the widths are <= width.

<details><summary><h5>Returns</h5></summary>

Measurement: New Measurement object.
</details>

</details>

<details><summary><h4><strong>def with_minimum</strong></h4></summary>

Get a RenderableWith where the widths are >= width.

<details><summary><h5>Returns</h5></summary>

Measurement: New Measurement object.
</details>

</details>

<details><summary><h4><strong>def clamp</strong></h4></summary>

Clamp a measurement within the specified range.

<details><summary><h5>Returns</h5></summary>

Measurement: New Measurement object.
</details>

</details>

<details><summary><h4><strong>def get</strong></h4></summary>

Get a measurement for a renderable.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: errors.
- `NotRenderableError`: If the object is not renderable.
</details>

<details><summary><h5>Returns</h5></summary>

Measurement: Measurement object containing range of character widths required to render the object.
</details>

</details>

</details>

<details><summary><h3><strong>def span(self)</strong></h3></summary>

Get difference between maximum and minimum.

</details>

<details><summary><h3><strong>def normalize(self)</strong></h3></summary>

Get measurement that ensures that minimum <= maximum and minimum >= 0

<details><summary><h4>Returns</h4></summary>

Measurement: A normalized measurement.
</details>

</details>

<details><summary><h3><strong>def with_maximum(self, width: int)</strong></h3></summary>

Get a RenderableWith where the widths are <= width.

<details><summary><h4>Returns</h4></summary>

Measurement: New Measurement object.
</details>

</details>

<details><summary><h3><strong>def with_minimum(self, width: int)</strong></h3></summary>

Get a RenderableWith where the widths are >= width.

<details><summary><h4>Returns</h4></summary>

Measurement: New Measurement object.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Clamp a measurement within the specified range.

<details><summary><h4>Returns</h4></summary>

Measurement: New Measurement object.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Get a measurement for a renderable.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: errors.
- `NotRenderableError`: If the object is not renderable.
</details>

<details><summary><h4>Returns</h4></summary>

Measurement: Measurement object containing range of character widths required to render the object.
</details>

</details>

</details>


<details><summary><h2><strong> padding.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Padding](#class-padding)
- [def __init__](#def-__init__)
- [def indent](#def-indent)
- [def unpack](#def-unpack)
</details>

<details><summary><h3><strong>class Padding</strong></h3></summary>

Draw space around content.

    Example:
        >>> print(Padding("Hello", (2, 4), style="on blue"))

<details><summary><h4><strong>def __init__</strong></h4></summary>

Make padding instance to render an indent.

<details><summary><h5>Returns</h5></summary>

Padding: A Padding instance.
</details>

</details>

<details><summary><h4><strong>def indent</strong></h4></summary>

Make padding instance to render an indent.

<details><summary><h5>Returns</h5></summary>

Padding: A Padding instance.
</details>

</details>

<details><summary><h4><strong>def unpack</strong></h4></summary>

Unpack padding specified in CSS style.

</details>

</details>

<details><summary><h3><strong>def indent(cls, renderable: "RenderableType", level: int)</strong></h3></summary>

Make padding instance to render an indent.

<details><summary><h4>Returns</h4></summary>

Padding: A Padding instance.
</details>

</details>

<details><summary><h3><strong>def indent(cls, renderable: "RenderableType", level: int)</strong></h3></summary>

Make padding instance to render an indent.

<details><summary><h4>Returns</h4></summary>

Padding: A Padding instance.
</details>

</details>

<details><summary><h3><strong>def unpack(pad: "PaddingDimensions")</strong></h3></summary>

Unpack padding specified in CSS style.

</details>

</details>


<details><summary><h2><strong> pager.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Pager](#class-pager)
- [class for](#class-for)
- [class SystemPager](#class-systempager)
- [def show](#def-show)
- [def _pager](#def-_pager)
- [def show](#def-show)
</details>

<details><summary><h3><strong>class Pager</strong></h3></summary>

Base class for a pager.

<details><summary><h4><strong>def show</strong></h4></summary>

Show content in pager.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

@abstractmethod
    def show(self, content: str) -> None:

<details><summary><h4><strong>def show</strong></h4></summary>

Show content in pager.

</details>

</details>

<details><summary><h3><strong>class SystemPager</strong></h3></summary>

Uses the pager installed on the system.

<details><summary><h4><strong>def _pager</strong></h4></summary>

Use the same pager used by pydoc.

</details>

<details><summary><h4><strong>def show</strong></h4></summary>

Use the same pager used by pydoc.

</details>

</details>

<details><summary><h3><strong>def show(self, content: str)</strong></h3></summary>

Show content in pager.

</details>

<details><summary><h3><strong>def _pager(self, content: str)</strong></h3></summary>

Use the same pager used by pydoc.

</details>

<details><summary><h3><strong>def show(self, content: str)</strong></h3></summary>

Use the same pager used by pydoc.

</details>

</details>


<details><summary><h2><strong> palette.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Palette](#class-palette)
- [def __init__](#def-__init__)
- [def __getitem__](#def-__getitem__)
- [def __rich__](#def-__rich__)
- [def match](#def-match)
- [def get_color_distance](#def-get_color_distance)
</details>

<details><summary><h3><strong>class Palette</strong></h3></summary>

A palette of available colors.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h5>Returns</h5></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h5>Returns</h5></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h4><strong>def __rich__</strong></h4></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h5>Returns</h5></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h5>Returns</h5></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h4><strong>def get_color_distance</strong></h4></summary>

Get the distance to a color.

</details>

</details>

<details><summary><h3><strong>def __init__(self, colors: Sequence[Tuple[int, int, int]])</strong></h3></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h4>Returns</h4></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h3><strong>def __getitem__(self, number: int)</strong></h3></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h4>Returns</h4></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h3><strong>def __rich__(self)</strong></h3></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h4>Returns</h4></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h3><strong>def match(self, color: Tuple[int, int, int])</strong></h3></summary>

Find a color from a palette that most closely matches a given color.

<details><summary><h4>Returns</h4></summary>

int: Index of closes matching color.
</details>

</details>

<details><summary><h3><strong>def get_color_distance(index: int)</strong></h3></summary>

Get the distance to a color.

</details>

</details>


<details><summary><h2><strong> panel.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Panel](#class-panel)
- [def __init__](#def-__init__)
- [def fit](#def-fit)
- [def _title](#def-_title)
- [def _subtitle](#def-_subtitle)
- [def __rich_console__](#def-__rich_console__)
- [def align_text](#def-align_text)
</details>

<details><summary><h3><strong>class Panel</strong></h3></summary>

A console renderable that draws a border around its contents.

    Example:
        >>> console.print(Panel("Hello, World!"))

<details><summary><h4>Arguments</h4></summary>

- `see`: r
- `ef`: `appendix_box`. Defaults to box.ROUNDED.
        title (Optional[TextType], optional): Optional title displayed in panel header. Defaults to None.
        title_align (AlignMethod, optional): Alignment of title. Defaults to "center".
        subtitle (Optional[TextType], optional): Optional subtitle displayed in panel footer. Defaults to None.
        subtitle_align (AlignMethod, optional): Alignment of subtitle. Defaults to "center".
        safe_box (bool, optional): Disable box characters that don't display on windows legacy terminal with *raster* fonts. Defaults to True.
        expand (bool, optional): If True the panel will stretch to fill the console width, otherwise it will be sized to fit the contents. Defaults to True.
        style (str, optional): The style of the panel (border and contents). Defaults to "none".
        border_style (str, optional): The style of the border. Defaults to "none".
        width (Optional[int], optional): Optional width of panel. Defaults to None to auto-detect.
        height (Optional[int], optional): Optional height of panel. Defaults to None to auto-detect.
        padding (Optional[PaddingDimensions]): Optional padding around renderable. Defaults to 0.
        highlight (bool, optional): Enable automatic highlighting of panel title (if str). Defaults to False.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

An alternative constructor that sets expand=False.

</details>

<details><summary><h4><strong>def fit</strong></h4></summary>

An alternative constructor that sets expand=False.

</details>

<details><summary><h4><strong>def _title</strong></h4></summary>

Gets new aligned text.

<details><summary><h5>Returns</h5></summary>

Text: New text instance
</details>

</details>

<details><summary><h4><strong>def _subtitle</strong></h4></summary>

Gets new aligned text.

<details><summary><h5>Returns</h5></summary>

Text: New text instance
</details>

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Gets new aligned text.

<details><summary><h5>Returns</h5></summary>

Text: New text instance
</details>

</details>

<details><summary><h4><strong>def align_text</strong></h4></summary>

Gets new aligned text.

<details><summary><h5>Returns</h5></summary>

Text: New text instance
</details>

</details>

</details>

<details><summary><h3><strong>def _title(self)</strong></h3></summary>

An alternative constructor that sets expand=False.

</details>

<details><summary><h3><strong>def _title(self)</strong></h3></summary>

An alternative constructor that sets expand=False.

</details>

<details><summary><h3><strong>def _title(self)</strong></h3></summary>

Gets new aligned text.

<details><summary><h4>Returns</h4></summary>

Text: New text instance
</details>

</details>

<details><summary><h3><strong>def _subtitle(self)</strong></h3></summary>

Gets new aligned text.

<details><summary><h4>Returns</h4></summary>

Text: New text instance
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Gets new aligned text.

<details><summary><h4>Returns</h4></summary>

Text: New text instance
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Gets new aligned text.

<details><summary><h4>Returns</h4></summary>

Text: New text instance
</details>

</details>

</details>


<details><summary><h2><strong> pretty.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Pretty](#class-pretty)
- [def _is_attr_object](#def-_is_attr_object)
- [def _get_attr_fields](#def-_get_attr_fields)
- [def _is_dataclass_repr](#def-_is_dataclass_repr)
- [def _has_default_namedtuple_repr](#def-_has_default_namedtuple_repr)
- [def display_hook](#def-display_hook)
- [def is_expandable](#def-is_expandable)
- [def iter_tokens](#def-iter_tokens)
- [def check_length](#def-check_length)
- [def __str__](#def-__str__)
- [def render](#def-render)
- [def expandable](#def-expandable)
- [def check_length](#def-check_length)
- [def expand](#def-expand)
- [def _is_namedtuple](#def-_is_namedtuple)
- [def to_repr](#def-to_repr)
- [def _traverse](#def-_traverse)
- [def iter_rich_args](#def-iter_rich_args)
- [def iter_attrs](#def-iter_attrs)
</details>

<details><summary><h3><strong>class Pretty</strong></h3></summary>

A rich renderable that pretty prints an object.

</details>

<details><summary><h3><strong>def _is_attr_object(obj: Any)</strong></h3></summary>

Check if an object was created with attrs module.

</details>

<details><summary><h3><strong>def _get_attr_fields(obj: Any)</strong></h3></summary>

Get fields for an attrs object.

</details>

<details><summary><h3><strong>def _is_dataclass_repr(obj: object)</strong></h3></summary>

Check if an instance of a dataclass contains the default repr.

<details><summary><h4>Returns</h4></summary>

bool: True if the default repr is used, False if there is a custom repr.
</details>

</details>

<details><summary><h3><strong>def _has_default_namedtuple_repr(obj: object)</strong></h3></summary>

Check if an instance of namedtuple contains the default repr

<details><summary><h4>Returns</h4></summary>

bool: True if the default repr is used, False if there's a custom repr.
</details>

</details>

<details><summary><h3><strong>def display_hook(value: Any)</strong></h3></summary>

Replacement sys.displayhook which prettifies objects with Rich.

</details>

<details><summary><h3><strong>def is_expandable(obj: Any)</strong></h3></summary>

Check if an object may be expanded by pretty print.

</details>

<details><summary><h3><strong>def iter_tokens(self)</strong></h3></summary>

Generate tokens for this node.

</details>

<details><summary><h3><strong>def check_length(self, start_length: int, max_length: int)</strong></h3></summary>

Check the length fits within a limit.

<details><summary><h4>Returns</h4></summary>

bool: True if the node can be rendered within max length, otherwise False.
</details>

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Render the node to a pretty repr.

<details><summary><h4>Returns</h4></summary>

str: A repr string of the original object.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Render the node to a pretty repr.

<details><summary><h4>Returns</h4></summary>

str: A repr string of the original object.
</details>

</details>

<details><summary><h3><strong>def expandable(self)</strong></h3></summary>

Check if the line may be expanded.

</details>

<details><summary><h3><strong>def check_length(self, max_length: int)</strong></h3></summary>

Check this line fits within a given number of cells.

</details>

<details><summary><h3><strong>def expand(self, indent_size: int)</strong></h3></summary>

Expand this line by adding children on their own line.

</details>

<details><summary><h3><strong>def _is_namedtuple(obj: Any)</strong></h3></summary>

Checks if an object is most likely a namedtuple. It is possible
    to craft an object that passes this check and isn't a namedtuple, but
    there is only a minuscule chance of this happening unintentionally.

<details><summary><h4>Returns</h4></summary>

bool: True if the object is a namedtuple. False otherwise.
</details>

</details>

<details><summary><h3><strong>def to_repr(obj: Any)</strong></h3></summary>

Get repr string for an object, but catch errors.

</details>

<details><summary><h3><strong>def _traverse(obj: Any, root: bool = False, depth: int = 0)</strong></h3></summary>

Walk the object depth first.

</details>

<details><summary><h3><strong>def iter_rich_args(rich_args: Any)</strong></h3></summary>

Iterate over attr fields and values.

</details>

<details><summary><h3><strong>def iter_attrs()</strong></h3></summary>

Iterate over attr fields and values.

</details>

</details>


<details><summary><h2><strong> progress.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _TrackThread](#class-_trackthread)
- [class _Reader](#class-_reader)
- [class _ReadContext](#class-_readcontext)
- [class ProgressColumn](#class-progresscolumn)
- [class for](#class-for)
- [class RenderableColumn](#class-renderablecolumn)
- [class SpinnerColumn](#class-spinnercolumn)
- [class TextColumn](#class-textcolumn)
- [class BarColumn](#class-barcolumn)
- [class TimeElapsedColumn](#class-timeelapsedcolumn)
- [class TaskProgressColumn](#class-taskprogresscolumn)
- [class TimeRemainingColumn](#class-timeremainingcolumn)
- [class FileSizeColumn](#class-filesizecolumn)
- [class TotalFileSizeColumn](#class-totalfilesizecolumn)
- [class MofNCompleteColumn](#class-mofncompletecolumn)
- [class DownloadColumn](#class-downloadcolumn)
- [class TransferSpeedColumn](#class-transferspeedcolumn)
- [class ProgressSample](#class-progresssample)
- [class Progress](#class-progress)
- [class itself](#class-itself)
- [def __init__](#def-__init__)
- [def get_table_column](#def-get_table_column)
- [def __call__](#def-__call__)
- [def render](#def-render)
- [def __init__](#def-__init__)
- [def set_spinner](#def-set_spinner)
- [def __init__](#def-__init__)
- [def render](#def-render)
- [def render](#def-render)
- [def __init__](#def-__init__)
- [def render_speed](#def-render_speed)
- [def __init__](#def-__init__)
- [def render](#def-render)
- [def render](#def-render)
- [def render](#def-render)
- [def __init__](#def-__init__)
- [def render](#def-render)
- [def __init__](#def-__init__)
- [def render](#def-render)
- [def render](#def-render)
- [def get_time](#def-get_time)
- [def started](#def-started)
- [def remaining](#def-remaining)
- [def elapsed](#def-elapsed)
- [def finished](#def-finished)
- [def percentage](#def-percentage)
- [def speed](#def-speed)
- [def time_remaining](#def-time_remaining)
- [def _reset](#def-_reset)
- [def __init__](#def-__init__)
- [def get_default_columns](#def-get_default_columns)
- [def console](#def-console)
- [def tasks](#def-tasks)
- [def task_ids](#def-task_ids)
- [def finished](#def-finished)
- [def start](#def-start)
- [def stop](#def-stop)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def track](#def-track)
- [def wrap_file](#def-wrap_file)
- [def open](#def-open)
- [def open](#def-open)
- [def open](#def-open)
- [def start_task](#def-start_task)
- [def stop_task](#def-stop_task)
- [def update](#def-update)
- [def reset](#def-reset)
- [def advance](#def-advance)
- [def refresh](#def-refresh)
- [def get_renderable](#def-get_renderable)
- [def get_renderables](#def-get_renderables)
- [def make_tasks_table](#def-make_tasks_table)
- [def __rich__](#def-__rich__)
- [def add_task](#def-add_task)
- [def remove_task](#def-remove_task)
- [def loop_last](#def-loop_last)
</details>

<details><summary><h3><strong>class _TrackThread</strong></h3></summary>

A thread to periodically update progress.

</details>

<details><summary><h3><strong>class _Reader</strong></h3></summary>

A reader that tracks progress while it's being read from.

</details>

<details><summary><h3><strong>class _ReadContext</strong></h3></summary>

A utility class to handle a context for both a reader and a progress.

</details>

<details><summary><h3><strong>class ProgressColumn</strong></h3></summary>

Base class for a widget to use in progress display.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get a table column, used to build tasks table.

</details>

<details><summary><h4><strong>def get_table_column</strong></h4></summary>

Get a table column, used to build tasks table.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Called by the Progress object to return a renderable for the given task.

<details><summary><h5>Returns</h5></summary>

RenderableType: Anything renderable (including str).
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Should return a renderable object.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

max_refresh: Optional[float] = None

    def __init__(self, table_column: Optional[Column] = None) -> None:
        self._table_column = table_column
        self._renderable_cache: Dict[TaskID, Tuple[float, RenderableType]] = {}
        self._update_time: Optional[float] = None

    def get_table_column(self) -> Column:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get a table column, used to build tasks table.

</details>

<details><summary><h4><strong>def get_table_column</strong></h4></summary>

Get a table column, used to build tasks table.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Called by the Progress object to return a renderable for the given task.

<details><summary><h5>Returns</h5></summary>

RenderableType: Anything renderable (including str).
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Should return a renderable object.

</details>

</details>

<details><summary><h3><strong>class RenderableColumn</strong></h3></summary>

A column to insert an arbitrary column.

</details>

<details><summary><h3><strong>class SpinnerColumn</strong></h3></summary>

A column with a 'spinner' animation.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Set a new spinner.

</details>

<details><summary><h4><strong>def set_spinner</strong></h4></summary>

Set a new spinner.

</details>

</details>

<details><summary><h3><strong>class TextColumn</strong></h3></summary>

A column containing text.

</details>

<details><summary><h3><strong>class BarColumn</strong></h3></summary>

Renders a visual progress bar.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Gets a progress bar widget for a task.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Gets a progress bar widget for a task.

</details>

</details>

<details><summary><h3><strong>class TimeElapsedColumn</strong></h3></summary>

Renders time elapsed.

<details><summary><h4><strong>def render</strong></h4></summary>

Show time elapsed.

</details>

</details>

<details><summary><h3><strong>class TaskProgressColumn</strong></h3></summary>

Show task progress as a percentage.

<details><summary><h4>Arguments</h4></summary>

- `percentage`: >3.0f}%".
        text_format_no_percentage (str, optional): Format if percentage is unknown. Defaults to "".
        style (StyleType, optional): Style of output. Defaults to "none".
        justify (JustifyMethod, optional): Text justification. Defaults to "left".
        markup (bool, optional): Enable markup. Defaults to True.
        highlighter (Optional[Highlighter], optional): Highlighter to apply to output. Defaults to None.
        table_column (Optional[Column], optional): Table Column to use. Defaults to None.
        show_speed (bool, optional): Show speed if total is unknown. Defaults to False.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Render the speed in iterations per second.

<details><summary><h5>Returns</h5></summary>

Text: Text object containing the task speed.
</details>

</details>

<details><summary><h4><strong>def render_speed</strong></h4></summary>

Render the speed in iterations per second.

<details><summary><h5>Returns</h5></summary>

Text: Text object containing the task speed.
</details>

</details>

</details>

<details><summary><h3><strong>class TimeRemainingColumn</strong></h3></summary>

Renders estimated time remaining.

<details><summary><h4>Arguments</h4></summary>

- `MM`: SS when time remaining is less than an hour. Defaults to False.
        elapsed_when_finished (bool, optional): Render time elapsed when the task is finished. Defaults to False.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Show time remaining.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Show time remaining.

</details>

</details>

<details><summary><h3><strong>class FileSizeColumn</strong></h3></summary>

Renders completed filesize.

<details><summary><h4><strong>def render</strong></h4></summary>

Show data completed.

</details>

</details>

<details><summary><h3><strong>class TotalFileSizeColumn</strong></h3></summary>

Renders total filesize.

<details><summary><h4><strong>def render</strong></h4></summary>

Show data completed.

</details>

</details>

<details><summary><h3><strong>class MofNCompleteColumn</strong></h3></summary>

Renders completed count/total, e.g. '  10/1000'.

    Best for bounded tasks with int quantities.

    Space pads the completed count so that progress length does not change as task progresses
    past powers of 10.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Show completed/total.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Show completed/total.

</details>

</details>

<details><summary><h3><strong>class DownloadColumn</strong></h3></summary>

Renders file size downloaded and total, e.g. '0.5/2.3 GB'.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Calculate common unit for completed and total.

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Calculate common unit for completed and total.

</details>

</details>

<details><summary><h3><strong>class TransferSpeedColumn</strong></h3></summary>

Renders human readable transfer speed.

<details><summary><h4><strong>def render</strong></h4></summary>

Show data transfer speed.

</details>

</details>

<details><summary><h3><strong>class ProgressSample</strong></h3></summary>

Sample of progress for a given time.

</details>

<details><summary><h3><strong>class Progress</strong></h3></summary>

Renders an auto-updating progress bar(s).

<details><summary><h4>Arguments</h4></summary>

- `speed_estimate_period`: (float, optional): Period (in seconds) used to calculate the speed estimate. Defaults to 30.
- `transient`: (bool, optional): Clear the progress on exit. Defaults to False.
- `redirect_stdout`: (bool, optional): Enable redirection of stdout, so ``print`` may be used. Defaults to True.
- `redirect_stderr`: (bool, optional): Enable redirection of stderr. Defaults to True.
- `get_time`: (Callable, optional): A callable that gets the current time, or None to use Console.get_time. Defaults to None.
        disable (bool, optional): Disable progress display. Defaults to False
        expand (bool, optional): Expand tasks table to fit width. Defaults to False.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the default columns used for a new Progress instance:
           - a text column for the description (TextColumn)
           - the bar itself (BarColumn)
           - a text column showing completion percentage (TextColumn)
           - an estimated-time-remaining column (TimeRemainingColumn)
        If the Progress instance is created without passing a columns argument,
        the default columns defined here will be used.

        You can also create a Progress instance using custom columns before
        and/or after the defaults, as in this example:

            progress = Progress(
                SpinnerColumn(),
                *Progress.get_default_columns(),
                "Elapsed:",
                TimeElapsedColumn(),
            )

        This code shows the creation of a Progress display, containing
        a spinner to the left, the default columns, and a labeled elapsed
        time column.

</details>

<details><summary><h4><strong>def get_default_columns</strong></h4></summary>

Get the default columns used for a new Progress instance:
           - a text column for the description (TextColumn)
           - the bar itself (BarColumn)
           - a text column showing completion percentage (TextColumn)
           - an estimated-time-remaining column (TimeRemainingColumn)
        If the Progress instance is created without passing a columns argument,
        the default columns defined here will be used.

        You can also create a Progress instance using custom columns before
        and/or after the defaults, as in this example:

            progress = Progress(
                SpinnerColumn(),
                *Progress.get_default_columns(),
                "Elapsed:",
                TimeElapsedColumn(),
            )

        This code shows the creation of a Progress display, containing
        a spinner to the left, the default columns, and a labeled elapsed
        time column.

</details>

<details><summary><h4><strong>def console</strong></h4></summary>

Get a list of Task instances.

</details>

<details><summary><h4><strong>def tasks</strong></h4></summary>

Get a list of Task instances.

</details>

<details><summary><h4><strong>def task_ids</strong></h4></summary>

A list of task IDs.

</details>

<details><summary><h4><strong>def finished</strong></h4></summary>

Check if all tasks have been completed.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Start the progress display.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Stop the progress display.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Track progress by iterating over a sequence.

<details><summary><h5>Arguments</h5></summary>

- `total`: (float, optional): Total number of steps. Default is len(sequence).
            completed (int, optional): Number of steps completed so far. Defaults to 0.
- `task_id`: (TaskID): Task to track. Default is new task.
- `description`: (str, optional): Description of task, if new task is created.
            update_period (float, optional): Minimum time (in seconds) between calls to update(). Defaults to 0.1.
</details>

<details><summary><h5>Returns</h5></summary>

Iterable[ProgressType]: An iterable of values taken from the provided sequence.
</details>

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Track progress by iterating over a sequence.

<details><summary><h5>Arguments</h5></summary>

- `total`: (float, optional): Total number of steps. Default is len(sequence).
            completed (int, optional): Number of steps completed so far. Defaults to 0.
- `task_id`: (TaskID): Task to track. Default is new task.
- `description`: (str, optional): Description of task, if new task is created.
            update_period (float, optional): Minimum time (in seconds) between calls to update(). Defaults to 0.1.
</details>

<details><summary><h5>Returns</h5></summary>

Iterable[ProgressType]: An iterable of values taken from the provided sequence.
</details>

</details>

<details><summary><h4><strong>def track</strong></h4></summary>

Track progress by iterating over a sequence.

<details><summary><h5>Arguments</h5></summary>

- `total`: (float, optional): Total number of steps. Default is len(sequence).
            completed (int, optional): Number of steps completed so far. Defaults to 0.
- `task_id`: (TaskID): Task to track. Default is new task.
- `description`: (str, optional): Description of task, if new task is created.
            update_period (float, optional): Minimum time (in seconds) between calls to update(). Defaults to 0.1.
</details>

<details><summary><h5>Returns</h5></summary>

Iterable[ProgressType]: An iterable of values taken from the provided sequence.
</details>

</details>

<details><summary><h4><strong>def wrap_file</strong></h4></summary>

Track progress file reading from a binary file.

<details><summary><h5>Returns</h5></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When no total value can be extracted from the arguments or the task.
</details>

</details>

<details><summary><h4><strong>def open</strong></h4></summary>

Track progress while reading from a binary file.

<details><summary><h5>Arguments</h5></summary>

- `see`: f
- `unc`: `io.open`.
            total (int, optional): Total number of bytes to read. If none given, os.stat(path).st_size is used.
            task_id (TaskID): Task to track. Default is new task.
            description (str, optional): Description of task, if new task is created.
</details>

<details><summary><h5>Returns</h5></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When an invalid mode is given.
</details>

</details>

<details><summary><h4><strong>def open</strong></h4></summary>

Track progress while reading from a binary file.

<details><summary><h5>Arguments</h5></summary>

- `see`: f
- `unc`: `io.open`.
            total (int, optional): Total number of bytes to read. If none given, os.stat(path).st_size is used.
            task_id (TaskID): Task to track. Default is new task.
            description (str, optional): Description of task, if new task is created.
</details>

<details><summary><h5>Returns</h5></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When an invalid mode is given.
</details>

</details>

<details><summary><h4><strong>def open</strong></h4></summary>

Track progress while reading from a binary file.

<details><summary><h5>Arguments</h5></summary>

- `see`: f
- `unc`: `io.open`.
            total (int, optional): Total number of bytes to read. If none given, os.stat(path).st_size is used.
            task_id (TaskID): Task to track. Default is new task.
            description (str, optional): Description of task, if new task is created.
</details>

<details><summary><h5>Returns</h5></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When an invalid mode is given.
</details>

</details>

<details><summary><h4><strong>def start_task</strong></h4></summary>

Start a task.

        Starts a task (used when calculating elapsed time). You may need to call this manually,
        if you called ``add_task`` with ``start=False``.

</details>

<details><summary><h4><strong>def stop_task</strong></h4></summary>

Stop a task.

        This will freeze the elapsed time on the task.

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update information associated with a task.

</details>

<details><summary><h4><strong>def reset</strong></h4></summary>

Reset a task so completed is 0 and the clock is reset.

</details>

<details><summary><h4><strong>def advance</strong></h4></summary>

Advance task by a number of steps.

</details>

<details><summary><h4><strong>def refresh</strong></h4></summary>

Refresh (render) the progress information.

</details>

<details><summary><h4><strong>def get_renderable</strong></h4></summary>

Get a renderable for the progress display.

</details>

<details><summary><h4><strong>def get_renderables</strong></h4></summary>

Get a number of renderables for the progress display.

</details>

<details><summary><h4><strong>def make_tasks_table</strong></h4></summary>

Get a table to render the Progress display.

<details><summary><h5>Returns</h5></summary>

Table: A table instance.
</details>

</details>

<details><summary><h4><strong>def __rich__</strong></h4></summary>

Makes the Progress class itself renderable.

</details>

<details><summary><h4><strong>def add_task</strong></h4></summary>

Add a new 'task' to the Progress display.

<details><summary><h5>Returns</h5></summary>

TaskID: An ID you can use when calling `update`.
</details>

</details>

<details><summary><h4><strong>def remove_task</strong></h4></summary>

Delete a task if it exists.

</details>

</details>

<details><summary><h3><strong>class itself</strong></h3></summary>

with self._lock:
            return self.get_renderable()

    def add_task(
        self,
        description: str,
        start: bool = True,
        total: Optional[float] = 100.0,
        completed: int = 0,
        visible: bool = True,
        **fields: Any,
    ) -> TaskID:

<details><summary><h4><strong>def add_task</strong></h4></summary>

Add a new 'task' to the Progress display.

<details><summary><h5>Returns</h5></summary>

TaskID: An ID you can use when calling `update`.
</details>

</details>

<details><summary><h4><strong>def remove_task</strong></h4></summary>

Delete a task if it exists.

</details>

</details>

<details><summary><h3><strong>def __init__(self, table_column: Optional[Column] = None)</strong></h3></summary>

Get a table column, used to build tasks table.

</details>

<details><summary><h3><strong>def get_table_column(self)</strong></h3></summary>

Get a table column, used to build tasks table.

</details>

<details><summary><h3><strong>def __call__(self, task: "Task")</strong></h3></summary>

Called by the Progress object to return a renderable for the given task.

<details><summary><h4>Returns</h4></summary>

RenderableType: Anything renderable (including str).
</details>

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Should return a renderable object.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Set a new spinner.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Set a new spinner.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Gets a progress bar widget for a task.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Gets a progress bar widget for a task.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show time elapsed.

</details>

<details><summary><h3><strong>def render_speed(cls, speed: Optional[float])</strong></h3></summary>

Render the speed in iterations per second.

<details><summary><h4>Returns</h4></summary>

Text: Text object containing the task speed.
</details>

</details>

<details><summary><h3><strong>def render_speed(cls, speed: Optional[float])</strong></h3></summary>

Render the speed in iterations per second.

<details><summary><h4>Returns</h4></summary>

Text: Text object containing the task speed.
</details>

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show time remaining.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show time remaining.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show data completed.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show data completed.

</details>

<details><summary><h3><strong>def __init__(self, separator: str = "/", table_column: Optional[Column] = None)</strong></h3></summary>

Show completed/total.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show completed/total.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Calculate common unit for completed and total.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Calculate common unit for completed and total.

</details>

<details><summary><h3><strong>def render(self, task: "Task")</strong></h3></summary>

Show data transfer speed.

</details>

<details><summary><h3><strong>def get_time(self)</strong></h3></summary>

float: Get the current time, in seconds.

</details>

<details><summary><h3><strong>def started(self)</strong></h3></summary>

bool: Check if the task as started.

</details>

<details><summary><h3><strong>def remaining(self)</strong></h3></summary>

Optional[float]: Get the number of steps remaining, if a non-None total was set.

</details>

<details><summary><h3><strong>def elapsed(self)</strong></h3></summary>

Optional[float]: Time elapsed since task was started, or ``None`` if the task hasn't started.

</details>

<details><summary><h3><strong>def finished(self)</strong></h3></summary>

Check if the task has finished.

</details>

<details><summary><h3><strong>def percentage(self)</strong></h3></summary>

float: Get progress of task as a percentage. If a None total was set, returns 0

</details>

<details><summary><h3><strong>def speed(self)</strong></h3></summary>

Optional[float]: Get the estimated speed in steps per second.

</details>

<details><summary><h3><strong>def time_remaining(self)</strong></h3></summary>

Optional[float]: Get estimated time to completion, or ``None`` if no data.

</details>

<details><summary><h3><strong>def _reset(self)</strong></h3></summary>

Reset progress.

</details>

<details><summary><h3><strong>def get_default_columns(cls)</strong></h3></summary>

Get the default columns used for a new Progress instance:
           - a text column for the description (TextColumn)
           - the bar itself (BarColumn)
           - a text column showing completion percentage (TextColumn)
           - an estimated-time-remaining column (TimeRemainingColumn)
        If the Progress instance is created without passing a columns argument,
        the default columns defined here will be used.

        You can also create a Progress instance using custom columns before
        and/or after the defaults, as in this example:

            progress = Progress(
                SpinnerColumn(),
                *Progress.get_default_columns(),
                "Elapsed:",
                TimeElapsedColumn(),
            )

        This code shows the creation of a Progress display, containing
        a spinner to the left, the default columns, and a labeled elapsed
        time column.

</details>

<details><summary><h3><strong>def get_default_columns(cls)</strong></h3></summary>

Get the default columns used for a new Progress instance:
           - a text column for the description (TextColumn)
           - the bar itself (BarColumn)
           - a text column showing completion percentage (TextColumn)
           - an estimated-time-remaining column (TimeRemainingColumn)
        If the Progress instance is created without passing a columns argument,
        the default columns defined here will be used.

        You can also create a Progress instance using custom columns before
        and/or after the defaults, as in this example:

            progress = Progress(
                SpinnerColumn(),
                *Progress.get_default_columns(),
                "Elapsed:",
                TimeElapsedColumn(),
            )

        This code shows the creation of a Progress display, containing
        a spinner to the left, the default columns, and a labeled elapsed
        time column.

</details>

<details><summary><h3><strong>def console(self)</strong></h3></summary>

Get a list of Task instances.

</details>

<details><summary><h3><strong>def tasks(self)</strong></h3></summary>

Get a list of Task instances.

</details>

<details><summary><h3><strong>def task_ids(self)</strong></h3></summary>

A list of task IDs.

</details>

<details><summary><h3><strong>def finished(self)</strong></h3></summary>

Check if all tasks have been completed.

</details>

<details><summary><h3><strong>def start(self)</strong></h3></summary>

Start the progress display.

</details>

<details><summary><h3><strong>def stop(self)</strong></h3></summary>

Stop the progress display.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Track progress by iterating over a sequence.

<details><summary><h4>Arguments</h4></summary>

- `total`: (float, optional): Total number of steps. Default is len(sequence).
            completed (int, optional): Number of steps completed so far. Defaults to 0.
- `task_id`: (TaskID): Task to track. Default is new task.
- `description`: (str, optional): Description of task, if new task is created.
            update_period (float, optional): Minimum time (in seconds) between calls to update(). Defaults to 0.1.
</details>

<details><summary><h4>Returns</h4></summary>

Iterable[ProgressType]: An iterable of values taken from the provided sequence.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Track progress by iterating over a sequence.

<details><summary><h4>Arguments</h4></summary>

- `total`: (float, optional): Total number of steps. Default is len(sequence).
            completed (int, optional): Number of steps completed so far. Defaults to 0.
- `task_id`: (TaskID): Task to track. Default is new task.
- `description`: (str, optional): Description of task, if new task is created.
            update_period (float, optional): Minimum time (in seconds) between calls to update(). Defaults to 0.1.
</details>

<details><summary><h4>Returns</h4></summary>

Iterable[ProgressType]: An iterable of values taken from the provided sequence.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Track progress by iterating over a sequence.

<details><summary><h4>Arguments</h4></summary>

- `total`: (float, optional): Total number of steps. Default is len(sequence).
            completed (int, optional): Number of steps completed so far. Defaults to 0.
- `task_id`: (TaskID): Task to track. Default is new task.
- `description`: (str, optional): Description of task, if new task is created.
            update_period (float, optional): Minimum time (in seconds) between calls to update(). Defaults to 0.1.
</details>

<details><summary><h4>Returns</h4></summary>

Iterable[ProgressType]: An iterable of values taken from the provided sequence.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Track progress file reading from a binary file.

<details><summary><h4>Returns</h4></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When no total value can be extracted from the arguments or the task.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Track progress while reading from a binary file.

<details><summary><h4>Arguments</h4></summary>

- `see`: f
- `unc`: `io.open`.
            total (int, optional): Total number of bytes to read. If none given, os.stat(path).st_size is used.
            task_id (TaskID): Task to track. Default is new task.
            description (str, optional): Description of task, if new task is created.
</details>

<details><summary><h4>Returns</h4></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When an invalid mode is given.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Track progress while reading from a binary file.

<details><summary><h4>Arguments</h4></summary>

- `see`: f
- `unc`: `io.open`.
            total (int, optional): Total number of bytes to read. If none given, os.stat(path).st_size is used.
            task_id (TaskID): Task to track. Default is new task.
            description (str, optional): Description of task, if new task is created.
</details>

<details><summary><h4>Returns</h4></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When an invalid mode is given.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Track progress while reading from a binary file.

<details><summary><h4>Arguments</h4></summary>

- `see`: f
- `unc`: `io.open`.
            total (int, optional): Total number of bytes to read. If none given, os.stat(path).st_size is used.
            task_id (TaskID): Task to track. Default is new task.
            description (str, optional): Description of task, if new task is created.
</details>

<details><summary><h4>Returns</h4></summary>

BinaryIO: A readable file-like object in binary mode.

        Raises:
            ValueError: When an invalid mode is given.
</details>

</details>

<details><summary><h3><strong>def start_task(self, task_id: TaskID)</strong></h3></summary>

Start a task.

        Starts a task (used when calculating elapsed time). You may need to call this manually,
        if you called ``add_task`` with ``start=False``.

</details>

<details><summary><h3><strong>def stop_task(self, task_id: TaskID)</strong></h3></summary>

Stop a task.

        This will freeze the elapsed time on the task.

</details>

<details><summary><h3><strong>def advance(self, task_id: TaskID, advance: float = 1)</strong></h3></summary>

Update information associated with a task.

</details>

<details><summary><h3><strong>def advance(self, task_id: TaskID, advance: float = 1)</strong></h3></summary>

Reset a task so completed is 0 and the clock is reset.

</details>

<details><summary><h3><strong>def advance(self, task_id: TaskID, advance: float = 1)</strong></h3></summary>

Advance task by a number of steps.

</details>

<details><summary><h3><strong>def refresh(self)</strong></h3></summary>

Refresh (render) the progress information.

</details>

<details><summary><h3><strong>def get_renderable(self)</strong></h3></summary>

Get a renderable for the progress display.

</details>

<details><summary><h3><strong>def get_renderables(self)</strong></h3></summary>

Get a number of renderables for the progress display.

</details>

<details><summary><h3><strong>def make_tasks_table(self, tasks: Iterable[Task])</strong></h3></summary>

Get a table to render the Progress display.

<details><summary><h4>Returns</h4></summary>

Table: A table instance.
</details>

</details>

<details><summary><h3><strong>def __rich__(self)</strong></h3></summary>

Makes the Progress class itself renderable.

</details>

<details><summary><h3><strong>def remove_task(self, task_id: TaskID)</strong></h3></summary>

Add a new 'task' to the Progress display.

<details><summary><h4>Returns</h4></summary>

TaskID: An ID you can use when calling `update`.
</details>

</details>

<details><summary><h3><strong>def remove_task(self, task_id: TaskID)</strong></h3></summary>

Delete a task if it exists.

</details>

<details><summary><h3><strong>def loop_last(values: Iterable[T])</strong></h3></summary>

Iterate and generate a tuple with a flag for last value.

</details>

</details>


<details><summary><h2><strong> progress_bar.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ProgressBar](#class-progressbar)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def percentage_completed](#def-percentage_completed)
- [def _get_pulse_segments](#def-_get_pulse_segments)
- [def update](#def-update)
- [def _render_pulse](#def-_render_pulse)
</details>

<details><summary><h3><strong>class ProgressBar</strong></h3></summary>

Renders a (progress) bar. Used by rich.progress.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Calculate percentage complete.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Calculate percentage complete.

</details>

<details><summary><h4><strong>def percentage_completed</strong></h4></summary>

Calculate percentage complete.

</details>

<details><summary><h4><strong>def _get_pulse_segments</strong></h4></summary>

Get a list of segments to render a pulse animation.

<details><summary><h5>Returns</h5></summary>

List[Segment]: A list of segments, one segment per character.
</details>

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update progress with new values.

</details>

<details><summary><h4><strong>def _render_pulse</strong></h4></summary>

Renders the pulse animation.

<details><summary><h5>Returns</h5></summary>

RenderResult: [description]

        Yields:
            Iterator[Segment]: Segments to render pulse
</details>

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Calculate percentage complete.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Calculate percentage complete.

</details>

<details><summary><h3><strong>def percentage_completed(self)</strong></h3></summary>

Calculate percentage complete.

</details>

<details><summary><h3><strong>def update(self, completed: float, total: Optional[float] = None)</strong></h3></summary>

Get a list of segments to render a pulse animation.

<details><summary><h4>Returns</h4></summary>

List[Segment]: A list of segments, one segment per character.
</details>

</details>

<details><summary><h3><strong>def update(self, completed: float, total: Optional[float] = None)</strong></h3></summary>

Update progress with new values.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Renders the pulse animation.

<details><summary><h4>Returns</h4></summary>

RenderResult: [description]

        Yields:
            Iterator[Segment]: Segments to render pulse
</details>

</details>

</details>


<details><summary><h2><strong> prompt.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class PromptError](#class-prompterror)
- [class PromptBase](#class-promptbase)
- [class Prompt](#class-prompt)
- [class IntPrompt](#class-intprompt)
- [class FloatPrompt](#class-floatprompt)
- [class Confirm](#class-confirm)
- [def __init__](#def-__init__)
- [def ask](#def-ask)
- [def ask](#def-ask)
- [def ask](#def-ask)
- [def render_default](#def-render_default)
- [def make_prompt](#def-make_prompt)
- [def get_input](#def-get_input)
- [def check_choice](#def-check_choice)
- [def process_response](#def-process_response)
- [def on_validate_error](#def-on_validate_error)
- [def pre_prompt](#def-pre_prompt)
- [def __call__](#def-__call__)
- [def __call__](#def-__call__)
- [def __call__](#def-__call__)
- [def render_default](#def-render_default)
- [def process_response](#def-process_response)
</details>

<details><summary><h3><strong>class PromptError</strong></h3></summary>

Exception base class for prompt related errors.

</details>

<details><summary><h3><strong>class PromptBase</strong></h3></summary>

Ask the user for input until a valid response is received. This is the base class, see one of
    the concrete classes for examples.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h4><strong>def ask</strong></h4></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h4><strong>def ask</strong></h4></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h4><strong>def ask</strong></h4></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h4><strong>def render_default</strong></h4></summary>

Turn the supplied default in to a Text instance.

<details><summary><h5>Returns</h5></summary>

Text: Text containing rendering of default value.
</details>

</details>

<details><summary><h4><strong>def make_prompt</strong></h4></summary>

Make prompt text.

<details><summary><h5>Returns</h5></summary>

Text: Text to display in prompt.
</details>

</details>

<details><summary><h4><strong>def get_input</strong></h4></summary>

Get input from user.

<details><summary><h5>Returns</h5></summary>

str: String from user.
</details>

</details>

<details><summary><h4><strong>def check_choice</strong></h4></summary>

Check value is in the list of valid choices.

<details><summary><h5>Returns</h5></summary>

bool: True if choice was valid, otherwise False.
</details>

</details>

<details><summary><h4><strong>def process_response</strong></h4></summary>

Process response from user, convert to prompt type.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: I
- `nvalidResponse`: If ``value`` is invalid.
</details>

<details><summary><h5>Returns</h5></summary>

PromptType: The value to be returned from ask method.
</details>

</details>

<details><summary><h4><strong>def on_validate_error</strong></h4></summary>

Called to handle validation error.

</details>

<details><summary><h4><strong>def pre_prompt</strong></h4></summary>

Hook to display something before the prompt.

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Run the prompt loop.

<details><summary><h5>Returns</h5></summary>

PromptType: Processed value.
</details>

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Run the prompt loop.

<details><summary><h5>Returns</h5></summary>

PromptType: Processed value.
</details>

</details>

<details><summary><h4><strong>def __call__</strong></h4></summary>

Run the prompt loop.

<details><summary><h5>Returns</h5></summary>

PromptType: Processed value.
</details>

</details>

</details>

<details><summary><h3><strong>class Prompt</strong></h3></summary>

A prompt that returns a str.

    Example:
        >>> name = Prompt.ask("Enter your name")

</details>

<details><summary><h3><strong>class IntPrompt</strong></h3></summary>

A prompt that returns an integer.

    Example:
        >>> burrito_count = IntPrompt.ask("How many burritos do you want to order")

</details>

<details><summary><h3><strong>class FloatPrompt</strong></h3></summary>

A prompt that returns a float.

    Example:
        >>> temperature = FloatPrompt.ask("Enter desired temperature")

</details>

<details><summary><h3><strong>class Confirm</strong></h3></summary>

A yes / no confirmation prompt.

    Example:
        >>> if Confirm.ask("Continue"):
                run_job()

<details><summary><h4><strong>def render_default</strong></h4></summary>

Render the default as (y) or (n) rather than True/False.

</details>

<details><summary><h4><strong>def process_response</strong></h4></summary>

Convert choices to a bool.

</details>

</details>

<details><summary><h3><strong>def render_default(self, default: DefaultType)</strong></h3></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h3><strong>def render_default(self, default: DefaultType)</strong></h3></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h3><strong>def render_default(self, default: DefaultType)</strong></h3></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h3><strong>def render_default(self, default: DefaultType)</strong></h3></summary>

Shortcut to construct and run a prompt loop and return the result.

        Example:
            >>> filename = Prompt.ask("Enter a filename")

</details>

<details><summary><h3><strong>def render_default(self, default: DefaultType)</strong></h3></summary>

Turn the supplied default in to a Text instance.

<details><summary><h4>Returns</h4></summary>

Text: Text containing rendering of default value.
</details>

</details>

<details><summary><h3><strong>def make_prompt(self, default: DefaultType)</strong></h3></summary>

Make prompt text.

<details><summary><h4>Returns</h4></summary>

Text: Text to display in prompt.
</details>

</details>

<details><summary><h3><strong>def check_choice(self, value: str)</strong></h3></summary>

Get input from user.

<details><summary><h4>Returns</h4></summary>

str: String from user.
</details>

</details>

<details><summary><h3><strong>def check_choice(self, value: str)</strong></h3></summary>

Check value is in the list of valid choices.

<details><summary><h4>Returns</h4></summary>

bool: True if choice was valid, otherwise False.
</details>

</details>

<details><summary><h3><strong>def process_response(self, value: str)</strong></h3></summary>

Process response from user, convert to prompt type.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: I
- `nvalidResponse`: If ``value`` is invalid.
</details>

<details><summary><h4>Returns</h4></summary>

PromptType: The value to be returned from ask method.
</details>

</details>

<details><summary><h3><strong>def on_validate_error(self, value: str, error: InvalidResponse)</strong></h3></summary>

Called to handle validation error.

</details>

<details><summary><h3><strong>def pre_prompt(self)</strong></h3></summary>

Hook to display something before the prompt.

</details>

<details><summary><h3><strong>def __call__(self, *, stream: Optional[TextIO] = None)</strong></h3></summary>

Run the prompt loop.

<details><summary><h4>Returns</h4></summary>

PromptType: Processed value.
</details>

</details>

<details><summary><h3><strong>def __call__(self, *, default: Any = ..., stream: Optional[TextIO] = None)</strong></h3></summary>

Run the prompt loop.

<details><summary><h4>Returns</h4></summary>

PromptType: Processed value.
</details>

</details>

<details><summary><h3><strong>def __call__(self, *, default: Any = ..., stream: Optional[TextIO] = None)</strong></h3></summary>

Run the prompt loop.

<details><summary><h4>Returns</h4></summary>

PromptType: Processed value.
</details>

</details>

<details><summary><h3><strong>def render_default(self, default: DefaultType)</strong></h3></summary>

Render the default as (y) or (n) rather than True/False.

</details>

<details><summary><h3><strong>def process_response(self, value: str)</strong></h3></summary>

Convert choices to a bool.

</details>

</details>


<details><summary><h2><strong> protocol.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def is_renderable](#def-is_renderable)
- [def rich_cast](#def-rich_cast)
</details>

<details><summary><h3><strong>def is_renderable(check_object: Any)</strong></h3></summary>

Check if an object may be rendered by Rich.

</details>

<details><summary><h3><strong>def rich_cast(renderable: object)</strong></h3></summary>

Cast an object to a renderable by calling __rich__ if present.

<details><summary><h4>Returns</h4></summary>

object: The result of recursively calling __rich__.
</details>

</details>

</details>


<details><summary><h2><strong> region.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Region](#class-region)
</details>

<details><summary><h3><strong>class Region</strong></h3></summary>

Defines a rectangular region of the screen.

</details>

</details>


<details><summary><h2><strong> repr.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ReprError](#class-reprerror)
- [def do_replace](#def-do_replace)
- [def auto_repr](#def-auto_repr)
- [def auto_rich_repr](#def-auto_rich_repr)
</details>

<details><summary><h3><strong>class ReprError</strong></h3></summary>

An error occurred when attempting to build a repr.

</details>

<details><summary><h3><strong>def do_replace(cls: Type[T], angular: Optional[bool] = None)</strong></h3></summary>

Create repr string from __rich_repr__

</details>

<details><summary><h3><strong>def auto_repr(self: T)</strong></h3></summary>

Create repr string from __rich_repr__

</details>

<details><summary><h3><strong>def auto_rich_repr(self: Type[T])</strong></h3></summary>

Auto generate __rich_rep__ from signature of __init__

</details>

</details>


<details><summary><h2><strong> rule.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Rule](#class-rule)
</details>

<details><summary><h3><strong>class Rule</strong></h3></summary>

A console renderable to draw a horizontal rule (line).

</details>

</details>


<details><summary><h2><strong> scope.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def sort_items](#def-sort_items)
</details>

<details><summary><h3><strong>def sort_items(item: Tuple[str, Any])</strong></h3></summary>

Sort special variables first, then alphabetically.

</details>

</details>


<details><summary><h2><strong> screen.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Screen](#class-screen)
</details>

<details><summary><h3><strong>class Screen</strong></h3></summary>

A renderable that fills the terminal screen and crops excess.

</details>

</details>


<details><summary><h2><strong> segment.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ControlType](#class-controltype)
- [class Segment](#class-segment)
- [class Segments](#class-segments)
- [class SegmentLines](#class-segmentlines)
- [def cell_length](#def-cell_length)
- [def __rich_repr__](#def-__rich_repr__)
- [def __bool__](#def-__bool__)
- [def is_control](#def-is_control)
- [def _split_cells](#def-_split_cells)
- [def split_cells](#def-split_cells)
- [def line](#def-line)
- [def apply_style](#def-apply_style)
- [def filter_control](#def-filter_control)
- [def split_lines](#def-split_lines)
- [def split_and_crop_lines](#def-split_and_crop_lines)
- [def adjust_line_length](#def-adjust_line_length)
- [def get_line_length](#def-get_line_length)
- [def get_shape](#def-get_shape)
- [def set_shape](#def-set_shape)
- [def align_top](#def-align_top)
- [def align_bottom](#def-align_bottom)
- [def align_middle](#def-align_middle)
- [def simplify](#def-simplify)
- [def strip_links](#def-strip_links)
- [def strip_styles](#def-strip_styles)
- [def remove_color](#def-remove_color)
- [def divide](#def-divide)
- [def __init__](#def-__init__)
</details>

<details><summary><h3><strong>class ControlType</strong></h3></summary>

Non-printable control codes which typically translate to ANSI codes.

</details>

<details><summary><h3><strong>class Segment</strong></h3></summary>

A piece of text with associated style. Segments are produced by the Console render process and
    are ultimately converted in to strings to be written to the terminal.

<details><summary><h4>Arguments</h4></summary>

- `class`: `~rich.style.Style`, optional): An optional style to apply to the text.
        control (Tuple[ControlCode], optional): Optional sequence of control codes.
- `Attributes`: cell_length (int): The cell length of this Segment.
</details>

<details><summary><h4><strong>def cell_length</strong></h4></summary>

The number of terminal cells required to display self.text.

<details><summary><h5>Returns</h5></summary>

int: A number of cells.
</details>

</details>

<details><summary><h4><strong>def __rich_repr__</strong></h4></summary>

Check if the segment contains text.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Check if the segment contains text.

</details>

<details><summary><h4><strong>def is_control</strong></h4></summary>

Check if the segment contains control codes.

</details>

<details><summary><h4><strong>def _split_cells</strong></h4></summary>

Split a segment in to two at a given cell position.

        Note that splitting a double-width character, may result in that character turning
        into two spaces.

<details><summary><h5>Returns</h5></summary>

A tuple of two segments.
</details>

</details>

<details><summary><h4><strong>def split_cells</strong></h4></summary>

Split segment in to two segments at the specified column.

        If the cut point falls in the middle of a 2-cell wide character then it is replaced
        by two spaces, to preserve the display width of the parent segment.

<details><summary><h5>Returns</h5></summary>

Tuple[Segment, Segment]: Two segments.
</details>

</details>

<details><summary><h4><strong>def line</strong></h4></summary>

Make a new line segment.

</details>

<details><summary><h4><strong>def apply_style</strong></h4></summary>

Apply style(s) to an iterable of segments.

        Returns an iterable of segments where the style is replaced by ``style + segment.style + post_style``.

<details><summary><h5>Returns</h5></summary>

Iterable[Segments]: A new iterable of segments (possibly the same iterable).
</details>

</details>

<details><summary><h4><strong>def filter_control</strong></h4></summary>

Filter segments by ``is_control`` attribute.

<details><summary><h5>Returns</h5></summary>

Iterable[Segment]: And iterable of Segment instances.
</details>

</details>

<details><summary><h4><strong>def split_lines</strong></h4></summary>

Split a sequence of segments in to a list of lines.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: Iterable[List[Segment]]: Iterable of segment lists, one per line.
</details>

</details>

<details><summary><h4><strong>def split_and_crop_lines</strong></h4></summary>

Split segments in to lines, and crop lines greater than a given length.

<details><summary><h5>Returns</h5></summary>

Iterable[List[Segment]]: An iterable of lines of segments.
</details>

</details>

<details><summary><h4><strong>def adjust_line_length</strong></h4></summary>

Adjust a line to a given width (cropping or padding as required).

<details><summary><h5>Returns</h5></summary>

List[Segment]: A line of segments with the desired length.
</details>

</details>

<details><summary><h4><strong>def get_line_length</strong></h4></summary>

Get the length of list of segments.

<details><summary><h5>Returns</h5></summary>

int: The length of the line.
</details>

</details>

<details><summary><h4><strong>def get_shape</strong></h4></summary>

Get the shape (enclosing rectangle) of a list of lines.

<details><summary><h5>Returns</h5></summary>

Tuple[int, int]: Width and height in characters.
</details>

</details>

<details><summary><h4><strong>def set_shape</strong></h4></summary>

Set the shape of a list of lines (enclosing rectangle).

<details><summary><h5>Returns</h5></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h4><strong>def align_top</strong></h4></summary>

Aligns lines to top (adds extra lines to bottom as required).

<details><summary><h5>Returns</h5></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h4><strong>def align_bottom</strong></h4></summary>

Aligns render to bottom (adds extra lines above as required).

<details><summary><h5>Returns</h5></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h4><strong>def align_middle</strong></h4></summary>

Aligns lines to middle (adds extra lines to above and below as required).

<details><summary><h5>Returns</h5></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h4><strong>def simplify</strong></h4></summary>

Simplify an iterable of segments by combining contiguous segments with the same style.

<details><summary><h5>Returns</h5></summary>

Iterable[Segment]: A possibly smaller iterable of segments that will render the same way.
</details>

</details>

<details><summary><h4><strong>def strip_links</strong></h4></summary>

Remove all links from an iterable of styles.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: S
- `egment`: Segments with link removed.
</details>

</details>

<details><summary><h4><strong>def strip_styles</strong></h4></summary>

Remove all styles from an iterable of segments.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: S
- `egment`: Segments with styles replace with None
</details>

</details>

<details><summary><h4><strong>def remove_color</strong></h4></summary>

Remove all color from an iterable of segments.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: S
- `egment`: Segments with colorless style.
</details>

</details>

<details><summary><h4><strong>def divide</strong></h4></summary>

Divides an iterable of segments in to portions.

<details><summary><h5>Arguments</h5></summary>

- `Yields`: [Iterable[List[Segment]]]: An iterable of Segments in List.
</details>

</details>

</details>

<details><summary><h3><strong>class Segments</strong></h3></summary>

A simple renderable to render an iterable of segments. This class may be useful if
    you want to print segments outside of a __rich_console__ method.

</details>

<details><summary><h3><strong>class SegmentLines</strong></h3></summary>

A simple renderable containing a number of lines of segments. May be used as an intermediate
        in rendering process.

<details><summary><h4><strong>def __init__</strong></h4></summary>

A simple renderable containing a number of lines of segments. May be used as an intermediate
        in rendering process.

</details>

</details>

<details><summary><h3><strong>def cell_length(self)</strong></h3></summary>

The number of terminal cells required to display self.text.

<details><summary><h4>Returns</h4></summary>

int: A number of cells.
</details>

</details>

<details><summary><h3><strong>def __rich_repr__(self)</strong></h3></summary>

Check if the segment contains text.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

Check if the segment contains text.

</details>

<details><summary><h3><strong>def is_control(self)</strong></h3></summary>

Check if the segment contains control codes.

</details>

<details><summary><h3><strong>def _split_cells(cls, segment: "Segment", cut: int)</strong></h3></summary>

Split a segment in to two at a given cell position.

        Note that splitting a double-width character, may result in that character turning
        into two spaces.

<details><summary><h4>Returns</h4></summary>

A tuple of two segments.
</details>

</details>

<details><summary><h3><strong>def split_cells(self, cut: int)</strong></h3></summary>

Split segment in to two segments at the specified column.

        If the cut point falls in the middle of a 2-cell wide character then it is replaced
        by two spaces, to preserve the display width of the parent segment.

<details><summary><h4>Returns</h4></summary>

Tuple[Segment, Segment]: Two segments.
</details>

</details>

<details><summary><h3><strong>def line(cls)</strong></h3></summary>

Make a new line segment.

</details>

<details><summary><h3><strong>def split_lines(cls, segments: Iterable["Segment"])</strong></h3></summary>

Apply style(s) to an iterable of segments.

        Returns an iterable of segments where the style is replaced by ``style + segment.style + post_style``.

<details><summary><h4>Returns</h4></summary>

Iterable[Segments]: A new iterable of segments (possibly the same iterable).
</details>

</details>

<details><summary><h3><strong>def split_lines(cls, segments: Iterable["Segment"])</strong></h3></summary>

Filter segments by ``is_control`` attribute.

<details><summary><h4>Returns</h4></summary>

Iterable[Segment]: And iterable of Segment instances.
</details>

</details>

<details><summary><h3><strong>def split_lines(cls, segments: Iterable["Segment"])</strong></h3></summary>

Split a sequence of segments in to a list of lines.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: Iterable[List[Segment]]: Iterable of segment lists, one per line.
</details>

</details>

<details><summary><h3><strong>def get_line_length(cls, line: List["Segment"])</strong></h3></summary>

Split segments in to lines, and crop lines greater than a given length.

<details><summary><h4>Returns</h4></summary>

Iterable[List[Segment]]: An iterable of lines of segments.
</details>

</details>

<details><summary><h3><strong>def get_line_length(cls, line: List["Segment"])</strong></h3></summary>

Adjust a line to a given width (cropping or padding as required).

<details><summary><h4>Returns</h4></summary>

List[Segment]: A line of segments with the desired length.
</details>

</details>

<details><summary><h3><strong>def get_line_length(cls, line: List["Segment"])</strong></h3></summary>

Get the length of list of segments.

<details><summary><h4>Returns</h4></summary>

int: The length of the line.
</details>

</details>

<details><summary><h3><strong>def get_shape(cls, lines: List[List["Segment"]])</strong></h3></summary>

Get the shape (enclosing rectangle) of a list of lines.

<details><summary><h4>Returns</h4></summary>

Tuple[int, int]: Width and height in characters.
</details>

</details>

<details><summary><h3><strong>def simplify(cls, segments: Iterable["Segment"])</strong></h3></summary>

Set the shape of a list of lines (enclosing rectangle).

<details><summary><h4>Returns</h4></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h3><strong>def simplify(cls, segments: Iterable["Segment"])</strong></h3></summary>

Aligns lines to top (adds extra lines to bottom as required).

<details><summary><h4>Returns</h4></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h3><strong>def simplify(cls, segments: Iterable["Segment"])</strong></h3></summary>

Aligns render to bottom (adds extra lines above as required).

<details><summary><h4>Returns</h4></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h3><strong>def simplify(cls, segments: Iterable["Segment"])</strong></h3></summary>

Aligns lines to middle (adds extra lines to above and below as required).

<details><summary><h4>Returns</h4></summary>

List[List[Segment]]: New list of lines.
</details>

</details>

<details><summary><h3><strong>def simplify(cls, segments: Iterable["Segment"])</strong></h3></summary>

Simplify an iterable of segments by combining contiguous segments with the same style.

<details><summary><h4>Returns</h4></summary>

Iterable[Segment]: A possibly smaller iterable of segments that will render the same way.
</details>

</details>

<details><summary><h3><strong>def strip_links(cls, segments: Iterable["Segment"])</strong></h3></summary>

Remove all links from an iterable of styles.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: S
- `egment`: Segments with link removed.
</details>

</details>

<details><summary><h3><strong>def strip_styles(cls, segments: Iterable["Segment"])</strong></h3></summary>

Remove all styles from an iterable of segments.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: S
- `egment`: Segments with styles replace with None
</details>

</details>

<details><summary><h3><strong>def remove_color(cls, segments: Iterable["Segment"])</strong></h3></summary>

Remove all color from an iterable of segments.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: S
- `egment`: Segments with colorless style.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Divides an iterable of segments in to portions.

<details><summary><h4>Arguments</h4></summary>

- `Yields`: [Iterable[List[Segment]]]: An iterable of Segments in List.
</details>

</details>

<details><summary><h3><strong>def __init__(self, lines: Iterable[List[Segment]], new_lines: bool = False)</strong></h3></summary>

A simple renderable containing a number of lines of segments. May be used as an intermediate
        in rendering process.

</details>

</details>


<details><summary><h2><strong> spinner.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Spinner](#class-spinner)
- [def __init__](#def-__init__)
- [def __rich_console__](#def-__rich_console__)
- [def __rich_measure__](#def-__rich_measure__)
- [def render](#def-render)
- [def update](#def-update)
</details>

<details><summary><h3><strong>class Spinner</strong></h3></summary>

A spinner animation.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: K
- `eyError`: If name isn't one of the supported spinner animations.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Render the spinner for a given time.

<details><summary><h5>Returns</h5></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Render the spinner for a given time.

<details><summary><h5>Returns</h5></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h4><strong>def __rich_measure__</strong></h4></summary>

Render the spinner for a given time.

<details><summary><h5>Returns</h5></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render the spinner for a given time.

<details><summary><h5>Returns</h5></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Updates attributes of a spinner after it has been started.

</details>

</details>

<details><summary><h3><strong>def render(self, time: float)</strong></h3></summary>

Render the spinner for a given time.

<details><summary><h4>Returns</h4></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h3><strong>def render(self, time: float)</strong></h3></summary>

Render the spinner for a given time.

<details><summary><h4>Returns</h4></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h3><strong>def render(self, time: float)</strong></h3></summary>

Render the spinner for a given time.

<details><summary><h4>Returns</h4></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h3><strong>def render(self, time: float)</strong></h3></summary>

Render the spinner for a given time.

<details><summary><h4>Returns</h4></summary>

RenderableType: A renderable containing animation frame.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Updates attributes of a spinner after it has been started.

</details>

</details>


<details><summary><h2><strong> status.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Status](#class-status)
- [def __init__](#def-__init__)
- [def renderable](#def-renderable)
- [def console](#def-console)
- [def update](#def-update)
- [def start](#def-start)
- [def stop](#def-stop)
</details>

<details><summary><h3><strong>class Status</strong></h3></summary>

Displays a status indicator with a 'spinner' animation.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the Console used by the Status objects.

</details>

<details><summary><h4><strong>def renderable</strong></h4></summary>

Get the Console used by the Status objects.

</details>

<details><summary><h4><strong>def console</strong></h4></summary>

Get the Console used by the Status objects.

</details>

<details><summary><h4><strong>def update</strong></h4></summary>

Update status.

</details>

<details><summary><h4><strong>def start</strong></h4></summary>

Start the status animation.

</details>

<details><summary><h4><strong>def stop</strong></h4></summary>

Stop the spinner animation.

</details>

</details>

<details><summary><h3><strong>def renderable(self)</strong></h3></summary>

Get the Console used by the Status objects.

</details>

<details><summary><h3><strong>def renderable(self)</strong></h3></summary>

Get the Console used by the Status objects.

</details>

<details><summary><h3><strong>def console(self)</strong></h3></summary>

Get the Console used by the Status objects.

</details>

<details><summary><h3><strong>def start(self)</strong></h3></summary>

Update status.

</details>

<details><summary><h3><strong>def start(self)</strong></h3></summary>

Start the status animation.

</details>

<details><summary><h3><strong>def stop(self)</strong></h3></summary>

Stop the spinner animation.

</details>

</details>


<details><summary><h2><strong> style.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _Bit](#class-_bit)
- [class Style](#class-style)
- [class StyleStack](#class-stylestack)
- [def __init__](#def-__init__)
- [def _make_color](#def-_make_color)
- [def null](#def-null)
- [def from_color](#def-from_color)
- [def from_meta](#def-from_meta)
- [def on](#def-on)
- [def link_id](#def-link_id)
- [def __str__](#def-__str__)
- [def __bool__](#def-__bool__)
- [def _make_ansi_codes](#def-_make_ansi_codes)
- [def normalize](#def-normalize)
- [def pick_first](#def-pick_first)
- [def __rich_repr__](#def-__rich_repr__)
- [def __eq__](#def-__eq__)
- [def __ne__](#def-__ne__)
- [def __hash__](#def-__hash__)
- [def color](#def-color)
- [def bgcolor](#def-bgcolor)
- [def link](#def-link)
- [def transparent_background](#def-transparent_background)
- [def background_style](#def-background_style)
- [def meta](#def-meta)
- [def without_color](#def-without_color)
- [def parse](#def-parse)
- [def get_html_style](#def-get_html_style)
- [def combine](#def-combine)
- [def chain](#def-chain)
- [def copy](#def-copy)
- [def clear_meta_and_links](#def-clear_meta_and_links)
- [def update_link](#def-update_link)
- [def render](#def-render)
- [def test](#def-test)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def current](#def-current)
- [def push](#def-push)
- [def pop](#def-pop)
</details>

<details><summary><h3><strong>class _Bit</strong></h3></summary>

A descriptor to get/set a style attribute bit.

</details>

<details><summary><h3><strong>class Style</strong></h3></summary>

A terminal style.

    A terminal style consists of a color (`color`), a background color (`bgcolor`), and a number of attributes, such
    as bold, italic etc. The attributes have 3 states: they can either be on
    (``True``), off (``False``), or not set (``None``).

<details><summary><h4><strong>def __init__</strong></h4></summary>

Create an 'null' style, equivalent to Style(), but more performant.

</details>

<details><summary><h4><strong>def _make_color</strong></h4></summary>

Create an 'null' style, equivalent to Style(), but more performant.

</details>

<details><summary><h4><strong>def null</strong></h4></summary>

Create an 'null' style, equivalent to Style(), but more performant.

</details>

<details><summary><h4><strong>def from_color</strong></h4></summary>

Create a new style with colors and no attributes.

<details><summary><h5>Returns</h5></summary>

color (Optional[Color]): A (foreground) color, or None for no color. Defaults to None.
            bgcolor (Optional[Color]): A (background) color, or None for no color. Defaults to None.
</details>

</details>

<details><summary><h4><strong>def from_meta</strong></h4></summary>

Create a new style with meta data.

<details><summary><h5>Returns</h5></summary>

meta (Optional[Dict[str, Any]]): A dictionary of meta data. Defaults to None.
</details>

</details>

<details><summary><h4><strong>def on</strong></h4></summary>

Create a blank style with meta information.

        Example:
            style = Style.on(click=self.on_click)

<details><summary><h5>Returns</h5></summary>

Style: A Style with meta information attached.
</details>

</details>

<details><summary><h4><strong>def link_id</strong></h4></summary>

Get a link id, used in ansi code for links.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Re-generate style definition from attributes.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

A Style is false if it has no attributes, colors, or links.

</details>

<details><summary><h4><strong>def _make_ansi_codes</strong></h4></summary>

Generate ANSI codes for this style.

<details><summary><h5>Returns</h5></summary>

str: String containing codes.
</details>

</details>

<details><summary><h4><strong>def normalize</strong></h4></summary>

Normalize a style definition so that styles with the same effect have the same string
        representation.

<details><summary><h5>Returns</h5></summary>

str: Normal form of style definition.
</details>

</details>

<details><summary><h4><strong>def pick_first</strong></h4></summary>

Pick first non-None style.

</details>

<details><summary><h4><strong>def __rich_repr__</strong></h4></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h4><strong>def color</strong></h4></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h4><strong>def bgcolor</strong></h4></summary>

The background color or None if it is not set.

</details>

<details><summary><h4><strong>def link</strong></h4></summary>

Link text, if set.

</details>

<details><summary><h4><strong>def transparent_background</strong></h4></summary>

Check if the style specified a transparent background.

</details>

<details><summary><h4><strong>def background_style</strong></h4></summary>

A Style with background only.

</details>

<details><summary><h4><strong>def meta</strong></h4></summary>

Get meta information (can not be changed after construction).

</details>

<details><summary><h4><strong>def without_color</strong></h4></summary>

Get a copy of the style with color removed.

</details>

<details><summary><h4><strong>def parse</strong></h4></summary>

Parse a style definition.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: errors.
- `StyleSyntaxError`: If the style definition syntax is invalid.
</details>

<details><summary><h5>Returns</h5></summary>

`Style`: A Style instance.
</details>

</details>

<details><summary><h4><strong>def get_html_style</strong></h4></summary>

Get a CSS style rule.

</details>

<details><summary><h4><strong>def combine</strong></h4></summary>

Combine styles and get result.

<details><summary><h5>Returns</h5></summary>

Style: A new style instance.
</details>

</details>

<details><summary><h4><strong>def chain</strong></h4></summary>

Combine styles from positional argument in to a single style.

<details><summary><h5>Returns</h5></summary>

Style: A new style instance.
</details>

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Get a copy of this style.

<details><summary><h5>Returns</h5></summary>

Style: A new Style instance with identical attributes.
</details>

</details>

<details><summary><h4><strong>def clear_meta_and_links</strong></h4></summary>

Get a copy of this style with link and meta information removed.

<details><summary><h5>Returns</h5></summary>

Style: New style object.
</details>

</details>

<details><summary><h4><strong>def update_link</strong></h4></summary>

Get a copy with a different value for link.

<details><summary><h5>Returns</h5></summary>

Style: A new Style instance.
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render the ANSI codes for the style.

<details><summary><h5>Returns</h5></summary>

str: A string containing ANSI style codes.
</details>

</details>

<details><summary><h4><strong>def test</strong></h4></summary>

Write text with style directly to terminal.

        This method is for testing purposes only.

</details>

</details>

<details><summary><h3><strong>class StyleStack</strong></h3></summary>

A stack of styles.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the Style at the top of the stack.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Get the Style at the top of the stack.

</details>

<details><summary><h4><strong>def current</strong></h4></summary>

Get the Style at the top of the stack.

</details>

<details><summary><h4><strong>def push</strong></h4></summary>

Push a new style on to the stack.

</details>

<details><summary><h4><strong>def pop</strong></h4></summary>

Pop last style and discard.

<details><summary><h5>Returns</h5></summary>

Style: New current style (also available as stack.current)
</details>

</details>

</details>

<details><summary><h3><strong>def _make_color(color: Union[Color, str])</strong></h3></summary>

Create an 'null' style, equivalent to Style(), but more performant.

</details>

<details><summary><h3><strong>def _make_color(color: Union[Color, str])</strong></h3></summary>

Create an 'null' style, equivalent to Style(), but more performant.

</details>

<details><summary><h3><strong>def null(cls)</strong></h3></summary>

Create an 'null' style, equivalent to Style(), but more performant.

</details>

<details><summary><h3><strong>def from_meta(cls, meta: Optional[Dict[str, Any]])</strong></h3></summary>

Create a new style with colors and no attributes.

<details><summary><h4>Returns</h4></summary>

color (Optional[Color]): A (foreground) color, or None for no color. Defaults to None.
            bgcolor (Optional[Color]): A (background) color, or None for no color. Defaults to None.
</details>

</details>

<details><summary><h3><strong>def from_meta(cls, meta: Optional[Dict[str, Any]])</strong></h3></summary>

Create a new style with meta data.

<details><summary><h4>Returns</h4></summary>

meta (Optional[Dict[str, Any]]): A dictionary of meta data. Defaults to None.
</details>

</details>

<details><summary><h3><strong>def on(cls, meta: Optional[Dict[str, Any]] = None, **handlers: Any)</strong></h3></summary>

Create a blank style with meta information.

        Example:
            style = Style.on(click=self.on_click)

<details><summary><h4>Returns</h4></summary>

Style: A Style with meta information attached.
</details>

</details>

<details><summary><h3><strong>def link_id(self)</strong></h3></summary>

Get a link id, used in ansi code for links.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Re-generate style definition from attributes.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

A Style is false if it has no attributes, colors, or links.

</details>

<details><summary><h3><strong>def _make_ansi_codes(self, color_system: ColorSystem)</strong></h3></summary>

Generate ANSI codes for this style.

<details><summary><h4>Returns</h4></summary>

str: String containing codes.
</details>

</details>

<details><summary><h3><strong>def normalize(cls, style: str)</strong></h3></summary>

Normalize a style definition so that styles with the same effect have the same string
        representation.

<details><summary><h4>Returns</h4></summary>

str: Normal form of style definition.
</details>

</details>

<details><summary><h3><strong>def pick_first(cls, *values: Optional[StyleType])</strong></h3></summary>

Pick first non-None style.

</details>

<details><summary><h3><strong>def __rich_repr__(self)</strong></h3></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h3><strong>def __eq__(self, other: Any)</strong></h3></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h3><strong>def __ne__(self, other: Any)</strong></h3></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h3><strong>def __hash__(self)</strong></h3></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h3><strong>def color(self)</strong></h3></summary>

The foreground color or None if it is not set.

</details>

<details><summary><h3><strong>def bgcolor(self)</strong></h3></summary>

The background color or None if it is not set.

</details>

<details><summary><h3><strong>def link(self)</strong></h3></summary>

Link text, if set.

</details>

<details><summary><h3><strong>def transparent_background(self)</strong></h3></summary>

Check if the style specified a transparent background.

</details>

<details><summary><h3><strong>def background_style(self)</strong></h3></summary>

A Style with background only.

</details>

<details><summary><h3><strong>def meta(self)</strong></h3></summary>

Get meta information (can not be changed after construction).

</details>

<details><summary><h3><strong>def without_color(self)</strong></h3></summary>

Get a copy of the style with color removed.

</details>

<details><summary><h3><strong>def parse(cls, style_definition: str)</strong></h3></summary>

Parse a style definition.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: errors.
- `StyleSyntaxError`: If the style definition syntax is invalid.
</details>

<details><summary><h4>Returns</h4></summary>

`Style`: A Style instance.
</details>

</details>

<details><summary><h3><strong>def get_html_style(self, theme: Optional[TerminalTheme] = None)</strong></h3></summary>

Get a CSS style rule.

</details>

<details><summary><h3><strong>def combine(cls, styles: Iterable["Style"])</strong></h3></summary>

Combine styles and get result.

<details><summary><h4>Returns</h4></summary>

Style: A new style instance.
</details>

</details>

<details><summary><h3><strong>def chain(cls, *styles: "Style")</strong></h3></summary>

Combine styles from positional argument in to a single style.

<details><summary><h4>Returns</h4></summary>

Style: A new style instance.
</details>

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Get a copy of this style.

<details><summary><h4>Returns</h4></summary>

Style: A new Style instance with identical attributes.
</details>

</details>

<details><summary><h3><strong>def clear_meta_and_links(self)</strong></h3></summary>

Get a copy of this style with link and meta information removed.

<details><summary><h4>Returns</h4></summary>

Style: New style object.
</details>

</details>

<details><summary><h3><strong>def update_link(self, link: Optional[str] = None)</strong></h3></summary>

Get a copy with a different value for link.

<details><summary><h4>Returns</h4></summary>

Style: A new Style instance.
</details>

</details>

<details><summary><h3><strong>def test(self, text: Optional[str] = None)</strong></h3></summary>

Render the ANSI codes for the style.

<details><summary><h4>Returns</h4></summary>

str: A string containing ANSI style codes.
</details>

</details>

<details><summary><h3><strong>def test(self, text: Optional[str] = None)</strong></h3></summary>

Write text with style directly to terminal.

        This method is for testing purposes only.

</details>

<details><summary><h3><strong>def __init__(self, default_style: "Style")</strong></h3></summary>

Get the Style at the top of the stack.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Get the Style at the top of the stack.

</details>

<details><summary><h3><strong>def current(self)</strong></h3></summary>

Get the Style at the top of the stack.

</details>

<details><summary><h3><strong>def push(self, style: Style)</strong></h3></summary>

Push a new style on to the stack.

</details>

<details><summary><h3><strong>def pop(self)</strong></h3></summary>

Pop last style and discard.

<details><summary><h4>Returns</h4></summary>

Style: New current style (also available as stack.current)
</details>

</details>

</details>


<details><summary><h2><strong> styled.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Styled](#class-styled)
</details>

<details><summary><h3><strong>class Styled</strong></h3></summary>

Apply a style to a renderable.

</details>

</details>


<details><summary><h2><strong> syntax.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class SyntaxTheme](#class-syntaxtheme)
- [class for](#class-for)
- [class PygmentsSyntaxTheme](#class-pygmentssyntaxtheme)
- [class ANSISyntaxTheme](#class-ansisyntaxtheme)
- [class _SyntaxHighlightRange](#class-_syntaxhighlightrange)
- [class Syntax](#class-syntax)
- [def get_style_for_token](#def-get_style_for_token)
- [def get_background_style](#def-get_background_style)
- [def __init__](#def-__init__)
- [def get_style_for_token](#def-get_style_for_token)
- [def __init__](#def-__init__)
- [def get_style_for_token](#def-get_style_for_token)
- [def get_theme](#def-get_theme)
- [def __init__](#def-__init__)
- [def from_path](#def-from_path)
- [def guess_lexer](#def-guess_lexer)
- [def _get_base_style](#def-_get_base_style)
- [def _get_token_color](#def-_get_token_color)
- [def lexer](#def-lexer)
- [def default_lexer](#def-default_lexer)
- [def highlight](#def-highlight)
- [def line_tokenize](#def-line_tokenize)
- [def tokens_to_spans](#def-tokens_to_spans)
- [def stylize_range](#def-stylize_range)
- [def _get_line_numbers_color](#def-_get_line_numbers_color)
- [def _numbers_column_width](#def-_numbers_column_width)
- [def _get_number_styles](#def-_get_number_styles)
- [def __rich_measure__](#def-__rich_measure__)
- [def __rich_console__](#def-__rich_console__)
- [def _get_syntax](#def-_get_syntax)
- [def _apply_stylized_ranges](#def-_apply_stylized_ranges)
- [def _process_code](#def-_process_code)
</details>

<details><summary><h3><strong>class SyntaxTheme</strong></h3></summary>

Base class for a syntax theme.

<details><summary><h4><strong>def get_style_for_token</strong></h4></summary>

Get a style for a given Pygments token.

</details>

<details><summary><h4><strong>def get_background_style</strong></h4></summary>

Get the background color.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

@abstractmethod
    def get_style_for_token(self, token_type: TokenType) -> Style:

<details><summary><h4><strong>def get_style_for_token</strong></h4></summary>

Get a style for a given Pygments token.

</details>

<details><summary><h4><strong>def get_background_style</strong></h4></summary>

Get the background color.

</details>

</details>

<details><summary><h3><strong>class PygmentsSyntaxTheme</strong></h3></summary>

Syntax theme that delegates to Pygments theme.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get a style from a Pygments class.

</details>

<details><summary><h4><strong>def get_style_for_token</strong></h4></summary>

Get a style from a Pygments class.

</details>

</details>

<details><summary><h3><strong>class ANSISyntaxTheme</strong></h3></summary>

Syntax theme to use standard colors.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Look up style in the style map.

</details>

<details><summary><h4><strong>def get_style_for_token</strong></h4></summary>

Look up style in the style map.

</details>

</details>

<details><summary><h3><strong>class _SyntaxHighlightRange</strong></h3></summary>

A range to highlight in a Syntax object.
    `start` and `end` are 2-integers tuples, where the first integer is the line number
    (starting from 1) and the second integer is the column index (starting from 0).

</details>

<details><summary><h3><strong>class Syntax</strong></h3></summary>

Construct a Syntax object to render syntax highlighted code.

<details><summary><h4>Arguments</h4></summary>

- `https`: //pygments.org/docs/styles/#getting-a-list-of-available-styles). Defaults to "monokai".
        dedent (bool, optional): Enable stripping of initial whitespace. Defaults to False.
        line_numbers (bool, optional): Enable rendering of line numbers. Defaults to False.
        start_line (int, optional): Starting number for line numbers. Defaults to 1.
        line_range (Tuple[int | None, int | None], optional): If given should be a tuple of the start and end line to render.
            A value of None in the tuple indicates the range is open in that direction.
        highlight_lines (Set[int]): A set of line numbers to highlight.
- `code_width`: Width of code to render (not including line numbers), or ``None`` to use all available width.
        tab_size (int, optional): Size of tabs. Defaults to 4.
        word_wrap (bool, optional): Enable word wrapping.
        background_color (str, optional): Optional background color, or None to use theme color. Defaults to None.
        indent_guides (bool, optional): Show indent guides. Defaults to False.
        padding (PaddingDimensions): Padding to apply around the syntax. Defaults to 0 (no padding).
</details>

<details><summary><h4><strong>def get_theme</strong></h4></summary>

Get a syntax theme instance.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Construct a Syntax object from a file.

<details><summary><h5>Arguments</h5></summary>

- `https`: //pygments.org/docs/styles/#getting-a-list-of-available-styles). Defaults to "emacs".
            dedent (bool, optional): Enable stripping of initial whitespace. Defaults to True.
            line_numbers (bool, optional): Enable rendering of line numbers. Defaults to False.
            start_line (int, optional): Starting number for line numbers. Defaults to 1.
            line_range (Tuple[int, int], optional): If given should be a tuple of the start and end line to render.
            highlight_lines (Set[int]): A set of line numbers to highlight.
- `code_width`: Width of code to render (not including line numbers), or ``None`` to use all available width.
            tab_size (int, optional): Size of tabs. Defaults to 4.
            word_wrap (bool, optional): Enable word wrapping of code.
            background_color (str, optional): Optional background color, or None to use theme color. Defaults to None.
            indent_guides (bool, optional): Show indent guides. Defaults to False.
            padding (PaddingDimensions): Padding to apply around the syntax. Defaults to 0 (no padding).
</details>

<details><summary><h5>Returns</h5></summary>

[Syntax]: A Syntax object that may be printed to the console
</details>

</details>

<details><summary><h4><strong>def from_path</strong></h4></summary>

Construct a Syntax object from a file.

<details><summary><h5>Arguments</h5></summary>

- `https`: //pygments.org/docs/styles/#getting-a-list-of-available-styles). Defaults to "emacs".
            dedent (bool, optional): Enable stripping of initial whitespace. Defaults to True.
            line_numbers (bool, optional): Enable rendering of line numbers. Defaults to False.
            start_line (int, optional): Starting number for line numbers. Defaults to 1.
            line_range (Tuple[int, int], optional): If given should be a tuple of the start and end line to render.
            highlight_lines (Set[int]): A set of line numbers to highlight.
- `code_width`: Width of code to render (not including line numbers), or ``None`` to use all available width.
            tab_size (int, optional): Size of tabs. Defaults to 4.
            word_wrap (bool, optional): Enable word wrapping of code.
            background_color (str, optional): Optional background color, or None to use theme color. Defaults to None.
            indent_guides (bool, optional): Show indent guides. Defaults to False.
            padding (PaddingDimensions): Padding to apply around the syntax. Defaults to 0 (no padding).
</details>

<details><summary><h5>Returns</h5></summary>

[Syntax]: A Syntax object that may be printed to the console
</details>

</details>

<details><summary><h4><strong>def guess_lexer</strong></h4></summary>

Guess the alias of the Pygments lexer to use based on a path and an optional string of code.
        If code is supplied, it will use a combination of the code and the filename to determine the
        best lexer to use. For example, if the file is ``index.html`` and the file contains Django
        templating syntax, then "html+django" will be returned. If the file is ``index.html``, and no
        templating language is used, the "html" lexer will be used. If no string of code
        is supplied, the lexer will be chosen based on the file extension..

<details><summary><h5>Returns</h5></summary>

str: The name of the Pygments lexer that best matches the supplied path/code.
</details>

</details>

<details><summary><h4><strong>def _get_base_style</strong></h4></summary>

Get the base style.

</details>

<details><summary><h4><strong>def _get_token_color</strong></h4></summary>

Get a color (if any) for the given token.

<details><summary><h5>Returns</h5></summary>

Optional[Color]: Color from theme, or None for no color.
</details>

</details>

<details><summary><h4><strong>def lexer</strong></h4></summary>

The lexer for this syntax, or None if no lexer was found.

        Tries to find the lexer by name if a string was passed to the constructor.

</details>

<details><summary><h4><strong>def default_lexer</strong></h4></summary>

A Pygments Lexer to use if one is not specified or invalid.

</details>

<details><summary><h4><strong>def highlight</strong></h4></summary>

Highlight code and return a Text instance.

<details><summary><h5>Returns</h5></summary>

Text: A text instance containing highlighted syntax.
</details>

</details>

<details><summary><h4><strong>def line_tokenize</strong></h4></summary>

Split tokens to one per line.

</details>

<details><summary><h4><strong>def tokens_to_spans</strong></h4></summary>

Convert tokens to spans.

</details>

<details><summary><h4><strong>def stylize_range</strong></h4></summary>

Adds a custom style on a part of the code, that will be applied to the syntax display when it's rendered.
        Line numbers are 1-based, while column indexes are 0-based.

</details>

<details><summary><h4><strong>def _get_line_numbers_color</strong></h4></summary>

Get the number of characters used to render the numbers column.

</details>

<details><summary><h4><strong>def _numbers_column_width</strong></h4></summary>

Get the number of characters used to render the numbers column.

</details>

<details><summary><h4><strong>def _get_number_styles</strong></h4></summary>

Get background, number, and highlight styles for line numbers.

</details>

<details><summary><h4><strong>def __rich_measure__</strong></h4></summary>

Get the Segments for the Syntax object, excluding any vertical/horizontal padding

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Get the Segments for the Syntax object, excluding any vertical/horizontal padding

</details>

<details><summary><h4><strong>def _get_syntax</strong></h4></summary>

Get the Segments for the Syntax object, excluding any vertical/horizontal padding

</details>

<details><summary><h4><strong>def _apply_stylized_ranges</strong></h4></summary>

Apply stylized ranges to a text instance,
        using the given code to determine the right portion to apply the style to.

</details>

<details><summary><h4><strong>def _process_code</strong></h4></summary>

Applies various processing to a raw code string
        (normalises it so it always ends with a line return, dedents it if necessary, etc.)

<details><summary><h5>Returns</h5></summary>

Tuple[bool, str]: the boolean indicates whether the raw code ends with a line return,
                while the string is the processed code.
</details>

</details>

</details>

<details><summary><h3><strong>def get_style_for_token(self, token_type: TokenType)</strong></h3></summary>

Get a style for a given Pygments token.

</details>

<details><summary><h3><strong>def get_background_style(self)</strong></h3></summary>

Get the background color.

</details>

<details><summary><h3><strong>def __init__(self, theme: Union[str, Type[PygmentsStyle]])</strong></h3></summary>

Get a style from a Pygments class.

</details>

<details><summary><h3><strong>def get_style_for_token(self, token_type: TokenType)</strong></h3></summary>

Get a style from a Pygments class.

</details>

<details><summary><h3><strong>def __init__(self, style_map: Dict[TokenType, Style])</strong></h3></summary>

Look up style in the style map.

</details>

<details><summary><h3><strong>def get_style_for_token(self, token_type: TokenType)</strong></h3></summary>

Look up style in the style map.

</details>

<details><summary><h3><strong>def get_theme(cls, name: Union[str, SyntaxTheme])</strong></h3></summary>

Get a syntax theme instance.

</details>

<details><summary><h3><strong>def guess_lexer(cls, path: str, code: Optional[str] = None)</strong></h3></summary>

Construct a Syntax object from a file.

<details><summary><h4>Arguments</h4></summary>

- `https`: //pygments.org/docs/styles/#getting-a-list-of-available-styles). Defaults to "emacs".
            dedent (bool, optional): Enable stripping of initial whitespace. Defaults to True.
            line_numbers (bool, optional): Enable rendering of line numbers. Defaults to False.
            start_line (int, optional): Starting number for line numbers. Defaults to 1.
            line_range (Tuple[int, int], optional): If given should be a tuple of the start and end line to render.
            highlight_lines (Set[int]): A set of line numbers to highlight.
- `code_width`: Width of code to render (not including line numbers), or ``None`` to use all available width.
            tab_size (int, optional): Size of tabs. Defaults to 4.
            word_wrap (bool, optional): Enable word wrapping of code.
            background_color (str, optional): Optional background color, or None to use theme color. Defaults to None.
            indent_guides (bool, optional): Show indent guides. Defaults to False.
            padding (PaddingDimensions): Padding to apply around the syntax. Defaults to 0 (no padding).
</details>

<details><summary><h4>Returns</h4></summary>

[Syntax]: A Syntax object that may be printed to the console
</details>

</details>

<details><summary><h3><strong>def guess_lexer(cls, path: str, code: Optional[str] = None)</strong></h3></summary>

Construct a Syntax object from a file.

<details><summary><h4>Arguments</h4></summary>

- `https`: //pygments.org/docs/styles/#getting-a-list-of-available-styles). Defaults to "emacs".
            dedent (bool, optional): Enable stripping of initial whitespace. Defaults to True.
            line_numbers (bool, optional): Enable rendering of line numbers. Defaults to False.
            start_line (int, optional): Starting number for line numbers. Defaults to 1.
            line_range (Tuple[int, int], optional): If given should be a tuple of the start and end line to render.
            highlight_lines (Set[int]): A set of line numbers to highlight.
- `code_width`: Width of code to render (not including line numbers), or ``None`` to use all available width.
            tab_size (int, optional): Size of tabs. Defaults to 4.
            word_wrap (bool, optional): Enable word wrapping of code.
            background_color (str, optional): Optional background color, or None to use theme color. Defaults to None.
            indent_guides (bool, optional): Show indent guides. Defaults to False.
            padding (PaddingDimensions): Padding to apply around the syntax. Defaults to 0 (no padding).
</details>

<details><summary><h4>Returns</h4></summary>

[Syntax]: A Syntax object that may be printed to the console
</details>

</details>

<details><summary><h3><strong>def guess_lexer(cls, path: str, code: Optional[str] = None)</strong></h3></summary>

Guess the alias of the Pygments lexer to use based on a path and an optional string of code.
        If code is supplied, it will use a combination of the code and the filename to determine the
        best lexer to use. For example, if the file is ``index.html`` and the file contains Django
        templating syntax, then "html+django" will be returned. If the file is ``index.html``, and no
        templating language is used, the "html" lexer will be used. If no string of code
        is supplied, the lexer will be chosen based on the file extension..

<details><summary><h4>Returns</h4></summary>

str: The name of the Pygments lexer that best matches the supplied path/code.
</details>

</details>

<details><summary><h3><strong>def _get_base_style(self)</strong></h3></summary>

Get the base style.

</details>

<details><summary><h3><strong>def _get_token_color(self, token_type: TokenType)</strong></h3></summary>

Get a color (if any) for the given token.

<details><summary><h4>Returns</h4></summary>

Optional[Color]: Color from theme, or None for no color.
</details>

</details>

<details><summary><h3><strong>def lexer(self)</strong></h3></summary>

The lexer for this syntax, or None if no lexer was found.

        Tries to find the lexer by name if a string was passed to the constructor.

</details>

<details><summary><h3><strong>def default_lexer(self)</strong></h3></summary>

A Pygments Lexer to use if one is not specified or invalid.

</details>

<details><summary><h3><strong>def line_tokenize()</strong></h3></summary>

Highlight code and return a Text instance.

<details><summary><h4>Returns</h4></summary>

Text: A text instance containing highlighted syntax.
</details>

</details>

<details><summary><h3><strong>def line_tokenize()</strong></h3></summary>

Split tokens to one per line.

</details>

<details><summary><h3><strong>def tokens_to_spans()</strong></h3></summary>

Convert tokens to spans.

</details>

<details><summary><h3><strong>def _get_line_numbers_color(self, blend: float = 0.3)</strong></h3></summary>

Adds a custom style on a part of the code, that will be applied to the syntax display when it's rendered.
        Line numbers are 1-based, while column indexes are 0-based.

</details>

<details><summary><h3><strong>def _get_line_numbers_color(self, blend: float = 0.3)</strong></h3></summary>

Get the number of characters used to render the numbers column.

</details>

<details><summary><h3><strong>def _numbers_column_width(self)</strong></h3></summary>

Get the number of characters used to render the numbers column.

</details>

<details><summary><h3><strong>def _get_number_styles(self, console: Console)</strong></h3></summary>

Get background, number, and highlight styles for line numbers.

</details>

<details><summary><h3><strong>def _apply_stylized_ranges(self, text: Text)</strong></h3></summary>

Get the Segments for the Syntax object, excluding any vertical/horizontal padding

</details>

<details><summary><h3><strong>def _apply_stylized_ranges(self, text: Text)</strong></h3></summary>

Get the Segments for the Syntax object, excluding any vertical/horizontal padding

</details>

<details><summary><h3><strong>def _apply_stylized_ranges(self, text: Text)</strong></h3></summary>

Get the Segments for the Syntax object, excluding any vertical/horizontal padding

</details>

<details><summary><h3><strong>def _apply_stylized_ranges(self, text: Text)</strong></h3></summary>

Apply stylized ranges to a text instance,
        using the given code to determine the right portion to apply the style to.

</details>

<details><summary><h3><strong>def _process_code(self, code: str)</strong></h3></summary>

Applies various processing to a raw code string
        (normalises it so it always ends with a line return, dedents it if necessary, etc.)

<details><summary><h4>Returns</h4></summary>

Tuple[bool, str]: the boolean indicates whether the raw code ends with a line return,
                while the string is the processed code.
</details>

</details>

</details>


<details><summary><h2><strong> table.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _Cell](#class-_cell)
- [class Table](#class-table)
- [def copy](#def-copy)
- [def cells](#def-cells)
- [def flexible](#def-flexible)
- [def __init__](#def-__init__)
- [def grid](#def-grid)
- [def expand](#def-expand)
- [def expand](#def-expand)
- [def _extra_width](#def-_extra_width)
- [def row_count](#def-row_count)
- [def get_row_style](#def-get_row_style)
- [def __rich_measure__](#def-__rich_measure__)
- [def padding](#def-padding)
- [def padding](#def-padding)
- [def add_column](#def-add_column)
- [def add_row](#def-add_row)
- [def add_cell](#def-add_cell)
- [def add_section](#def-add_section)
- [def __rich_console__](#def-__rich_console__)
- [def render_annotation](#def-render_annotation)
- [def _calculate_column_widths](#def-_calculate_column_widths)
- [def _collapse_widths](#def-_collapse_widths)
- [def _get_cells](#def-_get_cells)
- [def get_padding](#def-get_padding)
- [def _get_padding_width](#def-_get_padding_width)
- [def _measure_column](#def-_measure_column)
</details>

<details><summary><h3><strong>class _Cell</strong></h3></summary>

A single cell in a table.

</details>

<details><summary><h3><strong>class Table</strong></h3></summary>

A console renderable to draw a table.

<details><summary><h4>Arguments</h4></summary>

- `or`: c
- `lass`: `~rich.table.Column` instance.
        title (Union[str, Text], optional): The title of the table rendered at the top. Defaults to None.
        caption (Union[str, Text], optional): The table caption rendered below. Defaults to None.
        width (int, optional): The width in characters of the table, or ``None`` to automatically fit. Defaults to None.
        min_width (Optional[int], optional): The minimum width of the table, or ``None`` for no minimum. Defaults to None.
        box (box.Box, optional): One of the constants in box.py used to draw the edges (
- `see`: r
- `ef`: `appendix_box`), or ``None`` for no box lines. Defaults to box.HEAVY_HEAD.
        safe_box (Optional[bool], optional): Disable box characters that don't display on windows legacy terminal with *raster* fonts. Defaults to True.
        padding (PaddingDimensions, optional): Padding for cells (top, right, bottom, left). Defaults to (0, 1).
        collapse_padding (bool, optional): Enable collapsing of padding around cells. Defaults to False.
        pad_edge (bool, optional): Enable padding of edge cells. Defaults to True.
        expand (bool, optional): Expand the table to fit the available space if ``True``, otherwise the table width will be auto-calculated. Defaults to False.
        show_header (bool, optional): Show a header row. Defaults to True.
        show_footer (bool, optional): Show a footer row. Defaults to False.
        show_edge (bool, optional): Draw a box around the outside of the table. Defaults to True.
        show_lines (bool, optional): Draw lines between every row. Defaults to False.
        leading (int, optional): Number of blank lines between rows (precludes ``show_lines``). Defaults to 0.
        style (Union[str, Style], optional): Default style for the table. Defaults to "none".
        row_styles (List[Union, str], optional): Optional list of row styles, if more than one style is given then the styles will alternate. Defaults to None.
        header_style (Union[str, Style], optional): Style of the header. Defaults to "table.header".
        footer_style (Union[str, Style], optional): Style of the footer. Defaults to "table.footer".
        border_style (Union[str, Style], optional): Style of the border. Defaults to None.
        title_style (Union[str, Style], optional): Style of the title. Defaults to None.
        caption_style (Union[str, Style], optional): Style of the caption. Defaults to None.
        title_justify (str, optional): Justify method for title. Defaults to "center".
        caption_justify (str, optional): Justify method for caption. Defaults to "center".
        highlight (bool, optional): Highlight cell contents (if str). Defaults to False.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get a table with no lines, headers, or footer.

<details><summary><h5>Arguments</h5></summary>

- `or`: c
- `lass`: `~rich.table.Column` instance.
            padding (PaddingDimensions, optional): Get padding around cells. Defaults to 0.
            collapse_padding (bool, optional): Enable collapsing of padding around cells. Defaults to True.
            pad_edge (bool, optional): Enable padding around edges of table. Defaults to False.
            expand (bool, optional): Expand the table to fit the available space if ``True``, otherwise the table width will be auto-calculated. Defaults to False.
</details>

<details><summary><h5>Returns</h5></summary>

Table: A table instance.
</details>

</details>

<details><summary><h4><strong>def grid</strong></h4></summary>

Get a table with no lines, headers, or footer.

<details><summary><h5>Arguments</h5></summary>

- `or`: c
- `lass`: `~rich.table.Column` instance.
            padding (PaddingDimensions, optional): Get padding around cells. Defaults to 0.
            collapse_padding (bool, optional): Enable collapsing of padding around cells. Defaults to True.
            pad_edge (bool, optional): Enable padding around edges of table. Defaults to False.
            expand (bool, optional): Expand the table to fit the available space if ``True``, otherwise the table width will be auto-calculated. Defaults to False.
</details>

<details><summary><h5>Returns</h5></summary>

Table: A table instance.
</details>

</details>

<details><summary><h4><strong>def expand</strong></h4></summary>

Setting a non-None self.width implies expand.

</details>

<details><summary><h4><strong>def expand</strong></h4></summary>

Set expand.

</details>

<details><summary><h4><strong>def _extra_width</strong></h4></summary>

Get extra width to add to cell content.

</details>

<details><summary><h4><strong>def row_count</strong></h4></summary>

Get the current number of rows.

</details>

<details><summary><h4><strong>def get_row_style</strong></h4></summary>

Get the current row style.

</details>

<details><summary><h4><strong>def __rich_measure__</strong></h4></summary>

Get cell padding.

</details>

<details><summary><h4><strong>def padding</strong></h4></summary>

Get cell padding.

</details>

<details><summary><h4><strong>def padding</strong></h4></summary>

Set cell padding.

</details>

<details><summary><h4><strong>def add_column</strong></h4></summary>

Add a column to the table.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to "ellipsis".
            width (int, optional): Desired width of column in characters, or None to fit to contents. Defaults to None.
            min_width (Optional[int], optional): Minimum width of column, or ``None`` for no minimum. Defaults to None.
            max_width (Optional[int], optional): Maximum width of column, or ``None`` for no maximum. Defaults to None.
            ratio (int, optional): Flexible ratio for the column (requires ``Table.expand`` or ``Table.width``). Defaults to None.
            no_wrap (bool, optional): Set to ``True`` to disable wrapping of this column.
</details>

</details>

<details><summary><h4><strong>def add_row</strong></h4></summary>

Add a row of renderables.

<details><summary><h5>Arguments</h5></summary>

- `Raises`: errors.
- `NotRenderableError`: If you add something that can't be rendered.
</details>

</details>

<details><summary><h4><strong>def add_cell</strong></h4></summary>

Add a new section (draw a line after current row).

</details>

<details><summary><h4><strong>def add_section</strong></h4></summary>

Add a new section (draw a line after current row).

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Calculate the widths of each column, including padding, not including borders.

</details>

<details><summary><h4><strong>def render_annotation</strong></h4></summary>

Calculate the widths of each column, including padding, not including borders.

</details>

<details><summary><h4><strong>def _calculate_column_widths</strong></h4></summary>

Calculate the widths of each column, including padding, not including borders.

</details>

<details><summary><h4><strong>def _collapse_widths</strong></h4></summary>

Reduce widths so that the total is under max_width.

<details><summary><h5>Returns</h5></summary>

List[int]: A new list of widths.
</details>

</details>

<details><summary><h4><strong>def _get_cells</strong></h4></summary>

Get all the cells with padding and optional header.

</details>

<details><summary><h4><strong>def get_padding</strong></h4></summary>

Get extra width from padding.

</details>

<details><summary><h4><strong>def _get_padding_width</strong></h4></summary>

Get extra width from padding.

</details>

<details><summary><h4><strong>def _measure_column</strong></h4></summary>

Get the minimum and maximum width of the column.

</details>

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Return a copy of this Column.

</details>

<details><summary><h3><strong>def cells(self)</strong></h3></summary>

Get all cells in the column, not including header.

</details>

<details><summary><h3><strong>def flexible(self)</strong></h3></summary>

Check if this column is flexible.

</details>

<details><summary><h3><strong>def expand(self)</strong></h3></summary>

Get a table with no lines, headers, or footer.

<details><summary><h4>Arguments</h4></summary>

- `or`: c
- `lass`: `~rich.table.Column` instance.
            padding (PaddingDimensions, optional): Get padding around cells. Defaults to 0.
            collapse_padding (bool, optional): Enable collapsing of padding around cells. Defaults to True.
            pad_edge (bool, optional): Enable padding around edges of table. Defaults to False.
            expand (bool, optional): Expand the table to fit the available space if ``True``, otherwise the table width will be auto-calculated. Defaults to False.
</details>

<details><summary><h4>Returns</h4></summary>

Table: A table instance.
</details>

</details>

<details><summary><h3><strong>def expand(self)</strong></h3></summary>

Get a table with no lines, headers, or footer.

<details><summary><h4>Arguments</h4></summary>

- `or`: c
- `lass`: `~rich.table.Column` instance.
            padding (PaddingDimensions, optional): Get padding around cells. Defaults to 0.
            collapse_padding (bool, optional): Enable collapsing of padding around cells. Defaults to True.
            pad_edge (bool, optional): Enable padding around edges of table. Defaults to False.
            expand (bool, optional): Expand the table to fit the available space if ``True``, otherwise the table width will be auto-calculated. Defaults to False.
</details>

<details><summary><h4>Returns</h4></summary>

Table: A table instance.
</details>

</details>

<details><summary><h3><strong>def expand(self)</strong></h3></summary>

Setting a non-None self.width implies expand.

</details>

<details><summary><h3><strong>def expand(self, expand: bool)</strong></h3></summary>

Set expand.

</details>

<details><summary><h3><strong>def _extra_width(self)</strong></h3></summary>

Get extra width to add to cell content.

</details>

<details><summary><h3><strong>def row_count(self)</strong></h3></summary>

Get the current number of rows.

</details>

<details><summary><h3><strong>def get_row_style(self, console: "Console", index: int)</strong></h3></summary>

Get the current row style.

</details>

<details><summary><h3><strong>def padding(self)</strong></h3></summary>

Get cell padding.

</details>

<details><summary><h3><strong>def padding(self)</strong></h3></summary>

Get cell padding.

</details>

<details><summary><h3><strong>def padding(self, padding: PaddingDimensions)</strong></h3></summary>

Set cell padding.

</details>

<details><summary><h3><strong>def add_cell(column: Column, renderable: "RenderableType")</strong></h3></summary>

Add a column to the table.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to "ellipsis".
            width (int, optional): Desired width of column in characters, or None to fit to contents. Defaults to None.
            min_width (Optional[int], optional): Minimum width of column, or ``None`` for no minimum. Defaults to None.
            max_width (Optional[int], optional): Maximum width of column, or ``None`` for no maximum. Defaults to None.
            ratio (int, optional): Flexible ratio for the column (requires ``Table.expand`` or ``Table.width``). Defaults to None.
            no_wrap (bool, optional): Set to ``True`` to disable wrapping of this column.
</details>

</details>

<details><summary><h3><strong>def add_cell(column: Column, renderable: "RenderableType")</strong></h3></summary>

Add a row of renderables.

<details><summary><h4>Arguments</h4></summary>

- `Raises`: errors.
- `NotRenderableError`: If you add something that can't be rendered.
</details>

</details>

<details><summary><h3><strong>def add_cell(column: Column, renderable: "RenderableType")</strong></h3></summary>

Add a new section (draw a line after current row).

</details>

<details><summary><h3><strong>def add_section(self)</strong></h3></summary>

Add a new section (draw a line after current row).

</details>

<details><summary><h3><strong>def get_padding(first_row: bool, last_row: bool)</strong></h3></summary>

Calculate the widths of each column, including padding, not including borders.

</details>

<details><summary><h3><strong>def get_padding(first_row: bool, last_row: bool)</strong></h3></summary>

Calculate the widths of each column, including padding, not including borders.

</details>

<details><summary><h3><strong>def get_padding(first_row: bool, last_row: bool)</strong></h3></summary>

Calculate the widths of each column, including padding, not including borders.

</details>

<details><summary><h3><strong>def get_padding(first_row: bool, last_row: bool)</strong></h3></summary>

Reduce widths so that the total is under max_width.

<details><summary><h4>Returns</h4></summary>

List[int]: A new list of widths.
</details>

</details>

<details><summary><h3><strong>def get_padding(first_row: bool, last_row: bool)</strong></h3></summary>

Get all the cells with padding and optional header.

</details>

<details><summary><h3><strong>def get_padding(first_row: bool, last_row: bool)</strong></h3></summary>

Get extra width from padding.

</details>

<details><summary><h3><strong>def _get_padding_width(self, column_index: int)</strong></h3></summary>

Get extra width from padding.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Get the minimum and maximum width of the column.

</details>

</details>


<details><summary><h2><strong> terminal_theme.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class TerminalTheme](#class-terminaltheme)
</details>

<details><summary><h3><strong>class TerminalTheme</strong></h3></summary>

A color theme used when exporting console content.

</details>

</details>


<details><summary><h2><strong> text.py</strong></h2></summary>

A plain string or a :class:`Text` instance.

<details open><summary><h3>Contents</h3></summary>

- [class Span](#class-span)
- [class Text](#class-text)
- [def __repr__](#def-__repr__)
- [def __bool__](#def-__bool__)
- [def split](#def-split)
- [def move](#def-move)
- [def right_crop](#def-right_crop)
- [def extend](#def-extend)
- [def __init__](#def-__init__)
- [def __len__](#def-__len__)
- [def __bool__](#def-__bool__)
- [def __str__](#def-__str__)
- [def __repr__](#def-__repr__)
- [def __add__](#def-__add__)
- [def __eq__](#def-__eq__)
- [def __contains__](#def-__contains__)
- [def __getitem__](#def-__getitem__)
- [def get_text_at](#def-get_text_at)
- [def cell_len](#def-cell_len)
- [def markup](#def-markup)
- [def from_markup](#def-from_markup)
- [def from_ansi](#def-from_ansi)
- [def styled](#def-styled)
- [def assemble](#def-assemble)
- [def plain](#def-plain)
- [def plain](#def-plain)
- [def spans](#def-spans)
- [def spans](#def-spans)
- [def blank_copy](#def-blank_copy)
- [def copy](#def-copy)
- [def stylize](#def-stylize)
- [def stylize_before](#def-stylize_before)
- [def apply_meta](#def-apply_meta)
- [def on](#def-on)
- [def remove_suffix](#def-remove_suffix)
- [def get_style_at_offset](#def-get_style_at_offset)
- [def extend_style](#def-extend_style)
- [def highlight_regex](#def-highlight_regex)
- [def highlight_words](#def-highlight_words)
- [def rstrip](#def-rstrip)
- [def rstrip_end](#def-rstrip_end)
- [def set_length](#def-set_length)
- [def __rich_console__](#def-__rich_console__)
- [def __rich_measure__](#def-__rich_measure__)
- [def render](#def-render)
- [def get_current_style](#def-get_current_style)
- [def join](#def-join)
- [def iter_text](#def-iter_text)
- [def expand_tabs](#def-expand_tabs)
- [def truncate](#def-truncate)
- [def _trim_spans](#def-_trim_spans)
- [def pad](#def-pad)
- [def pad_left](#def-pad_left)
- [def pad_right](#def-pad_right)
- [def align](#def-align)
- [def append](#def-append)
- [def append_text](#def-append_text)
- [def append_tokens](#def-append_tokens)
- [def copy_styles](#def-copy_styles)
- [def split](#def-split)
- [def flatten_spans](#def-flatten_spans)
- [def divide](#def-divide)
- [def right_crop](#def-right_crop)
- [def wrap](#def-wrap)
- [def fit](#def-fit)
- [def detect_indentation](#def-detect_indentation)
- [def with_indent_guides](#def-with_indent_guides)
</details>

<details><summary><h3><strong>class Span</strong></h3></summary>

A marked up region in some text.

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Split a span in to 2 from a given offset.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Split a span in to 2 from a given offset.

</details>

<details><summary><h4><strong>def split</strong></h4></summary>

Split a span in to 2 from a given offset.

</details>

<details><summary><h4><strong>def move</strong></h4></summary>

Move start and end by a given offset.

<details><summary><h5>Returns</h5></summary>

TextSpan: A new TextSpan with adjusted position.
</details>

</details>

<details><summary><h4><strong>def right_crop</strong></h4></summary>

Crop the span at the given offset.

<details><summary><h5>Returns</h5></summary>

Span: A new (possibly smaller) span.
</details>

</details>

<details><summary><h4><strong>def extend</strong></h4></summary>

Extend the span by the given number of cells.

<details><summary><h5>Returns</h5></summary>

Span: A span.
</details>

</details>

</details>

<details><summary><h3><strong>class Text</strong></h3></summary>

Text with color / style.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
        no_wrap (bool, optional): Disable text wrapping, or None for default. Defaults to None.
        end (str, optional): Character to end text with. Defaults to "\\\\n".
        tab_size (int): Number of spaces per tab, or ``None`` to use ``console.tab_size``. Defaults to None.
        spans (List[Span], optional). A list of predefined style spans. Defaults to None.
</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __bool__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __add__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def get_text_at</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def cell_len</strong></h4></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h4><strong>def markup</strong></h4></summary>

Get console markup to render this Text.

<details><summary><h5>Returns</h5></summary>

str: A string potentially creating markup tags.
</details>

</details>

<details><summary><h4><strong>def from_markup</strong></h4></summary>

Create Text instance from markup.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
            end (str, optional): Character to end text with. Defaults to "\\\\n".
</details>

<details><summary><h5>Returns</h5></summary>

Text: A Text instance with markup rendered.
</details>

</details>

<details><summary><h4><strong>def from_ansi</strong></h4></summary>

Create a Text object from a string containing ANSI escape codes.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
            no_wrap (bool, optional): Disable text wrapping, or None for default. Defaults to None.
            end (str, optional): Character to end text with. Defaults to "\\\\n".
            tab_size (int): Number of spaces per tab, or ``None`` to use ``console.tab_size``. Defaults to None.
</details>

</details>

<details><summary><h4><strong>def styled</strong></h4></summary>

Construct a Text instance with a pre-applied styled. A style applied in this way won't be used
        to pad the text when it is justified.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
</details>

<details><summary><h5>Returns</h5></summary>

Text: A text instance with a style applied to the entire string.
</details>

</details>

<details><summary><h4><strong>def assemble</strong></h4></summary>

Construct a text instance by combining a sequence of strings with optional styles.
        The positional arguments should be either strings, or a tuple of string + style.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
            no_wrap (bool, optional): Disable text wrapping, or None for default. Defaults to None.
            end (str, optional): Character to end text with. Defaults to "\\\\n".
            tab_size (int): Number of spaces per tab, or ``None`` to use ``console.tab_size``. Defaults to None.
            meta (Dict[str, Any], optional). Meta data to apply to text, or None for no meta data. Default to None
</details>

<details><summary><h5>Returns</h5></summary>

Text: A new text instance.
</details>

</details>

<details><summary><h4><strong>def plain</strong></h4></summary>

Get the text as a single string.

</details>

<details><summary><h4><strong>def plain</strong></h4></summary>

Set the text to a new value.

</details>

<details><summary><h4><strong>def spans</strong></h4></summary>

Get a reference to the internal list of spans.

</details>

<details><summary><h4><strong>def spans</strong></h4></summary>

Set spans.

</details>

<details><summary><h4><strong>def blank_copy</strong></h4></summary>

Return a new Text instance with copied metadata (but not the string or spans).

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Return a copy of this instance.

</details>

<details><summary><h4><strong>def stylize</strong></h4></summary>

Apply a style to the text, or a portion of the text.

</details>

<details><summary><h4><strong>def stylize_before</strong></h4></summary>

Apply a style to the text, or a portion of the text. Styles will be applied before other styles already present.

</details>

<details><summary><h4><strong>def apply_meta</strong></h4></summary>

Apply metadata to the text, or a portion of the text.

</details>

<details><summary><h4><strong>def on</strong></h4></summary>

Apply event handlers (used by Textual project).

        Example:
            >>> from rich.text import Text
            >>> text = Text("hello world")
            >>> text.on(click="view.toggle('world')")

<details><summary><h5>Arguments</h5></summary>

- `handlers`: Keyword args are prefixed with "@" to defined handlers.
</details>

<details><summary><h5>Returns</h5></summary>

Text: Self is returned to method may be chained.
</details>

</details>

<details><summary><h4><strong>def remove_suffix</strong></h4></summary>

Remove a suffix if it exists.

</details>

<details><summary><h4><strong>def get_style_at_offset</strong></h4></summary>

Get the style of a character at give offset.

<details><summary><h5>Returns</h5></summary>

Style: A Style instance.
</details>

</details>

<details><summary><h4><strong>def extend_style</strong></h4></summary>

Extend the Text given number of spaces where the spaces have the same style as the last character.

</details>

<details><summary><h4><strong>def highlight_regex</strong></h4></summary>

Highlight text with a regular expression, where group names are
        translated to styles.

<details><summary><h5>Returns</h5></summary>

int: Number of regex matches
</details>

</details>

<details><summary><h4><strong>def highlight_words</strong></h4></summary>

Highlight words with a style.

<details><summary><h5>Returns</h5></summary>

int: Number of words highlighted.
</details>

</details>

<details><summary><h4><strong>def rstrip</strong></h4></summary>

Strip whitespace from end of text.

</details>

<details><summary><h4><strong>def rstrip_end</strong></h4></summary>

Remove whitespace beyond a certain width at the end of the text.

</details>

<details><summary><h4><strong>def set_length</strong></h4></summary>

Set new length of the text, clipping or padding is required.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Render the text as Segments.

<details><summary><h5>Returns</h5></summary>

Iterable[Segment]: Result of render that may be written to the console.
</details>

</details>

<details><summary><h4><strong>def __rich_measure__</strong></h4></summary>

Render the text as Segments.

<details><summary><h5>Returns</h5></summary>

Iterable[Segment]: Result of render that may be written to the console.
</details>

</details>

<details><summary><h4><strong>def render</strong></h4></summary>

Render the text as Segments.

<details><summary><h5>Returns</h5></summary>

Iterable[Segment]: Result of render that may be written to the console.
</details>

</details>

<details><summary><h4><strong>def get_current_style</strong></h4></summary>

Construct current style from stack.

</details>

<details><summary><h4><strong>def join</strong></h4></summary>

Join text together with this instance as the separator.

<details><summary><h5>Returns</h5></summary>

Text: A new text instance containing join text.
</details>

</details>

<details><summary><h4><strong>def iter_text</strong></h4></summary>

Converts tabs to spaces.

</details>

<details><summary><h4><strong>def expand_tabs</strong></h4></summary>

Converts tabs to spaces.

</details>

<details><summary><h4><strong>def truncate</strong></h4></summary>

Truncate text if it is longer that a given width.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to None, to use self.overflow.
            pad (bool, optional): Pad with spaces if the length is less than max_width. Defaults to False.
</details>

</details>

<details><summary><h4><strong>def _trim_spans</strong></h4></summary>

Remove or modify any spans that are over the end of the text.

</details>

<details><summary><h4><strong>def pad</strong></h4></summary>

Pad left and right with a given number of characters.

</details>

<details><summary><h4><strong>def pad_left</strong></h4></summary>

Pad the left with a given character.

</details>

<details><summary><h4><strong>def pad_right</strong></h4></summary>

Pad the right with a given character.

</details>

<details><summary><h4><strong>def align</strong></h4></summary>

Align text to a given width.

</details>

<details><summary><h4><strong>def append</strong></h4></summary>

Add text with an optional style.

<details><summary><h5>Returns</h5></summary>

Text: Returns self for chaining.
</details>

</details>

<details><summary><h4><strong>def append_text</strong></h4></summary>

Append another Text instance. This method is more performant that Text.append, but
        only works for Text.

<details><summary><h5>Returns</h5></summary>

Text: Returns self for chaining.
</details>

</details>

<details><summary><h4><strong>def append_tokens</strong></h4></summary>

Append iterable of str and style. Style may be a Style instance or a str style definition.

<details><summary><h5>Returns</h5></summary>

Text: Returns self for chaining.
</details>

</details>

<details><summary><h4><strong>def copy_styles</strong></h4></summary>

Copy styles from another Text instance.

</details>

<details><summary><h4><strong>def split</strong></h4></summary>

Split rich text in to lines, preserving styles.

<details><summary><h5>Returns</h5></summary>

List[RichText]: A list of rich text, one per line of the original.
</details>

</details>

<details><summary><h4><strong>def flatten_spans</strong></h4></summary>

Divide text in to a number of lines at given offsets.

<details><summary><h5>Returns</h5></summary>

Lines: New RichText instances between offsets.
</details>

</details>

<details><summary><h4><strong>def divide</strong></h4></summary>

Divide text in to a number of lines at given offsets.

<details><summary><h5>Returns</h5></summary>

Lines: New RichText instances between offsets.
</details>

</details>

<details><summary><h4><strong>def right_crop</strong></h4></summary>

Remove a number of characters from the end of the text.

</details>

<details><summary><h4><strong>def wrap</strong></h4></summary>

Word wrap the text.

<details><summary><h5>Arguments</h5></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to None.
            tab_size (int, optional): Default tab size. Defaults to 8.
            no_wrap (bool, optional): Disable wrapping, Defaults to False.
</details>

<details><summary><h5>Returns</h5></summary>

Lines: Number of lines.
</details>

</details>

<details><summary><h4><strong>def fit</strong></h4></summary>

Fit the text in to given width by chopping in to lines.

<details><summary><h5>Returns</h5></summary>

Lines: Lines container.
</details>

</details>

<details><summary><h4><strong>def detect_indentation</strong></h4></summary>

Auto-detect indentation of code.

<details><summary><h5>Returns</h5></summary>

int: Number of spaces used to indent code.
</details>

</details>

<details><summary><h4><strong>def with_indent_guides</strong></h4></summary>

Adds indent guide lines to text.

<details><summary><h5>Returns</h5></summary>

Text: New text with indentation guides.
</details>

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Split a span in to 2 from a given offset.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

Split a span in to 2 from a given offset.

</details>

<details><summary><h3><strong>def split(self, offset: int)</strong></h3></summary>

Split a span in to 2 from a given offset.

</details>

<details><summary><h3><strong>def move(self, offset: int)</strong></h3></summary>

Move start and end by a given offset.

<details><summary><h4>Returns</h4></summary>

TextSpan: A new TextSpan with adjusted position.
</details>

</details>

<details><summary><h3><strong>def right_crop(self, offset: int)</strong></h3></summary>

Crop the span at the given offset.

<details><summary><h4>Returns</h4></summary>

Span: A new (possibly smaller) span.
</details>

</details>

<details><summary><h3><strong>def extend(self, cells: int)</strong></h3></summary>

Extend the span by the given number of cells.

<details><summary><h4>Returns</h4></summary>

Span: A span.
</details>

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __bool__(self)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __add__(self, other: Any)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __eq__(self, other: object)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __contains__(self, other: object)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def __getitem__(self, slice: Union[int, slice])</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def get_text_at(offset: int)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def cell_len(self)</strong></h3></summary>

Get the number of cells required to render this text.

</details>

<details><summary><h3><strong>def markup(self)</strong></h3></summary>

Get console markup to render this Text.

<details><summary><h4>Returns</h4></summary>

str: A string potentially creating markup tags.
</details>

</details>

<details><summary><h3><strong>def plain(self)</strong></h3></summary>

Create Text instance from markup.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
            end (str, optional): Character to end text with. Defaults to "\\\\n".
</details>

<details><summary><h4>Returns</h4></summary>

Text: A Text instance with markup rendered.
</details>

</details>

<details><summary><h3><strong>def plain(self)</strong></h3></summary>

Create a Text object from a string containing ANSI escape codes.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
            no_wrap (bool, optional): Disable text wrapping, or None for default. Defaults to None.
            end (str, optional): Character to end text with. Defaults to "\\\\n".
            tab_size (int): Number of spaces per tab, or ``None`` to use ``console.tab_size``. Defaults to None.
</details>

</details>

<details><summary><h3><strong>def plain(self)</strong></h3></summary>

Construct a Text instance with a pre-applied styled. A style applied in this way won't be used
        to pad the text when it is justified.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
</details>

<details><summary><h4>Returns</h4></summary>

Text: A text instance with a style applied to the entire string.
</details>

</details>

<details><summary><h3><strong>def plain(self)</strong></h3></summary>

Construct a text instance by combining a sequence of strings with optional styles.
        The positional arguments should be either strings, or a tuple of string + style.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", "ellipsis". Defaults to None.
            no_wrap (bool, optional): Disable text wrapping, or None for default. Defaults to None.
            end (str, optional): Character to end text with. Defaults to "\\\\n".
            tab_size (int): Number of spaces per tab, or ``None`` to use ``console.tab_size``. Defaults to None.
            meta (Dict[str, Any], optional). Meta data to apply to text, or None for no meta data. Default to None
</details>

<details><summary><h4>Returns</h4></summary>

Text: A new text instance.
</details>

</details>

<details><summary><h3><strong>def plain(self)</strong></h3></summary>

Get the text as a single string.

</details>

<details><summary><h3><strong>def plain(self, new_text: str)</strong></h3></summary>

Set the text to a new value.

</details>

<details><summary><h3><strong>def spans(self)</strong></h3></summary>

Get a reference to the internal list of spans.

</details>

<details><summary><h3><strong>def spans(self, spans: List[Span])</strong></h3></summary>

Set spans.

</details>

<details><summary><h3><strong>def blank_copy(self, plain: str = "")</strong></h3></summary>

Return a new Text instance with copied metadata (but not the string or spans).

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Return a copy of this instance.

</details>

<details><summary><h3><strong>def on(self, meta: Optional[Dict[str, Any]] = None, **handlers: Any)</strong></h3></summary>

Apply a style to the text, or a portion of the text.

</details>

<details><summary><h3><strong>def on(self, meta: Optional[Dict[str, Any]] = None, **handlers: Any)</strong></h3></summary>

Apply a style to the text, or a portion of the text. Styles will be applied before other styles already present.

</details>

<details><summary><h3><strong>def on(self, meta: Optional[Dict[str, Any]] = None, **handlers: Any)</strong></h3></summary>

Apply metadata to the text, or a portion of the text.

</details>

<details><summary><h3><strong>def on(self, meta: Optional[Dict[str, Any]] = None, **handlers: Any)</strong></h3></summary>

Apply event handlers (used by Textual project).

        Example:
            >>> from rich.text import Text
            >>> text = Text("hello world")
            >>> text.on(click="view.toggle('world')")

<details><summary><h4>Arguments</h4></summary>

- `handlers`: Keyword args are prefixed with "@" to defined handlers.
</details>

<details><summary><h4>Returns</h4></summary>

Text: Self is returned to method may be chained.
</details>

</details>

<details><summary><h3><strong>def remove_suffix(self, suffix: str)</strong></h3></summary>

Remove a suffix if it exists.

</details>

<details><summary><h3><strong>def get_style_at_offset(self, console: "Console", offset: int)</strong></h3></summary>

Get the style of a character at give offset.

<details><summary><h4>Returns</h4></summary>

Style: A Style instance.
</details>

</details>

<details><summary><h3><strong>def extend_style(self, spaces: int)</strong></h3></summary>

Extend the Text given number of spaces where the spaces have the same style as the last character.

</details>

<details><summary><h3><strong>def rstrip(self)</strong></h3></summary>

Highlight text with a regular expression, where group names are
        translated to styles.

<details><summary><h4>Returns</h4></summary>

int: Number of regex matches
</details>

</details>

<details><summary><h3><strong>def rstrip(self)</strong></h3></summary>

Highlight words with a style.

<details><summary><h4>Returns</h4></summary>

int: Number of words highlighted.
</details>

</details>

<details><summary><h3><strong>def rstrip(self)</strong></h3></summary>

Strip whitespace from end of text.

</details>

<details><summary><h3><strong>def rstrip_end(self, size: int)</strong></h3></summary>

Remove whitespace beyond a certain width at the end of the text.

</details>

<details><summary><h3><strong>def set_length(self, new_length: int)</strong></h3></summary>

Set new length of the text, clipping or padding is required.

</details>

<details><summary><h3><strong>def render(self, console: "Console", end: str = "")</strong></h3></summary>

Render the text as Segments.

<details><summary><h4>Returns</h4></summary>

Iterable[Segment]: Result of render that may be written to the console.
</details>

</details>

<details><summary><h3><strong>def render(self, console: "Console", end: str = "")</strong></h3></summary>

Render the text as Segments.

<details><summary><h4>Returns</h4></summary>

Iterable[Segment]: Result of render that may be written to the console.
</details>

</details>

<details><summary><h3><strong>def render(self, console: "Console", end: str = "")</strong></h3></summary>

Render the text as Segments.

<details><summary><h4>Returns</h4></summary>

Iterable[Segment]: Result of render that may be written to the console.
</details>

</details>

<details><summary><h3><strong>def get_current_style()</strong></h3></summary>

Construct current style from stack.

</details>

<details><summary><h3><strong>def join(self, lines: Iterable["Text"])</strong></h3></summary>

Join text together with this instance as the separator.

<details><summary><h4>Returns</h4></summary>

Text: A new text instance containing join text.
</details>

</details>

<details><summary><h3><strong>def iter_text()</strong></h3></summary>

Converts tabs to spaces.

</details>

<details><summary><h3><strong>def expand_tabs(self, tab_size: Optional[int] = None)</strong></h3></summary>

Converts tabs to spaces.

</details>

<details><summary><h3><strong>def _trim_spans(self)</strong></h3></summary>

Truncate text if it is longer that a given width.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to None, to use self.overflow.
            pad (bool, optional): Pad with spaces if the length is less than max_width. Defaults to False.
</details>

</details>

<details><summary><h3><strong>def _trim_spans(self)</strong></h3></summary>

Remove or modify any spans that are over the end of the text.

</details>

<details><summary><h3><strong>def pad(self, count: int, character: str = " ")</strong></h3></summary>

Pad left and right with a given number of characters.

</details>

<details><summary><h3><strong>def pad_left(self, count: int, character: str = " ")</strong></h3></summary>

Pad the left with a given character.

</details>

<details><summary><h3><strong>def pad_right(self, count: int, character: str = " ")</strong></h3></summary>

Pad the right with a given character.

</details>

<details><summary><h3><strong>def align(self, align: AlignMethod, width: int, character: str = " ")</strong></h3></summary>

Align text to a given width.

</details>

<details><summary><h3><strong>def append_text(self, text: "Text")</strong></h3></summary>

Add text with an optional style.

<details><summary><h4>Returns</h4></summary>

Text: Returns self for chaining.
</details>

</details>

<details><summary><h3><strong>def append_text(self, text: "Text")</strong></h3></summary>

Append another Text instance. This method is more performant that Text.append, but
        only works for Text.

<details><summary><h4>Returns</h4></summary>

Text: Returns self for chaining.
</details>

</details>

<details><summary><h3><strong>def copy_styles(self, text: "Text")</strong></h3></summary>

Append iterable of str and style. Style may be a Style instance or a str style definition.

<details><summary><h4>Returns</h4></summary>

Text: Returns self for chaining.
</details>

</details>

<details><summary><h3><strong>def copy_styles(self, text: "Text")</strong></h3></summary>

Copy styles from another Text instance.

</details>

<details><summary><h3><strong>def flatten_spans()</strong></h3></summary>

Split rich text in to lines, preserving styles.

<details><summary><h4>Returns</h4></summary>

List[RichText]: A list of rich text, one per line of the original.
</details>

</details>

<details><summary><h3><strong>def flatten_spans()</strong></h3></summary>

Divide text in to a number of lines at given offsets.

<details><summary><h4>Returns</h4></summary>

Lines: New RichText instances between offsets.
</details>

</details>

<details><summary><h3><strong>def divide(self, offsets: Iterable[int])</strong></h3></summary>

Divide text in to a number of lines at given offsets.

<details><summary><h4>Returns</h4></summary>

Lines: New RichText instances between offsets.
</details>

</details>

<details><summary><h3><strong>def right_crop(self, amount: int = 1)</strong></h3></summary>

Remove a number of characters from the end of the text.

</details>

<details><summary><h3><strong>def fit(self, width: int)</strong></h3></summary>

Word wrap the text.

<details><summary><h4>Arguments</h4></summary>

- `method`: "crop", "fold", or "ellipsis". Defaults to None.
            tab_size (int, optional): Default tab size. Defaults to 8.
            no_wrap (bool, optional): Disable wrapping, Defaults to False.
</details>

<details><summary><h4>Returns</h4></summary>

Lines: Number of lines.
</details>

</details>

<details><summary><h3><strong>def fit(self, width: int)</strong></h3></summary>

Fit the text in to given width by chopping in to lines.

<details><summary><h4>Returns</h4></summary>

Lines: Lines container.
</details>

</details>

<details><summary><h3><strong>def detect_indentation(self)</strong></h3></summary>

Auto-detect indentation of code.

<details><summary><h4>Returns</h4></summary>

int: Number of spaces used to indent code.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Adds indent guide lines to text.

<details><summary><h4>Returns</h4></summary>

Text: New text with indentation guides.
</details>

</details>

</details>


<details><summary><h2><strong> theme.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Theme](#class-theme)
- [class ThemeStackError](#class-themestackerror)
- [class ThemeStack](#class-themestack)
- [def __init__](#def-__init__)
- [def config](#def-config)
- [def from_file](#def-from_file)
- [def read](#def-read)
- [def __init__](#def-__init__)
- [def push_theme](#def-push_theme)
- [def pop_theme](#def-pop_theme)
</details>

<details><summary><h3><strong>class Theme</strong></h3></summary>

A container for style information, used by :class:`~rich.console.Console`.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Get contents of a config file for this theme.

</details>

<details><summary><h4><strong>def config</strong></h4></summary>

Get contents of a config file for this theme.

</details>

<details><summary><h4><strong>def from_file</strong></h4></summary>

Load a theme from a text mode file.

<details><summary><h5>Returns</h5></summary>

Theme: A New theme instance.
</details>

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Read a theme from a path.

<details><summary><h5>Returns</h5></summary>

Theme: A new theme instance.
</details>

</details>

</details>

<details><summary><h3><strong>class ThemeStackError</strong></h3></summary>

Base exception for errors related to the theme stack.

</details>

<details><summary><h3><strong>class ThemeStack</strong></h3></summary>

A stack of themes.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Push a theme on the top of the stack.

</details>

<details><summary><h4><strong>def push_theme</strong></h4></summary>

Push a theme on the top of the stack.

</details>

<details><summary><h4><strong>def pop_theme</strong></h4></summary>

Pop (and discard) the top-most theme.

</details>

</details>

<details><summary><h3><strong>def config(self)</strong></h3></summary>

Get contents of a config file for this theme.

</details>

<details><summary><h3><strong>def config(self)</strong></h3></summary>

Get contents of a config file for this theme.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Load a theme from a text mode file.

<details><summary><h4>Returns</h4></summary>

Theme: A New theme instance.
</details>

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Read a theme from a path.

<details><summary><h4>Returns</h4></summary>

Theme: A new theme instance.
</details>

</details>

<details><summary><h3><strong>def __init__(self, theme: Theme)</strong></h3></summary>

Push a theme on the top of the stack.

</details>

<details><summary><h3><strong>def push_theme(self, theme: Theme, inherit: bool = True)</strong></h3></summary>

Push a theme on the top of the stack.

</details>

<details><summary><h3><strong>def pop_theme(self)</strong></h3></summary>

Pop (and discard) the top-most theme.

</details>

</details>


<details><summary><h2><strong> themes.py</strong></h2></summary>

</details>


<details><summary><h2><strong> traceback.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Traceback](#class-traceback)
- [def excepthook](#def-excepthook)
- [def ipy_excepthook_closure](#def-ipy_excepthook_closure)
- [def ipy_show_traceback](#def-ipy_show_traceback)
- [def ipy_display_traceback](#def-ipy_display_traceback)
- [def __init__](#def-__init__)
- [def from_exception](#def-from_exception)
- [def extract](#def-extract)
- [def safe_str](#def-safe_str)
- [def get_locals](#def-get_locals)
- [def __rich_console__](#def-__rich_console__)
- [def _render_syntax_error](#def-_render_syntax_error)
- [def _guess_lexer](#def-_guess_lexer)
- [def _render_stack](#def-_render_stack)
- [def read_code](#def-read_code)
</details>

<details><summary><h3><strong>class Traceback</strong></h3></summary>

A Console renderable that renders a traceback.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Create a traceback from exception info

<details><summary><h5>Returns</h5></summary>

Traceback: A Traceback instance that may be printed.
</details>

</details>

<details><summary><h4><strong>def from_exception</strong></h4></summary>

Create a traceback from exception info

<details><summary><h5>Returns</h5></summary>

Traceback: A Traceback instance that may be printed.
</details>

</details>

<details><summary><h4><strong>def extract</strong></h4></summary>

Extract traceback information.

<details><summary><h5>Returns</h5></summary>

Trace: A Trace instance which you can use to construct a `Traceback`.
</details>

</details>

<details><summary><h4><strong>def safe_str</strong></h4></summary>

Don't allow exceptions from __str__ to propagate.

</details>

<details><summary><h4><strong>def get_locals</strong></h4></summary>

Extract locals from an iterator of key pairs.

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Read files, and cache results on filename.

<details><summary><h5>Returns</h5></summary>

str: Contents of file
</details>

</details>

<details><summary><h4><strong>def _render_syntax_error</strong></h4></summary>

Read files, and cache results on filename.

<details><summary><h5>Returns</h5></summary>

str: Contents of file
</details>

</details>

<details><summary><h4><strong>def _guess_lexer</strong></h4></summary>

Read files, and cache results on filename.

<details><summary><h5>Returns</h5></summary>

str: Contents of file
</details>

</details>

<details><summary><h4><strong>def _render_stack</strong></h4></summary>

Read files, and cache results on filename.

<details><summary><h5>Returns</h5></summary>

str: Contents of file
</details>

</details>

<details><summary><h4><strong>def read_code</strong></h4></summary>

Read files, and cache results on filename.

<details><summary><h5>Returns</h5></summary>

str: Contents of file
</details>

</details>

</details>

<details><summary><h3><strong>def ipy_excepthook_closure(ip: Any)</strong></h3></summary>

wrap the default ip.showtraceback to store info for ip._showtraceback

</details>

<details><summary><h3><strong>def ipy_excepthook_closure(ip: Any)</strong></h3></summary>

wrap the default ip.showtraceback to store info for ip._showtraceback

</details>

<details><summary><h3><strong>def ipy_show_traceback(*args: Any, **kwargs: Any)</strong></h3></summary>

wrap the default ip.showtraceback to store info for ip._showtraceback

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Internally called traceback from ip._showtraceback

</details>

<details><summary><h3><strong>def safe_str(_object: Any)</strong></h3></summary>

Create a traceback from exception info

<details><summary><h4>Returns</h4></summary>

Traceback: A Traceback instance that may be printed.
</details>

</details>

<details><summary><h3><strong>def safe_str(_object: Any)</strong></h3></summary>

Create a traceback from exception info

<details><summary><h4>Returns</h4></summary>

Traceback: A Traceback instance that may be printed.
</details>

</details>

<details><summary><h3><strong>def safe_str(_object: Any)</strong></h3></summary>

Extract traceback information.

<details><summary><h4>Returns</h4></summary>

Trace: A Trace instance which you can use to construct a `Traceback`.
</details>

</details>

<details><summary><h3><strong>def safe_str(_object: Any)</strong></h3></summary>

Don't allow exceptions from __str__ to propagate.

</details>

<details><summary><h3><strong>def _render_syntax_error(self, syntax_error: _SyntaxError)</strong></h3></summary>

Extract locals from an iterator of key pairs.

</details>

<details><summary><h3><strong>def _render_syntax_error(self, syntax_error: _SyntaxError)</strong></h3></summary>

Read files, and cache results on filename.

<details><summary><h4>Returns</h4></summary>

str: Contents of file
</details>

</details>

<details><summary><h3><strong>def _render_syntax_error(self, syntax_error: _SyntaxError)</strong></h3></summary>

Read files, and cache results on filename.

<details><summary><h4>Returns</h4></summary>

str: Contents of file
</details>

</details>

<details><summary><h3><strong>def _guess_lexer(cls, filename: str, code: str)</strong></h3></summary>

Read files, and cache results on filename.

<details><summary><h4>Returns</h4></summary>

str: Contents of file
</details>

</details>

<details><summary><h3><strong>def _render_stack(self, stack: Stack)</strong></h3></summary>

Read files, and cache results on filename.

<details><summary><h4>Returns</h4></summary>

str: Contents of file
</details>

</details>

<details><summary><h3><strong>def read_code(filename: str)</strong></h3></summary>

Read files, and cache results on filename.

<details><summary><h4>Returns</h4></summary>

str: Contents of file
</details>

</details>

</details>


<details><summary><h2><strong> tree.py</strong></h2></summary>

syntax = Syntax(code, "python", theme="monokai", line_numbers=True)

    markdown = Markdown(

<details open><summary><h3>Contents</h3></summary>

- [class Tree](#class-tree)
- [def __init__](#def-__init__)
- [def add](#def-add)
- [def __rich_console__](#def-__rich_console__)
- [def make_guide](#def-make_guide)
</details>

<details><summary><h3><strong>class Tree</strong></h3></summary>

A renderable for a tree structure.

    Attributes:
        ASCII_GUIDES (GuideType): Guide lines used when Console.ascii_only is True.
        TREE_GUIDES (List[GuideType, GuideType, GuideType]): Default guide lines.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Add a child tree.

<details><summary><h5>Returns</h5></summary>

Tree: A new child Tree, which may be further modified.
</details>

</details>

<details><summary><h4><strong>def add</strong></h4></summary>

Add a child tree.

<details><summary><h5>Returns</h5></summary>

Tree: A new child Tree, which may be further modified.
</details>

</details>

<details><summary><h4><strong>def __rich_console__</strong></h4></summary>

Make a Segment for a level of the guide lines.

</details>

<details><summary><h4><strong>def make_guide</strong></h4></summary>

Make a Segment for a level of the guide lines.

</details>

</details>

<details><summary><h3><strong>def make_guide(index: int, style: Style)</strong></h3></summary>

Add a child tree.

<details><summary><h4>Returns</h4></summary>

Tree: A new child Tree, which may be further modified.
</details>

</details>

<details><summary><h3><strong>def make_guide(index: int, style: Style)</strong></h3></summary>

Add a child tree.

<details><summary><h4>Returns</h4></summary>

Tree: A new child Tree, which may be further modified.
</details>

</details>

<details><summary><h3><strong>def make_guide(index: int, style: Style)</strong></h3></summary>

Make a Segment for a level of the guide lines.

</details>

<details><summary><h3><strong>def make_guide(index: int, style: Style)</strong></h3></summary>

Make a Segment for a level of the guide lines.

</details>

</details>


<details><summary><h2><strong> six.py</strong></h2></summary>

Utilities for writing code that runs on Python 2 and 3

<details open><summary><h3>Contents</h3></summary>

- [class _SixMetaPathImporter](#class-_sixmetapathimporter)
- [class implements](#class-implements)
- [class _MovedItems](#class-_moveditems)
- [class Module_six_moves_urllib_parse](#class-module_six_moves_urllib_parse)
- [class Module_six_moves_urllib_error](#class-module_six_moves_urllib_error)
- [class Module_six_moves_urllib_request](#class-module_six_moves_urllib_request)
- [class Module_six_moves_urllib_response](#class-module_six_moves_urllib_response)
- [class Module_six_moves_urllib_robotparser](#class-module_six_moves_urllib_robotparser)
- [class Module_six_moves_urllib](#class-module_six_moves_urllib)
- [def _add_doc](#def-_add_doc)
- [def _import_module](#def-_import_module)
- [def __init__](#def-__init__)
- [def _add_module](#def-_add_module)
- [def _get_module](#def-_get_module)
- [def find_module](#def-find_module)
- [def find_spec](#def-find_spec)
- [def __get_module](#def-__get_module)
- [def load_module](#def-load_module)
- [def is_package](#def-is_package)
- [def get_code](#def-get_code)
- [def add_move](#def-add_move)
- [def remove_move](#def-remove_move)
- [def exec_](#def-exec_)
- [def print_](#def-print_)
- [def with_metaclass](#def-with_metaclass)
- [def add_metaclass](#def-add_metaclass)
- [def ensure_binary](#def-ensure_binary)
- [def ensure_str](#def-ensure_str)
- [def ensure_text](#def-ensure_text)
- [def python_2_unicode_compatible](#def-python_2_unicode_compatible)
</details>

<details><summary><h3><strong>class _SixMetaPathImporter</strong></h3></summary>

A meta path importer to import six.moves and its submodules.

    This class implements a PEP302 finder and loader. It should be compatible
    with Python 2.5 and all existing versions of Python3

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def _add_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def _get_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def find_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def find_spec</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def __get_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def load_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def is_package</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def get_code</strong></h4></summary>

Return None

        Required, if is_package is implemented

</details>

</details>

<details><summary><h3><strong>class implements</strong></h3></summary>

def __init__(self, six_module_name):
        self.name = six_module_name
        self.known_modules = {}

    def _add_module(self, mod, *fullnames):
        for fullname in fullnames:
            self.known_modules[self.name + "." + fullname] = mod

    def _get_module(self, fullname):
        return self.known_modules[self.name + "." + fullname]

    def find_module(self, fullname, path=None):
        if fullname in self.known_modules:
            return self
        return None

    def find_spec(self, fullname, path, target=None):
        if fullname in self.known_modules:
            return spec_from_loader(fullname, self)
        return None

    def __get_module(self, fullname):
        try:
            return self.known_modules[fullname]
        except KeyError:
            raise ImportError("This loader does not know module " + fullname)

    def load_module(self, fullname):
        try:
            # in case of a reload
            return sys.modules[fullname]
        except KeyError:
            pass
        mod = self.__get_module(fullname)
        if isinstance(mod, MovedModule):
            mod = mod._resolve()
        else:
            mod.__loader__ = self
        sys.modules[fullname] = mod
        return mod

    def is_package(self, fullname):

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def _add_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def _get_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def find_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def find_spec</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def __get_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def load_module</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def is_package</strong></h4></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h4><strong>def get_code</strong></h4></summary>

Return None

        Required, if is_package is implemented

</details>

</details>

<details><summary><h3><strong>class _MovedItems</strong></h3></summary>

Lazy loading of moved objects

</details>

<details><summary><h3><strong>class Module_six_moves_urllib_parse</strong></h3></summary>

Lazy loading of moved objects in six.moves.urllib_parse

</details>

<details><summary><h3><strong>class Module_six_moves_urllib_error</strong></h3></summary>

Lazy loading of moved objects in six.moves.urllib_error

</details>

<details><summary><h3><strong>class Module_six_moves_urllib_request</strong></h3></summary>

Lazy loading of moved objects in six.moves.urllib_request

</details>

<details><summary><h3><strong>class Module_six_moves_urllib_response</strong></h3></summary>

Lazy loading of moved objects in six.moves.urllib_response

</details>

<details><summary><h3><strong>class Module_six_moves_urllib_robotparser</strong></h3></summary>

Lazy loading of moved objects in six.moves.urllib_robotparser

</details>

<details><summary><h3><strong>class Module_six_moves_urllib</strong></h3></summary>

Create a six.moves.urllib namespace that resembles the Python 3 namespace

</details>

<details><summary><h3><strong>def _add_doc(func, doc)</strong></h3></summary>

Add documentation to a function.

</details>

<details><summary><h3><strong>def _import_module(name)</strong></h3></summary>

Import module, returning the module after the last dot.

</details>

<details><summary><h3><strong>def __init__(self, six_module_name)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def _add_module(self, mod, *fullnames)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def _get_module(self, fullname)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def find_module(self, fullname, path=None)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def find_spec(self, fullname, path, target=None)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def __get_module(self, fullname)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def load_module(self, fullname)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def is_package(self, fullname)</strong></h3></summary>

Return true, if the named module is a package.

        We need this method to get correct spec objects with
        Python 3.4 (see PEP451)

</details>

<details><summary><h3><strong>def get_code(self, fullname)</strong></h3></summary>

Return None

        Required, if is_package is implemented

</details>

<details><summary><h3><strong>def add_move(move)</strong></h3></summary>

Add an item to six.moves.

</details>

<details><summary><h3><strong>def remove_move(name)</strong></h3></summary>

Remove item from six.moves.

</details>

<details><summary><h3><strong>def exec_(_code_, _globs_=None, _locs_=None)</strong></h3></summary>

Execute code in a namespace.

</details>

<details><summary><h3><strong>def print_(*args, **kwargs)</strong></h3></summary>

The new-style print function for Python 2.4 and 2.5.

</details>

<details><summary><h3><strong>def with_metaclass(meta, *bases)</strong></h3></summary>

Create a base class with a metaclass.

</details>

<details><summary><h3><strong>def add_metaclass(metaclass)</strong></h3></summary>

Class decorator for creating a class with a metaclass.

</details>

<details><summary><h3><strong>def ensure_binary(s, encoding='utf-8', errors='strict')</strong></h3></summary>

Coerce **s** to six.binary_type.

    For Python 2:
      - `unicode` -> encoded to `str`
      - `str` -> `str`

    For Python 3:
      - `str` -> encoded to `bytes`
      - `bytes` -> `bytes`

</details>

<details><summary><h3><strong>def ensure_str(s, encoding='utf-8', errors='strict')</strong></h3></summary>

Coerce *s* to `str`.

    For Python 2:
      - `unicode` -> encoded to `str`
      - `str` -> `str`

    For Python 3:
      - `str` -> `str`
      - `bytes` -> decoded to `str`

</details>

<details><summary><h3><strong>def ensure_text(s, encoding='utf-8', errors='strict')</strong></h3></summary>

Coerce *s* to six.text_type.

    For Python 2:
      - `unicode` -> `unicode`
      - `str` -> `unicode`

    For Python 3:
      - `str` -> `str`
      - `bytes` -> decoded to `str`

</details>

<details><summary><h3><strong>def python_2_unicode_compatible(klass)</strong></h3></summary>

A class decorator that defines __unicode__ and __str__ methods under Python 2.
    Under Python 3 it does nothing.

    To support Python 2 and 3 with a single code base, define a __str__ method
    returning text and apply this decorator to the class.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Soup Sieve.

A CSS selector filter for BeautifulSoup4.

MIT License

Copyright (c) 2018 Isaac Muse

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

<details open><summary><h3>Contents</h3></summary>

- [def purge](#def-purge)
- [def escape](#def-escape)
</details>

<details><summary><h3><strong>def purge()</strong></h3></summary>

Purge cached patterns.

</details>

<details><summary><h3><strong>def escape(ident: str)</strong></h3></summary>

Escape identifier.

</details>

</details>


<details><summary><h2><strong> __meta__.py</strong></h2></summary>

Meta related things.

<details open><summary><h3>Contents</h3></summary>

- [class Version](#class-version)
- [def __new__](#def-__new__)
- [def _is_pre](#def-_is_pre)
- [def _is_dev](#def-_is_dev)
- [def _is_post](#def-_is_post)
- [def _get_dev_status](#def-_get_dev_status)
- [def _get_canonical](#def-_get_canonical)
- [def parse_version](#def-parse_version)
</details>

<details><summary><h3><strong>class Version</strong></h3></summary>

Get the version (PEP 440).

    A biased approach to the PEP 440 semantic version.

    Provides a tuple structure which is sorted for comparisons `v1 > v2` etc.
      (major, minor, micro, release type, pre-release build, post-release build, development release build)
    Release types are named in is such a way they are comparable with ease.
    Accessors to check if a development, pre-release, or post-release build. Also provides accessor to get
    development status for setup files.

    How it works (currently):

    - You must specify a release type as either `final`, `alpha`, `beta`, or `candidate`.
    - To define a development release, you can use either `.dev`, `.dev-alpha`, `.dev-beta`, or `.dev-candidate`.
      The dot is used to ensure all development specifiers are sorted before `alpha`.
      You can specify a `dev` number for development builds, but do not have to as implicit development releases
      are allowed.
    - You must specify a `pre` value greater than zero if using a prerelease as this project (not PEP 440) does not
      allow implicit prereleases.
    - You can optionally set `post` to a value greater than zero to make the build a post release. While post releases
      are technically allowed in prereleases, it is strongly discouraged, so we are rejecting them. It should be
      noted that we do not allow `post0` even though PEP 440 does not restrict this. This project specifically
      does not allow implicit post releases.
    - It should be noted that we do not support epochs `1!` or local versions `+some-custom.version-1`.

    Acceptable version releases:

    ```
    Version(1, 0, 0, "final")                    1.0
    Version(1, 2, 0, "final")                    1.2
    Version(1, 2, 3, "final")                    1.2.3
    Version(1, 2, 0, ".dev-alpha", pre=4)        1.2a4
    Version(1, 2, 0, ".dev-beta", pre=4)         1.2b4
    Version(1, 2, 0, ".dev-candidate", pre=4)    1.2rc4
    Version(1, 2, 0, "final", post=1)            1.2.post1
    Version(1, 2, 3, ".dev")                     1.2.3.dev0
    Version(1, 2, 3, ".dev", dev=1)              1.2.3.dev1
    ```

<p><strong>Key features</strong></p>

<ul>
<li>You must specify a release type as either `final`, `alpha`, `beta`, or `candidate`.</li>
<li>To define a development release, you can use either `.dev`, `.dev-alpha`, `.dev-beta`, or `.dev-candidate`.</li>
<li>You must specify a `pre` value greater than zero if using a prerelease as this project (not PEP 440) does not</li>
<li>You can optionally set `post` to a value greater than zero to make the build a post release. While post releases</li>
<li>It should be noted that we do not support epochs `1!` or local versions `+some-custom.version-1`.</li>
</ul>
<details><summary><h4><strong>def __new__</strong></h4></summary>

Validate version info.

</details>

<details><summary><h4><strong>def _is_pre</strong></h4></summary>

Is prerelease.

</details>

<details><summary><h4><strong>def _is_dev</strong></h4></summary>

Is development.

</details>

<details><summary><h4><strong>def _is_post</strong></h4></summary>

Is post.

</details>

<details><summary><h4><strong>def _get_dev_status</strong></h4></summary>

Get development status string.

</details>

<details><summary><h4><strong>def _get_canonical</strong></h4></summary>

Get the canonical output string.

</details>

</details>

<details><summary><h3><strong>def _is_pre(self)</strong></h3></summary>

Validate version info.

</details>

<details><summary><h3><strong>def _is_pre(self)</strong></h3></summary>

Is prerelease.

</details>

<details><summary><h3><strong>def _is_dev(self)</strong></h3></summary>

Is development.

</details>

<details><summary><h3><strong>def _is_post(self)</strong></h3></summary>

Is post.

</details>

<details><summary><h3><strong>def _get_dev_status(self)</strong></h3></summary>

Get development status string.

</details>

<details><summary><h3><strong>def _get_canonical(self)</strong></h3></summary>

Get the canonical output string.

</details>

<details><summary><h3><strong>def parse_version(ver: str)</strong></h3></summary>

Parse version into a comparable Version tuple.

</details>

</details>


<details><summary><h2><strong> css_match.py</strong></h2></summary>

CSS matcher.

<details open><summary><h3>Contents</h3></summary>

- [class _FakeParent](#class-_fakeparent)
- [class _DocumentNav](#class-_documentnav)
- [class Inputs](#class-inputs)
- [class CSSMatch](#class-cssmatch)
- [class SoupSieve](#class-soupsieve)
- [def __init__](#def-__init__)
- [def __len__](#def-__len__)
- [def assert_valid_input](#def-assert_valid_input)
- [def is_doc](#def-is_doc)
- [def is_tag](#def-is_tag)
- [def is_declaration](#def-is_declaration)
- [def is_cdata](#def-is_cdata)
- [def is_processing_instruction](#def-is_processing_instruction)
- [def is_navigable_string](#def-is_navigable_string)
- [def is_special_string](#def-is_special_string)
- [def is_content_string](#def-is_content_string)
- [def create_fake_parent](#def-create_fake_parent)
- [def is_xml_tree](#def-is_xml_tree)
- [def is_iframe](#def-is_iframe)
- [def is_root](#def-is_root)
- [def get_contents](#def-get_contents)
- [def get_children](#def-get_children)
- [def get_descendants](#def-get_descendants)
- [def get_parent](#def-get_parent)
- [def get_tag_name](#def-get_tag_name)
- [def get_prefix_name](#def-get_prefix_name)
- [def get_uri](#def-get_uri)
- [def get_next](#def-get_next)
- [def get_previous](#def-get_previous)
- [def has_html_ns](#def-has_html_ns)
- [def split_namespace](#def-split_namespace)
- [def normalize_value](#def-normalize_value)
- [def get_attribute_by_name](#def-get_attribute_by_name)
- [def iter_attributes](#def-iter_attributes)
- [def get_classes](#def-get_classes)
- [def get_text](#def-get_text)
- [def get_own_text](#def-get_own_text)
- [def validate_day](#def-validate_day)
- [def validate_week](#def-validate_week)
- [def validate_month](#def-validate_month)
- [def validate_year](#def-validate_year)
- [def validate_hour](#def-validate_hour)
- [def validate_minutes](#def-validate_minutes)
- [def parse_value](#def-parse_value)
- [def __init__](#def-__init__)
- [def supports_namespaces](#def-supports_namespaces)
- [def get_tag_ns](#def-get_tag_ns)
- [def is_html_tag](#def-is_html_tag)
- [def get_tag](#def-get_tag)
- [def get_prefix](#def-get_prefix)
- [def find_bidi](#def-find_bidi)
- [def extended_language_filter](#def-extended_language_filter)
- [def match_attribute_name](#def-match_attribute_name)
- [def match_namespace](#def-match_namespace)
- [def match_attributes](#def-match_attributes)
- [def match_tagname](#def-match_tagname)
- [def match_tag](#def-match_tag)
- [def match_past_relations](#def-match_past_relations)
- [def match_future_child](#def-match_future_child)
- [def match_future_relations](#def-match_future_relations)
- [def match_relations](#def-match_relations)
- [def match_id](#def-match_id)
- [def match_classes](#def-match_classes)
- [def match_root](#def-match_root)
- [def match_scope](#def-match_scope)
- [def match_nth_tag_type](#def-match_nth_tag_type)
- [def match_nth](#def-match_nth)
- [def match_empty](#def-match_empty)
- [def match_subselectors](#def-match_subselectors)
- [def match_contains](#def-match_contains)
- [def match_default](#def-match_default)
- [def match_indeterminate](#def-match_indeterminate)
- [def get_parent_form](#def-get_parent_form)
- [def match_lang](#def-match_lang)
- [def match_dir](#def-match_dir)
- [def match_range](#def-match_range)
- [def match_defined](#def-match_defined)
- [def match_placeholder_shown](#def-match_placeholder_shown)
- [def match_selectors](#def-match_selectors)
- [def select](#def-select)
- [def closest](#def-closest)
- [def filter](#def-filter)
- [def match](#def-match)
- [def __init__](#def-__init__)
- [def match](#def-match)
- [def closest](#def-closest)
- [def filter](#def-filter)
- [def select_one](#def-select_one)
- [def select](#def-select)
- [def iselect](#def-iselect)
- [def __repr__](#def-__repr__)
</details>

<details><summary><h3><strong>class _FakeParent</strong></h3></summary>

Fake parent class.

    When we have a fragment with no `BeautifulSoup` document object,
    we can't evaluate `nth` selectors properly.  Create a temporary
    fake parent so we can traverse the root element as a child.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Length.

</details>

</details>

<details><summary><h3><strong>class _DocumentNav</strong></h3></summary>

Navigate a Beautiful Soup document.

<details><summary><h4><strong>def assert_valid_input</strong></h4></summary>

Check if valid input tag or document.

</details>

<details><summary><h4><strong>def is_doc</strong></h4></summary>

Is `BeautifulSoup` object.

</details>

<details><summary><h4><strong>def is_tag</strong></h4></summary>

Is tag.

</details>

<details><summary><h4><strong>def is_declaration</strong></h4></summary>

Is declaration.

</details>

<details><summary><h4><strong>def is_cdata</strong></h4></summary>

Is CDATA.

</details>

<details><summary><h4><strong>def is_processing_instruction</strong></h4></summary>

Is processing instruction.

</details>

<details><summary><h4><strong>def is_navigable_string</strong></h4></summary>

Is navigable string.

</details>

<details><summary><h4><strong>def is_special_string</strong></h4></summary>

Is special string.

</details>

<details><summary><h4><strong>def is_content_string</strong></h4></summary>

Check if node is content string.

</details>

<details><summary><h4><strong>def create_fake_parent</strong></h4></summary>

Create fake parent for a given element.

</details>

<details><summary><h4><strong>def is_xml_tree</strong></h4></summary>

Check if element (or document) is from a XML tree.

</details>

<details><summary><h4><strong>def is_iframe</strong></h4></summary>

Check if element is an `iframe`.

</details>

<details><summary><h4><strong>def is_root</strong></h4></summary>

Return whether element is a root element.

        We check that the element is the root of the tree (which we have already pre-calculated),
        and we check if it is the root element under an `iframe`.

</details>

<details><summary><h4><strong>def get_contents</strong></h4></summary>

Get contents or contents in reverse.

</details>

<details><summary><h4><strong>def get_children</strong></h4></summary>

Get children.

</details>

<details><summary><h4><strong>def get_descendants</strong></h4></summary>

Get descendants.

</details>

<details><summary><h4><strong>def get_parent</strong></h4></summary>

Get parent.

</details>

<details><summary><h4><strong>def get_tag_name</strong></h4></summary>

Get tag.

</details>

<details><summary><h4><strong>def get_prefix_name</strong></h4></summary>

Get prefix.

</details>

<details><summary><h4><strong>def get_uri</strong></h4></summary>

Get namespace `URI`.

</details>

<details><summary><h4><strong>def get_next</strong></h4></summary>

Get next sibling tag.

</details>

<details><summary><h4><strong>def get_previous</strong></h4></summary>

Get previous sibling tag.

</details>

<details><summary><h4><strong>def has_html_ns</strong></h4></summary>

Check if element has an HTML namespace.

        This is a bit different than whether a element is treated as having an HTML namespace,
        like we do in the case of `is_html_tag`.

</details>

<details><summary><h4><strong>def split_namespace</strong></h4></summary>

Return namespace and attribute name without the prefix.

</details>

<details><summary><h4><strong>def normalize_value</strong></h4></summary>

Normalize the value to be a string or list of strings.

</details>

<details><summary><h4><strong>def get_attribute_by_name</strong></h4></summary>

Get attribute by name.

</details>

<details><summary><h4><strong>def iter_attributes</strong></h4></summary>

Iterate attributes.

</details>

<details><summary><h4><strong>def get_classes</strong></h4></summary>

Get classes.

</details>

<details><summary><h4><strong>def get_text</strong></h4></summary>

Get text.

</details>

<details><summary><h4><strong>def get_own_text</strong></h4></summary>

Get Own Text.

</details>

</details>

<details><summary><h3><strong>class Inputs</strong></h3></summary>

Class for parsing and validating input items.

<details><summary><h4><strong>def validate_day</strong></h4></summary>

Validate day.

</details>

<details><summary><h4><strong>def validate_week</strong></h4></summary>

Validate week.

</details>

<details><summary><h4><strong>def validate_month</strong></h4></summary>

Validate month.

</details>

<details><summary><h4><strong>def validate_year</strong></h4></summary>

Validate year.

</details>

<details><summary><h4><strong>def validate_hour</strong></h4></summary>

Validate hour.

</details>

<details><summary><h4><strong>def validate_minutes</strong></h4></summary>

Validate minutes.

</details>

<details><summary><h4><strong>def parse_value</strong></h4></summary>

Parse the input value.

</details>

</details>

<details><summary><h3><strong>class CSSMatch</strong></h3></summary>

Perform CSS matching.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def supports_namespaces</strong></h4></summary>

Check if namespaces are supported in the HTML type.

</details>

<details><summary><h4><strong>def get_tag_ns</strong></h4></summary>

Get tag namespace.

</details>

<details><summary><h4><strong>def is_html_tag</strong></h4></summary>

Check if tag is in HTML namespace.

</details>

<details><summary><h4><strong>def get_tag</strong></h4></summary>

Get tag.

</details>

<details><summary><h4><strong>def get_prefix</strong></h4></summary>

Get prefix.

</details>

<details><summary><h4><strong>def find_bidi</strong></h4></summary>

Get directionality from element text.

</details>

<details><summary><h4><strong>def extended_language_filter</strong></h4></summary>

Filter the language tags.

</details>

<details><summary><h4><strong>def match_attribute_name</strong></h4></summary>

Match attribute name and return value if it exists.

</details>

<details><summary><h4><strong>def match_namespace</strong></h4></summary>

Match the namespace of the element.

</details>

<details><summary><h4><strong>def match_attributes</strong></h4></summary>

Match attributes.

</details>

<details><summary><h4><strong>def match_tagname</strong></h4></summary>

Match tag name.

</details>

<details><summary><h4><strong>def match_tag</strong></h4></summary>

Match the tag.

</details>

<details><summary><h4><strong>def match_past_relations</strong></h4></summary>

Match past relationship.

</details>

<details><summary><h4><strong>def match_future_child</strong></h4></summary>

Match future child.

</details>

<details><summary><h4><strong>def match_future_relations</strong></h4></summary>

Match future relationship.

</details>

<details><summary><h4><strong>def match_relations</strong></h4></summary>

Match relationship to other elements.

</details>

<details><summary><h4><strong>def match_id</strong></h4></summary>

Match element's ID.

</details>

<details><summary><h4><strong>def match_classes</strong></h4></summary>

Match element's classes.

</details>

<details><summary><h4><strong>def match_root</strong></h4></summary>

Match element as root.

</details>

<details><summary><h4><strong>def match_scope</strong></h4></summary>

Match element as scope.

</details>

<details><summary><h4><strong>def match_nth_tag_type</strong></h4></summary>

Match tag type for `nth` matches.

</details>

<details><summary><h4><strong>def match_nth</strong></h4></summary>

Match `nth` elements.

</details>

<details><summary><h4><strong>def match_empty</strong></h4></summary>

Check if element is empty (if requested).

</details>

<details><summary><h4><strong>def match_subselectors</strong></h4></summary>

Match selectors.

</details>

<details><summary><h4><strong>def match_contains</strong></h4></summary>

Match element if it contains text.

</details>

<details><summary><h4><strong>def match_default</strong></h4></summary>

Match default.

</details>

<details><summary><h4><strong>def match_indeterminate</strong></h4></summary>

Match default.

</details>

<details><summary><h4><strong>def get_parent_form</strong></h4></summary>

Find this input's form.

</details>

<details><summary><h4><strong>def match_lang</strong></h4></summary>

Match languages.

</details>

<details><summary><h4><strong>def match_dir</strong></h4></summary>

Check directionality.

</details>

<details><summary><h4><strong>def match_range</strong></h4></summary>

Match range.

        Behavior is modeled after what we see in browsers. Browsers seem to evaluate
        if the value is out of range, and if not, it is in range. So a missing value
        will not evaluate out of range; therefore, value is in range. Personally, I
        feel like this should evaluate as neither in or out of range.

</details>

<details><summary><h4><strong>def match_defined</strong></h4></summary>

Match defined.

        `:defined` is related to custom elements in a browser.

        - If the document is XML (not XHTML), all tags will match.
        - Tags that are not custom (don't have a hyphen) are marked defined.
        - If the tag has a prefix (without or without a namespace), it will not match.

        This is of course requires the parser to provide us with the proper prefix and namespace info,
        if it doesn't, there is nothing we can do.

</details>

<details><summary><h4><strong>def match_placeholder_shown</strong></h4></summary>

Match placeholder shown according to HTML spec.

        - text area should be checked if they have content. A single newline does not count as content.

</details>

<details><summary><h4><strong>def match_selectors</strong></h4></summary>

Check if element matches one of the selectors.

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Match all tags under the targeted tag.

</details>

<details><summary><h4><strong>def closest</strong></h4></summary>

Match closest ancestor.

</details>

<details><summary><h4><strong>def filter</strong></h4></summary>

Filter tag's children.

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Match.

</details>

</details>

<details><summary><h3><strong>class SoupSieve</strong></h3></summary>

Compiled Soup Sieve selector matching object.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Match.

</details>

<details><summary><h4><strong>def closest</strong></h4></summary>

Match closest ancestor.

</details>

<details><summary><h4><strong>def filter</strong></h4></summary>

Filter.

        `CSSMatch` can cache certain searches for tags of the same document,
        so if we are given a tag, all tags are from the same document,
        and we can take advantage of the optimization.

        Any other kind of iterable could have tags from different documents or detached tags,
        so for those, we use a new `CSSMatch` for each item in the iterable.

</details>

<details><summary><h4><strong>def select_one</strong></h4></summary>

Select a single tag.

</details>

<details><summary><h4><strong>def select</strong></h4></summary>

Select the specified tags.

</details>

<details><summary><h4><strong>def iselect</strong></h4></summary>

Iterate the specified tags.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Representation.

</details>

</details>

<details><summary><h3><strong>def __init__(self, element: bs4.Tag)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Length.

</details>

<details><summary><h3><strong>def assert_valid_input(cls, tag: Any)</strong></h3></summary>

Check if valid input tag or document.

</details>

<details><summary><h3><strong>def is_doc(obj: bs4.Tag)</strong></h3></summary>

Is `BeautifulSoup` object.

</details>

<details><summary><h3><strong>def is_tag(obj: bs4.PageElement)</strong></h3></summary>

Is tag.

</details>

<details><summary><h3><strong>def is_declaration(obj: bs4.PageElement)</strong></h3></summary>

Is declaration.

</details>

<details><summary><h3><strong>def is_cdata(obj: bs4.PageElement)</strong></h3></summary>

Is CDATA.

</details>

<details><summary><h3><strong>def is_processing_instruction(obj: bs4.PageElement)</strong></h3></summary>

Is processing instruction.

</details>

<details><summary><h3><strong>def is_navigable_string(obj: bs4.PageElement)</strong></h3></summary>

Is navigable string.

</details>

<details><summary><h3><strong>def is_special_string(obj: bs4.PageElement)</strong></h3></summary>

Is special string.

</details>

<details><summary><h3><strong>def is_content_string(cls, obj: bs4.PageElement)</strong></h3></summary>

Check if node is content string.

</details>

<details><summary><h3><strong>def create_fake_parent(el: bs4.Tag)</strong></h3></summary>

Create fake parent for a given element.

</details>

<details><summary><h3><strong>def is_xml_tree(el: bs4.Tag)</strong></h3></summary>

Check if element (or document) is from a XML tree.

</details>

<details><summary><h3><strong>def is_iframe(self, el: bs4.Tag)</strong></h3></summary>

Check if element is an `iframe`.

</details>

<details><summary><h3><strong>def is_root(self, el: bs4.Tag)</strong></h3></summary>

Return whether element is a root element.

        We check that the element is the root of the tree (which we have already pre-calculated),
        and we check if it is the root element under an `iframe`.

</details>

<details><summary><h3><strong>def get_contents(self, el: bs4.Tag, no_iframe: bool = False)</strong></h3></summary>

Get contents or contents in reverse.

</details>

<details><summary><h3><strong>def get_parent(self, el: bs4.Tag, no_iframe: bool = False)</strong></h3></summary>

Get children.

</details>

<details><summary><h3><strong>def get_parent(self, el: bs4.Tag, no_iframe: bool = False)</strong></h3></summary>

Get descendants.

</details>

<details><summary><h3><strong>def get_parent(self, el: bs4.Tag, no_iframe: bool = False)</strong></h3></summary>

Get parent.

</details>

<details><summary><h3><strong>def get_tag_name(el: bs4.Tag)</strong></h3></summary>

Get tag.

</details>

<details><summary><h3><strong>def get_prefix_name(el: bs4.Tag)</strong></h3></summary>

Get prefix.

</details>

<details><summary><h3><strong>def get_uri(el: bs4.Tag)</strong></h3></summary>

Get namespace `URI`.

</details>

<details><summary><h3><strong>def get_next(cls, el: bs4.Tag, tags: bool = True)</strong></h3></summary>

Get next sibling tag.

</details>

<details><summary><h3><strong>def get_previous(cls, el: bs4.Tag, tags: bool = True)</strong></h3></summary>

Get previous sibling tag.

</details>

<details><summary><h3><strong>def has_html_ns(el: bs4.Tag)</strong></h3></summary>

Check if element has an HTML namespace.

        This is a bit different than whether a element is treated as having an HTML namespace,
        like we do in the case of `is_html_tag`.

</details>

<details><summary><h3><strong>def split_namespace(el: bs4.Tag, attr_name: str)</strong></h3></summary>

Return namespace and attribute name without the prefix.

</details>

<details><summary><h3><strong>def normalize_value(cls, value: Any)</strong></h3></summary>

Normalize the value to be a string or list of strings.

</details>

<details><summary><h3><strong>def iter_attributes(cls, el: bs4.Tag)</strong></h3></summary>

Get attribute by name.

</details>

<details><summary><h3><strong>def iter_attributes(cls, el: bs4.Tag)</strong></h3></summary>

Iterate attributes.

</details>

<details><summary><h3><strong>def get_classes(cls, el: bs4.Tag)</strong></h3></summary>

Get classes.

</details>

<details><summary><h3><strong>def get_text(self, el: bs4.Tag, no_iframe: bool = False)</strong></h3></summary>

Get text.

</details>

<details><summary><h3><strong>def get_own_text(self, el: bs4.Tag, no_iframe: bool = False)</strong></h3></summary>

Get Own Text.

</details>

<details><summary><h3><strong>def validate_day(year: int, month: int, day: int)</strong></h3></summary>

Validate day.

</details>

<details><summary><h3><strong>def validate_week(year: int, week: int)</strong></h3></summary>

Validate week.

</details>

<details><summary><h3><strong>def validate_month(month: int)</strong></h3></summary>

Validate month.

</details>

<details><summary><h3><strong>def validate_year(year: int)</strong></h3></summary>

Validate year.

</details>

<details><summary><h3><strong>def validate_hour(hour: int)</strong></h3></summary>

Validate hour.

</details>

<details><summary><h3><strong>def validate_minutes(minutes: int)</strong></h3></summary>

Validate minutes.

</details>

<details><summary><h3><strong>def parse_value(cls, itype: str, value: str | None)</strong></h3></summary>

Parse the input value.

</details>

<details><summary><h3><strong>def supports_namespaces(self)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def supports_namespaces(self)</strong></h3></summary>

Check if namespaces are supported in the HTML type.

</details>

<details><summary><h3><strong>def get_tag_ns(self, el: bs4.Tag)</strong></h3></summary>

Get tag namespace.

</details>

<details><summary><h3><strong>def is_html_tag(self, el: bs4.Tag)</strong></h3></summary>

Check if tag is in HTML namespace.

</details>

<details><summary><h3><strong>def get_tag(self, el: bs4.Tag)</strong></h3></summary>

Get tag.

</details>

<details><summary><h3><strong>def get_prefix(self, el: bs4.Tag)</strong></h3></summary>

Get prefix.

</details>

<details><summary><h3><strong>def find_bidi(self, el: bs4.Tag)</strong></h3></summary>

Get directionality from element text.

</details>

<details><summary><h3><strong>def extended_language_filter(self, lang_range: str, lang_tag: str)</strong></h3></summary>

Filter the language tags.

</details>

<details><summary><h3><strong>def match_namespace(self, el: bs4.Tag, tag: ct.SelectorTag)</strong></h3></summary>

Match attribute name and return value if it exists.

</details>

<details><summary><h3><strong>def match_namespace(self, el: bs4.Tag, tag: ct.SelectorTag)</strong></h3></summary>

Match the namespace of the element.

</details>

<details><summary><h3><strong>def match_attributes(self, el: bs4.Tag, attributes: tuple[ct.SelectorAttribute, ...])</strong></h3></summary>

Match attributes.

</details>

<details><summary><h3><strong>def match_tagname(self, el: bs4.Tag, tag: ct.SelectorTag)</strong></h3></summary>

Match tag name.

</details>

<details><summary><h3><strong>def match_tag(self, el: bs4.Tag, tag: ct.SelectorTag | None)</strong></h3></summary>

Match the tag.

</details>

<details><summary><h3><strong>def match_past_relations(self, el: bs4.Tag, relation: ct.SelectorList)</strong></h3></summary>

Match past relationship.

</details>

<details><summary><h3><strong>def match_future_child(self, parent: bs4.Tag, relation: ct.SelectorList, recursive: bool = False)</strong></h3></summary>

Match future child.

</details>

<details><summary><h3><strong>def match_future_relations(self, el: bs4.Tag, relation: ct.SelectorList)</strong></h3></summary>

Match future relationship.

</details>

<details><summary><h3><strong>def match_relations(self, el: bs4.Tag, relation: ct.SelectorList)</strong></h3></summary>

Match relationship to other elements.

</details>

<details><summary><h3><strong>def match_id(self, el: bs4.Tag, ids: tuple[str, ...])</strong></h3></summary>

Match element's ID.

</details>

<details><summary><h3><strong>def match_classes(self, el: bs4.Tag, classes: tuple[str, ...])</strong></h3></summary>

Match element's classes.

</details>

<details><summary><h3><strong>def match_root(self, el: bs4.Tag)</strong></h3></summary>

Match element as root.

</details>

<details><summary><h3><strong>def match_scope(self, el: bs4.Tag)</strong></h3></summary>

Match element as scope.

</details>

<details><summary><h3><strong>def match_nth_tag_type(self, el: bs4.Tag, child: bs4.Tag)</strong></h3></summary>

Match tag type for `nth` matches.

</details>

<details><summary><h3><strong>def match_nth(self, el: bs4.Tag, nth: bs4.Tag)</strong></h3></summary>

Match `nth` elements.

</details>

<details><summary><h3><strong>def match_empty(self, el: bs4.Tag)</strong></h3></summary>

Check if element is empty (if requested).

</details>

<details><summary><h3><strong>def match_subselectors(self, el: bs4.Tag, selectors: tuple[ct.SelectorList, ...])</strong></h3></summary>

Match selectors.

</details>

<details><summary><h3><strong>def match_contains(self, el: bs4.Tag, contains: tuple[ct.SelectorContains, ...])</strong></h3></summary>

Match element if it contains text.

</details>

<details><summary><h3><strong>def match_default(self, el: bs4.Tag)</strong></h3></summary>

Match default.

</details>

<details><summary><h3><strong>def match_indeterminate(self, el: bs4.Tag)</strong></h3></summary>

Match default.

</details>

<details><summary><h3><strong>def get_parent_form(el: bs4.Tag)</strong></h3></summary>

Find this input's form.

</details>

<details><summary><h3><strong>def match_lang(self, el: bs4.Tag, langs: tuple[ct.SelectorLang, ...])</strong></h3></summary>

Match languages.

</details>

<details><summary><h3><strong>def match_dir(self, el: bs4.Tag, directionality: int)</strong></h3></summary>

Check directionality.

</details>

<details><summary><h3><strong>def match_range(self, el: bs4.Tag, condition: int)</strong></h3></summary>

Match range.

        Behavior is modeled after what we see in browsers. Browsers seem to evaluate
        if the value is out of range, and if not, it is in range. So a missing value
        will not evaluate out of range; therefore, value is in range. Personally, I
        feel like this should evaluate as neither in or out of range.

</details>

<details><summary><h3><strong>def match_defined(self, el: bs4.Tag)</strong></h3></summary>

Match defined.

        `:defined` is related to custom elements in a browser.

        - If the document is XML (not XHTML), all tags will match.
        - Tags that are not custom (don't have a hyphen) are marked defined.
        - If the tag has a prefix (without or without a namespace), it will not match.

        This is of course requires the parser to provide us with the proper prefix and namespace info,
        if it doesn't, there is nothing we can do.

</details>

<details><summary><h3><strong>def match_placeholder_shown(self, el: bs4.Tag)</strong></h3></summary>

Match placeholder shown according to HTML spec.

        - text area should be checked if they have content. A single newline does not count as content.

</details>

<details><summary><h3><strong>def match_selectors(self, el: bs4.Tag, selectors: ct.SelectorList)</strong></h3></summary>

Check if element matches one of the selectors.

</details>

<details><summary><h3><strong>def select(self, limit: int = 0)</strong></h3></summary>

Match all tags under the targeted tag.

</details>

<details><summary><h3><strong>def closest(self)</strong></h3></summary>

Match closest ancestor.

</details>

<details><summary><h3><strong>def filter(self)</strong></h3></summary>

Filter tag's children.

</details>

<details><summary><h3><strong>def match(self, el: bs4.Tag)</strong></h3></summary>

Match.

</details>

<details><summary><h3><strong>def match(self, tag: bs4.Tag)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def match(self, tag: bs4.Tag)</strong></h3></summary>

Match.

</details>

<details><summary><h3><strong>def closest(self, tag: bs4.Tag)</strong></h3></summary>

Match closest ancestor.

</details>

<details><summary><h3><strong>def filter(self, iterable: Iterable[bs4.Tag])</strong></h3></summary>

Filter.

        `CSSMatch` can cache certain searches for tags of the same document,
        so if we are given a tag, all tags are from the same document,
        and we can take advantage of the optimization.

        Any other kind of iterable could have tags from different documents or detached tags,
        so for those, we use a new `CSSMatch` for each item in the iterable.

</details>

<details><summary><h3><strong>def select_one(self, tag: bs4.Tag)</strong></h3></summary>

Select a single tag.

</details>

<details><summary><h3><strong>def select(self, tag: bs4.Tag, limit: int = 0)</strong></h3></summary>

Select the specified tags.

</details>

<details><summary><h3><strong>def iselect(self, tag: bs4.Tag, limit: int = 0)</strong></h3></summary>

Iterate the specified tags.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Representation.

</details>

</details>


<details><summary><h2><strong> css_parser.py</strong></h2></summary>

CSS selector parser.

<details open><summary><h3>Contents</h3></summary>

- [class SelectorPattern](#class-selectorpattern)
- [class SpecialPseudoPattern](#class-specialpseudopattern)
- [class _Selector](#class-_selector)
- [class CSSParser](#class-cssparser)
- [class alias](#class-alias)
- [class and](#class-and)
- [class close](#class-close)
- [class at](#class-at)
- [class selector](#class-selector)
- [class selector](#class-selector)
- [def _purge_cache](#def-_purge_cache)
- [def process_custom](#def-process_custom)
- [def css_unescape](#def-css_unescape)
- [def replace](#def-replace)
- [def escape](#def-escape)
- [def __init__](#def-__init__)
- [def get_name](#def-get_name)
- [def match](#def-match)
- [def __init__](#def-__init__)
- [def get_name](#def-get_name)
- [def match](#def-match)
- [def __init__](#def-__init__)
- [def _freeze_relations](#def-_freeze_relations)
- [def freeze](#def-freeze)
- [def __str__](#def-__str__)
- [def __init__](#def-__init__)
- [def parse_attribute_selector](#def-parse_attribute_selector)
- [def parse_tag_pattern](#def-parse_tag_pattern)
- [def parse_pseudo_class_custom](#def-parse_pseudo_class_custom)
- [def parse_pseudo_class](#def-parse_pseudo_class)
- [def parse_pseudo_nth](#def-parse_pseudo_nth)
- [def parse_pseudo_open](#def-parse_pseudo_open)
- [def parse_has_combinator](#def-parse_has_combinator)
- [def parse_combinator](#def-parse_combinator)
- [def parse_class_id](#def-parse_class_id)
- [def parse_pseudo_contains](#def-parse_pseudo_contains)
- [def parse_pseudo_lang](#def-parse_pseudo_lang)
- [def parse_pseudo_dir](#def-parse_pseudo_dir)
- [def parse_selectors](#def-parse_selectors)
- [def selector_iter](#def-selector_iter)
- [def process_selectors](#def-process_selectors)
</details>

<details><summary><h3><strong>class SelectorPattern</strong></h3></summary>

Selector pattern.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def get_name</strong></h4></summary>

Get name.

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Match the selector.

</details>

</details>

<details><summary><h3><strong>class SpecialPseudoPattern</strong></h3></summary>

Selector pattern.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def get_name</strong></h4></summary>

Get name.

</details>

<details><summary><h4><strong>def match</strong></h4></summary>

Match the selector.

</details>

</details>

<details><summary><h3><strong>class _Selector</strong></h3></summary>

Intermediate selector class.

    This stores selector data for a compound selector as we are acquiring them.
    Once we are done collecting the data for a compound selector, we freeze
    the data in an object that can be pickled and hashed.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def _freeze_relations</strong></h4></summary>

Freeze relation.

</details>

<details><summary><h4><strong>def freeze</strong></h4></summary>

Freeze self.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

String representation.

</details>

</details>

<details><summary><h3><strong>class CSSParser</strong></h3></summary>

Parse CSS selectors.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def parse_attribute_selector</strong></h4></summary>

Create attribute selector from the returned regex match.

</details>

<details><summary><h4><strong>def parse_tag_pattern</strong></h4></summary>

Parse tag pattern from regex match.

</details>

<details><summary><h4><strong>def parse_pseudo_class_custom</strong></h4></summary>

Parse custom pseudo class alias.

        Compile custom selectors as we need them. When compiling a custom selector,
        set it to `None` in the dictionary so we can avoid an infinite loop.

</details>

<details><summary><h4><strong>def parse_pseudo_class</strong></h4></summary>

Parse pseudo class.

</details>

<details><summary><h4><strong>def parse_pseudo_nth</strong></h4></summary>

Parse `nth` pseudo.

</details>

<details><summary><h4><strong>def parse_pseudo_open</strong></h4></summary>

Parse pseudo with opening bracket.

</details>

<details><summary><h4><strong>def parse_has_combinator</strong></h4></summary>

Parse combinator tokens.

</details>

<details><summary><h4><strong>def parse_combinator</strong></h4></summary>

Parse combinator tokens.

</details>

<details><summary><h4><strong>def parse_class_id</strong></h4></summary>

Parse HTML classes and ids.

</details>

<details><summary><h4><strong>def parse_pseudo_contains</strong></h4></summary>

Parse contains.

</details>

<details><summary><h4><strong>def parse_pseudo_lang</strong></h4></summary>

Parse pseudo language.

</details>

<details><summary><h4><strong>def parse_pseudo_dir</strong></h4></summary>

Parse pseudo direction.

</details>

<details><summary><h4><strong>def parse_selectors</strong></h4></summary>

Parse selectors.

</details>

<details><summary><h4><strong>def selector_iter</strong></h4></summary>

Iterate selector tokens.

</details>

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>class alias</strong></h3></summary>

pseudo = util.lower(css_unescape(m.group('name')))
        selector = self.custom.get(pseudo)
        if selector is None:
            raise SelectorSyntaxError(
                f"Undefined custom selector '{pseudo}' found at position {m.end(0)}",
                self.pattern,
                m.end(0)
            )

        if not isinstance(selector, ct.SelectorList):
            del self.custom[pseudo]
            selector = CSSParser(
                selector, custom=self.custom, flags=self.flags
            ).process_selectors(flags=FLG_PSEUDO)
            self.custom[pseudo] = selector

        sel.selectors.append(selector)
        has_selector = True
        return has_selector

    def parse_pseudo_class(
        self,
        sel: _Selector,
        m: Match[str],
        has_selector: bool,
        iselector: Iterator[tuple[str, Match[str]]],
        is_html: bool
    ) -> tuple[bool, bool]:

<details><summary><h4><strong>def parse_pseudo_class</strong></h4></summary>

Parse pseudo class.

</details>

<details><summary><h4><strong>def parse_pseudo_nth</strong></h4></summary>

Parse `nth` pseudo.

</details>

<details><summary><h4><strong>def parse_pseudo_open</strong></h4></summary>

Parse pseudo with opening bracket.

</details>

<details><summary><h4><strong>def parse_has_combinator</strong></h4></summary>

Parse combinator tokens.

</details>

<details><summary><h4><strong>def parse_combinator</strong></h4></summary>

Parse combinator tokens.

</details>

<details><summary><h4><strong>def parse_class_id</strong></h4></summary>

Parse HTML classes and ids.

</details>

<details><summary><h4><strong>def parse_pseudo_contains</strong></h4></summary>

Parse contains.

</details>

<details><summary><h4><strong>def parse_pseudo_lang</strong></h4></summary>

Parse pseudo language.

</details>

<details><summary><h4><strong>def parse_pseudo_dir</strong></h4></summary>

Parse pseudo direction.

</details>

<details><summary><h4><strong>def parse_selectors</strong></h4></summary>

Parse selectors.

</details>

<details><summary><h4><strong>def selector_iter</strong></h4></summary>

Iterate selector tokens.

</details>

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>class and</strong></h3></summary>

Parse `nth` pseudo.

<details><summary><h4><strong>def parse_pseudo_nth</strong></h4></summary>

Parse `nth` pseudo.

</details>

<details><summary><h4><strong>def parse_pseudo_open</strong></h4></summary>

Parse pseudo with opening bracket.

</details>

<details><summary><h4><strong>def parse_has_combinator</strong></h4></summary>

Parse combinator tokens.

</details>

<details><summary><h4><strong>def parse_combinator</strong></h4></summary>

Parse combinator tokens.

</details>

<details><summary><h4><strong>def parse_class_id</strong></h4></summary>

Parse HTML classes and ids.

</details>

<details><summary><h4><strong>def parse_pseudo_contains</strong></h4></summary>

Parse contains.

</details>

<details><summary><h4><strong>def parse_pseudo_lang</strong></h4></summary>

Parse pseudo language.

</details>

<details><summary><h4><strong>def parse_pseudo_dir</strong></h4></summary>

Parse pseudo direction.

</details>

<details><summary><h4><strong>def parse_selectors</strong></h4></summary>

Parse selectors.

</details>

<details><summary><h4><strong>def selector_iter</strong></h4></summary>

Iterate selector tokens.

</details>

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>class close</strong></h3></summary>

Iterate selector tokens.

<details><summary><h4><strong>def selector_iter</strong></h4></summary>

Iterate selector tokens.

</details>

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>class at</strong></h3></summary>

Iterate selector tokens.

<details><summary><h4><strong>def selector_iter</strong></h4></summary>

Iterate selector tokens.

</details>

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>class selector</strong></h3></summary>

Process selectors.

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>class selector</strong></h3></summary>

Process selectors.

<details><summary><h4><strong>def process_selectors</strong></h4></summary>

Process selectors.

</details>

</details>

<details><summary><h3><strong>def _purge_cache()</strong></h3></summary>

Purge the cache.

</details>

<details><summary><h3><strong>def process_custom(custom: ct.CustomSelectors | None)</strong></h3></summary>

Process custom.

</details>

<details><summary><h3><strong>def css_unescape(content: str, string: bool = False)</strong></h3></summary>

Unescape CSS value.

    Strings allow for spanning the value on multiple strings by escaping a new line.

</details>

<details><summary><h3><strong>def replace(m: Match[str])</strong></h3></summary>

Replace with the appropriate substitute.

</details>

<details><summary><h3><strong>def escape(ident: str)</strong></h3></summary>

Escape identifier.

</details>

<details><summary><h3><strong>def __init__(self, name: str, pattern: str)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def get_name(self)</strong></h3></summary>

Get name.

</details>

<details><summary><h3><strong>def match(self, selector: str, index: int, flags: int)</strong></h3></summary>

Match the selector.

</details>

<details><summary><h3><strong>def __init__(self, patterns: tuple[tuple[str, tuple[str, ...], str, type[SelectorPattern]], ...])</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def get_name(self)</strong></h3></summary>

Get name.

</details>

<details><summary><h3><strong>def match(self, selector: str, index: int, flags: int)</strong></h3></summary>

Match the selector.

</details>

<details><summary><h3><strong>def __init__(self, **kwargs: Any)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def _freeze_relations(self, relations: list[_Selector])</strong></h3></summary>

Freeze relation.

</details>

<details><summary><h3><strong>def freeze(self)</strong></h3></summary>

Freeze self.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

String representation.

</details>

<details><summary><h3><strong>def parse_attribute_selector(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def parse_attribute_selector(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Create attribute selector from the returned regex match.

</details>

<details><summary><h3><strong>def parse_tag_pattern(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse tag pattern from regex match.

</details>

<details><summary><h3><strong>def parse_pseudo_class_custom(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse custom pseudo class alias.

        Compile custom selectors as we need them. When compiling a custom selector,
        set it to `None` in the dictionary so we can avoid an infinite loop.

</details>

<details><summary><h3><strong>def parse_class_id(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse pseudo class.

</details>

<details><summary><h3><strong>def parse_class_id(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse `nth` pseudo.

</details>

<details><summary><h3><strong>def parse_class_id(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse pseudo with opening bracket.

</details>

<details><summary><h3><strong>def parse_class_id(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse combinator tokens.

</details>

<details><summary><h3><strong>def parse_class_id(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse combinator tokens.

</details>

<details><summary><h3><strong>def parse_class_id(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse HTML classes and ids.

</details>

<details><summary><h3><strong>def parse_pseudo_contains(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse contains.

</details>

<details><summary><h3><strong>def parse_pseudo_lang(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse pseudo language.

</details>

<details><summary><h3><strong>def parse_pseudo_dir(self, sel: _Selector, m: Match[str], has_selector: bool)</strong></h3></summary>

Parse pseudo direction.

</details>

<details><summary><h3><strong>def selector_iter(self, pattern: str)</strong></h3></summary>

Parse selectors.

</details>

<details><summary><h3><strong>def selector_iter(self, pattern: str)</strong></h3></summary>

Iterate selector tokens.

</details>

<details><summary><h3><strong>def process_selectors(self, index: int = 0, flags: int = 0)</strong></h3></summary>

Process selectors.

</details>

</details>


<details><summary><h2><strong> css_types.py</strong></h2></summary>

CSS selector structure items.

<details open><summary><h3>Contents</h3></summary>

- [class Immutable](#class-immutable)
- [class ImmutableDict](#class-immutabledict)
- [class Namespaces](#class-namespaces)
- [class CustomSelectors](#class-customselectors)
- [class Selector](#class-selector)
- [class SelectorNull](#class-selectornull)
- [class SelectorTag](#class-selectortag)
- [class SelectorAttribute](#class-selectorattribute)
- [class SelectorContains](#class-selectorcontains)
- [class SelectorNth](#class-selectornth)
- [class SelectorLang](#class-selectorlang)
- [class SelectorList](#class-selectorlist)
- [def __init__](#def-__init__)
- [def __base__](#def-__base__)
- [def __eq__](#def-__eq__)
- [def __ne__](#def-__ne__)
- [def __hash__](#def-__hash__)
- [def __setattr__](#def-__setattr__)
- [def __repr__](#def-__repr__)
- [def pretty](#def-pretty)
- [def __init__](#def-__init__)
- [def _validate](#def-_validate)
- [def __iter__](#def-__iter__)
- [def __len__](#def-__len__)
- [def __getitem__](#def-__getitem__)
- [def __hash__](#def-__hash__)
- [def __repr__](#def-__repr__)
- [def __init__](#def-__init__)
- [def _validate](#def-_validate)
- [def __init__](#def-__init__)
- [def _validate](#def-_validate)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __init__](#def-__init__)
- [def __iter__](#def-__iter__)
- [def __len__](#def-__len__)
- [def __getitem__](#def-__getitem__)
- [def __init__](#def-__init__)
- [def __iter__](#def-__iter__)
- [def __len__](#def-__len__)
- [def __getitem__](#def-__getitem__)
- [def pickle_register](#def-pickle_register)
</details>

<details><summary><h3><strong>class Immutable</strong></h3></summary>

Immutable.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def __base__</strong></h4></summary>

Get base class.

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Equal.

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

Equal.

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

Hash.

</details>

<details><summary><h4><strong>def __setattr__</strong></h4></summary>

Prevent mutability.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Representation.

</details>

<details><summary><h4><strong>def pretty</strong></h4></summary>

Pretty print.

</details>

</details>

<details><summary><h3><strong>class ImmutableDict</strong></h3></summary>

Hashable, immutable dictionary.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def _validate</strong></h4></summary>

Validate arguments.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Iterator.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Length.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Get item: `namespace['key']`.

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

Hash.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Representation.

</details>

</details>

<details><summary><h3><strong>class Namespaces</strong></h3></summary>

Namespaces.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def _validate</strong></h4></summary>

Validate arguments.

</details>

</details>

<details><summary><h3><strong>class CustomSelectors</strong></h3></summary>

Custom selectors.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def _validate</strong></h4></summary>

Validate arguments.

</details>

</details>

<details><summary><h3><strong>class Selector</strong></h3></summary>

Selector.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>class SelectorNull</strong></h3></summary>

Null Selector.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>class SelectorTag</strong></h3></summary>

Selector tag.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>class SelectorAttribute</strong></h3></summary>

Selector attribute rule.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>class SelectorContains</strong></h3></summary>

Selector contains rule.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>class SelectorNth</strong></h3></summary>

Selector nth type.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>class SelectorLang</strong></h3></summary>

Selector language rules.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Iterator.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Length.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Get item.

</details>

</details>

<details><summary><h3><strong>class SelectorList</strong></h3></summary>

Selector list.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Iterator.

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Length.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Get item.

</details>

</details>

<details><summary><h3><strong>def __init__(self, **kwargs: Any)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __base__(cls)</strong></h3></summary>

Get base class.

</details>

<details><summary><h3><strong>def __eq__(self, other: Any)</strong></h3></summary>

Equal.

</details>

<details><summary><h3><strong>def __ne__(self, other: Any)</strong></h3></summary>

Equal.

</details>

<details><summary><h3><strong>def __hash__(self)</strong></h3></summary>

Hash.

</details>

<details><summary><h3><strong>def __setattr__(self, name: str, value: Any)</strong></h3></summary>

Prevent mutability.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Representation.

</details>

<details><summary><h3><strong>def pretty(self)</strong></h3></summary>

Pretty print.

</details>

<details><summary><h3><strong>def _validate(self, arg: dict[Any, Any] | Iterable[tuple[Any, Any]])</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def _validate(self, arg: dict[Any, Any] | Iterable[tuple[Any, Any]])</strong></h3></summary>

Validate arguments.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Iterator.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Length.

</details>

<details><summary><h3><strong>def __getitem__(self, key: Any)</strong></h3></summary>

Get item: `namespace['key']`.

</details>

<details><summary><h3><strong>def __hash__(self)</strong></h3></summary>

Hash.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Representation.

</details>

<details><summary><h3><strong>def __init__(self, arg: dict[str, str] | Iterable[tuple[str, str]])</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def _validate(self, arg: dict[str, str] | Iterable[tuple[str, str]])</strong></h3></summary>

Validate arguments.

</details>

<details><summary><h3><strong>def __init__(self, arg: dict[str, str] | Iterable[tuple[str, str]])</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def _validate(self, arg: dict[str, str] | Iterable[tuple[str, str]])</strong></h3></summary>

Validate arguments.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __init__(self, name: str, prefix: str | None)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __init__(self, text: Iterable[str], own: bool)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __init__(self, a: int, n: bool, b: int, of_type: bool, last: bool, selectors: SelectorList)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __init__(self, languages: Iterable[str])</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Iterator.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Length.

</details>

<details><summary><h3><strong>def __getitem__(self, index: int)</strong></h3></summary>

Get item.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Iterator.

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Length.

</details>

<details><summary><h3><strong>def __getitem__(self, index: int)</strong></h3></summary>

Get item.

</details>

<details><summary><h3><strong>def pickle_register(obj: Any)</strong></h3></summary>

Allow object to be pickled.

</details>

</details>


<details><summary><h2><strong> pretty.py</strong></h2></summary>

Format a pretty string of a `SoupSieve` object for easy debugging.

This won't necessarily support all types and such, and definitely
not support custom outputs.

It is mainly geared towards our types as the `SelectorList`
object is a beast to look at without some indentation and newlines.
The format and various output types is fairly known (though it
hasn't been tested extensively to make sure we aren't missing corners).

Example:
-------
```
>>> import soupsieve as sv
>>> sv.compile('this > that.class[name=value]').selectors.pretty()
SelectorList(
    selectors=(
        Selector(
            tag=SelectorTag(
                name='that',
                prefix=None),
            ids=(),
            classes=(
                'class',
                ),
            attributes=(
                SelectorAttribute(
                    attribute='name',
                    prefix='',
                    pattern=re.compile(
                        '^value$'),
                    xml_type_pattern=None),
                ),
            nth=(),
            selectors=(),
            relation=SelectorList(
                selectors=(
                    Selector(
                        tag=SelectorTag(
                            name='this',
                            prefix=None),
                        ids=(),
                        classes=(),
                        attributes=(),
                        nth=(),
                        selectors=(),
                        relation=SelectorList(
                            selectors=(),
                            is_not=False,
                            is_html=False),
                        rel_type='>',
                        contains=(),
                        lang=(),
                        flags=0),
                    ),
                is_not=False,
                is_html=False),
            rel_type=None,
            contains=(),
            lang=(),
            flags=0),
        ),
    is_not=False,
    is_html=False)
```

<details open><summary><h3>Contents</h3></summary>

- [def pretty](#def-pretty)
</details>

<details><summary><h3><strong>def pretty(obj: Any)</strong></h3></summary>

Make the object output string pretty.

</details>

</details>


<details><summary><h2><strong> util.py</strong></h2></summary>

Utility.

<details open><summary><h3>Contents</h3></summary>

- [class SelectorSyntaxError](#class-selectorsyntaxerror)
- [def lower](#def-lower)
- [def __init__](#def-__init__)
- [def deprecated](#def-deprecated)
- [def warn_deprecated](#def-warn_deprecated)
- [def get_pattern_context](#def-get_pattern_context)
</details>

<details><summary><h3><strong>class SelectorSyntaxError</strong></h3></summary>

Syntax error in a CSS selector.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Initialize.

</details>

</details>

<details><summary><h3><strong>def lower(string: str)</strong></h3></summary>

Lower.

</details>

<details><summary><h3><strong>def __init__(self, msg: str, pattern: str | None = None, index: int | None = None)</strong></h3></summary>

Initialize.

</details>

<details><summary><h3><strong>def deprecated(message: str, stacklevel: int = 2)</strong></h3></summary>

Raise a `DeprecationWarning` when wrapped function/method is called.

    Usage:

        @deprecated("This method will be removed in version X; use Y instead.")
        def some_method()"
            pass

</details>

<details><summary><h3><strong>def warn_deprecated(message: str, stacklevel: int = 2)</strong></h3></summary>

Warn deprecated.

</details>

<details><summary><h3><strong>def get_pattern_context(pattern: str, index: int)</strong></h3></summary>

Get the pattern context.

</details>

</details>


<details><summary><h2><strong> typing_extensions.py</strong></h2></summary>

if sys.version_info >= (3, 12):  # PEP 692 changed the repr of Unpack[]
    Unpack = typing.Unpack

    def _is_unpack(obj):
        return get_origin(obj) is Unpack

elif sys.version_info[:2] >= (3, 9):  # 3.9+
    class _UnpackSpecialForm(_ExtensionsSpecialForm, _root=True):
        def __init__(self, getitem):
            super().__init__(getitem)
            self.__doc__ = _UNPACK_DOC

    class _UnpackAlias(typing._GenericAlias, _root=True):
        __class__ = typing.TypeVar

        @property
        def __typing_unpacked_tuple_args__(self):
            assert self.__origin__ is Unpack
            assert len(self.__args__) == 1
            arg, = self.__args__
            if isinstance(arg, (typing._GenericAlias, _types.GenericAlias)):
                if arg.__origin__ is not tuple:
                    raise TypeError("Unpack[...] must be used with a tuple type")
                return arg.__args__
            return None

    @_UnpackSpecialForm
    def Unpack(self, parameters):
        item = typing._type_check(parameters, f'{self._name} accepts only a single type.')
        return _UnpackAlias(self, (item,))

    def _is_unpack(obj):
        return isinstance(obj, _UnpackAlias)

else:  # 3.8
    class _UnpackAlias(typing._GenericAlias, _root=True):
        __class__ = typing.TypeVar

    class _UnpackForm(_ExtensionsSpecialForm, _root=True):
        def __getitem__(self, parameters):
            item = typing._type_check(parameters,
                                      f'{self._name} accepts only a single type.')
            return _UnpackAlias(self, (item,))

    Unpack = _UnpackForm('Unpack', doc=_UNPACK_DOC)

    def _is_unpack(obj):
        return isinstance(obj, _UnpackAlias)


if _PEP_696_IMPLEMENTED:
    from typing import TypeVarTuple

elif hasattr(typing, "TypeVarTuple"):  # 3.11+

    def _unpack_args(*args):
        newargs = []
        for arg in args:
            subargs = getattr(arg, '__typing_unpacked_tuple_args__', None)
            if subargs is not None and not (subargs and subargs[-1] is ...):
                newargs.extend(subargs)
            else:
                newargs.append(arg)
        return newargs

    # Add default parameter - PEP 696
    class TypeVarTuple(metaclass=_TypeVarLikeMeta):

<p><strong>Key features</strong></p>

<ul>
<li>PEP 696</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class _AnyMeta](#class-_anymeta)
- [class Any](#class-any)
- [class _LiteralGenericAlias](#class-_literalgenericalias)
- [class _LiteralForm](#class-_literalform)
- [class checks](#class-checks)
- [class SupportsInt](#class-supportsint)
- [class SupportsFloat](#class-supportsfloat)
- [class SupportsComplex](#class-supportscomplex)
- [class SupportsBytes](#class-supportsbytes)
- [class SupportsIndex](#class-supportsindex)
- [class SupportsAbs](#class-supportsabs)
- [class SupportsRound](#class-supportsround)
- [class _TypedDictMeta](#class-_typeddictmeta)
- [class object](#class-object)
- [class happens](#class-happens)
- [class checks](#class-checks)
- [class Point2D](#class-point2d)
- [class Point2D](#class-point2d)
- [class body](#class-body)
- [class Point2D](#class-point2d)
- [class with](#class-with)
- [class _AnnotatedAlias](#class-_annotatedalias)
- [class Annotated](#class-annotated)
- [class NoDefaultTypeMeta](#class-nodefaulttypemeta)
- [class NoDefaultType](#class-nodefaulttype)
- [class _DefaultMixin](#class-_defaultmixin)
- [class TypeVar](#class-typevar)
- [class _Immutable](#class-_immutable)
- [class ParamSpecArgs](#class-paramspecargs)
- [class ParamSpecKwargs](#class-paramspeckwargs)
- [class ParamSpec](#class-paramspec)
- [class ParamSpec](#class-paramspec)
- [class Generic](#class-generic)
- [class _ConcatenateForm](#class-_concatenateform)
- [class _TypeGuardForm](#class-_typeguardform)
- [class _TypeIsForm](#class-_typeisform)
- [class Movie](#class-movie)
- [class _RequiredForm](#class-_requiredform)
- [class Movie](#class-movie)
- [class _ReadOnlyForm](#class-_readonlyform)
- [class TypeVarTuple](#class-typevartuple)
- [class TypeVarTuple](#class-typevartuple)
- [class deprecated](#class-deprecated)
- [class _NamedTupleMeta](#class-_namedtuplemeta)
- [class Buffer](#class-buffer)
- [class NewType](#class-newtype)
- [class TypeAliasType](#class-typealiastype)
- [class P](#class-p)
- [class Doc](#class-doc)
- [def __instancecheck__](#def-__instancecheck__)
- [def __repr__](#def-__repr__)
- [def final](#def-final)
- [def _flatten_literal_params](#def-_flatten_literal_params)
- [def _value_and_type_iter](#def-_value_and_type_iter)
- [def __eq__](#def-__eq__)
- [def __hash__](#def-__hash__)
- [def __init__](#def-__init__)
- [def __getitem__](#def-__getitem__)
- [def overload](#def-overload)
- [def utf8](#def-utf8)
- [def utf8](#def-utf8)
- [def utf8](#def-utf8)
- [def utf8](#def-utf8)
- [def utf8](#def-utf8)
- [def utf8](#def-utf8)
- [def utf8](#def-utf8)
- [def get_overloads](#def-get_overloads)
- [def clear_overloads](#def-clear_overloads)
- [def _allow_reckless_class_checks](#def-_allow_reckless_class_checks)
- [def _no_init](#def-_no_init)
- [def _type_check_issubclass_arg_1](#def-_type_check_issubclass_arg_1)
- [def runtime_checkable](#def-runtime_checkable)
- [def __int__](#def-__int__)
- [def __float__](#def-__float__)
- [def __complex__](#def-__complex__)
- [def __bytes__](#def-__bytes__)
- [def __index__](#def-__index__)
- [def __abs__](#def-__abs__)
- [def _get_typeddict_qualifiers](#def-_get_typeddict_qualifiers)
- [def __new__](#def-__new__)
- [def __subclasscheck__](#def-__subclasscheck__)
- [def TypedDict](#def-typeddict)
- [def is_typeddict](#def-is_typeddict)
- [def assert_type](#def-assert_type)
- [def _strip_extras](#def-_strip_extras)
- [def get_type_hints](#def-get_type_hints)
- [def __init__](#def-__init__)
- [def copy_with](#def-copy_with)
- [def __repr__](#def-__repr__)
- [def __reduce__](#def-__reduce__)
- [def __eq__](#def-__eq__)
- [def __hash__](#def-__hash__)
- [def get_origin](#def-get_origin)
- [def get_args](#def-get_args)
- [def TypeAlias](#def-typealias)
- [def __setattr__](#def-__setattr__)
- [def __copy__](#def-__copy__)
- [def __deepcopy__](#def-__deepcopy__)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def __eq__](#def-__eq__)
- [def add_logging](#def-add_logging)
- [def inner](#def-inner)
- [def add_two](#def-add_two)
- [def Concatenate](#def-concatenate)
- [def __getitem__](#def-__getitem__)
- [def TypeGuard](#def-typeguard)
- [def __getitem__](#def-__getitem__)
- [def TypeIs](#def-typeis)
- [def __getitem__](#def-__getitem__)
- [def LiteralString](#def-literalstring)
- [def Self](#def-self)
- [def Never](#def-never)
- [def Required](#def-required)
- [def NotRequired](#def-notrequired)
- [def __getitem__](#def-__getitem__)
- [def ReadOnly](#def-readonly)
- [def __getitem__](#def-__getitem__)
- [def _unpack_args](#def-_unpack_args)
- [def reveal_type](#def-reveal_type)
- [def assert_never](#def-assert_never)
- [def dataclass_transform](#def-dataclass_transform)
- [def override](#def-override)
- [def _check_generic](#def-_check_generic)
- [def _check_generic](#def-_check_generic)
- [def _collect_type_vars](#def-_collect_type_vars)
- [def _collect_parameters](#def-_collect_parameters)
- [def _make_nmtuple](#def-_make_nmtuple)
- [def __new__](#def-__new__)
- [def _namedtuple_mro_entries](#def-_namedtuple_mro_entries)
- [def NamedTuple](#def-namedtuple)
- [def get_original_bases](#def-get_original_bases)
- [def _is_unionable](#def-_is_unionable)
- [def is_protocol](#def-is_protocol)
- [def a](#def-a)
- [def get_protocol_members](#def-get_protocol_members)
</details>

<details><summary><h3><strong>class _AnyMeta</strong></h3></summary>

Special type indicating an unconstrained type.
        - Any is compatible with every type.
        - Any assumed to have all methods.
        - All values assumed to be instances of Any.
        Note that all the above statements are true from the point of view of
        static type checkers. At runtime, Any should not be used with instance
        checks.

<p><strong>Key features</strong></p>

<ul>
<li>Any is compatible with every type.</li>
<li>Any assumed to have all methods.</li>
<li>All values assumed to be instances of Any.</li>
</ul>
<details><summary><h4><strong>def __instancecheck__</strong></h4></summary>

Special type indicating an unconstrained type.
        - Any is compatible with every type.
        - Any assumed to have all methods.
        - All values assumed to be instances of Any.
        Note that all the above statements are true from the point of view of
        static type checkers. At runtime, Any should not be used with instance
        checks.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Special type indicating an unconstrained type.
        - Any is compatible with every type.
        - Any assumed to have all methods.
        - All values assumed to be instances of Any.
        Note that all the above statements are true from the point of view of
        static type checkers. At runtime, Any should not be used with instance
        checks.

</details>

</details>

<details><summary><h3><strong>class Any</strong></h3></summary>

Special type indicating an unconstrained type.
        - Any is compatible with every type.
        - Any assumed to have all methods.
        - All values assumed to be instances of Any.
        Note that all the above statements are true from the point of view of
        static type checkers. At runtime, Any should not be used with instance
        checks.

<p><strong>Key features</strong></p>

<ul>
<li>Any is compatible with every type.</li>
<li>Any assumed to have all methods.</li>
<li>All values assumed to be instances of Any.</li>
</ul>
</details>

<details><summary><h3><strong>class _LiteralGenericAlias</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

<details><summary><h4><strong>def __eq__</strong></h4></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

</details>

<details><summary><h3><strong>class _LiteralForm</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

<details><summary><h4><strong>def __init__</strong></h4></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

</details>

<details><summary><h3><strong>class checks</strong></h3></summary>

return _caller(depth) in {'abc', 'functools', None}

    def _no_init(self, *args, **kwargs):
        if type(self)._is_protocol:
            raise TypeError('Protocols cannot be instantiated')

    def _type_check_issubclass_arg_1(arg):

<details><summary><h4><strong>def _no_init</strong></h4></summary>

Raise TypeError if `arg` is not an instance of `type`
        in `issubclass(arg, <protocol>)`.

        In most cases, this is verified by type.__subclasscheck__.
        Checking it again unnecessarily would slow down issubclass() checks,
        so, we don't perform this check unless we absolutely have to.

        For various error paths, however,
        we want to ensure that *this* error message is shown to the user
        where relevant, rather than a typing.py-specific error message.

</details>

<details><summary><h4><strong>def _type_check_issubclass_arg_1</strong></h4></summary>

Raise TypeError if `arg` is not an instance of `type`
        in `issubclass(arg, <protocol>)`.

        In most cases, this is verified by type.__subclasscheck__.
        Checking it again unnecessarily would slow down issubclass() checks,
        so, we don't perform this check unless we absolutely have to.

        For various error paths, however,
        we want to ensure that *this* error message is shown to the user
        where relevant, rather than a typing.py-specific error message.

</details>

</details>

<details><summary><h3><strong>class SupportsInt</strong></h3></summary>

An ABC with one abstract method __int__.

<details><summary><h4><strong>def __int__</strong></h4></summary>

An ABC with one abstract method __float__.

</details>

<details><summary><h4><strong>def __float__</strong></h4></summary>

An ABC with one abstract method __complex__.

</details>

<details><summary><h4><strong>def __complex__</strong></h4></summary>

An ABC with one abstract method __bytes__.

</details>

<details><summary><h4><strong>def __bytes__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __index__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __abs__</strong></h4></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

</details>

<details><summary><h3><strong>class SupportsFloat</strong></h3></summary>

An ABC with one abstract method __float__.

<details><summary><h4><strong>def __float__</strong></h4></summary>

An ABC with one abstract method __complex__.

</details>

<details><summary><h4><strong>def __complex__</strong></h4></summary>

An ABC with one abstract method __bytes__.

</details>

<details><summary><h4><strong>def __bytes__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __index__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __abs__</strong></h4></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

</details>

<details><summary><h3><strong>class SupportsComplex</strong></h3></summary>

An ABC with one abstract method __complex__.

<details><summary><h4><strong>def __complex__</strong></h4></summary>

An ABC with one abstract method __bytes__.

</details>

<details><summary><h4><strong>def __bytes__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __index__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __abs__</strong></h4></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

</details>

<details><summary><h3><strong>class SupportsBytes</strong></h3></summary>

An ABC with one abstract method __bytes__.

<details><summary><h4><strong>def __bytes__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __index__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __abs__</strong></h4></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

</details>

<details><summary><h3><strong>class SupportsIndex</strong></h3></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

<details><summary><h4><strong>def __index__</strong></h4></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h4><strong>def __abs__</strong></h4></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

</details>

<details><summary><h3><strong>class SupportsAbs</strong></h3></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

<details><summary><h4><strong>def __abs__</strong></h4></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

</details>

<details><summary><h3><strong>class SupportsRound</strong></h3></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

<details><summary><h3><strong>class _TypedDictMeta</strong></h3></summary>

Create new typed dict class object.

            This method is called when TypedDict is subclassed,
            or when TypedDict is instantiated. This way
            TypedDict supports all three syntax forms described in its docstring.
            Subclasses and instances of TypedDict return actual dictionaries.

<details><summary><h4><strong>def __new__</strong></h4></summary>

Create new typed dict class object.

            This method is called when TypedDict is subclassed,
            or when TypedDict is instantiated. This way
            TypedDict supports all three syntax forms described in its docstring.
            Subclasses and instances of TypedDict return actual dictionaries.

</details>

<details><summary><h4><strong>def __subclasscheck__</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def TypedDict</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class object</strong></h3></summary>

for base in bases:
                if type(base) is not _TypedDictMeta and base is not typing.Generic:
                    raise TypeError('cannot inherit from both a TypedDict type '
                                    'and a non-TypedDict base class')

            if any(issubclass(b, typing.Generic) for b in bases):
                generic_base = (typing.Generic,)
            else:
                generic_base = ()

            # typing.py generally doesn't let you inherit from plain Generic, unless
            # the name of the class happens to be "Protocol"
            tp_dict = type.__new__(_TypedDictMeta, "Protocol", (*generic_base, dict), ns)
            tp_dict.__name__ = name
            if tp_dict.__qualname__ == "Protocol":
                tp_dict.__qualname__ = name

            if not hasattr(tp_dict, '__orig_bases__'):
                tp_dict.__orig_bases__ = bases

            annotations = {}
            if "__annotations__" in ns:
                own_annotations = ns["__annotations__"]
            elif "__annotate__" in ns:
                # TODO: Use inspect.VALUE here, and make the annotations lazily evaluated
                own_annotations = ns["__annotate__"](1)
            else:
                own_annotations = {}
            msg = "TypedDict('Name', {f0: t0, f1: t1, ...}); each t must be a type"
            if _TAKES_MODULE:
                own_annotations = {
                    n: typing._type_check(tp, msg, module=tp_dict.__module__)
                    for n, tp in own_annotations.items()
                }
            else:
                own_annotations = {
                    n: typing._type_check(tp, msg)
                    for n, tp in own_annotations.items()
                }
            required_keys = set()
            optional_keys = set()
            readonly_keys = set()
            mutable_keys = set()
            extra_items_type = None

            for base in bases:
                base_dict = base.__dict__

                annotations.update(base_dict.get('__annotations__', {}))
                required_keys.update(base_dict.get('__required_keys__', ()))
                optional_keys.update(base_dict.get('__optional_keys__', ()))
                readonly_keys.update(base_dict.get('__readonly_keys__', ()))
                mutable_keys.update(base_dict.get('__mutable_keys__', ()))
                base_extra_items_type = base_dict.get('__extra_items__', None)
                if base_extra_items_type is not None:
                    extra_items_type = base_extra_items_type

            if closed and extra_items_type is None:
                extra_items_type = Never
            if closed and "__extra_items__" in own_annotations:
                annotation_type = own_annotations.pop("__extra_items__")
                qualifiers = set(_get_typeddict_qualifiers(annotation_type))
                if Required in qualifiers:
                    raise TypeError(
                        "Special key __extra_items__ does not support "
                        "Required"
                    )
                if NotRequired in qualifiers:
                    raise TypeError(
                        "Special key __extra_items__ does not support "
                        "NotRequired"
                    )
                extra_items_type = annotation_type

            annotations.update(own_annotations)
            for annotation_key, annotation_type in own_annotations.items():
                qualifiers = set(_get_typeddict_qualifiers(annotation_type))

                if Required in qualifiers:
                    required_keys.add(annotation_key)
                elif NotRequired in qualifiers:
                    optional_keys.add(annotation_key)
                elif total:
                    required_keys.add(annotation_key)
                else:
                    optional_keys.add(annotation_key)
                if ReadOnly in qualifiers:
                    mutable_keys.discard(annotation_key)
                    readonly_keys.add(annotation_key)
                else:
                    mutable_keys.add(annotation_key)
                    readonly_keys.discard(annotation_key)

            tp_dict.__annotations__ = annotations
            tp_dict.__required_keys__ = frozenset(required_keys)
            tp_dict.__optional_keys__ = frozenset(optional_keys)
            tp_dict.__readonly_keys__ = frozenset(readonly_keys)
            tp_dict.__mutable_keys__ = frozenset(mutable_keys)
            if not hasattr(tp_dict, '__total__'):
                tp_dict.__total__ = total
            tp_dict.__closed__ = closed
            tp_dict.__extra_items__ = extra_items_type
            return tp_dict

        __call__ = dict  # static method

        def __subclasscheck__(cls, other):
            # Typed dicts are only for static structural subtyping.
            raise TypeError('TypedDict does not support instance and class checks')

        __instancecheck__ = __subclasscheck__

    _TypedDict = type.__new__(_TypedDictMeta, 'TypedDict', (), {})

    @_ensure_subclassable(lambda bases: (_TypedDict,))
    def TypedDict(typename, fields=_marker, /, *, total=True, closed=False, **kwargs):

<details><summary><h4><strong>def __subclasscheck__</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def TypedDict</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class happens</strong></h3></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

<details><summary><h4><strong>def __subclasscheck__</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def TypedDict</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class checks</strong></h3></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

<details><summary><h4><strong>def TypedDict</strong></h4></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class Point2D</strong></h3></summary>

if fields is _marker or fields is None:
            if fields is _marker:
                deprecated_thing = "Failing to pass a value for the 'fields' parameter"
            else:
                deprecated_thing = "Passing `None` as the 'fields' parameter"

            example = f"`{typename} = TypedDict({typename!r}, {{}})`"
            deprecation_msg = (
                f"{deprecated_thing} is deprecated and will be disallowed in "
                "Python 3.15. To create a TypedDict class with 0 fields "
                "using the functional syntax, pass an empty dictionary, e.g. "
            ) + example + "."
            warnings.warn(deprecation_msg, DeprecationWarning, stacklevel=2)
            if closed is not False and closed is not True:
                kwargs["closed"] = closed
                closed = False
            fields = kwargs
        elif kwargs:
            raise TypeError("TypedDict takes either a dict or keyword arguments,"
                            " but not both")
        if kwargs:
            if sys.version_info >= (3, 13):
                raise TypeError("TypedDict takes no keyword arguments")
            warnings.warn(
                "The kwargs-based syntax for TypedDict definitions is deprecated "
                "in Python 3.11, will be removed in Python 3.13, and may not be "
                "understood by third-party type checkers.",
                DeprecationWarning,
                stacklevel=2,
            )

        ns = {'__annotations__': dict(fields)}
        module = _caller()
        if module is not None:
            # Setting correct module is necessary to make typed dict classes pickleable.
            ns['__module__'] = module

        td = _TypedDictMeta(typename, (), ns, total=total, closed=closed)
        td.__orig_bases__ = (TypedDict,)
        return td

    if hasattr(typing, "_TypedDictMeta"):
        _TYPEDDICT_TYPES = (typing._TypedDictMeta, _TypedDictMeta)
    else:
        _TYPEDDICT_TYPES = (_TypedDictMeta,)

    def is_typeddict(tp):

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class Point2D</strong></h3></summary>

if fields is _marker or fields is None:
            if fields is _marker:
                deprecated_thing = "Failing to pass a value for the 'fields' parameter"
            else:
                deprecated_thing = "Passing `None` as the 'fields' parameter"

            example = f"`{typename} = TypedDict({typename!r}, {{}})`"
            deprecation_msg = (
                f"{deprecated_thing} is deprecated and will be disallowed in "
                "Python 3.15. To create a TypedDict class with 0 fields "
                "using the functional syntax, pass an empty dictionary, e.g. "
            ) + example + "."
            warnings.warn(deprecation_msg, DeprecationWarning, stacklevel=2)
            if closed is not False and closed is not True:
                kwargs["closed"] = closed
                closed = False
            fields = kwargs
        elif kwargs:
            raise TypeError("TypedDict takes either a dict or keyword arguments,"
                            " but not both")
        if kwargs:
            if sys.version_info >= (3, 13):
                raise TypeError("TypedDict takes no keyword arguments")
            warnings.warn(
                "The kwargs-based syntax for TypedDict definitions is deprecated "
                "in Python 3.11, will be removed in Python 3.13, and may not be "
                "understood by third-party type checkers.",
                DeprecationWarning,
                stacklevel=2,
            )

        ns = {'__annotations__': dict(fields)}
        module = _caller()
        if module is not None:
            # Setting correct module is necessary to make typed dict classes pickleable.
            ns['__module__'] = module

        td = _TypedDictMeta(typename, (), ns, total=total, closed=closed)
        td.__orig_bases__ = (TypedDict,)
        return td

    if hasattr(typing, "_TypedDictMeta"):
        _TYPEDDICT_TYPES = (typing._TypedDictMeta, _TypedDictMeta)
    else:
        _TYPEDDICT_TYPES = (_TypedDictMeta,)

    def is_typeddict(tp):

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class body</strong></h3></summary>

if fields is _marker or fields is None:
            if fields is _marker:
                deprecated_thing = "Failing to pass a value for the 'fields' parameter"
            else:
                deprecated_thing = "Passing `None` as the 'fields' parameter"

            example = f"`{typename} = TypedDict({typename!r}, {{}})`"
            deprecation_msg = (
                f"{deprecated_thing} is deprecated and will be disallowed in "
                "Python 3.15. To create a TypedDict class with 0 fields "
                "using the functional syntax, pass an empty dictionary, e.g. "
            ) + example + "."
            warnings.warn(deprecation_msg, DeprecationWarning, stacklevel=2)
            if closed is not False and closed is not True:
                kwargs["closed"] = closed
                closed = False
            fields = kwargs
        elif kwargs:
            raise TypeError("TypedDict takes either a dict or keyword arguments,"
                            " but not both")
        if kwargs:
            if sys.version_info >= (3, 13):
                raise TypeError("TypedDict takes no keyword arguments")
            warnings.warn(
                "The kwargs-based syntax for TypedDict definitions is deprecated "
                "in Python 3.11, will be removed in Python 3.13, and may not be "
                "understood by third-party type checkers.",
                DeprecationWarning,
                stacklevel=2,
            )

        ns = {'__annotations__': dict(fields)}
        module = _caller()
        if module is not None:
            # Setting correct module is necessary to make typed dict classes pickleable.
            ns['__module__'] = module

        td = _TypedDictMeta(typename, (), ns, total=total, closed=closed)
        td.__orig_bases__ = (TypedDict,)
        return td

    if hasattr(typing, "_TypedDictMeta"):
        _TYPEDDICT_TYPES = (typing._TypedDictMeta, _TypedDictMeta)
    else:
        _TYPEDDICT_TYPES = (_TypedDictMeta,)

    def is_typeddict(tp):

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class Point2D</strong></h3></summary>

if fields is _marker or fields is None:
            if fields is _marker:
                deprecated_thing = "Failing to pass a value for the 'fields' parameter"
            else:
                deprecated_thing = "Passing `None` as the 'fields' parameter"

            example = f"`{typename} = TypedDict({typename!r}, {{}})`"
            deprecation_msg = (
                f"{deprecated_thing} is deprecated and will be disallowed in "
                "Python 3.15. To create a TypedDict class with 0 fields "
                "using the functional syntax, pass an empty dictionary, e.g. "
            ) + example + "."
            warnings.warn(deprecation_msg, DeprecationWarning, stacklevel=2)
            if closed is not False and closed is not True:
                kwargs["closed"] = closed
                closed = False
            fields = kwargs
        elif kwargs:
            raise TypeError("TypedDict takes either a dict or keyword arguments,"
                            " but not both")
        if kwargs:
            if sys.version_info >= (3, 13):
                raise TypeError("TypedDict takes no keyword arguments")
            warnings.warn(
                "The kwargs-based syntax for TypedDict definitions is deprecated "
                "in Python 3.11, will be removed in Python 3.13, and may not be "
                "understood by third-party type checkers.",
                DeprecationWarning,
                stacklevel=2,
            )

        ns = {'__annotations__': dict(fields)}
        module = _caller()
        if module is not None:
            # Setting correct module is necessary to make typed dict classes pickleable.
            ns['__module__'] = module

        td = _TypedDictMeta(typename, (), ns, total=total, closed=closed)
        td.__orig_bases__ = (TypedDict,)
        return td

    if hasattr(typing, "_TypedDictMeta"):
        _TYPEDDICT_TYPES = (typing._TypedDictMeta, _TypedDictMeta)
    else:
        _TYPEDDICT_TYPES = (_TypedDictMeta,)

    def is_typeddict(tp):

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class with</strong></h3></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

<details><summary><h4><strong>def is_typeddict</strong></h4></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

</details>

<details><summary><h3><strong>class _AnnotatedAlias</strong></h3></summary>

Runtime representation of an annotated type.

        At its core 'Annotated[t, dec1, dec2, ...]' is an alias for the type 't'
        with extra annotations. The alias behaves like a normal typing alias,
        instantiating is the same as instantiating the underlying type, binding
        it to types is also the same.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h4><strong>def copy_with</strong></h4></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h4><strong>def __reduce__</strong></h4></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h4><strong>def __hash__</strong></h4></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

</details>

<details><summary><h3><strong>class Annotated</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

<p><strong>Key features</strong></p>

<ul>
<li>It's an error to call `Annotated` with less than two arguments.</li>
<li>Nested Annotated are flattened::</li>
<li>Instantiating an annotated type is equivalent to instantiating the</li>
<li>Annotated can be used as a generic type alias::</li>
</ul>
</details>

<details><summary><h3><strong>class NoDefaultTypeMeta</strong></h3></summary>

The type of the NoDefault singleton.

<details><summary><h4><strong>def __setattr__</strong></h4></summary>

The type of the NoDefault singleton.

</details>

</details>

<details><summary><h3><strong>class NoDefaultType</strong></h3></summary>

The type of the NoDefault singleton.

</details>

<details><summary><h3><strong>class _DefaultMixin</strong></h3></summary>

Mixin for TypeVarLike defaults.

</details>

<details><summary><h3><strong>class TypeVar</strong></h3></summary>

Type variable.

</details>

<details><summary><h3><strong>class _Immutable</strong></h3></summary>

Mixin to indicate that object should not be copied.

<details><summary><h4><strong>def __copy__</strong></h4></summary>

The args for a ParamSpec object.

        Given a ParamSpec object P, P.args is an instance of ParamSpecArgs.

        ParamSpecArgs objects have a reference back to their ParamSpec:

        P.args.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h4><strong>def __deepcopy__</strong></h4></summary>

The args for a ParamSpec object.

        Given a ParamSpec object P, P.args is an instance of ParamSpecArgs.

        ParamSpecArgs objects have a reference back to their ParamSpec:

        P.args.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

</details>

<details><summary><h3><strong>class ParamSpecArgs</strong></h3></summary>

The args for a ParamSpec object.

        Given a ParamSpec object P, P.args is an instance of ParamSpecArgs.

        ParamSpecArgs objects have a reference back to their ParamSpec:

        P.args.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

<details><summary><h4><strong>def __init__</strong></h4></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

</details>

<details><summary><h3><strong>class ParamSpecKwargs</strong></h3></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h3><strong>class ParamSpec</strong></h3></summary>

Parameter specification.

</details>

<details><summary><h3><strong>class ParamSpec</strong></h3></summary>

Parameter specification variable.

        Usage::

           P = ParamSpec('P')

        Parameter specification variables exist primarily for the benefit of static
        type checkers.  They are used to forward the parameter types of one
        callable to another callable, a pattern commonly found in higher order
        functions and decorators.  They are only valid when used in ``Concatenate``,
        or s the first argument to ``Callable``. In Python 3.10 and higher,
        they are also supported in user-defined Generics at runtime.
        See class Generic for more information on generic types.  An
        example for annotating a decorator::

           T = TypeVar('T')
           P = ParamSpec('P')

           def add_logging(f: Callable[P, T]) -> Callable[P, T]:

<details><summary><h4><strong>def add_logging</strong></h4></summary>

A type-safe decorator to add logging to a function.

</details>

<details><summary><h4><strong>def inner</strong></h4></summary>

Add two numbers together.

</details>

<details><summary><h4><strong>def add_two</strong></h4></summary>

Add two numbers together.

</details>

</details>

<details><summary><h3><strong>class Generic</strong></h3></summary>

A type-safe decorator to add logging to a function.

<details><summary><h4><strong>def add_logging</strong></h4></summary>

A type-safe decorator to add logging to a function.

</details>

<details><summary><h4><strong>def inner</strong></h4></summary>

Add two numbers together.

</details>

<details><summary><h4><strong>def add_two</strong></h4></summary>

Add two numbers together.

</details>

</details>

<details><summary><h3><strong>class _ConcatenateForm</strong></h3></summary>

Used in conjunction with ``ParamSpec`` and ``Callable`` to represent a
        higher order function which adds, removes or transforms parameters of a
        callable.

        For example::

           Callable[Concatenate[int, P], int]

        See PEP 612 for detailed information.

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Used in conjunction with ``ParamSpec`` and ``Callable`` to represent a
        higher order function which adds, removes or transforms parameters of a
        callable.

        For example::

           Callable[Concatenate[int, P], int]

        See PEP 612 for detailed information.

</details>

</details>

<details><summary><h3><strong>class _TypeGuardForm</strong></h3></summary>

Special typing form used to annotate the return type of a user-defined
        type guard function.  ``TypeGuard`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeGuard`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeGuard[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeGuard`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the type inside ``TypeGuard``.

        For example::

            def is_str(val: Union[str, float]):
                # "isinstance" type guard
                if isinstance(val, str):
                    # Type of ``val`` is narrowed to ``str``
                    ...
                else:
                    # Else, type of ``val`` is narrowed to ``float``.
                    ...

        Strict type narrowing is not enforced -- ``TypeB`` need not be a narrower
        form of ``TypeA`` (it can even be a wider form) and this may lead to
        type-unsafe results.  The main reason is to allow for things like
        narrowing ``List[object]`` to ``List[str]`` even though the latter is not
        a subtype of the former, since ``List`` is invariant.  The responsibility of
        writing type-safe type guards is left to the user.

        ``TypeGuard`` also works with type variables.  For more information, see
        PEP 647 (User-Defined Type Guards).

<p><strong>Key features</strong></p>

<ul>
<li>a technique used by static</li>
<li>``TypeB`` need not be a narrower</li>
</ul>
<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Special typing form used to annotate the return type of a user-defined
        type guard function.  ``TypeGuard`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeGuard`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeGuard[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeGuard`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the type inside ``TypeGuard``.

        For example::

            def is_str(val: Union[str, float]):
                # "isinstance" type guard
                if isinstance(val, str):
                    # Type of ``val`` is narrowed to ``str``
                    ...
                else:
                    # Else, type of ``val`` is narrowed to ``float``.
                    ...

        Strict type narrowing is not enforced -- ``TypeB`` need not be a narrower
        form of ``TypeA`` (it can even be a wider form) and this may lead to
        type-unsafe results.  The main reason is to allow for things like
        narrowing ``List[object]`` to ``List[str]`` even though the latter is not
        a subtype of the former, since ``List`` is invariant.  The responsibility of
        writing type-safe type guards is left to the user.

        ``TypeGuard`` also works with type variables.  For more information, see
        PEP 647 (User-Defined Type Guards).

</details>

</details>

<details><summary><h3><strong>class _TypeIsForm</strong></h3></summary>

Special typing form used to annotate the return type of a user-defined
        type narrower function.  ``TypeIs`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeIs`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeIs[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeIs`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the intersection of the type inside ``TypeGuard`` and the argument's
        previously known type.

        For example::

            def is_awaitable(val: object) -> TypeIs[Awaitable[Any]]:
                return hasattr(val, '__await__')

            def f(val: Union[int, Awaitable[int]]) -> int:
                if is_awaitable(val):
                    assert_type(val, Awaitable[int])
                else:
                    assert_type(val, int)

        ``TypeIs`` also works with type variables.  For more information, see
        PEP 742 (Narrowing types with TypeIs).

<p><strong>Key features</strong></p>

<ul>
<li>a technique used by static</li>
</ul>
<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Special typing form used to annotate the return type of a user-defined
        type narrower function.  ``TypeIs`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeIs`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeIs[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeIs`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the intersection of the type inside ``TypeGuard`` and the argument's
        previously known type.

        For example::

            def is_awaitable(val: object) -> TypeIs[Awaitable[Any]]:
                return hasattr(val, '__await__')

            def f(val: Union[int, Awaitable[int]]) -> int:
                if is_awaitable(val):
                    assert_type(val, Awaitable[int])
                else:
                    assert_type(val, int)

        ``TypeIs`` also works with type variables.  For more information, see
        PEP 742 (Narrowing types with TypeIs).

</details>

</details>

<details><summary><h3><strong>class Movie</strong></h3></summary>

item = typing._type_check(parameters, f'{self._name} accepts only a single type.')
        return typing._GenericAlias(self, (item,))

    @_ExtensionsSpecialForm
    def NotRequired(self, parameters):

<details><summary><h4><strong>def NotRequired</strong></h4></summary>

A special typing construct to mark a key of a TypedDict as
        potentially missing. For example:

            class Movie(TypedDict):
                title: str
                year: NotRequired[int]

            m = Movie(
                title='The Matrix',  # typechecker error if key is omitted
                year=1999,
            )

</details>

</details>

<details><summary><h3><strong>class _RequiredForm</strong></h3></summary>

A special typing construct to mark a key of a total=False TypedDict
        as required. For example:

            class Movie(TypedDict, total=False):
                title: Required[str]
                year: int

            m = Movie(
                title='The Matrix',  # typechecker error if key is omitted
                year=1999,
            )

        There is no runtime checking that a required key is actually provided
        when instantiating a related TypedDict.

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

A special typing construct to mark a key of a total=False TypedDict
        as required. For example:

            class Movie(TypedDict, total=False):
                title: Required[str]
                year: int

            m = Movie(
                title='The Matrix',  # typechecker error if key is omitted
                year=1999,
            )

        There is no runtime checking that a required key is actually provided
        when instantiating a related TypedDict.

</details>

</details>

<details><summary><h3><strong>class Movie</strong></h3></summary>

)
    NotRequired = _RequiredForm(
        'NotRequired',
        doc=

</details>

<details><summary><h3><strong>class _ReadOnlyForm</strong></h3></summary>

A special typing construct to mark a key of a TypedDict as read-only.

        For example:

            class Movie(TypedDict):
                title: ReadOnly[str]
                year: int

            def mutate_movie(m: Movie) -> None:
                m["year"] = 1992  # allowed
                m["title"] = "The Matrix"  # typechecker error

        There is no runtime checking for this propery.

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

A special typing construct to mark a key of a TypedDict as read-only.

        For example:

            class Movie(TypedDict):
                title: ReadOnly[str]
                year: int

            def mutate_movie(m: Movie) -> None:
                m["year"] = 1992  # allowed
                m["title"] = "The Matrix"  # typechecker error

        There is no runtime checking for this propery.

</details>

</details>

<details><summary><h3><strong>class TypeVarTuple</strong></h3></summary>

Type variable tuple.

</details>

<details><summary><h3><strong>class TypeVarTuple</strong></h3></summary>

Type variable tuple.

        Usage::

            Ts = TypeVarTuple('Ts')

        In the same way that a normal type variable is a stand-in for a single
        type such as ``int``, a type variable *tuple* is a stand-in for a *tuple*
        type such as ``Tuple[int, str]``.

        Type variable tuples can be used in ``Generic`` declarations.
        Consider the following example::

            class Array(Generic[*Ts]): ...

        The ``Ts`` type variable tuple here behaves like ``tuple[T1, T2]``,
        where ``T1`` and ``T2`` are type variables. To use these type variables
        as type parameters of ``Array``, we must *unpack* the type variable tuple using
        the star operator: ``*Ts``. The signature of ``Array`` then behaves
        as if we had simply written ``class Array(Generic[T1, T2]): ...``.
        In contrast to ``Generic[T1, T2]``, however, ``Generic[*Shape]`` allows
        us to parameterise the class with an *arbitrary* number of type parameters.

        Type variable tuples can be used anywhere a normal ``TypeVar`` can.
        This includes class definitions, as shown above, as well as function
        signatures and variable annotations::

            class Array(Generic[*Ts]):

                def __init__(self, shape: Tuple[*Ts]):
                    self._shape: Tuple[*Ts] = shape

                def get_shape(self) -> Tuple[*Ts]:
                    return self._shape

            shape = (Height(480), Width(640))
            x: Array[Height, Width] = Array(shape)
            y = abs(x)  # Inferred type is Array[Height, Width]
            z = x + x   #        ...    is Array[Height, Width]
            x.get_shape()  #     ...    is tuple[Height, Width]

</details>

<details><summary><h3><strong>class deprecated</strong></h3></summary>

Indicate that a class, function or overload is deprecated.

        When this decorator is applied to an object, the type checker
        will generate a diagnostic on usage of the deprecated object.

        Usage:

            @deprecated("Use B instead")
            class A:
                pass

            @deprecated("Use g instead")
            def f():
                pass

            @overload
            @deprecated("int support is deprecated")
            def g(x: int) -> int: ...
            @overload
            def g(x: str) -> int: ...

        The warning specified by *category* will be emitted at runtime
        on use of deprecated objects. For functions, that happens on calls;
        for classes, on instantiation and on creation of subclasses.
        If the *category* is ``None``, no warning is emitted at runtime.
        The *stacklevel* determines where the
        warning is emitted. If it is ``1`` (the default), the warning
        is emitted at the direct caller of the deprecated object; if it
        is higher, it is emitted further up the stack.
        Static type checker behavior is not affected by the *category*
        and *stacklevel* arguments.

        The deprecation message passed to the decorator is saved in the
        ``__deprecated__`` attribute on the decorated object.
        If applied to an overload, the decorator
        must be after the ``@overload`` decorator for the attribute to
        exist on the overload as returned by ``get_overloads()``.

        See PEP 702 for details.

</details>

<details><summary><h3><strong>class _NamedTupleMeta</strong></h3></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

<details><summary><h4><strong>def __new__</strong></h4></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

<details><summary><h4><strong>def _namedtuple_mro_entries</strong></h4></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

<details><summary><h4><strong>def NamedTuple</strong></h4></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

</details>

<details><summary><h3><strong>class Buffer</strong></h3></summary>

Base class for classes that implement the buffer protocol.

        The buffer protocol allows Python objects to expose a low-level
        memory buffer interface. Before Python 3.12, it is not possible
        to implement the buffer protocol in pure Python code, or even
        to check whether a class implements the buffer protocol. In
        Python 3.12 and higher, the ``__buffer__`` method allows access
        to the buffer protocol from Python code, and the
        ``collections.abc.Buffer`` ABC allows checking whether a class
        implements the buffer protocol.

        To indicate support for the buffer protocol in earlier versions,
        inherit from this ABC, either in a stub file or at runtime,
        or use ABC registration. This ABC provides no methods, because
        there is no Python-accessible methods shared by pre-3.12 buffer
        classes. It is useful primarily for static checks.

</details>

<details><summary><h3><strong>class NewType</strong></h3></summary>

NewType creates simple unique types with almost zero
        runtime overhead. NewType(name, tp) is considered a subtype of tp
        by static type checkers. At runtime, NewType(name, tp) returns
        a dummy callable that simply returns its argument. Usage::
            UserId = NewType('UserId', int)
            def name_by_id(user_id: UserId) -> str:
                ...
            UserId('user')          # Fails type check
            name_by_id(42)          # Fails type check
            name_by_id(UserId(42))  # OK
            num = UserId(5) + 1     # type: int

</details>

<details><summary><h3><strong>class TypeAliasType</strong></h3></summary>

Create named, parameterized type aliases.

        This provides a backport of the new `type` statement in Python 3.12:

            type ListOrSet[T] = list[T] | set[T]

        is equivalent to:

            T = TypeVar("T")
            ListOrSet = TypeAliasType("ListOrSet", list[T] | set[T], type_params=(T,))

        The name ListOrSet can then be used as an alias for the type it refers to.

        The type_params argument should contain all the type parameters used
        in the value of the type alias. If the alias is not generic, this
        argument is omitted.

        Static type checkers should only support type aliases declared using
        TypeAliasType that follow these rules:

        - The first argument (the name) must be a string literal.
        - The TypeAliasType instance must be immediately assigned to a variable
          of the same name. (For example, 'X = TypeAliasType("Y", int)' is invalid,
          as is 'X, Y = TypeAliasType("X", int), TypeAliasType("Y", int)').

<p><strong>Key features</strong></p>

<ul>
<li>The first argument (the name) must be a string literal.</li>
<li>The TypeAliasType instance must be immediately assigned to a variable</li>
</ul>
</details>

<details><summary><h3><strong>class P</strong></h3></summary>

return (
            isinstance(tp, type)
            and getattr(tp, '_is_protocol', False)
            and tp is not Protocol
            and tp is not typing.Protocol
        )

    def get_protocol_members(tp: type, /) -> typing.FrozenSet[str]:

<details><summary><h4><strong>def a</strong></h4></summary>

return (
            isinstance(tp, type)
            and getattr(tp, '_is_protocol', False)
            and tp is not Protocol
            and tp is not typing.Protocol
        )

    def get_protocol_members(tp: type, /) -> typing.FrozenSet[str]:

</details>

<details><summary><h4><strong>def get_protocol_members</strong></h4></summary>

Return the set of members defined in a Protocol.

        Example::

            >>> from typing_extensions import Protocol, get_protocol_members
            >>> class P(Protocol):
            ...     def a(self) -> str: ...
            ...     b: int
            >>> get_protocol_members(P)
            frozenset({'a', 'b'})

        Raise a TypeError for arguments that are not Protocols.

</details>

</details>

<details><summary><h3><strong>class Doc</strong></h3></summary>

Define the documentation of a type annotation using ``Annotated``, to be
         used in class attributes, function and method parameters, return values,
         and variables.

        The value should be a positional-only string literal to allow static tools
        like editors and documentation generators to use it.

        This complements docstrings.

        The string value passed is available in the attribute ``documentation``.

        Example::

            >>> from typing_extensions import Annotated, Doc
            >>> def hi(to: Annotated[str, Doc("Who to say hi to")]) -> None: ...

</details>

<details><summary><h3><strong>def __instancecheck__(self, obj)</strong></h3></summary>

Special type indicating an unconstrained type.
        - Any is compatible with every type.
        - Any assumed to have all methods.
        - All values assumed to be instances of Any.
        Note that all the above statements are true from the point of view of
        static type checkers. At runtime, Any should not be used with instance
        checks.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Special type indicating an unconstrained type.
        - Any is compatible with every type.
        - Any assumed to have all methods.
        - All values assumed to be instances of Any.
        Note that all the above statements are true from the point of view of
        static type checkers. At runtime, Any should not be used with instance
        checks.

</details>

<details><summary><h3><strong>def final(f)</strong></h3></summary>

This decorator can be used to indicate to type checkers that
        the decorated method cannot be overridden, and decorated class
        cannot be subclassed. For example:

            class Base:
                @final
                def done(self) -> None:
                    ...
            class Sub(Base):
                def done(self) -> None:  # Error reported by type checker
                    ...
            @final
            class Leaf:
                ...
            class Other(Leaf):  # Error reported by type checker
                ...

        There is no runtime checking of these properties. The decorator
        sets the ``__final__`` attribute to ``True`` on the decorated object
        to allow runtime introspection.

</details>

<details><summary><h3><strong>def _flatten_literal_params(parameters)</strong></h3></summary>

An internal helper for Literal creation: flatten Literals among parameters

</details>

<details><summary><h3><strong>def _value_and_type_iter(params)</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h3><strong>def __eq__(self, other)</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h3><strong>def __hash__(self)</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h3><strong>def __init__(self, doc: str)</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h3><strong>def __getitem__(self, parameters)</strong></h3></summary>

\
                           A type that can be used to indicate to type checkers
                           that the corresponding value has a value literally equivalent
                           to the provided parameter. For example:

                               var: Literal[4] = 4

                           The type checker understands that 'var' is literally equal to
                           the value 4 and no other value.

                           Literal[...] cannot be subclassed. There is no runtime
                           checking verifying that the parameter is actually a value
                           instead of a type.

</details>

<details><summary><h3><strong>def overload(func)</strong></h3></summary>

Decorator for overloaded functions/methods.

        In a stub file, place two or more stub definitions for the same
        function in a row, each decorated with @overload.  For example:

        @overload
        def utf8(value: None) -> None: ...
        @overload
        def utf8(value: bytes) -> bytes: ...
        @overload
        def utf8(value: str) -> bytes: ...

        In a non-stub file (i.e. a regular .py file), do the same but
        follow it with an implementation.  The implementation should *not*
        be decorated with @overload.  For example:

        @overload
        def utf8(value: None) -> None: ...
        @overload
        def utf8(value: bytes) -> bytes: ...
        @overload
        def utf8(value: str) -> bytes: ...
        def utf8(value):
            # implementation goes here

        The overloads for a function can be retrieved at runtime using the
        get_overloads() function.

</details>

<details><summary><h3><strong>def utf8(value: None)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def utf8(value: bytes)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def utf8(value: str)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def utf8(value: None)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def utf8(value: bytes)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def utf8(value: str)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def utf8(value)</strong></h3></summary>

# classmethod and staticmethod
        f = getattr(func, "__func__", func)
        try:
            _overload_registry[f.__module__][f.__qualname__][
                f.__code__.co_firstlineno
            ] = func
        except AttributeError:
            # Not a normal function; ignore.
            pass
        return _overload_dummy

    def get_overloads(func):

</details>

<details><summary><h3><strong>def get_overloads(func)</strong></h3></summary>

Return all defined overloads for *func* as a sequence.

</details>

<details><summary><h3><strong>def clear_overloads()</strong></h3></summary>

Clear all overloads in the registry.

</details>

<details><summary><h3><strong>def _allow_reckless_class_checks(depth=3)</strong></h3></summary>

Allow instance and class checks for special stdlib modules.
        The abc and functools modules indiscriminately call isinstance() and
        issubclass() on the whole MRO of a user class, which may contain protocols.

</details>

<details><summary><h3><strong>def _no_init(self, *args, **kwargs)</strong></h3></summary>

Raise TypeError if `arg` is not an instance of `type`
        in `issubclass(arg, <protocol>)`.

        In most cases, this is verified by type.__subclasscheck__.
        Checking it again unnecessarily would slow down issubclass() checks,
        so, we don't perform this check unless we absolutely have to.

        For various error paths, however,
        we want to ensure that *this* error message is shown to the user
        where relevant, rather than a typing.py-specific error message.

</details>

<details><summary><h3><strong>def _type_check_issubclass_arg_1(arg)</strong></h3></summary>

Raise TypeError if `arg` is not an instance of `type`
        in `issubclass(arg, <protocol>)`.

        In most cases, this is verified by type.__subclasscheck__.
        Checking it again unnecessarily would slow down issubclass() checks,
        so, we don't perform this check unless we absolutely have to.

        For various error paths, however,
        we want to ensure that *this* error message is shown to the user
        where relevant, rather than a typing.py-specific error message.

</details>

<details><summary><h3><strong>def runtime_checkable(cls)</strong></h3></summary>

Mark a protocol class as a runtime protocol.

        Such protocol can be used with isinstance() and issubclass().
        Raise TypeError if applied to a non-protocol class.
        This allows a simple-minded structural check very similar to
        one trick ponies in collections.abc such as Iterable.

        For example::

            @runtime_checkable
            class Closable(Protocol):
                def close(self): ...

            assert isinstance(open('/some/file'), Closable)

        Warning: this will check only the presence of the required methods,
        not their type signatures!

</details>

<details><summary><h3><strong>def __int__(self)</strong></h3></summary>

An ABC with one abstract method __float__.

</details>

<details><summary><h3><strong>def __float__(self)</strong></h3></summary>

An ABC with one abstract method __complex__.

</details>

<details><summary><h3><strong>def __complex__(self)</strong></h3></summary>

An ABC with one abstract method __bytes__.

</details>

<details><summary><h3><strong>def __bytes__(self)</strong></h3></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h3><strong>def __index__(self)</strong></h3></summary>

An ABC with one abstract method __abs__ that is covariant in its return type.

</details>

<details><summary><h3><strong>def __abs__(self)</strong></h3></summary>

An ABC with one abstract method __round__ that is covariant in its return type.

</details>

<details><summary><h3><strong>def _get_typeddict_qualifiers(annotation_type)</strong></h3></summary>

Create new typed dict class object.

            This method is called when TypedDict is subclassed,
            or when TypedDict is instantiated. This way
            TypedDict supports all three syntax forms described in its docstring.
            Subclasses and instances of TypedDict return actual dictionaries.

</details>

<details><summary><h3><strong>def __new__(cls, name, bases, ns, *, total=True, closed=False)</strong></h3></summary>

Create new typed dict class object.

            This method is called when TypedDict is subclassed,
            or when TypedDict is instantiated. This way
            TypedDict supports all three syntax forms described in its docstring.
            Subclasses and instances of TypedDict return actual dictionaries.

</details>

<details><summary><h3><strong>def __subclasscheck__(cls, other)</strong></h3></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h3><strong>def TypedDict(typename, fields=_marker, /, *, total=True, closed=False, **kwargs)</strong></h3></summary>

A simple typed namespace. At runtime it is equivalent to a plain dict.

        TypedDict creates a dictionary type such that a type checker will expect all
        instances to have a certain set of keys, where each key is
        associated with a value of a consistent type. This expectation
        is not checked at runtime.

        Usage::

            class Point2D(TypedDict):
                x: int
                y: int
                label: str

            a: Point2D = {'x': 1, 'y': 2, 'label': 'good'}  # OK
            b: Point2D = {'z': 3, 'label': 'bad'}           # Fails type check

            assert Point2D(x=1, y=2, label='first') == dict(x=1, y=2, label='first')

        The type info can be accessed via the Point2D.__annotations__ dict, and
        the Point2D.__required_keys__ and Point2D.__optional_keys__ frozensets.
        TypedDict supports an additional equivalent form::

            Point2D = TypedDict('Point2D', {'x': int, 'y': int, 'label': str})

        By default, all keys must be present in a TypedDict. It is possible
        to override this by specifying totality::

            class Point2D(TypedDict, total=False):
                x: int
                y: int

        This means that a Point2D TypedDict can have any of the keys omitted. A type
        checker is only expected to support a literal False or True as the value of
        the total argument. True is the default, and makes all items defined in the
        class body be required.

        The Required and NotRequired special forms can also be used to mark
        individual keys as being required or not required::

            class Point2D(TypedDict):
                x: int  # the "x" key must always be present (Required is the default)
                y: NotRequired[int]  # the "y" key can be omitted

        See PEP 655 for more details on Required and NotRequired.

</details>

<details><summary><h3><strong>def is_typeddict(tp)</strong></h3></summary>

Check if an annotation is a TypedDict class

        For example::
            class Film(TypedDict):
                title: str
                year: int

            is_typeddict(Film)  # => True
            is_typeddict(Union[list, str])  # => False

</details>

<details><summary><h3><strong>def assert_type(val, typ, /)</strong></h3></summary>

Assert (to the type checker) that the value is of the given type.

        When the type checker encounters a call to assert_type(), it
        emits an error if the value is not of the specified type::

            def greet(name: str) -> None:
                assert_type(name, str)  # ok
                assert_type(name, int)  # type checker error

        At runtime this returns the first argument unchanged and otherwise
        does nothing.

</details>

<details><summary><h3><strong>def _strip_extras(t)</strong></h3></summary>

Strips Annotated, Required and NotRequired from a given type.

</details>

<details><summary><h3><strong>def get_type_hints(obj, globalns=None, localns=None, include_extras=False)</strong></h3></summary>

Return type hints for an object.

        This is often the same as obj.__annotations__, but it handles
        forward references encoded as string literals, adds Optional[t] if a
        default value equal to None is set and recursively replaces all
        'Annotated[T, ...]', 'Required[T]' or 'NotRequired[T]' with 'T'
        (unless 'include_extras=True').

        The argument may be a module, class, method, or function. The annotations
        are returned as a dictionary. For classes, annotations include also
        inherited members.

        TypeError is raised if the argument is not of a type that can contain
        annotations, and an empty dictionary is returned if no annotations are
        present.

        BEWARE -- the behavior of globalns and localns is counterintuitive
        (unless you are familiar with how eval() and exec() work).  The
        search order is locals first, then globals.

        - If no dict arguments are passed, an attempt is made to use the
          globals from obj (or the respective module's globals for classes),
          and these are also used as the locals.  If the object does not appear
          to have globals, an empty dictionary is used.

        - If one dict argument is passed, it is used for both globals and
          locals.

        - If two dict arguments are passed, they specify globals and
          locals, respectively.

</details>

<details><summary><h3><strong>def __init__(self, origin, metadata)</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h3><strong>def copy_with(self, params)</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h3><strong>def __reduce__(self)</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h3><strong>def __eq__(self, other)</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h3><strong>def __hash__(self)</strong></h3></summary>

Add context specific metadata to a type.

        Example: Annotated[int, runtime_check.Unsigned] indicates to the
        hypothetical runtime_check module that this type is an unsigned int.
        Every other consumer of this type can ignore this metadata and treat
        this type as int.

        The first argument to Annotated must be a valid type (and will be in
        the __origin__ field), the remaining arguments are kept as a tuple in
        the __extra__ field.

        Details:

        - It's an error to call `Annotated` with less than two arguments.
        - Nested Annotated are flattened::

            Annotated[Annotated[T, Ann1, Ann2], Ann3] == Annotated[T, Ann1, Ann2, Ann3]

        - Instantiating an annotated type is equivalent to instantiating the
        underlying type::

            Annotated[C, Ann1](5) == C(5)

        - Annotated can be used as a generic type alias::

            Optimized = Annotated[T, runtime.Optimize()]
            Optimized[int] == Annotated[int, runtime.Optimize()]

            OptimizedList = Annotated[List[T], runtime.Optimize()]
            OptimizedList[int] == Annotated[List[int], runtime.Optimize()]

</details>

<details><summary><h3><strong>def get_origin(tp)</strong></h3></summary>

Get the unsubscripted version of a type.

        This supports generic types, Callable, Tuple, Union, Literal, Final, ClassVar
        and Annotated. Return None for unsupported types.

<p><strong>Usage example</strong></p>

<pre><code>
:
get_origin(Literal[42]) is Literal
get_origin(int) is None
get_origin(ClassVar[int]) is ClassVar
get_origin(Generic) is Generic
get_origin(Generic[T]) is Generic
get_origin(Union[T, int]) is Union
get_origin(List[Tuple[T, T]][int]) == list
get_origin(P.args) is P
</code></pre>
</details>

<details><summary><h3><strong>def get_args(tp)</strong></h3></summary>

Get type arguments with all substitutions performed.

        For unions, basic simplifications used by Union constructor are performed.

<p><strong>Usage example</strong></p>

<pre><code>
:
get_args(Dict[str, int]) == (str, int)
get_args(int) == ()
get_args(Union[int, Union[T, int], str][int]) == (int, str)
get_args(Union[int, Tuple[T, int]][str]) == (int, Tuple[str, int])
get_args(Callable[[], T][int]) == ([], int)
</code></pre>
</details>

<details><summary><h3><strong>def TypeAlias(self, parameters)</strong></h3></summary>

Special marker indicating that an assignment should
        be recognized as a proper type alias definition by type
        checkers.

        For example::

            Predicate: TypeAlias = Callable[..., bool]

        It's invalid when used anywhere except as in the example above.

</details>

<details><summary><h3><strong>def __setattr__(cls, attr, value)</strong></h3></summary>

The type of the NoDefault singleton.

</details>

<details><summary><h3><strong>def __copy__(self)</strong></h3></summary>

The args for a ParamSpec object.

        Given a ParamSpec object P, P.args is an instance of ParamSpecArgs.

        ParamSpecArgs objects have a reference back to their ParamSpec:

        P.args.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h3><strong>def __deepcopy__(self, memo)</strong></h3></summary>

The args for a ParamSpec object.

        Given a ParamSpec object P, P.args is an instance of ParamSpecArgs.

        ParamSpecArgs objects have a reference back to their ParamSpec:

        P.args.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h3><strong>def __init__(self, origin)</strong></h3></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h3><strong>def __eq__(self, other)</strong></h3></summary>

The kwargs for a ParamSpec object.

        Given a ParamSpec object P, P.kwargs is an instance of ParamSpecKwargs.

        ParamSpecKwargs objects have a reference back to their ParamSpec:

        P.kwargs.__origin__ is P

        This type is meant for runtime introspection and has no special meaning to
        static type checkers.

</details>

<details><summary><h3><strong>def add_logging(f: Callable[P, T])</strong></h3></summary>

A type-safe decorator to add logging to a function.

</details>

<details><summary><h3><strong>def inner(*args: P.args, **kwargs: P.kwargs)</strong></h3></summary>

Add two numbers together.

</details>

<details><summary><h3><strong>def add_two(x: float, y: float)</strong></h3></summary>

Add two numbers together.

</details>

<details><summary><h3><strong>def Concatenate(self, parameters)</strong></h3></summary>

Used in conjunction with ``ParamSpec`` and ``Callable`` to represent a
        higher order function which adds, removes or transforms parameters of a
        callable.

        For example::

           Callable[Concatenate[int, P], int]

        See PEP 612 for detailed information.

</details>

<details><summary><h3><strong>def __getitem__(self, parameters)</strong></h3></summary>

Used in conjunction with ``ParamSpec`` and ``Callable`` to represent a
        higher order function which adds, removes or transforms parameters of a
        callable.

        For example::

           Callable[Concatenate[int, P], int]

        See PEP 612 for detailed information.

</details>

<details><summary><h3><strong>def TypeGuard(self, parameters)</strong></h3></summary>

Special typing form used to annotate the return type of a user-defined
        type guard function.  ``TypeGuard`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeGuard`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeGuard[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeGuard`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the type inside ``TypeGuard``.

        For example::

            def is_str(val: Union[str, float]):
                # "isinstance" type guard
                if isinstance(val, str):
                    # Type of ``val`` is narrowed to ``str``
                    ...
                else:
                    # Else, type of ``val`` is narrowed to ``float``.
                    ...

        Strict type narrowing is not enforced -- ``TypeB`` need not be a narrower
        form of ``TypeA`` (it can even be a wider form) and this may lead to
        type-unsafe results.  The main reason is to allow for things like
        narrowing ``List[object]`` to ``List[str]`` even though the latter is not
        a subtype of the former, since ``List`` is invariant.  The responsibility of
        writing type-safe type guards is left to the user.

        ``TypeGuard`` also works with type variables.  For more information, see
        PEP 647 (User-Defined Type Guards).

</details>

<details><summary><h3><strong>def __getitem__(self, parameters)</strong></h3></summary>

Special typing form used to annotate the return type of a user-defined
        type guard function.  ``TypeGuard`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeGuard`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeGuard[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeGuard`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the type inside ``TypeGuard``.

        For example::

            def is_str(val: Union[str, float]):
                # "isinstance" type guard
                if isinstance(val, str):
                    # Type of ``val`` is narrowed to ``str``
                    ...
                else:
                    # Else, type of ``val`` is narrowed to ``float``.
                    ...

        Strict type narrowing is not enforced -- ``TypeB`` need not be a narrower
        form of ``TypeA`` (it can even be a wider form) and this may lead to
        type-unsafe results.  The main reason is to allow for things like
        narrowing ``List[object]`` to ``List[str]`` even though the latter is not
        a subtype of the former, since ``List`` is invariant.  The responsibility of
        writing type-safe type guards is left to the user.

        ``TypeGuard`` also works with type variables.  For more information, see
        PEP 647 (User-Defined Type Guards).

</details>

<details><summary><h3><strong>def TypeIs(self, parameters)</strong></h3></summary>

Special typing form used to annotate the return type of a user-defined
        type narrower function.  ``TypeIs`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeIs`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeIs[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeIs`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the intersection of the type inside ``TypeGuard`` and the argument's
        previously known type.

        For example::

            def is_awaitable(val: object) -> TypeIs[Awaitable[Any]]:
                return hasattr(val, '__await__')

            def f(val: Union[int, Awaitable[int]]) -> int:
                if is_awaitable(val):
                    assert_type(val, Awaitable[int])
                else:
                    assert_type(val, int)

        ``TypeIs`` also works with type variables.  For more information, see
        PEP 742 (Narrowing types with TypeIs).

</details>

<details><summary><h3><strong>def __getitem__(self, parameters)</strong></h3></summary>

Special typing form used to annotate the return type of a user-defined
        type narrower function.  ``TypeIs`` only accepts a single type argument.
        At runtime, functions marked this way should return a boolean.

        ``TypeIs`` aims to benefit *type narrowing* -- a technique used by static
        type checkers to determine a more precise type of an expression within a
        program's code flow.  Usually type narrowing is done by analyzing
        conditional code flow and applying the narrowing to a block of code.  The
        conditional expression here is sometimes referred to as a "type guard".

        Sometimes it would be convenient to use a user-defined boolean function
        as a type guard.  Such a function should use ``TypeIs[...]`` as its
        return type to alert static type checkers to this intention.

        Using  ``-> TypeIs`` tells the static type checker that for a given
        function:

        1. The return value is a boolean.
        2. If the return value is ``True``, the type of its argument
        is the intersection of the type inside ``TypeGuard`` and the argument's
        previously known type.

        For example::

            def is_awaitable(val: object) -> TypeIs[Awaitable[Any]]:
                return hasattr(val, '__await__')

            def f(val: Union[int, Awaitable[int]]) -> int:
                if is_awaitable(val):
                    assert_type(val, Awaitable[int])
                else:
                    assert_type(val, int)

        ``TypeIs`` also works with type variables.  For more information, see
        PEP 742 (Narrowing types with TypeIs).

</details>

<details><summary><h3><strong>def LiteralString(self, params)</strong></h3></summary>

Represents an arbitrary literal string.

        Example::

          from typing_extensions import LiteralString

          def query(sql: LiteralString) -> ...:
              ...

          query("SELECT * FROM table")  # ok
          query(f"SELECT * FROM {input()}")  # not ok

        See PEP 675 for details.

</details>

<details><summary><h3><strong>def Self(self, params)</strong></h3></summary>

Used to spell the type of "self" in classes.

        Example::

          from typing import Self

          class ReturnsSelf:
              def parse(self, data: bytes) -> Self:
                  ...
                  return self

</details>

<details><summary><h3><strong>def Never(self, params)</strong></h3></summary>

The bottom type, a type that has no members.

        This can be used to define a function that should never be
        called, or a function that never returns::

            from typing_extensions import Never

            def never_call_me(arg: Never) -> None:
                pass

            def int_or_str(arg: int | str) -> None:
                never_call_me(arg)  # type checker error
                match arg:
                    case int():
                        print("It's an int")
                    case str():
                        print("It's a str")
                    case _:
                        never_call_me(arg)  # ok, arg is of type Never

</details>

<details><summary><h3><strong>def Required(self, parameters)</strong></h3></summary>

A special typing construct to mark a key of a total=False TypedDict
        as required. For example:

            class Movie(TypedDict, total=False):
                title: Required[str]
                year: int

            m = Movie(
                title='The Matrix',  # typechecker error if key is omitted
                year=1999,
            )

        There is no runtime checking that a required key is actually provided
        when instantiating a related TypedDict.

</details>

<details><summary><h3><strong>def NotRequired(self, parameters)</strong></h3></summary>

A special typing construct to mark a key of a TypedDict as
        potentially missing. For example:

            class Movie(TypedDict):
                title: str
                year: NotRequired[int]

            m = Movie(
                title='The Matrix',  # typechecker error if key is omitted
                year=1999,
            )

</details>

<details><summary><h3><strong>def __getitem__(self, parameters)</strong></h3></summary>

A special typing construct to mark a key of a total=False TypedDict
        as required. For example:

            class Movie(TypedDict, total=False):
                title: Required[str]
                year: int

            m = Movie(
                title='The Matrix',  # typechecker error if key is omitted
                year=1999,
            )

        There is no runtime checking that a required key is actually provided
        when instantiating a related TypedDict.

</details>

<details><summary><h3><strong>def ReadOnly(self, parameters)</strong></h3></summary>

A special typing construct to mark an item of a TypedDict as read-only.

        For example:

            class Movie(TypedDict):
                title: ReadOnly[str]
                year: int

            def mutate_movie(m: Movie) -> None:
                m["year"] = 1992  # allowed
                m["title"] = "The Matrix"  # typechecker error

        There is no runtime checking for this property.

</details>

<details><summary><h3><strong>def __getitem__(self, parameters)</strong></h3></summary>

A special typing construct to mark a key of a TypedDict as read-only.

        For example:

            class Movie(TypedDict):
                title: ReadOnly[str]
                year: int

            def mutate_movie(m: Movie) -> None:
                m["year"] = 1992  # allowed
                m["title"] = "The Matrix"  # typechecker error

        There is no runtime checking for this propery.

</details>

<details><summary><h3><strong>def _unpack_args(*args)</strong></h3></summary>

Type variable tuple.

</details>

<details><summary><h3><strong>def reveal_type(obj: T, /)</strong></h3></summary>

Reveal the inferred type of a variable.

        When a static type checker encounters a call to ``reveal_type()``,
        it will emit the inferred type of the argument::

            x: int = 1
            reveal_type(x)

        Running a static type checker (e.g., ``mypy``) on this example
        will produce output similar to 'Revealed type is "builtins.int"'.

        At runtime, the function prints the runtime type of the
        argument and returns it unchanged.

</details>

<details><summary><h3><strong>def assert_never(arg: Never, /)</strong></h3></summary>

Assert to the type checker that a line of code is unreachable.

        Example::

            def int_or_str(arg: int | str) -> None:
                match arg:
                    case int():
                        print("It's an int")
                    case str():
                        print("It's a str")
                    case _:
                        assert_never(arg)

        If a type checker finds that a call to assert_never() is
        reachable, it will emit an error.

        At runtime, this throws an exception when called.

</details>

<details><summary><h3><strong>def create_model(cls: type[_T])</strong></h3></summary>

Decorator that marks a function, class, or metaclass as providing
        dataclass-like behavior.

        Example:

            from typing_extensions import dataclass_transform

            _T = TypeVar("_T")

            # Used on a decorator function
            @dataclass_transform()
            def create_model(cls: type[_T]) -> type[_T]:
                ...
                return cls

            @create_model
            class CustomerModel:
                id: int
                name: str

            # Used on a base class
            @dataclass_transform()
            class ModelBase: ...

            class CustomerModel(ModelBase):
                id: int
                name: str

            # Used on a metaclass
            @dataclass_transform()
            class ModelMeta(type): ...

            class ModelBase(metaclass=ModelMeta): ...

            class CustomerModel(ModelBase):
                id: int
                name: str

        Each of the ``CustomerModel`` classes defined in this example will now
        behave similarly to a dataclass created with the ``@dataclasses.dataclass``
        decorator. For example, the type checker will synthesize an ``__init__``
        method.

        The arguments to this decorator can be used to customize this behavior:
        - ``eq_default`` indicates whether the ``eq`` parameter is assumed to be
          True or False if it is omitted by the caller.
        - ``order_default`` indicates whether the ``order`` parameter is
          assumed to be True or False if it is omitted by the caller.
        - ``kw_only_default`` indicates whether the ``kw_only`` parameter is
          assumed to be True or False if it is omitted by the caller.
        - ``frozen_default`` indicates whether the ``frozen`` parameter is
          assumed to be True or False if it is omitted by the caller.
        - ``field_specifiers`` specifies a static list of supported classes
          or functions that describe fields, similar to ``dataclasses.field()``.

        At runtime, this decorator records its arguments in the
        ``__dataclass_transform__`` attribute on the decorated object.

        See PEP 681 for details.

</details>

<details><summary><h3><strong>def override(arg: _F, /)</strong></h3></summary>

Indicate that a method is intended to override a method in a base class.

        Usage:

            class Base:
                def method(self) -> None:
                    pass

            class Child(Base):
                @override
                def method(self) -> None:
                    super().method()

        When this decorator is applied to a method, the type checker will
        validate that it overrides a method with the same name on a base class.
        This helps prevent bugs that may occur when a base class is changed
        without an equivalent change to a child class.

        There is no runtime checking of these properties. The decorator
        sets the ``__override__`` attribute to ``True`` on the decorated object
        to allow runtime introspection.

        See PEP 698 for details.

</details>

<details><summary><h3><strong>def _check_generic(cls, parameters, elen=_marker)</strong></h3></summary>

Check correct count for parameters of a generic cls (internal helper).

        This gives a nice error message in case of count mismatch.

</details>

<details><summary><h3><strong>def _check_generic(cls, parameters, elen)</strong></h3></summary>

Check correct count for parameters of a generic cls (internal helper).

        This gives a nice error message in case of count mismatch.

</details>

<details><summary><h3><strong>def _collect_type_vars(types, typevar_types=None)</strong></h3></summary>

Collect all type variable contained in types in order of
        first appearance (lexicographic order). For example::

            _collect_type_vars((T, List[S, T])) == (T, S)

</details>

<details><summary><h3><strong>def _collect_parameters(args)</strong></h3></summary>

Collect all type variables and parameter specifications in args
        in order of first appearance (lexicographic order).

        For example::

            assert _collect_parameters((T, Callable[P, T])) == (T, P)

</details>

<details><summary><h3><strong>def _make_nmtuple(name, types, module, defaults=()</strong></h3></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

<details><summary><h3><strong>def __new__(cls, typename, bases, ns)</strong></h3></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

<details><summary><h3><strong>def _namedtuple_mro_entries(bases)</strong></h3></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

<details><summary><h3><strong>def NamedTuple(typename, fields=_marker, /, **kwargs)</strong></h3></summary>

Typed version of namedtuple.

        Usage::

            class Employee(NamedTuple):
                name: str
                id: int

        This is equivalent to::

            Employee = collections.namedtuple('Employee', ['name', 'id'])

        The resulting class has an extra __annotations__ attribute, giving a
        dict that maps field names to types.  (The field names are also in
        the _fields attribute, which is part of the namedtuple API.)
        An alternative equivalent functional syntax is also accepted::

            Employee = NamedTuple('Employee', [('name', str), ('id', int)])

</details>

<details><summary><h3><strong>def get_original_bases(cls, /)</strong></h3></summary>

Return the class's "original" bases prior to modification by `__mro_entries__`.

<p><strong>Usage example</strong></p>

<pre><code>
:
from typing import TypeVar, Generic
from typing_extensions import NamedTuple, TypedDict
T = TypeVar("T")
class Foo(Generic[T]): ...
class Bar(Foo[int], float): ...
class Baz(list[str]): ...
Eggs = NamedTuple("Eggs", [("a", int), ("b", str)])
Spam = TypedDict("Spam", {"a": int, "b": str})
assert get_original_bases(Bar) == (Foo[int], float)
assert get_original_bases(Baz) == (list[str],)
assert get_original_bases(Eggs) == (NamedTuple,)
assert get_original_bases(Spam) == (TypedDict,)
assert get_original_bases(int) == (object,)
</code></pre>
</details>

<details><summary><h3><strong>def _is_unionable(obj)</strong></h3></summary>

Corresponds to is_unionable() in unionobject.c in CPython.

</details>

<details><summary><h3><strong>def is_protocol(tp: type, /)</strong></h3></summary>

Return True if the given type is a Protocol.

        Example::

            >>> from typing_extensions import Protocol, is_protocol
            >>> class P(Protocol):
            ...     def a(self) -> str: ...
            ...     b: int
            >>> is_protocol(P)
            True
            >>> is_protocol(int)
            False

</details>

<details><summary><h3><strong>def a(self)</strong></h3></summary>

return (
            isinstance(tp, type)
            and getattr(tp, '_is_protocol', False)
            and tp is not Protocol
            and tp is not typing.Protocol
        )

    def get_protocol_members(tp: type, /) -> typing.FrozenSet[str]:

</details>

<details><summary><h3><strong>def get_protocol_members(tp: type, /)</strong></h3></summary>

Return the set of members defined in a Protocol.

        Example::

            >>> from typing_extensions import Protocol, get_protocol_members
            >>> class P(Protocol):
            ...     def a(self) -> str: ...
            ...     b: int
            >>> get_protocol_members(P)
            frozenset({'a', 'b'})

        Raise a TypeError for arguments that are not Protocols.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

Python HTTP library with thread-safe connection pooling, file post support, user friendly, and more

<details open><summary><h3>Contents</h3></summary>

- [def disable_warnings](#def-disable_warnings)
</details>

<details><summary><h3><strong>def disable_warnings(category: type[Warning] = exceptions.HTTPWarning)</strong></h3></summary>

Helper for quickly disabling all urllib3 warnings.

</details>

</details>


<details><summary><h2><strong> _base_connection.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class BaseHTTPConnection](#class-basehttpconnection)
- [def __init__](#def-__init__)
- [def set_tunnel](#def-set_tunnel)
- [def connect](#def-connect)
- [def request](#def-request)
- [def getresponse](#def-getresponse)
- [def close](#def-close)
- [def is_closed](#def-is_closed)
- [def is_connected](#def-is_connected)
- [def has_connected_to_proxy](#def-has_connected_to_proxy)
</details>

<details><summary><h3><strong>class BaseHTTPConnection</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def set_tunnel</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def connect</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def request</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def getresponse</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def is_closed</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h4><strong>def is_connected</strong></h4></summary>

Whether the connection is actively connected to any origin (proxy or target)

</details>

<details><summary><h4><strong>def has_connected_to_proxy</strong></h4></summary>

Whether the connection has successfully connected to its proxy.
            This returns False if no proxy is in use. Used to determine whether
            errors are coming from the proxy layer or from tunnelling to the target origin.

</details>

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def getresponse(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def getresponse(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def is_closed(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
            If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
            properties must be False.

</details>

<details><summary><h3><strong>def is_connected(self)</strong></h3></summary>

Whether the connection is actively connected to any origin (proxy or target)

</details>

<details><summary><h3><strong>def has_connected_to_proxy(self)</strong></h3></summary>

Whether the connection has successfully connected to its proxy.
            This returns False if no proxy is in use. Used to determine whether
            errors are coming from the proxy layer or from tunnelling to the target origin.

</details>

</details>


<details><summary><h2><strong> _collections.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class RecentlyUsedContainer](#class-recentlyusedcontainer)
- [class HTTPHeaderDictItemView](#class-httpheaderdictitemview)
- [class HTTPHeaderDict](#class-httpheaderdict)
- [def __init__](#def-__init__)
- [def __setitem__](#def-__setitem__)
- [def __getitem__](#def-__getitem__)
- [def __delitem__](#def-__delitem__)
- [def __contains__](#def-__contains__)
- [def setdefault](#def-setdefault)
- [def __eq__](#def-__eq__)
- [def __ne__](#def-__ne__)
- [def __len__](#def-__len__)
- [def __iter__](#def-__iter__)
- [def discard](#def-discard)
- [def add](#def-add)
- [def extend](#def-extend)
- [def getlist](#def-getlist)
- [def getlist](#def-getlist)
- [def getlist](#def-getlist)
- [def _prepare_for_method_change](#def-_prepare_for_method_change)
- [def __repr__](#def-__repr__)
- [def _copy_from](#def-_copy_from)
- [def copy](#def-copy)
- [def iteritems](#def-iteritems)
- [def itermerged](#def-itermerged)
</details>

<details><summary><h3><strong>class RecentlyUsedContainer</strong></h3></summary>

Provides a thread-safe dict-like container which maintains up to
    ``maxsize`` keys while throwing away the least-recently-used keys beyond
    ``maxsize``.

    :param maxsize:
        Maximum number of recent elements to retain.

    :param dispose_func:
        Every time an item is evicted from the container,
        ``dispose_func(value)`` is called.  Callback which will get called

</details>

<details><summary><h3><strong>class HTTPHeaderDictItemView</strong></h3></summary>

HTTPHeaderDict is unusual for a Mapping[str, str] in that it has two modes of
    address.

    If we directly try to get an item with a particular name, we will get a string
    back that is the concatenated version of all the values:

    >>> d['X-Header-Name']
    'Value1, Value2, Value3'

    However, if we iterate over an HTTPHeaderDict's items, we will optionally combine
    these values based on whether combine=True was called when building up the dictionary

    >>> d = HTTPHeaderDict({"A": "1", "B": "foo"})
    >>> d.add("A", "2", combine=True)
    >>> d.add("B", "bar")
    >>> list(d.items())
    [
        ('A', '1, 2'),
        ('B', 'foo'),
        ('B', 'bar'),
    ]

    This class conforms to the interface required by the MutableMapping ABC while
    also giving us the nonstandard iteration behavior we want; items with duplicate
    keys, ordered by time of first insertion.

</details>

<details><summary><h3><strong>class HTTPHeaderDict</strong></h3></summary>

:param headers:
        An iterable of field-value pairs. Must not contain multiple field names
        when compared case-insensitively.

    :param kwargs:
        Additional field-value pairs to pass in to ``dict.update``.

    A ``dict`` like container for storing HTTP Headers.

    Field names are stored and compared case-insensitively in compliance with
    RFC 7230. Iteration provides the first case-sensitive key seen for each
    case-insensitive pair.

    Using ``__setitem__`` syntax overwrites fields that compare equal
    case-insensitively in order to maintain ``dict``'s api. For fields that
    compare equal, instead create a new ``HTTPHeaderDict`` and use ``.add``
    in a loop.

    If multiple fields that are equal case-insensitively are passed to the
    constructor or ``.update``, the behavior is undefined and some will be
    lost.

    >>> headers = HTTPHeaderDict()
    >>> headers.add('Set-Cookie', 'foo=bar')
    >>> headers.add('set-cookie', 'baz=quxx')
    >>> headers['content-length'] = '7'
    >>> headers['SET-cookie']
    'foo=bar, baz=quxx'
    >>> headers['Content-Length']
    '7'

<details><summary><h4><strong>def __init__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __setitem__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __getitem__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __delitem__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __contains__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def setdefault</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __eq__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __ne__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __len__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def __iter__</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def discard</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def add</strong></h4></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h4><strong>def extend</strong></h4></summary>

Generic import function for any type of header-like object.
        Adapted version of MutableMapping.update in order to insert items
        with self.add instead of self.__setitem__

</details>

<details><summary><h4><strong>def getlist</strong></h4></summary>

Returns a list of all the values for the named field. Returns an
        empty list if the key doesn't exist.

</details>

<details><summary><h4><strong>def getlist</strong></h4></summary>

Returns a list of all the values for the named field. Returns an
        empty list if the key doesn't exist.

</details>

<details><summary><h4><strong>def getlist</strong></h4></summary>

Returns a list of all the values for the named field. Returns an
        empty list if the key doesn't exist.

</details>

<details><summary><h4><strong>def _prepare_for_method_change</strong></h4></summary>

Remove content-specific header fields before changing the request
        method to GET or HEAD according to RFC 9110, Section 15.4.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h4><strong>def _copy_from</strong></h4></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h4><strong>def copy</strong></h4></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h4><strong>def iteritems</strong></h4></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h4><strong>def itermerged</strong></h4></summary>

Iterate over all headers, merging duplicate ones together.

</details>

</details>

<details><summary><h3><strong>def __init__(self, headers: ValidHTTPHeaderSource | None = None, **kwargs: str)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __setitem__(self, key: str, val: str)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __getitem__(self, key: str)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __delitem__(self, key: str)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __contains__(self, key: object)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def setdefault(self, key: str, default: str = "")</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __eq__(self, other: object)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __ne__(self, other: object)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __len__(self)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def __iter__(self)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def discard(self, key: str)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def add(self, key: str, val: str, *, combine: bool = False)</strong></h3></summary>

Adds a (name, value) pair, doesn't overwrite the value if it already
        exists.

        If this is called with combine=True, instead of adding a new header value
        as a distinct item during iteration, this will instead append the value to
        any existing header value with a comma. If no existing header value exists
        for the key, then the value will simply be added, ignoring the combine parameter.

        >>> headers = HTTPHeaderDict(foo='bar')
        >>> headers.add('Foo', 'baz')
        >>> headers['foo']
        'bar, baz'
        >>> list(headers.items())
        [('foo', 'bar'), ('foo', 'baz')]
        >>> headers.add('foo', 'quz', combine=True)
        >>> list(headers.items())
        [('foo', 'bar, baz, quz')]

</details>

<details><summary><h3><strong>def extend(self, *args: ValidHTTPHeaderSource, **kwargs: str)</strong></h3></summary>

Generic import function for any type of header-like object.
        Adapted version of MutableMapping.update in order to insert items
        with self.add instead of self.__setitem__

</details>

<details><summary><h3><strong>def getlist(self, key: str)</strong></h3></summary>

Returns a list of all the values for the named field. Returns an
        empty list if the key doesn't exist.

</details>

<details><summary><h3><strong>def getlist(self, key: str, default: _DT)</strong></h3></summary>

Returns a list of all the values for the named field. Returns an
        empty list if the key doesn't exist.

</details>

<details><summary><h3><strong>def _prepare_for_method_change(self)</strong></h3></summary>

Returns a list of all the values for the named field. Returns an
        empty list if the key doesn't exist.

</details>

<details><summary><h3><strong>def _prepare_for_method_change(self)</strong></h3></summary>

Remove content-specific header fields before changing the request
        method to GET or HEAD according to RFC 9110, Section 15.4.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h3><strong>def _copy_from(self, other: HTTPHeaderDict)</strong></h3></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h3><strong>def copy(self)</strong></h3></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h3><strong>def iteritems(self)</strong></h3></summary>

Iterate over all header lines, including duplicate ones.

</details>

<details><summary><h3><strong>def itermerged(self)</strong></h3></summary>

Iterate over all headers, merging duplicate ones together.

</details>

</details>


<details><summary><h2><strong> _request_methods.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class RequestMethods](#class-requestmethods)
- [def __init__](#def-__init__)
- [def urlopen](#def-urlopen)
- [def request](#def-request)
- [def request_encode_url](#def-request_encode_url)
- [def request_encode_body](#def-request_encode_body)
</details>

<details><summary><h3><strong>class RequestMethods</strong></h3></summary>

Convenience mixin for classes who implement a :meth:`urlopen` method, such
    as :class:`urllib3.HTTPConnectionPool` and
    :class:`urllib3.PoolManager`.

    Provides behavior for making common types of HTTP request methods and
    decides which type of request field encoding to use.

    Specifically,

    :meth:`.request_encode_url` is for sending requests whose fields are
    encoded in the URL (such as GET, HEAD, DELETE).

    :meth:`.request_encode_body` is for sending requests whose fields are
    encoded in the *body* of the request using multipart or www-form-urlencoded
    (such as for POST, PUT, PATCH).

    :meth:`.request` is for making any kind of request, it will look up the
    appropriate encoding format and use one of the above two methods to make
    the request.

    Initializer parameters:

    :param headers:
        Headers to include with all requests, unless other headers are given
        explicitly.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Make a request using :meth:`urlopen` with the appropriate encoding of
        ``fields`` based on the ``method`` used.

        This is a convenience method that requires the least amount of manual
        effort. It can be used in most situations, while still having the
        option to drop down to more specific methods when necessary, such as
        :meth:`request_encode_url`, :meth:`request_encode_body`,
        or even the lowest level :meth:`urlopen`.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param fields:
            Data to encode and send in the URL or request body, depending on ``method``.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param json:
            Data to encode and send as JSON with UTF-encoded in the request body.
            The ``"Content-Type"`` header will be set to ``"application/json"``
            unless specified otherwise.

</details>

<details><summary><h4><strong>def urlopen</strong></h4></summary>

Make a request using :meth:`urlopen` with the appropriate encoding of
        ``fields`` based on the ``method`` used.

        This is a convenience method that requires the least amount of manual
        effort. It can be used in most situations, while still having the
        option to drop down to more specific methods when necessary, such as
        :meth:`request_encode_url`, :meth:`request_encode_body`,
        or even the lowest level :meth:`urlopen`.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param fields:
            Data to encode and send in the URL or request body, depending on ``method``.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param json:
            Data to encode and send as JSON with UTF-encoded in the request body.
            The ``"Content-Type"`` header will be set to ``"application/json"``
            unless specified otherwise.

</details>

<details><summary><h4><strong>def request</strong></h4></summary>

Make a request using :meth:`urlopen` with the appropriate encoding of
        ``fields`` based on the ``method`` used.

        This is a convenience method that requires the least amount of manual
        effort. It can be used in most situations, while still having the
        option to drop down to more specific methods when necessary, such as
        :meth:`request_encode_url`, :meth:`request_encode_body`,
        or even the lowest level :meth:`urlopen`.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param fields:
            Data to encode and send in the URL or request body, depending on ``method``.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param json:
            Data to encode and send as JSON with UTF-encoded in the request body.
            The ``"Content-Type"`` header will be set to ``"application/json"``
            unless specified otherwise.

</details>

<details><summary><h4><strong>def request_encode_url</strong></h4></summary>

Make a request using :meth:`urlopen` with the ``fields`` encoded in
        the url. This is useful for request methods like GET, HEAD, DELETE, etc.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param fields:
            Data to encode and send in the URL.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

</details>

<details><summary><h4><strong>def request_encode_body</strong></h4></summary>

Make a request using :meth:`urlopen` with the ``fields`` encoded in
        the body. This is useful for request methods like POST, PUT, PATCH, etc.

        When ``encode_multipart=True`` (default), then
        :func:`urllib3.encode_multipart_formdata` is used to encode
        the payload with the appropriate content type. Otherwise
        :func:`urllib.parse.urlencode` is used with the
        'application/x-www-form-urlencoded' content type.

        Multipart encoding must be used when posting files, and it's reasonably
        safe to use it in other times too. However, it may break request
        signing, such as with OAuth.

        Supports an optional ``fields`` parameter of key/value strings AND
        key/filetuple. A filetuple is a (filename, data, MIME type) tuple where
        the MIME type is optional. For example::

            fields = {
                'foo': 'bar',
                'fakefile': ('foofile.txt', 'contents of foofile'),
                'realfile': ('barfile.txt', open('realfile').read()),
                'typedfile': ('bazfile.bin', open('bazfile').read(),
                              'image/jpeg'),
                'nonamefile': 'contents of nonamefile field',
            }

        When uploading a file, providing a filename (the first parameter of the
        tuple) is optional but recommended to best mimic behavior of browsers.

        Note that if ``headers`` are supplied, the 'Content-Type' header will
        be overwritten because it depends on the dynamic random boundary string
        which is used to compose the body of the request. The random boundary
        string can be explicitly set with the ``multipart_boundary`` parameter.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param fields:
            Data to encode and send in the request body.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param encode_multipart:
            If True, encode the ``fields`` using the multipart/form-data MIME
            format.

        :param multipart_boundary:
            If not specified, then a random boundary will be generated using
            :func:`urllib3.filepost.choose_boundary`.

</details>

</details>

<details><summary><h3><strong>def __init__(self, headers: typing.Mapping[str, str] | None = None)</strong></h3></summary>

Make a request using :meth:`urlopen` with the appropriate encoding of
        ``fields`` based on the ``method`` used.

        This is a convenience method that requires the least amount of manual
        effort. It can be used in most situations, while still having the
        option to drop down to more specific methods when necessary, such as
        :meth:`request_encode_url`, :meth:`request_encode_body`,
        or even the lowest level :meth:`urlopen`.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param fields:
            Data to encode and send in the URL or request body, depending on ``method``.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param json:
            Data to encode and send as JSON with UTF-encoded in the request body.
            The ``"Content-Type"`` header will be set to ``"application/json"``
            unless specified otherwise.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Make a request using :meth:`urlopen` with the appropriate encoding of
        ``fields`` based on the ``method`` used.

        This is a convenience method that requires the least amount of manual
        effort. It can be used in most situations, while still having the
        option to drop down to more specific methods when necessary, such as
        :meth:`request_encode_url`, :meth:`request_encode_body`,
        or even the lowest level :meth:`urlopen`.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param fields:
            Data to encode and send in the URL or request body, depending on ``method``.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param json:
            Data to encode and send as JSON with UTF-encoded in the request body.
            The ``"Content-Type"`` header will be set to ``"application/json"``
            unless specified otherwise.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Make a request using :meth:`urlopen` with the appropriate encoding of
        ``fields`` based on the ``method`` used.

        This is a convenience method that requires the least amount of manual
        effort. It can be used in most situations, while still having the
        option to drop down to more specific methods when necessary, such as
        :meth:`request_encode_url`, :meth:`request_encode_body`,
        or even the lowest level :meth:`urlopen`.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param fields:
            Data to encode and send in the URL or request body, depending on ``method``.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param json:
            Data to encode and send as JSON with UTF-encoded in the request body.
            The ``"Content-Type"`` header will be set to ``"application/json"``
            unless specified otherwise.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Make a request using :meth:`urlopen` with the ``fields`` encoded in
        the url. This is useful for request methods like GET, HEAD, DELETE, etc.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param fields:
            Data to encode and send in the URL.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Make a request using :meth:`urlopen` with the ``fields`` encoded in
        the body. This is useful for request methods like POST, PUT, PATCH, etc.

        When ``encode_multipart=True`` (default), then
        :func:`urllib3.encode_multipart_formdata` is used to encode
        the payload with the appropriate content type. Otherwise
        :func:`urllib.parse.urlencode` is used with the
        'application/x-www-form-urlencoded' content type.

        Multipart encoding must be used when posting files, and it's reasonably
        safe to use it in other times too. However, it may break request
        signing, such as with OAuth.

        Supports an optional ``fields`` parameter of key/value strings AND
        key/filetuple. A filetuple is a (filename, data, MIME type) tuple where
        the MIME type is optional. For example::

            fields = {
                'foo': 'bar',
                'fakefile': ('foofile.txt', 'contents of foofile'),
                'realfile': ('barfile.txt', open('realfile').read()),
                'typedfile': ('bazfile.bin', open('bazfile').read(),
                              'image/jpeg'),
                'nonamefile': 'contents of nonamefile field',
            }

        When uploading a file, providing a filename (the first parameter of the
        tuple) is optional but recommended to best mimic behavior of browsers.

        Note that if ``headers`` are supplied, the 'Content-Type' header will
        be overwritten because it depends on the dynamic random boundary string
        which is used to compose the body of the request. The random boundary
        string can be explicitly set with the ``multipart_boundary`` parameter.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param fields:
            Data to encode and send in the request body.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param encode_multipart:
            If True, encode the ``fields`` using the multipart/form-data MIME
            format.

        :param multipart_boundary:
            If not specified, then a random boundary will be generated using
            :func:`urllib3.filepost.choose_boundary`.

</details>

</details>


<details><summary><h2><strong> _version.py</strong></h2></summary>

</details>


<details><summary><h2><strong> connection.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class HTTPConnection](#class-httpconnection)
- [class HTTPSConnection](#class-httpsconnection)
- [class _WrappedAndVerifiedSocket](#class-_wrappedandverifiedsocket)
- [class DummyConnection](#class-dummyconnection)
- [def __init__](#def-__init__)
- [def host](#def-host)
- [def host](#def-host)
- [def _new_conn](#def-_new_conn)
- [def set_tunnel](#def-set_tunnel)
- [def _tunnel](#def-_tunnel)
- [def connect](#def-connect)
- [def is_closed](#def-is_closed)
- [def is_connected](#def-is_connected)
- [def has_connected_to_proxy](#def-has_connected_to_proxy)
- [def proxy_is_forwarding](#def-proxy_is_forwarding)
- [def close](#def-close)
- [def putrequest](#def-putrequest)
- [def putheader](#def-putheader)
- [def request](#def-request)
- [def request_chunked](#def-request_chunked)
- [def getresponse](#def-getresponse)
- [def __init__](#def-__init__)
- [def set_cert](#def-set_cert)
- [def connect](#def-connect)
- [def _connect_tls_proxy](#def-_connect_tls_proxy)
</details>

<details><summary><h3><strong>class HTTPConnection</strong></h3></summary>

Based on :class:`http.client.HTTPConnection` but provides an extra constructor
    backwards-compatibility layer between older and newer Pythons.

    Additional keyword parameters are used to configure attributes of the connection.
    Accepted parameters include:

    - ``source_address``: Set the source address for the current connection.
    - ``socket_options``: Set specific options on the underlying socket. If not specified, then
      defaults are loaded from ``HTTPConnection.default_socket_options`` which includes disabling
      Nagle's algorithm (sets TCP_NODELAY to 1) unless the connection is behind a proxy.

      For example, if you wish to enable TCP Keep Alive in addition to the defaults,
      you might pass:

      .. code-block:: python

         HTTPConnection.default_socket_options + [
             (socket.SOL_SOCKET, socket.SO_KEEPALIVE, 1),
         ]

      Or you may want to disable the defaults by passing an empty list (e.g., ``[]``).

<p><strong>Key features</strong></p>

<ul>
<li>``source_address``: Set the source address for the current connection.</li>
<li>``socket_options``: Set specific options on the underlying socket. If not specified, then</li>
</ul>
<details><summary><h4><strong>def __init__</strong></h4></summary>

Getter method to remove any trailing dots that indicate the hostname is an FQDN.

        In general, SSL certificates don't include the trailing dot indicating a
        fully-qualified domain name, and thus, they don't validate properly when
        checked against a domain name that includes the dot. In addition, some
        servers may not expect to receive the trailing dot when provided.

        However, the hostname with trailing dot is critical to DNS resolution; doing a
        lookup with the trailing dot will properly only resolve the appropriate FQDN,
        whereas a lookup without a trailing dot will search the system's search domain
        list. Thus, it's important to keep the original host around for use only in
        those cases where it's appropriate (i.e., when doing DNS lookup to establish the
        actual TCP connection across which we're going to send HTTP requests).

</details>

<details><summary><h4><strong>def host</strong></h4></summary>

Getter method to remove any trailing dots that indicate the hostname is an FQDN.

        In general, SSL certificates don't include the trailing dot indicating a
        fully-qualified domain name, and thus, they don't validate properly when
        checked against a domain name that includes the dot. In addition, some
        servers may not expect to receive the trailing dot when provided.

        However, the hostname with trailing dot is critical to DNS resolution; doing a
        lookup with the trailing dot will properly only resolve the appropriate FQDN,
        whereas a lookup without a trailing dot will search the system's search domain
        list. Thus, it's important to keep the original host around for use only in
        those cases where it's appropriate (i.e., when doing DNS lookup to establish the
        actual TCP connection across which we're going to send HTTP requests).

</details>

<details><summary><h4><strong>def host</strong></h4></summary>

Setter for the `host` property.

        We assume that only urllib3 uses the _dns_host attribute; httplib itself
        only uses `host`, and it seems reasonable that other libraries follow suit.

</details>

<details><summary><h4><strong>def _new_conn</strong></h4></summary>

Establish a socket connection and set nodelay settings on it.

        :return: New socket connection.

</details>

<details><summary><h4><strong>def set_tunnel</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def _tunnel</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def connect</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def is_closed</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def is_connected</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def has_connected_to_proxy</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def proxy_is_forwarding</strong></h4></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h4><strong>def close</strong></h4></summary>



</details>

<details><summary><h4><strong>def putrequest</strong></h4></summary>



</details>

<details><summary><h4><strong>def putheader</strong></h4></summary>



</details>

<details><summary><h4><strong>def request</strong></h4></summary>

Alternative to the common request method, which sends the
        body with chunked encoding and not as one block

</details>

<details><summary><h4><strong>def request_chunked</strong></h4></summary>

Alternative to the common request method, which sends the
        body with chunked encoding and not as one block

</details>

<details><summary><h4><strong>def getresponse</strong></h4></summary>

Get the response from the server.

        If the HTTPConnection is in the correct state, returns an instance of HTTPResponse or of whatever object is returned by the response_class variable.

        If a request has not been sent or if a previous response has not be handled, ResponseNotReady is raised. If the HTTP response indicates that the connection should be closed, then it will be closed before the response is returned. When the connection is closed, the underlying socket is closed.

</details>

</details>

<details><summary><h3><strong>class HTTPSConnection</strong></h3></summary>

Many of the parameters to this constructor are passed to the underlying SSL
    socket by means of :py:func:`urllib3.util.ssl_wrap_socket`.

<details><summary><h4><strong>def __init__</strong></h4></summary>

This method should only be called once, before the connection is used.

</details>

<details><summary><h4><strong>def set_cert</strong></h4></summary>

This method should only be called once, before the connection is used.

</details>

<details><summary><h4><strong>def connect</strong></h4></summary>

Establish a TLS connection to the proxy using the provided SSL context.

</details>

<details><summary><h4><strong>def _connect_tls_proxy</strong></h4></summary>

Establish a TLS connection to the proxy using the provided SSL context.

</details>

</details>

<details><summary><h3><strong>class _WrappedAndVerifiedSocket</strong></h3></summary>

Wrapped socket and whether the connection is
    verified after the TLS handshake

</details>

<details><summary><h3><strong>class DummyConnection</strong></h3></summary>

Used to detect a failed ConnectionCls import.

</details>

<details><summary><h3><strong>def host(self)</strong></h3></summary>

Getter method to remove any trailing dots that indicate the hostname is an FQDN.

        In general, SSL certificates don't include the trailing dot indicating a
        fully-qualified domain name, and thus, they don't validate properly when
        checked against a domain name that includes the dot. In addition, some
        servers may not expect to receive the trailing dot when provided.

        However, the hostname with trailing dot is critical to DNS resolution; doing a
        lookup with the trailing dot will properly only resolve the appropriate FQDN,
        whereas a lookup without a trailing dot will search the system's search domain
        list. Thus, it's important to keep the original host around for use only in
        those cases where it's appropriate (i.e., when doing DNS lookup to establish the
        actual TCP connection across which we're going to send HTTP requests).

</details>

<details><summary><h3><strong>def host(self)</strong></h3></summary>

Getter method to remove any trailing dots that indicate the hostname is an FQDN.

        In general, SSL certificates don't include the trailing dot indicating a
        fully-qualified domain name, and thus, they don't validate properly when
        checked against a domain name that includes the dot. In addition, some
        servers may not expect to receive the trailing dot when provided.

        However, the hostname with trailing dot is critical to DNS resolution; doing a
        lookup with the trailing dot will properly only resolve the appropriate FQDN,
        whereas a lookup without a trailing dot will search the system's search domain
        list. Thus, it's important to keep the original host around for use only in
        those cases where it's appropriate (i.e., when doing DNS lookup to establish the
        actual TCP connection across which we're going to send HTTP requests).

</details>

<details><summary><h3><strong>def host(self, value: str)</strong></h3></summary>

Setter for the `host` property.

        We assume that only urllib3 uses the _dns_host attribute; httplib itself
        only uses `host`, and it seems reasonable that other libraries follow suit.

</details>

<details><summary><h3><strong>def _new_conn(self)</strong></h3></summary>

Establish a socket connection and set nodelay settings on it.

        :return: New socket connection.

</details>

<details><summary><h3><strong>def _tunnel(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def _tunnel(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def is_closed(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def is_connected(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def has_connected_to_proxy(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def proxy_is_forwarding(self)</strong></h3></summary>

Return True if a forwarding proxy is configured, else return False

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>



</details>

<details><summary><h3><strong>def putheader(self, header: str, *values: str)</strong></h3></summary>



</details>

<details><summary><h3><strong>def putheader(self, header: str, *values: str)</strong></h3></summary>



</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Alternative to the common request method, which sends the
        body with chunked encoding and not as one block

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Alternative to the common request method, which sends the
        body with chunked encoding and not as one block

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Get the response from the server.

        If the HTTPConnection is in the correct state, returns an instance of HTTPResponse or of whatever object is returned by the response_class variable.

        If a request has not been sent or if a previous response has not be handled, ResponseNotReady is raised. If the HTTP response indicates that the connection should be closed, then it will be closed before the response is returned. When the connection is closed, the underlying socket is closed.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

This method should only be called once, before the connection is used.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

This method should only be called once, before the connection is used.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Establish a TLS connection to the proxy using the provided SSL context.

</details>

<details><summary><h3><strong>def _connect_tls_proxy(self, hostname: str, sock: socket.socket)</strong></h3></summary>

Establish a TLS connection to the proxy using the provided SSL context.

</details>

</details>


<details><summary><h2><strong> connectionpool.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class ConnectionPool](#class-connectionpool)
- [class for](#class-for)
- [class HTTPConnectionPool](#class-httpconnectionpool)
- [class HTTPSConnectionPool](#class-httpsconnectionpool)
- [def __init__](#def-__init__)
- [def __str__](#def-__str__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def close](#def-close)
- [def __init__](#def-__init__)
- [def _new_conn](#def-_new_conn)
- [def _get_conn](#def-_get_conn)
- [def _put_conn](#def-_put_conn)
- [def _validate_conn](#def-_validate_conn)
- [def _prepare_proxy](#def-_prepare_proxy)
- [def _get_timeout](#def-_get_timeout)
- [def _raise_timeout](#def-_raise_timeout)
- [def _make_request](#def-_make_request)
- [def close](#def-close)
- [def is_same_host](#def-is_same_host)
- [def urlopen](#def-urlopen)
- [def __init__](#def-__init__)
- [def _prepare_proxy](#def-_prepare_proxy)
- [def _new_conn](#def-_new_conn)
- [def _validate_conn](#def-_validate_conn)
- [def connection_from_url](#def-connection_from_url)
- [def _normalize_host](#def-_normalize_host)
- [def _close_pool_connections](#def-_close_pool_connections)
</details>

<details><summary><h3><strong>class ConnectionPool</strong></h3></summary>

Base class for all connection pools, such as
    :class:`.HTTPConnectionPool` and :class:`.HTTPSConnectionPool`.

    .. note::
       ConnectionPool.urlopen() does not normalize or percent-encode target URIs
       which is useful if your target server doesn't support percent-encoded
       target URIs.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

</details>

<details><summary><h3><strong>class for</strong></h3></summary>

scheme: str | None = None
    QueueCls = queue.LifoQueue

    def __init__(self, host: str, port: int | None = None) -> None:
        if not host:
            raise LocationValueError("No host specified.")

        self.host = _normalize_host(host, scheme=self.scheme)
        self.port = port

        # This property uses 'normalize_host()' (not '_normalize_host()')
        # to avoid removing square braces around IPv6 addresses.
        # This value is sent to `HTTPConnection.set_tunnel()` if called
        # because square braces are required for HTTP CONNECT tunneling.
        self._tunnel_host = normalize_host(host, scheme=self.scheme).lower()

    def __str__(self) -> str:
        return f"{type(self).__name__}(host={self.host!r}, port={self.port!r})"

    def __enter__(self) -> Self:
        return self

    def __exit__(
        self,
        exc_type: type[BaseException] | None,
        exc_val: BaseException | None,
        exc_tb: TracebackType | None,
    ) -> typing.Literal[False]:
        self.close()
        # Return False to re-raise any potential exceptions
        return False

    def close(self) -> None:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def __str__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

</details>

<details><summary><h3><strong>class HTTPConnectionPool</strong></h3></summary>

Thread-safe connection pool for one host.

    :param host:
        Host used for this HTTP Connection (e.g. "localhost"), passed into
        :class:`http.client.HTTPConnection`.

    :param port:
        Port used for this HTTP Connection (None is equivalent to 80), passed
        into :class:`http.client.HTTPConnection`.

    :param timeout:
        Socket timeout in seconds for each individual connection. This can
        be a float or integer, which sets the timeout for the HTTP request,
        or an instance of :class:`urllib3.util.Timeout` which gives you more
        fine-grained control over request timeouts. After the constructor has
        been parsed, this is always a `urllib3.util.Timeout` object.

    :param maxsize:
        Number of connections to save that can be reused. More than 1 is useful
        in multithreaded situations. If ``block`` is set to False, more
        connections will be created but they will not be saved once they've
        been used.

    :param block:
        If set to True, no more than ``maxsize`` connections will be used at
        a time. When no free connections are available, the call will block
        until a connection has been released. This is a useful side effect for
        particular multithreaded situations where one does not want to use more
        than maxsize connections per host to prevent flooding.

    :param headers:
        Headers to include with all requests, unless other headers are given
        explicitly.

    :param retries:
        Retry configuration to use by default with requests in this pool.

    :param _proxy:
        Parsed proxy URL, should not be used directly, instead, see
        :class:`urllib3.ProxyManager`

    :param _proxy_headers:
        A dictionary with proxy headers, should not be used directly,
        instead, see :class:`urllib3.ProxyManager`

    :param \\**conn_kw:
        Additional parameters are used to create fresh :class:`urllib3.connection.HTTPConnection`,
        :class:`urllib3.connection.HTTPSConnection` instances.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Return a fresh :class:`HTTPConnection`.

</details>

<details><summary><h4><strong>def _new_conn</strong></h4></summary>

Return a fresh :class:`HTTPConnection`.

</details>

<details><summary><h4><strong>def _get_conn</strong></h4></summary>

Get a connection. Will return a pooled connection if one is available.

        If no connections are available and :prop:`.block` is ``False``, then a
        fresh connection is returned.

        :param timeout:
            Seconds to wait before giving up and raising
            :class:`urllib3.exceptions.EmptyPoolError` if the pool is empty and
            :prop:`.block` is ``True``.

</details>

<details><summary><h4><strong>def _put_conn</strong></h4></summary>

Put a connection back into the pool.

        :param conn:
            Connection object for the current host and port as returned by
            :meth:`._new_conn` or :meth:`._get_conn`.

        If the pool is already full, the connection is closed and discarded
        because we exceeded maxsize. If connections are discarded frequently,
        then maxsize should be increased.

        If the pool is closed, then the connection will be closed and discarded.

</details>

<details><summary><h4><strong>def _validate_conn</strong></h4></summary>

Called right before a request is made, after the socket is created.

</details>

<details><summary><h4><strong>def _prepare_proxy</strong></h4></summary>

Helper that always returns a :class:`urllib3.util.Timeout`

</details>

<details><summary><h4><strong>def _get_timeout</strong></h4></summary>

Helper that always returns a :class:`urllib3.util.Timeout`

</details>

<details><summary><h4><strong>def _raise_timeout</strong></h4></summary>

Is the error actually a timeout? Will raise a ReadTimeout or pass

</details>

<details><summary><h4><strong>def _make_request</strong></h4></summary>

Perform a request on a given urllib connection object taken from our
        pool.

        :param conn:
            a connection from one of our connection pools

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param retries:
            Configure the number of retries to allow before raising a
            :class:`~urllib3.exceptions.MaxRetryError` exception.

            Pass ``None`` to retry until you receive a response. Pass a
            :class:`~urllib3.util.retry.Retry` object for fine-grained control
            over different types of retries.
            Pass an integer number to retry connection errors that many times,
            but no other types of errors. Pass zero to never retry.

            If ``False``, then retries are disabled and any exception is raised
            immediately. Also, instead of raising a MaxRetryError on redirects,
            the redirect response will be returned.

        :type retries: :class:`~urllib3.util.retry.Retry`, False, or an int.

        :param timeout:
            If specified, overrides the default timeout for this one
            request. It may be a float (in seconds) or an instance of
            :class:`urllib3.util.Timeout`.

        :param chunked:
            If True, urllib3 will send the body using chunked transfer
            encoding. Otherwise, urllib3 will send the body using the standard
            content-length form. Defaults to False.

        :param response_conn:
            Set this to ``None`` if you will handle releasing the connection or
            set the connection to have the response release it.

        :param preload_content:
          If True, the response's body will be preloaded during construction.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param enforce_content_length:
            Enforce content length checking. Body returned by server must match
            value of Content-Length header, if present. Otherwise, raise error.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h4><strong>def is_same_host</strong></h4></summary>

Check if the given ``url`` is a member of the same host as this
        connection pool.

</details>

<details><summary><h4><strong>def urlopen</strong></h4></summary>

Get a connection from the pool and perform an HTTP request. This is the
        lowest level call for making a request, so you'll need to specify all
        the raw details.

        .. note::

           More commonly, it's appropriate to use a convenience method
           such as :meth:`request`.

        .. note::

           `release_conn` will only behave as expected if
           `preload_content=False` because we want to make
           `preload_content=False` the default behaviour someday soon without
           breaking backwards compatibility.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param retries:
            Configure the number of retries to allow before raising a
            :class:`~urllib3.exceptions.MaxRetryError` exception.

            If ``None`` (default) will retry 3 times, see ``Retry.DEFAULT``. Pass a
            :class:`~urllib3.util.retry.Retry` object for fine-grained control
            over different types of retries.
            Pass an integer number to retry connection errors that many times,
            but no other types of errors. Pass zero to never retry.

            If ``False``, then retries are disabled and any exception is raised
            immediately. Also, instead of raising a MaxRetryError on redirects,
            the redirect response will be returned.

        :type retries: :class:`~urllib3.util.retry.Retry`, False, or an int.

        :param redirect:
            If True, automatically handle redirects (status codes 301, 302,
            303, 307, 308). Each redirect counts as a retry. Disabling retries
            will disable redirect, too.

        :param assert_same_host:
            If ``True``, will make sure that the host of the pool requests is
            consistent else will raise HostChangedError. When ``False``, you can
            use the pool on an HTTP proxy and request foreign hosts.

        :param timeout:
            If specified, overrides the default timeout for this one
            request. It may be a float (in seconds) or an instance of
            :class:`urllib3.util.Timeout`.

        :param pool_timeout:
            If set and the pool is set to block=True, then this method will
            block for ``pool_timeout`` seconds and raise EmptyPoolError if no
            connection is available within the time period.

        :param bool preload_content:
            If True, the response's body will be preloaded into memory.

        :param bool decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param release_conn:
            If False, then the urlopen call will not release the connection
            back into the pool once a response is received (but will release if
            you read the entire contents of the response such as when
            `preload_content=True`). This is useful if you're not preloading
            the response's content immediately. You will need to call
            ``r.release_conn()`` on the response ``r`` to return the connection
            back into the pool. If None, it takes the value of ``preload_content``
            which defaults to ``True``.

        :param bool chunked:
            If True, urllib3 will send the body using chunked transfer
            encoding. Otherwise, urllib3 will send the body using the standard
            content-length form. Defaults to False.

        :param int body_pos:
            Position to seek to in file-like body in the event of a retry or
            redirect. Typically this won't need to be set because urllib3 will
            auto-populate the value when needed.

</details>

</details>

<details><summary><h3><strong>class HTTPSConnectionPool</strong></h3></summary>

Same as :class:`.HTTPConnectionPool`, but HTTPS.

    :class:`.HTTPSConnection` uses one of ``assert_fingerprint``,
    ``assert_hostname`` and ``host`` in this order to verify connections.
    If ``assert_hostname`` is False, no verification is done.

    The ``key_file``, ``cert_file``, ``cert_reqs``, ``ca_certs``,
    ``ca_cert_dir``, ``ssl_version``, ``key_password`` are only used if :mod:`ssl`
    is available and are fed into :meth:`urllib3.util.ssl_wrap_socket` to upgrade
    the connection socket into an SSL socket.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Establishes a tunnel connection through HTTP CONNECT.

</details>

<details><summary><h4><strong>def _prepare_proxy</strong></h4></summary>

Establishes a tunnel connection through HTTP CONNECT.

</details>

<details><summary><h4><strong>def _new_conn</strong></h4></summary>

Return a fresh :class:`urllib3.connection.HTTPConnection`.

</details>

<details><summary><h4><strong>def _validate_conn</strong></h4></summary>

Called right before a request is made, after the socket is created.

</details>

</details>

<details><summary><h3><strong>def __init__(self, host: str, port: int | None = None)</strong></h3></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h3><strong>def __str__(self)</strong></h3></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h3><strong>def _new_conn(self)</strong></h3></summary>

Return a fresh :class:`HTTPConnection`.

</details>

<details><summary><h3><strong>def _new_conn(self)</strong></h3></summary>

Return a fresh :class:`HTTPConnection`.

</details>

<details><summary><h3><strong>def _get_conn(self, timeout: float | None = None)</strong></h3></summary>

Get a connection. Will return a pooled connection if one is available.

        If no connections are available and :prop:`.block` is ``False``, then a
        fresh connection is returned.

        :param timeout:
            Seconds to wait before giving up and raising
            :class:`urllib3.exceptions.EmptyPoolError` if the pool is empty and
            :prop:`.block` is ``True``.

</details>

<details><summary><h3><strong>def _put_conn(self, conn: BaseHTTPConnection | None)</strong></h3></summary>

Put a connection back into the pool.

        :param conn:
            Connection object for the current host and port as returned by
            :meth:`._new_conn` or :meth:`._get_conn`.

        If the pool is already full, the connection is closed and discarded
        because we exceeded maxsize. If connections are discarded frequently,
        then maxsize should be increased.

        If the pool is closed, then the connection will be closed and discarded.

</details>

<details><summary><h3><strong>def _validate_conn(self, conn: BaseHTTPConnection)</strong></h3></summary>

Called right before a request is made, after the socket is created.

</details>

<details><summary><h3><strong>def _prepare_proxy(self, conn: BaseHTTPConnection)</strong></h3></summary>

Helper that always returns a :class:`urllib3.util.Timeout`

</details>

<details><summary><h3><strong>def _get_timeout(self, timeout: _TYPE_TIMEOUT)</strong></h3></summary>

Helper that always returns a :class:`urllib3.util.Timeout`

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Is the error actually a timeout? Will raise a ReadTimeout or pass

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Perform a request on a given urllib connection object taken from our
        pool.

        :param conn:
            a connection from one of our connection pools

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param retries:
            Configure the number of retries to allow before raising a
            :class:`~urllib3.exceptions.MaxRetryError` exception.

            Pass ``None`` to retry until you receive a response. Pass a
            :class:`~urllib3.util.retry.Retry` object for fine-grained control
            over different types of retries.
            Pass an integer number to retry connection errors that many times,
            but no other types of errors. Pass zero to never retry.

            If ``False``, then retries are disabled and any exception is raised
            immediately. Also, instead of raising a MaxRetryError on redirects,
            the redirect response will be returned.

        :type retries: :class:`~urllib3.util.retry.Retry`, False, or an int.

        :param timeout:
            If specified, overrides the default timeout for this one
            request. It may be a float (in seconds) or an instance of
            :class:`urllib3.util.Timeout`.

        :param chunked:
            If True, urllib3 will send the body using chunked transfer
            encoding. Otherwise, urllib3 will send the body using the standard
            content-length form. Defaults to False.

        :param response_conn:
            Set this to ``None`` if you will handle releasing the connection or
            set the connection to have the response release it.

        :param preload_content:
          If True, the response's body will be preloaded during construction.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param enforce_content_length:
            Enforce content length checking. Body returned by server must match
            value of Content-Length header, if present. Otherwise, raise error.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Close all pooled connections and disable the pool.

</details>

<details><summary><h3><strong>def is_same_host(self, url: str)</strong></h3></summary>

Check if the given ``url`` is a member of the same host as this
        connection pool.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Get a connection from the pool and perform an HTTP request. This is the
        lowest level call for making a request, so you'll need to specify all
        the raw details.

        .. note::

           More commonly, it's appropriate to use a convenience method
           such as :meth:`request`.

        .. note::

           `release_conn` will only behave as expected if
           `preload_content=False` because we want to make
           `preload_content=False` the default behaviour someday soon without
           breaking backwards compatibility.

        :param method:
            HTTP request method (such as GET, POST, PUT, etc.)

        :param url:
            The URL to perform the request on.

        :param body:
            Data to send in the request body, either :class:`str`, :class:`bytes`,
            an iterable of :class:`str`/:class:`bytes`, or a file-like object.

        :param headers:
            Dictionary of custom headers to send, such as User-Agent,
            If-None-Match, etc. If None, pool headers are used. If provided,
            these headers completely replace any pool-specific headers.

        :param retries:
            Configure the number of retries to allow before raising a
            :class:`~urllib3.exceptions.MaxRetryError` exception.

            If ``None`` (default) will retry 3 times, see ``Retry.DEFAULT``. Pass a
            :class:`~urllib3.util.retry.Retry` object for fine-grained control
            over different types of retries.
            Pass an integer number to retry connection errors that many times,
            but no other types of errors. Pass zero to never retry.

            If ``False``, then retries are disabled and any exception is raised
            immediately. Also, instead of raising a MaxRetryError on redirects,
            the redirect response will be returned.

        :type retries: :class:`~urllib3.util.retry.Retry`, False, or an int.

        :param redirect:
            If True, automatically handle redirects (status codes 301, 302,
            303, 307, 308). Each redirect counts as a retry. Disabling retries
            will disable redirect, too.

        :param assert_same_host:
            If ``True``, will make sure that the host of the pool requests is
            consistent else will raise HostChangedError. When ``False``, you can
            use the pool on an HTTP proxy and request foreign hosts.

        :param timeout:
            If specified, overrides the default timeout for this one
            request. It may be a float (in seconds) or an instance of
            :class:`urllib3.util.Timeout`.

        :param pool_timeout:
            If set and the pool is set to block=True, then this method will
            block for ``pool_timeout`` seconds and raise EmptyPoolError if no
            connection is available within the time period.

        :param bool preload_content:
            If True, the response's body will be preloaded into memory.

        :param bool decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param release_conn:
            If False, then the urlopen call will not release the connection
            back into the pool once a response is received (but will release if
            you read the entire contents of the response such as when
            `preload_content=True`). This is useful if you're not preloading
            the response's content immediately. You will need to call
            ``r.release_conn()`` on the response ``r`` to return the connection
            back into the pool. If None, it takes the value of ``preload_content``
            which defaults to ``True``.

        :param bool chunked:
            If True, urllib3 will send the body using chunked transfer
            encoding. Otherwise, urllib3 will send the body using the standard
            content-length form. Defaults to False.

        :param int body_pos:
            Position to seek to in file-like body in the event of a retry or
            redirect. Typically this won't need to be set because urllib3 will
            auto-populate the value when needed.

</details>

<details><summary><h3><strong>def _prepare_proxy(self, conn: HTTPSConnection)</strong></h3></summary>

Establishes a tunnel connection through HTTP CONNECT.

</details>

<details><summary><h3><strong>def _prepare_proxy(self, conn: HTTPSConnection)</strong></h3></summary>

Establishes a tunnel connection through HTTP CONNECT.

</details>

<details><summary><h3><strong>def _new_conn(self)</strong></h3></summary>

Return a fresh :class:`urllib3.connection.HTTPConnection`.

</details>

<details><summary><h3><strong>def _validate_conn(self, conn: BaseHTTPConnection)</strong></h3></summary>

Called right before a request is made, after the socket is created.

</details>

<details><summary><h3><strong>def connection_from_url(url: str, **kw: typing.Any)</strong></h3></summary>

Given a url, return an :class:`.ConnectionPool` instance of its host.

    This is a shortcut for not having to parse out the scheme, host, and port
    of the url before creating an :class:`.ConnectionPool` instance.

    :param url:
        Absolute URL string that must include the scheme. Port is optional.

    :param \\**kw:
        Passes additional parameters to the constructor of the appropriate
        :class:`.ConnectionPool`. Useful for specifying things like
        timeout, maxsize, headers, etc.

    Example::

        >>> conn = connection_from_url('http://google.com/')
        >>> r = conn.request('GET', '/')

</details>

<details><summary><h3><strong>def _normalize_host(host: str | None, scheme: str | None)</strong></h3></summary>

Normalize hosts for comparisons and use with sockets.

</details>

<details><summary><h3><strong>def _close_pool_connections(pool: queue.LifoQueue[typing.Any])</strong></h3></summary>

Drains a queue of connections and closes each one.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> connection.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class EmscriptenHTTPConnection](#class-emscriptenhttpconnection)
- [def __init__](#def-__init__)
- [def set_tunnel](#def-set_tunnel)
- [def connect](#def-connect)
- [def request](#def-request)
- [def getresponse](#def-getresponse)
- [def close](#def-close)
- [def is_closed](#def-is_closed)
- [def is_connected](#def-is_connected)
- [def has_connected_to_proxy](#def-has_connected_to_proxy)
</details>

<details><summary><h3><strong>class EmscriptenHTTPConnection</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def set_tunnel</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def connect</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def request</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def getresponse</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def is_closed</strong></h4></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h4><strong>def is_connected</strong></h4></summary>

Whether the connection is actively connected to any origin (proxy or target)

</details>

<details><summary><h4><strong>def has_connected_to_proxy</strong></h4></summary>

Whether the connection has successfully connected to its proxy.
        This returns False if no proxy is in use. Used to determine whether
        errors are coming from the proxy layer or from tunnelling to the target origin.

</details>

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def getresponse(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def getresponse(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def is_closed(self)</strong></h3></summary>

Whether the connection either is brand new or has been previously closed.
        If this property is True then both ``is_connected`` and ``has_connected_to_proxy``
        properties must be False.

</details>

<details><summary><h3><strong>def is_connected(self)</strong></h3></summary>

Whether the connection is actively connected to any origin (proxy or target)

</details>

<details><summary><h3><strong>def has_connected_to_proxy(self)</strong></h3></summary>

Whether the connection has successfully connected to its proxy.
        This returns False if no proxy is in use. Used to determine whether
        errors are coming from the proxy layer or from tunnelling to the target origin.

</details>

</details>


<details><summary><h2><strong> fetch.py</strong></h2></summary>

Support for streaming http requests in emscripten.

A few caveats -

Firstly, you can't do streaming http in the main UI thread, because atomics.wait isn't allowed.
Streaming only works if you're running pyodide in a web worker.

Secondly, this uses an extra web worker and SharedArrayBuffer to do the asynchronous fetch
operation, so it requires that you have crossOriginIsolation enabled, by serving over https
(or from localhost) with the two headers below set:

    Cross-Origin-Opener-Policy: same-origin
    Cross-Origin-Embedder-Policy: require-corp

You can tell if cross origin isolation is successfully enabled by looking at the global crossOriginIsolated variable in
javascript console. If it isn't, streaming requests will fallback to XMLHttpRequest, i.e. getting the whole
request into a buffer and then returning it. it shows a warning in the javascript console in this case.

Finally, the webworker which does the streaming fetch is created on initial import, but will only be started once
control is returned to javascript. Call `await wait_for_streaming_ready()` to wait for streaming fetch.

NB: in this code, there are a lot of javascript objects. They are named js_*
to make it clear what type of object they are.

</details>


<details><summary><h2><strong> request.py</strong></h2></summary>

</details>


<details><summary><h2><strong> response.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class EmscriptenHttpResponseWrapper](#class-emscriptenhttpresponsewrapper)
- [class self](#class-self)
- [def __init__](#def-__init__)
- [def url](#def-url)
- [def url](#def-url)
- [def connection](#def-connection)
- [def retries](#def-retries)
- [def retries](#def-retries)
- [def stream](#def-stream)
- [def _init_length](#def-_init_length)
- [def read](#def-read)
- [def read_chunked](#def-read_chunked)
- [def release_conn](#def-release_conn)
- [def drain_conn](#def-drain_conn)
- [def data](#def-data)
- [def json](#def-json)
- [def close](#def-close)
- [def _error_catcher](#def-_error_catcher)
</details>

<details><summary><h3><strong>class EmscriptenHttpResponseWrapper</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

<details><summary><h4><strong>def __init__</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def connection</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def retries</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def retries</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def stream</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def _init_length</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def read_chunked</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def release_conn</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def drain_conn</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def json</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Catch Emscripten specific exceptions thrown by fetch.py,
        instead re-raising urllib3 variants, so that low-level exceptions
        are not leaked in the high-level api.

        On exit, release the connection back to the pool.

</details>

<details><summary><h4><strong>def _error_catcher</strong></h4></summary>

Catch Emscripten specific exceptions thrown by fetch.py,
        instead re-raising urllib3 variants, so that low-level exceptions
        are not leaked in the high-level api.

        On exit, release the connection back to the pool.

</details>

</details>

<details><summary><h3><strong>class self</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

<details><summary><h4><strong>def url</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def connection</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def retries</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def retries</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def stream</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def _init_length</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def read_chunked</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def release_conn</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def drain_conn</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def json</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Catch Emscripten specific exceptions thrown by fetch.py,
        instead re-raising urllib3 variants, so that low-level exceptions
        are not leaked in the high-level api.

        On exit, release the connection back to the pool.

</details>

<details><summary><h4><strong>def _error_catcher</strong></h4></summary>

Catch Emscripten specific exceptions thrown by fetch.py,
        instead re-raising urllib3 variants, so that low-level exceptions
        are not leaked in the high-level api.

        On exit, release the connection back to the pool.

</details>

</details>

<details><summary><h3><strong>def url(self)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def url(self)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def url(self, url: str | None)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def connection(self)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def retries(self)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def retries(self, retries: Retry | None)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def _init_length(self, request_method: str | None)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def _init_length(self, request_method: str | None)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def drain_conn(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def data(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def json(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Catch Emscripten specific exceptions thrown by fetch.py,
        instead re-raising urllib3 variants, so that low-level exceptions
        are not leaked in the high-level api.

        On exit, release the connection back to the pool.

</details>

<details><summary><h3><strong>def _error_catcher(self)</strong></h3></summary>

Catch Emscripten specific exceptions thrown by fetch.py,
        instead re-raising urllib3 variants, so that low-level exceptions
        are not leaked in the high-level api.

        On exit, release the connection back to the pool.

</details>

</details>


<details><summary><h2><strong> pyopenssl.py</strong></h2></summary>

Module for using pyOpenSSL as a TLS backend. This module was relevant before
the standard library ``ssl`` module supported SNI, but now that we've dropped
support for Python 2.7 all relevant Python versions support SNI so
**this module is no longer recommended**.

This needs the following packages installed:

* `pyOpenSSL`_ (tested with 16.0.0)
* `cryptography`_ (minimum 1.3.4, from pyopenssl)
* `idna`_ (minimum 2.0)

However, pyOpenSSL depends on cryptography, so while we use all three directly here we
end up having relatively few packages required.

You can install them with the following command:

.. code-block:: bash

    $ python -m pip install pyopenssl cryptography idna

To activate certificate checking, call
:func:`~urllib3.contrib.pyopenssl.inject_into_urllib3` from your Python code
before you begin making HTTP requests. This can be done in a ``sitecustomize``
module, or at any other time before your application begins using ``urllib3``,
like this:

.. code-block:: python

    try:
        import urllib3.contrib.pyopenssl
        urllib3.contrib.pyopenssl.inject_into_urllib3()
    except ImportError:
        pass

.. _pyopenssl: https://www.pyopenssl.org
.. _cryptography: https://cryptography.io
.. _idna: https://github.com/kjd/idna

<details open><summary><h3>Contents</h3></summary>

- [class WrappedSocket](#class-wrappedsocket)
- [class PyOpenSSLContext](#class-pyopensslcontext)
- [def _validate_dependencies_met](#def-_validate_dependencies_met)
- [def _dnsname_to_stdlib](#def-_dnsname_to_stdlib)
- [def idna_encode](#def-idna_encode)
- [def get_subj_alt_name](#def-get_subj_alt_name)
</details>

<details><summary><h3><strong>class WrappedSocket</strong></h3></summary>

API-compatibility wrapper for Python OpenSSL's Connection-class.

</details>

<details><summary><h3><strong>class PyOpenSSLContext</strong></h3></summary>

I am a wrapper class for the PyOpenSSL ``Context`` object. I am responsible
    for translating the interface of the standard library ``SSLContext`` object
    to calls into PyOpenSSL.

</details>

<details><summary><h3><strong>def _validate_dependencies_met()</strong></h3></summary>

Verifies that PyOpenSSL's package-level dependencies have been met.
    Throws `ImportError` if they are not met.

</details>

<details><summary><h3><strong>def _dnsname_to_stdlib(name: str)</strong></h3></summary>

Converts a dNSName SubjectAlternativeName field to the form used by the
    standard library on the given Python version.

    Cryptography produces a dNSName as a unicode string that was idna-decoded
    from ASCII bytes. We need to idna-encode that string to get it back, and
    then on Python 3 we also need to convert to unicode via UTF-8 (the stdlib
    uses PyUnicode_FromStringAndSize on it, which decodes via UTF-8).

    If the name cannot be idna-encoded then we return None signalling that
    the name given should be skipped.

</details>

<details><summary><h3><strong>def idna_encode(name: str)</strong></h3></summary>

Borrowed wholesale from the Python Cryptography Project. It turns out
        that we can't just safely call `idna.encode`: it can explode for
        wildcard names. This avoids that problem.

</details>

<details><summary><h3><strong>def get_subj_alt_name(peer_cert: X509)</strong></h3></summary>

Given an PyOpenSSL certificate, provides all the subject alternative names.

</details>

</details>


<details><summary><h2><strong> socks.py</strong></h2></summary>

This module contains provisional support for SOCKS proxies from within
urllib3. This module supports SOCKS4, SOCKS4A (an extension of SOCKS4), and
SOCKS5. To enable its functionality, either install PySocks or install this
module with the ``socks`` extra.

The SOCKS implementation supports the full range of urllib3 features. It also
supports the following SOCKS features:

- SOCKS4A (``proxy_url='socks4a://...``)
- SOCKS4 (``proxy_url='socks4://...``)
- SOCKS5 with remote DNS (``proxy_url='socks5h://...``)
- SOCKS5 with local DNS (``proxy_url='socks5://...``)
- Usernames and passwords for the SOCKS proxy

.. note::
   It is recommended to use ``socks5h://`` or ``socks4a://`` schemes in
   your ``proxy_url`` to ensure that DNS resolution is done from the remote
   server instead of client-side when connecting to a domain name.

SOCKS4 supports IPv4 and domain names with the SOCKS4A extension. SOCKS5
supports IPv4, IPv6, and domain names.

When connecting to a SOCKS4 proxy the ``username`` portion of the ``proxy_url``
will be sent as the ``userid`` section of the SOCKS request:

.. code-block:: python

    proxy_url="socks4a://<userid>@proxy-host"

When connecting to a SOCKS5 proxy the ``username`` and ``password`` portion
of the ``proxy_url`` will be sent as the username/password to authenticate
with the proxy:

.. code-block:: python

    proxy_url="socks5h://<username>:<password>@proxy-host"

<p><strong>Key features</strong></p>

<ul>
<li>SOCKS4A (``proxy_url='socks4a://...``)</li>
<li>SOCKS4 (``proxy_url='socks4://...``)</li>
<li>SOCKS5 with remote DNS (``proxy_url='socks5h://...``)</li>
<li>SOCKS5 with local DNS (``proxy_url='socks5://...``)</li>
<li>Usernames and passwords for the SOCKS proxy</li>
</ul>
<details open><summary><h3>Contents</h3></summary>

- [class SOCKSConnection](#class-socksconnection)
- [class SOCKSProxyManager](#class-socksproxymanager)
- [def __init__](#def-__init__)
- [def _new_conn](#def-_new_conn)
</details>

<details><summary><h3><strong>class SOCKSConnection</strong></h3></summary>

A plain-text HTTP connection that connects via a SOCKS proxy.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Establish a new connection via the SOCKS proxy.

</details>

<details><summary><h4><strong>def _new_conn</strong></h4></summary>

Establish a new connection via the SOCKS proxy.

</details>

</details>

<details><summary><h3><strong>class SOCKSProxyManager</strong></h3></summary>

A version of the urllib3 ProxyManager that routes connections via the
    defined SOCKS proxy.

</details>

<details><summary><h3><strong>def _new_conn(self)</strong></h3></summary>

Establish a new connection via the SOCKS proxy.

</details>

<details><summary><h3><strong>def _new_conn(self)</strong></h3></summary>

Establish a new connection via the SOCKS proxy.

</details>

</details>


<details><summary><h2><strong> exceptions.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class HTTPError](#class-httperror)
- [class HTTPWarning](#class-httpwarning)
- [class PoolError](#class-poolerror)
- [class RequestError](#class-requesterror)
- [class SSLError](#class-sslerror)
- [class ProxyError](#class-proxyerror)
- [class DecodeError](#class-decodeerror)
- [class ProtocolError](#class-protocolerror)
- [class MaxRetryError](#class-maxretryerror)
- [class HostChangedError](#class-hostchangederror)
- [class TimeoutStateError](#class-timeoutstateerror)
- [class TimeoutError](#class-timeouterror)
- [class ReadTimeoutError](#class-readtimeouterror)
- [class ConnectTimeoutError](#class-connecttimeouterror)
- [class NewConnectionError](#class-newconnectionerror)
- [class NameResolutionError](#class-nameresolutionerror)
- [class EmptyPoolError](#class-emptypoolerror)
- [class FullPoolError](#class-fullpoolerror)
- [class ClosedPoolError](#class-closedpoolerror)
- [class LocationValueError](#class-locationvalueerror)
- [class LocationParseError](#class-locationparseerror)
- [class URLSchemeUnknown](#class-urlschemeunknown)
- [class ResponseError](#class-responseerror)
- [class SecurityWarning](#class-securitywarning)
- [class InsecureRequestWarning](#class-insecurerequestwarning)
- [class NotOpenSSLWarning](#class-notopensslwarning)
- [class SystemTimeWarning](#class-systemtimewarning)
- [class InsecurePlatformWarning](#class-insecureplatformwarning)
- [class DependencyWarning](#class-dependencywarning)
- [class ResponseNotChunked](#class-responsenotchunked)
- [class BodyNotHttplibCompatible](#class-bodynothttplibcompatible)
- [class IncompleteRead](#class-incompleteread)
- [class InvalidChunkLength](#class-invalidchunklength)
- [class InvalidHeader](#class-invalidheader)
- [class ProxySchemeUnknown](#class-proxyschemeunknown)
- [class ProxySchemeUnsupported](#class-proxyschemeunsupported)
- [class HeaderParsingError](#class-headerparsingerror)
- [class UnrewindableBodyError](#class-unrewindablebodyerror)
</details>

<details><summary><h3><strong>class HTTPError</strong></h3></summary>

Base exception used by this module.

</details>

<details><summary><h3><strong>class HTTPWarning</strong></h3></summary>

Base warning used by this module.

</details>

<details><summary><h3><strong>class PoolError</strong></h3></summary>

Base exception for errors caused within a pool.

</details>

<details><summary><h3><strong>class RequestError</strong></h3></summary>

Base exception for PoolErrors that have associated URLs.

</details>

<details><summary><h3><strong>class SSLError</strong></h3></summary>

Raised when SSL certificate fails in an HTTPS connection.

</details>

<details><summary><h3><strong>class ProxyError</strong></h3></summary>

Raised when the connection to a proxy fails.

</details>

<details><summary><h3><strong>class DecodeError</strong></h3></summary>

Raised when automatic decoding based on Content-Type fails.

</details>

<details><summary><h3><strong>class ProtocolError</strong></h3></summary>

Raised when something unexpected happens mid-request/response.

</details>

<details><summary><h3><strong>class MaxRetryError</strong></h3></summary>

Raised when the maximum number of retries is exceeded.

    :param pool: The connection pool
    :type pool: :class:`~urllib3.connectionpool.HTTPConnectionPool`
    :param str url: The requested Url
    :param reason: The underlying error
    :type reason: :class:`Exception`

</details>

<details><summary><h3><strong>class HostChangedError</strong></h3></summary>

Raised when an existing pool gets a request for a foreign host.

</details>

<details><summary><h3><strong>class TimeoutStateError</strong></h3></summary>

Raised when passing an invalid state to a timeout

</details>

<details><summary><h3><strong>class TimeoutError</strong></h3></summary>

Raised when a socket timeout error occurs.

    Catching this error will catch both :exc:`ReadTimeoutErrors
    <ReadTimeoutError>` and :exc:`ConnectTimeoutErrors <ConnectTimeoutError>`.

</details>

<details><summary><h3><strong>class ReadTimeoutError</strong></h3></summary>

Raised when a socket timeout occurs while receiving data from a server

</details>

<details><summary><h3><strong>class ConnectTimeoutError</strong></h3></summary>

Raised when a socket timeout occurs while connecting to a server

</details>

<details><summary><h3><strong>class NewConnectionError</strong></h3></summary>

Raised when we fail to establish a new connection. Usually ECONNREFUSED.

</details>

<details><summary><h3><strong>class NameResolutionError</strong></h3></summary>

Raised when host name resolution fails.

</details>

<details><summary><h3><strong>class EmptyPoolError</strong></h3></summary>

Raised when a pool runs out of connections and no more are allowed.

</details>

<details><summary><h3><strong>class FullPoolError</strong></h3></summary>

Raised when we try to add a connection to a full pool in blocking mode.

</details>

<details><summary><h3><strong>class ClosedPoolError</strong></h3></summary>

Raised when a request enters a pool after the pool has been closed.

</details>

<details><summary><h3><strong>class LocationValueError</strong></h3></summary>

Raised when there is something wrong with a given URL input.

</details>

<details><summary><h3><strong>class LocationParseError</strong></h3></summary>

Raised when get_host or similar fails to parse the URL input.

</details>

<details><summary><h3><strong>class URLSchemeUnknown</strong></h3></summary>

Raised when a URL input has an unsupported scheme.

</details>

<details><summary><h3><strong>class ResponseError</strong></h3></summary>

Used as a container for an error reason supplied in a MaxRetryError.

</details>

<details><summary><h3><strong>class SecurityWarning</strong></h3></summary>

Warned when performing security reducing actions

</details>

<details><summary><h3><strong>class InsecureRequestWarning</strong></h3></summary>

Warned when making an unverified HTTPS request.

</details>

<details><summary><h3><strong>class NotOpenSSLWarning</strong></h3></summary>

Warned when using unsupported SSL library

</details>

<details><summary><h3><strong>class SystemTimeWarning</strong></h3></summary>

Warned when system time is suspected to be wrong

</details>

<details><summary><h3><strong>class InsecurePlatformWarning</strong></h3></summary>

Warned when certain TLS/SSL configuration is not available on a platform.

</details>

<details><summary><h3><strong>class DependencyWarning</strong></h3></summary>

Warned when an attempt is made to import a module with missing optional
    dependencies.

</details>

<details><summary><h3><strong>class ResponseNotChunked</strong></h3></summary>

Response needs to be chunked in order to read it as chunks.

</details>

<details><summary><h3><strong>class BodyNotHttplibCompatible</strong></h3></summary>

Body should be :class:`http.client.HTTPResponse` like
    (have an fp attribute which returns raw chunks) for read_chunked().

</details>

<details><summary><h3><strong>class IncompleteRead</strong></h3></summary>

Response length doesn't match expected Content-Length

    Subclass of :class:`http.client.IncompleteRead` to allow int value
    for ``partial`` to avoid creating large objects on streamed reads.

</details>

<details><summary><h3><strong>class InvalidChunkLength</strong></h3></summary>

Invalid chunk length in a chunked response.

</details>

<details><summary><h3><strong>class InvalidHeader</strong></h3></summary>

The header provided was somehow invalid.

</details>

<details><summary><h3><strong>class ProxySchemeUnknown</strong></h3></summary>

ProxyManager does not support the supplied scheme

</details>

<details><summary><h3><strong>class ProxySchemeUnsupported</strong></h3></summary>

Fetching HTTPS resources through HTTPS proxies is unsupported

</details>

<details><summary><h3><strong>class HeaderParsingError</strong></h3></summary>

Raised by assert_header_parsing, but we convert it to a log.warning statement.

</details>

<details><summary><h3><strong>class UnrewindableBodyError</strong></h3></summary>

urllib3 encountered an error when trying to rewind a body

</details>

</details>


<details><summary><h2><strong> fields.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class RequestField](#class-requestfield)
- [def format_header_param_rfc2231](#def-format_header_param_rfc2231)
- [def format_multipart_header_param](#def-format_multipart_header_param)
- [def format_header_param_html5](#def-format_header_param_html5)
- [def format_header_param](#def-format_header_param)
- [def __init__](#def-__init__)
- [def from_tuples](#def-from_tuples)
- [def _render_part](#def-_render_part)
- [def _render_parts](#def-_render_parts)
- [def render_headers](#def-render_headers)
- [def make_multipart](#def-make_multipart)
</details>

<details><summary><h3><strong>class RequestField</strong></h3></summary>

A data container for request body parameters.

    :param name:
        The name of this request field. Must be unicode.
    :param data:
        The data/value body.
    :param filename:
        An optional filename of the request field. Must be unicode.
    :param headers:
        An optional dict-like object of headers to initially use for the field.

    .. versionchanged:: 2.0.0
        The ``header_formatter`` parameter is deprecated and will
        be removed in urllib3 v2.1.0.

<details><summary><h4><strong>def __init__</strong></h4></summary>

A :class:`~urllib3.fields.RequestField` factory from old-style tuple parameters.

        Supports constructing :class:`~urllib3.fields.RequestField` from
        parameter of key/value strings AND key/filetuple. A filetuple is a
        (filename, data, MIME type) tuple where the MIME type is optional.
        For example::

            'foo': 'bar',
            'fakefile': ('foofile.txt', 'contents of foofile'),
            'realfile': ('barfile.txt', open('realfile').read()),
            'typedfile': ('bazfile.bin', open('bazfile').read(), 'image/jpeg'),
            'nonamefile': 'contents of nonamefile field',

        Field names and filenames must be unicode.

</details>

<details><summary><h4><strong>def from_tuples</strong></h4></summary>

A :class:`~urllib3.fields.RequestField` factory from old-style tuple parameters.

        Supports constructing :class:`~urllib3.fields.RequestField` from
        parameter of key/value strings AND key/filetuple. A filetuple is a
        (filename, data, MIME type) tuple where the MIME type is optional.
        For example::

            'foo': 'bar',
            'fakefile': ('foofile.txt', 'contents of foofile'),
            'realfile': ('barfile.txt', open('realfile').read()),
            'typedfile': ('bazfile.bin', open('bazfile').read(), 'image/jpeg'),
            'nonamefile': 'contents of nonamefile field',

        Field names and filenames must be unicode.

</details>

<details><summary><h4><strong>def _render_part</strong></h4></summary>

Override this method to change how each multipart header
        parameter is formatted. By default, this calls
        :func:`format_multipart_header_param`.

        :param name:
            The name of the parameter, an ASCII-only ``str``.
        :param value:
            The value of the parameter, a ``str`` or UTF-8 encoded
            ``bytes``.

        :meta public:

</details>

<details><summary><h4><strong>def _render_parts</strong></h4></summary>

Helper function to format and quote a single header.

        Useful for single headers that are composed of multiple items. E.g.,
        'Content-Disposition' fields.

        :param header_parts:
            A sequence of (k, v) tuples or a :class:`dict` of (k, v) to format
            as `k1="v1"; k2="v2"; ...`.

</details>

<details><summary><h4><strong>def render_headers</strong></h4></summary>

Renders the headers for this request field.

</details>

<details><summary><h4><strong>def make_multipart</strong></h4></summary>

Makes this request field into a multipart request field.

        This method overrides "Content-Disposition", "Content-Type" and
        "Content-Location" headers to the request parameter.

        :param content_disposition:
            The 'Content-Disposition' of the request body. Defaults to 'form-data'
        :param content_type:
            The 'Content-Type' of the request body.
        :param content_location:
            The 'Content-Location' of the request body.

</details>

</details>

<details><summary><h3><strong>def format_header_param_rfc2231(name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

Helper function to format and quote a single header parameter using the
    strategy defined in RFC 2231.

    Particularly useful for header parameters which might contain
    non-ASCII values, like file names. This follows
    `RFC 2388 Section 4.4 <https://tools.ietf.org/html/rfc2388#section-4.4>`_.

    :param name:
        The name of the parameter, a string expected to be ASCII only.
    :param value:
        The value of the parameter, provided as ``bytes`` or `str``.
    :returns:
        An RFC-2231-formatted unicode string.

    .. deprecated:: 2.0.0
        Will be removed in urllib3 v2.1.0. This is not valid for
        ``multipart/form-data`` header parameters.

</details>

<details><summary><h3><strong>def format_multipart_header_param(name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

Format and quote a single multipart header parameter.

    This follows the `WHATWG HTML Standard`_ as of 2021/06/10, matching
    the behavior of current browser and curl versions. Values are
    assumed to be UTF-8. The ``\\n``, ``\\r``, and ``"`` characters are
    percent encoded.

    .. _WHATWG HTML Standard:
        https://html.spec.whatwg.org/multipage/
        form-control-infrastructure.html#multipart-form-data

    :param name:
        The name of the parameter, an ASCII-only ``str``.
    :param value:
        The value of the parameter, a ``str`` or UTF-8 encoded
        ``bytes``.
    :returns:
        A string ``name="value"`` with the escaped value.

    .. versionchanged:: 2.0.0
        Matches the WHATWG HTML Standard as of 2021/06/10. Control
        characters are no longer percent encoded.

    .. versionchanged:: 2.0.0
        Renamed from ``format_header_param_html5`` and
        ``format_header_param``. The old names will be removed in
        urllib3 v2.1.0.

</details>

<details><summary><h3><strong>def format_header_param_html5(name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

.. deprecated:: 2.0.0
        Renamed to :func:`format_multipart_header_param`. Will be
        removed in urllib3 v2.1.0.

</details>

<details><summary><h3><strong>def format_header_param(name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

.. deprecated:: 2.0.0
        Renamed to :func:`format_multipart_header_param`. Will be
        removed in urllib3 v2.1.0.

</details>

<details><summary><h3><strong>def _render_part(self, name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

A :class:`~urllib3.fields.RequestField` factory from old-style tuple parameters.

        Supports constructing :class:`~urllib3.fields.RequestField` from
        parameter of key/value strings AND key/filetuple. A filetuple is a
        (filename, data, MIME type) tuple where the MIME type is optional.
        For example::

            'foo': 'bar',
            'fakefile': ('foofile.txt', 'contents of foofile'),
            'realfile': ('barfile.txt', open('realfile').read()),
            'typedfile': ('bazfile.bin', open('bazfile').read(), 'image/jpeg'),
            'nonamefile': 'contents of nonamefile field',

        Field names and filenames must be unicode.

</details>

<details><summary><h3><strong>def _render_part(self, name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

A :class:`~urllib3.fields.RequestField` factory from old-style tuple parameters.

        Supports constructing :class:`~urllib3.fields.RequestField` from
        parameter of key/value strings AND key/filetuple. A filetuple is a
        (filename, data, MIME type) tuple where the MIME type is optional.
        For example::

            'foo': 'bar',
            'fakefile': ('foofile.txt', 'contents of foofile'),
            'realfile': ('barfile.txt', open('realfile').read()),
            'typedfile': ('bazfile.bin', open('bazfile').read(), 'image/jpeg'),
            'nonamefile': 'contents of nonamefile field',

        Field names and filenames must be unicode.

</details>

<details><summary><h3><strong>def _render_part(self, name: str, value: _TYPE_FIELD_VALUE)</strong></h3></summary>

Override this method to change how each multipart header
        parameter is formatted. By default, this calls
        :func:`format_multipart_header_param`.

        :param name:
            The name of the parameter, an ASCII-only ``str``.
        :param value:
            The value of the parameter, a ``str`` or UTF-8 encoded
            ``bytes``.

        :meta public:

</details>

<details><summary><h3><strong>def render_headers(self)</strong></h3></summary>

Helper function to format and quote a single header.

        Useful for single headers that are composed of multiple items. E.g.,
        'Content-Disposition' fields.

        :param header_parts:
            A sequence of (k, v) tuples or a :class:`dict` of (k, v) to format
            as `k1="v1"; k2="v2"; ...`.

</details>

<details><summary><h3><strong>def render_headers(self)</strong></h3></summary>

Renders the headers for this request field.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Makes this request field into a multipart request field.

        This method overrides "Content-Disposition", "Content-Type" and
        "Content-Location" headers to the request parameter.

        :param content_disposition:
            The 'Content-Disposition' of the request body. Defaults to 'form-data'
        :param content_type:
            The 'Content-Type' of the request body.
        :param content_location:
            The 'Content-Location' of the request body.

</details>

</details>


<details><summary><h2><strong> filepost.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def choose_boundary](#def-choose_boundary)
- [def iter_field_objects](#def-iter_field_objects)
</details>

<details><summary><h3><strong>def choose_boundary()</strong></h3></summary>

Our embarrassingly-simple replacement for mimetools.choose_boundary.

</details>

<details><summary><h3><strong>def iter_field_objects(fields: _TYPE_FIELDS)</strong></h3></summary>

Iterate over fields.

    Supports list of (k, v) tuples and dicts, and lists of
    :class:`~urllib3.fields.RequestField`.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> connection.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _LockedObject](#class-_lockedobject)
- [class HTTP2Connection](#class-http2connection)
- [def _is_legal_header_name](#def-_is_legal_header_name)
- [def _is_illegal_header_value](#def-_is_illegal_header_value)
- [def __init__](#def-__init__)
- [def _new_h2_conn](#def-_new_h2_conn)
- [def connect](#def-connect)
- [def putrequest](#def-putrequest)
- [def putheader](#def-putheader)
- [def endheaders](#def-endheaders)
- [def send](#def-send)
- [def set_tunnel](#def-set_tunnel)
- [def getresponse](#def-getresponse)
- [def request](#def-request)
</details>

<details><summary><h3><strong>class _LockedObject</strong></h3></summary>

A wrapper class that hides a specific object behind a lock.
    The goal here is to provide a simple way to protect access to an object
    that cannot safely be simultaneously accessed from multiple threads. The
    intended use of this class is simple: take hold of it with a context
    manager, which returns the protected object.

</details>

<details><summary><h3><strong>class HTTP2Connection</strong></h3></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

<details><summary><h4><strong>def __init__</strong></h4></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h4><strong>def _new_h2_conn</strong></h4></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h4><strong>def connect</strong></h4></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h4><strong>def putrequest</strong></h4></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h4><strong>def putheader</strong></h4></summary>

Send data to the server.
        `data` can be: `str`, `bytes`, an iterable, or file-like objects
        that support a .read() method.

</details>

<details><summary><h4><strong>def endheaders</strong></h4></summary>

Send data to the server.
        `data` can be: `str`, `bytes`, an iterable, or file-like objects
        that support a .read() method.

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Send data to the server.
        `data` can be: `str`, `bytes`, an iterable, or file-like objects
        that support a .read() method.

</details>

<details><summary><h4><strong>def set_tunnel</strong></h4></summary>

Send an HTTP/2 request

</details>

<details><summary><h4><strong>def getresponse</strong></h4></summary>

Send an HTTP/2 request

</details>

<details><summary><h4><strong>def request</strong></h4></summary>

Send an HTTP/2 request

</details>

</details>

<details><summary><h3><strong>def _is_legal_header_name(name: bytes)</strong></h3></summary>

"An implementation that validates fields according to the definitions in Sections
    5.1 and 5.5 of [HTTP] only needs an additional check that field names do not
    include uppercase characters." (https://httpwg.org/specs/rfc9113.html#n-field-validity)

    `http.client._is_legal_header_name` does not validate the field name according to the
    HTTP 1.1 spec, so we do that here, in addition to checking for uppercase characters.

    This does not allow for the `:` character in the header name, so should not
    be used to validate pseudo-headers.

</details>

<details><summary><h3><strong>def _is_illegal_header_value(value: bytes)</strong></h3></summary>

"A field value MUST NOT contain the zero value (ASCII NUL, 0x00), line feed
    (ASCII LF, 0x0a), or carriage return (ASCII CR, 0x0d) at any position. A field
    value MUST NOT start or end with an ASCII whitespace character (ASCII SP or HTAB,
    0x20 or 0x09)." (https://httpwg.org/specs/rfc9113.html#n-field-validity)

</details>

<details><summary><h3><strong>def _new_h2_conn(self)</strong></h3></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h3><strong>def _new_h2_conn(self)</strong></h3></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h3><strong>def connect(self)</strong></h3></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h3><strong>def putheader(self, header: str | bytes, *values: str | bytes)</strong></h3></summary>

putrequest
        This deviates from the HTTPConnection method signature since we never need to override
        sending accept-encoding headers or the host header.

</details>

<details><summary><h3><strong>def putheader(self, header: str | bytes, *values: str | bytes)</strong></h3></summary>

Send data to the server.
        `data` can be: `str`, `bytes`, an iterable, or file-like objects
        that support a .read() method.

</details>

<details><summary><h3><strong>def endheaders(self, message_body: typing.Any = None)</strong></h3></summary>

Send data to the server.
        `data` can be: `str`, `bytes`, an iterable, or file-like objects
        that support a .read() method.

</details>

<details><summary><h3><strong>def send(self, data: typing.Any)</strong></h3></summary>

Send data to the server.
        `data` can be: `str`, `bytes`, an iterable, or file-like objects
        that support a .read() method.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Send an HTTP/2 request

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Send an HTTP/2 request

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Send an HTTP/2 request

</details>

</details>


<details><summary><h2><strong> probe.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class _HTTP2ProbeCache](#class-_http2probecache)
- [def __init__](#def-__init__)
- [def acquire_and_get](#def-acquire_and_get)
- [def set_and_release](#def-set_and_release)
- [def _values](#def-_values)
- [def _reset](#def-_reset)
</details>

<details><summary><h3><strong>class _HTTP2ProbeCache</strong></h3></summary>

This function is for testing purposes only. Gets the current state of the probe cache

<details><summary><h4><strong>def __init__</strong></h4></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h4><strong>def acquire_and_get</strong></h4></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h4><strong>def set_and_release</strong></h4></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h4><strong>def _values</strong></h4></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h4><strong>def _reset</strong></h4></summary>

This function is for testing purposes only. Reset the cache values

</details>

</details>

<details><summary><h3><strong>def __init__(self)</strong></h3></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h3><strong>def acquire_and_get(self, host: str, port: int)</strong></h3></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h3><strong>def _values(self)</strong></h3></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h3><strong>def _values(self)</strong></h3></summary>

This function is for testing purposes only. Gets the current state of the probe cache

</details>

<details><summary><h3><strong>def _reset(self)</strong></h3></summary>

This function is for testing purposes only. Reset the cache values

</details>

</details>


<details><summary><h2><strong> poolmanager.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class PoolKey](#class-poolkey)
- [class PoolManager](#class-poolmanager)
- [class used](#class-used)
- [class ProxyManager](#class-proxymanager)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def _new_pool](#def-_new_pool)
- [def clear](#def-clear)
- [def connection_from_host](#def-connection_from_host)
- [def connection_from_context](#def-connection_from_context)
- [def connection_from_pool_key](#def-connection_from_pool_key)
- [def connection_from_url](#def-connection_from_url)
- [def _merge_pool_kwargs](#def-_merge_pool_kwargs)
- [def _proxy_requires_url_absolute_form](#def-_proxy_requires_url_absolute_form)
- [def urlopen](#def-urlopen)
- [def __init__](#def-__init__)
- [def connection_from_host](#def-connection_from_host)
- [def _set_proxy_headers](#def-_set_proxy_headers)
</details>

<details><summary><h3><strong>class PoolKey</strong></h3></summary>

All known keyword arguments that could be provided to the pool manager, its
    pools, or the underlying connections.

    All custom key schemes should include the fields in this key at a minimum.

</details>

<details><summary><h3><strong>class PoolManager</strong></h3></summary>

Allows for arbitrary requests while transparently keeping track of
    necessary connection pools for you.

    :param num_pools:
        Number of connection pools to cache before discarding the least
        recently used pool.

    :param headers:
        Headers to include with all requests, unless other headers are given
        explicitly.

    :param \\**connection_pool_kw:
        Additional parameters are used to create fresh
        :class:`urllib3.connectionpool.ConnectionPool` instances.

    Example:

    .. code-block:: python

        import urllib3

        http = urllib3.PoolManager(num_pools=2)

        resp1 = http.request("GET", "https://google.com/")
        resp2 = http.request("GET", "https://google.com/mail")
        resp3 = http.request("GET", "https://yahoo.com/")

        print(len(http.pools))
        # 2

<details><summary><h4><strong>def __init__</strong></h4></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h4><strong>def _new_pool</strong></h4></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h4><strong>def clear</strong></h4></summary>

Empty our store of pools and direct them all to close.

        This will not affect in-flight connections, but they will not be
        re-used after completion.

</details>

<details><summary><h4><strong>def connection_from_host</strong></h4></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the host, port, and scheme.

        If ``port`` isn't given, it will be derived from the ``scheme`` using
        ``urllib3.connectionpool.port_by_scheme``. If ``pool_kwargs`` is
        provided, it is merged with the instance's ``connection_pool_kw``
        variable and used to create the new connection pool, if one is
        needed.

</details>

<details><summary><h4><strong>def connection_from_context</strong></h4></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the request context.

        ``request_context`` must at least contain the ``scheme`` key and its
        value must be a key in ``key_fn_by_scheme`` instance variable.

</details>

<details><summary><h4><strong>def connection_from_pool_key</strong></h4></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the provided pool key.

        ``pool_key`` should be a namedtuple that only contains immutable
        objects. At a minimum it must have the ``scheme``, ``host``, and
        ``port`` fields.

</details>

<details><summary><h4><strong>def connection_from_url</strong></h4></summary>

Similar to :func:`urllib3.connectionpool.connection_from_url`.

        If ``pool_kwargs`` is not provided and a new pool needs to be
        constructed, ``self.connection_pool_kw`` is used to initialize
        the :class:`urllib3.connectionpool.ConnectionPool`. If ``pool_kwargs``
        is provided, it is used instead. Note that if a new pool does not
        need to be created for the request, the provided ``pool_kwargs`` are
        not used.

</details>

<details><summary><h4><strong>def _merge_pool_kwargs</strong></h4></summary>

Merge a dictionary of override values for self.connection_pool_kw.

        This does not modify self.connection_pool_kw and returns a new dict.
        Any keys in the override dictionary with a value of ``None`` are
        removed from the merged dictionary.

</details>

<details><summary><h4><strong>def _proxy_requires_url_absolute_form</strong></h4></summary>

Indicates if the proxy requires the complete destination URL in the
        request.  Normally this is only needed when not using an HTTP CONNECT
        tunnel.

</details>

<details><summary><h4><strong>def urlopen</strong></h4></summary>

Same as :meth:`urllib3.HTTPConnectionPool.urlopen`
        with custom cross-host redirect logic and only sends the request-uri
        portion of the ``url``.

        The given ``url`` parameter must be absolute, such that an appropriate
        :class:`urllib3.connectionpool.ConnectionPool` can be chosen for it.

</details>

</details>

<details><summary><h3><strong>class used</strong></h3></summary>

pool_cls: type[HTTPConnectionPool] = self.pool_classes_by_scheme[scheme]
        if request_context is None:
            request_context = self.connection_pool_kw.copy()

        # Default blocksize to _DEFAULT_BLOCKSIZE if missing or explicitly
        # set to 'None' in the request_context.
        if request_context.get("blocksize") is None:
            request_context["blocksize"] = _DEFAULT_BLOCKSIZE

        # Although the context has everything necessary to create the pool,
        # this function has historically only used the scheme, host, and port
        # in the positional args. When an API change is acceptable these can
        # be removed.
        for key in ("scheme", "host", "port"):
            request_context.pop(key, None)

        if scheme == "http":
            for kw in SSL_KEYWORDS:
                request_context.pop(kw, None)

        return pool_cls(host, port, **request_context)

    def clear(self) -> None:

<details><summary><h4><strong>def clear</strong></h4></summary>

Empty our store of pools and direct them all to close.

        This will not affect in-flight connections, but they will not be
        re-used after completion.

</details>

<details><summary><h4><strong>def connection_from_host</strong></h4></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the host, port, and scheme.

        If ``port`` isn't given, it will be derived from the ``scheme`` using
        ``urllib3.connectionpool.port_by_scheme``. If ``pool_kwargs`` is
        provided, it is merged with the instance's ``connection_pool_kw``
        variable and used to create the new connection pool, if one is
        needed.

</details>

<details><summary><h4><strong>def connection_from_context</strong></h4></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the request context.

        ``request_context`` must at least contain the ``scheme`` key and its
        value must be a key in ``key_fn_by_scheme`` instance variable.

</details>

<details><summary><h4><strong>def connection_from_pool_key</strong></h4></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the provided pool key.

        ``pool_key`` should be a namedtuple that only contains immutable
        objects. At a minimum it must have the ``scheme``, ``host``, and
        ``port`` fields.

</details>

<details><summary><h4><strong>def connection_from_url</strong></h4></summary>

Similar to :func:`urllib3.connectionpool.connection_from_url`.

        If ``pool_kwargs`` is not provided and a new pool needs to be
        constructed, ``self.connection_pool_kw`` is used to initialize
        the :class:`urllib3.connectionpool.ConnectionPool`. If ``pool_kwargs``
        is provided, it is used instead. Note that if a new pool does not
        need to be created for the request, the provided ``pool_kwargs`` are
        not used.

</details>

<details><summary><h4><strong>def _merge_pool_kwargs</strong></h4></summary>

Merge a dictionary of override values for self.connection_pool_kw.

        This does not modify self.connection_pool_kw and returns a new dict.
        Any keys in the override dictionary with a value of ``None`` are
        removed from the merged dictionary.

</details>

<details><summary><h4><strong>def _proxy_requires_url_absolute_form</strong></h4></summary>

Indicates if the proxy requires the complete destination URL in the
        request.  Normally this is only needed when not using an HTTP CONNECT
        tunnel.

</details>

<details><summary><h4><strong>def urlopen</strong></h4></summary>

Same as :meth:`urllib3.HTTPConnectionPool.urlopen`
        with custom cross-host redirect logic and only sends the request-uri
        portion of the ``url``.

        The given ``url`` parameter must be absolute, such that an appropriate
        :class:`urllib3.connectionpool.ConnectionPool` can be chosen for it.

</details>

</details>

<details><summary><h3><strong>class ProxyManager</strong></h3></summary>

Behaves just like :class:`PoolManager`, but sends all requests through
    the defined proxy, using the CONNECT method for HTTPS URLs.

    :param proxy_url:
        The URL of the proxy to be used.

    :param proxy_headers:
        A dictionary containing headers that will be sent to the proxy. In case
        of HTTP they are being sent with each request, while in the
        HTTPS/CONNECT case they are sent only once. Could be used for proxy
        authentication.

    :param proxy_ssl_context:
        The proxy SSL context is used to establish the TLS connection to the
        proxy when using HTTPS proxies.

    :param use_forwarding_for_https:
        (Defaults to False) If set to True will forward requests to the HTTPS
        proxy to be made on behalf of the client instead of creating a TLS
        tunnel via the CONNECT method. **Enabling this flag means that request
        and response headers and content will be visible from the HTTPS proxy**
        whereas tunneling keeps request and response headers and content
        private.  IP address, target hostname, SNI, and port are always visible
        to an HTTPS proxy even when this flag is disabled.

    :param proxy_assert_hostname:
        The hostname of the certificate to verify against.

    :param proxy_assert_fingerprint:
        The fingerprint of the certificate to verify against.

    Example:

    .. code-block:: python

        import urllib3

        proxy = urllib3.ProxyManager("https://localhost:3128/")

        resp1 = proxy.request("GET", "https://google.com/")
        resp2 = proxy.request("GET", "https://httpbin.org/")

        print(len(proxy.pools))
        # 1

        resp3 = proxy.request("GET", "https://httpbin.org/")
        resp4 = proxy.request("GET", "https://twitter.com/")

        print(len(proxy.pools))
        # 3

<details><summary><h4><strong>def __init__</strong></h4></summary>

Sets headers needed by proxies: specifically, the Accept and Host
        headers. Only sets headers not provided by the user.

</details>

<details><summary><h4><strong>def connection_from_host</strong></h4></summary>

Sets headers needed by proxies: specifically, the Accept and Host
        headers. Only sets headers not provided by the user.

</details>

<details><summary><h4><strong>def _set_proxy_headers</strong></h4></summary>

Sets headers needed by proxies: specifically, the Accept and Host
        headers. Only sets headers not provided by the user.

</details>

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h3><strong>def clear(self)</strong></h3></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h3><strong>def clear(self)</strong></h3></summary>

Create a new :class:`urllib3.connectionpool.ConnectionPool` based on host, port, scheme, and
        any additional pool keyword arguments.

        If ``request_context`` is provided, it is provided as keyword arguments
        to the pool class used. This method is used to actually create the
        connection pools handed out by :meth:`connection_from_url` and
        companion methods. It is intended to be overridden for customization.

</details>

<details><summary><h3><strong>def clear(self)</strong></h3></summary>

Empty our store of pools and direct them all to close.

        This will not affect in-flight connections, but they will not be
        re-used after completion.

</details>

<details><summary><h3><strong>def _proxy_requires_url_absolute_form(self, parsed_url: Url)</strong></h3></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the host, port, and scheme.

        If ``port`` isn't given, it will be derived from the ``scheme`` using
        ``urllib3.connectionpool.port_by_scheme``. If ``pool_kwargs`` is
        provided, it is merged with the instance's ``connection_pool_kw``
        variable and used to create the new connection pool, if one is
        needed.

</details>

<details><summary><h3><strong>def _proxy_requires_url_absolute_form(self, parsed_url: Url)</strong></h3></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the request context.

        ``request_context`` must at least contain the ``scheme`` key and its
        value must be a key in ``key_fn_by_scheme`` instance variable.

</details>

<details><summary><h3><strong>def _proxy_requires_url_absolute_form(self, parsed_url: Url)</strong></h3></summary>

Get a :class:`urllib3.connectionpool.ConnectionPool` based on the provided pool key.

        ``pool_key`` should be a namedtuple that only contains immutable
        objects. At a minimum it must have the ``scheme``, ``host``, and
        ``port`` fields.

</details>

<details><summary><h3><strong>def _proxy_requires_url_absolute_form(self, parsed_url: Url)</strong></h3></summary>

Similar to :func:`urllib3.connectionpool.connection_from_url`.

        If ``pool_kwargs`` is not provided and a new pool needs to be
        constructed, ``self.connection_pool_kw`` is used to initialize
        the :class:`urllib3.connectionpool.ConnectionPool`. If ``pool_kwargs``
        is provided, it is used instead. Note that if a new pool does not
        need to be created for the request, the provided ``pool_kwargs`` are
        not used.

</details>

<details><summary><h3><strong>def _proxy_requires_url_absolute_form(self, parsed_url: Url)</strong></h3></summary>

Merge a dictionary of override values for self.connection_pool_kw.

        This does not modify self.connection_pool_kw and returns a new dict.
        Any keys in the override dictionary with a value of ``None`` are
        removed from the merged dictionary.

</details>

<details><summary><h3><strong>def _proxy_requires_url_absolute_form(self, parsed_url: Url)</strong></h3></summary>

Indicates if the proxy requires the complete destination URL in the
        request.  Normally this is only needed when not using an HTTP CONNECT
        tunnel.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Same as :meth:`urllib3.HTTPConnectionPool.urlopen`
        with custom cross-host redirect logic and only sends the request-uri
        portion of the ``url``.

        The given ``url`` parameter must be absolute, such that an appropriate
        :class:`urllib3.connectionpool.ConnectionPool` can be chosen for it.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Sets headers needed by proxies: specifically, the Accept and Host
        headers. Only sets headers not provided by the user.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Sets headers needed by proxies: specifically, the Accept and Host
        headers. Only sets headers not provided by the user.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Sets headers needed by proxies: specifically, the Accept and Host
        headers. Only sets headers not provided by the user.

</details>

</details>


<details><summary><h2><strong> response.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class MultiDecoder](#class-multidecoder)
- [class BytesQueueBuffer](#class-bytesqueuebuffer)
- [class BaseHTTPResponse](#class-basehttpresponse)
- [class HTTPResponse](#class-httpresponse)
- [class is](#class-is)
- [class with](#class-with)
- [def __init__](#def-__init__)
- [def get_redirect_location](#def-get_redirect_location)
- [def data](#def-data)
- [def json](#def-json)
- [def url](#def-url)
- [def url](#def-url)
- [def connection](#def-connection)
- [def retries](#def-retries)
- [def retries](#def-retries)
- [def stream](#def-stream)
- [def read](#def-read)
- [def read1](#def-read1)
- [def read_chunked](#def-read_chunked)
- [def release_conn](#def-release_conn)
- [def drain_conn](#def-drain_conn)
- [def close](#def-close)
- [def _init_decoder](#def-_init_decoder)
- [def _decode](#def-_decode)
- [def _flush_decoder](#def-_flush_decoder)
- [def __init__](#def-__init__)
- [def release_conn](#def-release_conn)
- [def drain_conn](#def-drain_conn)
- [def data](#def-data)
- [def connection](#def-connection)
- [def isclosed](#def-isclosed)
- [def tell](#def-tell)
- [def _init_length](#def-_init_length)
- [def _error_catcher](#def-_error_catcher)
- [def _fp_read](#def-_fp_read)
- [def _raw_read](#def-_raw_read)
- [def read](#def-read)
- [def read1](#def-read1)
- [def stream](#def-stream)
- [def readable](#def-readable)
- [def close](#def-close)
- [def closed](#def-closed)
- [def fileno](#def-fileno)
- [def flush](#def-flush)
- [def supports_chunked_reads](#def-supports_chunked_reads)
- [def _update_chunk_length](#def-_update_chunk_length)
- [def _handle_chunk](#def-_handle_chunk)
- [def read_chunked](#def-read_chunked)
- [def url](#def-url)
</details>

<details><summary><h3><strong>class MultiDecoder</strong></h3></summary>

From RFC7231:
        If one or more encodings have been applied to a representation, the
        sender that applied the encodings MUST generate a Content-Encoding
        header field that lists the content codings in the order in which
        they were applied.

</details>

<details><summary><h3><strong>class BytesQueueBuffer</strong></h3></summary>

Memory-efficient bytes buffer

    To return decoded data in read() and still follow the BufferedIOBase API, we need a
    buffer to always return the correct amount of bytes.

    This buffer should be filled using calls to put()

    Our maximum memory usage is determined by the sum of the size of:

     * self.buffer, which contains the full data
     * the largest chunk that we will copy in get()

    The worst case scenario is a single chunk, in which case we'll make a full copy of
    the data inside get().

</details>

<details><summary><h3><strong>class BaseHTTPResponse</strong></h3></summary>

Should we redirect and where to?

        :returns: Truthy redirect location string if we got a redirect status
            code and valid location. ``None`` if redirect status and no
            location. ``False`` if not a redirect status code.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Should we redirect and where to?

        :returns: Truthy redirect location string if we got a redirect status
            code and valid location. ``None`` if redirect status and no
            location. ``False`` if not a redirect status code.

</details>

<details><summary><h4><strong>def get_redirect_location</strong></h4></summary>

Should we redirect and where to?

        :returns: Truthy redirect location string if we got a redirect status
            code and valid location. ``None`` if redirect status and no
            location. ``False`` if not a redirect status code.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def json</strong></h4></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def connection</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def retries</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def retries</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def stream</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def read1</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def read_chunked</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def release_conn</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def drain_conn</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def _init_decoder</strong></h4></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h4><strong>def _decode</strong></h4></summary>

Decode the data passed in and potentially flush the decoder.

</details>

<details><summary><h4><strong>def _flush_decoder</strong></h4></summary>

Flushes the decoder. Should only be called if the decoder is actually
        being used.

</details>

</details>

<details><summary><h3><strong>class HTTPResponse</strong></h3></summary>

HTTP Response container.

    Backwards-compatible with :class:`http.client.HTTPResponse` but the response ``body`` is
    loaded and decoded on-demand when the ``data`` property is accessed.  This
    class is also compatible with the Python standard library's :mod:`io`
    module, and can hence be treated as a readable object in the context of that
    framework.

    Extra parameters for behaviour not present in :class:`http.client.HTTPResponse`:

    :param preload_content:
        If True, the response's body will be preloaded during construction.

    :param decode_content:
        If True, will attempt to decode the body based on the
        'content-encoding' header.

    :param original_response:
        When this HTTPResponse wrapper is generated from an :class:`http.client.HTTPResponse`
        object, it's convenient to include the original for debug purposes. It's
        otherwise unused.

    :param retries:
        The retries contains the last :class:`~urllib3.util.retry.Retry` that
        was used during the request.

    :param enforce_content_length:
        Enforce content length checking. Body returned by server must match
        value of Content-Length header, if present. Otherwise, raise error.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h4><strong>def release_conn</strong></h4></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h4><strong>def drain_conn</strong></h4></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def connection</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def isclosed</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def tell</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def _init_length</strong></h4></summary>

Set initial length value for Response content if available.

</details>

<details><summary><h4><strong>def _error_catcher</strong></h4></summary>

Catch low-level python exceptions, instead re-raising urllib3
        variants, so that low-level exceptions are not leaked in the
        high-level api.

        On exit, release the connection back to the pool.

</details>

<details><summary><h4><strong>def _fp_read</strong></h4></summary>

Read a response with the thought that reading the number of bytes
        larger than can fit in a 32-bit int at a time via SSL in some
        known cases leads to an overflow error that has to be prevented
        if `amt` or `self.length_remaining` indicate that a problem may
        happen.

        The known cases:
          * 3.8 <= CPython < 3.9.7 because of a bug
            https://github.com/urllib3/urllib3/issues/2513#issuecomment-1152559900.
          * urllib3 injected with pyOpenSSL-backed SSL-support.
          * CPython < 3.10 only when `amt` does not fit 32-bit int.

</details>

<details><summary><h4><strong>def _raw_read</strong></h4></summary>

Reads `amt` of bytes from the socket.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Similar to :meth:`http.client.HTTPResponse.read`, but with two additional
        parameters: ``decode_content`` and ``cache_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param cache_content:
            If True, will save the returned data such that the same result is
            returned despite of the state of the underlying file object. This
            is useful if you want the ``.data`` property to continue working
            after having ``.read()`` the file object. (Overridden if ``amt`` is
            set.)

</details>

<details><summary><h4><strong>def read1</strong></h4></summary>

Similar to ``http.client.HTTPResponse.read1`` and documented
        in :meth:`io.BufferedReader.read1`, but with an additional parameter:
        ``decode_content``.

        :param amt:
            How much of the content to read.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def stream</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def readable</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def closed</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def fileno</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def flush</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def supports_chunked_reads</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def _update_chunk_length</strong></h4></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def _handle_chunk</strong></h4></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def read_chunked</strong></h4></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

Returns the URL that was the source of this response.
        If the request that generated this response redirected, this method
        will return the final redirect location.

</details>

</details>

<details><summary><h3><strong>class is</strong></h3></summary>

def __init__(
        self,
        body: _TYPE_BODY = "",
        headers: typing.Mapping[str, str] | typing.Mapping[bytes, bytes] | None = None,
        status: int = 0,
        version: int = 0,
        version_string: str = "HTTP/?",
        reason: str | None = None,
        preload_content: bool = True,
        decode_content: bool = True,
        original_response: _HttplibHTTPResponse | None = None,
        pool: HTTPConnectionPool | None = None,
        connection: HTTPConnection | None = None,
        msg: _HttplibHTTPMessage | None = None,
        retries: Retry | None = None,
        enforce_content_length: bool = True,
        request_method: str | None = None,
        request_url: str | None = None,
        auto_close: bool = True,
    ) -> None:
        super().__init__(
            headers=headers,
            status=status,
            version=version,
            version_string=version_string,
            reason=reason,
            decode_content=decode_content,
            request_url=request_url,
            retries=retries,
        )

        self.enforce_content_length = enforce_content_length
        self.auto_close = auto_close

        self._body = None
        self._fp: _HttplibHTTPResponse | None = None
        self._original_response = original_response
        self._fp_bytes_read = 0
        self.msg = msg

        if body and isinstance(body, (str, bytes)):
            self._body = body

        self._pool = pool
        self._connection = connection

        if hasattr(body, "read"):
            self._fp = body  # type: ignore[assignment]

        # Are we using the chunked-style of transfer encoding?
        self.chunk_left: int | None = None

        # Determine length of response
        self.length_remaining = self._init_length(request_method)

        # Used to return the correct amount of bytes for partial read()s
        self._decoded_buffer = BytesQueueBuffer()

        # If requested, preload the body.
        if preload_content and not self._body:
            self._body = self.read(decode_content=decode_content)

    def release_conn(self) -> None:
        if not self._pool or not self._connection:
            return None

        self._pool._put_conn(self._connection)
        self._connection = None

    def drain_conn(self) -> None:

<details><summary><h4><strong>def __init__</strong></h4></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h4><strong>def release_conn</strong></h4></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h4><strong>def drain_conn</strong></h4></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h4><strong>def data</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def connection</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def isclosed</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def tell</strong></h4></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h4><strong>def _init_length</strong></h4></summary>

Set initial length value for Response content if available.

</details>

<details><summary><h4><strong>def _error_catcher</strong></h4></summary>

Catch low-level python exceptions, instead re-raising urllib3
        variants, so that low-level exceptions are not leaked in the
        high-level api.

        On exit, release the connection back to the pool.

</details>

<details><summary><h4><strong>def _fp_read</strong></h4></summary>

Read a response with the thought that reading the number of bytes
        larger than can fit in a 32-bit int at a time via SSL in some
        known cases leads to an overflow error that has to be prevented
        if `amt` or `self.length_remaining` indicate that a problem may
        happen.

        The known cases:
          * 3.8 <= CPython < 3.9.7 because of a bug
            https://github.com/urllib3/urllib3/issues/2513#issuecomment-1152559900.
          * urllib3 injected with pyOpenSSL-backed SSL-support.
          * CPython < 3.10 only when `amt` does not fit 32-bit int.

</details>

<details><summary><h4><strong>def _raw_read</strong></h4></summary>

Reads `amt` of bytes from the socket.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Similar to :meth:`http.client.HTTPResponse.read`, but with two additional
        parameters: ``decode_content`` and ``cache_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param cache_content:
            If True, will save the returned data such that the same result is
            returned despite of the state of the underlying file object. This
            is useful if you want the ``.data`` property to continue working
            after having ``.read()`` the file object. (Overridden if ``amt`` is
            set.)

</details>

<details><summary><h4><strong>def read1</strong></h4></summary>

Similar to ``http.client.HTTPResponse.read1`` and documented
        in :meth:`io.BufferedReader.read1`, but with an additional parameter:
        ``decode_content``.

        :param amt:
            How much of the content to read.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def stream</strong></h4></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def readable</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def closed</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def fileno</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def flush</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def supports_chunked_reads</strong></h4></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h4><strong>def _update_chunk_length</strong></h4></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def _handle_chunk</strong></h4></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def read_chunked</strong></h4></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h4><strong>def url</strong></h4></summary>

Returns the URL that was the source of this response.
        If the request that generated this response redirected, this method
        will return the final redirect location.

</details>

</details>

<details><summary><h3><strong>class with</strong></h3></summary>

Returns the URL that was the source of this response.
        If the request that generated this response redirected, this method
        will return the final redirect location.

<details><summary><h4><strong>def url</strong></h4></summary>

Returns the URL that was the source of this response.
        If the request that generated this response redirected, this method
        will return the final redirect location.

</details>

</details>

<details><summary><h3><strong>def get_redirect_location(self)</strong></h3></summary>

Should we redirect and where to?

        :returns: Truthy redirect location string if we got a redirect status
            code and valid location. ``None`` if redirect status and no
            location. ``False`` if not a redirect status code.

</details>

<details><summary><h3><strong>def get_redirect_location(self)</strong></h3></summary>

Should we redirect and where to?

        :returns: Truthy redirect location string if we got a redirect status
            code and valid location. ``None`` if redirect status and no
            location. ``False`` if not a redirect status code.

</details>

<details><summary><h3><strong>def data(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def json(self)</strong></h3></summary>

Deserializes the body of the HTTP response as a Python object.

        The body of the HTTP response must be encoded using UTF-8, as per
        `RFC 8529 Section 8.1 <https://www.rfc-editor.org/rfc/rfc8259#section-8.1>`_.

        To use a custom JSON decoder pass the result of :attr:`HTTPResponse.data` to
        your custom decoder instead.

        If the body of the HTTP response is not decodable to UTF-8, a
        `UnicodeDecodeError` will be raised. If the body of the HTTP response is not a
        valid JSON document, a `json.JSONDecodeError` will be raised.

        Read more :ref:`here <json_content>`.

        :returns: The body of the HTTP response as a Python object.

</details>

<details><summary><h3><strong>def url(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def url(self, url: str | None)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def connection(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def retries(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def retries(self, retries: Retry | None)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def drain_conn(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def _init_decoder(self)</strong></h3></summary>

Set-up the _decoder attribute if necessary.

</details>

<details><summary><h3><strong>def _flush_decoder(self)</strong></h3></summary>

Decode the data passed in and potentially flush the decoder.

</details>

<details><summary><h3><strong>def _flush_decoder(self)</strong></h3></summary>

Flushes the decoder. Should only be called if the decoder is actually
        being used.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h3><strong>def release_conn(self)</strong></h3></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h3><strong>def drain_conn(self)</strong></h3></summary>

Read and discard any remaining HTTP response data in the response connection.

        Unread data in the HTTPResponse connection blocks the connection from being released back to the pool.

</details>

<details><summary><h3><strong>def data(self)</strong></h3></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h3><strong>def connection(self)</strong></h3></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h3><strong>def isclosed(self)</strong></h3></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h3><strong>def tell(self)</strong></h3></summary>

Obtain the number of bytes pulled over the wire so far. May differ from
        the amount of content returned by :meth:``urllib3.response.HTTPResponse.read``
        if bytes are encoded on the wire (e.g, compressed).

</details>

<details><summary><h3><strong>def _init_length(self, request_method: str | None)</strong></h3></summary>

Set initial length value for Response content if available.

</details>

<details><summary><h3><strong>def _error_catcher(self)</strong></h3></summary>

Catch low-level python exceptions, instead re-raising urllib3
        variants, so that low-level exceptions are not leaked in the
        high-level api.

        On exit, release the connection back to the pool.

</details>

<details><summary><h3><strong>def readable(self)</strong></h3></summary>

Read a response with the thought that reading the number of bytes
        larger than can fit in a 32-bit int at a time via SSL in some
        known cases leads to an overflow error that has to be prevented
        if `amt` or `self.length_remaining` indicate that a problem may
        happen.

        The known cases:
          * 3.8 <= CPython < 3.9.7 because of a bug
            https://github.com/urllib3/urllib3/issues/2513#issuecomment-1152559900.
          * urllib3 injected with pyOpenSSL-backed SSL-support.
          * CPython < 3.10 only when `amt` does not fit 32-bit int.

</details>

<details><summary><h3><strong>def readable(self)</strong></h3></summary>

Reads `amt` of bytes from the socket.

</details>

<details><summary><h3><strong>def readable(self)</strong></h3></summary>

Similar to :meth:`http.client.HTTPResponse.read`, but with two additional
        parameters: ``decode_content`` and ``cache_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

        :param cache_content:
            If True, will save the returned data such that the same result is
            returned despite of the state of the underlying file object. This
            is useful if you want the ``.data`` property to continue working
            after having ``.read()`` the file object. (Overridden if ``amt`` is
            set.)

</details>

<details><summary><h3><strong>def readable(self)</strong></h3></summary>

Similar to ``http.client.HTTPResponse.read1`` and documented
        in :meth:`io.BufferedReader.read1`, but with an additional parameter:
        ``decode_content``.

        :param amt:
            How much of the content to read.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def readable(self)</strong></h3></summary>

A generator wrapper for the read() method. A call will block until
        ``amt`` bytes have been read from the connection or until the
        connection is closed.

        :param amt:
            How much of the content to read. The generator will return up to
            much data per iteration, but may return less. This is particularly
            likely when using compressed data. However, the empty string will
            never be returned.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def readable(self)</strong></h3></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h3><strong>def closed(self)</strong></h3></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h3><strong>def fileno(self)</strong></h3></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h3><strong>def flush(self)</strong></h3></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h3><strong>def supports_chunked_reads(self)</strong></h3></summary>

Checks if the underlying file-like object looks like a
        :class:`http.client.HTTPResponse` object. We do this by testing for
        the fp attribute. If it is present we assume it returns raw chunks as
        processed by read_chunked().

</details>

<details><summary><h3><strong>def _update_chunk_length(self)</strong></h3></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def _handle_chunk(self, amt: int | None)</strong></h3></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def url(self)</strong></h3></summary>

Similar to :meth:`HTTPResponse.read`, but with an additional
        parameter: ``decode_content``.

        :param amt:
            How much of the content to read. If specified, caching is skipped
            because it doesn't make sense to cache partial content as the full
            response.

        :param decode_content:
            If True, will attempt to decode the body based on the
            'content-encoding' header.

</details>

<details><summary><h3><strong>def url(self)</strong></h3></summary>

Returns the URL that was the source of this response.
        If the request that generated this response redirected, this method
        will return the final redirect location.

</details>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> connection.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def is_connection_dropped](#def-is_connection_dropped)
- [def allowed_gai_family](#def-allowed_gai_family)
- [def _has_ipv6](#def-_has_ipv6)
</details>

<details><summary><h3><strong>def is_connection_dropped(conn: BaseHTTPConnection)</strong></h3></summary>

Returns True if the connection is dropped and should be closed.
    :param conn: :class:`urllib3.connection.HTTPConnection` object.

</details>

<details><summary><h3><strong>def allowed_gai_family()</strong></h3></summary>

This function is designed to work in the context of
    getaddrinfo, where family=socket.AF_UNSPEC is the default and
    will perform a DNS search for both IPv6 and IPv4 records.

</details>

<details><summary><h3><strong>def _has_ipv6(host: str)</strong></h3></summary>

Returns True if the system can bind an IPv6 address.

</details>

</details>


<details><summary><h2><strong> proxy.py</strong></h2></summary>

</details>


<details><summary><h2><strong> request.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def rewind_body](#def-rewind_body)
</details>

<details><summary><h3><strong>def rewind_body(body: typing.IO[typing.AnyStr], body_pos: _TYPE_BODY_POSITION)</strong></h3></summary>

Attempt to rewind body to a certain position.
    Primarily used for request redirects and retries.

    :param body:
        File-like object that supports seek.

    :param int pos:
        Position to seek to in file.

</details>

</details>


<details><summary><h2><strong> response.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def is_fp_closed](#def-is_fp_closed)
- [def assert_header_parsing](#def-assert_header_parsing)
- [def is_response_to_head](#def-is_response_to_head)
</details>

<details><summary><h3><strong>def is_fp_closed(obj: object)</strong></h3></summary>

Checks whether a given file-like object is closed.

    :param obj:
        The file-like object to check.

</details>

<details><summary><h3><strong>def assert_header_parsing(headers: httplib.HTTPMessage)</strong></h3></summary>

Asserts whether all headers have been successfully parsed.
    Extracts encountered errors from the result of parsing headers.

    Only works on Python 3.

    :param http.client.HTTPMessage headers: Headers to verify.

    :raises urllib3.exceptions.HeaderParsingError:
        If parsing errors are found.

</details>

<details><summary><h3><strong>def is_response_to_head(response: httplib.HTTPResponse)</strong></h3></summary>

Checks whether the request of a response has been a HEAD-request.

    :param http.client.HTTPResponse response:
        Response to check if the originating request
        used 'HEAD' as a method.

</details>

</details>


<details><summary><h2><strong> retry.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Retry](#class-retry)
- [def __init__](#def-__init__)
- [def new](#def-new)
- [def from_int](#def-from_int)
- [def get_backoff_time](#def-get_backoff_time)
- [def parse_retry_after](#def-parse_retry_after)
- [def get_retry_after](#def-get_retry_after)
- [def sleep_for_retry](#def-sleep_for_retry)
- [def _sleep_backoff](#def-_sleep_backoff)
- [def sleep](#def-sleep)
- [def _is_connection_error](#def-_is_connection_error)
- [def _is_read_error](#def-_is_read_error)
- [def _is_method_retryable](#def-_is_method_retryable)
- [def is_retry](#def-is_retry)
- [def is_exhausted](#def-is_exhausted)
- [def increment](#def-increment)
</details>

<details><summary><h3><strong>class Retry</strong></h3></summary>

Retry configuration.

    Each retry attempt will create a new Retry object with updated values, so
    they can be safely reused.

    Retries can be defined as a default for a pool:

    .. code-block:: python

        retries = Retry(connect=5, read=2, redirect=5)
        http = PoolManager(retries=retries)
        response = http.request("GET", "https://example.com/")

    Or per-request (which overrides the default for the pool):

    .. code-block:: python

        response = http.request("GET", "https://example.com/", retries=Retry(10))

    Retries can be disabled by passing ``False``:

    .. code-block:: python

        response = http.request("GET", "https://example.com/", retries=False)

    Errors will be wrapped in :class:`~urllib3.exceptions.MaxRetryError` unless
    retries are disabled, in which case the causing exception will be raised.

    :param int total:
        Total number of retries to allow. Takes precedence over other counts.

        Set to ``None`` to remove this constraint and fall back on other
        counts.

        Set to ``0`` to fail on the first retry.

        Set to ``False`` to disable and imply ``raise_on_redirect=False``.

    :param int connect:
        How many connection-related errors to retry on.

        These are errors raised before the request is sent to the remote server,
        which we assume has not triggered the server to process the request.

        Set to ``0`` to fail on the first retry of this type.

    :param int read:
        How many times to retry on read errors.

        These errors are raised after the request was sent to the server, so the
        request may have side-effects.

        Set to ``0`` to fail on the first retry of this type.

    :param int redirect:
        How many redirects to perform. Limit this to avoid infinite redirect
        loops.

        A redirect is a HTTP response with a status code 301, 302, 303, 307 or
        308.

        Set to ``0`` to fail on the first retry of this type.

        Set to ``False`` to disable and imply ``raise_on_redirect=False``.

    :param int status:
        How many times to retry on bad status codes.

        These are retries made on responses, where status code matches
        ``status_forcelist``.

        Set to ``0`` to fail on the first retry of this type.

    :param int other:
        How many times to retry on other errors.

        Other errors are errors that are not connect, read, redirect or status errors.
        These errors might be raised after the request was sent to the server, so the
        request might have side-effects.

        Set to ``0`` to fail on the first retry of this type.

        If ``total`` is not set, it's a good idea to set this to 0 to account
        for unexpected edge cases and avoid infinite retry loops.

    :param Collection allowed_methods:
        Set of uppercased HTTP method verbs that we should retry on.

        By default, we only retry on methods which are considered to be
        idempotent (multiple requests with the same parameters end with the
        same state). See :attr:`Retry.DEFAULT_ALLOWED_METHODS`.

        Set to a ``None`` value to retry on any verb.

    :param Collection status_forcelist:
        A set of integer HTTP status codes that we should force a retry on.
        A retry is initiated if the request method is in ``allowed_methods``
        and the response status code is in ``status_forcelist``.

        By default, this is disabled with ``None``.

    :param float backoff_factor:
        A backoff factor to apply between attempts after the second try
        (most errors are resolved immediately by a second try without a
        delay). urllib3 will sleep for::

            {backoff factor} * (2 ** ({number of previous retries}))

        seconds. If `backoff_jitter` is non-zero, this sleep is extended by::

            random.uniform(0, {backoff jitter})

        seconds. For example, if the backoff_factor is 0.1, then :func:`Retry.sleep` will
        sleep for [0.0s, 0.2s, 0.4s, 0.8s, ...] between retries. No backoff will ever
        be longer than `backoff_max`.

        By default, backoff is disabled (factor set to 0).

    :param bool raise_on_redirect: Whether, if the number of redirects is
        exhausted, to raise a MaxRetryError, or to return a response with a
        response code in the 3xx range.

    :param bool raise_on_status: Similar meaning to ``raise_on_redirect``:
        whether we should raise an exception, or return a response,
        if status falls in ``status_forcelist`` range and retries have
        been exhausted.

    :param tuple history: The history of the request encountered during
        each call to :meth:`~Retry.increment`. The list is in the order
        the requests occurred. Each list item is of class :class:`RequestHistory`.

    :param bool respect_retry_after_header:
        Whether to respect Retry-After header on status codes defined as
        :attr:`Retry.RETRY_AFTER_STATUS_CODES` or not.

    :param Collection remove_headers_on_redirect:
        Sequence of headers to remove from the request when a response
        indicating a redirect is returned before firing off the redirected
        request.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Backwards-compatibility for the old retries format.

</details>

<details><summary><h4><strong>def new</strong></h4></summary>

Backwards-compatibility for the old retries format.

</details>

<details><summary><h4><strong>def from_int</strong></h4></summary>

Backwards-compatibility for the old retries format.

</details>

<details><summary><h4><strong>def get_backoff_time</strong></h4></summary>

Formula for computing the current backoff

        :rtype: float

</details>

<details><summary><h4><strong>def parse_retry_after</strong></h4></summary>

Get the value of Retry-After in seconds.

</details>

<details><summary><h4><strong>def get_retry_after</strong></h4></summary>

Get the value of Retry-After in seconds.

</details>

<details><summary><h4><strong>def sleep_for_retry</strong></h4></summary>

Sleep between retry attempts.

        This method will respect a server's ``Retry-After`` response header
        and sleep the duration of the time requested. If that is not present, it
        will use an exponential backoff. By default, the backoff factor is 0 and
        this method will return immediately.

</details>

<details><summary><h4><strong>def _sleep_backoff</strong></h4></summary>

Sleep between retry attempts.

        This method will respect a server's ``Retry-After`` response header
        and sleep the duration of the time requested. If that is not present, it
        will use an exponential backoff. By default, the backoff factor is 0 and
        this method will return immediately.

</details>

<details><summary><h4><strong>def sleep</strong></h4></summary>

Sleep between retry attempts.

        This method will respect a server's ``Retry-After`` response header
        and sleep the duration of the time requested. If that is not present, it
        will use an exponential backoff. By default, the backoff factor is 0 and
        this method will return immediately.

</details>

<details><summary><h4><strong>def _is_connection_error</strong></h4></summary>

Errors when we're fairly sure that the server did not receive the
        request, so it should be safe to retry.

</details>

<details><summary><h4><strong>def _is_read_error</strong></h4></summary>

Errors that occur after the request has been started, so we should
        assume that the server began processing it.

</details>

<details><summary><h4><strong>def _is_method_retryable</strong></h4></summary>

Checks if a given HTTP method should be retried upon, depending if
        it is included in the allowed_methods

</details>

<details><summary><h4><strong>def is_retry</strong></h4></summary>

Is this method/status code retryable? (Based on allowlists and control
        variables such as the number of total retries to allow, whether to
        respect the Retry-After header, whether this header is present, and
        whether the returned status code is on the list of status codes to
        be retried upon on the presence of the aforementioned header)

</details>

<details><summary><h4><strong>def is_exhausted</strong></h4></summary>

Are we out of retries?

</details>

<details><summary><h4><strong>def increment</strong></h4></summary>

Return a new Retry object with incremented retry counters.

        :param response: A response object, or None, if the server did not
            return a response.
        :type response: :class:`~urllib3.response.BaseHTTPResponse`
        :param Exception error: An error encountered during the request, or
            None if the response was received successfully.

        :return: A new ``Retry`` object.

</details>

</details>

<details><summary><h3><strong>def new(self, **kw: typing.Any)</strong></h3></summary>

Backwards-compatibility for the old retries format.

</details>

<details><summary><h3><strong>def new(self, **kw: typing.Any)</strong></h3></summary>

Backwards-compatibility for the old retries format.

</details>

<details><summary><h3><strong>def get_backoff_time(self)</strong></h3></summary>

Backwards-compatibility for the old retries format.

</details>

<details><summary><h3><strong>def get_backoff_time(self)</strong></h3></summary>

Formula for computing the current backoff

        :rtype: float

</details>

<details><summary><h3><strong>def parse_retry_after(self, retry_after: str)</strong></h3></summary>

Get the value of Retry-After in seconds.

</details>

<details><summary><h3><strong>def get_retry_after(self, response: BaseHTTPResponse)</strong></h3></summary>

Get the value of Retry-After in seconds.

</details>

<details><summary><h3><strong>def sleep_for_retry(self, response: BaseHTTPResponse)</strong></h3></summary>

Sleep between retry attempts.

        This method will respect a server's ``Retry-After`` response header
        and sleep the duration of the time requested. If that is not present, it
        will use an exponential backoff. By default, the backoff factor is 0 and
        this method will return immediately.

</details>

<details><summary><h3><strong>def _sleep_backoff(self)</strong></h3></summary>

Sleep between retry attempts.

        This method will respect a server's ``Retry-After`` response header
        and sleep the duration of the time requested. If that is not present, it
        will use an exponential backoff. By default, the backoff factor is 0 and
        this method will return immediately.

</details>

<details><summary><h3><strong>def sleep(self, response: BaseHTTPResponse | None = None)</strong></h3></summary>

Sleep between retry attempts.

        This method will respect a server's ``Retry-After`` response header
        and sleep the duration of the time requested. If that is not present, it
        will use an exponential backoff. By default, the backoff factor is 0 and
        this method will return immediately.

</details>

<details><summary><h3><strong>def _is_connection_error(self, err: Exception)</strong></h3></summary>

Errors when we're fairly sure that the server did not receive the
        request, so it should be safe to retry.

</details>

<details><summary><h3><strong>def _is_read_error(self, err: Exception)</strong></h3></summary>

Errors that occur after the request has been started, so we should
        assume that the server began processing it.

</details>

<details><summary><h3><strong>def _is_method_retryable(self, method: str)</strong></h3></summary>

Checks if a given HTTP method should be retried upon, depending if
        it is included in the allowed_methods

</details>

<details><summary><h3><strong>def is_exhausted(self)</strong></h3></summary>

Is this method/status code retryable? (Based on allowlists and control
        variables such as the number of total retries to allow, whether to
        respect the Retry-After header, whether this header is present, and
        whether the returned status code is on the list of status codes to
        be retried upon on the presence of the aforementioned header)

</details>

<details><summary><h3><strong>def is_exhausted(self)</strong></h3></summary>

Are we out of retries?

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Return a new Retry object with incremented retry counters.

        :param response: A response object, or None, if the server did not
            return a response.
        :type response: :class:`~urllib3.response.BaseHTTPResponse`
        :param Exception error: An error encountered during the request, or
            None if the response was received successfully.

        :return: A new ``Retry`` object.

</details>

</details>


<details><summary><h2><strong> ssl_.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def assert_fingerprint](#def-assert_fingerprint)
- [def resolve_cert_reqs](#def-resolve_cert_reqs)
- [def resolve_ssl_version](#def-resolve_ssl_version)
- [def is_ipaddress](#def-is_ipaddress)
- [def _is_key_file_encrypted](#def-_is_key_file_encrypted)
</details>

<details><summary><h3><strong>def assert_fingerprint(cert: bytes | None, fingerprint: str)</strong></h3></summary>

Checks if given fingerprint matches the supplied certificate.

    :param cert:
        Certificate as bytes object.
    :param fingerprint:
        Fingerprint as string of hexdigits, can be interspersed by colons.

</details>

<details><summary><h3><strong>def resolve_cert_reqs(candidate: None | int | str)</strong></h3></summary>

Resolves the argument to a numeric constant, which can be passed to
    the wrap_socket function/method from the ssl module.
    Defaults to :data:`ssl.CERT_REQUIRED`.
    If given a string it is assumed to be the name of the constant in the
    :mod:`ssl` module or its abbreviation.
    (So you can specify `REQUIRED` instead of `CERT_REQUIRED`.
    If it's neither `None` nor a string we assume it is already the numeric
    constant which can directly be passed to wrap_socket.

</details>

<details><summary><h3><strong>def resolve_ssl_version(candidate: None | int | str)</strong></h3></summary>

like resolve_cert_reqs

</details>

<details><summary><h3><strong>def is_ipaddress(hostname: str | bytes)</strong></h3></summary>

Detects whether the hostname given is an IPv4 or IPv6 address.
    Also detects IPv6 addresses with Zone IDs.

    :param str hostname: Hostname to examine.
    :return: True if the hostname is an IP address, False otherwise.

</details>

<details><summary><h3><strong>def _is_key_file_encrypted(key_file: str)</strong></h3></summary>

Detects if a key file is encrypted or not.

</details>

</details>


<details><summary><h2><strong> ssl_match_hostname.py</strong></h2></summary>

The match_hostname() function from Python 3.5, essential when using SSL.

<details open><summary><h3>Contents</h3></summary>

- [def _ipaddress_match](#def-_ipaddress_match)
</details>

<details><summary><h3><strong>def _ipaddress_match(ipname: str, host_ip: IPv4Address | IPv6Address)</strong></h3></summary>

Exact matching of IP addresses.

    RFC 9110 section 4.3.5: "A reference identity of IP-ID contains the decoded
    bytes of the IP address. An IP version 4 address is 4 octets, and an IP
    version 6 address is 16 octets. [...] A reference identity of type IP-ID
    matches if the address is identical to an iPAddress value of the
    subjectAltName extension of the certificate."

</details>

</details>


<details><summary><h2><strong> ssltransport.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class SSLTransport](#class-ssltransport)
- [class supports](#class-supports)
- [def _validate_ssl_context_for_tls_in_tls](#def-_validate_ssl_context_for_tls_in_tls)
- [def __init__](#def-__init__)
- [def __enter__](#def-__enter__)
- [def __exit__](#def-__exit__)
- [def fileno](#def-fileno)
- [def read](#def-read)
- [def recv](#def-recv)
- [def recv_into](#def-recv_into)
- [def sendall](#def-sendall)
- [def send](#def-send)
- [def makefile](#def-makefile)
- [def unwrap](#def-unwrap)
- [def close](#def-close)
- [def getpeercert](#def-getpeercert)
- [def getpeercert](#def-getpeercert)
- [def getpeercert](#def-getpeercert)
- [def version](#def-version)
- [def cipher](#def-cipher)
- [def selected_alpn_protocol](#def-selected_alpn_protocol)
- [def shared_ciphers](#def-shared_ciphers)
- [def compression](#def-compression)
- [def settimeout](#def-settimeout)
- [def gettimeout](#def-gettimeout)
- [def _decref_socketios](#def-_decref_socketios)
- [def _wrap_ssl_read](#def-_wrap_ssl_read)
- [def _ssl_io_loop](#def-_ssl_io_loop)
- [def _ssl_io_loop](#def-_ssl_io_loop)
- [def _ssl_io_loop](#def-_ssl_io_loop)
- [def _ssl_io_loop](#def-_ssl_io_loop)
</details>

<details><summary><h3><strong>class SSLTransport</strong></h3></summary>

The SSLTransport wraps an existing socket and establishes an SSL connection.

    Contrary to Python's implementation of SSLSocket, it allows you to chain
    multiple TLS connections together. It's particularly useful if you need to
    implement TLS within TLS.

    The class supports most of the socket API operations.

<details><summary><h4><strong>def _validate_ssl_context_for_tls_in_tls</strong></h4></summary>

Raises a ProxySchemeUnsupported if the provided ssl_context can't be used
        for TLS in TLS.

        The only requirement is that the ssl_context provides the 'wrap_bio'
        methods.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Create an SSLTransport around socket using the provided ssl_context.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def fileno</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def recv</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def recv_into</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def sendall</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def makefile</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def unwrap</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def getpeercert</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def getpeercert</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def getpeercert</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def version</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def cipher</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def selected_alpn_protocol</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def shared_ciphers</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def compression</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def settimeout</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def gettimeout</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _decref_socketios</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _wrap_ssl_read</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

</details>

<details><summary><h3><strong>class supports</strong></h3></summary>

@staticmethod
    def _validate_ssl_context_for_tls_in_tls(ssl_context: ssl.SSLContext) -> None:

<details><summary><h4><strong>def _validate_ssl_context_for_tls_in_tls</strong></h4></summary>

Raises a ProxySchemeUnsupported if the provided ssl_context can't be used
        for TLS in TLS.

        The only requirement is that the ssl_context provides the 'wrap_bio'
        methods.

</details>

<details><summary><h4><strong>def __init__</strong></h4></summary>

Create an SSLTransport around socket using the provided ssl_context.

</details>

<details><summary><h4><strong>def __enter__</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def __exit__</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def fileno</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def read</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def recv</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def recv_into</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def sendall</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def send</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def makefile</strong></h4></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h4><strong>def unwrap</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def close</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def getpeercert</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def getpeercert</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def getpeercert</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def version</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def cipher</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def selected_alpn_protocol</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def shared_ciphers</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def compression</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def settimeout</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def gettimeout</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _decref_socketios</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _wrap_ssl_read</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h4><strong>def _ssl_io_loop</strong></h4></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

</details>

<details><summary><h3><strong>def _validate_ssl_context_for_tls_in_tls(ssl_context: ssl.SSLContext)</strong></h3></summary>

Raises a ProxySchemeUnsupported if the provided ssl_context can't be used
        for TLS in TLS.

        The only requirement is that the ssl_context provides the 'wrap_bio'
        methods.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Create an SSLTransport around socket using the provided ssl_context.

</details>

<details><summary><h3><strong>def __enter__(self)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def __exit__(self, *_: typing.Any)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def fileno(self)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def read(self, len: int = 1024, buffer: typing.Any | None = None)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def recv(self, buflen: int = 1024, flags: int = 0)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def sendall(self, data: bytes, flags: int = 0)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def sendall(self, data: bytes, flags: int = 0)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def send(self, data: bytes, flags: int = 0)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def unwrap(self)</strong></h3></summary>

Python's httpclient uses makefile and buffered io when reading HTTP
        messages and we need to support it.

        This is unfortunately a copy and paste of socket.py makefile with small
        changes to point to the socket directly.

</details>

<details><summary><h3><strong>def unwrap(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def close(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def getpeercert(self, binary_form: typing.Literal[True])</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def getpeercert(self, binary_form: typing.Literal[True])</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def getpeercert(self, binary_form: bool = False)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def version(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def cipher(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def selected_alpn_protocol(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def shared_ciphers(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def compression(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def settimeout(self, value: float | None)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def gettimeout(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def _decref_socketios(self)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def _wrap_ssl_read(self, len: int, buffer: bytearray | None = None)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def _ssl_io_loop(self, func: typing.Callable[[], None])</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def _ssl_io_loop(self, func: typing.Callable[[bytes], int], arg1: bytes)</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

<details><summary><h3><strong>def None</strong></h3></summary>

Performs an I/O loop between incoming/outgoing and the socket.

</details>

</details>


<details><summary><h2><strong> timeout.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Timeout](#class-timeout)
- [def __init__](#def-__init__)
- [def __repr__](#def-__repr__)
- [def resolve_default_timeout](#def-resolve_default_timeout)
- [def _validate_timeout](#def-_validate_timeout)
- [def from_float](#def-from_float)
- [def clone](#def-clone)
- [def start_connect](#def-start_connect)
- [def get_connect_duration](#def-get_connect_duration)
- [def connect_timeout](#def-connect_timeout)
- [def read_timeout](#def-read_timeout)
</details>

<details><summary><h3><strong>class Timeout</strong></h3></summary>

Timeout configuration.

    Timeouts can be defined as a default for a pool:

    .. code-block:: python

        import urllib3

        timeout = urllib3.util.Timeout(connect=2.0, read=7.0)

        http = urllib3.PoolManager(timeout=timeout)

        resp = http.request("GET", "https://example.com/")

        print(resp.status)

    Or per-request (which overrides the default for the pool):

    .. code-block:: python

       response = http.request("GET", "https://example.com/", timeout=Timeout(10))

    Timeouts can be disabled by setting all the parameters to ``None``:

    .. code-block:: python

       no_timeout = Timeout(connect=None, read=None)
       response = http.request("GET", "https://example.com/", timeout=no_timeout)


    :param total:
        This combines the connect and read timeouts into one; the read timeout
        will be set to the time leftover from the connect attempt. In the
        event that both a connect timeout and a total are specified, or a read
        timeout and a total are specified, the shorter timeout will be applied.

        Defaults to None.

    :type total: int, float, or None

    :param connect:
        The maximum amount of time (in seconds) to wait for a connection
        attempt to a server to succeed. Omitting the parameter will default the
        connect timeout to the system default, probably `the global default
        timeout in socket.py
        <http://hg.python.org/cpython/file/603b4d593758/Lib/socket.py#l535>`_.
        None will set an infinite timeout for connection attempts.

    :type connect: int, float, or None

    :param read:
        The maximum amount of time (in seconds) to wait between consecutive
        read operations for a response from the server. Omitting the parameter
        will default the read timeout to the system default, probably `the
        global default timeout in socket.py
        <http://hg.python.org/cpython/file/603b4d593758/Lib/socket.py#l535>`_.
        None will set an infinite timeout.

    :type read: int, float, or None

    .. note::

        Many factors can affect the total amount of time for urllib3 to return
        an HTTP response.

        For example, Python's DNS resolver does not obey the timeout specified
        on the socket. Other factors that can affect total request time include
        high CPU load, high swap, the program running at a low priority level,
        or other behaviors.

        In addition, the read and total timeouts only measure the time between
        read operations on the socket connecting the client and the server,
        not the total amount of time for the request to return a complete
        response. For most requests, the timeout is raised because the server
        has not sent the first byte in the specified time. This is not always
        the case; if a server streams one byte every fifteen seconds, a timeout
        of 20 seconds will not trigger, even though the request will take
        several minutes to complete.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h4><strong>def __repr__</strong></h4></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h4><strong>def resolve_default_timeout</strong></h4></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h4><strong>def _validate_timeout</strong></h4></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h4><strong>def from_float</strong></h4></summary>

Create a new Timeout from a legacy timeout value.

        The timeout value used by httplib.py sets the same timeout on the
        connect(), and recv() socket requests. This creates a :class:`Timeout`
        object that sets the individual timeouts to the ``timeout`` value
        passed to this function.

        :param timeout: The legacy timeout value.
        :type timeout: integer, float, :attr:`urllib3.util.Timeout.DEFAULT_TIMEOUT`, or None
        :return: Timeout object
        :rtype: :class:`Timeout`

</details>

<details><summary><h4><strong>def clone</strong></h4></summary>

Create a copy of the timeout object

        Timeout properties are stored per-pool but each request needs a fresh
        Timeout object to ensure each one has its own start/stop configured.

        :return: a copy of the timeout object
        :rtype: :class:`Timeout`

</details>

<details><summary><h4><strong>def start_connect</strong></h4></summary>

Start the timeout clock, used during a connect() attempt

        :raises urllib3.exceptions.TimeoutStateError: if you attempt
            to start a timer that has been started already.

</details>

<details><summary><h4><strong>def get_connect_duration</strong></h4></summary>

Gets the time elapsed since the call to :meth:`start_connect`.

        :return: Elapsed time in seconds.
        :rtype: float
        :raises urllib3.exceptions.TimeoutStateError: if you attempt
            to get duration for a timer that hasn't been started.

</details>

<details><summary><h4><strong>def connect_timeout</strong></h4></summary>

Get the value to use when setting a connection timeout.

        This will be a positive float or integer, the value None
        (never timeout), or the default system timeout.

        :return: Connect timeout.
        :rtype: int, float, :attr:`Timeout.DEFAULT_TIMEOUT` or None

</details>

<details><summary><h4><strong>def read_timeout</strong></h4></summary>

Get the value for the read timeout.

        This assumes some time has elapsed in the connection timeout and
        computes the read timeout appropriately.

        If self.total is set, the read timeout is dependent on the amount of
        time taken by the connect timeout. If the connection time has not been
        established, a :exc:`~urllib3.exceptions.TimeoutStateError` will be
        raised.

        :return: Value to use for the read timeout.
        :rtype: int, float or None
        :raises urllib3.exceptions.TimeoutStateError: If :meth:`start_connect`
            has not yet been called on this object.

</details>

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h3><strong>def __repr__(self)</strong></h3></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h3><strong>def resolve_default_timeout(timeout: _TYPE_TIMEOUT)</strong></h3></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h3><strong>def _validate_timeout(cls, value: _TYPE_TIMEOUT, name: str)</strong></h3></summary>

Check that a timeout attribute is valid.

        :param value: The timeout value to validate
        :param name: The name of the timeout attribute to validate. This is
            used to specify in error messages.
        :return: The validated and casted version of the given value.
        :raises ValueError: If it is a numeric value less than or equal to
            zero, or the type is not an integer, float, or None.

</details>

<details><summary><h3><strong>def from_float(cls, timeout: _TYPE_TIMEOUT)</strong></h3></summary>

Create a new Timeout from a legacy timeout value.

        The timeout value used by httplib.py sets the same timeout on the
        connect(), and recv() socket requests. This creates a :class:`Timeout`
        object that sets the individual timeouts to the ``timeout`` value
        passed to this function.

        :param timeout: The legacy timeout value.
        :type timeout: integer, float, :attr:`urllib3.util.Timeout.DEFAULT_TIMEOUT`, or None
        :return: Timeout object
        :rtype: :class:`Timeout`

</details>

<details><summary><h3><strong>def clone(self)</strong></h3></summary>

Create a copy of the timeout object

        Timeout properties are stored per-pool but each request needs a fresh
        Timeout object to ensure each one has its own start/stop configured.

        :return: a copy of the timeout object
        :rtype: :class:`Timeout`

</details>

<details><summary><h3><strong>def start_connect(self)</strong></h3></summary>

Start the timeout clock, used during a connect() attempt

        :raises urllib3.exceptions.TimeoutStateError: if you attempt
            to start a timer that has been started already.

</details>

<details><summary><h3><strong>def get_connect_duration(self)</strong></h3></summary>

Gets the time elapsed since the call to :meth:`start_connect`.

        :return: Elapsed time in seconds.
        :rtype: float
        :raises urllib3.exceptions.TimeoutStateError: if you attempt
            to get duration for a timer that hasn't been started.

</details>

<details><summary><h3><strong>def connect_timeout(self)</strong></h3></summary>

Get the value to use when setting a connection timeout.

        This will be a positive float or integer, the value None
        (never timeout), or the default system timeout.

        :return: Connect timeout.
        :rtype: int, float, :attr:`Timeout.DEFAULT_TIMEOUT` or None

</details>

<details><summary><h3><strong>def read_timeout(self)</strong></h3></summary>

Get the value for the read timeout.

        This assumes some time has elapsed in the connection timeout and
        computes the read timeout appropriately.

        If self.total is set, the read timeout is dependent on the amount of
        time taken by the connect timeout. If the connection time has not been
        established, a :exc:`~urllib3.exceptions.TimeoutStateError` will be
        raised.

        :return: Value to use for the read timeout.
        :rtype: int, float or None
        :raises urllib3.exceptions.TimeoutStateError: If :meth:`start_connect`
            has not yet been called on this object.

</details>

</details>


<details><summary><h2><strong> url.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def __new__](#def-__new__)
- [def hostname](#def-hostname)
- [def request_uri](#def-request_uri)
- [def authority](#def-authority)
- [def netloc](#def-netloc)
- [def url](#def-url)
- [def _encode_target](#def-_encode_target)
- [def parse_url](#def-parse_url)
</details>

<details><summary><h3><strong>def hostname(self)</strong></h3></summary>

For backwards-compatibility with urlparse. We're nice like that.

</details>

<details><summary><h3><strong>def hostname(self)</strong></h3></summary>

For backwards-compatibility with urlparse. We're nice like that.

</details>

<details><summary><h3><strong>def request_uri(self)</strong></h3></summary>

Absolute path including the query string.

</details>

<details><summary><h3><strong>def authority(self)</strong></h3></summary>

Authority component as defined in RFC 3986 3.2.
        This includes userinfo (auth), host and port.

        i.e.
            userinfo@host:port

</details>

<details><summary><h3><strong>def netloc(self)</strong></h3></summary>

Network location including host and port.

        If you need the equivalent of urllib.parse's ``netloc``,
        use the ``authority`` property instead.

</details>

<details><summary><h3><strong>def url(self)</strong></h3></summary>

Convert self into a url

        This function should more or less round-trip with :func:`.parse_url`. The
        returned url may not be exactly the same as the url inputted to
        :func:`.parse_url`, but it should be equivalent by the RFC (e.g., urls
        with a blank port will have : removed).

        Example:

        .. code-block:: python

            import urllib3

            U = urllib3.util.parse_url("https://google.com/mail/")

            print(U.url)
            # "https://google.com/mail/"

            print( urllib3.util.Url("https", "username:password",
                                    "host.com", 80, "/path", "query", "fragment"
                                    ).url
                )
            # "https://username:password@host.com:80/path?query#fragment"

</details>

<details><summary><h3><strong>def _encode_target(target: str)</strong></h3></summary>

Percent-encodes a request target so that there are no invalid characters

    Pre-condition for this function is that 'target' must start with '/'.
    If that is the case then _TARGET_RE will always produce a match.

</details>

<details><summary><h3><strong>def parse_url(url: str)</strong></h3></summary>

Given a url, return a parsed :class:`.Url` namedtuple. Best-effort is
    performed to parse incomplete urls. Fields not provided will be None.
    This parser is RFC 3986 and RFC 6874 compliant.

    The parser logic and helper functions are based heavily on
    work done in the ``rfc3986`` module.

    :param str url: URL to parse into a :class:`.Url` namedtuple.

    Partly backwards-compatible with :mod:`urllib.parse`.

    Example:

    .. code-block:: python

        import urllib3

        print( urllib3.util.parse_url('http://google.com/mail/'))
        # Url(scheme='http', host='google.com', port=None, path='/mail/', ...)

        print( urllib3.util.parse_url('google.com:80'))
        # Url(scheme=None, host='google.com', port=80, path=None, ...)

        print( urllib3.util.parse_url('/foo?bar'))
        # Url(scheme=None, host=None, port=None, path='/foo', query='bar', ...)

</details>

</details>


<details><summary><h2><strong> util.py</strong></h2></summary>

</details>


<details><summary><h2><strong> wait.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def wait_for_read](#def-wait_for_read)
- [def wait_for_write](#def-wait_for_write)
</details>

<details><summary><h3><strong>def wait_for_read(sock: socket.socket, timeout: float | None = None)</strong></h3></summary>

Waits for reading to be available on a given socket.
    Returns True if the socket is readable, or False if the timeout expired.

</details>

<details><summary><h3><strong>def wait_for_write(sock: socket.socket, timeout: float | None = None)</strong></h3></summary>

Waits for writing to be available on a given socket.
    Returns True if the socket is readable, or False if the timeout expired.

</details>

</details>


<details><summary><h2><strong> __about__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> __init__.py</strong></h2></summary>

</details>


<details><summary><h2><strong> docs2md.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def parse_google_docstring](#def-parse_google_docstring)
- [def generate_feature_list](#def-generate_feature_list)
- [def generate_examples](#def-generate_examples)
- [def generate_docs](#def-generate_docs)
- [def main](#def-main)
- [def cli](#def-cli)
</details>

<details><summary><h3><strong>def parse_google_docstring(docstring: str)</strong></h3></summary>

Parse a Google-style docstring into its components using regex.

</details>

<details><summary><h3><strong>def generate_feature_list(description: str)</strong></h3></summary>

Generate a markdown list of features from the description.

</details>

<details><summary><h3><strong>def generate_examples(examples: List[str])</strong></h3></summary>

Generate a markdown code block with examples.

</details>

<details><summary><h3><strong>def generate_docs(file_path: str, is_package: bool = False, depth=2)</strong></h3></summary>

Generate markdown documentation for a given Python file.

</details>

<details><summary><h3><strong>def main(path: str, output_file: str=None)</strong></h3></summary>

Generate markdown documentation for all Python files in a given path.

</details>

<details><summary><h3><strong>def cli(path: str, output_file: str=None)</strong></h3></summary>

Command-line interface for generating markdown documentation.

</details>

</details>


<details><summary><h2><strong> extract_docs.py</strong></h2></summary>

Utilities related to attribute docstring extraction.

<details open><summary><h3>Contents</h3></summary>

- [def extract_docstrings_from_cls](#def-extract_docstrings_from_cls)
- [def extract_docstring_from_object](#def-extract_docstring_from_object)
</details>

<details><summary><h3><strong>def extract_docstrings_from_cls(cls: type[Any], use_inspect: bool = False)</strong></h3></summary>

Map model attributes and their corresponding docstring.

<details><summary><h4>Arguments</h4></summary>

- `cls`: The class of the Pydantic model to inspect.
- `use_inspect`: Whether to skip usage of frames to find the object and use
            the `inspect` module instead.
</details>

<details><summary><h4>Returns</h4></summary>

A mapping containing attribute names and their corresponding docstring.
</details>

</details>

<details><summary><h3><strong>def extract_docstring_from_object(obj: str | ModuleType | Type  | None)</strong></h3></summary>

Extract docstrings from a module.

<details><summary><h4>Arguments</h4></summary>

- `module`: The module name.
</details>

<details><summary><h4>Returns</h4></summary>

A mapping containing attribute names and their corresponding docstring.
</details>

</details>

</details>


<details><summary><h2><strong> live_pane.py</strong></h2></summary>

</details>


<details><summary><h2><strong> main.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def cli](#def-cli)
</details>

<details><summary><h3><strong>def cli(input: str = None, output: str = None, format: str = "md", depth: int = 3, docs: bool = False, web: bool = False)</strong></h3></summary>

Process input file, directory, or web URL and generate output.

        If no input is provided, this help message will be displayed.
        If --web is specified or the input starts with http:// or https://, the input is treated as a web URL.

</details>

</details>


<details><summary><h2><strong> md.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [class Markdown](#class-markdown)
- [def __init__](#def-__init__)
- [def generate_markdown](#def-generate_markdown)
- [def stream](#def-stream)
- [def recursive_read](#def-recursive_read)
- [def cli](#def-cli)
- [def example](#def-example)
</details>

<details><summary><h3><strong>class Markdown</strong></h3></summary>

Stream formatted JSON-like text to the terminal with live updates.

<details><summary><h4><strong>def __init__</strong></h4></summary>

Generate Markdown from JSON with headers based on depth.

</details>

<details><summary><h4><strong>def generate_markdown</strong></h4></summary>

Generate Markdown from JSON with headers based on depth.

</details>

<details><summary><h4><strong>def stream</strong></h4></summary>

Stream the markdown content dynamically based on its length.

</details>

</details>

<details><summary><h3><strong>def __init__(self, data=None, mdargs=None, style="default", save=None, min_delay=0.05, live_window=6)</strong></h3></summary>

Generate Markdown from JSON with headers based on depth.

</details>

<details><summary><h3><strong>def generate_markdown(self, data=None, depth=0)</strong></h3></summary>

Generate Markdown from JSON with headers based on depth.

</details>

<details><summary><h3><strong>def stream(self, speed_factor=10000)</strong></h3></summary>

Stream the markdown content dynamically based on its length.

</details>

<details><summary><h3><strong>def recursive_read(file, include=None, depth=0, max_depth=5)</strong></h3></summary>

Recursively read files or directories and return their content as a dictionary.

</details>

<details><summary><h3><strong>def cli(file, depth, save)</strong></h3></summary>

Stream markdown content from a file.

</details>

<details><summary><h3><strong>def example()</strong></h3></summary>

Run an example with predefined JSON data.

</details>

</details>


<details><summary><h2><strong> panel.py</strong></h2></summary>

</details>


<details><summary><h2><strong> python2json.py</strong></h2></summary>

</details>


<details><summary><h2><strong> render.py</strong></h2></summary>

</details>


<details><summary><h2><strong> web.py</strong></h2></summary>

</details>


<details><summary><h2><strong> web2md.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def html_to_markdown_with_depth](#def-html_to_markdown_with_depth)
- [def extract_links](#def-extract_links)
</details>

<details><summary><h3><strong>def html_to_markdown_with_depth(element, depth=0)</strong></h3></summary>

Recursively convert HTML element and its children to Markdown.

</details>

<details><summary><h3><strong>def extract_links(markdown_content)</strong></h3></summary>

Extract links from markdown content.

</details>

</details>


<details><summary><h2><strong> test_mrender.py</strong></h2></summary>

<details open><summary><h3>Contents</h3></summary>

- [def test_generate_docs](#def-test_generate_docs)
- [def test_cli_docs_with_docstring](#def-test_cli_docs_with_docstring)
- [def test_cli_docs_with_directory](#def-test_cli_docs_with_directory)
- [def func1](#def-func1)
- [def test_cli_docs_with_package](#def-test_cli_docs_with_package)
- [def func1](#def-func1)
</details>

<details><summary><h3><strong>def test_generate_docs(tmp_path)</strong></h3></summary>

\"\"\"This is a test module.\"\"\"

        def test_function():
            \"\"\"This is a test function.\"\"\"
            pass

</details>

<details><summary><h3><strong>def test_cli_docs_with_docstring(runner, tmp_path)</strong></h3></summary>

This is a test module.

</details>

<details><summary><h3><strong>def test_cli_docs_with_directory(runner, tmp_path)</strong></h3></summary>

File 1 docstring.

</details>

<details><summary><h3><strong>def func1()</strong></h3></summary>

File 2 docstring.

</details>

<details><summary><h3><strong>def test_cli_docs_with_package(runner, tmp_path)</strong></h3></summary>

Package docstring.

</details>

<details><summary><h3><strong>def func1()</strong></h3></summary>

Module 2 docstring.

</details>

</details>


</details>

